%------------------------------------------------------------------------------
thf(bool_type,type,(
    bool: $i )).

thf(mem_type,type,(
    mem: $i > $i > $o )).

thf(c_2Ebool_2EBOUNDED_type,type,(
    c_2Ebool_2EBOUNDED: $i )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(ind_type,type,(
    ind: $i )).

thf(ne_type,type,(
    ne: $i > $o )).

thf(arr_type,type,(
    arr: $i > $i > $i )).

thf(k_type,type,(
    k: $i > $i > $i )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $i )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: $i > $i )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: $i > $i )).

thf(i_type,type,(
    i: $i > $i )).

thf(10,axiom,
    ( c_2Ebool_2EBOUNDED
    = ( k @ bool @ c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_thm_2Ebool_2EBOUNDED__DEF)).

thf(37,plain,
    ( c_2Ebool_2EBOUNDED
    = ( k @ bool @ c_2Ebool_2ET ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(5,axiom,(
    ! [A: $i,B: $i,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ap_tp)).

thf(25,plain,(
    ! [A: $i,B: $i,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(14,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( mem @ B @ ( arr @ A @ bool ) )
         => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
          <=> ! [C: $i] :
                ( ( mem @ C @ A )
               => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_all_p)).

thf(46,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( mem @ B @ ( arr @ A @ bool ) )
         => ( ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
             => ! [C: $i] :
                  ( ( mem @ C @ A )
                 => ( p @ ( ap @ B @ C ) ) ) )
            & ( ! [C: $i] :
                  ( ( mem @ C @ A )
                 => ( p @ ( ap @ B @ C ) ) )
             => ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(17,axiom,(
    mem @ c_2Ebool_2ET @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2ET)).

thf(57,plain,(
    mem @ c_2Ebool_2ET @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(7,axiom,(
    ! [A: $i,B: $i,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',funcext)).

thf(28,plain,(
    ! [A: $i,B: $i,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(8,axiom,(
    ! [A: $i,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',kbeta)).

thf(33,plain,(
    ! [A: $i,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(12,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(41,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(3,axiom,(
    ne @ ind ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ind_ne)).

thf(22,plain,(
    ne @ ind ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(6,axiom,(
    mem @ c_2Ebool_2EBOUNDED @ ( arr @ bool @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2EBOUNDED)).

thf(27,plain,(
    mem @ c_2Ebool_2EBOUNDED @ ( arr @ bool @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(11,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(39,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(15,axiom,(
    ne @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',bool_ne)).

thf(50,plain,(
    ne @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(13,axiom,(
    ! [A: $i,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ibeta)).

thf(43,plain,(
    ! [A: $i,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(4,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( ne @ B )
         => ( ne @ ( arr @ A @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arr_ne)).

thf(23,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( ne @ B )
         => ( ne @ ( arr @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(18,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ A )
            <=> ( p @ B ) )
           => ( A = B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',boolext)).

thf(58,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( ( p @ A )
               => ( p @ B ) )
              & ( ( p @ B )
               => ( p @ A ) ) )
           => ( A = B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(9,axiom,(
    p @ c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_true_p)).

thf(36,plain,(
    p @ c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(16,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( mem @ B @ A )
         => ! [C: $i] :
              ( ( mem @ C @ A )
             => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
              <=> ( B = C ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_eq_p)).

thf(51,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( mem @ B @ A )
         => ! [C: $i] :
              ( ( mem @ C @ A )
             => ( ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
                 => ( B = C ) )
                & ( ( B = C )
                 => ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(1,conjecture,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( ( p @ ( ap @ c_2Ebool_2EBOUNDED @ A ) )
      <=> $true ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EBOUNDED__THM)).

thf(2,negated_conjecture,(
    ~ ! [A: $i] :
        ( ( mem @ A @ bool )
       => ( ( p @ ( ap @ c_2Ebool_2EBOUNDED @ A ) )
        <=> $true ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(19,plain,(
    ~ ! [A: $i] :
        ( ( mem @ A @ bool )
       => ( p @ ( ap @ c_2Ebool_2EBOUNDED @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(67,plain,(
    $false ),
    inference(e,[status(thm)],[37,25,46,57,28,33,41,22,27,39,50,43,23,58,36,51,19])).
%------------------------------------------------------------------------------
