%------------------------------------------------------------------------------
thf(del_type,type,(
    del: $tType )).

thf(bool_type,type,(
    bool: del )).

thf(arr_type,type,(
    arr: del > del > del )).

thf(mem_type,type,(
    mem: $i > del > $o )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(lam_type,type,(
    lam: del > ( $i > $i ) > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(inj__o_type,type,(
    inj__o: $o > $i )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $i )).

thf(fo__c_2Ebool_2E_7E_type,type,(
    fo__c_2Ebool_2E_7E: $o > $o )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $i )).

thf(fo__c_2Ebool_2EF_type,type,(
    fo__c_2Ebool_2EF: $o )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $i )).

thf(fo__c_2Emin_2E_3D_3D_3E_type,type,(
    fo__c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $i )).

thf(fo__c_2Ebool_2ET_type,type,(
    fo__c_2Ebool_2ET: $o )).

thf(ty_2Eone_2Eone_type,type,(
    ty_2Eone_2Eone: del )).

thf(tp__ty_2Eone_2Eone_type,type,(
    tp__ty_2Eone_2Eone: $tType )).

thf(inj__ty_2Eone_2Eone_type,type,(
    inj__ty_2Eone_2Eone: tp__ty_2Eone_2Eone > $i )).

thf(surj__ty_2Eone_2Eone_type,type,(
    surj__ty_2Eone_2Eone: $i > tp__ty_2Eone_2Eone )).

thf(ty_2Esum_2Esum_type,type,(
    ty_2Esum_2Esum: del > del > del )).

thf(ty_2Eoption_2Eoption_type,type,(
    ty_2Eoption_2Eoption: del > del )).

thf(c_2Eoption_2Eoption__REP_type,type,(
    c_2Eoption_2Eoption__REP: del > $i )).

thf(c_2Eoption_2Eoption__ABS_type,type,(
    c_2Eoption_2Eoption__ABS: del > $i )).

thf(c_2Eoption_2ESOME_type,type,(
    c_2Eoption_2ESOME: del > $i )).

thf(c_2Esum_2EINR_type,type,(
    c_2Esum_2EINR: del > del > $i )).

thf(c_2Esum_2EINL_type,type,(
    c_2Esum_2EINL: del > del > $i )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: del > $i )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: del > $i )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $i )).

thf(fo__c_2Ebool_2E_2F_5C_type,type,(
    fo__c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(21,axiom,(
    ! [A: $o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_o)).

thf(120,plain,(
    ! [A: $o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(29,axiom,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_and_p)).

thf(153,plain,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(37,axiom,(
    ! [A: del,B: $o] :
      ( ( ! [C: $i] :
            ( ( mem @ C @ A )
           => ( p @ ( inj__o @ B ) ) ) )
      = ( p @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2EFORALL__SIMP)).

thf(185,plain,(
    ! [A: del,B: $o] :
      ( ( ! [C: $i] :
            ( ( mem @ C @ A )
           => ( p @ ( inj__o @ B ) ) ) )
      = ( p @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(23,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Eoption_2ESOME @ A ) @ ( arr @ A @ ( ty_2Eoption_2Eoption @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Eoption_2ESOME)).

thf(125,plain,(
    ! [A: del] :
      ( mem @ ( c_2Eoption_2ESOME @ A ) @ ( arr @ A @ ( ty_2Eoption_2Eoption @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(34,axiom,(
    mem @ c_2Ebool_2EF @ bool ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2EF)).

thf(179,plain,(
    mem @ c_2Ebool_2EF @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(10,axiom,(
    p @ c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_true_p)).

thf(84,plain,(
    p @ c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(19,axiom,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_7E)).

thf(117,plain,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(11,axiom,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_o)).

thf(85,plain,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(16,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
        = ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_all_p)).

thf(102,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
        = ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(40,axiom,(
    mem @ c_2Ebool_2ET @ bool ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2ET)).

thf(192,plain,(
    mem @ c_2Ebool_2ET @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).

thf(13,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Esum_2EINL @ A @ B ) @ ( arr @ A @ ( ty_2Esum_2Esum @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Esum_2EINL)).

thf(92,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Esum_2EINL @ A @ B ) @ ( arr @ A @ ( ty_2Esum_2Esum @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(43,axiom,(
    ! [A: tp__ty_2Eone_2Eone] :
      ( mem @ ( inj__ty_2Eone_2Eone @ A ) @ ty_2Eone_2Eone ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_ty_2Eone_2Eone)).

thf(197,plain,(
    ! [A: tp__ty_2Eone_2Eone] :
      ( mem @ ( inj__ty_2Eone_2Eone @ A ) @ ty_2Eone_2Eone ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).

thf(15,axiom,(
    ! [A: $o] :
      ( ( p @ ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_neg_p)).

thf(97,plain,(
    ! [A: $o] :
      ( ( p @ ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(38,axiom,(
    ! [A: del,B: $i > $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( lam @ A @ B ) @ C )
        = ( B @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',beta)).

thf(188,plain,(
    ! [A: del,B: $i > $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( lam @ A @ B ) @ C )
        = ( B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(41,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( B = B )
        = $true ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2EREFL__CLAUSE)).

thf(193,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).

thf(25,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Eoption_2Eoption__ABS @ A ) @ ( arr @ ( ty_2Esum_2Esum @ A @ ty_2Eone_2Eone ) @ ( ty_2Eoption_2Eoption @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Eoption_2Eoption__ABS)).

thf(134,plain,(
    ! [A: del] :
      ( mem @ ( c_2Eoption_2Eoption__ABS @ A ) @ ( arr @ ( ty_2Esum_2Esum @ A @ ty_2Eone_2Eone ) @ ( ty_2Eoption_2Eoption @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(4,axiom,
    ( ( inj__o @ fo__c_2Ebool_2EF )
    = c_2Ebool_2EF ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2EF)).

thf(73,plain,
    ( ( inj__o @ fo__c_2Ebool_2EF )
    = c_2Ebool_2EF ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(17,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Eone_2Eone )
     => ( A
        = ( inj__ty_2Eone_2Eone @ ( surj__ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_ty_2Eone_2Eone)).

thf(105,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Eone_2Eone )
     => ( A
        = ( inj__ty_2Eone_2Eone @ ( surj__ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(28,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',funcext)).

thf(148,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(1,conjecture,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( ( ap @ ( c_2Eoption_2ESOME @ A ) @ B )
              = ( ap @ ( c_2Eoption_2ESOME @ A ) @ C ) )
            = ( B = C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Eoption_2ESOME__11)).

thf(2,negated_conjecture,(
    ~ ! [A: del,B: $i] :
        ( ( mem @ B @ A )
       => ! [C: $i] :
            ( ( mem @ C @ A )
           => ( ( ( ap @ ( c_2Eoption_2ESOME @ A ) @ B )
                = ( ap @ ( c_2Eoption_2ESOME @ A ) @ C ) )
              = ( B = C ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(45,plain,(
    ~ ! [A: del,B: $i] :
        ( ( mem @ B @ A )
       => ! [C: $i] :
            ( ( mem @ C @ A )
           => ( ( ( ap @ ( c_2Eoption_2ESOME @ A ) @ B )
                = ( ap @ ( c_2Eoption_2ESOME @ A ) @ C ) )
              = ( B = C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(35,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( p @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_o)).

thf(180,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( p @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(32,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Esum_2EINR @ A @ B ) @ ( arr @ B @ ( ty_2Esum_2Esum @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Esum_2EINR)).

thf(176,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Esum_2EINR @ A @ B ) @ ( arr @ B @ ( ty_2Esum_2Esum @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(39,axiom,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D_3D_3E)).

thf(191,plain,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).

thf(20,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(118,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(8,axiom,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2ET)).

thf(81,plain,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(6,axiom,(
    ! [A: tp__ty_2Eone_2Eone] :
      ( ( surj__ty_2Eone_2Eone @ ( inj__ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_ty_2Eone_2Eone)).

thf(76,plain,(
    ! [A: tp__ty_2Eone_2Eone] :
      ( ( surj__ty_2Eone_2Eone @ ( inj__ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(18,axiom,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_2F_5C)).

thf(108,plain,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(31,axiom,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Emin_2E_3D_3D_3E)).

thf(167,plain,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(30,axiom,(
    ! [A: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_7E @ A ) )
      = ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_7E)).

thf(162,plain,(
    ! [A: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_7E @ A ) )
      = ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(22,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(123,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(42,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( c_2Eoption_2ESOME @ A ) @ B )
        = ( ap @ ( c_2Eoption_2Eoption__ABS @ A ) @ ( ap @ ( c_2Esum_2EINL @ A @ ty_2Eone_2Eone ) @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_thm_2Eoption_2ESOME__DEF)).

thf(194,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( c_2Eoption_2ESOME @ A ) @ B )
        = ( ap @ ( c_2Eoption_2Eoption__ABS @ A ) @ ( ap @ ( c_2Esum_2EINL @ A @ ty_2Eone_2Eone ) @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).

thf(27,axiom,(
    ! [A: del,B: del,C: $i > $i] :
      ( ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( C @ D ) @ B ) )
     => ( mem @ ( lam @ A @ C ) @ ( arr @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',lam_tp)).

thf(145,plain,(
    ! [A: del,B: del,C: $i > $i] :
      ( ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( C @ D ) @ B ) )
     => ( mem @ ( lam @ A @ C ) @ ( arr @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(3,axiom,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) )
     => ( ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ A ) ) )
       => ( ( p @ ( inj__o @ A ) )
          = ( p @ ( inj__o @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__ANTISYM__AX)).

thf(50,plain,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) )
     => ( ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ A ) ) )
       => ( ( p @ ( inj__o @ A ) )
          = ( p @ ( inj__o @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(44,axiom,(
    ! [A: del] :
      ( ! [B: $i] :
          ( ( mem @ B @ ( ty_2Eoption_2Eoption @ A ) )
         => ( ( ap @ ( c_2Eoption_2Eoption__ABS @ A ) @ ( ap @ ( c_2Eoption_2Eoption__REP @ A ) @ B ) )
            = B ) )
      & ! [B: $i] :
          ( ( mem @ B @ ( ty_2Esum_2Esum @ A @ ty_2Eone_2Eone ) )
         => ( ( p
              @ ( ap
                @ ( lam @ ( ty_2Esum_2Esum @ A @ ty_2Eone_2Eone )
                  @ ^ [C: $i] :
                      ( inj__o @ fo__c_2Ebool_2ET ) )
                @ B ) )
            = ( ( ap @ ( c_2Eoption_2Eoption__REP @ A ) @ ( ap @ ( c_2Eoption_2Eoption__ABS @ A ) @ B ) )
              = B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_thm_2Eoption_2Eoption__REP__ABS__DEF)).

thf(199,plain,(
    ! [A: del] :
      ( ! [B: $i] :
          ( ( mem @ B @ ( ty_2Eoption_2Eoption @ A ) )
         => ( ( ap @ ( c_2Eoption_2Eoption__ABS @ A ) @ ( ap @ ( c_2Eoption_2Eoption__REP @ A ) @ B ) )
            = B ) )
      & ! [B: $i] :
          ( ( mem @ B @ ( ty_2Esum_2Esum @ A @ ty_2Eone_2Eone ) )
         => ( ( p
              @ ( ap
                @ ( lam @ ( ty_2Esum_2Esum @ A @ ty_2Eone_2Eone )
                  @ ^ [C: $i] :
                      ( inj__o @ fo__c_2Ebool_2ET ) )
                @ B ) )
            = ( ( ap @ ( c_2Eoption_2Eoption__REP @ A ) @ ( ap @ ( c_2Eoption_2Eoption__ABS @ A ) @ B ) )
              = B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).

thf(24,axiom,(
    ! [A: del,B: del] :
      ( ! [C: $i] :
          ( ( mem @ C @ A )
         => ! [D: $i] :
              ( ( mem @ D @ A )
             => ( ( ( ap @ ( c_2Esum_2EINL @ A @ B ) @ D )
                  = ( ap @ ( c_2Esum_2EINL @ A @ B ) @ C ) )
                = ( D = C ) ) ) )
      & ! [C: $i] :
          ( ( mem @ C @ B )
         => ! [D: $i] :
              ( ( mem @ D @ B )
             => ( ( ( ap @ ( c_2Esum_2EINR @ A @ B ) @ D )
                  = ( ap @ ( c_2Esum_2EINR @ A @ B ) @ C ) )
                = ( D = C ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Esum_2EINR__INL__11)).

thf(127,plain,(
    ! [A: del,B: del] :
      ( ! [C: $i] :
          ( ( mem @ C @ A )
         => ! [D: $i] :
              ( ( mem @ D @ A )
             => ( ( ( ap @ ( c_2Esum_2EINL @ A @ B ) @ D )
                  = ( ap @ ( c_2Esum_2EINL @ A @ B ) @ C ) )
                = ( D = C ) ) ) )
      & ! [C: $i] :
          ( ( mem @ C @ B )
         => ! [D: $i] :
              ( ( mem @ D @ B )
             => ( ( ( ap @ ( c_2Esum_2EINR @ A @ B ) @ D )
                  = ( ap @ ( c_2Esum_2EINR @ A @ B ) @ C ) )
                = ( D = C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(5,axiom,(
    $true ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2ETRUTH)).

thf(75,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(36,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Eoption_2Eoption__REP @ A ) @ ( arr @ ( ty_2Eoption_2Eoption @ A ) @ ( ty_2Esum_2Esum @ A @ ty_2Eone_2Eone ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Eoption_2Eoption__REP)).

thf(183,plain,(
    ! [A: del] :
      ( mem @ ( c_2Eoption_2Eoption__REP @ A ) @ ( arr @ ( ty_2Eoption_2Eoption @ A ) @ ( ty_2Esum_2Esum @ A @ ty_2Eone_2Eone ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(26,axiom,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_imp_p)).

thf(136,plain,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(7,axiom,(
    ~ ( p @ c_2Ebool_2EF ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_false_p)).

thf(79,plain,(
    ~ ( p @ c_2Ebool_2EF ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(14,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
            = ( B = C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_eq_p)).

thf(94,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
            = ( B = C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(33,axiom,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_2F_5C)).

thf(178,plain,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(12,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ap_tp)).

thf(90,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(9,axiom,(
    ! [A: $o] :
      ( ( ( $true
         => ( p @ ( inj__o @ A ) ) )
        = ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
         => $true )
        = $true )
      & ( ( $false
         => ( p @ ( inj__o @ A ) ) )
        = $true )
      & ( ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ A ) ) )
        = $true )
      & ( ( ( p @ ( inj__o @ A ) )
         => $false )
        = ( ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__CLAUSES)).

thf(83,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(398,plain,(
    $false ),
    inference(cvc4,[status(thm)],[120,153,185,125,179,84,117,85,102,192,92,197,97,188,193,134,73,105,148,45,180,176,191,118,81,76,108,167,162,123,194,145,50,199,127,75,183,136,79,94,178,90,83])).
%------------------------------------------------------------------------------
