%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:36:08 EDT 2019

% Result     : Theorem 128.61s
% Output     : CNFRefutation 128.61s
% Verified   : 
% Statistics : -

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Could not form TPTP format derivation
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.03/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.13  % CPULimit   : 300
% 0.03/0.13  % DateTime   : Tue Jul 30 14:54:12 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 2.31/1.12  % [INFO] 	 Running in sequential loop mode. 
% 3.25/1.30  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.25/1.36  % [INFO] 	 iprover registered as external prover. 
% 3.25/1.36  % [INFO] 	 e registered as external prover. 
% 3.25/1.36  % [INFO] 	 cvc4 registered as external prover. 
% 3.55/1.37  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.55/1.41  % [INFO] 	 Found a conjecture and 11 axioms. Running axiom selection ... 
% 3.55/1.45  % [INFO] 	 Axiom selection finished. Selected 11 axioms (removed 0 axioms). 
% 3.97/1.48  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 128.61/37.16  % [INFO] 	 Killing All external provers ... 
% 128.61/37.16  % Time passed: 36893ms
% 128.61/37.16  % Effective reasoning time: 36030ms
% 128.61/37.16  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 128.61/37.16  % Axioms used in derivation (11): logicdef_2E_3D, thm_2Ebool_2EREFL__CLAUSE, logicdef_2E_5C_2F, quantdef_2E_21, thm_2Ebool_2ETRUTH, logicdef_2E_3D_3D_3E, thm_2Ebool_2EFORALL__SIMP, thm_2Epair_2EUNCURRY__DEF, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 128.61/37.16  % No. of inferences in proof: 136
% 128.61/37.16  % No. of processed clauses: 44
% 128.61/37.16  % No. of generated clauses: 802
% 128.61/37.16  % No. of forward subsumed clauses: 58
% 128.61/37.16  % No. of backward subsumed clauses: 0
% 128.61/37.16  % No. of ground rewrite rules in store: 15
% 128.61/37.16  % No. of non-ground rewrite rules in store: 11
% 128.61/37.16  % No. of positive (non-rewrite) units in store: 2
% 128.61/37.16  % No. of negative (non-rewrite) units in store: 7
% 128.61/37.16  % No. of choice functions detected: 0
% 128.61/37.16  % No. of choice instantiations: 0
% 128.61/37.16  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 36893 ms resp. 36030 ms w/o parsing
% 128.61/37.23  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 128.61/37.23  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 128.61/37.23  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 128.61/37.23  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 128.61/37.23  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 128.61/37.23  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 128.61/37.23  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 128.61/37.23  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 128.61/37.23  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 128.61/37.23  thf(c_2Epair_2EUNCURRY_type, type, c_2Epair_2EUNCURRY: !>[TA: $tType,TB: $tType,TC: $tType]: ((TA > (TB > TC)) > ((tyop_2Epair_2Eprod @ TA @ TB) > TC))).
% 128.61/37.23  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 128.61/37.23  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 128.61/37.23  thf(skt1_type, type, skt1: $tType).
% 128.61/37.23  thf(skt2_type, type, skt2: $tType).
% 128.61/37.23  thf(skt3_type, type, skt3: $tType).
% 128.61/37.23  thf(sk1_type, type, sk1: (skt1 > (skt2 > skt3))).
% 128.61/37.23  thf(sk2_type, type, sk2: (((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3) > skt1)).
% 128.61/37.23  thf(sk3_type, type, sk3: (((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3) > skt2)).
% 128.61/37.23  thf(3,axiom,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC)),B:TA,C:TB]: ((c_2Epair_2EUNCURRY @ TA @ TB @ TC @ A @ (c_2Epair_2E_2C @ TA @ TB @ B @ C)) = (A @ B @ C))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2EUNCURRY__DEF)).
% 128.61/37.23  thf(17,plain,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC)),B:TA,C:TB]: ((c_2Epair_2EUNCURRY @ TA @ TB @ TC @ (A) @ (c_2Epair_2E_2C @ TA @ TB @ B @ C)) = (A @ B @ C))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 128.61/37.23  thf(18,plain,(! [TA:$tType,TB:$tType,TC:$tType,C:TB,B:TC,A:(TC > (TB > TA))] : (((c_2Epair_2EUNCURRY @ TC @ TB @ TA @ (A) @ (c_2Epair_2E_2C @ TC @ TB @ B @ C)) = (A @ B @ C)))),inference(cnf,[status(esa)],[17])).
% 128.61/37.23  thf(19,plain,(! [TA:$tType,TB:$tType,TC:$tType,C:TB,B:TC,A:(TC > (TB > TA))] : (((c_2Epair_2EUNCURRY @ TC @ TB @ TA @ (A) @ (c_2Epair_2E_2C @ TC @ TB @ B @ C)) = (A @ B @ C)))),inference(lifteq,[status(thm)],[18])).
% 128.61/37.23  thf(1,conjecture,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC))]: ? [B:((tyop_2Epair_2Eprod @ TA @ TB) > TC)]: ! [C:TA,D:TB]: ((B @ (c_2Epair_2E_2C @ TA @ TB @ C @ D)) = (A @ C @ D))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2Epair__Axiom)).
% 128.61/37.23  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC))]: ? [B:((tyop_2Epair_2Eprod @ TA @ TB) > TC)]: ! [C:TA,D:TB]: ((B @ (c_2Epair_2E_2C @ TA @ TB @ C @ D)) = (A @ C @ D)))))),inference(neg_conjecture,[status(cth)],[1])).
% 128.61/37.23  thf(14,plain,((~ (! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC))]: ? [B:((tyop_2Epair_2Eprod @ TA @ TB) > TC)]: ! [C:TA,D:TB]: ((B @ (c_2Epair_2E_2C @ TA @ TB @ C @ D)) = (A @ C @ D)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 128.61/37.23  thf(15,plain,(! [A:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3)] : ((~ ((A @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (A)) @ (sk3 @ (A)))) = (sk1 @ (sk2 @ (A)) @ (sk3 @ (A))))))),inference(cnf,[status(esa)],[14])).
% 128.61/37.23  thf(16,plain,(! [A:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3)] : (((A @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (A)) @ (sk3 @ (A)))) != (sk1 @ (sk2 @ (A)) @ (sk3 @ (A)))))),inference(lifteq,[status(thm)],[15])).
% 128.61/37.23  thf(88,plain,(! [TA:$tType,TB:$tType,D:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),C:TA,B:TB,A:(TB > (TA > skt1))] : (((D @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (c_2Epair_2EUNCURRY @ TB @ TA @ skt1 @ (A) @ (c_2Epair_2E_2C @ TB @ TA @ B @ C)) @ (sk3 @ (D)))) != (sk1 @ (sk2 @ (D)) @ (sk3 @ (D)))) | ((A @ B @ C) != (sk2 @ (D))))),inference(paramod_ordered,[status(thm)],[19,16])).
% 128.61/37.23  thf(106,plain,(! [TA:$tType,TB:$tType,C:(TB > (TA > ((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3))),B:TA,A:TB] : (((C @ A @ B @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (c_2Epair_2EUNCURRY @ TB @ TA @ skt1 @ (^ [D:TB,E:TA]: (sk2 @ (C @ D @ E))) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B)) @ (sk3 @ (C @ A @ B)))) != (sk1 @ (sk2 @ (C @ A @ B)) @ (sk3 @ (C @ A @ B)))))),inference(pre_uni,[status(thm)],[88:[bind(A, $thf(^ [F:T@,G:T?]: (sk2 @ (E @ F @ G)))),bind(B, $thf(B)),bind(C, $thf(C)),bind(D, $thf(E @ B @ C))]])).
% 128.61/37.23  thf(138,plain,(! [TA:$tType,TB:$tType,C:(TB > (TA > ((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3))),B:TA,A:TB] : (((C @ A @ B @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (c_2Epair_2EUNCURRY @ TB @ TA @ skt1 @ (^ [D:TB,E:TA]: (sk2 @ (C @ D @ E))) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B)) @ (sk3 @ (C @ A @ B)))) != (sk1 @ (sk2 @ (C @ A @ B)) @ (sk3 @ (C @ A @ B)))))),inference(simp,[status(thm)],[106])).
% 128.61/37.23  thf(11,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 128.61/37.23  thf(43,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 128.61/37.23  thf(44,plain,(((c_2Ebool_2E_7E @ $true) = (~ ($true)))),inference(instance,[status(thm)],[43])).
% 128.61/37.23  thf(45,plain,((~ (c_2Ebool_2E_7E @ $true))),inference(simp,[status(thm)],[44])).
% 128.61/37.23  thf(83,plain,(! [TA:$tType,TB:$tType,C:TA,B:TB,A:(TB > (TA > $o))] : ((~ (c_2Epair_2EUNCURRY @ TB @ TA @ $o @ (A) @ (c_2Epair_2E_2C @ TB @ TA @ B @ C))) | ((A @ B @ C) != (c_2Ebool_2E_7E @ $true)))),inference(paramod_ordered,[status(thm)],[19,45])).
% 128.61/37.23  thf(133,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : ((~ (c_2Epair_2EUNCURRY @ TB @ TA @ $o @ (^ [C:TB,D:TA]: (c_2Ebool_2E_7E @ $true)) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B))))),inference(pre_uni,[status(thm)],[83:[bind(A, $thf(^ [D:T@,E:T?]: (c_2Ebool_2E_7E @ $true))),bind(B, $thf(B)),bind(C, $thf(C))]])).
% 128.61/37.23  thf(141,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : ((~ (c_2Epair_2EUNCURRY @ TB @ TA @ $o @ (^ [C:TB,D:TA]: (c_2Ebool_2E_7E @ $true)) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B))))),inference(simp,[status(thm)],[133])).
% 128.61/37.23  thf(142,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : ((~ (c_2Epair_2EUNCURRY @ TB @ TA @ $o @ (^ [C:TB,D:TA]: ($false)) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B))))),inference(rewrite,[status(thm)],[141,45])).
% 128.61/37.23  thf(372,plain,(! [TA:$tType,TB:$tType,TD:$tType,TE:$tType,E:T@,D:TA,C:TC,B:TD,A:(TD > (TC > (tyop_2Epair_2Eprod @ TA @ T@)))] : ((~ (c_2Epair_2EUNCURRY @ TA @ T@ @ $o @ (^ [F:TA,G:T@]: ($false)) @ (c_2Epair_2EUNCURRY @ TD @ TC @ (tyop_2Epair_2Eprod @ TA @ T@) @ (A) @ (c_2Epair_2E_2C @ TD @ TC @ B @ C)))) | ((A @ B @ C) != (c_2Epair_2E_2C @ TA @ T@ @ D @ E)))),inference(paramod_ordered,[status(thm)],[19,142])).
% 128.61/37.23  thf(373,plain,(! [TA:$tType,TB:$tType,TD:$tType,TE:$tType,D:(TD > (TC > T@)),C:(TD > (TC > TA)),B:TC,A:TD] : ((~ (c_2Epair_2EUNCURRY @ TA @ T@ @ $o @ (^ [E:TA,F:T@]: ($false)) @ (c_2Epair_2EUNCURRY @ TD @ TC @ (tyop_2Epair_2Eprod @ TA @ T@) @ (^ [E:TD,F:TC]: (c_2Epair_2E_2C @ TA @ T@ @ (C @ E @ F) @ (D @ E @ F))) @ (c_2Epair_2E_2C @ TD @ TC @ A @ B)))))),inference(pre_uni,[status(thm)],[372:[bind(A, $thf(^ [H:T@,I:T?]: (c_2Epair_2E_2C @ T= @ T< @ (F @ H @ I) @ (G @ H @ I)))),bind(B, $thf(B)),bind(C, $thf(C)),bind(D, $thf(F @ B @ C)),bind(E, $thf(G @ B @ C))]])).
% 128.61/37.23  thf(384,plain,(! [TA:$tType,TB:$tType,TC:$tType,TD:$tType,D:(TD > (TC > TA)),C:(TD > (TC > TB)),B:TC,A:TD] : ((~ (c_2Epair_2EUNCURRY @ TB @ TA @ $o @ (^ [E:TB,F:TA]: ($false)) @ (c_2Epair_2EUNCURRY @ TD @ TC @ (tyop_2Epair_2Eprod @ TB @ TA) @ (^ [E:TD,F:TC]: (c_2Epair_2E_2C @ TB @ TA @ (C @ E @ F) @ (D @ E @ F))) @ (c_2Epair_2E_2C @ TD @ TC @ A @ B)))))),inference(simp,[status(thm)],[373])).
% 128.61/37.23  thf(12,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 128.61/37.23  thf(48,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 128.61/37.23  thf(55,plain,(((c_2Ebool_2E_5C_2F @ $false @ $false) = (($false) | ($false)))),inference(instance,[status(thm)],[48])).
% 128.61/37.23  thf(56,plain,((~ (c_2Ebool_2E_5C_2F @ $false @ $false))),inference(simp,[status(thm)],[55])).
% 128.61/37.23  thf(91,plain,(! [TA:$tType,TB:$tType,D:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),C:TA,B:TB,A:(TB > (TA > skt1))] : (((sk1 @ (c_2Epair_2EUNCURRY @ TB @ TA @ skt1 @ (A) @ (c_2Epair_2E_2C @ TB @ TA @ B @ C)) @ (sk3 @ (D))) != (D @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (D)) @ (sk3 @ (D))))) | ((A @ B @ C) != (sk2 @ (D))))),inference(paramod_ordered,[status(thm)],[19,16])).
% 128.61/37.23  thf(122,plain,(! [TA:$tType,TB:$tType,C:(TB > (TA > ((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3))),B:TA,A:TB] : (((sk1 @ (c_2Epair_2EUNCURRY @ TB @ TA @ skt1 @ (^ [D:TB,E:TA]: (sk2 @ (C @ D @ E))) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B)) @ (sk3 @ (C @ A @ B))) != (C @ A @ B @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (C @ A @ B)) @ (sk3 @ (C @ A @ B))))))),inference(pre_uni,[status(thm)],[91:[bind(A, $thf(^ [F:T@,G:T?]: (sk2 @ (E @ F @ G)))),bind(B, $thf(B)),bind(C, $thf(C)),bind(D, $thf(E @ B @ C))]])).
% 128.61/37.23  thf(174,plain,(! [TA:$tType,TB:$tType,C:(TB > (TA > ((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3))),B:TA,A:TB] : (((sk1 @ (c_2Epair_2EUNCURRY @ TB @ TA @ skt1 @ (^ [D:TB,E:TA]: (sk2 @ (C @ D @ E))) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B)) @ (sk3 @ (C @ A @ B))) != (C @ A @ B @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (C @ A @ B)) @ (sk3 @ (C @ A @ B))))))),inference(simp,[status(thm)],[122])).
% 128.61/37.23  thf(10,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 128.61/37.23  thf(34,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 128.61/37.23  thf(41,plain,(((c_2Emin_2E_3D_3D_3E @ $false @ $false) = (($false) => ($false)))),inference(instance,[status(thm)],[34])).
% 128.61/37.23  thf(42,plain,((c_2Emin_2E_3D_3D_3E @ $false @ $false)),inference(simp,[status(thm)],[41])).
% 128.61/37.23  thf(6,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 128.61/37.23  thf(24,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 128.61/37.23  thf(7,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 128.61/37.23  thf(25,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 128.61/37.23  thf(51,plain,(((c_2Ebool_2E_5C_2F @ $true @ $false) = (($true) | ($false)))),inference(instance,[status(thm)],[48])).
% 128.61/37.23  thf(52,plain,((c_2Ebool_2E_5C_2F @ $true @ $false)),inference(simp,[status(thm)],[51])).
% 128.61/37.23  thf(89,plain,(! [TA:$tType,TB:$tType,D:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),C:TA,B:TB,A:(TB > (TA > skt3))] : (((c_2Epair_2EUNCURRY @ TB @ TA @ skt3 @ (A) @ (c_2Epair_2E_2C @ TB @ TA @ B @ C)) != (sk1 @ (sk2 @ (D)) @ (sk3 @ (D)))) | ((A @ B @ C) != (D @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (D)) @ (sk3 @ (D))))))),inference(paramod_ordered,[status(thm)],[19,16])).
% 128.61/37.23  thf(110,plain,(! [TA:$tType,TB:$tType,D:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),C:TA,B:TB,A:(TB > (TA > skt3))] : (((c_2Epair_2EUNCURRY @ TB @ TA @ skt3 @ (A) @ (c_2Epair_2E_2C @ TB @ TA @ B @ C)) != (sk1 @ (sk2 @ (D)) @ (sk3 @ (D)))) | ((A @ B @ C) != (D @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (D)) @ (sk3 @ (D))))))),inference(pre_uni,[status(thm)],[89:[]])).
% 128.61/37.23  thf(92,plain,(! [TA:$tType,TB:$tType,D:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),C:TA,B:TB,A:(TB > (TA > skt2))] : (((sk1 @ (sk2 @ (D)) @ (c_2Epair_2EUNCURRY @ TB @ TA @ skt2 @ (A) @ (c_2Epair_2E_2C @ TB @ TA @ B @ C))) != (D @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (D)) @ (sk3 @ (D))))) | ((A @ B @ C) != (sk3 @ (D))))),inference(paramod_ordered,[status(thm)],[19,16])).
% 128.61/37.23  thf(113,plain,(! [TA:$tType,TB:$tType,C:(TB > (TA > ((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3))),B:TA,A:TB] : (((sk1 @ (sk2 @ (C @ A @ B)) @ (c_2Epair_2EUNCURRY @ TB @ TA @ skt2 @ (^ [D:TB,E:TA]: (sk3 @ (C @ D @ E))) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B))) != (C @ A @ B @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (C @ A @ B)) @ (sk3 @ (C @ A @ B))))))),inference(pre_uni,[status(thm)],[92:[bind(A, $thf(^ [F:T@,G:T?]: (sk3 @ (E @ F @ G)))),bind(B, $thf(B)),bind(C, $thf(C)),bind(D, $thf(E @ B @ C))]])).
% 128.61/37.23  thf(157,plain,(! [TA:$tType,TB:$tType,C:(TB > (TA > ((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3))),B:TA,A:TB] : (((sk1 @ (sk2 @ (C @ A @ B)) @ (c_2Epair_2EUNCURRY @ TB @ TA @ skt2 @ (^ [D:TB,E:TA]: (sk3 @ (C @ D @ E))) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B))) != (C @ A @ B @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (C @ A @ B)) @ (sk3 @ (C @ A @ B))))))),inference(simp,[status(thm)],[113])).
% 128.61/37.23  thf(4,axiom,((! [TA: $tType]: (! [A:TA]: ((A = A) = c_2Ebool_2ET)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).
% 128.61/37.23  thf(20,plain,((! [TA: $tType]: (c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 128.61/37.23  thf(13,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 128.61/37.23  thf(57,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 128.61/37.23  thf(60,plain,(((c_2Ebool_2E_2F_5C @ $true @ $false) = (($true) & ($false)))),inference(instance,[status(thm)],[57])).
% 128.61/37.23  thf(61,plain,((~ (c_2Ebool_2E_2F_5C @ $true @ $false))),inference(simp,[status(thm)],[60])).
% 128.61/37.23  thf(39,plain,(((c_2Emin_2E_3D_3D_3E @ $false @ $true) = (($false) => ($true)))),inference(instance,[status(thm)],[34])).
% 128.61/37.23  thf(40,plain,((c_2Emin_2E_3D_3D_3E @ $false @ $true)),inference(simp,[status(thm)],[39])).
% 128.61/37.23  thf(96,plain,(! [TA:$tType,TB:$tType,C:TA,B:TB,A:(TB > (TA > $o))] : ((c_2Epair_2EUNCURRY @ TB @ TA @ $o @ (A) @ (c_2Epair_2E_2C @ TB @ TA @ B @ C)) | ((c_2Emin_2E_3D_3D_3E @ $false @ $true) != (A @ B @ C)))),inference(paramod_ordered,[status(thm)],[40,19])).
% 128.61/37.23  thf(116,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : ((c_2Epair_2EUNCURRY @ TB @ TA @ $o @ (^ [C:TB,D:TA]: (c_2Emin_2E_3D_3D_3E @ $false @ $true)) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B)))),inference(pre_uni,[status(thm)],[96:[bind(A, $thf(^ [D:T@,E:T?]: (c_2Emin_2E_3D_3D_3E @ $false @ $true))),bind(B, $thf(B)),bind(C, $thf(C))]])).
% 128.61/37.23  thf(143,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : ((c_2Epair_2EUNCURRY @ TB @ TA @ $o @ (^ [C:TB,D:TA]: (c_2Emin_2E_3D_3D_3E @ $false @ $true)) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B)))),inference(simp,[status(thm)],[116])).
% 128.61/37.23  thf(144,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : ((c_2Epair_2EUNCURRY @ TB @ TA @ $o @ (^ [C:TB,D:TA]: ($true)) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B)))),inference(rewrite,[status(thm)],[143,40])).
% 128.61/37.23  thf(397,plain,(! [TA:$tType,TB:$tType,TD:$tType,TE:$tType,E:T@,D:TA,C:TC,B:TD,A:(TD > (TC > (tyop_2Epair_2Eprod @ TA @ T@)))] : ((c_2Epair_2EUNCURRY @ TA @ T@ @ $o @ (^ [F:TA,G:T@]: ($true)) @ (c_2Epair_2EUNCURRY @ TD @ TC @ (tyop_2Epair_2Eprod @ TA @ T@) @ (A) @ (c_2Epair_2E_2C @ TD @ TC @ B @ C))) | ((A @ B @ C) != (c_2Epair_2E_2C @ TA @ T@ @ D @ E)))),inference(paramod_ordered,[status(thm)],[19,144])).
% 128.61/37.23  thf(399,plain,(! [TA:$tType,TB:$tType,TD:$tType,TE:$tType,D:(TD > (TC > T@)),C:(TD > (TC > TA)),B:TC,A:TD] : ((c_2Epair_2EUNCURRY @ TA @ T@ @ $o @ (^ [E:TA,F:T@]: ($true)) @ (c_2Epair_2EUNCURRY @ TD @ TC @ (tyop_2Epair_2Eprod @ TA @ T@) @ (^ [E:TD,F:TC]: (c_2Epair_2E_2C @ TA @ T@ @ (C @ E @ F) @ (D @ E @ F))) @ (c_2Epair_2E_2C @ TD @ TC @ A @ B))))),inference(pre_uni,[status(thm)],[397:[bind(A, $thf(^ [H:T@,I:T?]: (c_2Epair_2E_2C @ T= @ T< @ (F @ H @ I) @ (G @ H @ I)))),bind(B, $thf(B)),bind(C, $thf(C)),bind(D, $thf(F @ B @ C)),bind(E, $thf(G @ B @ C))]])).
% 128.61/37.23  thf(411,plain,(! [TA:$tType,TB:$tType,TC:$tType,TD:$tType,D:(TD > (TC > TA)),C:(TD > (TC > TB)),B:TC,A:TD] : ((c_2Epair_2EUNCURRY @ TB @ TA @ $o @ (^ [E:TB,F:TA]: ($true)) @ (c_2Epair_2EUNCURRY @ TD @ TC @ (tyop_2Epair_2Eprod @ TB @ TA) @ (^ [E:TD,F:TC]: (c_2Epair_2E_2C @ TB @ TA @ (C @ E @ F) @ (D @ E @ F))) @ (c_2Epair_2E_2C @ TD @ TC @ A @ B))))),inference(simp,[status(thm)],[399])).
% 128.61/37.23  thf(49,plain,(((c_2Ebool_2E_5C_2F @ $true @ $true) = (($true) | ($true)))),inference(instance,[status(thm)],[48])).
% 128.61/37.23  thf(50,plain,((c_2Ebool_2E_5C_2F @ $true @ $true)),inference(simp,[status(thm)],[49])).
% 128.61/37.23  thf(283,plain,(! [TA:$tType,TB:$tType,TD:$tType,TE:$tType,G:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),F:T@,E:TA,D:(TA > (T@ > skt3)),C:TC,B:TD,A:(TD > (TC > skt3))] : (((A @ B @ C) != (sk1 @ (sk2 @ (G)) @ (sk3 @ (G)))) | ((D @ E @ F) != (G @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (G)) @ (sk3 @ (G))))) | ((c_2Epair_2EUNCURRY @ TD @ TC @ skt3 @ (A) @ (c_2Epair_2E_2C @ TD @ TC @ B @ C)) != (c_2Epair_2EUNCURRY @ TA @ T@ @ skt3 @ (D) @ (c_2Epair_2E_2C @ TA @ T@ @ E @ F))))),inference(paramod_ordered,[status(thm)],[19,110])).
% 128.61/37.23  thf(284,plain,(! [TD:$tType,TE:$tType,D:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),C:T>,B:T?,A:(T? > (T> > skt3))] : (((A @ B @ C) != (sk1 @ (sk2 @ (D)) @ (sk3 @ (D)))) | ((A @ B @ C) != (D @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (D)) @ (sk3 @ (D))))))),inference(pattern_uni,[status(thm)],[283:[bind(A, $thf(A)),bind(B, $thf(B)),bind(C, $thf(C)),bind(D, $thf(A)),bind(E, $thf(B)),bind(F, $thf(C))]])).
% 128.61/37.23  thf(297,plain,(! [TA:$tType,TB:$tType,D:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),C:TA,B:TB,A:(TB > (TA > skt3))] : (((A @ B @ C) != (sk1 @ (sk2 @ (D)) @ (sk3 @ (D)))) | ((A @ B @ C) != (D @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (D)) @ (sk3 @ (D))))))),inference(simp,[status(thm)],[284])).
% 128.61/37.23  thf(308,plain,(! [TA:$tType,TB:$tType,D:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),C:TA,B:TB,A:(TB > (TA > skt3))] : (((A @ B @ C) != (sk1 @ (sk2 @ (D)) @ (sk3 @ (D)))) | ((A @ B @ C) != (A @ B @ C)) | ((D @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (D)) @ (sk3 @ (D)))) != (sk1 @ (sk2 @ (D)) @ (sk3 @ (D)))))),inference(eqfactor_ordered,[status(thm)],[297])).
% 128.61/37.23  thf(310,plain,(! [TA:$tType,TB:$tType,D:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),C:TA,B:TB,A:(TB > (TA > skt3))] : (((A @ B @ C) != (sk1 @ (sk2 @ (D)) @ (sk3 @ (D)))) | ((D @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (D)) @ (sk3 @ (D)))) != (sk1 @ (sk2 @ (D)) @ (sk3 @ (D)))))),inference(simp,[status(thm)],[308])).
% 128.61/37.23  thf(422,plain,(! [TA:$tType,TB:$tType,TD:$tType,TE:$tType,G:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),F:T@,E:TA,D:(TA > (T@ > skt3)),C:TC,B:TD,A:(TD > (TC > skt3))] : (((A @ B @ C) != (sk1 @ (sk2 @ (G)) @ (sk3 @ (G)))) | ((G @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (G)) @ (sk3 @ (G)))) != (sk1 @ (sk2 @ (G)) @ (sk3 @ (G)))) | ((c_2Epair_2EUNCURRY @ TD @ TC @ skt3 @ (A) @ (c_2Epair_2E_2C @ TD @ TC @ B @ C)) != (D @ E @ F)))),inference(paramod_ordered,[status(thm)],[19,310])).
% 128.61/37.23  thf(449,plain,(! [TA:$tType,TB:$tType,TD:$tType,TE:$tType,F:(TA > (T@ > TC)),E:(TA > (T@ > TD)),D:(TA > (T@ > (TD > (TC > skt3)))),C:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),B:T@,A:TA] : (((D @ A @ B @ (E @ A @ B) @ (F @ A @ B)) != (sk1 @ (sk2 @ (C)) @ (sk3 @ (C)))) | ((C @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (C)) @ (sk3 @ (C)))) != (sk1 @ (sk2 @ (C)) @ (sk3 @ (C)))))),inference(pre_uni,[status(thm)],[422:[bind(A, $thf(H @ E @ F)),bind(B, $thf(J @ E @ F)),bind(C, $thf(K @ E @ F)),bind(D, $thf(^ [K:T=,L:T<]: (c_2Epair_2EUNCURRY @ T@ @ T? @ skt3 @ (H @ K @ L) @ (c_2Epair_2E_2C @ T@ @ T? @ (J @ K @ L) @ (K @ K @ L))))),bind(E, $thf(E)),bind(F, $thf(F)),bind(G, $thf(G))]])).
% 128.61/37.23  thf(451,plain,(! [TA:$tType,TB:$tType,TC:$tType,TD:$tType,F:(TB > (TA > TC)),E:(TB > (TA > TD)),D:(TB > (TA > (TD > (TC > skt3)))),C:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),B:TA,A:TB] : (((D @ A @ B @ (E @ A @ B) @ (F @ A @ B)) != (sk1 @ (sk2 @ (C)) @ (sk3 @ (C)))) | ((C @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (C)) @ (sk3 @ (C)))) != (sk1 @ (sk2 @ (C)) @ (sk3 @ (C)))))),inference(simp,[status(thm)],[449])).
% 128.61/37.23  thf(711,plain,(! [TB:$tType,TC:$tType,TD:$tType,F:(TA > (T@ > TB)),E:(TA > (T@ > $o)),D:(TA > (T@ > ($o > (TB > skt3)))),C:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),B:T@,A:TA] : (((D @ A @ B @ $true @ (F @ A @ B)) != (sk1 @ (sk2 @ (C)) @ (sk3 @ (C)))) | ((C @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (C)) @ (sk3 @ (C)))) != (sk1 @ (sk2 @ (C)) @ (sk3 @ (C)))) | ((c_2Ebool_2E_5C_2F @ $true @ $false) != (E @ A @ B)))),inference(paramod_ordered,[status(thm)],[52,451])).
% 128.61/37.23  thf(777,plain,(! [TB:$tType,TC:$tType,TD:$tType,E:(TA > (T@ > TB)),D:(TA > (T@ > ($o > (TB > skt3)))),C:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),B:T@,A:TA] : (((D @ A @ B @ $true @ (E @ A @ B)) != (sk1 @ (sk2 @ (C)) @ (sk3 @ (C)))) | ((C @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (C)) @ (sk3 @ (C)))) != (sk1 @ (sk2 @ (C)) @ (sk3 @ (C)))))),inference(pre_uni,[status(thm)],[711:[bind(A, $thf(A)),bind(B, $thf(B)),bind(C, $thf(C)),bind(D, $thf(D)),bind(E, $thf(^ [G:T>,H:T=]: (c_2Ebool_2E_5C_2F @ $true @ $false))),bind(F, $thf(F))]])).
% 128.61/37.23  thf(799,plain,(! [TA:$tType,TB:$tType,TC:$tType,E:(TB > (TA > TC)),D:(TB > (TA > ($o > (TC > skt3)))),C:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),B:TA,A:TB] : (((D @ A @ B @ $true @ (E @ A @ B)) != (sk1 @ (sk2 @ (C)) @ (sk3 @ (C)))) | ((C @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (C)) @ (sk3 @ (C)))) != (sk1 @ (sk2 @ (C)) @ (sk3 @ (C)))))),inference(simp,[status(thm)],[777])).
% 128.61/37.23  thf(857,plain,(! [TB:$tType,TC:$tType,E:(TA > (T@ > $o)),D:(TA > (T@ > ($o > ($o > skt3)))),C:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),B:T@,A:TA] : (((D @ A @ B @ $true @ $true) != (sk1 @ (sk2 @ (C)) @ (sk3 @ (C)))) | ((C @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (C)) @ (sk3 @ (C)))) != (sk1 @ (sk2 @ (C)) @ (sk3 @ (C)))) | ((c_2Ebool_2E_5C_2F @ $true @ $true) != (E @ A @ B)))),inference(paramod_ordered,[status(thm)],[50,799])).
% 128.61/37.23  thf(892,plain,(! [TB:$tType,TC:$tType,D:(TA > (T@ > ($o > ($o > skt3)))),C:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),B:T@,A:TA] : (((D @ A @ B @ $true @ $true) != (sk1 @ (sk2 @ (C)) @ (sk3 @ (C)))) | ((C @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (C)) @ (sk3 @ (C)))) != (sk1 @ (sk2 @ (C)) @ (sk3 @ (C)))))),inference(pre_uni,[status(thm)],[857:[bind(A, $thf(A)),bind(B, $thf(B)),bind(C, $thf(C)),bind(D, $thf(D)),bind(E, $thf(^ [F:T?,G:T>]: (c_2Ebool_2E_5C_2F @ $true @ $true)))]])).
% 128.61/37.23  thf(910,plain,(! [TA:$tType,TB:$tType,D:(TB > (TA > ($o > ($o > skt3)))),C:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),B:TA,A:TB] : (((D @ A @ B @ $true @ $true) != (sk1 @ (sk2 @ (C)) @ (sk3 @ (C)))) | ((C @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (C)) @ (sk3 @ (C)))) != (sk1 @ (sk2 @ (C)) @ (sk3 @ (C)))))),inference(simp,[status(thm)],[892])).
% 128.61/37.23  thf(8,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).
% 128.61/37.23  thf(28,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 128.61/37.23  thf(37,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $false) = (($true) => ($false)))),inference(instance,[status(thm)],[34])).
% 128.61/37.23  thf(38,plain,((~ (c_2Emin_2E_3D_3D_3E @ $true @ $false))),inference(simp,[status(thm)],[37])).
% 128.61/37.23  thf(21,plain,(c_2Ebool_2ET),inference(cnf,[status(esa)],[20])).
% 128.61/37.23  thf(9,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 128.61/37.23  thf(31,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 128.61/37.23  thf(32,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Emin_2E_3D @ TA @ A @ B) = (A = B)))),inference(cnf,[status(esa)],[31])).
% 128.61/37.23  thf(33,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Emin_2E_3D @ TA @ A @ B) = (A = B)))),inference(lifteq,[status(thm)],[32])).
% 128.61/37.23  thf(64,plain,(((c_2Ebool_2E_2F_5C @ $false @ $false) = (($false) & ($false)))),inference(instance,[status(thm)],[57])).
% 128.61/37.23  thf(65,plain,((~ (c_2Ebool_2E_2F_5C @ $false @ $false))),inference(simp,[status(thm)],[64])).
% 128.61/37.23  thf(85,plain,(! [TA:$tType,TB:$tType,D:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),C:TA,B:TB,A:(TB > (TA > skt3))] : (((A @ B @ C) != (sk1 @ (sk2 @ (D)) @ (sk3 @ (D)))) | ((c_2Epair_2EUNCURRY @ TB @ TA @ skt3 @ (A) @ (c_2Epair_2E_2C @ TB @ TA @ B @ C)) != (D @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (D)) @ (sk3 @ (D))))))),inference(paramod_ordered,[status(thm)],[19,16])).
% 128.61/37.23  thf(111,plain,(! [TA:$tType,TB:$tType,C:((tyop_2Epair_2Eprod @ skt1 @ skt2) > TA),B:((tyop_2Epair_2Eprod @ skt1 @ skt2) > TB),A:((tyop_2Epair_2Eprod @ skt1 @ skt2) > (TB > (TA > skt3)))] : (((A @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (^ [D:(tyop_2Epair_2Eprod @ skt1 @ skt2)]: (c_2Epair_2EUNCURRY @ TB @ TA @ skt3 @ (A @ D) @ (c_2Epair_2E_2C @ TB @ TA @ (B @ D) @ (C @ D))))) @ (sk3 @ (^ [D:(tyop_2Epair_2Eprod @ skt1 @ skt2)]: (c_2Epair_2EUNCURRY @ TB @ TA @ skt3 @ (A @ D) @ (c_2Epair_2E_2C @ TB @ TA @ (B @ D) @ (C @ D)))))) @ (B @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (^ [D:(tyop_2Epair_2Eprod @ skt1 @ skt2)]: (c_2Epair_2EUNCURRY @ TB @ TA @ skt3 @ (A @ D) @ (c_2Epair_2E_2C @ TB @ TA @ (B @ D) @ (C @ D))))) @ (sk3 @ (^ [D:(tyop_2Epair_2Eprod @ skt1 @ skt2)]: (c_2Epair_2EUNCURRY @ TB @ TA @ skt3 @ (A @ D) @ (c_2Epair_2E_2C @ TB @ TA @ (B @ D) @ (C @ D))))))) @ (C @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (^ [D:(tyop_2Epair_2Eprod @ skt1 @ skt2)]: (c_2Epair_2EUNCURRY @ TB @ TA @ skt3 @ (A @ D) @ (c_2Epair_2E_2C @ TB @ TA @ (B @ D) @ (C @ D))))) @ (sk3 @ (^ [D:(tyop_2Epair_2Eprod @ skt1 @ skt2)]: (c_2Epair_2EUNCURRY @ TB @ TA @ skt3 @ (A @ D) @ (c_2Epair_2E_2C @ TB @ TA @ (B @ D) @ (C @ D)))))))) != (sk1 @ (sk2 @ (^ [D:(tyop_2Epair_2Eprod @ skt1 @ skt2)]: (c_2Epair_2EUNCURRY @ TB @ TA @ skt3 @ (A @ D) @ (c_2Epair_2E_2C @ TB @ TA @ (B @ D) @ (C @ D))))) @ (sk3 @ (^ [D:(tyop_2Epair_2Eprod @ skt1 @ skt2)]: (c_2Epair_2EUNCURRY @ TB @ TA @ skt3 @ (A @ D) @ (c_2Epair_2E_2C @ TB @ TA @ (B @ D) @ (C @ D))))))))),inference(pre_uni,[status(thm)],[85:[bind(A, $thf(E @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (^ [H:(tyop_2Epair_2Eprod @ skt1 @ skt2)]: (c_2Epair_2EUNCURRY @ T@ @ T? @ skt3 @ (E @ H) @ (c_2Epair_2E_2C @ T@ @ T? @ (G @ H) @ (H @ H))))) @ (sk3 @ (^ [H:(tyop_2Epair_2Eprod @ skt1 @ skt2)]: (c_2Epair_2EUNCURRY @ T@ @ T? @ skt3 @ (E @ H) @ (c_2Epair_2E_2C @ T@ @ T? @ (G @ H) @ (H @ H)))))))),bind(B, $thf(G @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (^ [H:(tyop_2Epair_2Eprod @ skt1 @ skt2)]: (c_2Epair_2EUNCURRY @ T@ @ T? @ skt3 @ (E @ H) @ (c_2Epair_2E_2C @ T@ @ T? @ (G @ H) @ (H @ H))))) @ (sk3 @ (^ [H:(tyop_2Epair_2Eprod @ skt1 @ skt2)]: (c_2Epair_2EUNCURRY @ T@ @ T? @ skt3 @ (E @ H) @ (c_2Epair_2E_2C @ T@ @ T? @ (G @ H) @ (H @ H)))))))),bind(C, $thf(H @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (^ [H:(tyop_2Epair_2Eprod @ skt1 @ skt2)]: (c_2Epair_2EUNCURRY @ T@ @ T? @ skt3 @ (E @ H) @ (c_2Epair_2E_2C @ T@ @ T? @ (G @ H) @ (H @ H))))) @ (sk3 @ (^ [H:(tyop_2Epair_2Eprod @ skt1 @ skt2)]: (c_2Epair_2EUNCURRY @ T@ @ T? @ skt3 @ (E @ H) @ (c_2Epair_2E_2C @ T@ @ T? @ (G @ H) @ (H @ H)))))))),bind(D, $thf(^ [H:(tyop_2Epair_2Eprod @ skt1 @ skt2)]: (c_2Epair_2EUNCURRY @ T@ @ T? @ skt3 @ (E @ H) @ (c_2Epair_2E_2C @ T@ @ T? @ (G @ H) @ (H @ H)))))]])).
% 128.61/37.23  thf(173,plain,(! [TA:$tType,TB:$tType,C:((tyop_2Epair_2Eprod @ skt1 @ skt2) > TA),B:((tyop_2Epair_2Eprod @ skt1 @ skt2) > TB),A:((tyop_2Epair_2Eprod @ skt1 @ skt2) > (TB > (TA > skt3)))] : (((A @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (^ [D:(tyop_2Epair_2Eprod @ skt1 @ skt2)]: (c_2Epair_2EUNCURRY @ TB @ TA @ skt3 @ (A @ D) @ (c_2Epair_2E_2C @ TB @ TA @ (B @ D) @ (C @ D))))) @ (sk3 @ (^ [D:(tyop_2Epair_2Eprod @ skt1 @ skt2)]: (c_2Epair_2EUNCURRY @ TB @ TA @ skt3 @ (A @ D) @ (c_2Epair_2E_2C @ TB @ TA @ (B @ D) @ (C @ D)))))) @ (B @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (^ [D:(tyop_2Epair_2Eprod @ skt1 @ skt2)]: (c_2Epair_2EUNCURRY @ TB @ TA @ skt3 @ (A @ D) @ (c_2Epair_2E_2C @ TB @ TA @ (B @ D) @ (C @ D))))) @ (sk3 @ (^ [D:(tyop_2Epair_2Eprod @ skt1 @ skt2)]: (c_2Epair_2EUNCURRY @ TB @ TA @ skt3 @ (A @ D) @ (c_2Epair_2E_2C @ TB @ TA @ (B @ D) @ (C @ D))))))) @ (C @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (^ [D:(tyop_2Epair_2Eprod @ skt1 @ skt2)]: (c_2Epair_2EUNCURRY @ TB @ TA @ skt3 @ (A @ D) @ (c_2Epair_2E_2C @ TB @ TA @ (B @ D) @ (C @ D))))) @ (sk3 @ (^ [D:(tyop_2Epair_2Eprod @ skt1 @ skt2)]: (c_2Epair_2EUNCURRY @ TB @ TA @ skt3 @ (A @ D) @ (c_2Epair_2E_2C @ TB @ TA @ (B @ D) @ (C @ D)))))))) != (sk1 @ (sk2 @ (^ [D:(tyop_2Epair_2Eprod @ skt1 @ skt2)]: (c_2Epair_2EUNCURRY @ TB @ TA @ skt3 @ (A @ D) @ (c_2Epair_2E_2C @ TB @ TA @ (B @ D) @ (C @ D))))) @ (sk3 @ (^ [D:(tyop_2Epair_2Eprod @ skt1 @ skt2)]: (c_2Epair_2EUNCURRY @ TB @ TA @ skt3 @ (A @ D) @ (c_2Epair_2E_2C @ TB @ TA @ (B @ D) @ (C @ D))))))))),inference(simp,[status(thm)],[111])).
% 128.61/37.23  thf(5,axiom,((! [TA: $tType]: (! [A:$o]: ((! [B:TA]: (A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).
% 128.61/37.23  thf(22,plain,((! [TA: $tType]: ($true))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 128.61/37.23  thf(58,plain,(((c_2Ebool_2E_2F_5C @ $true @ $true) = (($true) & ($true)))),inference(instance,[status(thm)],[57])).
% 128.61/37.23  thf(59,plain,((c_2Ebool_2E_2F_5C @ $true @ $true)),inference(simp,[status(thm)],[58])).
% 128.61/37.23  thf(26,plain,(! [TA:$tType,A:(TA > $o)] : (((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B))))),inference(cnf,[status(esa)],[25])).
% 128.61/37.23  thf(27,plain,(! [TA:$tType,A:(TA > $o)] : (((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B))))),inference(lifteq,[status(thm)],[26])).
% 128.61/37.23  thf(53,plain,(((c_2Ebool_2E_5C_2F @ $false @ $true) = (($false) | ($true)))),inference(instance,[status(thm)],[48])).
% 128.61/37.23  thf(54,plain,((c_2Ebool_2E_5C_2F @ $false @ $true)),inference(simp,[status(thm)],[53])).
% 128.61/37.23  thf(90,plain,(! [TA:$tType,TB:$tType,D:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),C:TA,B:TB,A:(TB > (TA > skt3))] : (((c_2Epair_2EUNCURRY @ TB @ TA @ skt3 @ (A) @ (c_2Epair_2E_2C @ TB @ TA @ B @ C)) != (D @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (D)) @ (sk3 @ (D))))) | ((A @ B @ C) != (sk1 @ (sk2 @ (D)) @ (sk3 @ (D)))))),inference(paramod_ordered,[status(thm)],[19,16])).
% 128.61/37.23  thf(132,plain,(! [TA:$tType,TB:$tType,D:(TB > (TA > ((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3))),C:(TB > (TA > ((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3))),B:TA,A:TB] : (((c_2Epair_2EUNCURRY @ TB @ TA @ skt3 @ (^ [E:TB,F:TA]: (sk1 @ (sk2 @ (D @ E @ F)) @ (sk3 @ (C @ E @ F)))) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B)) != (C @ A @ B @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (C @ A @ B)) @ (sk3 @ (C @ A @ B))))) | ((D @ A @ B) != (C @ A @ B)))),inference(pre_uni,[status(thm)],[90:[bind(A, $thf(^ [G:T@,H:T?]: (sk1 @ (sk2 @ (H @ G @ H)) @ (sk3 @ (G @ G @ H))))),bind(B, $thf(B)),bind(C, $thf(C)),bind(D, $thf(G @ B @ C))]])).
% 128.61/37.23  thf(140,plain,(! [TA:$tType,TB:$tType,D:(TB > (TA > ((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3))),C:(TB > (TA > ((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3))),B:TA,A:TB] : (((c_2Epair_2EUNCURRY @ TB @ TA @ skt3 @ (^ [E:TB,F:TA]: (sk1 @ (sk2 @ (D @ E @ F)) @ (sk3 @ (C @ E @ F)))) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B)) != (C @ A @ B @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (C @ A @ B)) @ (sk3 @ (C @ A @ B))))) | ((D @ A @ B) != (C @ A @ B)))),inference(simp,[status(thm)],[132])).
% 128.61/37.23  thf(86,plain,(! [TA:$tType,TB:$tType,D:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),C:TA,B:TB,A:(TB > (TA > skt2))] : (((D @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (D)) @ (c_2Epair_2EUNCURRY @ TB @ TA @ skt2 @ (A) @ (c_2Epair_2E_2C @ TB @ TA @ B @ C)))) != (sk1 @ (sk2 @ (D)) @ (sk3 @ (D)))) | ((A @ B @ C) != (sk3 @ (D))))),inference(paramod_ordered,[status(thm)],[19,16])).
% 128.61/37.23  thf(117,plain,(! [TA:$tType,TB:$tType,C:(TB > (TA > ((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3))),B:TA,A:TB] : (((C @ A @ B @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (C @ A @ B)) @ (c_2Epair_2EUNCURRY @ TB @ TA @ skt2 @ (^ [D:TB,E:TA]: (sk3 @ (C @ D @ E))) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B)))) != (sk1 @ (sk2 @ (C @ A @ B)) @ (sk3 @ (C @ A @ B)))))),inference(pre_uni,[status(thm)],[86:[bind(A, $thf(^ [F:T@,G:T?]: (sk3 @ (E @ F @ G)))),bind(B, $thf(B)),bind(C, $thf(C)),bind(D, $thf(E @ B @ C))]])).
% 128.61/37.23  thf(145,plain,(! [TA:$tType,TB:$tType,C:(TB > (TA > ((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3))),B:TA,A:TB] : (((C @ A @ B @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (C @ A @ B)) @ (c_2Epair_2EUNCURRY @ TB @ TA @ skt2 @ (^ [D:TB,E:TA]: (sk3 @ (C @ D @ E))) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B)))) != (sk1 @ (sk2 @ (C @ A @ B)) @ (sk3 @ (C @ A @ B)))))),inference(simp,[status(thm)],[117])).
% 128.61/37.23  thf(62,plain,(((c_2Ebool_2E_2F_5C @ $false @ $true) = (($false) & ($true)))),inference(instance,[status(thm)],[57])).
% 128.61/37.23  thf(63,plain,((~ (c_2Ebool_2E_2F_5C @ $false @ $true))),inference(simp,[status(thm)],[62])).
% 128.61/37.23  thf(464,plain,(! [TA:$tType,TB:$tType,TD:$tType,TE:$tType,F:(TA > (T@ > ((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3))),E:T@,D:TA,C:TC,B:TD,A:(TD > (TC > skt1))] : (((F @ D @ E @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (A @ B @ C) @ (sk3 @ (F @ D @ E)))) != (sk1 @ (sk2 @ (F @ D @ E)) @ (sk3 @ (F @ D @ E)))) | ((c_2Epair_2EUNCURRY @ TD @ TC @ skt1 @ (A) @ (c_2Epair_2E_2C @ TD @ TC @ B @ C)) != (c_2Epair_2EUNCURRY @ TA @ T@ @ skt1 @ (^ [G:TA,H:T@]: (sk2 @ (F @ G @ H))) @ (c_2Epair_2E_2C @ TA @ T@ @ D @ E))))),inference(paramod_ordered,[status(thm)],[19,138])).
% 128.61/37.23  thf(465,plain,(! [TD:$tType,TE:$tType,C:(T? > (T> > ((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3))),B:T>,A:T?] : (((C @ A @ B @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (C @ A @ B)) @ (sk3 @ (C @ A @ B)))) != (sk1 @ (sk2 @ (C @ A @ B)) @ (sk3 @ (C @ A @ B)))))),inference(pattern_uni,[status(thm)],[464:[bind(A, $thf(^ [H:T=,I:T<]: (sk2 @ (G @ H @ I)))),bind(B, $thf(B)),bind(C, $thf(C)),bind(D, $thf(B)),bind(E, $thf(C)),bind(F, $thf(G))]])).
% 128.61/37.23  thf(502,plain,(! [TA:$tType,TB:$tType,C:(TB > (TA > ((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3))),B:TA,A:TB] : (((C @ A @ B @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (C @ A @ B)) @ (sk3 @ (C @ A @ B)))) != (sk1 @ (sk2 @ (C @ A @ B)) @ (sk3 @ (C @ A @ B)))))),inference(simp,[status(thm)],[465])).
% 128.61/37.23  thf(101,plain,(! [TA:$tType,TB:$tType,TD:$tType,TE:$tType,TF:$tType,F:TA,E:TB,D:(TB > (TA > T@)),C:TD,B:TE,A:(TE > (TD > (tyop_2Epair_2Eprod @ TB @ TA)))] : (((c_2Epair_2EUNCURRY @ TB @ TA @ T@ @ (D) @ (c_2Epair_2EUNCURRY @ TE @ TD @ (tyop_2Epair_2Eprod @ TB @ TA) @ (A) @ (c_2Epair_2E_2C @ TE @ TD @ B @ C))) = (D @ E @ F)) | ((A @ B @ C) != (c_2Epair_2E_2C @ TB @ TA @ E @ F)))),inference(paramod_ordered,[status(thm)],[19,19])).
% 128.61/37.23  thf(105,plain,(! [TA:$tType,TB:$tType,TD:$tType,TE:$tType,TF:$tType,E:(TE > (TD > TA)),D:(TE > (TD > TB)),C:(TB > (TA > T@)),B:TD,A:TE] : (((c_2Epair_2EUNCURRY @ TB @ TA @ T@ @ (C) @ (c_2Epair_2EUNCURRY @ TE @ TD @ (tyop_2Epair_2Eprod @ TB @ TA) @ (^ [F:TE,G:TD]: (c_2Epair_2E_2C @ TB @ TA @ (D @ F @ G) @ (E @ F @ G))) @ (c_2Epair_2E_2C @ TE @ TD @ A @ B))) = (C @ (D @ A @ B) @ (E @ A @ B))))),inference(pre_uni,[status(thm)],[101:[bind(A, $thf(^ [I:T@,J:T?]: (c_2Epair_2E_2C @ T= @ T< @ (G @ I @ J) @ (H @ I @ J)))),bind(B, $thf(B)),bind(C, $thf(C)),bind(D, $thf(D)),bind(E, $thf(G @ B @ C)),bind(F, $thf(H @ B @ C))]])).
% 128.61/37.23  thf(154,plain,(! [TA:$tType,TB:$tType,TC:$tType,TD:$tType,TE:$tType,E:(TE > (TD > TB)),D:(TE > (TD > TC)),C:(TC > (TB > TA)),B:TD,A:TE] : (((c_2Epair_2EUNCURRY @ TC @ TB @ TA @ (C) @ (c_2Epair_2EUNCURRY @ TE @ TD @ (tyop_2Epair_2Eprod @ TC @ TB) @ (^ [F:TE,G:TD]: (c_2Epair_2E_2C @ TC @ TB @ (D @ F @ G) @ (E @ F @ G))) @ (c_2Epair_2E_2C @ TE @ TD @ A @ B))) = (C @ (D @ A @ B) @ (E @ A @ B))))),inference(simp,[status(thm)],[105])).
% 128.61/37.23  thf(956,plain,(! [TA:$tType,TB:$tType,D:(TB > (TA > ($o > ($o > skt3)))),C:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),B:TA,A:TB] : (((D @ A @ B @ $true @ $true) != (sk1 @ (sk2 @ (C)) @ (sk3 @ (C)))) | ((C @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (C)) @ (sk3 @ (C)))) != (D @ A @ B @ $true @ $true)) | ((sk1 @ (sk2 @ (C)) @ (sk3 @ (C))) != (sk1 @ (sk2 @ (C)) @ (sk3 @ (C)))))),inference(eqfactor_ordered,[status(thm)],[910])).
% 128.61/37.23  thf(961,plain,(! [TA:$tType,TB:$tType,D:(TB > (TA > ($o > ($o > skt3)))),C:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),B:TA,A:TB] : (((D @ A @ B @ $true @ $true) != (sk1 @ (sk2 @ (C)) @ (sk3 @ (C)))) | ((C @ (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (C)) @ (sk3 @ (C)))) != (D @ A @ B @ $true @ $true)))),inference(pre_uni,[status(thm)],[956:[]])).
% 128.61/37.23  thf(368,plain,(! [TA:$tType,TB:$tType,TD:$tType,TE:$tType,E:T@,D:TA,C:TC,B:TD,A:(TD > (TC > (T@ > $o)))] : ((~ (c_2Epair_2EUNCURRY @ TA @ T@ @ $o @ (^ [F:TA]: (c_2Epair_2EUNCURRY @ TD @ TC @ (T@ > $o) @ A @ (c_2Epair_2E_2C @ TD @ TC @ B @ C))) @ (c_2Epair_2E_2C @ TA @ T@ @ D @ E))) | ((A @ B @ C) != (^ [F:T@]: ($false))))),inference(paramod_ordered,[status(thm)],[19,142])).
% 128.61/37.23  thf(376,plain,(! [TA:$tType,TB:$tType,TD:$tType,TE:$tType,D:T@,C:TA,B:TC,A:TD] : ((~ (c_2Epair_2EUNCURRY @ TA @ T@ @ $o @ (^ [E:TA]: (c_2Epair_2EUNCURRY @ TD @ TC @ (T@ > $o) @ (^ [F:TD,G:TC,H:T@]: ($false)) @ (c_2Epair_2E_2C @ TD @ TC @ A @ B))) @ (c_2Epair_2E_2C @ TA @ T@ @ C @ D))))),inference(pre_uni,[status(thm)],[368:[bind(A, $thf(^ [F:T@,G:T?,H:T<]: ($false)))]])).
% 128.61/37.23  thf(378,plain,(! [TA:$tType,TB:$tType,TC:$tType,TD:$tType,D:TA,C:TB,B:TC,A:TD] : ((~ (c_2Epair_2EUNCURRY @ TB @ TA @ $o @ (^ [E:TB]: (c_2Epair_2EUNCURRY @ TD @ TC @ (TA > $o) @ (^ [F:TD,G:TC,H:TA]: ($false)) @ (c_2Epair_2E_2C @ TD @ TC @ A @ B))) @ (c_2Epair_2E_2C @ TB @ TA @ C @ D))))),inference(simp,[status(thm)],[376])).
% 128.61/37.23  thf(2054,plain,(! [TA:$tType,TB:$tType,TD:$tType,TE:$tType,TF:$tType,TG:$tType,G:T@,F:TA,E:TB,D:TC,C:TE,B:TF,A:(TF > (TE > $o))] : ((~ (A @ B @ C)) | ((c_2Epair_2EUNCURRY @ TF @ TE @ $o @ (A) @ (c_2Epair_2E_2C @ TF @ TE @ B @ C)) != (c_2Epair_2EUNCURRY @ TA @ T@ @ $o @ (^ [H:TA]: (c_2Epair_2EUNCURRY @ TC @ TB @ (T@ > $o) @ (^ [I:TC,J:TB,K:T@]: ($false)) @ (c_2Epair_2E_2C @ TC @ TB @ D @ E))) @ (c_2Epair_2E_2C @ TA @ T@ @ F @ G))))),inference(paramod_ordered,[status(thm)],[19,378])).
% 128.61/37.23  thf(2055,plain,(! [TD:$tType,TE:$tType,TG:$tType,C:T?,B:T@,A:T=] : ((~ (c_2Epair_2EUNCURRY @ T@ @ T? @ (T= > $o) @ (^ [D:T@,E:T?,F:T=]: ($false)) @ (c_2Epair_2E_2C @ T@ @ T? @ B @ C) @ A)))),inference(pattern_uni,[status(thm)],[2054:[bind(A, $thf(^ [H:T;]: (c_2Epair_2EUNCURRY @ T= @ T< @ (T: > $o) @ (^ [I:T=,J:T<,K:T:]: ($false)) @ (c_2Epair_2E_2C @ T= @ T< @ D @ E)))),bind(B, $thf(B)),bind(C, $thf(C)),bind(D, $thf(D)),bind(E, $thf(E)),bind(F, $thf(B)),bind(G, $thf(C))]])).
% 128.61/37.23  thf(2098,plain,(! [TA:$tType,TB:$tType,TC:$tType,C:TB,B:TC,A:TA] : ((~ (c_2Epair_2EUNCURRY @ TC @ TB @ (TA > $o) @ (^ [D:TC,E:TB,F:TA]: ($false)) @ (c_2Epair_2E_2C @ TC @ TB @ B @ C) @ A)))),inference(simp,[status(thm)],[2055])).
% 128.61/37.23  thf(87,plain,(! [TA:$tType,TB:$tType,D:((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3),C:TA,B:TB,A:(TB > (TA > (tyop_2Epair_2Eprod @ skt1 @ skt2)))] : (((D @ (c_2Epair_2EUNCURRY @ TB @ TA @ (tyop_2Epair_2Eprod @ skt1 @ skt2) @ (A) @ (c_2Epair_2E_2C @ TB @ TA @ B @ C))) != (sk1 @ (sk2 @ (D)) @ (sk3 @ (D)))) | ((A @ B @ C) != (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (D)) @ (sk3 @ (D)))))),inference(paramod_ordered,[status(thm)],[19,16])).
% 128.61/37.23  thf(126,plain,(! [TA:$tType,TB:$tType,D:(TB > (TA > ((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3))),C:(TB > (TA > ((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3))),B:TA,A:TB] : (((C @ A @ B @ (c_2Epair_2EUNCURRY @ TB @ TA @ (tyop_2Epair_2Eprod @ skt1 @ skt2) @ (^ [E:TB,F:TA]: (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (D @ E @ F)) @ (sk3 @ (C @ E @ F)))) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B))) != (sk1 @ (sk2 @ (C @ A @ B)) @ (sk3 @ (C @ A @ B)))) | ((D @ A @ B) != (C @ A @ B)))),inference(pre_uni,[status(thm)],[87:[bind(A, $thf(^ [G:T@,H:T?]: (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (H @ G @ H)) @ (sk3 @ (G @ G @ H))))),bind(B, $thf(B)),bind(C, $thf(C)),bind(D, $thf(G @ B @ C))]])).
% 128.61/37.23  thf(171,plain,(! [TA:$tType,TB:$tType,D:(TB > (TA > ((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3))),C:(TB > (TA > ((tyop_2Epair_2Eprod @ skt1 @ skt2) > skt3))),B:TA,A:TB] : (((C @ A @ B @ (c_2Epair_2EUNCURRY @ TB @ TA @ (tyop_2Epair_2Eprod @ skt1 @ skt2) @ (^ [E:TB,F:TA]: (c_2Epair_2E_2C @ skt1 @ skt2 @ (sk2 @ (D @ E @ F)) @ (sk3 @ (C @ E @ F)))) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B))) != (sk1 @ (sk2 @ (C @ A @ B)) @ (sk3 @ (C @ A @ B)))) | ((D @ A @ B) != (C @ A @ B)))),inference(simp,[status(thm)],[126])).
% 128.61/37.23  thf(369,plain,(! [TA:$tType,TB:$tType,TD:$tType,TE:$tType,E:T@,D:TA,C:TC,B:TD,A:(TD > (TC > (TA > (T@ > $o))))] : ((~ (c_2Epair_2EUNCURRY @ TA @ T@ @ $o @ (c_2Epair_2EUNCURRY @ TD @ TC @ (TA > (T@ > $o)) @ A @ (c_2Epair_2E_2C @ TD @ TC @ B @ C)) @ (c_2Epair_2E_2C @ TA @ T@ @ D @ E))) | ((A @ B @ C) != (^ [F:TA,G:T@]: ($false))))),inference(paramod_ordered,[status(thm)],[19,142])).
% 128.61/37.23  thf(377,plain,(! [TA:$tType,TB:$tType,TD:$tType,TE:$tType,D:T@,C:TA,B:TC,A:TD] : ((~ (c_2Epair_2EUNCURRY @ TA @ T@ @ $o @ (c_2Epair_2EUNCURRY @ TD @ TC @ (TA > (T@ > $o)) @ (^ [E:TD,F:TC,G:TA,H:T@]: ($false)) @ (c_2Epair_2E_2C @ TD @ TC @ A @ B)) @ (c_2Epair_2E_2C @ TA @ T@ @ C @ D))))),inference(pre_uni,[status(thm)],[369:[bind(A, $thf(^ [F:T@,G:T?,H:T=,I:T<]: ($false)))]])).
% 128.61/37.23  thf(381,plain,(! [TA:$tType,TB:$tType,TC:$tType,TD:$tType,D:TA,C:TB,B:TC,A:TD] : ((~ (c_2Epair_2EUNCURRY @ TB @ TA @ $o @ (c_2Epair_2EUNCURRY @ TD @ TC @ (TB > (TA > $o)) @ (^ [E:TD,F:TC,G:TB,H:TA]: ($false)) @ (c_2Epair_2E_2C @ TD @ TC @ A @ B)) @ (c_2Epair_2E_2C @ TB @ TA @ C @ D))))),inference(simp,[status(thm)],[377])).
% 128.61/37.23  thf(2178,plain,(! [TA:$tType,TB:$tType,TD:$tType,TE:$tType,TF:$tType,TG:$tType,G:T@,F:TA,E:TB,D:TC,C:TE,B:TF,A:(TF > (TE > $o))] : ((~ (A @ B @ C)) | ((c_2Epair_2EUNCURRY @ TF @ TE @ $o @ (A) @ (c_2Epair_2E_2C @ TF @ TE @ B @ C)) != (c_2Epair_2EUNCURRY @ TA @ T@ @ $o @ (c_2Epair_2EUNCURRY @ TC @ TB @ (TA > (T@ > $o)) @ (^ [H:TC,I:TB,J:TA,K:T@]: ($false)) @ (c_2Epair_2E_2C @ TC @ TB @ D @ E)) @ (c_2Epair_2E_2C @ TA @ T@ @ F @ G))))),inference(paramod_ordered,[status(thm)],[19,381])).
% 128.61/37.23  thf(2179,plain,(! [TD:$tType,TE:$tType,TF:$tType,TG:$tType,D:T@,C:TA,B:T>,A:T?] : ((~ (c_2Epair_2EUNCURRY @ TA @ T@ @ (T? > (T> > $o)) @ (^ [E:TA,F:T@,G:T?,H:T>]: ($false)) @ (c_2Epair_2E_2C @ TA @ T@ @ C @ D) @ A @ B)))),inference(pattern_uni,[status(thm)],[2178:[bind(A, $thf(c_2Epair_2EUNCURRY @ T= @ T< @ (T; > (T: > $o)) @ (^ [H:T=,I:T<,J:T;,K:T:]: ($false)) @ (c_2Epair_2E_2C @ T= @ T< @ D @ E))),bind(B, $thf(B)),bind(C, $thf(C)),bind(D, $thf(D)),bind(E, $thf(E)),bind(F, $thf(B)),bind(G, $thf(C))]])).
% 128.61/37.23  thf(2218,plain,(! [TA:$tType,TB:$tType,TC:$tType,TD:$tType,D:TC,C:TD,B:TA,A:TB] : ((~ (c_2Epair_2EUNCURRY @ TD @ TC @ (TB > (TA > $o)) @ (^ [E:TD,F:TC,G:TB,H:TA]: ($false)) @ (c_2Epair_2E_2C @ TD @ TC @ C @ D) @ A @ B)))),inference(simp,[status(thm)],[2179])).
% 128.61/37.23  thf(35,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $true) = (($true) => ($true)))),inference(instance,[status(thm)],[34])).
% 128.61/37.23  thf(36,plain,((c_2Emin_2E_3D_3D_3E @ $true @ $true)),inference(simp,[status(thm)],[35])).
% 128.61/37.23  thf(29,plain,(! [TA:$tType,A:(TA > $o)] : (((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B))))),inference(cnf,[status(esa)],[28])).
% 128.61/37.23  thf(30,plain,(! [TA:$tType,A:(TA > $o)] : (((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B))))),inference(lifteq,[status(thm)],[29])).
% 128.61/37.23  thf(46,plain,(((c_2Ebool_2E_7E @ $false) = (~ ($false)))),inference(instance,[status(thm)],[43])).
% 128.61/37.23  thf(47,plain,((c_2Ebool_2E_7E @ $false)),inference(simp,[status(thm)],[46])).
% 128.61/37.23  thf(3083,plain,($false),inference(e,[status(thm)],[138,384,56,142,174,42,24,25,52,14,110,157,20,57,61,411,910,28,38,297,21,33,65,173,34,45,17,22,59,27,54,144,451,140,799,145,48,63,310,50,16,502,31,154,43,961,2098,40,171,2218,36,30,19,47])).
% 128.61/37.23  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 128.61/37.23  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
