%------------------------------------------------------------------------------
thf(del_type,type,(
    del: $tType )).

thf(bool_type,type,(
    bool: del )).

thf(arr_type,type,(
    arr: del > del > del )).

thf(mem_type,type,(
    mem: $i > del > $o )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(lam_type,type,(
    lam: del > ( $i > $i ) > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(inj__o_type,type,(
    inj__o: $o > $i )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $i )).

thf(fo__c_2Emin_2E_3D_3D_3E_type,type,(
    fo__c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: del > $i )).

thf(ty_2Epair_2Eprod_type,type,(
    ty_2Epair_2Eprod: del > del > del )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $i )).

thf(fo__c_2Ebool_2E_2F_5C_type,type,(
    fo__c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: del > del > $i )).

thf(c_2Epair_2EPROD__ALL_type,type,(
    c_2Epair_2EPROD__ALL: del > del > $i )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: del > $i )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: del > $i )).

thf(18,axiom,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_o)).

thf(101,plain,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(22,axiom,(
    ! [A: del,B: $i > $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( lam @ A @ B ) @ C )
        = ( B @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',beta)).

thf(115,plain,(
    ! [A: del,B: $i > $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( lam @ A @ B ) @ C )
        = ( B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(8,axiom,(
    ! [A: $o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_o)).

thf(56,plain,(
    ! [A: $o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(5,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
        = ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_all_p)).

thf(42,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
        = ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(3,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ap_tp)).

thf(37,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(19,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ bool ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ B @ bool ) )
         => ! [E: $i] :
              ( ( mem @ E @ A )
             => ! [F: $i] :
                  ( ( mem @ F @ B )
                 => ( ( p @ ( ap @ ( ap @ ( ap @ ( c_2Epair_2EPROD__ALL @ A @ B ) @ C ) @ D ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ B ) @ E ) @ F ) ) )
                    = ( ( p @ ( ap @ C @ E ) )
                      & ( p @ ( ap @ D @ F ) ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Epair_2EPROD__ALL__THM)).

thf(106,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ bool ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ B @ bool ) )
         => ! [E: $i] :
              ( ( mem @ E @ A )
             => ! [F: $i] :
                  ( ( mem @ F @ B )
                 => ( ( p @ ( ap @ ( ap @ ( ap @ ( c_2Epair_2EPROD__ALL @ A @ B ) @ C ) @ D ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ B ) @ E ) @ F ) ) )
                    = ( ( p @ ( ap @ C @ E ) )
                      & ( p @ ( ap @ D @ F ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(10,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2E_2C @ A @ B ) @ ( arr @ A @ ( arr @ B @ ( ty_2Epair_2Eprod @ A @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Epair_2E_2C)).

thf(61,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2E_2C @ A @ B ) @ ( arr @ A @ ( arr @ B @ ( ty_2Epair_2Eprod @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(20,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ B ) )
        = ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_ex_p)).

thf(109,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ B ) )
        = ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(25,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_3F @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_3F)).

thf(124,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_3F @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(14,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',funcext)).

thf(77,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(6,axiom,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_2F_5C)).

thf(45,plain,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(9,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(59,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(23,axiom,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D_3D_3E)).

thf(118,plain,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(7,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(54,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(4,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
            = ( B = C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_eq_p)).

thf(39,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
            = ( B = C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(16,axiom,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Emin_2E_3D_3D_3E)).

thf(91,plain,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(21,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( p @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_o)).

thf(112,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( p @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(11,axiom,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_imp_p)).

thf(63,plain,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(12,axiom,(
    ! [A: del,B: del,C: $i > $i] :
      ( ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( C @ D ) @ B ) )
     => ( mem @ ( lam @ A @ C ) @ ( arr @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',lam_tp)).

thf(72,plain,(
    ! [A: del,B: del,C: $i > $i] :
      ( ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( C @ D ) @ B ) )
     => ( mem @ ( lam @ A @ C ) @ ( arr @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(1,conjecture,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ bool ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ bool ) )
         => ! [E: $i] :
              ( ( mem @ E @ ( arr @ B @ bool ) )
             => ! [F: $i] :
                  ( ( mem @ F @ ( arr @ B @ bool ) )
                 => ! [G: $i] :
                      ( ( mem @ G @ ( ty_2Epair_2Eprod @ A @ B ) )
                     => ( ( ! [H: $i] :
                              ( ( mem @ H @ A )
                             => ( ( p @ ( ap @ C @ H ) )
                               => ( p @ ( ap @ D @ H ) ) ) )
                          & ! [H: $i] :
                              ( ( mem @ H @ B )
                             => ( ( p @ ( ap @ E @ H ) )
                               => ( p @ ( ap @ F @ H ) ) ) ) )
                       => ( ( p @ ( ap @ ( ap @ ( ap @ ( c_2Epair_2EPROD__ALL @ A @ B ) @ C ) @ E ) @ G ) )
                         => ( p @ ( ap @ ( ap @ ( ap @ ( c_2Epair_2EPROD__ALL @ A @ B ) @ D ) @ F ) @ G ) ) ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Epair_2EPROD__ALL__MONO)).

thf(2,negated_conjecture,(
    ~ ! [A: del,B: del,C: $i] :
        ( ( mem @ C @ ( arr @ A @ bool ) )
       => ! [D: $i] :
            ( ( mem @ D @ ( arr @ A @ bool ) )
           => ! [E: $i] :
                ( ( mem @ E @ ( arr @ B @ bool ) )
               => ! [F: $i] :
                    ( ( mem @ F @ ( arr @ B @ bool ) )
                   => ! [G: $i] :
                        ( ( mem @ G @ ( ty_2Epair_2Eprod @ A @ B ) )
                       => ( ( ! [H: $i] :
                                ( ( mem @ H @ A )
                               => ( ( p @ ( ap @ C @ H ) )
                                 => ( p @ ( ap @ D @ H ) ) ) )
                            & ! [H: $i] :
                                ( ( mem @ H @ B )
                               => ( ( p @ ( ap @ E @ H ) )
                                 => ( p @ ( ap @ F @ H ) ) ) ) )
                         => ( ( p @ ( ap @ ( ap @ ( ap @ ( c_2Epair_2EPROD__ALL @ A @ B ) @ C ) @ E ) @ G ) )
                           => ( p @ ( ap @ ( ap @ ( ap @ ( c_2Epair_2EPROD__ALL @ A @ B ) @ D ) @ F ) @ G ) ) ) ) ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(26,plain,(
    ~ ! [A: del,B: del,C: $i] :
        ( ( mem @ C @ ( arr @ A @ bool ) )
       => ! [D: $i] :
            ( ( mem @ D @ ( arr @ A @ bool ) )
           => ! [E: $i] :
                ( ( mem @ E @ ( arr @ B @ bool ) )
               => ! [F: $i] :
                    ( ( mem @ F @ ( arr @ B @ bool ) )
                   => ! [G: $i] :
                        ( ( mem @ G @ ( ty_2Epair_2Eprod @ A @ B ) )
                       => ( ( ! [H: $i] :
                                ( ( mem @ H @ A )
                               => ( ( p @ ( ap @ C @ H ) )
                                 => ( p @ ( ap @ D @ H ) ) ) )
                            & ! [H: $i] :
                                ( ( mem @ H @ B )
                               => ( ( p @ ( ap @ E @ H ) )
                                 => ( p @ ( ap @ F @ H ) ) ) ) )
                         => ( ( p @ ( ap @ ( ap @ ( ap @ ( c_2Epair_2EPROD__ALL @ A @ B ) @ C ) @ E ) @ G ) )
                           => ( p @ ( ap @ ( ap @ ( ap @ ( c_2Epair_2EPROD__ALL @ A @ B ) @ D ) @ F ) @ G ) ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(13,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2EPROD__ALL @ A @ B ) @ ( arr @ ( arr @ A @ bool ) @ ( arr @ ( arr @ B @ bool ) @ ( arr @ ( ty_2Epair_2Eprod @ A @ B ) @ bool ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Epair_2EPROD__ALL)).

thf(75,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2EPROD__ALL @ A @ B ) @ ( arr @ ( arr @ A @ bool ) @ ( arr @ ( arr @ B @ bool ) @ ( arr @ ( ty_2Epair_2Eprod @ A @ B ) @ bool ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(24,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( ty_2Epair_2Eprod @ A @ B ) )
     => ? [D: $i] :
          ( ( mem @ D @ A )
          & ? [E: $i] :
              ( ( mem @ E @ B )
              & ( C
                = ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ B ) @ D ) @ E ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Epair_2EABS__PAIR__THM)).

thf(119,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( ty_2Epair_2Eprod @ A @ B ) )
     => ? [D: $i] :
          ( ( mem @ D @ A )
          & ? [E: $i] :
              ( ( mem @ E @ B )
              & ( C
                = ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ B ) @ D ) @ E ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(15,axiom,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_and_p)).

thf(82,plain,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(17,axiom,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_2F_5C)).

thf(100,plain,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(1161,plain,(
    $false ),
    inference(cvc4,[status(thm)],[101,115,56,42,37,106,61,109,124,77,45,59,118,54,39,91,112,63,72,26,75,119,82,100])).
%------------------------------------------------------------------------------
