%------------------------------------------------------------------------------
thf(del_type,type,(
    del: $tType )).

thf(bool_type,type,(
    bool: del )).

thf(arr_type,type,(
    arr: del > del > del )).

thf(mem_type,type,(
    mem: $i > del > $o )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(lam_type,type,(
    lam: del > ( $i > $i ) > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(inj__o_type,type,(
    inj__o: $o > $i )).

thf(ty_2Enum_2Enum_type,type,(
    ty_2Enum_2Enum: del )).

thf(tp__ty_2Enum_2Enum_type,type,(
    tp__ty_2Enum_2Enum: $tType )).

thf(inj__ty_2Enum_2Enum_type,type,(
    inj__ty_2Enum_2Enum: tp__ty_2Enum_2Enum > $i )).

thf(surj__ty_2Enum_2Enum_type,type,(
    surj__ty_2Enum_2Enum: $i > tp__ty_2Enum_2Enum )).

thf(c_2Enum_2ESUC_type,type,(
    c_2Enum_2ESUC: $i )).

thf(fo__c_2Enum_2ESUC_type,type,(
    fo__c_2Enum_2ESUC: tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: $i )).

thf(fo__c_2Enum_2E0_type,type,(
    fo__c_2Enum_2E0: tp__ty_2Enum_2Enum )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $i )).

thf(fo__c_2Ebool_2ET_type,type,(
    fo__c_2Ebool_2ET: $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: del > $i )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $i )).

thf(fo__c_2Ebool_2EF_type,type,(
    fo__c_2Ebool_2EF: $o )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $i )).

thf(fo__c_2Ebool_2E_2F_5C_type,type,(
    fo__c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: del > $i )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $i )).

thf(fo__c_2Ebool_2E_5C_2F_type,type,(
    fo__c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $i )).

thf(fo__c_2Ebool_2E_7E_type,type,(
    fo__c_2Ebool_2E_7E: $o > $o )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $i )).

thf(fo__c_2Emin_2E_3D_3D_3E_type,type,(
    fo__c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: del > $i )).

thf(sk1_type,type,(
    sk1: $i )).

thf(8,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
            = ( B = C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_eq_p)).

thf(88,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
            = ( B = C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(49,axiom,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_surj_o)).

thf(352,plain,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[49])).

thf(64,axiom,(
    ! [A: $o,B: $o] :
      ( ( ~ ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
       => $false )
      = ( ( ( p @ ( inj__o @ A ) )
         => $false )
       => ( ~ ( p @ ( inj__o @ B ) )
         => $false ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EOR__DUAL2)).

thf(408,plain,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) ) )
      = ( ~ ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[64])).

thf(19,axiom,(
    ! [A: $o,B: $o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
     => ~ ( p @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Epth__no2)).

thf(170,plain,(
    ! [A: $o,B: $o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
     => ~ ( p @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(68,axiom,(
    mem @ c_2Ebool_2ET @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2ET)).

thf(452,plain,(
    mem @ c_2Ebool_2ET @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[68])).

thf(1,conjecture,(
    ! [A: $i] :
      ( ( mem @ A @ ( arr @ ty_2Enum_2Enum @ bool ) )
     => ( ( ? [B: tp__ty_2Enum_2Enum] :
              ( p @ ( ap @ A @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
        = ( ( p @ ( ap @ A @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
          | ? [B: tp__ty_2Enum_2Enum] :
              ( p @ ( ap @ A @ ( ap @ c_2Enum_2ESUC @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Earithmetic_2EEXISTS__NUM)).

thf(2,negated_conjecture,(
    ~ ! [A: $i] :
        ( ( mem @ A @ ( arr @ ty_2Enum_2Enum @ bool ) )
       => ( ( ? [B: tp__ty_2Enum_2Enum] :
                ( p @ ( ap @ A @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
          = ( ( p @ ( ap @ A @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
            | ? [B: tp__ty_2Enum_2Enum] :
                ( p @ ( ap @ A @ ( ap @ c_2Enum_2ESUC @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(74,plain,(
    ~ ! [A: $i] :
        ( ( mem @ A @ ( arr @ ty_2Enum_2Enum @ bool ) )
       => ( ( ? [B: tp__ty_2Enum_2Enum] :
                ( p @ ( ap @ A @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
          = ( ( p @ ( ap @ A @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
            | ? [B: tp__ty_2Enum_2Enum] :
                ( p @ ( ap @ A @ ( ap @ c_2Enum_2ESUC @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(76,plain,(
    mem @ sk1 @ ( arr @ ty_2Enum_2Enum @ bool ) ),
    inference(cnf,[status(esa)],[74])).

thf(6,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ap_tp)).

thf(83,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(84,plain,(
    ! [D: $i,C: $i,B: del,A: del] :
      ( ~ ( mem @ C @ ( arr @ A @ B ) )
      | ~ ( mem @ D @ A )
      | ( mem @ ( ap @ C @ D ) @ B ) ) ),
    inference(cnf,[status(esa)],[83])).

thf(501,plain,(
    ! [D: $i,C: $i,B: del,A: del] :
      ( ~ ( mem @ D @ A )
      | ( mem @ ( ap @ C @ D ) @ B )
      | ( ( mem @ sk1 @ ( arr @ ty_2Enum_2Enum @ bool ) )
       != ( mem @ C @ ( arr @ A @ B ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[76,84])).

thf(502,plain,(
    ! [A: $i] :
      ( ~ ( mem @ A @ ty_2Enum_2Enum )
      | ( mem @ ( ap @ sk1 @ A ) @ bool ) ) ),
    inference(pattern_uni,[status(thm)],[501:[bind(A,$thf(ty_2Enum_2Enum)),bind(B,$thf(bool)),bind(C,$thf(sk1))]])).

thf(512,plain,(
    ! [A: $i] :
      ( ~ ( mem @ A @ ty_2Enum_2Enum )
      | ( mem @ ( ap @ sk1 @ A ) @ bool ) ) ),
    inference(simp,[status(thm)],[502])).

thf(590,plain,(
    ! [A: $i] :
      ( ( mem @ ( ap @ sk1 @ A ) @ bool )
      | ( ( mem @ c_2Ebool_2ET @ bool )
       != ( mem @ A @ ty_2Enum_2Enum ) ) ) ),
    inference(paramod_ordered,[status(thm)],[452,512])).

thf(593,plain,(
    ! [A: $i] :
      ( ( mem @ ( ap @ sk1 @ A ) @ bool )
      | ( c_2Ebool_2ET != A )
      | ( ty_2Enum_2Enum != bool ) ) ),
    inference(simp,[status(thm)],[590])).

thf(597,plain,
    ( ( mem @ ( ap @ sk1 @ c_2Ebool_2ET ) @ bool )
    | ( ty_2Enum_2Enum != bool ) ),
    inference(simp,[status(thm)],[593])).

thf(57,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Enum_2ESUC @ A ) )
      = ( ap @ c_2Enum_2ESUC @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Enum_2ESUC)).

thf(385,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Enum_2ESUC @ A ) )
      = ( ap @ c_2Enum_2ESUC @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[57])).

thf(56,axiom,(
    ! [A: $o] :
      ( ( ~ ( p @ ( inj__o @ A ) )
       => $false )
     => ( ( ( p @ ( inj__o @ A ) )
         => $false )
       => $false ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EAND__INV2)).

thf(384,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[56])).

thf(43,axiom,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
     => ( ~ ( p @ ( inj__o @ A ) )
       => $false ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EAND__INV__IMP)).

thf(320,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).

thf(59,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( p @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_iso_mem_o)).

thf(389,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( p @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[59])).

thf(50,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( mem @ ( inj__ty_2Enum_2Enum @ A ) @ ty_2Enum_2Enum ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_mem_ty_2Enum_2Enum)).

thf(357,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( mem @ ( inj__ty_2Enum_2Enum @ A ) @ ty_2Enum_2Enum ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[50])).

thf(24,axiom,(
    ~ ( p @ c_2Ebool_2EF ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_false_p)).

thf(196,plain,(
    ~ ( p @ c_2Ebool_2EF ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(39,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) )
        | ( p @ ( inj__o @ C ) ) )
      = ( ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) )
        | ( p @ ( inj__o @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EDISJ__ASSOC)).

thf(284,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) )
        | ( p @ ( inj__o @ C ) ) )
      = ( ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) )
        | ( p @ ( inj__o @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).

thf(46,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__imp)).

thf(325,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[46])).

thf(3,axiom,
    ( ( inj__o @ fo__c_2Ebool_2EF )
    = c_2Ebool_2EF ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2EF)).

thf(78,plain,
    ( ( inj__o @ fo__c_2Ebool_2EF )
    = c_2Ebool_2EF ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(32,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',funcext)).

thf(261,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(20,axiom,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_5C_2F @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_5C_2F)).

thf(179,plain,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_5C_2F @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(44,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( A = fo__c_2Enum_2E0 )
      | ? [B: tp__ty_2Enum_2Enum] :
          ( A
          = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Enum_2ESUC @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Earithmetic_2Enum__CASES)).

thf(321,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( A = fo__c_2Enum_2E0 )
      | ? [B: tp__ty_2Enum_2Enum] :
          ( A
          = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Enum_2ESUC @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).

thf(12,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
        = ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_all_p)).

thf(106,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
        = ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(47,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ~ ! [C: $i] :
                ( ( mem @ C @ A )
               => ( p @ ( ap @ B @ C ) ) ) )
        = ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ~ ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ENOT__FORALL__THM)).

thf(348,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ~ ! [C: $i] :
                ( ( mem @ C @ A )
               => ( p @ ( ap @ B @ C ) ) ) )
        = ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ~ ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[47])).

thf(69,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_3F @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_3F)).

thf(453,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_3F @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[69])).

thf(30,axiom,(
    ! [A: $o,B: $o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
     => ~ ( p @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Epth__ni2)).

thf(243,plain,(
    ! [A: $o,B: $o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
     => ~ ( p @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(35,axiom,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_and_p)).

thf(270,plain,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(7,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Enum_2Enum )
     => ( A
        = ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_iso_mem_ty_2Enum_2Enum)).

thf(85,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Enum_2Enum )
     => ( A
        = ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(55,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ! [C: $o] :
          ( ( ? [D: $i] :
                ( ( mem @ D @ A )
                & ( p @ ( ap @ B @ D ) )
                & ( p @ ( inj__o @ C ) ) ) )
          = ( ? [D: $i] :
                ( ( mem @ D @ A )
                & ( p @ ( ap @ B @ D ) ) )
            & ( p @ ( inj__o @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ELEFT__EXISTS__AND__THM)).

thf(381,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ! [C: $o] :
          ( ( ? [D: $i] :
                ( ( mem @ D @ A )
                & ( p @ ( ap @ B @ D ) )
                & ( p @ ( inj__o @ C ) ) ) )
          = ( ? [D: $i] :
                ( ( mem @ D @ A )
                & ( p @ ( ap @ B @ D ) ) )
            & ( p @ ( inj__o @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[55])).

thf(54,axiom,(
    ! [A: $o,B: $o] :
      ( ( ( ~ ( ( p @ ( inj__o @ A ) )
              & ( p @ ( inj__o @ B ) ) ) )
        = ( ~ ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) ) ) )
      & ( ( ~ ( ( p @ ( inj__o @ A ) )
              | ( p @ ( inj__o @ B ) ) ) )
        = ( ~ ( p @ ( inj__o @ A ) )
          & ~ ( p @ ( inj__o @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EDE__MORGAN__THM)).

thf(366,plain,(
    ! [A: $o,B: $o] :
      ( ( ( ~ ( ( p @ ( inj__o @ A ) )
              & ( p @ ( inj__o @ B ) ) ) )
        = ( ~ ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) ) ) )
      & ( ( ~ ( ( p @ ( inj__o @ A ) )
              | ( p @ ( inj__o @ B ) ) ) )
        = ( ~ ( p @ ( inj__o @ A ) )
          & ~ ( p @ ( inj__o @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[54])).

thf(60,axiom,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ~ ( p @ ( inj__o @ B ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__neg)).

thf(392,plain,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ~ ( p @ ( inj__o @ B ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[60])).

thf(63,axiom,
    ( ! [A: $o] :
        ( ( ~ ~ ( p @ ( inj__o @ A ) ) )
        = ( p @ ( inj__o @ A ) ) )
    & ( ( ~ $true ) = $false )
    & ( ( ~ $false ) = $true ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ENOT__CLAUSES)).

thf(407,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[63])).

thf(73,axiom,(
    ! [A: del,B: $o,C: $i] :
      ( ( mem @ C @ ( arr @ A @ bool ) )
     => ( ( ( p @ ( inj__o @ B ) )
          | ? [D: $i] :
              ( ( mem @ D @ A )
              & ( p @ ( ap @ C @ D ) ) ) )
        = ( ? [D: $i] :
              ( ( mem @ D @ A )
              & ( ( p @ ( inj__o @ B ) )
                | ( p @ ( ap @ C @ D ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ERIGHT__OR__EXISTS__THM)).

thf(467,plain,(
    ! [A: del,B: $o,C: $i] :
      ( ( mem @ C @ ( arr @ A @ bool ) )
     => ( ( ( p @ ( inj__o @ B ) )
          | ? [D: $i] :
              ( ( mem @ D @ A )
              & ( p @ ( ap @ C @ D ) ) ) )
        = ( ? [D: $i] :
              ( ( mem @ D @ A )
              & ( ( p @ ( inj__o @ B ) )
                | ( p @ ( ap @ C @ D ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[73])).

thf(31,axiom,(
    ! [A: $o,B: $o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
     => ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Epth__ni1)).

thf(252,plain,(
    ! [A: $o,B: $o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
     => ( p @ ( inj__o @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(197,plain,(
    ~ ( p @ c_2Ebool_2EF ) ),
    inference(polarity_switch,[status(thm)],[196])).

thf(11,axiom,(
    ! [A: $o,B: $o] :
      ( ( ~ ( ~ ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
       => $false )
      = ( ( p @ ( inj__o @ A ) )
       => ( ~ ( p @ ( inj__o @ B ) )
         => $false ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EOR__DUAL3)).

thf(97,plain,(
    ! [A: $o,B: $o] :
      ( ( ~ ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) ) )
      = ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(71,axiom,
    ( ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 )
    = c_2Enum_2E0 ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Enum_2E0)).

thf(456,plain,
    ( ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 )
    = c_2Enum_2E0 ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[71])).

thf(45,axiom,(
    ! [A: $o] :
      ( ( ( p @ ( inj__o @ A ) )
       => $false )
     => ~ ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__F)).

thf(324,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[45])).

thf(61,axiom,(
    ! [A: del,B: $i > $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( lam @ A @ B ) @ C )
        = ( B @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',beta)).

thf(403,plain,(
    ! [A: del,B: $i > $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( lam @ A @ B ) @ C )
        = ( B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[61])).

thf(21,axiom,(
    ! [A: $o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_mem_o)).

thf(188,plain,(
    ! [A: $o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(58,axiom,(
    mem @ c_2Ebool_2EF @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2EF)).

thf(388,plain,(
    mem @ c_2Ebool_2EF @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[58])).

thf(15,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ! [C: $i] :
          ( ( mem @ C @ ( arr @ A @ bool ) )
         => ( ( ? [D: $i] :
                  ( ( mem @ D @ A )
                  & ( ( p @ ( ap @ B @ D ) )
                    | ( p @ ( ap @ C @ D ) ) ) ) )
            = ( ? [D: $i] :
                  ( ( mem @ D @ A )
                  & ( p @ ( ap @ B @ D ) ) )
              | ? [D: $i] :
                  ( ( mem @ D @ A )
                  & ( p @ ( ap @ C @ D ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEXISTS__OR__THM)).

thf(141,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ! [C: $i] :
          ( ( mem @ C @ ( arr @ A @ bool ) )
         => ( ( ? [D: $i] :
                  ( ( mem @ D @ A )
                  & ( ( p @ ( ap @ B @ D ) )
                    | ( p @ ( ap @ C @ D ) ) ) ) )
            = ( ? [D: $i] :
                  ( ( mem @ D @ A )
                  & ( p @ ( ap @ B @ D ) ) )
              | ? [D: $i] :
                  ( ( mem @ D @ A )
                  & ( p @ ( ap @ C @ D ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_2F_5C)).

thf(109,plain,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(38,axiom,(
    p @ c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_true_p)).

thf(283,plain,(
    p @ c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(470,plain,(
    ( p @ c_2Ebool_2EF )
 != ( p @ c_2Ebool_2ET ) ),
    inference(paramod_ordered,[status(thm)],[283,197])).

thf(471,plain,(
    c_2Ebool_2EF != c_2Ebool_2ET ),
    inference(simp,[status(thm)],[470])).

thf(10,axiom,(
    mem @ c_2Enum_2E0 @ ty_2Enum_2Enum ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Enum_2E0)).

thf(96,plain,(
    mem @ c_2Enum_2E0 @ ty_2Enum_2Enum ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(546,plain,(
    ! [A: $i] :
      ( ( mem @ ( ap @ sk1 @ A ) @ bool )
      | ( ( mem @ c_2Enum_2E0 @ ty_2Enum_2Enum )
       != ( mem @ A @ ty_2Enum_2Enum ) ) ) ),
    inference(paramod_ordered,[status(thm)],[96,512])).

thf(547,plain,(
    mem @ ( ap @ sk1 @ c_2Enum_2E0 ) @ bool ),
    inference(pattern_uni,[status(thm)],[546:[bind(A,$thf(c_2Enum_2E0))]])).

thf(457,plain,
    ( ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 )
    = c_2Enum_2E0 ),
    inference(lifteq,[status(thm)],[456])).

thf(33,axiom,(
    ! [A: $o] :
      ( ( ( $true
         => ( p @ ( inj__o @ A ) ) )
        = ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
         => $true )
        = $true )
      & ( ( $false
         => ( p @ ( inj__o @ A ) ) )
        = $true )
      & ( ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ A ) ) )
        = $true )
      & ( ( ( p @ ( inj__o @ A ) )
         => $false )
        = ( ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__CLAUSES)).

thf(266,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(52,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( B = C )
            = ( C = B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEQ__SYM__EQ)).

thf(360,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( B = C )
            = ( C = B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[52])).

thf(5,axiom,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2ET)).

thf(81,plain,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(82,plain,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    inference(lifteq,[status(thm)],[81])).

thf(355,plain,
    ( ( p @ ( inj__o @ $false ) )
    = $false ),
    inference(instance,[status(thm)],[352])).

thf(356,plain,(
    ~ ( p @ ( inj__o @ $false ) ) ),
    inference(simp,[status(thm)],[355])).

thf(473,plain,(
    ( p @ ( inj__o @ $false ) )
 != ( p @ c_2Ebool_2ET ) ),
    inference(paramod_ordered,[status(thm)],[283,356])).

thf(475,plain,(
    ( inj__o @ $false )
 != c_2Ebool_2ET ),
    inference(simp,[status(thm)],[473])).

thf(479,plain,(
    ( inj__o @ fo__c_2Ebool_2ET )
 != ( inj__o @ $false ) ),
    inference(paramod_ordered,[status(thm)],[82,475])).

thf(483,plain,(
    fo__c_2Ebool_2ET ),
    inference(simp,[status(thm)],[479])).

thf(513,plain,
    ( ( inj__o @ $true )
    = c_2Ebool_2ET ),
    inference(rewrite,[status(thm)],[82,483])).

thf(36,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ~ ? [C: $i] :
                ( ( mem @ C @ A )
                & ( p @ ( ap @ B @ C ) ) ) )
        = ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ~ ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ENOT__EXISTS__THM)).

thf(279,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ~ ? [C: $i] :
                ( ( mem @ C @ A )
                & ( p @ ( ap @ B @ C ) ) ) )
        = ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ~ ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(22,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ ( arr @ B @ bool ) ) )
     => ( ( ! [D: $i] :
              ( ( mem @ D @ A )
             => ? [E: $i] :
                  ( ( mem @ E @ B )
                  & ( p @ ( ap @ ( ap @ C @ D ) @ E ) ) ) ) )
        = ( ? [D: $i] :
              ( ( mem @ D @ ( arr @ A @ B ) )
              & ! [E: $i] :
                  ( ( mem @ E @ A )
                 => ( p @ ( ap @ ( ap @ C @ E ) @ ( ap @ D @ E ) ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ESKOLEM__THM)).

thf(191,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ ( arr @ B @ bool ) ) )
     => ( ( ! [D: $i] :
              ( ( mem @ D @ A )
             => ? [E: $i] :
                  ( ( mem @ E @ B )
                  & ( p @ ( ap @ ( ap @ C @ D ) @ E ) ) ) ) )
        = ( ? [D: $i] :
              ( ( mem @ D @ ( arr @ A @ B ) )
              & ! [E: $i] :
                  ( ( mem @ E @ A )
                 => ( p @ ( ap @ ( ap @ C @ E ) @ ( ap @ D @ E ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(9,axiom,(
    ! [A: $o] :
      ( ( p @ ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_neg_p)).

thf(91,plain,(
    ! [A: $o] :
      ( ( p @ ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(94,plain,
    ( ( p @ ( ap @ c_2Ebool_2E_7E @ ( inj__o @ $false ) ) )
    = ( ~ $false ) ),
    inference(instance,[status(thm)],[91])).

thf(95,plain,(
    p @ ( ap @ c_2Ebool_2E_7E @ ( inj__o @ $false ) ) ),
    inference(simp,[status(thm)],[94])).

thf(79,plain,
    ( ( inj__o @ fo__c_2Ebool_2EF )
    = c_2Ebool_2EF ),
    inference(lifteq,[status(thm)],[78])).

thf(353,plain,
    ( ( p @ ( inj__o @ $true ) )
    = $true ),
    inference(instance,[status(thm)],[352])).

thf(354,plain,(
    p @ ( inj__o @ $true ) ),
    inference(simp,[status(thm)],[353])).

thf(524,plain,
    ( ( p @ c_2Ebool_2EF )
    | ( ( inj__o @ fo__c_2Ebool_2EF )
     != ( inj__o @ $true ) ) ),
    inference(paramod_ordered,[status(thm)],[79,354])).

thf(528,plain,
    ( ( p @ c_2Ebool_2EF )
    | ~ fo__c_2Ebool_2EF ),
    inference(simp,[status(thm)],[524])).

thf(530,plain,
    ( $false
    | ~ fo__c_2Ebool_2EF ),
    inference(rewrite,[status(thm)],[528,197])).

thf(531,plain,(
    ~ fo__c_2Ebool_2EF ),
    inference(simp,[status(thm)],[530])).

thf(532,plain,
    ( ( inj__o @ $false )
    = c_2Ebool_2EF ),
    inference(rewrite,[status(thm)],[79,531])).

thf(732,plain,(
    p @ ( ap @ c_2Ebool_2E_7E @ c_2Ebool_2EF ) ),
    inference(rewrite,[status(thm)],[95,532])).

thf(14,axiom,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) )
     => ( ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ A ) ) )
       => ( ( p @ ( inj__o @ A ) )
          = ( p @ ( inj__o @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__ANTISYM__AX)).

thf(118,plain,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) )
     => ( ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ A ) ) )
       => ( ( p @ ( inj__o @ A ) )
          = ( p @ ( inj__o @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(16,axiom,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_7E)).

thf(144,plain,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(62,axiom,(
    ! [A: $o] :
      ( ( ~ ~ ( p @ ( inj__o @ A ) ) )
      = ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2ENOT__NOT)).

thf(406,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[62])).

thf(65,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          = ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__eq)).

thf(419,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          = ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[65])).

thf(27,axiom,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_imp_p)).

thf(230,plain,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(67,axiom,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D_3D_3E)).

thf(451,plain,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[67])).

thf(25,axiom,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) ) )
      = ( ( p @ ( inj__o @ B ) )
        | ( p @ ( inj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EDISJ__SYM)).

thf(198,plain,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) ) )
      = ( ( p @ ( inj__o @ B ) )
        | ( p @ ( inj__o @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(70,axiom,(
    mem @ c_2Enum_2ESUC @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Enum_2ESUC)).

thf(455,plain,(
    mem @ c_2Enum_2ESUC @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[70])).

thf(34,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( surj__ty_2Enum_2Enum @ ( inj__ty_2Enum_2Enum @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_surj_ty_2Enum_2Enum)).

thf(267,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( surj__ty_2Enum_2Enum @ ( inj__ty_2Enum_2Enum @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(4,axiom,(
    $true ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ETRUTH)).

thf(80,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(548,plain,(
    ! [A: $i] :
      ( ( mem @ ( ap @ sk1 @ A ) @ bool )
      | ( ( mem @ sk1 @ ( arr @ ty_2Enum_2Enum @ bool ) )
       != ( mem @ A @ ty_2Enum_2Enum ) ) ) ),
    inference(paramod_ordered,[status(thm)],[76,512])).

thf(550,plain,(
    ! [A: $i] :
      ( ( mem @ ( ap @ sk1 @ A ) @ bool )
      | ( sk1 != A )
      | ( ( arr @ ty_2Enum_2Enum @ bool )
       != ty_2Enum_2Enum ) ) ),
    inference(simp,[status(thm)],[548])).

thf(553,plain,
    ( ( mem @ ( ap @ sk1 @ sk1 ) @ bool )
    | ( ( arr @ ty_2Enum_2Enum @ bool )
     != ty_2Enum_2Enum ) ),
    inference(simp,[status(thm)],[550])).

thf(72,axiom,(
    ! [A: $o,B: $o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
     => ~ ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Epth__no1)).

thf(458,plain,(
    ! [A: $o,B: $o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
     => ~ ( p @ ( inj__o @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[72])).

thf(23,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(194,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(17,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__disj)).

thf(145,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(545,plain,(
    ! [A: $i] :
      ( ( mem @ ( ap @ sk1 @ A ) @ bool )
      | ( ( mem @ c_2Ebool_2EF @ bool )
       != ( mem @ A @ ty_2Enum_2Enum ) ) ) ),
    inference(paramod_ordered,[status(thm)],[388,512])).

thf(549,plain,(
    ! [A: $i] :
      ( ( mem @ ( ap @ sk1 @ A ) @ bool )
      | ( c_2Ebool_2EF != A )
      | ( ty_2Enum_2Enum != bool ) ) ),
    inference(simp,[status(thm)],[545])).

thf(557,plain,
    ( ( mem @ ( ap @ sk1 @ c_2Ebool_2EF ) @ bool )
    | ( ty_2Enum_2Enum != bool ) ),
    inference(simp,[status(thm)],[549])).

thf(37,axiom,(
    ! [A: $o] :
      ( ~ ~ ( p @ ( inj__o @ A ) )
     => ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Epth__nn)).

thf(282,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(40,axiom,(
    ! [A: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_7E @ A ) )
      = ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_7E)).

thf(305,plain,(
    ! [A: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_7E @ A ) )
      = ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).

thf(306,plain,
    ( ( inj__o @ ( fo__c_2Ebool_2E_7E @ $true ) )
    = ( ap @ c_2Ebool_2E_7E @ ( inj__o @ $true ) ) ),
    inference(instance,[status(thm)],[305])).

thf(308,plain,
    ( ( ap @ c_2Ebool_2E_7E @ ( inj__o @ $true ) )
    = ( inj__o @ ( fo__c_2Ebool_2E_7E @ $true ) ) ),
    inference(lifteq,[status(thm)],[306])).

thf(887,plain,
    ( ( ap @ c_2Ebool_2E_7E @ c_2Ebool_2ET )
    = ( inj__o @ ( fo__c_2Ebool_2E_7E @ $true ) ) ),
    inference(rewrite,[status(thm)],[308,513])).

thf(733,plain,(
    ( p @ ( ap @ c_2Ebool_2E_7E @ c_2Ebool_2EF ) )
 != ( p @ c_2Ebool_2EF ) ),
    inference(paramod_ordered,[status(thm)],[732,197])).

thf(739,plain,(
    ( ap @ c_2Ebool_2E_7E @ c_2Ebool_2EF )
 != c_2Ebool_2EF ),
    inference(simp,[status(thm)],[733])).

thf(41,axiom,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Emin_2E_3D_3D_3E)).

thf(310,plain,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).

thf(86,plain,(
    ! [A: $i] :
      ( ~ ( mem @ A @ ty_2Enum_2Enum )
      | ( A
        = ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ A ) ) ) ) ),
    inference(cnf,[status(esa)],[85])).

thf(87,plain,(
    ! [A: $i] :
      ( ( ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ A ) )
        = A )
      | ~ ( mem @ A @ ty_2Enum_2Enum ) ) ),
    inference(lifteq,[status(thm)],[86])).

thf(576,plain,(
    ! [A: $i] :
      ( ( ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ A ) )
        = A )
      | ( ( mem @ sk1 @ ( arr @ ty_2Enum_2Enum @ bool ) )
       != ( mem @ A @ ty_2Enum_2Enum ) ) ) ),
    inference(paramod_ordered,[status(thm)],[76,87])).

thf(580,plain,(
    ! [A: $i] :
      ( ( ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ A ) )
        = A )
      | ( sk1 != A )
      | ( ( arr @ ty_2Enum_2Enum @ bool )
       != ty_2Enum_2Enum ) ) ),
    inference(simp,[status(thm)],[576])).

thf(585,plain,
    ( ( ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ sk1 ) )
      = sk1 )
    | ( ( arr @ ty_2Enum_2Enum @ bool )
     != ty_2Enum_2Enum ) ),
    inference(simp,[status(thm)],[580])).

thf(51,axiom,(
    ! [A: $o] :
      ( ~ ( p @ ( inj__o @ A ) )
     => ( ( p @ ( inj__o @ A ) )
       => $false ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EF__IMP)).

thf(359,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[51])).

thf(53,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ B ) )
        = ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_ex_p)).

thf(363,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ B ) )
        = ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[53])).

thf(42,axiom,(
    ! [A: $o] :
      ( ( ( $true
          = ( p @ ( inj__o @ A ) ) )
        = ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
          = $true )
        = ( p @ ( inj__o @ A ) ) )
      & ( ( $false
          = ( p @ ( inj__o @ A ) ) )
        = ( ~ ( p @ ( inj__o @ A ) ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
          = $false )
        = ( ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEQ__CLAUSES)).

thf(319,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).

thf(48,axiom,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_2F_5C)).

thf(351,plain,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[48])).

thf(100,plain,
    ( ( ~ ( p @ ( inj__o @ $true ) )
      | ( p @ ( inj__o @ $false ) ) )
    = ( ( p @ ( inj__o @ $true ) )
     => ( p @ ( inj__o @ $false ) ) ) ),
    inference(instance,[status(thm)],[97])).

thf(104,plain,
    ( ( ( p @ ( inj__o @ $true ) )
     => ( p @ ( inj__o @ $false ) ) )
    = ( ~ ( p @ ( inj__o @ $true ) )
      | ( p @ ( inj__o @ $false ) ) ) ),
    inference(lifteq,[status(thm)],[100])).

thf(781,plain,
    ( ( ( p @ c_2Ebool_2ET )
     => ( p @ c_2Ebool_2EF ) )
    = ( ~ ( p @ c_2Ebool_2ET )
      | ( p @ c_2Ebool_2EF ) ) ),
    inference(rewrite,[status(thm)],[104,513,532])).

thf(26,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          & ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__conj)).

thf(207,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          & ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(18,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(168,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(28,axiom,(
    ! [A: del,B: del,C: $i > $i] :
      ( ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( C @ D ) @ B ) )
     => ( mem @ ( lam @ A @ C ) @ ( arr @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',lam_tp)).

thf(239,plain,(
    ! [A: del,B: del,C: $i > $i] :
      ( ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( C @ D ) @ B ) )
     => ( mem @ ( lam @ A @ C ) @ ( arr @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(29,axiom,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_5C_2F)).

thf(242,plain,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(358,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( mem @ ( inj__ty_2Enum_2Enum @ A ) @ ty_2Enum_2Enum ) ),
    inference(cnf,[status(esa)],[357])).

thf(574,plain,(
    ! [A: $i] :
      ( ( ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ A ) )
        = A )
      | ( ( mem @ c_2Enum_2E0 @ ty_2Enum_2Enum )
       != ( mem @ A @ ty_2Enum_2Enum ) ) ) ),
    inference(paramod_ordered,[status(thm)],[96,87])).

thf(575,plain,
    ( ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ c_2Enum_2E0 ) )
    = c_2Enum_2E0 ),
    inference(pattern_uni,[status(thm)],[574:[bind(A,$thf(c_2Enum_2E0))]])).

thf(66,axiom,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_or_p)).

thf(442,plain,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[66])).

thf(89,plain,(
    ! [C: $i,B: $i,A: del] :
      ( ~ ( mem @ B @ A )
      | ~ ( mem @ C @ A )
      | ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
        = ( B = C ) ) ) ),
    inference(cnf,[status(esa)],[88])).

thf(90,plain,(
    ! [C: $i,B: $i,A: del] :
      ( ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
        = ( B = C ) )
      | ~ ( mem @ B @ A )
      | ~ ( mem @ C @ A ) ) ),
    inference(lifteq,[status(thm)],[89])).

thf(991,plain,(
    $false ),
    inference(e,[status(thm)],[88,352,408,170,597,385,384,320,389,357,196,284,325,78,261,179,321,106,348,84,453,243,74,452,512,270,85,381,366,392,407,467,252,197,97,456,324,403,188,388,141,109,471,547,96,457,266,360,513,279,191,732,118,144,406,419,81,230,451,76,91,483,198,455,267,80,531,553,458,194,145,557,282,887,739,310,585,359,363,87,319,351,781,207,168,305,239,242,358,532,283,575,442,90,83])).
%------------------------------------------------------------------------------
