%------------------------------------------------------------------------------
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(app_2E2_type,type,(
    app_2E2: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ TB ) > TA > TB ) )).

thf(p_type,type,(
    p: tyop_2Emin_2Ebool > $o )).

thf(combin_i_2E0_type,type,(
    combin_i_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ TA @ TA ) )).

thf(combin_k_2E0_type,type,(
    combin_k_2E0: 
      !>[TA: $tType,TB: $tType] :
        ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) ) )).

thf(combin_s_2E0_type,type,(
    combin_s_2E0: 
      !>[TA: $tType,TB: $tType,TC: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) ) )).

thf(c_2Ebool_2E_21_2E0_type,type,(
    c_2Ebool_2E_21_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_21_2E1_type,type,(
    c_2Ebool_2E_21_2E1: 
      !>[TA: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) > tyop_2Emin_2Ebool ) )).

thf(c_2Earithmetic_2E_2B_2E0_type,type,(
    c_2Earithmetic_2E_2B_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) ) )).

thf(c_2Earithmetic_2E_2B_2E2_type,type,(
    c_2Earithmetic_2E_2B_2E2: tyop_2Enum_2Enum > tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Ebool_2E_2F_5C_2E0_type,type,(
    c_2Ebool_2E_2F_5C_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Emin_2E_3D_2E0_type,type,(
    c_2Emin_2E_3D_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Emin_2E_3D_3D_3E_2E0_type,type,(
    c_2Emin_2E_3D_3D_3E_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Ebool_2E_3F_2E0_type,type,(
    c_2Ebool_2E_3F_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_3F_2E1_type,type,(
    c_2Ebool_2E_3F_2E1: 
      !>[TA: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) > tyop_2Emin_2Ebool ) )).

thf(c_2Earithmetic_2EBIT1_2E0_type,type,(
    c_2Earithmetic_2EBIT1_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) )).

thf(c_2Earithmetic_2EBIT1_2E1_type,type,(
    c_2Earithmetic_2EBIT1_2E1: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2ENUMERAL_2E0_type,type,(
    c_2Earithmetic_2ENUMERAL_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) )).

thf(c_2Earithmetic_2ENUMERAL_2E1_type,type,(
    c_2Earithmetic_2ENUMERAL_2E1: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2EZERO_2E0_type,type,(
    c_2Earithmetic_2EZERO_2E0: tyop_2Enum_2Enum )).

thf(c_2Ebool_2E_5C_2F_2E0_type,type,(
    c_2Ebool_2E_5C_2F_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Enumpair_2Encons_2E0_type,type,(
    c_2Enumpair_2Encons_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) ) )).

thf(c_2Enumpair_2Encons_2E2_type,type,(
    c_2Enumpair_2Encons_2E2: tyop_2Enum_2Enum > tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Enumpair_2Enpair_2E0_type,type,(
    c_2Enumpair_2Enpair_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) ) )).

thf(c_2Enumpair_2Enpair_2E2_type,type,(
    c_2Enumpair_2Enpair_2E2: tyop_2Enum_2Enum > tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Ebool_2E_7E_2E0_type,type,(
    c_2Ebool_2E_7E_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) )).

thf(13,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2EBIT1_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2EBIT1_2E0 @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq1_2Ec_2Earithmetic_2EBIT1_2E1)).

thf(88,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2EBIT1_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2EBIT1_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(21,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_21_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E0 @ TA ) @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq1_2Ec_2Ebool_2E_21_2E1_2Emono_2EA_27a)).

thf(120,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_21_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E0 @ TA ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(3,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_21_2E1 @ TA @ A ) )
    <=> ! [B: TA] :
          ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(37,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_21_2E1 @ TA @ A ) )
       => ! [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) )
      & ( ! [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) )
       => ( p @ ( c_2Ebool_2E_21_2E1 @ TA @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(1,conjecture,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum,C: tyop_2Enum_2Enum,D: tyop_2Enum_2Enum] :
      ( ( ( c_2Enumpair_2Encons_2E2 @ B @ A )
        = ( c_2Enumpair_2Encons_2E2 @ D @ C ) )
    <=> ( ( B = D )
        & ( A = C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Enumpair_2Encons__11)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum,C: tyop_2Enum_2Enum,D: tyop_2Enum_2Enum] :
        ( ( ( c_2Enumpair_2Encons_2E2 @ B @ A )
          = ( c_2Enumpair_2Encons_2E2 @ D @ C ) )
      <=> ( ( B = D )
          & ( A = C ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(25,plain,(
    ~ ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum,C: tyop_2Enum_2Enum,D: tyop_2Enum_2Enum] :
        ( ( ( ( c_2Enumpair_2Encons_2E2 @ B @ A )
            = ( c_2Enumpair_2Encons_2E2 @ D @ C ) )
         => ( ( B = D )
            & ( A = C ) ) )
        & ( ( ( B = D )
            & ( A = C ) )
         => ( ( c_2Enumpair_2Encons_2E2 @ B @ A )
            = ( c_2Enumpair_2Encons_2E2 @ D @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(6,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_3F_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E0 @ TA ) @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq1_2Ec_2Ebool_2E_3F_2E1_2Emono_2EA_27a)).

thf(52,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_3F_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E0 @ TA ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(18,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ~ ( p @ A )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ c_2Ebool_2E_7E_2E0 @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq1_2Ec_2Ebool_2E_7E_2E1)).

thf(106,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ~ ( p @ A )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ c_2Ebool_2E_7E_2E0 @ A ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ c_2Ebool_2E_7E_2E0 @ A ) )
       => ~ ( p @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(8,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Emin_2Efun @ TA @ TB,B: tyop_2Emin_2Efun @ TA @ TB] :
      ( ! [C: TA] :
          ( ( app_2E2 @ TA @ TB @ A @ C )
          = ( app_2E2 @ TA @ TB @ B @ C ) )
     => ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Eeq__ext)).

thf(61,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Emin_2Efun @ TA @ TB,B: tyop_2Emin_2Efun @ TA @ TB] :
      ( ! [C: TA] :
          ( ( app_2E2 @ TA @ TB @ A @ C )
          = ( app_2E2 @ TA @ TB @ B @ C ) )
     => ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(11,axiom,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum,C: tyop_2Enum_2Enum,D: tyop_2Enum_2Enum] :
      ( ( ( c_2Enumpair_2Enpair_2E2 @ D @ B )
        = ( c_2Enumpair_2Enpair_2E2 @ C @ A ) )
    <=> ( ( D = C )
        & ( B = A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Enumpair_2Enpair__11)).

thf(74,plain,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum,C: tyop_2Enum_2Enum,D: tyop_2Enum_2Enum] :
      ( ( ( ( c_2Enumpair_2Enpair_2E2 @ D @ B )
          = ( c_2Enumpair_2Enpair_2E2 @ C @ A ) )
       => ( ( D = C )
          & ( B = A ) ) )
      & ( ( ( D = C )
          & ( B = A ) )
       => ( ( c_2Enumpair_2Enpair_2E2 @ D @ B )
          = ( c_2Enumpair_2Enpair_2E2 @ C @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(12,axiom,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2E_2B_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ ( app_2E2 @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ c_2Earithmetic_2E_2B_2E0 @ A ) @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Ec_2Earithmetic_2E_2B_2E2)).

thf(85,plain,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2E_2B_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ ( app_2E2 @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ c_2Earithmetic_2E_2B_2E0 @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(16,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
        | ( p @ B ) )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_5C_2F_2E0 @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Ec_2Ebool_2E_5C_2F_2E2)).

thf(97,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
          | ( p @ B ) )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_5C_2F_2E0 @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_5C_2F_2E0 @ A ) @ B ) )
       => ( ( p @ A )
          | ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(24,axiom,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Enumpair_2Encons_2E2 @ A @ B )
      = ( c_2Earithmetic_2E_2B_2E2 @ ( c_2Enumpair_2Enpair_2E2 @ A @ B ) @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Enumpair_2Encons__def)).

thf(134,plain,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Enumpair_2Encons_2E2 @ A @ B )
      = ( c_2Earithmetic_2E_2B_2E2 @ ( c_2Enumpair_2Enpair_2E2 @ A @ B ) @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(9,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
        & ( p @ B ) )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_2F_5C_2E0 @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Ec_2Ebool_2E_2F_5C_2E2)).

thf(64,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
          & ( p @ B ) )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_2F_5C_2E0 @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_2F_5C_2E0 @ A ) @ B ) )
       => ( ( p @ A )
          & ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(10,axiom,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Enumpair_2Enpair_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ ( app_2E2 @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ c_2Enumpair_2Enpair_2E0 @ A ) @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Ec_2Enumpair_2Enpair_2E2)).

thf(71,plain,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Enumpair_2Enpair_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ ( app_2E2 @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ c_2Enumpair_2Enpair_2E0 @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(5,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_3F_2E1 @ TA @ A ) )
    <=> ? [B: TA] :
          ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(49,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_3F_2E1 @ TA @ A ) )
       => ? [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) )
      & ( ? [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) )
       => ( p @ ( c_2Ebool_2E_3F_2E1 @ TA @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(17,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ),B: tyop_2Emin_2Efun @ TA @ TB,C: TA] :
      ( ( app_2E2 @ TA @ TC @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) @ ( combin_s_2E0 @ TA @ TB @ TC ) @ A ) @ B ) @ C )
      = ( app_2E2 @ TB @ TC @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) @ A @ C ) @ ( app_2E2 @ TA @ TB @ B @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Es__thm)).

thf(103,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ),B: tyop_2Emin_2Efun @ TA @ TB,C: TA] :
      ( ( app_2E2 @ TA @ TC @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) @ ( combin_s_2E0 @ TA @ TB @ TC ) @ A ) @ B ) @ C )
      = ( app_2E2 @ TB @ TC @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) @ A @ C ) @ ( app_2E2 @ TA @ TB @ B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(14,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( app_2E2 @ TB @ TA @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) @ ( combin_k_2E0 @ TA @ TB ) @ A ) @ B )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Ek__thm)).

thf(91,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( app_2E2 @ TB @ TA @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) @ ( combin_k_2E0 @ TA @ TB ) @ A ) @ B )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(22,axiom,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum,C: tyop_2Enum_2Enum] :
      ( ( ( c_2Earithmetic_2E_2B_2E2 @ A @ C )
        = ( c_2Earithmetic_2E_2B_2E2 @ B @ C ) )
    <=> ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Earithmetic_2EEQ__MONO__ADD__EQ)).

thf(123,plain,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum,C: tyop_2Enum_2Enum] :
      ( ( ( ( c_2Earithmetic_2E_2B_2E2 @ A @ C )
          = ( c_2Earithmetic_2E_2B_2E2 @ B @ C ) )
       => ( A = B ) )
      & ( ( A = B )
       => ( ( c_2Earithmetic_2E_2B_2E2 @ A @ C )
          = ( c_2Earithmetic_2E_2B_2E2 @ B @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(4,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
      <=> ( p @ B ) )
     => ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Eboolext)).

thf(40,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
         => ( p @ B ) )
        & ( ( p @ B )
         => ( p @ A ) ) )
     => ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(7,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
       => ( p @ B ) )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Emin_2E_3D_3D_3E_2E0 @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Ec_2Emin_2E_3D_3D_3E_2E2)).

thf(55,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
         => ( p @ B ) )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Emin_2E_3D_3D_3E_2E0 @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Emin_2E_3D_3D_3E_2E0 @ A ) @ B ) )
       => ( ( p @ A )
         => ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(20,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( A = B )
    <=> ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( c_2Emin_2E_3D_2E0 @ TA ) @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Ec_2Emin_2E_3D_2E2_2Emono_2EA_27a)).

thf(114,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( A = B )
       => ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( c_2Emin_2E_3D_2E0 @ TA ) @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( c_2Emin_2E_3D_2E0 @ TA ) @ A ) @ B ) )
       => ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(15,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( app_2E2 @ TA @ TA @ ( combin_i_2E0 @ TA ) @ A )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Ei__thm)).

thf(94,plain,(
    ! [TA: $tType,A: TA] :
      ( ( app_2E2 @ TA @ TA @ ( combin_i_2E0 @ TA ) @ A )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(23,axiom,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Enumpair_2Encons_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ ( app_2E2 @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ c_2Enumpair_2Encons_2E0 @ A ) @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Ec_2Enumpair_2Encons_2E2)).

thf(131,plain,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Enumpair_2Encons_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ ( app_2E2 @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ c_2Enumpair_2Encons_2E0 @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(19,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2ENUMERAL_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2ENUMERAL_2E0 @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq1_2Ec_2Earithmetic_2ENUMERAL_2E1)).

thf(111,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2ENUMERAL_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2ENUMERAL_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(144,plain,(
    $false ),
    inference(cvc4,[status(thm)],[88,120,37,25,52,106,61,74,85,97,134,64,71,49,103,91,123,40,55,114,94,131,111])).
%------------------------------------------------------------------------------
