%------------------------------------------------------------------------------
thf(del_type,type,(
    del: $tType )).

thf(bool_type,type,(
    bool: del )).

thf(arr_type,type,(
    arr: del > del > del )).

thf(mem_type,type,(
    mem: $i > del > $o )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(k_type,type,(
    k: del > $i > $i )).

thf(i_type,type,(
    i: del > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(tp__o_type,type,(
    tp__o: $tType )).

thf(inj__o_type,type,(
    inj__o: tp__o > $i )).

thf(surj__o_type,type,(
    surj__o: $i > tp__o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: del > $i )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $i )).

thf(fo__c_2Emin_2E_3D_3D_3E_type,type,(
    fo__c_2Emin_2E_3D_3D_3E: tp__o > tp__o > tp__o )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: del > $i )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $i )).

thf(fo__c_2Ebool_2E_2F_5C_type,type,(
    fo__c_2Ebool_2E_2F_5C: tp__o > tp__o > tp__o )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $i )).

thf(fo__c_2Ebool_2EF_type,type,(
    fo__c_2Ebool_2EF: tp__o )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: del > $i )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $i )).

thf(fo__c_2Ebool_2ET_type,type,(
    fo__c_2Ebool_2ET: tp__o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $i )).

thf(fo__c_2Ebool_2E_5C_2F_type,type,(
    fo__c_2Ebool_2E_5C_2F: tp__o > tp__o > tp__o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $i )).

thf(fo__c_2Ebool_2E_7E_type,type,(
    fo__c_2Ebool_2E_7E: tp__o > tp__o )).

thf(c_2Ecombin_2EI_type,type,(
    c_2Ecombin_2EI: del > $i )).

thf(ty_2Enum_2Enum_type,type,(
    ty_2Enum_2Enum: del )).

thf(tp__ty_2Enum_2Enum_type,type,(
    tp__ty_2Enum_2Enum: $tType )).

thf(inj__ty_2Enum_2Enum_type,type,(
    inj__ty_2Enum_2Enum: tp__ty_2Enum_2Enum > $i )).

thf(surj__ty_2Enum_2Enum_type,type,(
    surj__ty_2Enum_2Enum: $i > tp__ty_2Enum_2Enum )).

thf(c_2Earithmetic_2E_3C_3D_type,type,(
    c_2Earithmetic_2E_3C_3D: $i )).

thf(fo__c_2Earithmetic_2E_3C_3D_type,type,(
    fo__c_2Earithmetic_2E_3C_3D: tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum > tp__o )).

thf(c_2Epred__set_2EFINITE_type,type,(
    c_2Epred__set_2EFINITE: del > $i )).

thf(c_2Epred__set_2ESUM__IMAGE_type,type,(
    c_2Epred__set_2ESUM__IMAGE: del > $i )).

thf(c_2Epred__set_2ESUM__SET_type,type,(
    c_2Epred__set_2ESUM__SET: $i )).

thf(56,axiom,(
    ! [A: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
       => $false )
     => ~ ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__F)).

thf(365,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[56])).

thf(79,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( c_2Ecombin_2EI @ A ) @ B )
        = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ecombin_2EI__THM)).

thf(479,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( c_2Ecombin_2EI @ A ) @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[79])).

thf(68,axiom,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
      ( ( inj__o @ ( fo__c_2Earithmetic_2E_3C_3D @ A @ B ) )
      = ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Earithmetic_2E_3C_3D)).

thf(408,plain,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
      ( ( inj__o @ ( fo__c_2Earithmetic_2E_3C_3D @ A @ B ) )
      = ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[68])).

thf(44,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
          <=> ( B = C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_eq_p)).

thf(276,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
             => ( B = C ) )
            & ( ( B = C )
             => ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).

thf(35,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
     => ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Epth__ni1)).

thf(247,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
     => ( p @ ( inj__o @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(61,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( ~ ( ( p @ ( inj__o @ A ) )
            & ( p @ ( inj__o @ B ) ) )
      <=> ( ~ ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) ) ) )
      & ( ~ ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
      <=> ( ~ ( p @ ( inj__o @ A ) )
          & ~ ( p @ ( inj__o @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EDE__MORGAN__THM)).

thf(379,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( ~ ( ( p @ ( inj__o @ A ) )
            & ( p @ ( inj__o @ B ) ) )
       => ( ~ ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) ) ) )
      & ( ( ~ ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) ) )
       => ~ ( ( p @ ( inj__o @ A ) )
            & ( p @ ( inj__o @ B ) ) ) )
      & ( ~ ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
       => ( ~ ( p @ ( inj__o @ A ) )
          & ~ ( p @ ( inj__o @ B ) ) ) )
      & ( ( ~ ( p @ ( inj__o @ A ) )
          & ~ ( p @ ( inj__o @ B ) ) )
       => ~ ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[61])).

thf(15,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ ty_2Enum_2Enum ) )
     => ! [C: $i] :
          ( ( mem @ C @ ( arr @ A @ bool ) )
         => ! [D: $i] :
              ( ( mem @ D @ A )
             => ( ( ( p @ ( ap @ ( c_2Epred__set_2EFINITE @ A ) @ C ) )
                  & ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ A ) @ D ) @ C ) ) )
               => ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( ap @ B @ D ) ) @ ( ap @ ( ap @ ( c_2Epred__set_2ESUM__IMAGE @ A ) @ B ) @ C ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Epred__set_2ESUM__IMAGE__IN__LE)).

thf(142,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ ty_2Enum_2Enum ) )
     => ! [C: $i] :
          ( ( mem @ C @ ( arr @ A @ bool ) )
         => ! [D: $i] :
              ( ( mem @ D @ A )
             => ( ( ( p @ ( ap @ ( c_2Epred__set_2EFINITE @ A ) @ C ) )
                  & ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ A ) @ D ) @ C ) ) )
               => ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( ap @ B @ D ) ) @ ( ap @ ( ap @ ( c_2Epred__set_2ESUM__IMAGE @ A ) @ B ) @ C ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(19,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
      <=> ~ ( p @ ( inj__o @ B ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__neg)).

thf(153,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( ( ( p @ ( inj__o @ A ) )
           => ~ ( p @ ( inj__o @ B ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ~ ( p @ ( inj__o @ B ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(21,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
      <=> ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ C ) ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__imp)).

thf(174,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
             => ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
             => ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
             => ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
             => ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(48,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
      <=> ( ( p @ ( inj__o @ B ) )
        <=> ( p @ ( inj__o @ C ) ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__eq)).

thf(288,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( ( ( p @ ( inj__o @ A ) )
           => ( ( ( p @ ( inj__o @ B ) )
               => ( p @ ( inj__o @ C ) ) )
              & ( ( p @ ( inj__o @ C ) )
               => ( p @ ( inj__o @ B ) ) ) ) )
          & ( ( ( ( p @ ( inj__o @ B ) )
               => ( p @ ( inj__o @ C ) ) )
              & ( ( p @ ( inj__o @ C ) )
               => ( p @ ( inj__o @ B ) ) ) )
           => ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) )
          & ( ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) )
          & ( ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ( ( ( p @ ( inj__o @ B ) )
               => ( p @ ( inj__o @ C ) ) )
              & ( ( p @ ( inj__o @ C ) )
               => ( p @ ( inj__o @ B ) ) ) ) )
          & ( ( ( ( p @ ( inj__o @ B ) )
               => ( p @ ( inj__o @ C ) ) )
              & ( ( p @ ( inj__o @ C ) )
               => ( p @ ( inj__o @ B ) ) ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[48])).

thf(40,axiom,(
    ! [A: tp__o] :
      ( ( p @ ( inj__o @ A ) )
      | ~ ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEXCLUDED__MIDDLE)).

thf(261,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).

thf(24,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ecombin_2EI @ A ) @ ( arr @ A @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ecombin_2EI)).

thf(216,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ecombin_2EI @ A ) @ ( arr @ A @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(17,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Emin_2E_3D_3D_3E)).

thf(147,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(27,axiom,(
    ! [A: tp__o] :
      ( ~ ~ ( p @ ( inj__o @ A ) )
    <=> ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2ENOT__NOT)).

thf(221,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(13,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) )
     => ( ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ A ) ) )
       => ( ( p @ ( inj__o @ A ) )
        <=> ( p @ ( inj__o @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__ANTISYM__AX)).

thf(132,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) )
     => ( ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ A ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(4,axiom,(
    $true ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ETRUTH)).

thf(89,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(69,axiom,(
    mem @ c_2Earithmetic_2E_3C_3D @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Earithmetic_2E_3C_3D)).

thf(411,plain,(
    mem @ c_2Earithmetic_2E_3C_3D @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[69])).

thf(33,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Epred__set_2ESUM__IMAGE @ A ) @ ( arr @ ( arr @ A @ ty_2Enum_2Enum ) @ ( arr @ ( arr @ A @ bool ) @ ty_2Enum_2Enum ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Epred__set_2ESUM__IMAGE)).

thf(243,plain,(
    ! [A: del] :
      ( mem @ ( c_2Epred__set_2ESUM__IMAGE @ A ) @ ( arr @ ( arr @ A @ ty_2Enum_2Enum ) @ ( arr @ ( arr @ A @ bool ) @ ty_2Enum_2Enum ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(43,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) )
        | ( p @ ( inj__o @ C ) ) )
    <=> ( ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) )
        | ( p @ ( inj__o @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EDISJ__ASSOC)).

thf(265,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) )
       => ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) )
       => ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).

thf(76,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
      <=> ( ( p @ ( inj__o @ B ) )
          & ( p @ ( inj__o @ C ) ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__conj)).

thf(439,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
              & ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
              & ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) )
          & ( ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) )
          & ( ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
              & ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
              & ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[76])).

thf(26,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( B = B )
      <=> $true ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EREFL__CLAUSE)).

thf(220,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(57,axiom,
    ( ! [A: tp__o] :
        ( ~ ~ ( p @ ( inj__o @ A ) )
      <=> ( p @ ( inj__o @ A ) ) )
    & ( ~ $true
    <=> $false )
    & ( ~ $false
    <=> $true ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ENOT__CLAUSES)).

thf(366,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[57])).

thf(72,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Epred__set_2EFINITE @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Epred__set_2EFINITE)).

thf(424,plain,(
    ! [A: del] :
      ( mem @ ( c_2Epred__set_2EFINITE @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[72])).

thf(67,axiom,(
    ! [A: tp__o] :
      ( ( ( $true
         => ( p @ ( inj__o @ A ) ) )
      <=> ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
         => $true )
      <=> $true )
      & ( ( $false
         => ( p @ ( inj__o @ A ) ) )
      <=> $true )
      & ( ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ A ) ) )
      <=> $true )
      & ( ( ( p @ ( inj__o @ A ) )
         => $false )
      <=> ~ ( p @ ( inj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__CLAUSES)).

thf(407,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[67])).

thf(6,axiom,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2ET)).

thf(92,plain,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(54,axiom,(
    mem @ c_2Ebool_2EF @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2EF)).

thf(361,plain,(
    mem @ c_2Ebool_2EF @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[54])).

thf(29,axiom,(
    ! [A: del,B: tp__o] :
      ( ! [C: $i] :
          ( ( mem @ C @ A )
         => ( p @ ( inj__o @ B ) ) )
    <=> ( p @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EFORALL__SIMP)).

thf(224,plain,(
    ! [A: del,B: tp__o] :
      ( ( ! [C: $i] :
            ( ( mem @ C @ A )
           => ( p @ ( inj__o @ B ) ) )
       => ( p @ ( inj__o @ B ) ) )
      & ( ( p @ ( inj__o @ B ) )
       => ! [C: $i] :
            ( ( mem @ C @ A )
           => ( p @ ( inj__o @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(52,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ A ) @ B ) )
          <=> ( ( p @ A )
             => ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_imp_p)).

thf(356,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ A ) @ B ) )
             => ( ( p @ A )
               => ( p @ B ) ) )
            & ( ( ( p @ A )
               => ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[52])).

thf(14,axiom,(
    ! [A: tp__o] :
      ( ( ~ ( p @ ( inj__o @ A ) )
       => $false )
     => ( ( ( p @ ( inj__o @ A ) )
         => $false )
       => $false ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EAND__INV2)).

thf(141,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(50,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_2F_5C)).

thf(339,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[50])).

thf(8,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
     => ~ ( p @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Epth__ni2)).

thf(96,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
     => ~ ( p @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(20,axiom,(
    ! [A: tp__o] :
      ( $false
     => ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EFALSITY)).

thf(173,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(10,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( mem @ ( inj__ty_2Enum_2Enum @ A ) @ ty_2Enum_2Enum ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_mem_ty_2Enum_2Enum)).

thf(128,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( mem @ ( inj__ty_2Enum_2Enum @ A ) @ ty_2Enum_2Enum ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(53,axiom,(
    ! [A: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
      <=> $true )
      | ( ( p @ ( inj__o @ A ) )
      <=> $false ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_thm_2Ebool_2EBOOL__CASES__AX)).

thf(360,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[53])).

thf(70,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ C ) ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          & ( p @ ( inj__o @ B ) ) )
       => ( p @ ( inj__o @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EAND__IMP__INTRO)).

thf(412,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( ( p @ ( inj__o @ A ) )
         => ( ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ C ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            & ( p @ ( inj__o @ B ) ) )
         => ( p @ ( inj__o @ C ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            & ( p @ ( inj__o @ B ) ) )
         => ( p @ ( inj__o @ C ) ) )
       => ( ( p @ ( inj__o @ A ) )
         => ( ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[70])).

thf(74,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( B = C )
          <=> ( C = B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEQ__SYM__EQ)).

thf(430,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( ( B = C )
             => ( C = B ) )
            & ( ( C = B )
             => ( B = C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[74])).

thf(71,axiom,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_5C_2F)).

thf(423,plain,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[71])).

thf(64,axiom,(
    ! [A: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_7E @ A ) )
      = ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_7E)).

thf(402,plain,(
    ! [A: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_7E @ A ) )
      = ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[64])).

thf(47,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(286,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[47])).

thf(22,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
          <=> ( ( p @ A )
              & ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_and_p)).

thf(204,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
             => ( ( p @ A )
                & ( p @ B ) ) )
            & ( ( ( p @ A )
                & ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(39,axiom,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_mem_o)).

thf(259,plain,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).

thf(16,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( ( p @ ( ap @ c_2Ebool_2E_7E @ A ) )
      <=> ~ ( p @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_neg_p)).

thf(144,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( ( ( p @ ( ap @ c_2Ebool_2E_7E @ A ) )
         => ~ ( p @ A ) )
        & ( ~ ( p @ A )
         => ( p @ ( ap @ c_2Ebool_2E_7E @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(3,axiom,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_surj_o)).

thf(86,plain,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(66,axiom,(
    ! [A: tp__o] :
      ( ( ( $true
          | ( p @ ( inj__o @ A ) ) )
      <=> $true )
      & ( ( ( p @ ( inj__o @ A ) )
          | $true )
      <=> $true )
      & ( ( $false
          | ( p @ ( inj__o @ A ) ) )
      <=> ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
          | $false )
      <=> ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ A ) ) )
      <=> ( p @ ( inj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EOR__CLAUSES)).

thf(406,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[66])).

thf(1,conjecture,(
    ! [A: tp__ty_2Enum_2Enum,B: $i] :
      ( ( mem @ B @ ( arr @ ty_2Enum_2Enum @ bool ) )
     => ( ( ( p @ ( ap @ ( c_2Epred__set_2EFINITE @ ty_2Enum_2Enum ) @ B ) )
          & ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ty_2Enum_2Enum ) @ ( inj__ty_2Enum_2Enum @ A ) ) @ B ) ) )
       => ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( ap @ c_2Epred__set_2ESUM__SET @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Epred__set_2ESUM__SET__IN__LE)).

thf(2,negated_conjecture,(
    ~ ! [A: tp__ty_2Enum_2Enum,B: $i] :
        ( ( mem @ B @ ( arr @ ty_2Enum_2Enum @ bool ) )
       => ( ( ( p @ ( ap @ ( c_2Epred__set_2EFINITE @ ty_2Enum_2Enum ) @ B ) )
            & ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ty_2Enum_2Enum ) @ ( inj__ty_2Enum_2Enum @ A ) ) @ B ) ) )
         => ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( ap @ c_2Epred__set_2ESUM__SET @ B ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(81,plain,(
    ~ ! [A: tp__ty_2Enum_2Enum,B: $i] :
        ( ( mem @ B @ ( arr @ ty_2Enum_2Enum @ bool ) )
       => ( ( ( p @ ( ap @ ( c_2Epred__set_2EFINITE @ ty_2Enum_2Enum ) @ B ) )
            & ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ty_2Enum_2Enum ) @ ( inj__ty_2Enum_2Enum @ A ) ) @ B ) ) )
         => ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( ap @ c_2Epred__set_2ESUM__SET @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(55,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( surj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_iso_mem_o)).

thf(362,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( surj__o @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[55])).

thf(34,axiom,(
    ~ ( p @ c_2Ebool_2EF ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_false_p)).

thf(245,plain,(
    ~ ( p @ c_2Ebool_2EF ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(9,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
      <=> ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__disj)).

thf(98,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
              | ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
              | ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
              | ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
              | ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(23,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) ) )
    <=> ( ( p @ ( inj__o @ B ) )
        | ( p @ ( inj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EDISJ__SYM)).

thf(208,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
       => ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ A ) ) ) )
      & ( ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ A ) ) )
       => ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(58,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ibeta)).

thf(367,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[58])).

thf(32,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_5C_2F @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_5C_2F)).

thf(240,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_5C_2F @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(11,axiom,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D_3D_3E)).

thf(130,plain,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(63,axiom,(
    ! [A: del,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',kbeta)).

thf(399,plain,(
    ! [A: del,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[63])).

thf(73,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
      <=> ! [C: $i] :
            ( ( mem @ C @ A )
           => ( p @ ( ap @ B @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_all_p)).

thf(426,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
         => ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) )
        & ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) )
         => ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[73])).

thf(37,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
     => ~ ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Epth__no1)).

thf(255,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
     => ~ ( p @ ( inj__o @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(51,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o,D: tp__o] :
      ( ( ( ( p @ ( inj__o @ A ) )
        <=> ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ B ) )
         => ( ( p @ ( inj__o @ C ) )
          <=> ( p @ ( inj__o @ D ) ) ) ) )
     => ( ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ C ) ) )
      <=> ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ D ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__CONG)).

thf(342,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o,D: tp__o] :
      ( ( ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ B ) )
         => ( ( ( p @ ( inj__o @ C ) )
             => ( p @ ( inj__o @ D ) ) )
            & ( ( p @ ( inj__o @ D ) )
             => ( p @ ( inj__o @ C ) ) ) ) ) )
     => ( ( ( ( p @ ( inj__o @ A ) )
           => ( p @ ( inj__o @ C ) ) )
         => ( ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ D ) ) ) )
        & ( ( ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ D ) ) )
         => ( ( p @ ( inj__o @ A ) )
           => ( p @ ( inj__o @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[51])).

thf(45,axiom,(
    ! [A: tp__o] :
      ( ( p @ ( inj__o @ A ) )
     => ( ~ ( p @ ( inj__o @ A ) )
       => $false ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EAND__INV__IMP)).

thf(282,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[45])).

thf(18,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( surj__ty_2Enum_2Enum @ ( inj__ty_2Enum_2Enum @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_surj_ty_2Enum_2Enum)).

thf(150,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( surj__ty_2Enum_2Enum @ ( inj__ty_2Enum_2Enum @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(42,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
     => ~ ( p @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Epth__no2)).

thf(263,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
     => ~ ( p @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).

thf(59,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( ~ ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
       => $false )
    <=> ( ( ( p @ ( inj__o @ A ) )
         => $false )
       => ( ~ ( p @ ( inj__o @ B ) )
         => $false ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EOR__DUAL2)).

thf(370,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
       => ( ~ ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) ) )
      & ( ( ~ ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
       => ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[59])).

thf(49,axiom,(
    ! [A: tp__o] :
      ( ~ ( p @ ( inj__o @ A ) )
     => ( ( p @ ( inj__o @ A ) )
       => $false ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EF__IMP)).

thf(338,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[49])).

thf(36,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',funcext)).

thf(250,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(30,axiom,(
    p @ c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_true_p)).

thf(231,plain,(
    p @ c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(80,axiom,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_2F_5C)).

thf(482,plain,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[80])).

thf(25,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ap_tp)).

thf(218,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(38,axiom,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_7E)).

thf(258,plain,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(60,axiom,(
    mem @ c_2Ebool_2ET @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2ET)).

thf(378,plain,(
    mem @ c_2Ebool_2ET @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[60])).

thf(78,axiom,(
    ! [A: tp__o] :
      ( ~ ~ ( p @ ( inj__o @ A ) )
     => ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Epth__nn)).

thf(478,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[78])).

thf(41,axiom,(
    ! [A: tp__o] :
      ( ( ( $true
          & ( p @ ( inj__o @ A ) ) )
      <=> ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
          & $true )
      <=> ( p @ ( inj__o @ A ) ) )
      & ( ( $false
          & ( p @ ( inj__o @ A ) ) )
      <=> $false )
      & ( ( ( p @ ( inj__o @ A ) )
          & $false )
      <=> $false )
      & ( ( ( p @ ( inj__o @ A ) )
          & ( p @ ( inj__o @ A ) ) )
      <=> ( p @ ( inj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EAND__CLAUSES)).

thf(262,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).

thf(65,axiom,(
    mem @ c_2Epred__set_2ESUM__SET @ ( arr @ ( arr @ ty_2Enum_2Enum @ bool ) @ ty_2Enum_2Enum ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Epred__set_2ESUM__SET)).

thf(405,plain,(
    mem @ c_2Epred__set_2ESUM__SET @ ( arr @ ( arr @ ty_2Enum_2Enum @ bool ) @ ty_2Enum_2Enum ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[65])).

thf(75,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(437,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[75])).

thf(7,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2EIN @ A ) @ ( arr @ A @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2EIN)).

thf(94,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2EIN @ A ) @ ( arr @ A @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(46,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Enum_2Enum )
     => ( A
        = ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_iso_mem_ty_2Enum_2Enum)).

thf(283,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Enum_2Enum )
     => ( A
        = ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[46])).

thf(62,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ A ) @ B ) )
          <=> ( ( p @ A )
              | ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_or_p)).

thf(395,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ A ) @ B ) )
             => ( ( p @ A )
                | ( p @ B ) ) )
            & ( ( ( p @ A )
                | ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[62])).

thf(12,axiom,(
    ! [A: tp__o] :
      ( ( ( $true
        <=> ( p @ ( inj__o @ A ) ) )
      <=> ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
        <=> $true )
      <=> ( p @ ( inj__o @ A ) ) )
      & ( ( $false
        <=> ( p @ ( inj__o @ A ) ) )
      <=> ~ ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
        <=> $false )
      <=> ~ ( p @ ( inj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEQ__CLAUSES)).

thf(131,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(5,axiom,
    ( ( inj__o @ fo__c_2Ebool_2EF )
    = c_2Ebool_2EF ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2EF)).

thf(90,plain,
    ( ( inj__o @ fo__c_2Ebool_2EF )
    = c_2Ebool_2EF ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(77,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ A )
            <=> ( p @ B ) )
           => ( A = B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',boolext)).

thf(469,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( ( p @ A )
               => ( p @ B ) )
              & ( ( p @ B )
               => ( p @ A ) ) )
           => ( A = B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[77])).

thf(28,axiom,
    ( c_2Epred__set_2ESUM__SET
    = ( ap @ ( c_2Epred__set_2ESUM__IMAGE @ ty_2Enum_2Enum ) @ ( c_2Ecombin_2EI @ ty_2Enum_2Enum ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_thm_2Epred__set_2ESUM__SET__DEF)).

thf(222,plain,
    ( c_2Epred__set_2ESUM__SET
    = ( ap @ ( c_2Epred__set_2ESUM__IMAGE @ ty_2Enum_2Enum ) @ ( c_2Ecombin_2EI @ ty_2Enum_2Enum ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(31,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( ~ ( ~ ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
       => $false )
    <=> ( ( p @ ( inj__o @ A ) )
       => ( ~ ( p @ ( inj__o @ B ) )
         => $false ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EOR__DUAL3)).

thf(232,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( ~ ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
       => ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
       => ( ~ ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(491,plain,(
    $false ),
    inference(cvc4,[status(thm)],[365,479,408,276,247,379,142,153,174,288,261,216,147,221,132,89,411,243,265,439,220,366,424,407,92,361,224,356,141,339,96,173,128,360,412,430,423,402,286,204,259,144,86,406,81,362,245,98,208,367,240,130,399,426,255,342,282,150,263,370,338,250,231,482,218,258,378,478,262,405,437,94,283,395,131,90,469,222,232])).
%------------------------------------------------------------------------------
