%------------------------------------------------------------------------------
thf(del_type,type,(
    del: $tType )).

thf(bool_type,type,(
    bool: del )).

thf(arr_type,type,(
    arr: del > del > del )).

thf(mem_type,type,(
    mem: $i > del > $o )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(k_type,type,(
    k: del > $i > $i )).

thf(i_type,type,(
    i: del > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(tp__o_type,type,(
    tp__o: $tType )).

thf(inj__o_type,type,(
    inj__o: tp__o > $i )).

thf(surj__o_type,type,(
    surj__o: $i > tp__o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: del > $i )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $i )).

thf(fo__c_2Emin_2E_3D_3D_3E_type,type,(
    fo__c_2Emin_2E_3D_3D_3E: tp__o > tp__o > tp__o )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: del > $i )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $i )).

thf(fo__c_2Ebool_2E_2F_5C_type,type,(
    fo__c_2Ebool_2E_2F_5C: tp__o > tp__o > tp__o )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: del > $i )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $i )).

thf(fo__c_2Ebool_2E_5C_2F_type,type,(
    fo__c_2Ebool_2E_5C_2F: tp__o > tp__o > tp__o )).

thf(ty_2Epair_2Eprod_type,type,(
    ty_2Epair_2Eprod: del > del > del )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: del > del > $i )).

thf(c_2Epred__set_2ESUBSET_type,type,(
    c_2Epred__set_2ESUBSET: del > $i )).

thf(c_2Eset__relation_2Eantisym_type,type,(
    c_2Eset__relation_2Eantisym: del > $i )).

thf(c_2Eset__relation_2Edomain_type,type,(
    c_2Eset__relation_2Edomain: del > del > $i )).

thf(c_2Eset__relation_2Elinear__order_type,type,(
    c_2Eset__relation_2Elinear__order: del > $i )).

thf(c_2Eset__relation_2Erange_type,type,(
    c_2Eset__relation_2Erange: del > del > $i )).

thf(c_2Eset__relation_2Etransitive_type,type,(
    c_2Eset__relation_2Etransitive: del > $i )).

thf(14,axiom,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_o)).

thf(69,plain,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(20,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( surj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_o)).

thf(88,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( surj__o @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(28,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Eset__relation_2Edomain @ A @ A ) @ ( arr @ ( arr @ ( ty_2Epair_2Eprod @ A @ A ) @ bool ) @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Eset__relation_2Edomain)).

thf(110,plain,(
    ! [A: del] :
      ( mem @ ( c_2Eset__relation_2Edomain @ A @ A ) @ ( arr @ ( arr @ ( ty_2Epair_2Eprod @ A @ A ) @ bool ) @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(10,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ap_tp)).

thf(57,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(27,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
      <=> ! [C: $i] :
            ( ( mem @ C @ A )
           => ( p @ ( ap @ B @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_all_p)).

thf(106,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
         => ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) )
        & ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) )
         => ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(19,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ A ) @ B ) )
          <=> ( ( p @ A )
             => ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_imp_p)).

thf(84,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ A ) @ B ) )
             => ( ( p @ A )
               => ( p @ B ) ) )
            & ( ( ( p @ A )
               => ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(1,conjecture,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ ( ty_2Epair_2Eprod @ A @ A ) @ bool ) )
     => ! [C: $i] :
          ( ( mem @ C @ ( arr @ A @ bool ) )
         => ! [D: $i] :
              ( ( mem @ D @ A )
             => ( ( p @ ( ap @ ( ap @ ( c_2Eset__relation_2Elinear__order @ A ) @ B ) @ C ) )
               => ( ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ A ) @ D ) @ C ) )
                 => ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ( ty_2Epair_2Eprod @ A @ A ) ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ A ) @ D ) @ D ) ) @ B ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Eset__relation_2Elinear__order__refl)).

thf(2,negated_conjecture,(
    ~ ! [A: del,B: $i] :
        ( ( mem @ B @ ( arr @ ( ty_2Epair_2Eprod @ A @ A ) @ bool ) )
       => ! [C: $i] :
            ( ( mem @ C @ ( arr @ A @ bool ) )
           => ! [D: $i] :
                ( ( mem @ D @ A )
               => ( ( p @ ( ap @ ( ap @ ( c_2Eset__relation_2Elinear__order @ A ) @ B ) @ C ) )
                 => ( ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ A ) @ D ) @ C ) )
                   => ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ( ty_2Epair_2Eprod @ A @ A ) ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ A ) @ D ) @ D ) ) @ B ) ) ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(33,plain,(
    ~ ! [A: del,B: $i] :
        ( ( mem @ B @ ( arr @ ( ty_2Epair_2Eprod @ A @ A ) @ bool ) )
       => ! [C: $i] :
            ( ( mem @ C @ ( arr @ A @ bool ) )
           => ! [D: $i] :
                ( ( mem @ D @ A )
               => ( ( p @ ( ap @ ( ap @ ( c_2Eset__relation_2Elinear__order @ A ) @ B ) @ C ) )
                 => ( ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ A ) @ D ) @ C ) )
                   => ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ( ty_2Epair_2Eprod @ A @ A ) ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ A ) @ D ) @ D ) ) @ B ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(9,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
          <=> ( ( p @ A )
              & ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_and_p)).

thf(53,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
             => ( ( p @ A )
                & ( p @ B ) ) )
            & ( ( ( p @ A )
                & ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(30,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(124,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(23,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ A ) @ B ) )
          <=> ( ( p @ A )
              | ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_or_p)).

thf(96,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ A ) @ B ) )
             => ( ( p @ A )
                | ( p @ B ) ) )
            & ( ( ( p @ A )
                | ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(16,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
          <=> ( B = C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_eq_p)).

thf(73,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
             => ( B = C ) )
            & ( ( B = C )
             => ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(26,axiom,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_5C_2F)).

thf(105,plain,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(5,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2EIN @ A ) @ ( arr @ A @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2EIN)).

thf(45,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2EIN @ A ) @ ( arr @ A @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(13,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',funcext)).

thf(64,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(11,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_5C_2F @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_5C_2F)).

thf(59,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_5C_2F @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(15,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2E_2C @ A @ A ) @ ( arr @ A @ ( arr @ B @ ( ty_2Epair_2Eprod @ A @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Epair_2E_2C)).

thf(71,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2E_2C @ A @ A ) @ ( arr @ A @ ( arr @ B @ ( ty_2Epair_2Eprod @ A @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(7,axiom,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D_3D_3E)).

thf(49,plain,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(18,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_2F_5C)).

thf(81,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(25,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Eset__relation_2Elinear__order @ A ) @ ( arr @ ( arr @ ( ty_2Epair_2Eprod @ A @ A ) @ bool ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Eset__relation_2Elinear__order)).

thf(103,plain,(
    ! [A: del] :
      ( mem @ ( c_2Eset__relation_2Elinear__order @ A ) @ ( arr @ ( arr @ ( ty_2Epair_2Eprod @ A @ A ) @ bool ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(21,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ibeta)).

thf(91,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(32,axiom,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_2F_5C)).

thf(135,plain,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(29,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ ( ty_2Epair_2Eprod @ A @ A ) @ bool ) )
     => ! [C: $i] :
          ( ( mem @ C @ ( arr @ A @ bool ) )
         => ( ( p @ ( ap @ ( ap @ ( c_2Eset__relation_2Elinear__order @ A ) @ B ) @ C ) )
          <=> ( ( p @ ( ap @ ( ap @ ( c_2Epred__set_2ESUBSET @ A ) @ ( ap @ ( c_2Eset__relation_2Edomain @ A @ A ) @ B ) ) @ C ) )
              & ( p @ ( ap @ ( ap @ ( c_2Epred__set_2ESUBSET @ A ) @ ( ap @ ( c_2Eset__relation_2Erange @ A @ A ) @ B ) ) @ C ) )
              & ( p @ ( ap @ ( c_2Eset__relation_2Etransitive @ A ) @ B ) )
              & ( p @ ( ap @ ( c_2Eset__relation_2Eantisym @ A ) @ B ) )
              & ! [D: $i] :
                  ( ( mem @ D @ A )
                 => ! [E: $i] :
                      ( ( mem @ E @ A )
                     => ( ( ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ A ) @ D ) @ C ) )
                          & ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ A ) @ E ) @ C ) ) )
                       => ( ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ( ty_2Epair_2Eprod @ A @ A ) ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ A ) @ D ) @ E ) ) @ B ) )
                          | ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ( ty_2Epair_2Eprod @ A @ A ) ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ A ) @ E ) @ D ) ) @ B ) ) ) ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_thm_2Eset__relation_2Elinear__order__def)).

thf(112,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ ( ty_2Epair_2Eprod @ A @ A ) @ bool ) )
     => ! [C: $i] :
          ( ( mem @ C @ ( arr @ A @ bool ) )
         => ( ( ( p @ ( ap @ ( ap @ ( c_2Eset__relation_2Elinear__order @ A ) @ B ) @ C ) )
             => ( ( p @ ( ap @ ( ap @ ( c_2Epred__set_2ESUBSET @ A ) @ ( ap @ ( c_2Eset__relation_2Edomain @ A @ A ) @ B ) ) @ C ) )
                & ( p @ ( ap @ ( ap @ ( c_2Epred__set_2ESUBSET @ A ) @ ( ap @ ( c_2Eset__relation_2Erange @ A @ A ) @ B ) ) @ C ) )
                & ( p @ ( ap @ ( c_2Eset__relation_2Etransitive @ A ) @ B ) )
                & ( p @ ( ap @ ( c_2Eset__relation_2Eantisym @ A ) @ B ) )
                & ! [D: $i] :
                    ( ( mem @ D @ A )
                   => ! [E: $i] :
                        ( ( mem @ E @ A )
                       => ( ( ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ A ) @ D ) @ C ) )
                            & ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ A ) @ E ) @ C ) ) )
                         => ( ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ( ty_2Epair_2Eprod @ A @ A ) ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ A ) @ D ) @ E ) ) @ B ) )
                            | ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ( ty_2Epair_2Eprod @ A @ A ) ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ A ) @ E ) @ D ) ) @ B ) ) ) ) ) ) ) )
            & ( ( ( p @ ( ap @ ( ap @ ( c_2Epred__set_2ESUBSET @ A ) @ ( ap @ ( c_2Eset__relation_2Edomain @ A @ A ) @ B ) ) @ C ) )
                & ( p @ ( ap @ ( ap @ ( c_2Epred__set_2ESUBSET @ A ) @ ( ap @ ( c_2Eset__relation_2Erange @ A @ A ) @ B ) ) @ C ) )
                & ( p @ ( ap @ ( c_2Eset__relation_2Etransitive @ A ) @ B ) )
                & ( p @ ( ap @ ( c_2Eset__relation_2Eantisym @ A ) @ B ) )
                & ! [D: $i] :
                    ( ( mem @ D @ A )
                   => ! [E: $i] :
                        ( ( mem @ E @ A )
                       => ( ( ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ A ) @ D ) @ C ) )
                            & ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ A ) @ E ) @ C ) ) )
                         => ( ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ( ty_2Epair_2Eprod @ A @ A ) ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ A ) @ D ) @ E ) ) @ B ) )
                            | ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ( ty_2Epair_2Eprod @ A @ A ) ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ A ) @ E ) @ D ) ) @ B ) ) ) ) ) ) )
             => ( p @ ( ap @ ( ap @ ( c_2Eset__relation_2Elinear__order @ A ) @ B ) @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(8,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Emin_2E_3D_3D_3E)).

thf(50,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(4,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Eset__relation_2Eantisym @ A ) @ ( arr @ ( arr @ ( ty_2Epair_2Eprod @ A @ A ) @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Eset__relation_2Eantisym)).

thf(43,plain,(
    ! [A: del] :
      ( mem @ ( c_2Eset__relation_2Eantisym @ A ) @ ( arr @ ( arr @ ( ty_2Epair_2Eprod @ A @ A ) @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(3,axiom,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_o)).

thf(40,plain,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(31,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ A )
            <=> ( p @ B ) )
           => ( A = B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',boolext)).

thf(126,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( ( p @ A )
               => ( p @ B ) )
              & ( ( p @ B )
               => ( p @ A ) ) )
           => ( A = B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(17,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(79,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(22,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Eset__relation_2Etransitive @ A ) @ ( arr @ ( arr @ ( ty_2Epair_2Eprod @ A @ A ) @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Eset__relation_2Etransitive)).

thf(94,plain,(
    ! [A: del] :
      ( mem @ ( c_2Eset__relation_2Etransitive @ A ) @ ( arr @ ( arr @ ( ty_2Epair_2Eprod @ A @ A ) @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(6,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Epred__set_2ESUBSET @ A ) @ ( arr @ ( arr @ A @ bool ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Epred__set_2ESUBSET)).

thf(47,plain,(
    ! [A: del] :
      ( mem @ ( c_2Epred__set_2ESUBSET @ A ) @ ( arr @ ( arr @ A @ bool ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(12,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Eset__relation_2Erange @ A @ A ) @ ( arr @ ( arr @ ( ty_2Epair_2Eprod @ B @ B ) @ bool ) @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Eset__relation_2Erange)).

thf(62,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Eset__relation_2Erange @ A @ A ) @ ( arr @ ( arr @ ( ty_2Epair_2Eprod @ B @ B ) @ bool ) @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(24,axiom,(
    ! [A: del,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',kbeta)).

thf(100,plain,(
    ! [A: del,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(136,plain,(
    $false ),
    inference(cvc4,[status(thm)],[69,88,110,57,106,84,33,53,124,96,73,105,45,64,59,71,49,81,103,91,135,112,50,43,40,126,79,94,47,62,100])).
%------------------------------------------------------------------------------
