%------------------------------------------------------------------------------
thf(del_type,type,(
    del: $tType )).

thf(bool_type,type,(
    bool: del )).

thf(arr_type,type,(
    arr: del > del > del )).

thf(mem_type,type,(
    mem: $i > del > $o )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(lam_type,type,(
    lam: del > ( $i > $i ) > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(inj__o_type,type,(
    inj__o: $o > $i )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $i )).

thf(fo__c_2Ebool_2ET_type,type,(
    fo__c_2Ebool_2ET: $o )).

thf(ty_2Elist_2Elist_type,type,(
    ty_2Elist_2Elist: del > del )).

thf(c_2Elist_2EMAP_type,type,(
    c_2Elist_2EMAP: del > del > $i )).

thf(c_2Epred__set_2EUNIV_type,type,(
    c_2Epred__set_2EUNIV: del > $i )).

thf(c_2Elist_2ELIST__TO__SET_type,type,(
    c_2Elist_2ELIST__TO__SET: del > $i )).

thf(c_2Epred__set_2EUNION_type,type,(
    c_2Epred__set_2EUNION: del > $i )).

thf(c_2Epred__set_2EINJ_type,type,(
    c_2Epred__set_2EINJ: del > del > $i )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $i )).

thf(fo__c_2Ebool_2EF_type,type,(
    fo__c_2Ebool_2EF: $o )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $i )).

thf(fo__c_2Ebool_2E_2F_5C_type,type,(
    fo__c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: del > $i )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $i )).

thf(fo__c_2Ebool_2E_5C_2F_type,type,(
    fo__c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $i )).

thf(fo__c_2Ebool_2E_7E_type,type,(
    fo__c_2Ebool_2E_7E: $o > $o )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $i )).

thf(fo__c_2Emin_2E_3D_3D_3E_type,type,(
    fo__c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: del > $i )).

thf(39,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epred__set_2EINJ @ A @ B ) @ ( arr @ ( arr @ A @ B ) @ ( arr @ ( arr @ A @ bool ) @ ( arr @ ( arr @ B @ bool ) @ bool ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Epred__set_2EINJ)).

thf(352,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epred__set_2EINJ @ A @ B ) @ ( arr @ ( arr @ A @ B ) @ ( arr @ ( arr @ A @ bool ) @ ( arr @ ( arr @ B @ bool ) @ bool ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).

thf(15,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(153,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(46,axiom,(
    ! [A: $o] :
      ( ( ~ ( p @ ( inj__o @ A ) )
       => $false )
     => ( ( ( p @ ( inj__o @ A ) )
         => $false )
       => $false ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EAND__INV2)).

thf(389,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[46])).

thf(42,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__imp)).

thf(357,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).

thf(60,axiom,(
    mem @ c_2Ebool_2ET @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2ET)).

thf(460,plain,(
    mem @ c_2Ebool_2ET @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[60])).

thf(56,axiom,(
    ! [A: $o,B: $o] :
      ( ( ~ ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
       => $false )
      = ( ( ( p @ ( inj__o @ A ) )
         => $false )
       => ( ~ ( p @ ( inj__o @ B ) )
         => $false ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EOR__DUAL2)).

thf(416,plain,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) ) )
      = ( ~ ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[56])).

thf(25,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Epred__set_2EUNIV @ A ) @ ( arr @ A @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Epred__set_2EUNIV)).

thf(216,plain,(
    ! [A: del] :
      ( mem @ ( c_2Epred__set_2EUNIV @ A ) @ ( arr @ A @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(17,axiom,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_5C_2F @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_5C_2F)).

thf(164,plain,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_5C_2F @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(12,axiom,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) )
     => ( ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ A ) ) )
       => ( ( p @ ( inj__o @ A ) )
          = ( p @ ( inj__o @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__ANTISYM__AX)).

thf(106,plain,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) )
     => ( ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ A ) ) )
       => ( ( p @ ( inj__o @ A ) )
          = ( p @ ( inj__o @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(50,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( B = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEQ__REFL)).

thf(397,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[50])).

thf(53,axiom,(
    ! [A: del,B: $i > $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( lam @ A @ B ) @ C )
        = ( B @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',beta)).

thf(411,plain,(
    ! [A: del,B: $i > $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( lam @ A @ B ) @ C )
        = ( B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[53])).

thf(43,axiom,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_2F_5C)).

thf(380,plain,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).

thf(9,axiom,(
    ! [A: $o,B: $o] :
      ( ( ~ ( ~ ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
       => $false )
      = ( ( p @ ( inj__o @ A ) )
       => ( ~ ( p @ ( inj__o @ B ) )
         => $false ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EOR__DUAL3)).

thf(85,plain,(
    ! [A: $o,B: $o] :
      ( ( ~ ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) ) )
      = ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(44,axiom,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_surj_o)).

thf(381,plain,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).

thf(27,axiom,(
    ! [A: $o,B: $o,C: $o,D: $o] :
      ( ( ( ( p @ ( inj__o @ A ) )
          = ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ B ) )
         => ( ( p @ ( inj__o @ C ) )
            = ( p @ ( inj__o @ D ) ) ) ) )
     => ( ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ C ) ) )
        = ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ D ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__CONG)).

thf(220,plain,(
    ! [A: $o,B: $o,C: $o,D: $o] :
      ( ( ( ( p @ ( inj__o @ A ) )
          = ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ B ) )
         => ( ( p @ ( inj__o @ C ) )
            = ( p @ ( inj__o @ D ) ) ) ) )
     => ( ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ C ) ) )
        = ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ D ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(3,axiom,
    ( ( inj__o @ fo__c_2Ebool_2EF )
    = c_2Ebool_2EF ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2EF)).

thf(70,plain,
    ( ( inj__o @ fo__c_2Ebool_2EF )
    = c_2Ebool_2EF ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(11,axiom,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_2F_5C)).

thf(97,plain,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(61,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( B = B )
        = $true ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EREFL__CLAUSE)).

thf(461,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[61])).

thf(7,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
            = ( B = C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_eq_p)).

thf(77,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
            = ( B = C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(23,axiom,(
    ! [A: del,B: del,C: $i > $i] :
      ( ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( C @ D ) @ B ) )
     => ( mem @ ( lam @ A @ C ) @ ( arr @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',lam_tp)).

thf(212,plain,(
    ! [A: del,B: del,C: $i > $i] :
      ( ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( C @ D ) @ B ) )
     => ( mem @ ( lam @ A @ C ) @ ( arr @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(48,axiom,(
    mem @ c_2Ebool_2EF @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2EF)).

thf(393,plain,(
    mem @ c_2Ebool_2EF @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[48])).

thf(18,axiom,(
    ! [A: $o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_mem_o)).

thf(173,plain,(
    ! [A: $o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(13,axiom,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_7E)).

thf(129,plain,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(5,axiom,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2ET)).

thf(73,plain,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(51,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Elist_2ELIST__TO__SET @ A ) @ ( arr @ ( ty_2Elist_2Elist @ A ) @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Elist_2ELIST__TO__SET)).

thf(398,plain,(
    ! [A: del] :
      ( mem @ ( c_2Elist_2ELIST__TO__SET @ A ) @ ( arr @ ( ty_2Elist_2Elist @ A ) @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[51])).

thf(21,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          & ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__conj)).

thf(180,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          & ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(19,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(176,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(28,axiom,(
    ! [A: $o,B: $o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
     => ~ ( p @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Epth__ni2)).

thf(281,plain,(
    ! [A: $o,B: $o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
     => ~ ( p @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(34,axiom,(
    ! [A: $o] :
      ( ~ ~ ( p @ ( inj__o @ A ) )
     => ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Epth__nn)).

thf(335,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(16,axiom,(
    ! [A: $o,B: $o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
     => ~ ( p @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Epth__no2)).

thf(155,plain,(
    ! [A: $o,B: $o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
     => ~ ( p @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(62,axiom,(
    ! [A: $o,B: $o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
     => ~ ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Epth__no1)).

thf(462,plain,(
    ! [A: $o,B: $o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
     => ~ ( p @ ( inj__o @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[62])).

thf(14,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__disj)).

thf(130,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(49,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( p @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_iso_mem_o)).

thf(394,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( p @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[49])).

thf(30,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',funcext)).

thf(299,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(8,axiom,(
    ! [A: $o] :
      ( ( p @ ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_neg_p)).

thf(80,plain,(
    ! [A: $o] :
      ( ( p @ ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(37,axiom,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Emin_2E_3D_3D_3E)).

thf(342,plain,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(41,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Elist_2EMAP @ A @ B ) @ ( arr @ ( arr @ A @ B ) @ ( arr @ ( ty_2Elist_2Elist @ A ) @ ( ty_2Elist_2Elist @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Elist_2EMAP)).

thf(355,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Elist_2EMAP @ A @ B ) @ ( arr @ ( arr @ A @ B ) @ ( arr @ ( ty_2Elist_2Elist @ A ) @ ( ty_2Elist_2Elist @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).

thf(1,conjecture,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( ty_2Elist_2Elist @ A ) )
         => ! [E: $i] :
              ( ( mem @ E @ ( ty_2Elist_2Elist @ A ) )
             => ( ( p @ ( ap @ ( ap @ ( ap @ ( c_2Epred__set_2EINJ @ A @ B ) @ C ) @ ( ap @ ( ap @ ( c_2Epred__set_2EUNION @ A ) @ ( ap @ ( c_2Elist_2ELIST__TO__SET @ A ) @ D ) ) @ ( ap @ ( c_2Elist_2ELIST__TO__SET @ A ) @ E ) ) ) @ ( c_2Epred__set_2EUNIV @ B ) ) )
               => ( ( ( ap @ ( ap @ ( c_2Elist_2EMAP @ A @ B ) @ C ) @ D )
                    = ( ap @ ( ap @ ( c_2Elist_2EMAP @ A @ B ) @ C ) @ E ) )
                  = ( D = E ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Elist_2EINJ__MAP__EQ__IFF)).

thf(2,negated_conjecture,(
    ~ ! [A: del,B: del,C: $i] :
        ( ( mem @ C @ ( arr @ A @ B ) )
       => ! [D: $i] :
            ( ( mem @ D @ ( ty_2Elist_2Elist @ A ) )
           => ! [E: $i] :
                ( ( mem @ E @ ( ty_2Elist_2Elist @ A ) )
               => ( ( p @ ( ap @ ( ap @ ( ap @ ( c_2Epred__set_2EINJ @ A @ B ) @ C ) @ ( ap @ ( ap @ ( c_2Epred__set_2EUNION @ A ) @ ( ap @ ( c_2Elist_2ELIST__TO__SET @ A ) @ D ) ) @ ( ap @ ( c_2Elist_2ELIST__TO__SET @ A ) @ E ) ) ) @ ( c_2Epred__set_2EUNIV @ B ) ) )
                 => ( ( ( ap @ ( ap @ ( c_2Elist_2EMAP @ A @ B ) @ C ) @ D )
                      = ( ap @ ( ap @ ( c_2Elist_2EMAP @ A @ B ) @ C ) @ E ) )
                    = ( D = E ) ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(63,plain,(
    ~ ! [A: del,B: del,C: $i] :
        ( ( mem @ C @ ( arr @ A @ B ) )
       => ! [D: $i] :
            ( ( mem @ D @ ( ty_2Elist_2Elist @ A ) )
           => ! [E: $i] :
                ( ( mem @ E @ ( ty_2Elist_2Elist @ A ) )
               => ( ( p @ ( ap @ ( ap @ ( ap @ ( c_2Epred__set_2EINJ @ A @ B ) @ C ) @ ( ap @ ( ap @ ( c_2Epred__set_2EUNION @ A ) @ ( ap @ ( c_2Elist_2ELIST__TO__SET @ A ) @ D ) ) @ ( ap @ ( c_2Elist_2ELIST__TO__SET @ A ) @ E ) ) ) @ ( c_2Epred__set_2EUNIV @ B ) ) )
                 => ( ( ( ap @ ( ap @ ( c_2Elist_2EMAP @ A @ B ) @ C ) @ D )
                      = ( ap @ ( ap @ ( c_2Elist_2EMAP @ A @ B ) @ C ) @ E ) )
                    = ( D = E ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(54,axiom,(
    ! [A: $o] :
      ( ( ~ ~ ( p @ ( inj__o @ A ) ) )
      = ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2ENOT__NOT)).

thf(414,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[54])).

thf(35,axiom,(
    p @ c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_true_p)).

thf(336,plain,(
    p @ c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(4,axiom,(
    $true ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ETRUTH)).

thf(72,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(45,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( B = C )
            = ( C = B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEQ__SYM__EQ)).

thf(386,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( B = C )
            = ( C = B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[45])).

thf(33,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          & ( p @ ( inj__o @ B ) ) )
       => ( p @ ( inj__o @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EAND__IMP__INTRO)).

thf(314,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          & ( p @ ( inj__o @ B ) ) )
       => ( p @ ( inj__o @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(58,axiom,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_or_p)).

thf(450,plain,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[58])).

thf(22,axiom,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_imp_p)).

thf(203,plain,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(26,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Epred__set_2EUNION @ A ) @ ( arr @ ( arr @ A @ bool ) @ ( arr @ ( arr @ A @ bool ) @ ( arr @ A @ bool ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Epred__set_2EUNION)).

thf(218,plain,(
    ! [A: del] :
      ( mem @ ( c_2Epred__set_2EUNION @ A ) @ ( arr @ ( arr @ A @ bool ) @ ( arr @ ( arr @ A @ bool ) @ ( arr @ A @ bool ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(31,axiom,(
    ! [A: $o] :
      ( ( ( $true
         => ( p @ ( inj__o @ A ) ) )
        = ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
         => $true )
        = $true )
      & ( ( $false
         => ( p @ ( inj__o @ A ) ) )
        = $true )
      & ( ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ A ) ) )
        = $true )
      & ( ( ( p @ ( inj__o @ A ) )
         => $false )
        = ( ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__CLAUSES)).

thf(304,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(38,axiom,(
    ! [A: $o] :
      ( ( ( $true
          = ( p @ ( inj__o @ A ) ) )
        = ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
          = $true )
        = ( p @ ( inj__o @ A ) ) )
      & ( ( $false
          = ( p @ ( inj__o @ A ) ) )
        = ( ~ ( p @ ( inj__o @ A ) ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
          = $false )
        = ( ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEQ__CLAUSES)).

thf(351,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(47,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( ty_2Elist_2Elist @ A ) )
         => ! [E: $i] :
              ( ( mem @ E @ ( ty_2Elist_2Elist @ A ) )
             => ( ( ( p @ ( ap @ ( ap @ ( ap @ ( c_2Epred__set_2EINJ @ A @ B ) @ C ) @ ( ap @ ( ap @ ( c_2Epred__set_2EUNION @ A ) @ ( ap @ ( c_2Elist_2ELIST__TO__SET @ A ) @ D ) ) @ ( ap @ ( c_2Elist_2ELIST__TO__SET @ A ) @ E ) ) ) @ ( c_2Epred__set_2EUNIV @ B ) ) )
                  & ( ( ap @ ( ap @ ( c_2Elist_2EMAP @ A @ B ) @ C ) @ D )
                    = ( ap @ ( ap @ ( c_2Elist_2EMAP @ A @ B ) @ C ) @ E ) ) )
               => ( D = E ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Elist_2EINJ__MAP__EQ)).

thf(390,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( ty_2Elist_2Elist @ A ) )
         => ! [E: $i] :
              ( ( mem @ E @ ( ty_2Elist_2Elist @ A ) )
             => ( ( ( p @ ( ap @ ( ap @ ( ap @ ( c_2Epred__set_2EINJ @ A @ B ) @ C ) @ ( ap @ ( ap @ ( c_2Epred__set_2EUNION @ A ) @ ( ap @ ( c_2Elist_2ELIST__TO__SET @ A ) @ D ) ) @ ( ap @ ( c_2Elist_2ELIST__TO__SET @ A ) @ E ) ) ) @ ( c_2Epred__set_2EUNIV @ B ) ) )
                  & ( ( ap @ ( ap @ ( c_2Elist_2EMAP @ A @ B ) @ C ) @ D )
                    = ( ap @ ( ap @ ( c_2Elist_2EMAP @ A @ B ) @ C ) @ E ) ) )
               => ( D = E ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[47])).

thf(6,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ap_tp)).

thf(75,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(29,axiom,(
    ! [A: $o,B: $o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
     => ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Epth__ni1)).

thf(290,plain,(
    ! [A: $o,B: $o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
     => ( p @ ( inj__o @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(32,axiom,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_and_p)).

thf(305,plain,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(52,axiom,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ~ ( p @ ( inj__o @ B ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__neg)).

thf(400,plain,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ~ ( p @ ( inj__o @ B ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[52])).

thf(10,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
        = ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_all_p)).

thf(94,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
        = ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(55,axiom,
    ( ! [A: $o] :
        ( ( ~ ~ ( p @ ( inj__o @ A ) ) )
        = ( p @ ( inj__o @ A ) ) )
    & ( ( ~ $true ) = $false )
    & ( ( ~ $false ) = $true ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ENOT__CLAUSES)).

thf(415,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[55])).

thf(57,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          = ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__eq)).

thf(427,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          = ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[57])).

thf(59,axiom,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D_3D_3E)).

thf(459,plain,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[59])).

thf(20,axiom,(
    ~ ( p @ c_2Ebool_2EF ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_false_p)).

thf(178,plain,(
    ~ ( p @ c_2Ebool_2EF ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(36,axiom,(
    ! [A: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_7E @ A ) )
      = ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_7E)).

thf(337,plain,(
    ! [A: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_7E @ A ) )
      = ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(40,axiom,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
     => ( ~ ( p @ ( inj__o @ A ) )
       => $false ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EAND__INV__IMP)).

thf(354,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).

thf(24,axiom,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_5C_2F)).

thf(215,plain,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(473,plain,(
    $false ),
    inference(cvc4,[status(thm)],[352,153,389,357,460,416,216,164,106,397,411,380,85,381,220,70,97,461,77,212,393,173,129,73,398,180,176,281,335,155,462,130,394,299,80,342,355,63,414,336,72,386,314,450,203,218,304,351,390,75,290,305,400,94,415,427,459,178,337,354,215])).
%------------------------------------------------------------------------------
