%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:38:24 EDT 2019

% Result     : Theorem 87.69s
% Output     : CNFRefutation 87.69s
% Verified   : 
% Statistics : -

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Could not form TPTP format derivation
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.03/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.12  % CPULimit   : 300
% 0.03/0.12  % DateTime   : Tue Jul 30 20:31:14 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 3.08/1.44  % [INFO] 	 Running in sequential loop mode. 
% 4.19/1.62  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.43/1.69  % [INFO] 	 iprover registered as external prover. 
% 4.43/1.69  % [INFO] 	 e registered as external prover. 
% 4.43/1.69  % [INFO] 	 cvc4 registered as external prover. 
% 4.43/1.69  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.43/1.75  % [INFO] 	 Found a conjecture and 21 axioms. Running axiom selection ... 
% 4.67/1.80  % [INFO] 	 Axiom selection finished. Selected 12 axioms (removed 9 axioms). 
% 4.75/1.85  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 87.69/21.10  % [INFO] 	 Killing All external provers ... 
% 87.69/21.11  % Time passed: 20837ms
% 87.69/21.11  % Effective reasoning time: 19662ms
% 87.69/21.11  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 87.69/21.11  % Axioms used in derivation (12): logicdef_2E_3D, thm_2Ebool_2EEQ__CLAUSES, thm_2Epair_2EPAIR__EQ, thm_2Epair_2EPAIR, thm_2Epred__set_2EGSPECIFICATION, thm_2Eset__relation_2Estrict__def, thm_2Ebool_2EIMP__CLAUSES, thm_2Ebool_2ETRUTH, thm_2Epair_2ECLOSED__PAIR__EQ, thm_2Epair_2EUNCURRY__DEF, logicdef_2E_2F_5C, logicdef_2E_7E
% 87.69/21.11  % No. of inferences in proof: 118
% 87.69/21.11  % No. of processed clauses: 57
% 87.69/21.11  % No. of generated clauses: 578
% 87.69/21.11  % No. of forward subsumed clauses: 46
% 87.69/21.11  % No. of backward subsumed clauses: 0
% 87.69/21.11  % No. of ground rewrite rules in store: 11
% 87.69/21.11  % No. of non-ground rewrite rules in store: 9
% 87.69/21.11  % No. of positive (non-rewrite) units in store: 5
% 87.69/21.11  % No. of negative (non-rewrite) units in store: 17
% 87.69/21.11  % No. of choice functions detected: 0
% 87.69/21.11  % No. of choice instantiations: 0
% 87.69/21.11  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 20837 ms resp. 19662 ms w/o parsing
% 87.69/21.17  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 87.69/21.17  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 87.69/21.17  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 87.69/21.17  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 87.69/21.17  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 87.69/21.17  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 87.69/21.17  thf(c_2Epair_2EFST_type, type, c_2Epair_2EFST: !>[TA: $tType,TB: $tType]: ((tyop_2Epair_2Eprod @ TA @ TB) > TA)).
% 87.69/21.17  thf(c_2Epred__set_2EGSPEC_type, type, c_2Epred__set_2EGSPEC: !>[TA: $tType,TB: $tType]: ((TB > (tyop_2Epair_2Eprod @ TA @ $o)) > (TA > $o))).
% 87.69/21.17  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 87.69/21.17  thf(c_2Epair_2ESND_type, type, c_2Epair_2ESND: !>[TA: $tType,TB: $tType]: ((tyop_2Epair_2Eprod @ TA @ TB) > TB)).
% 87.69/21.17  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 87.69/21.17  thf(c_2Epair_2EUNCURRY_type, type, c_2Epair_2EUNCURRY: !>[TA: $tType,TB: $tType,TC: $tType]: ((TA > (TB > TC)) > ((tyop_2Epair_2Eprod @ TA @ TB) > TC))).
% 87.69/21.17  thf(c_2Eset__relation_2Estrict_type, type, c_2Eset__relation_2Estrict: !>[TA: $tType]: (((tyop_2Epair_2Eprod @ TA @ TA) > $o) > ((tyop_2Epair_2Eprod @ TA @ TA) > $o))).
% 87.69/21.17  thf(c_2Ewellorder_2Ewellorder__REP_type, type, c_2Ewellorder_2Ewellorder__REP: !>[TA: $tType]: ((tyop_2Ewellorder_2Ewellorder @ TA) > ((tyop_2Epair_2Eprod @ TA @ TA) > $o))).
% 87.69/21.17  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 87.69/21.17  thf(skt1_type, type, skt1: $tType).
% 87.69/21.17  thf(sk1_type, type, sk1: skt1).
% 87.69/21.17  thf(sk2_type, type, sk2: skt1).
% 87.69/21.17  thf(sk3_type, type, sk3: (tyop_2Ewellorder_2Ewellorder @ skt1)).
% 87.69/21.17  thf(sk4_type, type, sk4: (tyop_2Epair_2Eprod @ skt1 @ skt1)).
% 87.69/21.17  thf(sk5_type, type, sk5: (tyop_2Epair_2Eprod @ skt1 @ skt1)).
% 87.69/21.17  thf(sk13_type, type, sk13: (tyop_2Epair_2Eprod @ skt1 @ skt1)).
% 87.69/21.17  thf(10,axiom,((! [TA: $tType]: (! [A:((tyop_2Epair_2Eprod @ TA @ TA) > $o)]: ((c_2Eset__relation_2Estrict @ TA @ A) = (c_2Epred__set_2EGSPEC @ (tyop_2Epair_2Eprod @ TA @ TA) @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2EUNCURRY @ TA @ TA @ (tyop_2Epair_2Eprod @ (tyop_2Epair_2Eprod @ TA @ TA) @ $o) @ (^ [B:TA,C:TA]: (c_2Epair_2E_2C @ (tyop_2Epair_2Eprod @ TA @ TA) @ $o @ (c_2Epair_2E_2C @ TA @ TA @ B @ C) @ (c_2Ebool_2E_2F_5C @ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2E_2C @ TA @ TA @ B @ C) @ A) @ (c_2Ebool_2E_7E @ (c_2Emin_2E_3D @ TA @ B @ C))))))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eset__relation_2Estrict__def)).
% 87.69/21.17  thf(58,plain,((! [TA: $tType]: (! [A:((tyop_2Epair_2Eprod @ TA @ TA) > $o)]: ((c_2Eset__relation_2Estrict @ TA @ A) = (c_2Epred__set_2EGSPEC @ (tyop_2Epair_2Eprod @ TA @ TA) @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2EUNCURRY @ TA @ TA @ (tyop_2Epair_2Eprod @ (tyop_2Epair_2Eprod @ TA @ TA) @ $o) @ (^ [B:TA,C:TA]: (c_2Epair_2E_2C @ (tyop_2Epair_2Eprod @ TA @ TA) @ $o @ (c_2Epair_2E_2C @ TA @ TA @ B @ C) @ (c_2Ebool_2E_2F_5C @ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2E_2C @ TA @ TA @ B @ C) @ A) @ (c_2Ebool_2E_7E @ (c_2Emin_2E_3D @ TA @ B @ C))))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 87.69/21.17  thf(59,plain,(! [TA:$tType,A:((tyop_2Epair_2Eprod @ TA @ TA) > $o)] : (((c_2Eset__relation_2Estrict @ TA @ A) = (c_2Epred__set_2EGSPEC @ (tyop_2Epair_2Eprod @ TA @ TA) @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2EUNCURRY @ TA @ TA @ (tyop_2Epair_2Eprod @ (tyop_2Epair_2Eprod @ TA @ TA) @ $o) @ (^ [B:TA,C:TA]: (c_2Epair_2E_2C @ (tyop_2Epair_2Eprod @ TA @ TA) @ $o @ (c_2Epair_2E_2C @ TA @ TA @ B @ C) @ (c_2Ebool_2E_2F_5C @ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2E_2C @ TA @ TA @ B @ C) @ A) @ (c_2Ebool_2E_7E @ (c_2Emin_2E_3D @ TA @ B @ C)))))))))),inference(cnf,[status(esa)],[58])).
% 87.69/21.17  thf(60,plain,(! [TA:$tType,A:((tyop_2Epair_2Eprod @ TA @ TA) > $o)] : (((c_2Eset__relation_2Estrict @ TA @ A) = (c_2Epred__set_2EGSPEC @ (tyop_2Epair_2Eprod @ TA @ TA) @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2EUNCURRY @ TA @ TA @ (tyop_2Epair_2Eprod @ (tyop_2Epair_2Eprod @ TA @ TA) @ $o) @ (^ [B:TA,C:TA]: (c_2Epair_2E_2C @ (tyop_2Epair_2Eprod @ TA @ TA) @ $o @ (c_2Epair_2E_2C @ TA @ TA @ B @ C) @ (c_2Ebool_2E_2F_5C @ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2E_2C @ TA @ TA @ B @ C) @ A) @ (c_2Ebool_2E_7E @ (c_2Emin_2E_3D @ TA @ B @ C)))))))))),inference(lifteq,[status(thm)],[59])).
% 87.69/21.17  thf(3,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 87.69/21.17  thf(18,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 87.69/21.17  thf(19,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Emin_2E_3D @ TA @ A @ B) = (A = B)))),inference(cnf,[status(esa)],[18])).
% 87.69/21.17  thf(20,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Emin_2E_3D @ TA @ A @ B) = (A = B)))),inference(lifteq,[status(thm)],[19])).
% 87.69/21.17  thf(112,plain,(! [TA:$tType,A:((tyop_2Epair_2Eprod @ TA @ TA) > $o)] : (((c_2Eset__relation_2Estrict @ TA @ A) = (c_2Epred__set_2EGSPEC @ (tyop_2Epair_2Eprod @ TA @ TA) @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2EUNCURRY @ TA @ TA @ (tyop_2Epair_2Eprod @ (tyop_2Epair_2Eprod @ TA @ TA) @ $o) @ (^ [B:TA,C:TA]: (c_2Epair_2E_2C @ (tyop_2Epair_2Eprod @ TA @ TA) @ $o @ (c_2Epair_2E_2C @ TA @ TA @ B @ C) @ (c_2Ebool_2E_2F_5C @ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2E_2C @ TA @ TA @ B @ C) @ A) @ (c_2Ebool_2E_7E @ (B = C)))))))))),inference(rewrite,[status(thm)],[60,20])).
% 87.69/21.17  thf(1,conjecture,((! [TA: $tType]: (! [A:TA,B:TA,C:(tyop_2Ewellorder_2Ewellorder @ TA)]: ((c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2E_2C @ TA @ TA @ B @ A) @ (c_2Eset__relation_2Estrict @ TA @ (c_2Ewellorder_2Ewellorder__REP @ TA @ C))) => (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2E_2C @ TA @ TA @ B @ A) @ (c_2Ewellorder_2Ewellorder__REP @ TA @ C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ewellorder_2EWIN__WLE)).
% 87.69/21.17  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:TA,B:TA,C:(tyop_2Ewellorder_2Ewellorder @ TA)]: ((c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2E_2C @ TA @ TA @ B @ A) @ (c_2Eset__relation_2Estrict @ TA @ (c_2Ewellorder_2Ewellorder__REP @ TA @ C))) => (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2E_2C @ TA @ TA @ B @ A) @ (c_2Ewellorder_2Ewellorder__REP @ TA @ C))))))),inference(neg_conjecture,[status(cth)],[1])).
% 87.69/21.17  thf(15,plain,((~ (! [TA: $tType]: (! [A:TA,B:TA,C:(tyop_2Ewellorder_2Ewellorder @ TA)]: ((c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2E_2C @ TA @ TA @ B @ A) @ (c_2Eset__relation_2Estrict @ TA @ (c_2Ewellorder_2Ewellorder__REP @ TA @ C))) => (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ TA @ TA) @ (c_2Epair_2E_2C @ TA @ TA @ B @ A) @ (c_2Ewellorder_2Ewellorder__REP @ TA @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 87.69/21.17  thf(17,plain,((c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk1) @ (c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)))),inference(cnf,[status(esa)],[15])).
% 87.69/21.17  thf(114,plain,(! [A:((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o)] : ((c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk1) @ (c_2Epred__set_2EGSPEC @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2EUNCURRY @ skt1 @ skt1 @ (tyop_2Epair_2Eprod @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o) @ (^ [B:skt1,C:skt1]: (c_2Epair_2E_2C @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o @ (c_2Epair_2E_2C @ skt1 @ skt1 @ B @ C) @ (c_2Ebool_2E_2F_5C @ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ B @ C) @ A) @ (c_2Ebool_2E_7E @ (B = C)))))))) | ((c_2Eset__relation_2Estrict @ skt1 @ A) != (c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3))))),inference(paramod_ordered,[status(thm)],[112,17])).
% 87.69/21.17  thf(115,plain,((c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk1) @ (c_2Epred__set_2EGSPEC @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2EUNCURRY @ skt1 @ skt1 @ (tyop_2Epair_2Eprod @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o) @ (^ [A:skt1,B:skt1]: (c_2Epair_2E_2C @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o @ (c_2Epair_2E_2C @ skt1 @ skt1 @ A @ B) @ (c_2Ebool_2E_2F_5C @ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ A @ B) @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) @ (c_2Ebool_2E_7E @ (A = B))))))))),inference(pattern_uni,[status(thm)],[114:[bind(A, $thf(c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3))]])).
% 87.69/21.18  thf(11,axiom,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Epair_2E_2C @ TA @ TB @ (c_2Epair_2EFST @ TA @ TB @ A) @ (c_2Epair_2ESND @ TA @ TB @ A)) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EPAIR)).
% 87.69/21.18  thf(61,plain,((! [TA: $tType,TB: $tType]: (! [A:(tyop_2Epair_2Eprod @ TA @ TB)]: ((c_2Epair_2E_2C @ TA @ TB @ (c_2Epair_2EFST @ TA @ TB @ A) @ (c_2Epair_2ESND @ TA @ TB @ A)) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 87.69/21.18  thf(62,plain,(! [TA:$tType,TB:$tType,A:(tyop_2Epair_2Eprod @ TB @ TA)] : (((c_2Epair_2E_2C @ TB @ TA @ (c_2Epair_2EFST @ TB @ TA @ A) @ (c_2Epair_2ESND @ TB @ TA @ A)) = A))),inference(cnf,[status(esa)],[61])).
% 87.69/21.18  thf(63,plain,(! [TA:$tType,TB:$tType,A:(tyop_2Epair_2Eprod @ TB @ TA)] : (((c_2Epair_2E_2C @ TB @ TA @ (c_2Epair_2EFST @ TB @ TA @ A) @ (c_2Epair_2ESND @ TB @ TA @ A)) = A))),inference(lifteq,[status(thm)],[62])).
% 87.69/21.18  thf(9,axiom,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC)),B:TA,C:TB]: ((c_2Epair_2EUNCURRY @ TA @ TB @ TC @ A @ (c_2Epair_2E_2C @ TA @ TB @ B @ C)) = (A @ B @ C))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EUNCURRY__DEF)).
% 87.69/21.18  thf(55,plain,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC)),B:TA,C:TB]: ((c_2Epair_2EUNCURRY @ TA @ TB @ TC @ (A) @ (c_2Epair_2E_2C @ TA @ TB @ B @ C)) = (A @ B @ C))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 87.69/21.18  thf(56,plain,(! [TA:$tType,TB:$tType,TC:$tType,C:TB,B:TC,A:(TC > (TB > TA))] : (((c_2Epair_2EUNCURRY @ TC @ TB @ TA @ (A) @ (c_2Epair_2E_2C @ TC @ TB @ B @ C)) = (A @ B @ C)))),inference(cnf,[status(esa)],[55])).
% 87.69/21.18  thf(57,plain,(! [TA:$tType,TB:$tType,TC:$tType,C:TB,B:TC,A:(TC > (TB > TA))] : (((c_2Epair_2EUNCURRY @ TC @ TB @ TA @ (A) @ (c_2Epair_2E_2C @ TC @ TB @ B @ C)) = (A @ B @ C)))),inference(lifteq,[status(thm)],[56])).
% 87.69/21.18  thf(16,plain,((~ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk1) @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)))),inference(cnf,[status(esa)],[15])).
% 87.69/21.18  thf(77,plain,(((c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk1) @ (c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3))) != (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk1) @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)))),inference(paramod_ordered,[status(thm)],[17,16])).
% 87.69/21.18  thf(78,plain,(((c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk1) != (c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk1)) | ((c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3))),inference(simp,[status(thm)],[77])).
% 87.69/21.18  thf(79,plain,(((c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3))),inference(simp,[status(thm)],[78])).
% 87.69/21.18  thf(270,plain,(! [TA:$tType,TB:$tType,C:TA,B:TB,A:(TB > (TA > (tyop_2Ewellorder_2Ewellorder @ skt1)))] : (((c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ (c_2Epair_2EUNCURRY @ TB @ TA @ (tyop_2Ewellorder_2Ewellorder @ skt1) @ A @ (c_2Epair_2E_2C @ TB @ TA @ B @ C)))) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) | ((A @ B @ C) != sk3))),inference(paramod_ordered,[status(thm)],[57,79])).
% 87.69/21.18  thf(303,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : (((c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ (c_2Epair_2EUNCURRY @ TB @ TA @ (tyop_2Ewellorder_2Ewellorder @ skt1) @ (^ [C:TB,D:TA]: (sk3)) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B)))) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)))),inference(pre_uni,[status(thm)],[270:[bind(A, $thf(^ [D:T@,E:T?]: (sk3)))]])).
% 87.69/21.18  thf(438,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : (((c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ (c_2Epair_2EUNCURRY @ TB @ TA @ (tyop_2Ewellorder_2Ewellorder @ skt1) @ (^ [C:TB,D:TA]: (sk3)) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B)))) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)))),inference(simp,[status(thm)],[303])).
% 87.69/21.18  thf(700,plain,(! [TC:$tType,TD:$tType,C:T?,B:T@,A:(tyop_2Epair_2Eprod @ T@ @ T?)] : (((c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ (c_2Epair_2EUNCURRY @ T@ @ T? @ (tyop_2Ewellorder_2Ewellorder @ skt1) @ (^ [D:T@,E:T?]: (sk3)) @ A))) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) | ((c_2Epair_2E_2C @ T@ @ T? @ (c_2Epair_2EFST @ T@ @ T? @ A) @ (c_2Epair_2ESND @ T@ @ T? @ A)) != (c_2Epair_2E_2C @ T@ @ T? @ B @ C)))),inference(paramod_ordered,[status(thm)],[63,438])).
% 87.69/21.18  thf(701,plain,(! [TC:$tType,TD:$tType,A:(tyop_2Epair_2Eprod @ T@ @ T?)] : (((c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ (c_2Epair_2EUNCURRY @ T@ @ T? @ (tyop_2Ewellorder_2Ewellorder @ skt1) @ (^ [B:T@,C:T?]: (sk3)) @ A))) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)))),inference(pattern_uni,[status(thm)],[700:[bind(A, $thf(E)),bind(B, $thf(c_2Epair_2EFST @ T> @ T= @ E)),bind(C, $thf(c_2Epair_2ESND @ T> @ T= @ E))]])).
% 87.69/21.18  thf(715,plain,(! [TA:$tType,TB:$tType,A:(tyop_2Epair_2Eprod @ TB @ TA)] : (((c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ (c_2Epair_2EUNCURRY @ TB @ TA @ (tyop_2Ewellorder_2Ewellorder @ skt1) @ (^ [B:TB,C:TA]: (sk3)) @ A))) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)))),inference(simp,[status(thm)],[701])).
% 87.69/21.18  thf(269,plain,(! [TA:$tType,TB:$tType,C:TA,B:TB,A:(TB > (TA > ((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o)))] : (((c_2Eset__relation_2Estrict @ skt1 @ (c_2Epair_2EUNCURRY @ TB @ TA @ ((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o) @ A @ (c_2Epair_2E_2C @ TB @ TA @ B @ C))) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) | ((A @ B @ C) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)))),inference(paramod_ordered,[status(thm)],[57,79])).
% 87.69/21.18  thf(285,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : (((c_2Eset__relation_2Estrict @ skt1 @ (c_2Epair_2EUNCURRY @ TB @ TA @ ((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o) @ (^ [C:TB,D:TA]: (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B))) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)))),inference(pre_uni,[status(thm)],[269:[bind(A, $thf(^ [D:T@,E:T?]: (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3))),bind(B, $thf(B)),bind(C, $thf(C))]])).
% 87.69/21.18  thf(417,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : (((c_2Eset__relation_2Estrict @ skt1 @ (c_2Epair_2EUNCURRY @ TB @ TA @ ((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o) @ (^ [C:TB,D:TA]: (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B))) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)))),inference(simp,[status(thm)],[285])).
% 87.69/21.18  thf(4,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 87.69/21.18  thf(21,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 87.69/21.18  thf(200,plain,(! [TA:$tType,TB:$tType,C:TA,B:TB,A:(TB > (TA > $o))] : ((c_2Epair_2EUNCURRY @ TB @ TA @ $o @ (A) @ (c_2Epair_2E_2C @ TB @ TA @ B @ C)) | (c_2Ebool_2ET != (A @ B @ C)))),inference(paramod_ordered,[status(thm)],[21,57])).
% 87.69/21.18  thf(372,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : ((c_2Epair_2EUNCURRY @ TB @ TA @ $o @ (^ [C:TB,D:TA]: (c_2Ebool_2ET)) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B)))),inference(pre_uni,[status(thm)],[200:[bind(A, $thf(^ [D:T@,E:T?]: (c_2Ebool_2ET)))]])).
% 87.69/21.18  thf(391,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : ((c_2Epair_2EUNCURRY @ TB @ TA @ $o @ (^ [C:TB,D:TA]: (c_2Ebool_2ET)) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B)))),inference(simp,[status(thm)],[372])).
% 87.69/21.18  thf(392,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : ((c_2Epair_2EUNCURRY @ TB @ TA @ $o @ (^ [C:TB,D:TA]: ($true)) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B)))),inference(rewrite,[status(thm)],[391,21])).
% 87.69/21.18  thf(548,plain,(! [TC:$tType,TD:$tType,C:T?,B:T@,A:(tyop_2Epair_2Eprod @ T@ @ T?)] : ((c_2Epair_2EUNCURRY @ T@ @ T? @ $o @ (^ [D:T@,E:T?]: ($true)) @ A) | ((c_2Epair_2E_2C @ T@ @ T? @ (c_2Epair_2EFST @ T@ @ T? @ A) @ (c_2Epair_2ESND @ T@ @ T? @ A)) != (c_2Epair_2E_2C @ T@ @ T? @ B @ C)))),inference(paramod_ordered,[status(thm)],[63,392])).
% 87.69/21.18  thf(549,plain,(! [TC:$tType,TD:$tType,A:(tyop_2Epair_2Eprod @ T@ @ T?)] : ((c_2Epair_2EUNCURRY @ T@ @ T? @ $o @ (^ [B:T@,C:T?]: ($true)) @ A))),inference(pattern_uni,[status(thm)],[548:[bind(A, $thf(E)),bind(B, $thf(c_2Epair_2EFST @ T> @ T= @ E)),bind(C, $thf(c_2Epair_2ESND @ T> @ T= @ E))]])).
% 87.69/21.18  thf(565,plain,(! [TA:$tType,TB:$tType,A:(tyop_2Epair_2Eprod @ TB @ TA)] : ((c_2Epair_2EUNCURRY @ TB @ TA @ $o @ (^ [B:TB,C:TA]: ($true)) @ A))),inference(simp,[status(thm)],[549])).
% 87.69/21.18  thf(6,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 87.69/21.18  thf(31,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 87.69/21.18  thf(36,plain,(((c_2Ebool_2E_2F_5C @ $false @ $true) = (($false) & ($true)))),inference(instance,[status(thm)],[31])).
% 87.69/21.18  thf(37,plain,((~ (c_2Ebool_2E_2F_5C @ $false @ $true))),inference(simp,[status(thm)],[36])).
% 87.69/21.18  thf(8,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 87.69/21.18  thf(50,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 87.69/21.18  thf(51,plain,(((c_2Ebool_2E_7E @ $true) = (~ ($true)))),inference(instance,[status(thm)],[50])).
% 87.69/21.18  thf(52,plain,((~ (c_2Ebool_2E_7E @ $true))),inference(simp,[status(thm)],[51])).
% 87.69/21.18  thf(108,plain,(! [A:(tyop_2Epair_2Eprod @ skt1 @ skt1)] : ((c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ A @ (c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3))) | ((c_2Epair_2E_2C @ skt1 @ skt1 @ (c_2Epair_2EFST @ skt1 @ skt1 @ A) @ (c_2Epair_2ESND @ skt1 @ skt1 @ A)) != (c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk1)))),inference(paramod_ordered,[status(thm)],[63,17])).
% 87.69/21.18  thf(110,plain,(! [A:(tyop_2Epair_2Eprod @ skt1 @ skt1)] : ((c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ A @ (c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3))) | ((c_2Epair_2EFST @ skt1 @ skt1 @ A) != sk2) | ((c_2Epair_2ESND @ skt1 @ skt1 @ A) != sk1))),inference(simp,[status(thm)],[108])).
% 87.69/21.18  thf(614,plain,(! [TC:$tType,TD:$tType,C:T?,B:T@,A:(tyop_2Epair_2Eprod @ T@ @ T?)] : (((c_2Eset__relation_2Estrict @ skt1 @ (c_2Epair_2EUNCURRY @ T@ @ T? @ ((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o) @ (^ [D:T@,E:T?]: (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) @ A)) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) | ((c_2Epair_2E_2C @ T@ @ T? @ (c_2Epair_2EFST @ T@ @ T? @ A) @ (c_2Epair_2ESND @ T@ @ T? @ A)) != (c_2Epair_2E_2C @ T@ @ T? @ B @ C)))),inference(paramod_ordered,[status(thm)],[63,417])).
% 87.69/21.18  thf(615,plain,(! [TC:$tType,TD:$tType,A:(tyop_2Epair_2Eprod @ T@ @ T?)] : (((c_2Eset__relation_2Estrict @ skt1 @ (c_2Epair_2EUNCURRY @ T@ @ T? @ ((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o) @ (^ [B:T@,C:T?]: (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) @ A)) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)))),inference(pattern_uni,[status(thm)],[614:[bind(A, $thf(E)),bind(B, $thf(c_2Epair_2EFST @ T> @ T= @ E)),bind(C, $thf(c_2Epair_2ESND @ T> @ T= @ E))]])).
% 87.69/21.18  thf(623,plain,(! [TA:$tType,TB:$tType,A:(tyop_2Epair_2Eprod @ TB @ TA)] : (((c_2Eset__relation_2Estrict @ skt1 @ (c_2Epair_2EUNCURRY @ TB @ TA @ ((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o) @ (^ [B:TB,C:TA]: (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) @ A)) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)))),inference(simp,[status(thm)],[615])).
% 87.69/21.18  thf(268,plain,(! [TA:$tType,TB:$tType,C:TA,B:TB,A:(TB > (TA > ((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o)))] : (((c_2Epair_2EUNCURRY @ TB @ TA @ ((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o) @ A @ (c_2Epair_2E_2C @ TB @ TA @ B @ C)) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) | ((A @ B @ C) != (c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3))))),inference(paramod_ordered,[status(thm)],[57,79])).
% 87.69/21.18  thf(369,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : (((c_2Epair_2EUNCURRY @ TB @ TA @ ((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o) @ (^ [C:TB,D:TA]: (c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3))) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B)) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)))),inference(pre_uni,[status(thm)],[268:[bind(A, $thf(^ [D:T@,E:T?]: (c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)))),bind(B, $thf(B)),bind(C, $thf(C))]])).
% 87.69/21.18  thf(485,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : (((c_2Epair_2EUNCURRY @ TB @ TA @ ((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o) @ (^ [C:TB,D:TA]: (c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3))) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B)) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)))),inference(simp,[status(thm)],[369])).
% 87.69/21.18  thf(116,plain,(! [A:((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o)] : (((c_2Epred__set_2EGSPEC @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2EUNCURRY @ skt1 @ skt1 @ (tyop_2Epair_2Eprod @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o) @ (^ [B:skt1,C:skt1]: (c_2Epair_2E_2C @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o @ (c_2Epair_2E_2C @ skt1 @ skt1 @ B @ C) @ (c_2Ebool_2E_2F_5C @ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ B @ C) @ A) @ (c_2Ebool_2E_7E @ (B = C))))))) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) | ((c_2Eset__relation_2Estrict @ skt1 @ A) != (c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3))))),inference(paramod_ordered,[status(thm)],[112,79])).
% 87.69/21.18  thf(117,plain,(((c_2Epred__set_2EGSPEC @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2EUNCURRY @ skt1 @ skt1 @ (tyop_2Epair_2Eprod @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o) @ (^ [A:skt1,B:skt1]: (c_2Epair_2E_2C @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o @ (c_2Epair_2E_2C @ skt1 @ skt1 @ A @ B) @ (c_2Ebool_2E_2F_5C @ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ A @ B) @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) @ (c_2Ebool_2E_7E @ (A = B))))))) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3))),inference(pattern_uni,[status(thm)],[116:[bind(A, $thf(c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3))]])).
% 87.69/21.18  thf(102,plain,(((c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3) @ sk4) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3 @ sk4))),inference(func_ext,[status(esa)],[79])).
% 87.69/21.18  thf(14,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TB > (tyop_2Epair_2Eprod @ TA @ $o)),B:TA]: ((c_2Ebool_2EIN @ TA @ B @ (c_2Epred__set_2EGSPEC @ TA @ TB @ A)) = (? [C:TB]: ((c_2Epair_2E_2C @ TA @ $o @ B @ c_2Ebool_2ET) = (A @ C))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EGSPECIFICATION)).
% 87.69/21.18  thf(70,plain,((! [TA: $tType,TB: $tType]: (! [A:(TB > (tyop_2Epair_2Eprod @ TA @ $o)),B:TA]: ((c_2Ebool_2EIN @ TA @ B @ (c_2Epred__set_2EGSPEC @ TA @ TB @ A)) = (? [C:TB]: ((c_2Epair_2E_2C @ TA @ $o @ B @ c_2Ebool_2ET) = (A @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 87.69/21.18  thf(32,plain,(((c_2Ebool_2E_2F_5C @ $true @ $true) = (($true) & ($true)))),inference(instance,[status(thm)],[31])).
% 87.69/21.18  thf(33,plain,((c_2Ebool_2E_2F_5C @ $true @ $true)),inference(simp,[status(thm)],[32])).
% 87.69/21.18  thf(118,plain,(((c_2Epred__set_2EGSPEC @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2EUNCURRY @ skt1 @ skt1 @ (tyop_2Epair_2Eprod @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o) @ (^ [A:skt1,B:skt1]: (c_2Epair_2E_2C @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o @ (c_2Epair_2E_2C @ skt1 @ skt1 @ A @ B) @ (c_2Ebool_2E_2F_5C @ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ A @ B) @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) @ (c_2Ebool_2E_7E @ (A = B)))))) @ sk5) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3 @ sk5))),inference(func_ext,[status(esa)],[117])).
% 87.69/21.18  thf(129,plain,((~ (c_2Epred__set_2EGSPEC @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2EUNCURRY @ skt1 @ skt1 @ (tyop_2Epair_2Eprod @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o) @ (^ [A:skt1,B:skt1]: (c_2Epair_2E_2C @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o @ (c_2Epair_2E_2C @ skt1 @ skt1 @ A @ B) @ (c_2Ebool_2E_2F_5C @ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ A @ B) @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) @ (c_2Ebool_2E_7E @ (A = B)))))) @ sk5)) | (~ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3 @ sk5))),inference(bool_ext,[status(thm)],[118])).
% 87.69/21.18  thf(5,axiom,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).
% 87.69/21.18  thf(22,plain,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 87.69/21.18  thf(23,plain,((((c_2Ebool_2ET = $true) = $true) & (($true = c_2Ebool_2ET) = $true) & ((c_2Ebool_2EF = $true) = (~ ($true))) & (($true = c_2Ebool_2EF) = (~ ($true))))),inference(instance,[status(thm)],[22])).
% 87.69/21.18  thf(24,plain,(((c_2Ebool_2ET) & ~ (c_2Ebool_2EF) & ~ (c_2Ebool_2EF))),inference(simp,[status(thm)],[23])).
% 87.69/21.18  thf(27,plain,(~ (c_2Ebool_2EF)),inference(cnf,[status(esa)],[24])).
% 87.69/21.18  thf(223,plain,(! [TA:$tType,TB:$tType,C:TA,B:TB,A:(TB > (TA > $o))] : ((~ (c_2Epair_2EUNCURRY @ TB @ TA @ $o @ (A) @ (c_2Epair_2E_2C @ TB @ TA @ B @ C))) | ((A @ B @ C) != c_2Ebool_2EF))),inference(paramod_ordered,[status(thm)],[57,27])).
% 87.69/21.18  thf(340,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : ((~ (c_2Epair_2EUNCURRY @ TB @ TA @ $o @ (^ [C:TB,D:TA]: (c_2Ebool_2EF)) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B))))),inference(pre_uni,[status(thm)],[223:[bind(A, $thf(^ [D:T@,E:T?]: (c_2Ebool_2EF)))]])).
% 87.69/21.18  thf(385,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : ((~ (c_2Epair_2EUNCURRY @ TB @ TA @ $o @ (^ [C:TB,D:TA]: (c_2Ebool_2EF)) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B))))),inference(simp,[status(thm)],[340])).
% 87.69/21.18  thf(386,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : ((~ (c_2Epair_2EUNCURRY @ TB @ TA @ $o @ (^ [C:TB,D:TA]: ($false)) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B))))),inference(rewrite,[status(thm)],[385,27])).
% 87.69/21.18  thf(498,plain,(! [TC:$tType,TD:$tType,C:T?,B:T@,A:(tyop_2Epair_2Eprod @ T@ @ T?)] : ((~ (c_2Epair_2EUNCURRY @ T@ @ T? @ $o @ (^ [D:T@,E:T?]: ($false)) @ A)) | ((c_2Epair_2E_2C @ T@ @ T? @ (c_2Epair_2EFST @ T@ @ T? @ A) @ (c_2Epair_2ESND @ T@ @ T? @ A)) != (c_2Epair_2E_2C @ T@ @ T? @ B @ C)))),inference(paramod_ordered,[status(thm)],[63,386])).
% 87.69/21.18  thf(499,plain,(! [TC:$tType,TD:$tType,A:(tyop_2Epair_2Eprod @ T@ @ T?)] : ((~ (c_2Epair_2EUNCURRY @ T@ @ T? @ $o @ (^ [B:T@,C:T?]: ($false)) @ A)))),inference(pattern_uni,[status(thm)],[498:[bind(A, $thf(E)),bind(B, $thf(c_2Epair_2EFST @ T> @ T= @ E)),bind(C, $thf(c_2Epair_2ESND @ T> @ T= @ E))]])).
% 87.69/21.18  thf(508,plain,(! [TA:$tType,TB:$tType,A:(tyop_2Epair_2Eprod @ TB @ TA)] : ((~ (c_2Epair_2EUNCURRY @ TB @ TA @ $o @ (^ [B:TB,C:TA]: ($false)) @ A)))),inference(simp,[status(thm)],[499])).
% 87.69/21.18  thf(71,plain,(! [TA:$tType,TB:$tType,B:TB,A:(TA > (tyop_2Epair_2Eprod @ TB @ $o))] : (((c_2Ebool_2EIN @ TB @ B @ (c_2Epred__set_2EGSPEC @ TB @ TA @ A)) = (? [C:TA]: ((c_2Epair_2E_2C @ TB @ $o @ B @ c_2Ebool_2ET) = (A @ C)))))),inference(cnf,[status(esa)],[70])).
% 87.69/21.18  thf(72,plain,(! [TA:$tType,TB:$tType,B:TB,A:(TA > (tyop_2Epair_2Eprod @ TB @ $o))] : (((c_2Ebool_2EIN @ TB @ B @ (c_2Epred__set_2EGSPEC @ TB @ TA @ A)) = (? [C:TA]: ((c_2Epair_2E_2C @ TB @ $o @ B @ c_2Ebool_2ET) = (A @ C)))))),inference(lifteq,[status(thm)],[71])).
% 87.69/21.18  thf(875,plain,(! [TA:$tType,TB:$tType,B:TB,A:(TA > (tyop_2Epair_2Eprod @ TB @ $o))] : (((c_2Ebool_2EIN @ TB @ B @ (c_2Epred__set_2EGSPEC @ TB @ TA @ A)) = (? [C:TA]: ((c_2Epair_2E_2C @ TB @ $o @ B @ $true) = (A @ C)))))),inference(rewrite,[status(thm)],[72,21])).
% 87.69/21.18  thf(878,plain,(! [TA:$tType,TB:$tType,B:TB,A:(TA > (tyop_2Epair_2Eprod @ TB @ $o))] : ((? [C:TA]: ((c_2Epair_2E_2C @ TB @ $o @ B @ $true) = (A @ C))) | ((c_2Ebool_2EIN @ TB @ B @ (c_2Epred__set_2EGSPEC @ TB @ TA @ A)) != (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk1) @ (c_2Epred__set_2EGSPEC @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2EUNCURRY @ skt1 @ skt1 @ (tyop_2Epair_2Eprod @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o) @ (^ [C:skt1,D:skt1]: (c_2Epair_2E_2C @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o @ (c_2Epair_2E_2C @ skt1 @ skt1 @ C @ D) @ (c_2Ebool_2E_2F_5C @ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ C @ D) @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) @ (c_2Ebool_2E_7E @ (C = D))))))))))),inference(paramod_ordered,[status(thm)],[875,115])).
% 87.69/21.18  thf(879,plain,((? [A:(tyop_2Epair_2Eprod @ skt1 @ skt1)]: ((c_2Epair_2E_2C @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o @ (c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk1) @ $true) = (c_2Epair_2EUNCURRY @ skt1 @ skt1 @ (tyop_2Epair_2Eprod @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o) @ (^ [B:skt1,C:skt1]: (c_2Epair_2E_2C @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o @ (c_2Epair_2E_2C @ skt1 @ skt1 @ B @ C) @ (c_2Ebool_2E_2F_5C @ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ B @ C) @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) @ (c_2Ebool_2E_7E @ (B = C))))) @ A)))),inference(pattern_uni,[status(thm)],[878:[bind(A, $thf(c_2Epair_2EUNCURRY @ skt1 @ skt1 @ (tyop_2Epair_2Eprod @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o) @ (^ [C:skt1,D:skt1]: (c_2Epair_2E_2C @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o @ (c_2Epair_2E_2C @ skt1 @ skt1 @ C @ D) @ (c_2Ebool_2E_2F_5C @ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ C @ D) @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) @ (c_2Ebool_2E_7E @ (C = D))))))),bind(B, $thf(c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk1))]])).
% 87.69/21.18  thf(916,plain,(((c_2Epair_2E_2C @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o @ (c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk1) @ $true) = (c_2Epair_2EUNCURRY @ skt1 @ skt1 @ (tyop_2Epair_2Eprod @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o) @ (^ [A:skt1,B:skt1]: (c_2Epair_2E_2C @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o @ (c_2Epair_2E_2C @ skt1 @ skt1 @ A @ B) @ (c_2Ebool_2E_2F_5C @ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ A @ B) @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) @ (c_2Ebool_2E_7E @ (A = B))))) @ sk13))),inference(cnf,[status(esa)],[879])).
% 87.69/21.18  thf(921,plain,(((c_2Epair_2E_2C @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o @ (c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk1) @ $true) = (c_2Epair_2EUNCURRY @ skt1 @ skt1 @ (tyop_2Epair_2Eprod @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o) @ (^ [A:skt1,B:skt1]: (c_2Epair_2E_2C @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o @ (c_2Epair_2E_2C @ skt1 @ skt1 @ A @ B) @ (c_2Ebool_2E_2F_5C @ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ A @ B) @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) @ (c_2Ebool_2E_7E @ (A = B))))) @ sk13))),inference(lifteq,[status(thm)],[916])).
% 87.69/21.18  thf(12,axiom,((! [TA: $tType,TB: $tType]: (! [A:TB,B:TA,C:TB,D:TA]: (((c_2Epair_2E_2C @ TA @ TB @ B @ A) = (c_2Epair_2E_2C @ TA @ TB @ D @ C)) = ((B = D) & (A = C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EPAIR__EQ)).
% 87.69/21.18  thf(64,plain,((! [TA: $tType,TB: $tType]: (! [A:TB,B:TA,C:TB,D:TA]: (((c_2Epair_2E_2C @ TA @ TB @ B @ A) = (c_2Epair_2E_2C @ TA @ TB @ D @ C)) = ((B = D) & (A = C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 87.69/21.18  thf(53,plain,(((c_2Ebool_2E_7E @ $false) = (~ ($false)))),inference(instance,[status(thm)],[50])).
% 87.69/21.18  thf(54,plain,((c_2Ebool_2E_7E @ $false)),inference(simp,[status(thm)],[53])).
% 87.69/21.18  thf(38,plain,(((c_2Ebool_2E_2F_5C @ $false @ $false) = (($false) & ($false)))),inference(instance,[status(thm)],[31])).
% 87.69/21.18  thf(39,plain,((~ (c_2Ebool_2E_2F_5C @ $false @ $false))),inference(simp,[status(thm)],[38])).
% 87.69/21.18  thf(103,plain,((~ (c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3) @ sk4)) | (~ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3 @ sk4))),inference(bool_ext,[status(thm)],[102])).
% 87.69/21.18  thf(835,plain,(! [TC:$tType,TD:$tType,C:T?,B:T@,A:(tyop_2Epair_2Eprod @ T@ @ T?)] : (((c_2Epair_2EUNCURRY @ T@ @ T? @ ((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o) @ (^ [D:T@,E:T?]: (c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3))) @ A) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) | ((c_2Epair_2E_2C @ T@ @ T? @ (c_2Epair_2EFST @ T@ @ T? @ A) @ (c_2Epair_2ESND @ T@ @ T? @ A)) != (c_2Epair_2E_2C @ T@ @ T? @ B @ C)))),inference(paramod_ordered,[status(thm)],[63,485])).
% 87.69/21.18  thf(836,plain,(! [TC:$tType,TD:$tType,A:(tyop_2Epair_2Eprod @ T@ @ T?)] : (((c_2Epair_2EUNCURRY @ T@ @ T? @ ((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o) @ (^ [B:T@,C:T?]: (c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3))) @ A) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)))),inference(pattern_uni,[status(thm)],[835:[bind(A, $thf(E)),bind(B, $thf(c_2Epair_2EFST @ T> @ T= @ E)),bind(C, $thf(c_2Epair_2ESND @ T> @ T= @ E))]])).
% 87.69/21.18  thf(848,plain,(! [TA:$tType,TB:$tType,A:(tyop_2Epair_2Eprod @ TB @ TA)] : (((c_2Epair_2EUNCURRY @ TB @ TA @ ((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o) @ (^ [B:TB,C:TA]: (c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3))) @ A) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)))),inference(simp,[status(thm)],[836])).
% 87.69/21.18  thf(65,plain,(! [TA:$tType,TB:$tType,D:TB,C:TA,B:TB,A:TA] : ((((c_2Epair_2E_2C @ TB @ TA @ B @ A) = (c_2Epair_2E_2C @ TB @ TA @ D @ C)) = ((B = D) & (A = C))))),inference(cnf,[status(esa)],[64])).
% 87.69/21.18  thf(66,plain,(! [TA:$tType,TB:$tType,D:TB,C:TA,B:TB,A:TA] : ((((B = D) & (A = C)) = ((c_2Epair_2E_2C @ TB @ TA @ B @ A) = (c_2Epair_2E_2C @ TB @ TA @ D @ C))))),inference(lifteq,[status(thm)],[65])).
% 87.69/21.18  thf(130,plain,((c_2Epred__set_2EGSPEC @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2EUNCURRY @ skt1 @ skt1 @ (tyop_2Epair_2Eprod @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o) @ (^ [A:skt1,B:skt1]: (c_2Epair_2E_2C @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ $o @ (c_2Epair_2E_2C @ skt1 @ skt1 @ A @ B) @ (c_2Ebool_2E_2F_5C @ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ A @ B) @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) @ (c_2Ebool_2E_7E @ (A = B)))))) @ sk5) | (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3 @ sk5)),inference(bool_ext,[status(thm)],[118])).
% 87.69/21.18  thf(34,plain,(((c_2Ebool_2E_2F_5C @ $true @ $false) = (($true) & ($false)))),inference(instance,[status(thm)],[31])).
% 87.69/21.18  thf(35,plain,((~ (c_2Ebool_2E_2F_5C @ $true @ $false))),inference(simp,[status(thm)],[34])).
% 87.69/21.18  thf(13,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB,C:TA,D:TB]: (((c_2Epair_2E_2C @ TA @ TB @ A @ B) = (c_2Epair_2E_2C @ TA @ TB @ C @ D)) = ((A = C) & (B = D)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2ECLOSED__PAIR__EQ)).
% 87.69/21.18  thf(67,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB,C:TA,D:TB]: (((c_2Epair_2E_2C @ TA @ TB @ A @ B) = (c_2Epair_2E_2C @ TA @ TB @ C @ D)) = ((A = C) & (B = D)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 87.69/21.18  thf(258,plain,(! [TA:$tType,TB:$tType,C:TA,B:TB,A:(TB > (TA > ((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o)))] : ((~ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk1) @ (c_2Epair_2EUNCURRY @ TB @ TA @ ((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o) @ A @ (c_2Epair_2E_2C @ TB @ TA @ B @ C)))) | ((A @ B @ C) != (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)))),inference(paramod_ordered,[status(thm)],[57,16])).
% 87.69/21.18  thf(357,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : ((~ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk1) @ (c_2Epair_2EUNCURRY @ TB @ TA @ ((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o) @ (^ [C:TB,D:TA]: (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B)))))),inference(pre_uni,[status(thm)],[258:[bind(A, $thf(^ [D:T@,E:T?]: (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3))),bind(B, $thf(B)),bind(C, $thf(C))]])).
% 87.69/21.18  thf(394,plain,(! [TA:$tType,TB:$tType,B:TA,A:TB] : ((~ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk1) @ (c_2Epair_2EUNCURRY @ TB @ TA @ ((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o) @ (^ [C:TB,D:TA]: (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) @ (c_2Epair_2E_2C @ TB @ TA @ A @ B)))))),inference(simp,[status(thm)],[357])).
% 87.69/21.18  thf(1008,plain,(! [TC:$tType,TD:$tType,C:T?,B:T@,A:(tyop_2Epair_2Eprod @ T@ @ T?)] : ((~ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk1) @ (c_2Epair_2EUNCURRY @ T@ @ T? @ ((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o) @ (^ [D:T@,E:T?]: (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) @ A))) | ((c_2Epair_2E_2C @ T@ @ T? @ (c_2Epair_2EFST @ T@ @ T? @ A) @ (c_2Epair_2ESND @ T@ @ T? @ A)) != (c_2Epair_2E_2C @ T@ @ T? @ B @ C)))),inference(paramod_ordered,[status(thm)],[63,394])).
% 87.69/21.18  thf(1009,plain,(! [TC:$tType,TD:$tType,A:(tyop_2Epair_2Eprod @ T@ @ T?)] : ((~ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk1) @ (c_2Epair_2EUNCURRY @ T@ @ T? @ ((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o) @ (^ [B:T@,C:T?]: (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) @ A))))),inference(pattern_uni,[status(thm)],[1008:[bind(A, $thf(E)),bind(B, $thf(c_2Epair_2EFST @ T> @ T= @ E)),bind(C, $thf(c_2Epair_2ESND @ T> @ T= @ E))]])).
% 87.69/21.18  thf(1038,plain,(! [TA:$tType,TB:$tType,A:(tyop_2Epair_2Eprod @ TB @ TA)] : ((~ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ (c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk1) @ (c_2Epair_2EUNCURRY @ TB @ TA @ ((tyop_2Epair_2Eprod @ skt1 @ skt1) > $o) @ (^ [B:TB,C:TA]: (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3)) @ A))))),inference(simp,[status(thm)],[1009])).
% 87.69/21.18  thf(104,plain,((c_2Eset__relation_2Estrict @ skt1 @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3) @ sk4) | (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3 @ sk4)),inference(bool_ext,[status(thm)],[102])).
% 87.69/21.18  thf(7,axiom,((! [A:$o]: ((((c_2Ebool_2ET) => (A)) = A) & (((A) => (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) => (A)) = c_2Ebool_2ET) & (((A) => (A)) = c_2Ebool_2ET) & (((A) => (c_2Ebool_2EF)) = (~ (A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__CLAUSES)).
% 87.69/21.18  thf(40,plain,((! [A:$o]: ((((c_2Ebool_2ET) => (A)) = A) & (((A) => (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) => (A)) = c_2Ebool_2ET) & (c_2Ebool_2ET) & (((A) => (c_2Ebool_2EF)) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 87.69/21.18  thf(109,plain,(! [A:(tyop_2Epair_2Eprod @ skt1 @ skt1)] : ((~ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ A @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3))) | ((c_2Epair_2E_2C @ skt1 @ skt1 @ (c_2Epair_2EFST @ skt1 @ skt1 @ A) @ (c_2Epair_2ESND @ skt1 @ skt1 @ A)) != (c_2Epair_2E_2C @ skt1 @ skt1 @ sk2 @ sk1)))),inference(paramod_ordered,[status(thm)],[63,16])).
% 87.69/21.18  thf(111,plain,(! [A:(tyop_2Epair_2Eprod @ skt1 @ skt1)] : ((~ (c_2Ebool_2EIN @ (tyop_2Epair_2Eprod @ skt1 @ skt1) @ A @ (c_2Ewellorder_2Ewellorder__REP @ skt1 @ sk3))) | ((c_2Epair_2EFST @ skt1 @ skt1 @ A) != sk2) | ((c_2Epair_2ESND @ skt1 @ skt1 @ A) != sk1))),inference(simp,[status(thm)],[109])).
% 87.69/21.18  thf(2171,plain,($false),inference(e,[status(thm)],[115,715,417,565,37,52,110,20,57,623,485,61,117,102,70,21,33,129,508,921,64,17,22,875,118,27,54,39,103,848,66,130,438,35,112,63,18,50,67,16,1038,31,104,40,55,58,79,15,111])).
% 87.69/21.18  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 87.69/21.18  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
