%------------------------------------------------------------------------------
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Estring_2Echar_type,type,(
    tyop_2Estring_2Echar: $tType )).

thf(app_2E2_type,type,(
    app_2E2: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ TB ) > TA > TB ) )).

thf(p_type,type,(
    p: tyop_2Emin_2Ebool > $o )).

thf(combin_i_2E0_type,type,(
    combin_i_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ TA @ TA ) )).

thf(combin_k_2E0_type,type,(
    combin_k_2E0: 
      !>[TA: $tType,TB: $tType] :
        ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) ) )).

thf(combin_s_2E0_type,type,(
    combin_s_2E0: 
      !>[TA: $tType,TB: $tType,TC: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) ) )).

thf(c_2Ebool_2E_21_2E0_type,type,(
    c_2Ebool_2E_21_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_21_2E1_type,type,(
    c_2Ebool_2E_21_2E1: 
      !>[TA: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) > tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_2F_5C_2E0_type,type,(
    c_2Ebool_2E_2F_5C_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Ebool_2E_2F_5C_2E2_type,type,(
    c_2Ebool_2E_2F_5C_2E2: tyop_2Emin_2Ebool > tyop_2Emin_2Ebool > tyop_2Emin_2Ebool )).

thf(c_2Eprim__rec_2E_3C_2E0_type,type,(
    c_2Eprim__rec_2E_3C_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Eprim__rec_2E_3C_2E2_type,type,(
    c_2Eprim__rec_2E_3C_2E2: tyop_2Enum_2Enum > tyop_2Enum_2Enum > tyop_2Emin_2Ebool )).

thf(c_2Emin_2E_3D_2E0_type,type,(
    c_2Emin_2E_3D_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Emin_2E_3D_2E2_type,type,(
    c_2Emin_2E_3D_2E2: 
      !>[TA: $tType] :
        ( TA > TA > tyop_2Emin_2Ebool ) )).

thf(c_2Emin_2E_3D_3D_3E_2E0_type,type,(
    c_2Emin_2E_3D_3D_3E_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Emin_2E_3D_3D_3E_2E2_type,type,(
    c_2Emin_2E_3D_3D_3E_2E2: tyop_2Emin_2Ebool > tyop_2Emin_2Ebool > tyop_2Emin_2Ebool )).

thf(c_2Ebool_2E_3F_2E0_type,type,(
    c_2Ebool_2E_3F_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_3F_2E1_type,type,(
    c_2Ebool_2E_3F_2E1: 
      !>[TA: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) > tyop_2Emin_2Ebool ) )).

thf(c_2Earithmetic_2EBIT1_2E0_type,type,(
    c_2Earithmetic_2EBIT1_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) )).

thf(c_2Earithmetic_2EBIT1_2E1_type,type,(
    c_2Earithmetic_2EBIT1_2E1: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2EBIT2_2E0_type,type,(
    c_2Earithmetic_2EBIT2_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) )).

thf(c_2Earithmetic_2EBIT2_2E1_type,type,(
    c_2Earithmetic_2EBIT2_2E1: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Estring_2ECHR_2E0_type,type,(
    c_2Estring_2ECHR_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Estring_2Echar ) )).

thf(c_2Estring_2ECHR_2E1_type,type,(
    c_2Estring_2ECHR_2E1: tyop_2Enum_2Enum > tyop_2Estring_2Echar )).

thf(c_2Ebool_2EF_2E0_type,type,(
    c_2Ebool_2EF_2E0: tyop_2Emin_2Ebool )).

thf(c_2Earithmetic_2ENUMERAL_2E0_type,type,(
    c_2Earithmetic_2ENUMERAL_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) )).

thf(c_2Earithmetic_2ENUMERAL_2E1_type,type,(
    c_2Earithmetic_2ENUMERAL_2E1: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Estring_2EORD_2E0_type,type,(
    c_2Estring_2EORD_2E0: ( tyop_2Emin_2Efun @ tyop_2Estring_2Echar @ tyop_2Enum_2Enum ) )).

thf(c_2Estring_2EORD_2E1_type,type,(
    c_2Estring_2EORD_2E1: tyop_2Estring_2Echar > tyop_2Enum_2Enum )).

thf(c_2Ebool_2ET_2E0_type,type,(
    c_2Ebool_2ET_2E0: tyop_2Emin_2Ebool )).

thf(c_2Earithmetic_2EZERO_2E0_type,type,(
    c_2Earithmetic_2EZERO_2E0: tyop_2Enum_2Enum )).

thf(c_2Ebool_2E_5C_2F_2E0_type,type,(
    c_2Ebool_2E_5C_2F_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Ebool_2E_5C_2F_2E2_type,type,(
    c_2Ebool_2E_5C_2F_2E2: tyop_2Emin_2Ebool > tyop_2Emin_2Ebool > tyop_2Emin_2Ebool )).

thf(c_2Ebool_2E_7E_2E0_type,type,(
    c_2Ebool_2E_7E_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_7E_2E1_type,type,(
    c_2Ebool_2E_7E_2E1: tyop_2Emin_2Ebool > tyop_2Emin_2Ebool )).

thf(14,axiom,(
    p @ c_2Ebool_2ET_2E0 ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Etruth)).

thf(88,plain,(
    p @ c_2Ebool_2ET_2E0 ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(32,axiom,
    ( ! [A: tyop_2Estring_2Echar] :
        ( ( c_2Estring_2ECHR_2E1 @ ( c_2Estring_2EORD_2E1 @ A ) )
        = A )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( p @ ( c_2Eprim__rec_2E_3C_2E2 @ A @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT2_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) ) ) ) ) ) ) ) )
      <=> ( ( c_2Estring_2EORD_2E1 @ ( c_2Estring_2ECHR_2E1 @ A ) )
          = A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Estring_2Echar__BIJ)).

thf(170,plain,
    ( ! [A: tyop_2Estring_2Echar] :
        ( ( c_2Estring_2ECHR_2E1 @ ( c_2Estring_2EORD_2E1 @ A ) )
        = A )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( ( p @ ( c_2Eprim__rec_2E_3C_2E2 @ A @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT2_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) ) ) ) ) ) ) ) )
         => ( ( c_2Estring_2EORD_2E1 @ ( c_2Estring_2ECHR_2E1 @ A ) )
            = A ) )
        & ( ( ( c_2Estring_2EORD_2E1 @ ( c_2Estring_2ECHR_2E1 @ A ) )
            = A )
         => ( p @ ( c_2Eprim__rec_2E_3C_2E2 @ A @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT2_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) ) ) ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(6,axiom,(
    ~ ( p @ c_2Ebool_2EF_2E0 ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Enotfalse)).

thf(52,plain,(
    ~ ( p @ c_2Ebool_2EF_2E0 ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(19,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ),B: tyop_2Emin_2Efun @ TA @ TB,C: TA] :
      ( ( app_2E2 @ TA @ TC @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) @ ( combin_s_2E0 @ TA @ TB @ TC ) @ A ) @ B ) @ C )
      = ( app_2E2 @ TB @ TC @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) @ A @ C ) @ ( app_2E2 @ TA @ TB @ B @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Es__thm)).

thf(110,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ),B: tyop_2Emin_2Efun @ TA @ TB,C: TA] :
      ( ( app_2E2 @ TA @ TC @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) @ ( combin_s_2E0 @ TA @ TB @ TC ) @ A ) @ B ) @ C )
      = ( app_2E2 @ TB @ TC @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) @ A @ C ) @ ( app_2E2 @ TA @ TB @ B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(4,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2EBIT2_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2EBIT2_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Earithmetic_2EBIT2_2E1)).

thf(46,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2EBIT2_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2EBIT2_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(28,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_21_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E0 @ TA ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ebool_2E_21_2E1_2Emono_2EA_27a)).

thf(152,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_21_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E0 @ TA ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(15,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( app_2E2 @ TA @ TA @ ( combin_i_2E0 @ TA ) @ A )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Ei__thm)).

thf(89,plain,(
    ! [TA: $tType,A: TA] :
      ( ( app_2E2 @ TA @ TA @ ( combin_i_2E0 @ TA ) @ A )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(25,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Emin_2E_3D_3D_3E_2E2 @ A @ B ) )
    <=> ( ( p @ A )
       => ( p @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(133,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Emin_2E_3D_3D_3E_2E2 @ A @ B ) )
       => ( ( p @ A )
         => ( p @ B ) ) )
      & ( ( ( p @ A )
         => ( p @ B ) )
       => ( p @ ( c_2Emin_2E_3D_3D_3E_2E2 @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(8,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Emin_2Efun @ TA @ TB,B: tyop_2Emin_2Efun @ TA @ TB] :
      ( ! [C: TA] :
          ( ( app_2E2 @ TA @ TB @ A @ C )
          = ( app_2E2 @ TA @ TB @ B @ C ) )
     => ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Eeq__ext)).

thf(60,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Emin_2Efun @ TA @ TB,B: tyop_2Emin_2Efun @ TA @ TB] :
      ( ! [C: TA] :
          ( ( app_2E2 @ TA @ TB @ A @ C )
          = ( app_2E2 @ TA @ TB @ B @ C ) )
     => ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(13,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( app_2E2 @ TB @ TA @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) @ ( combin_k_2E0 @ TA @ TB ) @ A ) @ B )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Ek__thm)).

thf(85,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( app_2E2 @ TB @ TA @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) @ ( combin_k_2E0 @ TA @ TB ) @ A ) @ B )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(10,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2EBIT1_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2EBIT1_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Earithmetic_2EBIT1_2E1)).

thf(70,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2EBIT1_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2EBIT1_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(1,conjecture,(
    ! [A: tyop_2Estring_2Echar,B: tyop_2Estring_2Echar] :
      ( ( ( c_2Estring_2EORD_2E1 @ A )
        = ( c_2Estring_2EORD_2E1 @ B ) )
    <=> ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Estring_2EORD__11)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Estring_2Echar,B: tyop_2Estring_2Echar] :
        ( ( ( c_2Estring_2EORD_2E1 @ A )
          = ( c_2Estring_2EORD_2E1 @ B ) )
      <=> ( A = B ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(33,plain,(
    ~ ! [A: tyop_2Estring_2Echar,B: tyop_2Estring_2Echar] :
        ( ( ( ( c_2Estring_2EORD_2E1 @ A )
            = ( c_2Estring_2EORD_2E1 @ B ) )
         => ( A = B ) )
        & ( ( A = B )
         => ( ( c_2Estring_2EORD_2E1 @ A )
            = ( c_2Estring_2EORD_2E1 @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(16,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Estring_2ECHR_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Estring_2Echar @ c_2Estring_2ECHR_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Estring_2ECHR_2E1)).

thf(92,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Estring_2ECHR_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Estring_2Echar @ c_2Estring_2ECHR_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(11,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_21_2E1 @ TA @ A ) )
    <=> ! [B: TA] :
          ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(73,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_21_2E1 @ TA @ A ) )
       => ! [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) )
      & ( ! [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) )
       => ( p @ ( c_2Ebool_2E_21_2E1 @ TA @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(7,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
       => ( p @ B ) )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Emin_2E_3D_3D_3E_2E0 @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Emin_2E_3D_3D_3E_2E2)).

thf(54,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
         => ( p @ B ) )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Emin_2E_3D_3D_3E_2E0 @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Emin_2E_3D_3D_3E_2E0 @ A ) @ B ) )
       => ( ( p @ A )
         => ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(5,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_3F_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E0 @ TA ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ebool_2E_3F_2E1_2Emono_2EA_27a)).

thf(49,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_3F_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E0 @ TA ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(20,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( p @ ( c_2Emin_2E_3D_2E2 @ TA @ A @ B ) )
    <=> ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(113,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( p @ ( c_2Emin_2E_3D_2E2 @ TA @ A @ B ) )
       => ( A = B ) )
      & ( ( A = B )
       => ( p @ ( c_2Emin_2E_3D_2E2 @ TA @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(12,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
       => ( p @ B ) )
     => ( ( ( p @ B )
         => ( p @ A ) )
       => ( A = B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__ANTISYM__AX)).

thf(76,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
       => ( p @ B ) )
     => ( ( ( p @ B )
         => ( p @ A ) )
       => ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(26,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( A = B )
    <=> ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( c_2Emin_2E_3D_2E0 @ TA ) @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Emin_2E_3D_2E2_2Emono_2EA_27a)).

thf(140,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( A = B )
       => ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( c_2Emin_2E_3D_2E0 @ TA ) @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( c_2Emin_2E_3D_2E0 @ TA ) @ A ) @ B ) )
       => ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(29,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_5C_2F_2E2 @ A @ B ) )
    <=> ( ( p @ A )
        | ( p @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(155,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_5C_2F_2E2 @ A @ B ) )
       => ( ( p @ A )
          | ( p @ B ) ) )
      & ( ( ( p @ A )
          | ( p @ B ) )
       => ( p @ ( c_2Ebool_2E_5C_2F_2E2 @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(24,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2ENUMERAL_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2ENUMERAL_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Earithmetic_2ENUMERAL_2E1)).

thf(130,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2ENUMERAL_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2ENUMERAL_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(31,axiom,(
    ! [A: tyop_2Estring_2Echar] :
      ( ( c_2Estring_2EORD_2E1 @ A )
      = ( app_2E2 @ tyop_2Estring_2Echar @ tyop_2Enum_2Enum @ c_2Estring_2EORD_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Estring_2EORD_2E1)).

thf(167,plain,(
    ! [A: tyop_2Estring_2Echar] :
      ( ( c_2Estring_2EORD_2E1 @ A )
      = ( app_2E2 @ tyop_2Estring_2Echar @ tyop_2Enum_2Enum @ c_2Estring_2EORD_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(30,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_7E_2E1 @ A ) )
    <=> ~ ( p @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(162,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_7E_2E1 @ A ) )
       => ~ ( p @ A ) )
      & ( ~ ( p @ A )
       => ( p @ ( c_2Ebool_2E_7E_2E1 @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(9,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
        & ( p @ B ) )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_2F_5C_2E0 @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Ebool_2E_2F_5C_2E2)).

thf(63,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
          & ( p @ B ) )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_2F_5C_2E0 @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_2F_5C_2E0 @ A ) @ B ) )
       => ( ( p @ A )
          & ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(17,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
      <=> ( p @ B ) )
     => ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Eboolext)).

thf(95,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
         => ( p @ B ) )
        & ( ( p @ B )
         => ( p @ A ) ) )
     => ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(23,axiom,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Eprim__rec_2E_3C_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) @ c_2Eprim__rec_2E_3C_2E0 @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Eprim__rec_2E_3C_2E2)).

thf(127,plain,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Eprim__rec_2E_3C_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) @ c_2Eprim__rec_2E_3C_2E0 @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(3,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( A = c_2Ebool_2ET_2E0 )
      | ( A = c_2Ebool_2EF_2E0 ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Ebool__cases__ax)).

thf(43,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( A = c_2Ebool_2ET_2E0 )
      | ( A = c_2Ebool_2EF_2E0 ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(18,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
        | ( p @ B ) )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_5C_2F_2E0 @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Ebool_2E_5C_2F_2E2)).

thf(104,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
          | ( p @ B ) )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_5C_2F_2E0 @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_5C_2F_2E0 @ A ) @ B ) )
       => ( ( p @ A )
          | ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(21,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_3F_2E1 @ TA @ A ) )
    <=> ? [B: TA] :
          ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(119,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_3F_2E1 @ TA @ A ) )
       => ? [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) )
      & ( ? [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) )
       => ( p @ ( c_2Ebool_2E_3F_2E1 @ TA @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(27,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_2F_5C_2E2 @ A @ B ) )
    <=> ( ( p @ A )
        & ( p @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(146,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_2F_5C_2E2 @ A @ B ) )
       => ( ( p @ A )
          & ( p @ B ) ) )
      & ( ( ( p @ A )
          & ( p @ B ) )
       => ( p @ ( c_2Ebool_2E_2F_5C_2E2 @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(22,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ~ ( p @ A )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ c_2Ebool_2E_7E_2E0 @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ebool_2E_7E_2E1)).

thf(122,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ~ ( p @ A )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ c_2Ebool_2E_7E_2E0 @ A ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ c_2Ebool_2E_7E_2E0 @ A ) )
       => ~ ( p @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(180,plain,(
    $false ),
    inference(e,[status(thm)],[88,170,52,110,46,152,89,133,60,85,70,33,92,73,54,49,113,76,140,155,130,167,162,63,95,127,43,104,119,146,122])).
%------------------------------------------------------------------------------
