%------------------------------------------------------------------------------
thf(del_type,type,(
    del: $tType )).

thf(bool_type,type,(
    bool: del )).

thf(arr_type,type,(
    arr: del > del > del )).

thf(mem_type,type,(
    mem: $i > del > $o )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(lam_type,type,(
    lam: del > ( $i > $i ) > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(inj__o_type,type,(
    inj__o: $o > $i )).

thf(c_2Emin_2E_40_type,type,(
    c_2Emin_2E_40: del > $i )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $i )).

thf(fo__c_2Ebool_2ET_type,type,(
    fo__c_2Ebool_2ET: $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: del > $i )).

thf(c_2Ecardinal_2Ecardleq_type,type,(
    c_2Ecardinal_2Ecardleq: del > del > $i )).

thf(c_2Epred__set_2EFINITE_type,type,(
    c_2Epred__set_2EFINITE: del > $i )).

thf(c_2Epred__set_2EINJ_type,type,(
    c_2Epred__set_2EINJ: del > del > $i )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $i )).

thf(fo__c_2Ebool_2EF_type,type,(
    fo__c_2Ebool_2EF: $o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $i )).

thf(fo__c_2Ebool_2E_5C_2F_type,type,(
    fo__c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $i )).

thf(fo__c_2Ebool_2E_2F_5C_type,type,(
    fo__c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: del > $i )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $i )).

thf(fo__c_2Ebool_2E_7E_type,type,(
    fo__c_2Ebool_2E_7E: $o > $o )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $i )).

thf(fo__c_2Emin_2E_3D_3D_3E_type,type,(
    fo__c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: del > $i )).

thf(20,axiom,(
    ! [A: $o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_mem_o)).

thf(170,plain,(
    ! [A: $o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(61,axiom,(
    ! [A: del,B: $o,C: $i] :
      ( ( mem @ C @ ( arr @ A @ bool ) )
     => ( ( ! [D: $i] :
              ( ( mem @ D @ A )
             => ( ( p @ ( inj__o @ B ) )
                | ( p @ ( ap @ C @ D ) ) ) ) )
        = ( ( p @ ( inj__o @ B ) )
          | ! [D: $i] :
              ( ( mem @ D @ A )
             => ( p @ ( ap @ C @ D ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ERIGHT__FORALL__OR__THM)).

thf(379,plain,(
    ! [A: del,B: $o,C: $i] :
      ( ( mem @ C @ ( arr @ A @ bool ) )
     => ( ( ! [D: $i] :
              ( ( mem @ D @ A )
             => ( ( p @ ( inj__o @ B ) )
                | ( p @ ( ap @ C @ D ) ) ) ) )
        = ( ( p @ ( inj__o @ B ) )
          | ! [D: $i] :
              ( ( mem @ D @ A )
             => ( p @ ( ap @ C @ D ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[61])).

thf(40,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Epred__set_2EFINITE @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Epred__set_2EFINITE)).

thf(269,plain,(
    ! [A: del] :
      ( mem @ ( c_2Epred__set_2EFINITE @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).

thf(25,axiom,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_imp_p)).

thf(202,plain,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(51,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ B @ C ) )
           => ( p @ ( ap @ B @ ( ap @ ( c_2Emin_2E_40 @ A ) @ B ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_thm_2Ebool_2ESELECT__AX)).

thf(325,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ B @ C ) )
           => ( p @ ( ap @ B @ ( ap @ ( c_2Emin_2E_40 @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[51])).

thf(8,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ! [C: $o] :
          ( ( ! [D: $i] :
                ( ( mem @ D @ A )
               => ( p @ ( ap @ B @ D ) ) )
            & ( p @ ( inj__o @ C ) ) )
          = ( ! [D: $i] :
                ( ( mem @ D @ A )
               => ( ( p @ ( ap @ B @ D ) )
                  & ( p @ ( inj__o @ C ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ELEFT__AND__FORALL__THM)).

thf(78,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ! [C: $o] :
          ( ( ! [D: $i] :
                ( ( mem @ D @ A )
               => ( p @ ( ap @ B @ D ) ) )
            & ( p @ ( inj__o @ C ) ) )
          = ( ! [D: $i] :
                ( ( mem @ D @ A )
               => ( ( p @ ( ap @ B @ D ) )
                  & ( p @ ( inj__o @ C ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(24,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          & ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__conj)).

thf(179,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          & ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(59,axiom,(
    mem @ c_2Ebool_2ET @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2ET)).

thf(376,plain,(
    mem @ c_2Ebool_2ET @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[59])).

thf(26,axiom,(
    ! [A: del,B: del,C: $i > $i] :
      ( ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( C @ D ) @ B ) )
     => ( mem @ ( lam @ A @ C ) @ ( arr @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',lam_tp)).

thf(211,plain,(
    ! [A: del,B: del,C: $i > $i] :
      ( ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( C @ D ) @ B ) )
     => ( mem @ ( lam @ A @ C ) @ ( arr @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(31,axiom,(
    ! [A: $o] :
      ( ( ( $true
         => ( p @ ( inj__o @ A ) ) )
        = ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
         => $true )
        = $true )
      & ( ( $false
         => ( p @ ( inj__o @ A ) ) )
        = $true )
      & ( ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ A ) ) )
        = $true )
      & ( ( ( p @ ( inj__o @ A ) )
         => $false )
        = ( ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__CLAUSES)).

thf(238,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(37,axiom,(
    ! [A: $o] :
      ( ( ( $true
          = ( p @ ( inj__o @ A ) ) )
        = ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
          = $true )
        = ( p @ ( inj__o @ A ) ) )
      & ( ( $false
          = ( p @ ( inj__o @ A ) ) )
        = ( ~ ( p @ ( inj__o @ A ) ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
          = $false )
        = ( ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEQ__CLAUSES)).

thf(265,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(30,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',funcext)).

thf(233,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(57,axiom,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_or_p)).

thf(366,plain,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[57])).

thf(4,axiom,(
    $true ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ETRUTH)).

thf(70,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(29,axiom,(
    ! [A: $o,B: $o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
     => ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Epth__ni1)).

thf(224,plain,(
    ! [A: $o,B: $o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
     => ( p @ ( inj__o @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(14,axiom,(
    ! [A: del] :
      ( ( c_2Ebool_2E_3F @ A )
      = ( lam @ ( arr @ A @ bool )
        @ ^ [B: $i] :
            ( ap @ B @ ( ap @ ( c_2Emin_2E_40 @ A ) @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_thm_2Ebool_2EEXISTS__DEF)).

thf(109,plain,(
    ! [A: del] :
      ( ( c_2Ebool_2E_3F @ A )
      = ( lam @ ( arr @ A @ bool )
        @ ^ [B: $i] :
            ( ap @ B @ ( ap @ ( c_2Emin_2E_40 @ A ) @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(36,axiom,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Emin_2E_3D_3D_3E)).

thf(256,plain,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(21,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ bool ) )
         => ! [E: $i] :
              ( ( mem @ E @ ( arr @ B @ bool ) )
             => ( ( ( p @ ( ap @ ( ap @ ( ap @ ( c_2Epred__set_2EINJ @ A @ B ) @ C ) @ D ) @ E ) )
                  & ( p @ ( ap @ ( c_2Epred__set_2EFINITE @ B ) @ E ) ) )
               => ( p @ ( ap @ ( c_2Epred__set_2EFINITE @ A ) @ D ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Epred__set_2EFINITE__INJ)).

thf(173,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ bool ) )
         => ! [E: $i] :
              ( ( mem @ E @ ( arr @ B @ bool ) )
             => ( ( ( p @ ( ap @ ( ap @ ( ap @ ( c_2Epred__set_2EINJ @ A @ B ) @ C ) @ D ) @ E ) )
                  & ( p @ ( ap @ ( c_2Epred__set_2EFINITE @ B ) @ E ) ) )
               => ( p @ ( ap @ ( c_2Epred__set_2EFINITE @ A ) @ D ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(6,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ap_tp)).

thf(73,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(56,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          = ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__eq)).

thf(343,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          = ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[56])).

thf(38,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epred__set_2EINJ @ A @ B ) @ ( arr @ ( arr @ A @ B ) @ ( arr @ ( arr @ A @ bool ) @ ( arr @ ( arr @ B @ bool ) @ bool ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Epred__set_2EINJ)).

thf(266,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epred__set_2EINJ @ A @ B ) @ ( arr @ ( arr @ A @ B ) @ ( arr @ ( arr @ A @ bool ) @ ( arr @ ( arr @ B @ bool ) @ bool ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(49,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( p @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_iso_mem_o)).

thf(311,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( p @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[49])).

thf(19,axiom,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_5C_2F @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_5C_2F)).

thf(161,plain,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_5C_2F @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(58,axiom,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D_3D_3E)).

thf(375,plain,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[58])).

thf(5,axiom,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2ET)).

thf(71,plain,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(10,axiom,(
    ! [A: $o,B: $o] :
      ( ( ~ ( ~ ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
       => $false )
      = ( ( p @ ( inj__o @ A ) )
       => ( ~ ( p @ ( inj__o @ B ) )
         => $false ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EOR__DUAL3)).

thf(86,plain,(
    ! [A: $o,B: $o] :
      ( ( ~ ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) ) )
      = ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(18,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(159,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(9,axiom,(
    ! [A: $o] :
      ( ( p @ ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_neg_p)).

thf(81,plain,(
    ! [A: $o] :
      ( ( p @ ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(60,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_3F @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_3F)).

thf(377,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_3F @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[60])).

thf(12,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_40 @ A ) @ ( arr @ ( arr @ A @ bool ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_40)).

thf(98,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_40 @ A ) @ ( arr @ ( arr @ A @ bool ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(45,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ B ) )
        = ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_ex_p)).

thf(303,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ B ) )
        = ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[45])).

thf(41,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__imp)).

thf(271,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).

thf(35,axiom,(
    ! [A: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_7E @ A ) )
      = ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_7E)).

thf(251,plain,(
    ! [A: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_7E @ A ) )
      = ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(53,axiom,(
    ! [A: $o] :
      ( ( ~ ~ ( p @ ( inj__o @ A ) ) )
      = ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2ENOT__NOT)).

thf(330,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[53])).

thf(46,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ bool ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ B @ bool ) )
         => ( ( p @ ( ap @ ( ap @ ( c_2Ecardinal_2Ecardleq @ A @ B ) @ C ) @ D ) )
            = ( ? [E: $i] :
                  ( ( mem @ E @ ( arr @ A @ B ) )
                  & ( p @ ( ap @ ( ap @ ( ap @ ( c_2Epred__set_2EINJ @ A @ B ) @ E ) @ C ) @ D ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_thm_2Ecardinal_2Ecardleq__def)).

thf(306,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ bool ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ B @ bool ) )
         => ( ( p @ ( ap @ ( ap @ ( c_2Ecardinal_2Ecardleq @ A @ B ) @ C ) @ D ) )
            = ( ? [E: $i] :
                  ( ( mem @ E @ ( arr @ A @ B ) )
                  & ( p @ ( ap @ ( ap @ ( ap @ ( c_2Epred__set_2EINJ @ A @ B ) @ E ) @ C ) @ D ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[46])).

thf(16,axiom,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_7E)).

thf(135,plain,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(33,axiom,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_and_p)).

thf(241,plain,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(15,axiom,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) )
     => ( ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ A ) ) )
       => ( ( p @ ( inj__o @ A ) )
          = ( p @ ( inj__o @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__ANTISYM__AX)).

thf(112,plain,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) )
     => ( ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ A ) ) )
       => ( ( p @ ( inj__o @ A ) )
          = ( p @ ( inj__o @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(43,axiom,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_surj_o)).

thf(295,plain,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).

thf(11,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
        = ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_all_p)).

thf(95,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
        = ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(52,axiom,(
    ! [A: del,B: $i > $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( lam @ A @ B ) @ C )
        = ( B @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',beta)).

thf(327,plain,(
    ! [A: del,B: $i > $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( lam @ A @ B ) @ C )
        = ( B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[52])).

thf(48,axiom,(
    mem @ c_2Ebool_2EF @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2EF)).

thf(310,plain,(
    mem @ c_2Ebool_2EF @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[48])).

thf(23,axiom,(
    ~ ( p @ c_2Ebool_2EF ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_false_p)).

thf(177,plain,(
    ~ ( p @ c_2Ebool_2EF ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(54,axiom,
    ( ! [A: $o] :
        ( ( ~ ~ ( p @ ( inj__o @ A ) ) )
        = ( p @ ( inj__o @ A ) ) )
    & ( ( ~ $true ) = $false )
    & ( ( ~ $false ) = $true ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ENOT__CLAUSES)).

thf(331,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[54])).

thf(22,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(175,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(50,axiom,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ~ ( p @ ( inj__o @ B ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__neg)).

thf(314,plain,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ~ ( p @ ( inj__o @ B ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[50])).

thf(34,axiom,(
    p @ c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_true_p)).

thf(250,plain,(
    p @ c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(7,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
            = ( B = C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_eq_p)).

thf(75,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
            = ( B = C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(27,axiom,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_5C_2F)).

thf(214,plain,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(44,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( B = C )
            = ( C = B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEQ__SYM__EQ)).

thf(300,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( B = C )
            = ( C = B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).

thf(32,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Ecardinal_2Ecardleq @ A @ B ) @ ( arr @ ( arr @ A @ bool ) @ ( arr @ ( arr @ B @ bool ) @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ecardinal_2Ecardleq)).

thf(239,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Ecardinal_2Ecardleq @ A @ B ) @ ( arr @ ( arr @ A @ bool ) @ ( arr @ ( arr @ B @ bool ) @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(42,axiom,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_2F_5C)).

thf(294,plain,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).

thf(17,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__disj)).

thf(136,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(39,axiom,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
     => ( ~ ( p @ ( inj__o @ A ) )
       => $false ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EAND__INV__IMP)).

thf(268,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).

thf(55,axiom,(
    ! [A: $o,B: $o] :
      ( ( ~ ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
       => $false )
      = ( ( ( p @ ( inj__o @ A ) )
         => $false )
       => ( ~ ( p @ ( inj__o @ B ) )
         => $false ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EOR__DUAL2)).

thf(332,plain,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) ) )
      = ( ~ ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[55])).

thf(3,axiom,
    ( ( inj__o @ fo__c_2Ebool_2EF )
    = c_2Ebool_2EF ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2EF)).

thf(68,plain,
    ( ( inj__o @ fo__c_2Ebool_2EF )
    = c_2Ebool_2EF ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(1,conjecture,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ bool ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ B @ bool ) )
         => ( ( ( p @ ( ap @ ( c_2Epred__set_2EFINITE @ B ) @ D ) )
              & ( p @ ( ap @ ( ap @ ( c_2Ecardinal_2Ecardleq @ A @ B ) @ C ) @ D ) ) )
           => ( p @ ( ap @ ( c_2Epred__set_2EFINITE @ A ) @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ecardinal_2ECARDLEQ__FINITE)).

thf(2,negated_conjecture,(
    ~ ! [A: del,B: del,C: $i] :
        ( ( mem @ C @ ( arr @ A @ bool ) )
       => ! [D: $i] :
            ( ( mem @ D @ ( arr @ B @ bool ) )
           => ( ( ( p @ ( ap @ ( c_2Epred__set_2EFINITE @ B ) @ D ) )
                & ( p @ ( ap @ ( ap @ ( c_2Ecardinal_2Ecardleq @ A @ B ) @ C ) @ D ) ) )
             => ( p @ ( ap @ ( c_2Epred__set_2EFINITE @ A ) @ C ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(62,plain,(
    ~ ! [A: del,B: del,C: $i] :
        ( ( mem @ C @ ( arr @ A @ bool ) )
       => ! [D: $i] :
            ( ( mem @ D @ ( arr @ B @ bool ) )
           => ( ( ( p @ ( ap @ ( c_2Epred__set_2EFINITE @ B ) @ D ) )
                & ( p @ ( ap @ ( ap @ ( c_2Ecardinal_2Ecardleq @ A @ B ) @ C ) @ D ) ) )
             => ( p @ ( ap @ ( c_2Epred__set_2EFINITE @ A ) @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(47,axiom,(
    ! [A: $o] :
      ( ( ~ ( p @ ( inj__o @ A ) )
       => $false )
     => ( ( ( p @ ( inj__o @ A ) )
         => $false )
       => $false ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EAND__INV2)).

thf(309,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[47])).

thf(28,axiom,(
    ! [A: $o,B: $o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
     => ~ ( p @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Epth__ni2)).

thf(215,plain,(
    ! [A: $o,B: $o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
     => ~ ( p @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_2F_5C)).

thf(100,plain,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(401,plain,(
    $false ),
    inference(cvc4,[status(thm)],[170,379,269,202,325,78,179,376,211,238,265,233,366,70,224,109,256,173,73,343,266,311,161,375,71,86,159,81,377,98,303,271,251,330,306,135,241,112,295,95,327,310,177,331,175,314,250,75,214,300,239,294,136,268,332,68,62,309,215,100])).
%------------------------------------------------------------------------------
