%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:39:36 EDT 2019

% Result     : Theorem 6.50s
% Output     : CNFRefutation 6.69s
% Verified   : 
% Statistics : Number of formulae       :   26 (  26 expanded)
%              Number of leaves         :   17 (  17 expanded)
%              Depth                    :    3
%              Number of atoms          :  185 ( 185 expanded)
%              Number of equality atoms :   24 (  24 expanded)
%              Maximal formula depth    :   16 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Einteger_2Eint_type,type,(
    tyop_2Einteger_2Eint: $tType )).

thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Emin_2E_40_type,type,(
    c_2Emin_2E_40: 
      !>[TA: $tType] :
        ( ( TA > $o ) > TA ) )).

thf(c_2Equotient_2EQUOTIENT_type,type,(
    c_2Equotient_2EQUOTIENT: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TA > $o ) > ( TA > TB ) > ( TB > TA ) > $o ) )).

thf(c_2Einteger_2Eint__ABS_type,type,(
    c_2Einteger_2Eint__ABS: ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) > tyop_2Einteger_2Eint )).

thf(c_2Einteger_2Eint__ABS__CLASS_type,type,(
    c_2Einteger_2Eint__ABS__CLASS: ( ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) > $o ) > tyop_2Einteger_2Eint )).

thf(c_2Einteger_2Eint__REP_type,type,(
    c_2Einteger_2Eint__REP: tyop_2Einteger_2Eint > ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) )).

thf(c_2Einteger_2Eint__REP__CLASS_type,type,(
    c_2Einteger_2Eint__REP__CLASS: tyop_2Einteger_2Eint > ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) > $o )).

thf(c_2Einteger_2Etint__eq_type,type,(
    c_2Einteger_2Etint__eq: ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) > ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) > $o )).

thf(3,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA] :
      ( ( A @ B )
     => ( A @ ( c_2Emin_2E_40 @ TA @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ESELECT__AX)).

thf(10,plain,(
    ! [TA: $tType,A: TA > $o,B: TA] :
      ( ( A @ B )
     => ( A @ ( c_2Emin_2E_40 @ TA @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(8,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TA > $o,B: TA > TB,C: TB > TA] :
      ( ( c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C )
      = ( ! [D: TB] :
            ( ( B @ ( C @ D ) )
            = D )
        & ! [D: TB] :
            ( A @ ( C @ D ) @ ( C @ D ) )
        & ! [D: TA,E: TA] :
            ( ( A @ D @ E )
            = ( ( A @ D @ D )
              & ( A @ E @ E )
              & ( ( B @ D )
                = ( B @ E ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Equotient_2EQUOTIENT__def)).

thf(37,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TA > $o,B: TA > TB,C: TB > TA] :
      ( ( c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C )
      = ( ! [D: TB] :
            ( ( B @ ( C @ D ) )
            = D )
        & ! [D: TB] :
            ( A @ ( C @ D ) @ ( C @ D ) )
        & ! [D: TA,E: TA] :
            ( ( A @ D @ E )
            = ( ( A @ D @ D )
              & ( A @ E @ E )
              & ( ( B @ D )
                = ( B @ E ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(5,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,B: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum] :
      ( ( c_2Einteger_2Etint__eq @ A @ B )
      = ( ( c_2Einteger_2Etint__eq @ A )
        = ( c_2Einteger_2Etint__eq @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2ETINT__EQ__EQUIV)).

thf(28,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,B: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum] :
      ( ( c_2Einteger_2Etint__eq @ A @ B )
      = ( ( c_2Einteger_2Etint__eq @ A )
        = ( c_2Einteger_2Etint__eq @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(1,conjecture,(
    c_2Equotient_2EQUOTIENT @ ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ tyop_2Einteger_2Eint @ c_2Einteger_2Etint__eq @ c_2Einteger_2Eint__ABS @ c_2Einteger_2Eint__REP ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2Eint__QUOTIENT)).

thf(2,negated_conjecture,(
    ~ ( c_2Equotient_2EQUOTIENT @ ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ tyop_2Einteger_2Eint @ c_2Einteger_2Etint__eq @ c_2Einteger_2Eint__ABS @ c_2Einteger_2Eint__REP ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(9,plain,(
    ~ ( c_2Equotient_2EQUOTIENT @ ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ tyop_2Einteger_2Eint @ c_2Einteger_2Etint__eq @ c_2Einteger_2Eint__ABS @ c_2Einteger_2Eint__REP ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(7,axiom,(
    ! [A: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__REP @ A )
      = ( c_2Emin_2E_40 @ ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ ( c_2Einteger_2Eint__REP__CLASS @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2Eint__REP__def)).

thf(34,plain,(
    ! [A: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__REP @ A )
      = ( c_2Emin_2E_40 @ ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ ( c_2Einteger_2Eint__REP__CLASS @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(4,axiom,
    ( ! [A: tyop_2Einteger_2Eint] :
        ( ( c_2Einteger_2Eint__ABS__CLASS @ ( c_2Einteger_2Eint__REP__CLASS @ A ) )
        = A )
    & ! [A: ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) > $o] :
        ( ( ? [B: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum] :
              ( ( c_2Einteger_2Etint__eq @ B @ B )
              & ( A
                = ( c_2Einteger_2Etint__eq @ B ) ) ) )
        = ( ( c_2Einteger_2Eint__REP__CLASS @ ( c_2Einteger_2Eint__ABS__CLASS @ A ) )
          = A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2Eint__ABS__REP__CLASS)).

thf(12,plain,
    ( ! [A: tyop_2Einteger_2Eint] :
        ( ( c_2Einteger_2Eint__ABS__CLASS @ ( c_2Einteger_2Eint__REP__CLASS @ A ) )
        = A )
    & ! [A: ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) > $o] :
        ( ( ? [B: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum] :
              ( ( c_2Einteger_2Etint__eq @ B @ B )
              & ( A
                = ( c_2Einteger_2Etint__eq @ B ) ) ) )
        = ( ( c_2Einteger_2Eint__REP__CLASS @ ( c_2Einteger_2Eint__ABS__CLASS @ A ) )
          = A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(6,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum] :
      ( ( c_2Einteger_2Eint__ABS @ A )
      = ( c_2Einteger_2Eint__ABS__CLASS @ ( c_2Einteger_2Etint__eq @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2Eint__ABS__def)).

thf(31,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum] :
      ( ( c_2Einteger_2Eint__ABS @ A )
      = ( c_2Einteger_2Eint__ABS__CLASS @ ( c_2Einteger_2Etint__eq @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(40,plain,(
    $false ),
    inference(e,[status(thm)],[10,37,28,9,34,12,31])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.07/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.07/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.07/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.07/0.13  % CPULimit   : 300
% 0.07/0.13  % DateTime   : Wed Jul 31 01:22:43 EDT 2019
% 0.07/0.13  % CPUTime    : 
% 3.32/1.36  % [INFO] 	 Running in sequential loop mode. 
% 4.20/1.54  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.27/1.61  % [INFO] 	 iprover registered as external prover. 
% 4.27/1.61  % [INFO] 	 e registered as external prover. 
% 4.27/1.61  % [INFO] 	 cvc4 registered as external prover. 
% 4.27/1.61  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.48/1.66  % [INFO] 	 Found a conjecture and 24 axioms. Running axiom selection ... 
% 4.58/1.71  % [INFO] 	 Axiom selection finished. Selected 6 axioms (removed 18 axioms). 
% 4.58/1.74  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.50/2.39  % [INFO] 	 Killing All external provers ... 
% 6.50/2.39  % Time passed: 2124ms
% 6.50/2.39  % Effective reasoning time: 1027ms
% 6.50/2.39  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.50/2.39  % Axioms used in derivation (6): thm_2Einteger_2Eint__ABS__REP__CLASS, thm_2Equotient_2EQUOTIENT__def, thm_2Ebool_2ESELECT__AX, thm_2Einteger_2Eint__REP__def, thm_2Einteger_2Eint__ABS__def, thm_2Einteger_2ETINT__EQ__EQUIV
% 6.50/2.39  % No. of inferences in proof: 16
% 6.50/2.39  % No. of processed clauses: 1
% 6.50/2.39  % No. of generated clauses: 0
% 6.50/2.39  % No. of forward subsumed clauses: 0
% 6.50/2.39  % No. of backward subsumed clauses: 0
% 6.50/2.39  % No. of ground rewrite rules in store: 1
% 6.50/2.39  % No. of non-ground rewrite rules in store: 0
% 6.50/2.39  % No. of positive (non-rewrite) units in store: 0
% 6.50/2.39  % No. of negative (non-rewrite) units in store: 0
% 6.50/2.39  % No. of choice functions detected: 0
% 6.50/2.39  % No. of choice instantiations: 0
% 6.50/2.39  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2124 ms resp. 1027 ms w/o parsing
% 6.69/2.42  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.69/2.42  thf(tyop_2Einteger_2Eint_type, type, tyop_2Einteger_2Eint: $tType).
% 6.69/2.42  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.69/2.42  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 6.69/2.42  thf(c_2Emin_2E_40_type, type, c_2Emin_2E_40: !>[TA: $tType]: ((TA > $o) > TA)).
% 6.69/2.42  thf(c_2Equotient_2EQUOTIENT_type, type, c_2Equotient_2EQUOTIENT: !>[TA: $tType,TB: $tType]: ((TA > (TA > $o)) > ((TA > TB) > ((TB > TA) > $o)))).
% 6.69/2.42  thf(c_2Einteger_2Eint__ABS_type, type, c_2Einteger_2Eint__ABS: ((tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) > tyop_2Einteger_2Eint)).
% 6.69/2.42  thf(c_2Einteger_2Eint__ABS__CLASS_type, type, c_2Einteger_2Eint__ABS__CLASS: (((tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) > $o) > tyop_2Einteger_2Eint)).
% 6.69/2.42  thf(c_2Einteger_2Eint__REP_type, type, c_2Einteger_2Eint__REP: (tyop_2Einteger_2Eint > (tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum))).
% 6.69/2.42  thf(c_2Einteger_2Eint__REP__CLASS_type, type, c_2Einteger_2Eint__REP__CLASS: (tyop_2Einteger_2Eint > ((tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) > $o))).
% 6.69/2.42  thf(c_2Einteger_2Etint__eq_type, type, c_2Einteger_2Etint__eq: ((tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) > ((tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) > $o))).
% 6.69/2.42  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:TA]: ((A @ B) => (A @ (c_2Emin_2E_40 @ TA @ A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ESELECT__AX)).
% 6.69/2.42  thf(10,plain,((! [TA: $tType]: (! [A:(TA > $o),B:TA]: ((A @ B) => (A @ (c_2Emin_2E_40 @ TA @ (A))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.69/2.42  thf(8,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > $o)),B:(TA > TB),C:(TB > TA)]: ((c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C) = (! [D:TB]: ((B @ (C @ D)) = D) & ! [D:TB]: (A @ (C @ D) @ (C @ D)) & ! [D:TA,E:TA]: ((A @ D @ E) = ((A @ D @ D) & (A @ E @ E) & ((B @ D) = (B @ E))))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Equotient_2EQUOTIENT__def)).
% 6.69/2.42  thf(37,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > $o)),B:(TA > TB),C:(TB > TA)]: ((c_2Equotient_2EQUOTIENT @ TA @ TB @ (A) @ (B) @ (C)) = (! [D:TB]: ((B @ (C @ D)) = D) & ! [D:TB]: (A @ (C @ D) @ (C @ D)) & ! [D:TA,E:TA]: ((A @ D @ E) = ((A @ D @ D) & (A @ E @ E) & ((B @ D) = (B @ E))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 6.69/2.42  thf(5,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),B:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)]: ((c_2Einteger_2Etint__eq @ A @ B) = ((c_2Einteger_2Etint__eq @ A) = (c_2Einteger_2Etint__eq @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2ETINT__EQ__EQUIV)).
% 6.69/2.42  thf(28,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),B:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)]: ((c_2Einteger_2Etint__eq @ A @ B) = ((c_2Einteger_2Etint__eq @ A) = (c_2Einteger_2Etint__eq @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.69/2.42  thf(1,conjecture,((c_2Equotient_2EQUOTIENT @ (tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) @ tyop_2Einteger_2Eint @ c_2Einteger_2Etint__eq @ c_2Einteger_2Eint__ABS @ c_2Einteger_2Eint__REP)),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2Eint__QUOTIENT)).
% 6.69/2.42  thf(2,negated_conjecture,((~ (c_2Equotient_2EQUOTIENT @ (tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) @ tyop_2Einteger_2Eint @ c_2Einteger_2Etint__eq @ c_2Einteger_2Eint__ABS @ c_2Einteger_2Eint__REP))),inference(neg_conjecture,[status(cth)],[1])).
% 6.69/2.42  thf(9,plain,((~ (c_2Equotient_2EQUOTIENT @ (tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) @ tyop_2Einteger_2Eint @ (c_2Einteger_2Etint__eq) @ (c_2Einteger_2Eint__ABS) @ (c_2Einteger_2Eint__REP)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.69/2.42  thf(7,axiom,((! [A:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__REP @ A) = (c_2Emin_2E_40 @ (tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) @ (c_2Einteger_2Eint__REP__CLASS @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2Eint__REP__def)).
% 6.69/2.42  thf(34,plain,((! [A:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__REP @ A) = (c_2Emin_2E_40 @ (tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) @ (c_2Einteger_2Eint__REP__CLASS @ A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 6.69/2.42  thf(4,axiom,((! [A:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__ABS__CLASS @ (c_2Einteger_2Eint__REP__CLASS @ A)) = A) & ! [A:((tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) > $o)]: ((? [B:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)]: ((c_2Einteger_2Etint__eq @ B @ B) & (A = (c_2Einteger_2Etint__eq @ B)))) = ((c_2Einteger_2Eint__REP__CLASS @ (c_2Einteger_2Eint__ABS__CLASS @ A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2Eint__ABS__REP__CLASS)).
% 6.69/2.42  thf(12,plain,((! [A:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__ABS__CLASS @ (c_2Einteger_2Eint__REP__CLASS @ A)) = A) & ! [A:((tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) > $o)]: ((? [B:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)]: ((c_2Einteger_2Etint__eq @ B @ B) & ((A) = (c_2Einteger_2Etint__eq @ B)))) = ((c_2Einteger_2Eint__REP__CLASS @ (c_2Einteger_2Eint__ABS__CLASS @ A)) = (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.69/2.42  thf(6,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)]: ((c_2Einteger_2Eint__ABS @ A) = (c_2Einteger_2Eint__ABS__CLASS @ (c_2Einteger_2Etint__eq @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2Eint__ABS__def)).
% 6.69/2.42  thf(31,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)]: ((c_2Einteger_2Eint__ABS @ A) = (c_2Einteger_2Eint__ABS__CLASS @ (c_2Einteger_2Etint__eq @ A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 6.69/2.42  thf(40,plain,($false),inference(e,[status(thm)],[10,37,28,9,34,12,31])).
% 6.69/2.42  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.69/2.42  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
