%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:39:45 EDT 2019

% Result     : Theorem 59.79s
% Output     : CNFRefutation 59.79s
% Verified   : 
% Statistics : Number of formulae       :   39 (  39 expanded)
%              Number of leaves         :   24 (  24 expanded)
%              Depth                    :    3
%              Number of atoms          :  306 ( 306 expanded)
%              Number of equality atoms :   25 (  25 expanded)
%              Maximal formula depth    :   15 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Einteger_2Eint_type,type,(
    tyop_2Einteger_2Eint: $tType )).

thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Equotient_2EQUOTIENT_type,type,(
    c_2Equotient_2EQUOTIENT: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TA > $o ) > ( TA > TB ) > ( TB > TA ) > $o ) )).

thf(c_2Einteger_2Eint__ABS_type,type,(
    c_2Einteger_2Eint__ABS: ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) > tyop_2Einteger_2Eint )).

thf(c_2Einteger_2Eint__REP_type,type,(
    c_2Einteger_2Eint__REP: tyop_2Einteger_2Eint > ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) )).

thf(c_2Einteger_2Eint__add_type,type,(
    c_2Einteger_2Eint__add: tyop_2Einteger_2Eint > tyop_2Einteger_2Eint > tyop_2Einteger_2Eint )).

thf(c_2Einteger_2Eint__neg_type,type,(
    c_2Einteger_2Eint__neg: tyop_2Einteger_2Eint > tyop_2Einteger_2Eint )).

thf(c_2Einteger_2Eint__sub_type,type,(
    c_2Einteger_2Eint__sub: tyop_2Einteger_2Eint > tyop_2Einteger_2Eint > tyop_2Einteger_2Eint )).

thf(c_2Einteger_2Etint__add_type,type,(
    c_2Einteger_2Etint__add: ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) > ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) > ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) )).

thf(c_2Einteger_2Etint__eq_type,type,(
    c_2Einteger_2Etint__eq: ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) > ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) > $o )).

thf(12,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__add @ A @ B )
      = ( c_2Einteger_2Eint__ABS @ ( c_2Einteger_2Etint__add @ ( c_2Einteger_2Eint__REP @ A ) @ ( c_2Einteger_2Eint__REP @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2Eint__add)).

thf(42,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__add @ A @ B )
      = ( c_2Einteger_2Eint__ABS @ ( c_2Einteger_2Etint__add @ ( c_2Einteger_2Eint__REP @ A ) @ ( c_2Einteger_2Eint__REP @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(5,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,B: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum] :
      ( ( c_2Einteger_2Etint__eq @ A @ B )
      = ( ( c_2Einteger_2Etint__eq @ A )
        = ( c_2Einteger_2Etint__eq @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2ETINT__EQ__EQUIV)).

thf(25,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,B: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum] :
      ( ( c_2Einteger_2Etint__eq @ A @ B )
      = ( ( c_2Einteger_2Etint__eq @ A )
        = ( c_2Einteger_2Etint__eq @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(6,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TA > $o,B: TA > TB,C: TB > TA] :
      ( ( c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C )
     => ! [D: TA,E: TA,F: TA,G: TA] :
          ( ( ( A @ D @ E )
            & ( A @ F @ G ) )
         => ( ( A @ D @ F )
            = ( A @ E @ G ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Equotient_2EEQUALS__RSP)).

thf(28,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TA > $o,B: TA > TB,C: TB > TA] :
      ( ( c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C )
     => ! [D: TA,E: TA,F: TA,G: TA] :
          ( ( ( A @ D @ E )
            & ( A @ F @ G ) )
         => ( ( A @ D @ F )
            = ( A @ E @ G ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(8,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,B: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum] :
      ( ( c_2Einteger_2Etint__add @ A @ B )
      = ( c_2Einteger_2Etint__add @ B @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2ETINT__ADD__SYM)).

thf(33,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,B: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum] :
      ( ( c_2Einteger_2Etint__add @ A @ B )
      = ( c_2Einteger_2Etint__add @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(11,axiom,(
    c_2Equotient_2EQUOTIENT @ ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ tyop_2Einteger_2Eint @ c_2Einteger_2Etint__eq @ c_2Einteger_2Eint__ABS @ c_2Einteger_2Eint__REP ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2Eint__QUOTIENT)).

thf(41,plain,(
    c_2Equotient_2EQUOTIENT @ ( tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ tyop_2Einteger_2Eint @ c_2Einteger_2Etint__eq @ c_2Einteger_2Eint__ABS @ c_2Einteger_2Eint__REP ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(13,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__add @ A @ B ) )
      = ( c_2Einteger_2Eint__add @ ( c_2Einteger_2Eint__neg @ A ) @ ( c_2Einteger_2Eint__neg @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2EINT__NEG__ADD)).

thf(45,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__add @ A @ B ) )
      = ( c_2Einteger_2Eint__add @ ( c_2Einteger_2Eint__neg @ A ) @ ( c_2Einteger_2Eint__neg @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TA > $o,B: TA > TB,C: TB > TA] :
      ( ( c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C )
     => ! [D: TB,E: TB] :
          ( ( D = E )
          = ( A @ ( C @ D ) @ ( C @ E ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Equotient_2EEQUALS__PRS)).

thf(22,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TA > $o,B: TA > TB,C: TB > TA] :
      ( ( c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C )
     => ! [D: TB,E: TB] :
          ( ( D = E )
          = ( A @ ( C @ D ) @ ( C @ E ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(10,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,B: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,C: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,D: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum] :
      ( ( ( c_2Einteger_2Etint__eq @ A @ B )
        & ( c_2Einteger_2Etint__eq @ C @ D ) )
     => ( c_2Einteger_2Etint__eq @ ( c_2Einteger_2Etint__add @ A @ C ) @ ( c_2Einteger_2Etint__add @ B @ D ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2ETINT__ADD__WELLDEF)).

thf(39,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,B: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,C: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,D: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum] :
      ( ( ( c_2Einteger_2Etint__eq @ A @ B )
        & ( c_2Einteger_2Etint__eq @ C @ D ) )
     => ( c_2Einteger_2Etint__eq @ ( c_2Einteger_2Etint__add @ A @ C ) @ ( c_2Einteger_2Etint__add @ B @ D ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(14,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__sub @ A @ B )
      = ( c_2Einteger_2Eint__add @ A @ ( c_2Einteger_2Eint__neg @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2Eint__sub)).

thf(48,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__sub @ A @ B )
      = ( c_2Einteger_2Eint__add @ A @ ( c_2Einteger_2Eint__neg @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(3,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,B: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum] :
      ( ( A = B )
     => ( c_2Einteger_2Etint__eq @ A @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2ETINT__EQ__AP)).

thf(18,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,B: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum] :
      ( ( A = B )
     => ( c_2Einteger_2Etint__eq @ A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(7,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TA > $o,B: TA > TB,C: TB > TA] :
      ( ( c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C )
     => ! [D: TA,E: TA] :
          ( ( A @ D @ E )
         => ( A @ D @ ( C @ ( B @ E ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Equotient_2EREP__ABS__RSP)).

thf(31,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TA > $o,B: TA > TB,C: TB > TA] :
      ( ( c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C )
     => ! [D: TA,E: TA] :
          ( ( A @ D @ E )
         => ( A @ D @ ( C @ ( B @ E ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(9,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,B: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,C: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum] :
      ( ( c_2Einteger_2Etint__add @ A @ ( c_2Einteger_2Etint__add @ B @ C ) )
      = ( c_2Einteger_2Etint__add @ ( c_2Einteger_2Etint__add @ A @ B ) @ C ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2ETINT__ADD__ASSOC)).

thf(36,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,B: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum,C: tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum] :
      ( ( c_2Einteger_2Etint__add @ A @ ( c_2Einteger_2Etint__add @ B @ C ) )
      = ( c_2Einteger_2Etint__add @ ( c_2Einteger_2Etint__add @ A @ B ) @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(1,conjecture,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint,C: tyop_2Einteger_2Eint,D: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__sub @ ( c_2Einteger_2Eint__add @ A @ B ) @ ( c_2Einteger_2Eint__add @ C @ D ) )
      = ( c_2Einteger_2Eint__add @ ( c_2Einteger_2Eint__sub @ A @ C ) @ ( c_2Einteger_2Eint__sub @ B @ D ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2EINT__ADD2__SUB2)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint,C: tyop_2Einteger_2Eint,D: tyop_2Einteger_2Eint] :
        ( ( c_2Einteger_2Eint__sub @ ( c_2Einteger_2Eint__add @ A @ B ) @ ( c_2Einteger_2Eint__add @ C @ D ) )
        = ( c_2Einteger_2Eint__add @ ( c_2Einteger_2Eint__sub @ A @ C ) @ ( c_2Einteger_2Eint__sub @ B @ D ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(15,plain,(
    ~ ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint,C: tyop_2Einteger_2Eint,D: tyop_2Einteger_2Eint] :
        ( ( c_2Einteger_2Eint__sub @ ( c_2Einteger_2Eint__add @ A @ B ) @ ( c_2Einteger_2Eint__add @ C @ D ) )
        = ( c_2Einteger_2Eint__add @ ( c_2Einteger_2Eint__sub @ A @ C ) @ ( c_2Einteger_2Eint__sub @ B @ D ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(4603,plain,(
    $false ),
    inference(e,[status(thm)],[42,25,28,33,41,45,22,39,48,18,31,36,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.03/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.13  % CPULimit   : 300
% 0.03/0.13  % DateTime   : Wed Jul 31 01:34:46 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 3.50/1.37  % [INFO] 	 Running in sequential loop mode. 
% 4.18/1.54  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.51/1.64  % [INFO] 	 iprover registered as external prover. 
% 4.51/1.64  % [INFO] 	 e registered as external prover. 
% 4.51/1.64  % [INFO] 	 cvc4 registered as external prover. 
% 4.51/1.65  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.65/1.76  % [INFO] 	 Found a conjecture and 34 axioms. Running axiom selection ... 
% 4.84/1.81  % [INFO] 	 Axiom selection finished. Selected 12 axioms (removed 22 axioms). 
% 5.00/1.85  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 59.79/11.61  % [INFO] 	 Killing All external provers ... 
% 59.79/11.62  % Time passed: 11342ms
% 59.79/11.62  % Effective reasoning time: 10245ms
% 59.79/11.62  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 59.79/11.62  % Axioms used in derivation (12): thm_2Einteger_2Eint__sub, thm_2Einteger_2ETINT__ADD__SYM, thm_2Einteger_2Eint__QUOTIENT, thm_2Equotient_2EEQUALS__RSP, thm_2Equotient_2EREP__ABS__RSP, thm_2Einteger_2ETINT__ADD__WELLDEF, thm_2Einteger_2ETINT__ADD__ASSOC, thm_2Einteger_2EINT__NEG__ADD, thm_2Einteger_2ETINT__EQ__EQUIV, thm_2Einteger_2Eint__add, thm_2Equotient_2EEQUALS__PRS, thm_2Einteger_2ETINT__EQ__AP
% 59.79/11.62  % No. of inferences in proof: 28
% 59.79/11.62  % No. of processed clauses: 43
% 59.79/11.62  % No. of generated clauses: 1617
% 59.79/11.62  % No. of forward subsumed clauses: 23
% 59.79/11.62  % No. of backward subsumed clauses: 0
% 59.79/11.62  % No. of ground rewrite rules in store: 1
% 59.79/11.62  % No. of non-ground rewrite rules in store: 5
% 59.79/11.62  % No. of positive (non-rewrite) units in store: 11
% 59.79/11.62  % No. of negative (non-rewrite) units in store: 4
% 59.79/11.62  % No. of choice functions detected: 0
% 59.79/11.62  % No. of choice instantiations: 0
% 59.79/11.63  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 11342 ms resp. 10245 ms w/o parsing
% 59.79/11.66  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 59.79/11.66  thf(tyop_2Einteger_2Eint_type, type, tyop_2Einteger_2Eint: $tType).
% 59.79/11.66  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 59.79/11.66  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 59.79/11.66  thf(c_2Equotient_2EQUOTIENT_type, type, c_2Equotient_2EQUOTIENT: !>[TA: $tType,TB: $tType]: ((TA > (TA > $o)) > ((TA > TB) > ((TB > TA) > $o)))).
% 59.79/11.66  thf(c_2Einteger_2Eint__ABS_type, type, c_2Einteger_2Eint__ABS: ((tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) > tyop_2Einteger_2Eint)).
% 59.79/11.66  thf(c_2Einteger_2Eint__REP_type, type, c_2Einteger_2Eint__REP: (tyop_2Einteger_2Eint > (tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum))).
% 59.79/11.66  thf(c_2Einteger_2Eint__add_type, type, c_2Einteger_2Eint__add: (tyop_2Einteger_2Eint > (tyop_2Einteger_2Eint > tyop_2Einteger_2Eint))).
% 59.79/11.66  thf(c_2Einteger_2Eint__neg_type, type, c_2Einteger_2Eint__neg: (tyop_2Einteger_2Eint > tyop_2Einteger_2Eint)).
% 59.79/11.66  thf(c_2Einteger_2Eint__sub_type, type, c_2Einteger_2Eint__sub: (tyop_2Einteger_2Eint > (tyop_2Einteger_2Eint > tyop_2Einteger_2Eint))).
% 59.79/11.66  thf(c_2Einteger_2Etint__add_type, type, c_2Einteger_2Etint__add: ((tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) > ((tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) > (tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)))).
% 59.79/11.66  thf(c_2Einteger_2Etint__eq_type, type, c_2Einteger_2Etint__eq: ((tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) > ((tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) > $o))).
% 59.79/11.66  thf(12,axiom,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__add @ A @ B) = (c_2Einteger_2Eint__ABS @ (c_2Einteger_2Etint__add @ (c_2Einteger_2Eint__REP @ A) @ (c_2Einteger_2Eint__REP @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2Eint__add)).
% 59.79/11.66  thf(42,plain,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__add @ A @ B) = (c_2Einteger_2Eint__ABS @ (c_2Einteger_2Etint__add @ (c_2Einteger_2Eint__REP @ A) @ (c_2Einteger_2Eint__REP @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 59.79/11.66  thf(5,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),B:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)]: ((c_2Einteger_2Etint__eq @ A @ B) = ((c_2Einteger_2Etint__eq @ A) = (c_2Einteger_2Etint__eq @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2ETINT__EQ__EQUIV)).
% 59.79/11.66  thf(25,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),B:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)]: ((c_2Einteger_2Etint__eq @ A @ B) = ((c_2Einteger_2Etint__eq @ A) = (c_2Einteger_2Etint__eq @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 59.79/11.66  thf(6,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > $o)),B:(TA > TB),C:(TB > TA)]: ((c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C) => (! [D:TA,E:TA,F:TA,G:TA]: (((A @ D @ E) & (A @ F @ G)) => ((A @ D @ F) = (A @ E @ G)))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Equotient_2EEQUALS__RSP)).
% 59.79/11.66  thf(28,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > $o)),B:(TA > TB),C:(TB > TA)]: ((c_2Equotient_2EQUOTIENT @ TA @ TB @ (A) @ (B) @ (C)) => (! [D:TA,E:TA,F:TA,G:TA]: (((A @ D @ E) & (A @ F @ G)) => ((A @ D @ F) = (A @ E @ G)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 59.79/11.66  thf(8,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),B:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)]: ((c_2Einteger_2Etint__add @ A @ B) = (c_2Einteger_2Etint__add @ B @ A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2ETINT__ADD__SYM)).
% 59.79/11.66  thf(33,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),B:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)]: ((c_2Einteger_2Etint__add @ A @ B) = (c_2Einteger_2Etint__add @ B @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 59.79/11.66  thf(11,axiom,((c_2Equotient_2EQUOTIENT @ (tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) @ tyop_2Einteger_2Eint @ c_2Einteger_2Etint__eq @ c_2Einteger_2Eint__ABS @ c_2Einteger_2Eint__REP)),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2Eint__QUOTIENT)).
% 59.79/11.66  thf(41,plain,((c_2Equotient_2EQUOTIENT @ (tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum) @ tyop_2Einteger_2Eint @ (c_2Einteger_2Etint__eq) @ (c_2Einteger_2Eint__ABS) @ (c_2Einteger_2Eint__REP))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 59.79/11.66  thf(13,axiom,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__add @ A @ B)) = (c_2Einteger_2Eint__add @ (c_2Einteger_2Eint__neg @ A) @ (c_2Einteger_2Eint__neg @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2EINT__NEG__ADD)).
% 59.79/11.66  thf(45,plain,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__add @ A @ B)) = (c_2Einteger_2Eint__add @ (c_2Einteger_2Eint__neg @ A) @ (c_2Einteger_2Eint__neg @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 59.79/11.66  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > $o)),B:(TA > TB),C:(TB > TA)]: ((c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C) => (! [D:TB,E:TB]: ((D = E) = (A @ (C @ D) @ (C @ E)))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Equotient_2EEQUALS__PRS)).
% 59.79/11.66  thf(22,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > $o)),B:(TA > TB),C:(TB > TA)]: ((c_2Equotient_2EQUOTIENT @ TA @ TB @ (A) @ (B) @ (C)) => (! [D:TB,E:TB]: ((D = E) = (A @ (C @ D) @ (C @ E)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 59.79/11.66  thf(10,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),B:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),C:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),D:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)]: (((c_2Einteger_2Etint__eq @ A @ B) & (c_2Einteger_2Etint__eq @ C @ D)) => (c_2Einteger_2Etint__eq @ (c_2Einteger_2Etint__add @ A @ C) @ (c_2Einteger_2Etint__add @ B @ D))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2ETINT__ADD__WELLDEF)).
% 59.79/11.66  thf(39,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),B:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),C:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),D:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)]: (((c_2Einteger_2Etint__eq @ A @ B) & (c_2Einteger_2Etint__eq @ C @ D)) => (c_2Einteger_2Etint__eq @ (c_2Einteger_2Etint__add @ A @ C) @ (c_2Einteger_2Etint__add @ B @ D))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 59.79/11.66  thf(14,axiom,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__sub @ A @ B) = (c_2Einteger_2Eint__add @ A @ (c_2Einteger_2Eint__neg @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2Eint__sub)).
% 59.79/11.66  thf(48,plain,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__sub @ A @ B) = (c_2Einteger_2Eint__add @ A @ (c_2Einteger_2Eint__neg @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 59.79/11.66  thf(3,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),B:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)]: ((A = B) => (c_2Einteger_2Etint__eq @ A @ B)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2ETINT__EQ__AP)).
% 59.79/11.66  thf(18,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),B:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)]: ((A = B) => (c_2Einteger_2Etint__eq @ A @ B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 59.79/11.66  thf(7,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > $o)),B:(TA > TB),C:(TB > TA)]: ((c_2Equotient_2EQUOTIENT @ TA @ TB @ A @ B @ C) => (! [D:TA,E:TA]: ((A @ D @ E) => (A @ D @ (C @ (B @ E))))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Equotient_2EREP__ABS__RSP)).
% 59.79/11.66  thf(31,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > $o)),B:(TA > TB),C:(TB > TA)]: ((c_2Equotient_2EQUOTIENT @ TA @ TB @ (A) @ (B) @ (C)) => (! [D:TA,E:TA]: ((A @ D @ E) => (A @ D @ (C @ (B @ E))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 59.79/11.66  thf(9,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),B:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),C:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)]: ((c_2Einteger_2Etint__add @ A @ (c_2Einteger_2Etint__add @ B @ C)) = (c_2Einteger_2Etint__add @ (c_2Einteger_2Etint__add @ A @ B) @ C)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2ETINT__ADD__ASSOC)).
% 59.79/11.66  thf(36,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),B:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum),C:(tyop_2Epair_2Eprod @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum)]: ((c_2Einteger_2Etint__add @ A @ (c_2Einteger_2Etint__add @ B @ C)) = (c_2Einteger_2Etint__add @ (c_2Einteger_2Etint__add @ A @ B) @ C)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 59.79/11.66  thf(1,conjecture,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint,C:tyop_2Einteger_2Eint,D:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__sub @ (c_2Einteger_2Eint__add @ A @ B) @ (c_2Einteger_2Eint__add @ C @ D)) = (c_2Einteger_2Eint__add @ (c_2Einteger_2Eint__sub @ A @ C) @ (c_2Einteger_2Eint__sub @ B @ D))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2EINT__ADD2__SUB2)).
% 59.79/11.66  thf(2,negated_conjecture,((~ (! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint,C:tyop_2Einteger_2Eint,D:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__sub @ (c_2Einteger_2Eint__add @ A @ B) @ (c_2Einteger_2Eint__add @ C @ D)) = (c_2Einteger_2Eint__add @ (c_2Einteger_2Eint__sub @ A @ C) @ (c_2Einteger_2Eint__sub @ B @ D)))))),inference(neg_conjecture,[status(cth)],[1])).
% 59.79/11.66  thf(15,plain,((~ (! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint,C:tyop_2Einteger_2Eint,D:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__sub @ (c_2Einteger_2Eint__add @ A @ B) @ (c_2Einteger_2Eint__add @ C @ D)) = (c_2Einteger_2Eint__add @ (c_2Einteger_2Eint__sub @ A @ C) @ (c_2Einteger_2Eint__sub @ B @ D)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 59.79/11.66  thf(4603,plain,($false),inference(e,[status(thm)],[42,25,28,33,41,45,22,39,48,18,31,36,15])).
% 59.79/11.66  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 59.79/11.66  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
