%------------------------------------------------------------------------------
thf(del_type,type,(
    del: $tType )).

thf(bool_type,type,(
    bool: del )).

thf(arr_type,type,(
    arr: del > del > del )).

thf(mem_type,type,(
    mem: $i > del > $o )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(k_type,type,(
    k: del > $i > $i )).

thf(i_type,type,(
    i: del > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(tp__o_type,type,(
    tp__o: $tType )).

thf(inj__o_type,type,(
    inj__o: tp__o > $i )).

thf(surj__o_type,type,(
    surj__o: $i > tp__o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: del > $i )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $i )).

thf(fo__c_2Emin_2E_3D_3D_3E_type,type,(
    fo__c_2Emin_2E_3D_3D_3E: tp__o > tp__o > tp__o )).

thf(c_2Emin_2E_40_type,type,(
    c_2Emin_2E_40: del > $i )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: del > $i )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $i )).

thf(fo__c_2Ebool_2E_2F_5C_type,type,(
    fo__c_2Ebool_2E_2F_5C: tp__o > tp__o > tp__o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: del > $i )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $i )).

thf(fo__c_2Ebool_2EF_type,type,(
    fo__c_2Ebool_2EF: tp__o )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: del > $i )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $i )).

thf(fo__c_2Ebool_2ET_type,type,(
    fo__c_2Ebool_2ET: tp__o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $i )).

thf(fo__c_2Ebool_2E_5C_2F_type,type,(
    fo__c_2Ebool_2E_5C_2F: tp__o > tp__o > tp__o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $i )).

thf(fo__c_2Ebool_2E_7E_type,type,(
    fo__c_2Ebool_2E_7E: tp__o > tp__o )).

thf(f2_type,type,(
    f2: del > $i )).

thf(ty_2Enum_2Enum_type,type,(
    ty_2Enum_2Enum: del )).

thf(tp__ty_2Enum_2Enum_type,type,(
    tp__ty_2Enum_2Enum: $tType )).

thf(inj__ty_2Enum_2Enum_type,type,(
    inj__ty_2Enum_2Enum: tp__ty_2Enum_2Enum > $i )).

thf(surj__ty_2Enum_2Enum_type,type,(
    surj__ty_2Enum_2Enum: $i > tp__ty_2Enum_2Enum )).

thf(ty_2Esum_2Esum_type,type,(
    ty_2Esum_2Esum: del > del > del )).

thf(c_2Epred__set_2EUNIV_type,type,(
    c_2Epred__set_2EUNIV: del > $i )).

thf(c_2Epred__set_2Ecountable_type,type,(
    c_2Epred__set_2Ecountable: del > $i )).

thf(c_2Ecardinal_2Ecardleq_type,type,(
    c_2Ecardinal_2Ecardleq: del > del > $i )).

thf(ty_2Eordinal_2Eordinal_type,type,(
    ty_2Eordinal_2Eordinal: del > del )).

thf(c_2Eordinal_2Eordlt_type,type,(
    c_2Eordinal_2Eordlt: del > $i )).

thf(c_2Eordinal_2Esup_type,type,(
    c_2Eordinal_2Esup: del > $i )).

thf(13,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( mem @ ( inj__ty_2Enum_2Enum @ A ) @ ty_2Enum_2Enum ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_mem_ty_2Enum_2Enum)).

thf(138,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( mem @ ( inj__ty_2Enum_2Enum @ A ) @ ty_2Enum_2Enum ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(3,axiom,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_surj_o)).

thf(88,plain,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(38,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',funcext)).

thf(269,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(16,axiom,(
    ! [A: tp__o] :
      ( ( ( $true
        <=> ( p @ ( inj__o @ A ) ) )
      <=> ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
        <=> $true )
      <=> ( p @ ( inj__o @ A ) ) )
      & ( ( $false
        <=> ( p @ ( inj__o @ A ) ) )
      <=> ~ ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
        <=> $false )
      <=> ~ ( p @ ( inj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEQ__CLAUSES)).

thf(142,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(19,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( ( p @ ( ap @ c_2Ebool_2E_7E @ A ) )
      <=> ~ ( p @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_neg_p)).

thf(153,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( ( ( p @ ( ap @ c_2Ebool_2E_7E @ A ) )
         => ~ ( p @ A ) )
        & ( ~ ( p @ A )
         => ( p @ ( ap @ c_2Ebool_2E_7E @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(50,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(320,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[50])).

thf(52,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ B @ C ) )
           => ( p @ ( ap @ B @ ( ap @ ( c_2Emin_2E_40 @ A ) @ B ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_thm_2Ebool_2ESELECT__AX)).

thf(372,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ B @ C ) )
           => ( p @ ( ap @ B @ ( ap @ ( c_2Emin_2E_40 @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[52])).

thf(44,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
        | ( ( p @ ( inj__o @ B ) )
          & ( p @ ( inj__o @ C ) ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ELEFT__OR__OVER__AND)).

thf(284,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( ( p @ ( inj__o @ A ) )
          | ( ( p @ ( inj__o @ B ) )
            & ( p @ ( inj__o @ C ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ C ) ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ C ) ) ) )
       => ( ( p @ ( inj__o @ A ) )
          | ( ( p @ ( inj__o @ B ) )
            & ( p @ ( inj__o @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).

thf(18,axiom,(
    ! [A: tp__o] :
      ( ( ~ ( p @ ( inj__o @ A ) )
       => $false )
     => ( ( ( p @ ( inj__o @ A ) )
         => $false )
       => $false ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EAND__INV2)).

thf(152,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(48,axiom,(
    ! [A: tp__o] :
      ( ( p @ ( inj__o @ A ) )
     => ( ~ ( p @ ( inj__o @ A ) )
       => $false ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EAND__INV__IMP)).

thf(316,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[48])).

thf(1,conjecture,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ ( ty_2Eordinal_2Eordinal @ A ) @ bool ) )
     => ( ( p @ ( ap @ ( c_2Epred__set_2Ecountable @ ( ty_2Eordinal_2Eordinal @ A ) ) @ B ) )
       => ! [C: $i] :
            ( ( mem @ C @ ( ty_2Eordinal_2Eordinal @ A ) )
           => ( ( p @ ( ap @ ( ap @ ( c_2Eordinal_2Eordlt @ A ) @ C ) @ ( ap @ ( c_2Eordinal_2Esup @ A ) @ B ) ) )
            <=> ? [D: $i] :
                  ( ( mem @ D @ ( ty_2Eordinal_2Eordinal @ A ) )
                  & ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ( ty_2Eordinal_2Eordinal @ A ) ) @ D ) @ B ) )
                  & ( p @ ( ap @ ( ap @ ( c_2Eordinal_2Eordlt @ A ) @ C ) @ D ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Eordinal_2Ecsup__thm)).

thf(2,negated_conjecture,(
    ~ ! [A: del,B: $i] :
        ( ( mem @ B @ ( arr @ ( ty_2Eordinal_2Eordinal @ A ) @ bool ) )
       => ( ( p @ ( ap @ ( c_2Epred__set_2Ecountable @ ( ty_2Eordinal_2Eordinal @ A ) ) @ B ) )
         => ! [C: $i] :
              ( ( mem @ C @ ( ty_2Eordinal_2Eordinal @ A ) )
             => ( ( p @ ( ap @ ( ap @ ( c_2Eordinal_2Eordlt @ A ) @ C ) @ ( ap @ ( c_2Eordinal_2Esup @ A ) @ B ) ) )
              <=> ? [D: $i] :
                    ( ( mem @ D @ ( ty_2Eordinal_2Eordinal @ A ) )
                    & ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ( ty_2Eordinal_2Eordinal @ A ) ) @ D ) @ B ) )
                    & ( p @ ( ap @ ( ap @ ( c_2Eordinal_2Eordlt @ A ) @ C ) @ D ) ) ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(78,plain,(
    ~ ! [A: del,B: $i] :
        ( ( mem @ B @ ( arr @ ( ty_2Eordinal_2Eordinal @ A ) @ bool ) )
       => ( ( p @ ( ap @ ( c_2Epred__set_2Ecountable @ ( ty_2Eordinal_2Eordinal @ A ) ) @ B ) )
         => ! [C: $i] :
              ( ( mem @ C @ ( ty_2Eordinal_2Eordinal @ A ) )
             => ( ( ( p @ ( ap @ ( ap @ ( c_2Eordinal_2Eordlt @ A ) @ C ) @ ( ap @ ( c_2Eordinal_2Esup @ A ) @ B ) ) )
                 => ? [D: $i] :
                      ( ( mem @ D @ ( ty_2Eordinal_2Eordinal @ A ) )
                      & ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ( ty_2Eordinal_2Eordinal @ A ) ) @ D ) @ B ) )
                      & ( p @ ( ap @ ( ap @ ( c_2Eordinal_2Eordlt @ A ) @ C ) @ D ) ) ) )
                & ( ? [D: $i] :
                      ( ( mem @ D @ ( ty_2Eordinal_2Eordinal @ A ) )
                      & ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ( ty_2Eordinal_2Eordinal @ A ) ) @ D ) @ B ) )
                      & ( p @ ( ap @ ( ap @ ( c_2Eordinal_2Eordlt @ A ) @ C ) @ D ) ) )
                 => ( p @ ( ap @ ( ap @ ( c_2Eordinal_2Eordlt @ A ) @ C ) @ ( ap @ ( c_2Eordinal_2Esup @ A ) @ B ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(11,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Epred__set_2Ecountable @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Epred__set_2Ecountable)).

thf(106,plain,(
    ! [A: del] :
      ( mem @ ( c_2Epred__set_2Ecountable @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(74,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(480,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[74])).

thf(42,axiom,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_mem_o)).

thf(280,plain,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).

thf(55,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o,D: tp__o] :
      ( ( ( ( p @ ( inj__o @ A ) )
        <=> ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ B ) )
         => ( ( p @ ( inj__o @ C ) )
          <=> ( p @ ( inj__o @ D ) ) ) ) )
     => ( ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ C ) ) )
      <=> ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ D ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__CONG)).

thf(396,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o,D: tp__o] :
      ( ( ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ B ) )
         => ( ( ( p @ ( inj__o @ C ) )
             => ( p @ ( inj__o @ D ) ) )
            & ( ( p @ ( inj__o @ D ) )
             => ( p @ ( inj__o @ C ) ) ) ) ) )
     => ( ( ( ( p @ ( inj__o @ A ) )
           => ( p @ ( inj__o @ C ) ) )
         => ( ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ D ) ) ) )
        & ( ( ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ D ) ) )
         => ( ( p @ ( inj__o @ A ) )
           => ( p @ ( inj__o @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[55])).

thf(30,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( ~ ( ~ ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
       => $false )
    <=> ( ( p @ ( inj__o @ A ) )
       => ( ~ ( p @ ( inj__o @ B ) )
         => $false ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EOR__DUAL3)).

thf(233,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( ~ ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
       => ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
       => ( ~ ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(34,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_40 @ A ) @ ( arr @ ( arr @ A @ bool ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_40)).

thf(248,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_40 @ A ) @ ( arr @ ( arr @ A @ bool ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(76,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ A )
            <=> ( p @ B ) )
           => ( A = B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',boolext)).

thf(512,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( ( p @ A )
               => ( p @ B ) )
              & ( ( p @ B )
               => ( p @ A ) ) )
           => ( A = B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[76])).

thf(9,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2EIN @ A ) @ ( arr @ A @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2EIN)).

thf(102,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2EIN @ A ) @ ( arr @ A @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(71,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
      <=> ! [C: $i] :
            ( ( mem @ C @ A )
           => ( p @ ( ap @ B @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_all_p)).

thf(467,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
         => ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) )
        & ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) )
         => ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[71])).

thf(27,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ap_tp)).

thf(229,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(7,axiom,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2ET)).

thf(97,plain,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(49,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Enum_2Enum )
     => ( A
        = ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_iso_mem_ty_2Enum_2Enum)).

thf(317,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Enum_2Enum )
     => ( A
        = ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[49])).

thf(20,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Emin_2E_3D_3D_3E)).

thf(156,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(15,axiom,(
    ! [A: del] :
      ( p @ ( ap @ ( ap @ ( c_2Ecardinal_2Ecardleq @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) @ ( c_2Epred__set_2EUNIV @ ty_2Enum_2Enum ) ) @ ( c_2Epred__set_2EUNIV @ ( ty_2Esum_2Esum @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Eordinal_2EUnum__cle__Uinf)).

thf(141,plain,(
    p @ ( ap @ ( ap @ ( c_2Ecardinal_2Ecardleq @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) @ ( c_2Epred__set_2EUNIV @ ty_2Enum_2Enum ) ) @ ( c_2Epred__set_2EUNIV @ ( ty_2Esum_2Esum @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(72,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( B = C )
          <=> ( C = B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEQ__SYM__EQ)).

thf(471,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( ( B = C )
             => ( C = B ) )
            & ( ( C = B )
             => ( B = C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[72])).

thf(24,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
      <=> ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ C ) ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__imp)).

thf(193,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
             => ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
             => ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
             => ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
             => ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(54,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_2F_5C)).

thf(393,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[54])).

thf(32,axiom,(
    ~ ( p @ c_2Ebool_2EF ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_false_p)).

thf(244,plain,(
    ~ ( p @ c_2Ebool_2EF ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(47,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ ( ty_2Eordinal_2Eordinal @ A ) @ bool ) )
     => ( ( p @ ( ap @ ( ap @ ( c_2Ecardinal_2Ecardleq @ ( ty_2Eordinal_2Eordinal @ A ) @ ( ty_2Eordinal_2Eordinal @ A ) ) @ B ) @ ( c_2Epred__set_2EUNIV @ ( ty_2Esum_2Esum @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ) ) )
       => ! [C: $i] :
            ( ( mem @ C @ ( ty_2Eordinal_2Eordinal @ A ) )
           => ( ( p @ ( ap @ ( ap @ ( c_2Eordinal_2Eordlt @ A ) @ C ) @ ( ap @ ( c_2Eordinal_2Esup @ A ) @ B ) ) )
            <=> ? [D: $i] :
                  ( ( mem @ D @ ( ty_2Eordinal_2Eordinal @ A ) )
                  & ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ( ty_2Eordinal_2Eordinal @ A ) ) @ D ) @ B ) )
                  & ( p @ ( ap @ ( ap @ ( c_2Eordinal_2Eordlt @ A ) @ C ) @ D ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Eordinal_2Esup__thm)).

thf(311,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ ( ty_2Eordinal_2Eordinal @ A ) @ bool ) )
     => ( ( p @ ( ap @ ( ap @ ( c_2Ecardinal_2Ecardleq @ ( ty_2Eordinal_2Eordinal @ A ) @ ( ty_2Eordinal_2Eordinal @ A ) ) @ B ) @ ( c_2Epred__set_2EUNIV @ ( ty_2Esum_2Esum @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ) ) )
       => ! [C: $i] :
            ( ( mem @ C @ ( ty_2Eordinal_2Eordinal @ A ) )
           => ( ( ( p @ ( ap @ ( ap @ ( c_2Eordinal_2Eordlt @ A ) @ C ) @ ( ap @ ( c_2Eordinal_2Esup @ A ) @ B ) ) )
               => ? [D: $i] :
                    ( ( mem @ D @ ( ty_2Eordinal_2Eordinal @ A ) )
                    & ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ( ty_2Eordinal_2Eordinal @ A ) ) @ D ) @ B ) )
                    & ( p @ ( ap @ ( ap @ ( c_2Eordinal_2Eordlt @ A ) @ C ) @ D ) ) ) )
              & ( ? [D: $i] :
                    ( ( mem @ D @ ( ty_2Eordinal_2Eordinal @ A ) )
                    & ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ( ty_2Eordinal_2Eordinal @ A ) ) @ D ) @ B ) )
                    & ( p @ ( ap @ ( ap @ ( c_2Eordinal_2Eordlt @ A ) @ C ) @ D ) ) )
               => ( p @ ( ap @ ( ap @ ( c_2Eordinal_2Eordlt @ A ) @ C ) @ ( ap @ ( c_2Eordinal_2Esup @ A ) @ B ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[47])).

thf(62,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( ~ ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
       => $false )
    <=> ( ( ( p @ ( inj__o @ A ) )
         => $false )
       => ( ~ ( p @ ( inj__o @ B ) )
         => $false ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EOR__DUAL2)).

thf(425,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
       => ( ~ ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) ) )
      & ( ( ~ ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
       => ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[62])).

thf(36,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
     => ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Epth__ni1)).

thf(264,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
     => ( p @ ( inj__o @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(67,axiom,(
    ! [A: del,B: tp__o,C: $i] :
      ( ( mem @ C @ ( arr @ A @ bool ) )
     => ( ! [D: $i] :
            ( ( mem @ D @ A )
           => ( ( p @ ( inj__o @ B ) )
              | ( p @ ( ap @ C @ D ) ) ) )
      <=> ( ( p @ ( inj__o @ B ) )
          | ! [D: $i] :
              ( ( mem @ D @ A )
             => ( p @ ( ap @ C @ D ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ERIGHT__FORALL__OR__THM)).

thf(444,plain,(
    ! [A: del,B: tp__o,C: $i] :
      ( ( mem @ C @ ( arr @ A @ bool ) )
     => ( ( ! [D: $i] :
              ( ( mem @ D @ A )
             => ( ( p @ ( inj__o @ B ) )
                | ( p @ ( ap @ C @ D ) ) ) )
         => ( ( p @ ( inj__o @ B ) )
            | ! [D: $i] :
                ( ( mem @ D @ A )
               => ( p @ ( ap @ C @ D ) ) ) ) )
        & ( ( ( p @ ( inj__o @ B ) )
            | ! [D: $i] :
                ( ( mem @ D @ A )
               => ( p @ ( ap @ C @ D ) ) ) )
         => ! [D: $i] :
              ( ( mem @ D @ A )
             => ( ( p @ ( inj__o @ B ) )
                | ( p @ ( ap @ C @ D ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[67])).

thf(70,axiom,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_5C_2F)).

thf(466,plain,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[70])).

thf(21,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ B ) )
      <=> ? [C: $i] :
            ( ( mem @ C @ A )
            & ( p @ ( ap @ B @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_ex_p)).

thf(159,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ B ) )
         => ? [C: $i] :
              ( ( mem @ C @ A )
              & ( p @ ( ap @ B @ C ) ) ) )
        & ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ( p @ ( ap @ B @ C ) ) )
         => ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(39,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Epred__set_2Ecountable @ A ) @ B ) )
      <=> ( p @ ( ap @ ( ap @ ( c_2Ecardinal_2Ecardleq @ A @ A ) @ B ) @ ( c_2Epred__set_2EUNIV @ ty_2Enum_2Enum ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ecardinal_2Ecountable__thm)).

thf(274,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ( p @ ( ap @ ( c_2Epred__set_2Ecountable @ A ) @ B ) )
         => ( p @ ( ap @ ( ap @ ( c_2Ecardinal_2Ecardleq @ A @ A ) @ B ) @ ( c_2Epred__set_2EUNIV @ ty_2Enum_2Enum ) ) ) )
        & ( ( p @ ( ap @ ( ap @ ( c_2Ecardinal_2Ecardleq @ A @ A ) @ B ) @ ( c_2Epred__set_2EUNIV @ ty_2Enum_2Enum ) ) )
         => ( p @ ( ap @ ( c_2Epred__set_2Ecountable @ A ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).

thf(60,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ap @ ( f2 @ A ) @ B )
        = ( ap @ B @ ( ap @ ( c_2Emin_2E_40 @ A ) @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',lameq_f2)).

thf(419,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ap @ ( f2 @ A ) @ B )
        = ( ap @ B @ ( ap @ ( c_2Emin_2E_40 @ A ) @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[60])).

thf(64,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ A ) @ B ) )
          <=> ( ( p @ A )
              | ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_or_p)).

thf(434,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ A ) @ B ) )
             => ( ( p @ A )
                | ( p @ B ) ) )
            & ( ( ( p @ A )
                | ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[64])).

thf(45,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Epred__set_2EUNIV @ A ) @ ( arr @ A @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Epred__set_2EUNIV)).

thf(303,plain,(
    ! [A: del] :
      ( mem @ ( c_2Epred__set_2EUNIV @ A ) @ ( arr @ A @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[45])).

thf(14,axiom,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D_3D_3E)).

thf(140,plain,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(4,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( surj__ty_2Enum_2Enum @ ( inj__ty_2Enum_2Enum @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_surj_ty_2Enum_2Enum)).

thf(91,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( surj__ty_2Enum_2Enum @ ( inj__ty_2Enum_2Enum @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(12,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
      <=> ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__disj)).

thf(108,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
              | ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
              | ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
              | ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
              | ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(77,axiom,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_2F_5C)).

thf(521,plain,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[77])).

thf(41,axiom,(
    ! [A: del,B: del,C: del,D: $i] :
      ( ( mem @ D @ ( arr @ A @ bool ) )
     => ! [E: $i] :
          ( ( mem @ E @ ( arr @ B @ bool ) )
         => ! [F: $i] :
              ( ( mem @ F @ ( arr @ C @ bool ) )
             => ( ( ( p @ ( ap @ ( ap @ ( c_2Ecardinal_2Ecardleq @ A @ A ) @ D ) @ E ) )
                  & ( p @ ( ap @ ( ap @ ( c_2Ecardinal_2Ecardleq @ B @ B ) @ E ) @ F ) ) )
               => ( p @ ( ap @ ( ap @ ( c_2Ecardinal_2Ecardleq @ A @ A ) @ D ) @ F ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ecardinal_2Ecardleq__TRANS)).

thf(278,plain,(
    ! [A: del,B: del,C: del,D: $i] :
      ( ( mem @ D @ ( arr @ A @ bool ) )
     => ! [E: $i] :
          ( ( mem @ E @ ( arr @ B @ bool ) )
         => ! [F: $i] :
              ( ( mem @ F @ ( arr @ C @ bool ) )
             => ( ( ( p @ ( ap @ ( ap @ ( c_2Ecardinal_2Ecardleq @ A @ A ) @ D ) @ E ) )
                  & ( p @ ( ap @ ( ap @ ( c_2Ecardinal_2Ecardleq @ B @ B ) @ E ) @ F ) ) )
               => ( p @ ( ap @ ( ap @ ( c_2Ecardinal_2Ecardleq @ A @ A ) @ D ) @ F ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).

thf(69,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ C ) ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          & ( p @ ( inj__o @ B ) ) )
       => ( p @ ( inj__o @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EAND__IMP__INTRO)).

thf(455,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( ( p @ ( inj__o @ A ) )
         => ( ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ C ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            & ( p @ ( inj__o @ B ) ) )
         => ( p @ ( inj__o @ C ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            & ( p @ ( inj__o @ B ) ) )
         => ( p @ ( inj__o @ C ) ) )
       => ( ( p @ ( inj__o @ A ) )
         => ( ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[69])).

thf(25,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
          <=> ( ( p @ A )
              & ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_and_p)).

thf(223,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
             => ( ( p @ A )
                & ( p @ B ) ) )
            & ( ( ( p @ A )
                & ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(37,axiom,(
    ! [A: del] :
      ( mem @ ( f2 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',lamtp_f2)).

thf(267,plain,(
    ! [A: del] :
      ( mem @ ( f2 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(65,axiom,(
    ! [A: del,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',kbeta)).

thf(438,plain,(
    ! [A: del,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[65])).

thf(31,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_5C_2F @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_5C_2F)).

thf(241,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_5C_2F @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(53,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( ( p @ ( inj__o @ B ) )
          & ( p @ ( inj__o @ C ) ) )
        | ( p @ ( inj__o @ A ) ) )
    <=> ( ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ERIGHT__OR__OVER__AND)).

thf(374,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( ( ( p @ ( inj__o @ B ) )
            & ( p @ ( inj__o @ C ) ) )
          | ( p @ ( inj__o @ A ) ) )
       => ( ( ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ A ) ) )
          & ( ( p @ ( inj__o @ C ) )
            | ( p @ ( inj__o @ A ) ) ) ) )
      & ( ( ( ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ A ) ) )
          & ( ( p @ ( inj__o @ C ) )
            | ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ B ) )
            & ( p @ ( inj__o @ C ) ) )
          | ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[53])).

thf(43,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Ecardinal_2Ecardleq @ A @ A ) @ ( arr @ ( arr @ A @ bool ) @ ( arr @ ( arr @ B @ bool ) @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ecardinal_2Ecardleq)).

thf(282,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Ecardinal_2Ecardleq @ A @ A ) @ ( arr @ ( arr @ A @ bool ) @ ( arr @ ( arr @ B @ bool ) @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).

thf(57,axiom,(
    mem @ c_2Ebool_2EF @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2EF)).

thf(414,plain,(
    mem @ c_2Ebool_2EF @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[57])).

thf(6,axiom,
    ( ( inj__o @ fo__c_2Ebool_2EF )
    = c_2Ebool_2EF ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2EF)).

thf(95,plain,
    ( ( inj__o @ fo__c_2Ebool_2EF )
    = c_2Ebool_2EF ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(66,axiom,(
    ! [A: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_7E @ A ) )
      = ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_7E)).

thf(441,plain,(
    ! [A: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_7E @ A ) )
      = ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[66])).

thf(17,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) )
     => ( ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ A ) ) )
       => ( ( p @ ( inj__o @ A ) )
        <=> ( p @ ( inj__o @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__ANTISYM__AX)).

thf(143,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) )
     => ( ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ A ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(35,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ! [C: tp__o] :
          ( ( ! [D: $i] :
                ( ( mem @ D @ A )
               => ( p @ ( ap @ B @ D ) ) )
            & ( p @ ( inj__o @ C ) ) )
        <=> ! [D: $i] :
              ( ( mem @ D @ A )
             => ( ( p @ ( ap @ B @ D ) )
                & ( p @ ( inj__o @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ELEFT__AND__FORALL__THM)).

thf(250,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ! [C: tp__o] :
          ( ( ( ! [D: $i] :
                  ( ( mem @ D @ A )
                 => ( p @ ( ap @ B @ D ) ) )
              & ( p @ ( inj__o @ C ) ) )
           => ! [D: $i] :
                ( ( mem @ D @ A )
               => ( ( p @ ( ap @ B @ D ) )
                  & ( p @ ( inj__o @ C ) ) ) ) )
          & ( ! [D: $i] :
                ( ( mem @ D @ A )
               => ( ( p @ ( ap @ B @ D ) )
                  & ( p @ ( inj__o @ C ) ) ) )
           => ( ! [D: $i] :
                  ( ( mem @ D @ A )
                 => ( p @ ( ap @ B @ D ) ) )
              & ( p @ ( inj__o @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(28,axiom,(
    ! [A: tp__o] :
      ( ~ ~ ( p @ ( inj__o @ A ) )
    <=> ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2ENOT__NOT)).

thf(231,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(8,axiom,(
    ! [A: del] :
      ( ( c_2Ebool_2E_3F @ A )
      = ( f2 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_thm_2Ebool_2EEXISTS__DEF)).

thf(99,plain,(
    ! [A: del] :
      ( ( c_2Ebool_2E_3F @ A )
      = ( f2 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(75,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
      <=> ( ( p @ ( inj__o @ B ) )
          & ( p @ ( inj__o @ C ) ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__conj)).

thf(482,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
              & ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
              & ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) )
          & ( ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) )
          & ( ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
              & ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
              & ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[75])).

thf(10,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
     => ~ ( p @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Epth__ni2)).

thf(104,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ~ ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
     => ~ ( p @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(59,axiom,
    ( ! [A: tp__o] :
        ( ~ ~ ( p @ ( inj__o @ A ) )
      <=> ( p @ ( inj__o @ A ) ) )
    & ( ~ $true
    <=> $false )
    & ( ~ $false
    <=> $true ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ENOT__CLAUSES)).

thf(418,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[59])).

thf(33,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Eordinal_2Eordlt @ A ) @ ( arr @ ( ty_2Eordinal_2Eordinal @ A ) @ ( arr @ ( ty_2Eordinal_2Eordinal @ A ) @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Eordinal_2Eordlt)).

thf(246,plain,(
    ! [A: del] :
      ( mem @ ( c_2Eordinal_2Eordlt @ A ) @ ( arr @ ( ty_2Eordinal_2Eordinal @ A ) @ ( arr @ ( ty_2Eordinal_2Eordinal @ A ) @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(63,axiom,(
    mem @ c_2Ebool_2ET @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2ET)).

thf(433,plain,(
    mem @ c_2Ebool_2ET @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[63])).

thf(73,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_3F @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_3F)).

thf(478,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_3F @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[73])).

thf(56,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ A ) @ B ) )
          <=> ( ( p @ A )
             => ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_imp_p)).

thf(410,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ A ) @ B ) )
             => ( ( p @ A )
               => ( p @ B ) ) )
            & ( ( ( p @ A )
               => ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[56])).

thf(23,axiom,(
    ! [A: del,B: tp__o,C: $i] :
      ( ( mem @ C @ ( arr @ A @ bool ) )
     => ( ! [D: $i] :
            ( ( mem @ D @ A )
           => ( ( p @ ( ap @ C @ D ) )
              | ( p @ ( inj__o @ B ) ) ) )
      <=> ( ! [D: $i] :
              ( ( mem @ D @ A )
             => ( p @ ( ap @ C @ D ) ) )
          | ( p @ ( inj__o @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ELEFT__FORALL__OR__THM)).

thf(183,plain,(
    ! [A: del,B: tp__o,C: $i] :
      ( ( mem @ C @ ( arr @ A @ bool ) )
     => ( ( ! [D: $i] :
              ( ( mem @ D @ A )
             => ( ( p @ ( ap @ C @ D ) )
                | ( p @ ( inj__o @ B ) ) ) )
         => ( ! [D: $i] :
                ( ( mem @ D @ A )
               => ( p @ ( ap @ C @ D ) ) )
            | ( p @ ( inj__o @ B ) ) ) )
        & ( ( ! [D: $i] :
                ( ( mem @ D @ A )
               => ( p @ ( ap @ C @ D ) ) )
            | ( p @ ( inj__o @ B ) ) )
         => ! [D: $i] :
              ( ( mem @ D @ A )
             => ( ( p @ ( ap @ C @ D ) )
                | ( p @ ( inj__o @ B ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(61,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ibeta)).

thf(422,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[61])).

thf(46,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
          <=> ( B = C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_eq_p)).

thf(305,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
             => ( B = C ) )
            & ( ( B = C )
             => ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[46])).

thf(5,axiom,(
    $true ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ETRUTH)).

thf(94,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(58,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( surj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_iso_mem_o)).

thf(415,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( surj__o @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[58])).

thf(22,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
      <=> ~ ( p @ ( inj__o @ B ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__neg)).

thf(163,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( ( ( p @ ( inj__o @ A ) )
           => ~ ( p @ ( inj__o @ B ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ~ ( p @ ( inj__o @ B ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(40,axiom,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_7E)).

thf(277,plain,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).

thf(26,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Eordinal_2Esup @ A ) @ ( arr @ ( arr @ ( ty_2Eordinal_2Eordinal @ A ) @ bool ) @ ( ty_2Eordinal_2Eordinal @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Eordinal_2Esup)).

thf(227,plain,(
    ! [A: del] :
      ( mem @ ( c_2Eordinal_2Esup @ A ) @ ( arr @ ( arr @ ( ty_2Eordinal_2Eordinal @ A ) @ bool ) @ ( ty_2Eordinal_2Eordinal @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(51,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
      <=> ( ( p @ ( inj__o @ B ) )
        <=> ( p @ ( inj__o @ C ) ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__eq)).

thf(322,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( ( ( p @ ( inj__o @ A ) )
           => ( ( ( p @ ( inj__o @ B ) )
               => ( p @ ( inj__o @ C ) ) )
              & ( ( p @ ( inj__o @ C ) )
               => ( p @ ( inj__o @ B ) ) ) ) )
          & ( ( ( ( p @ ( inj__o @ B ) )
               => ( p @ ( inj__o @ C ) ) )
              & ( ( p @ ( inj__o @ C ) )
               => ( p @ ( inj__o @ B ) ) ) )
           => ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) )
          & ( ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) )
          & ( ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ( ( ( p @ ( inj__o @ B ) )
               => ( p @ ( inj__o @ C ) ) )
              & ( ( p @ ( inj__o @ C ) )
               => ( p @ ( inj__o @ B ) ) ) ) )
          & ( ( ( ( p @ ( inj__o @ B ) )
               => ( p @ ( inj__o @ C ) ) )
              & ( ( p @ ( inj__o @ C ) )
               => ( p @ ( inj__o @ B ) ) ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[51])).

thf(68,axiom,(
    ! [A: tp__o] :
      ( ( ( $true
         => ( p @ ( inj__o @ A ) ) )
      <=> ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
         => $true )
      <=> $true )
      & ( ( $false
         => ( p @ ( inj__o @ A ) ) )
      <=> $true )
      & ( ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ A ) ) )
      <=> $true )
      & ( ( ( p @ ( inj__o @ A ) )
         => $false )
      <=> ~ ( p @ ( inj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__CLAUSES)).

thf(454,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[68])).

thf(29,axiom,(
    p @ c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_true_p)).

thf(232,plain,(
    p @ c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(547,plain,(
    $false ),
    inference(cvc4,[status(thm)],[138,88,269,142,153,320,372,284,152,316,78,106,480,280,396,233,248,512,102,467,229,97,317,156,141,471,193,393,244,311,425,264,444,466,159,274,419,434,303,140,91,108,521,278,455,223,267,438,241,374,282,414,95,441,143,250,231,99,482,104,418,246,433,478,410,183,422,305,94,415,163,277,227,322,454,232])).
%------------------------------------------------------------------------------
