%------------------------------------------------------------------------------
thf(del_type,type,(
    del: $tType )).

thf(bool_type,type,(
    bool: del )).

thf(arr_type,type,(
    arr: del > del > del )).

thf(mem_type,type,(
    mem: $i > del > $o )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(k_type,type,(
    k: del > $i > $i )).

thf(i_type,type,(
    i: del > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(tp__o_type,type,(
    tp__o: $tType )).

thf(inj__o_type,type,(
    inj__o: tp__o > $i )).

thf(surj__o_type,type,(
    surj__o: $i > tp__o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: del > $i )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $i )).

thf(fo__c_2Emin_2E_3D_3D_3E_type,type,(
    fo__c_2Emin_2E_3D_3D_3E: tp__o > tp__o > tp__o )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: del > $i )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $i )).

thf(fo__c_2Ebool_2E_2F_5C_type,type,(
    fo__c_2Ebool_2E_2F_5C: tp__o > tp__o > tp__o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: del > $i )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $i )).

thf(fo__c_2Ebool_2EF_type,type,(
    fo__c_2Ebool_2EF: tp__o )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $i )).

thf(fo__c_2Ebool_2ET_type,type,(
    fo__c_2Ebool_2ET: tp__o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $i )).

thf(fo__c_2Ebool_2E_5C_2F_type,type,(
    fo__c_2Ebool_2E_5C_2F: tp__o > tp__o > tp__o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $i )).

thf(fo__c_2Ebool_2E_7E_type,type,(
    fo__c_2Ebool_2E_7E: tp__o > tp__o )).

thf(c_2Erelation_2EEMPTY__REL_type,type,(
    c_2Erelation_2EEMPTY__REL: del > $i )).

thf(c_2Erelation_2EWF_type,type,(
    c_2Erelation_2EWF: del > $i )).

thf(ty_2Eoption_2Eoption_type,type,(
    ty_2Eoption_2Eoption: del > del )).

thf(c_2Eoption_2ENONE_type,type,(
    c_2Eoption_2ENONE: del > $i )).

thf(c_2Eoption_2ESOME_type,type,(
    c_2Eoption_2ESOME: del > $i )).

thf(ty_2Epair_2Eprod_type,type,(
    ty_2Epair_2Eprod: del > del > del )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: del > del > $i )).

thf(c_2Epair_2EUNCURRY_type,type,(
    c_2Epair_2EUNCURRY: del > del > del > $i )).

thf(ty_2EternaryComparisons_2Eordering_type,type,(
    ty_2EternaryComparisons_2Eordering: del )).

thf(tp__ty_2EternaryComparisons_2Eordering_type,type,(
    tp__ty_2EternaryComparisons_2Eordering: $tType )).

thf(inj__ty_2EternaryComparisons_2Eordering_type,type,(
    inj__ty_2EternaryComparisons_2Eordering: tp__ty_2EternaryComparisons_2Eordering > $i )).

thf(surj__ty_2EternaryComparisons_2Eordering_type,type,(
    surj__ty_2EternaryComparisons_2Eordering: $i > tp__ty_2EternaryComparisons_2Eordering )).

thf(48,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( ty_2Epair_2Eprod @ A @ A ) )
     => ? [D: $i] :
          ( ( mem @ D @ A )
          & ? [E: $i] :
              ( ( mem @ E @ B )
              & ( C
                = ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ A ) @ D ) @ E ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Epair_2EABS__PAIR__THM)).

thf(365,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( ty_2Epair_2Eprod @ A @ A ) )
     => ? [D: $i] :
          ( ( mem @ D @ A )
          & ? [E: $i] :
              ( ( mem @ E @ B )
              & ( C
                = ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ A ) @ D ) @ E ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[48])).

thf(4,axiom,(
    ! [A: tp__ty_2EternaryComparisons_2Eordering] :
      ( ( surj__ty_2EternaryComparisons_2Eordering @ ( inj__ty_2EternaryComparisons_2Eordering @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_surj_ty_2EternaryComparisons_2Eordering)).

thf(88,plain,(
    ! [A: tp__ty_2EternaryComparisons_2Eordering] :
      ( ( surj__ty_2EternaryComparisons_2Eordering @ ( inj__ty_2EternaryComparisons_2Eordering @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(21,axiom,(
    ! [A: tp__ty_2EternaryComparisons_2Eordering] :
      ( mem @ ( inj__ty_2EternaryComparisons_2Eordering @ A ) @ ty_2EternaryComparisons_2Eordering ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_mem_ty_2EternaryComparisons_2Eordering)).

thf(217,plain,(
    ! [A: tp__ty_2EternaryComparisons_2Eordering] :
      ( mem @ ( inj__ty_2EternaryComparisons_2Eordering @ A ) @ ty_2EternaryComparisons_2Eordering ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(46,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
      <=> ( ( p @ ( inj__o @ B ) )
        <=> ( p @ ( inj__o @ C ) ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__eq)).

thf(308,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( ( ( p @ ( inj__o @ A ) )
           => ( ( ( p @ ( inj__o @ B ) )
               => ( p @ ( inj__o @ C ) ) )
              & ( ( p @ ( inj__o @ C ) )
               => ( p @ ( inj__o @ B ) ) ) ) )
          & ( ( ( ( p @ ( inj__o @ B ) )
               => ( p @ ( inj__o @ C ) ) )
              & ( ( p @ ( inj__o @ C ) )
               => ( p @ ( inj__o @ B ) ) ) )
           => ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) )
          & ( ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) )
          & ( ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ( ( ( p @ ( inj__o @ B ) )
               => ( p @ ( inj__o @ C ) ) )
              & ( ( p @ ( inj__o @ C ) )
               => ( p @ ( inj__o @ B ) ) ) ) )
          & ( ( ( ( p @ ( inj__o @ B ) )
               => ( p @ ( inj__o @ C ) ) )
              & ( ( p @ ( inj__o @ C ) )
               => ( p @ ( inj__o @ B ) ) ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[46])).

thf(53,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( surj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_iso_mem_o)).

thf(379,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( surj__o @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[53])).

thf(56,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ibeta)).

thf(384,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[56])).

thf(15,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( ( p @ ( ap @ c_2Ebool_2E_7E @ A ) )
      <=> ~ ( p @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_neg_p)).

thf(153,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( ( ( p @ ( ap @ c_2Ebool_2E_7E @ A ) )
         => ~ ( p @ A ) )
        & ( ~ ( p @ A )
         => ( p @ ( ap @ c_2Ebool_2E_7E @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(32,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ! [C: $i] :
          ( ( mem @ C @ ( arr @ A @ bool ) )
         => ( ? [D: $i] :
                ( ( mem @ D @ A )
                & ( ( p @ ( ap @ B @ D ) )
                  | ( p @ ( ap @ C @ D ) ) ) )
          <=> ( ? [D: $i] :
                  ( ( mem @ D @ A )
                  & ( p @ ( ap @ B @ D ) ) )
              | ? [D: $i] :
                  ( ( mem @ D @ A )
                  & ( p @ ( ap @ C @ D ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEXISTS__OR__THM)).

thf(257,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ! [C: $i] :
          ( ( mem @ C @ ( arr @ A @ bool ) )
         => ( ( ? [D: $i] :
                  ( ( mem @ D @ A )
                  & ( ( p @ ( ap @ B @ D ) )
                    | ( p @ ( ap @ C @ D ) ) ) )
             => ( ? [D: $i] :
                    ( ( mem @ D @ A )
                    & ( p @ ( ap @ B @ D ) ) )
                | ? [D: $i] :
                    ( ( mem @ D @ A )
                    & ( p @ ( ap @ C @ D ) ) ) ) )
            & ( ( ? [D: $i] :
                    ( ( mem @ D @ A )
                    & ( p @ ( ap @ B @ D ) ) )
                | ? [D: $i] :
                    ( ( mem @ D @ A )
                    & ( p @ ( ap @ C @ D ) ) ) )
             => ? [D: $i] :
                  ( ( mem @ D @ A )
                  & ( ( p @ ( ap @ B @ D ) )
                    | ( p @ ( ap @ C @ D ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(64,axiom,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_5C_2F)).

thf(421,plain,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[64])).

thf(40,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2EternaryComparisons_2Eordering )
     => ( A
        = ( inj__ty_2EternaryComparisons_2Eordering @ ( surj__ty_2EternaryComparisons_2Eordering @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_iso_mem_ty_2EternaryComparisons_2Eordering)).

thf(289,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2EternaryComparisons_2Eordering )
     => ( A
        = ( inj__ty_2EternaryComparisons_2Eordering @ ( surj__ty_2EternaryComparisons_2Eordering @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).

thf(29,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Eoption_2ENONE @ A ) @ ( ty_2Eoption_2Eoption @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Eoption_2ENONE)).

thf(238,plain,(
    ! [A: del] :
      ( mem @ ( c_2Eoption_2ENONE @ A ) @ ( ty_2Eoption_2Eoption @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(36,axiom,(
    ! [A: del,B: del,C: del,D: $i] :
      ( ( mem @ D @ ( arr @ A @ ( arr @ B @ C ) ) )
     => ! [E: $i] :
          ( ( mem @ E @ A )
         => ! [F: $i] :
              ( ( mem @ F @ B )
             => ( ( ap @ ( ap @ ( c_2Epair_2EUNCURRY @ A @ A @ A ) @ D ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ A ) @ E ) @ F ) )
                = ( ap @ ( ap @ D @ E ) @ F ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Epair_2EUNCURRY__DEF)).

thf(280,plain,(
    ! [A: del,B: del,C: del,D: $i] :
      ( ( mem @ D @ ( arr @ A @ ( arr @ B @ C ) ) )
     => ! [E: $i] :
          ( ( mem @ E @ A )
         => ! [F: $i] :
              ( ( mem @ F @ B )
             => ( ( ap @ ( ap @ ( c_2Epair_2EUNCURRY @ A @ A @ A ) @ D ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ A ) @ E ) @ F ) )
                = ( ap @ ( ap @ D @ E ) @ F ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(23,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Eoption_2ESOME @ A ) @ ( arr @ A @ ( ty_2Eoption_2Eoption @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Eoption_2ESOME)).

thf(221,plain,(
    ! [A: del] :
      ( mem @ ( c_2Eoption_2ESOME @ A ) @ ( arr @ A @ ( ty_2Eoption_2Eoption @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(59,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ A ) @ B ) )
          <=> ( ( p @ A )
              | ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_or_p)).

thf(396,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ A ) @ B ) )
             => ( ( p @ A )
                | ( p @ B ) ) )
            & ( ( ( p @ A )
                | ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[59])).

thf(41,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( ty_2Eoption_2Eoption @ A ) )
     => ( ( B
          = ( c_2Eoption_2ENONE @ A ) )
        | ? [C: $i] :
            ( ( mem @ C @ A )
            & ( B
              = ( ap @ ( c_2Eoption_2ESOME @ A ) @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Eoption_2Eoption__nchotomy)).

thf(292,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( ty_2Eoption_2Eoption @ A ) )
     => ( ( B
          = ( c_2Eoption_2ENONE @ A ) )
        | ? [C: $i] :
            ( ( mem @ C @ A )
            & ( B
              = ( ap @ ( c_2Eoption_2ESOME @ A ) @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).

thf(27,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_5C_2F @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_5C_2F)).

thf(233,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_5C_2F @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(3,axiom,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_surj_o)).

thf(85,plain,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(42,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Erelation_2EWF @ A ) @ ( arr @ ( arr @ A @ ( arr @ A @ bool ) ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Erelation_2EWF)).

thf(297,plain,(
    ! [A: del] :
      ( mem @ ( c_2Erelation_2EWF @ A ) @ ( arr @ ( arr @ A @ ( arr @ A @ bool ) ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).

thf(63,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ! [C: tp__o] :
          ( ( ? [D: $i] :
                ( ( mem @ D @ A )
                & ( p @ ( ap @ B @ D ) ) )
            | ( p @ ( inj__o @ C ) ) )
        <=> ? [D: $i] :
              ( ( mem @ D @ A )
              & ( ( p @ ( ap @ B @ D ) )
                | ( p @ ( inj__o @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ELEFT__OR__EXISTS__THM)).

thf(407,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ! [C: tp__o] :
          ( ( ( ? [D: $i] :
                  ( ( mem @ D @ A )
                  & ( p @ ( ap @ B @ D ) ) )
              | ( p @ ( inj__o @ C ) ) )
           => ? [D: $i] :
                ( ( mem @ D @ A )
                & ( ( p @ ( ap @ B @ D ) )
                  | ( p @ ( inj__o @ C ) ) ) ) )
          & ( ? [D: $i] :
                ( ( mem @ D @ A )
                & ( ( p @ ( ap @ B @ D ) )
                  | ( p @ ( inj__o @ C ) ) ) )
           => ( ? [D: $i] :
                  ( ( mem @ D @ A )
                  & ( p @ ( ap @ B @ D ) ) )
              | ( p @ ( inj__o @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[63])).

thf(6,axiom,
    ( ( inj__o @ fo__c_2Ebool_2EF )
    = c_2Ebool_2EF ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2EF)).

thf(92,plain,
    ( ( inj__o @ fo__c_2Ebool_2EF )
    = c_2Ebool_2EF ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(70,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ A )
            <=> ( p @ B ) )
           => ( A = B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',boolext)).

thf(467,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( ( p @ A )
               => ( p @ B ) )
              & ( ( p @ B )
               => ( p @ A ) ) )
           => ( A = B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[70])).

thf(68,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(435,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[68])).

thf(38,axiom,(
    ! [A: del] :
      ( p @ ( ap @ ( c_2Erelation_2EWF @ A ) @ ( c_2Erelation_2EEMPTY__REL @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Erelation_2EWF__EMPTY__REL)).

thf(285,plain,(
    ! [A: del] :
      ( p @ ( ap @ ( c_2Erelation_2EWF @ A ) @ ( c_2Erelation_2EEMPTY__REL @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(25,axiom,(
    p @ c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_true_p)).

thf(224,plain,(
    p @ c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(16,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Emin_2E_3D_3D_3E)).

thf(156,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(61,axiom,(
    ! [A: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_7E @ A ) )
      = ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_7E)).

thf(403,plain,(
    ! [A: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_7E @ A ) )
      = ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[61])).

thf(26,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( ~ ( ~ ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
       => $false )
    <=> ( ( p @ ( inj__o @ A ) )
       => ( ~ ( p @ ( inj__o @ B ) )
         => $false ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EOR__DUAL3)).

thf(225,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( ~ ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
       => ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
       => ( ~ ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(71,axiom,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_2F_5C)).

thf(476,plain,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[71])).

thf(8,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
      <=> ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__disj)).

thf(96,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
              | ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
              | ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
              | ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
              | ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(11,axiom,(
    ! [A: tp__o] :
      ( ( ( $true
        <=> ( p @ ( inj__o @ A ) ) )
      <=> ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
        <=> $true )
      <=> ( p @ ( inj__o @ A ) ) )
      & ( ( $false
        <=> ( p @ ( inj__o @ A ) ) )
      <=> ~ ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
        <=> $false )
      <=> ~ ( p @ ( inj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEQ__CLAUSES)).

thf(129,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(50,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_2F_5C)).

thf(371,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[50])).

thf(10,axiom,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D_3D_3E)).

thf(128,plain,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(54,axiom,(
    ! [A: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
       => $false )
     => ~ ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__F)).

thf(382,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[54])).

thf(28,axiom,(
    ~ ( p @ c_2Ebool_2EF ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_false_p)).

thf(236,plain,(
    ~ ( p @ c_2Ebool_2EF ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(17,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ B ) )
      <=> ? [C: $i] :
            ( ( mem @ C @ A )
            & ( p @ ( ap @ B @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_ex_p)).

thf(159,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ B ) )
         => ? [C: $i] :
              ( ( mem @ C @ A )
              & ( p @ ( ap @ B @ C ) ) ) )
        & ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ( p @ ( ap @ B @ C ) ) )
         => ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(62,axiom,(
    ! [A: tp__o] :
      ( ( ( $true
         => ( p @ ( inj__o @ A ) ) )
      <=> ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
         => $true )
      <=> $true )
      & ( ( $false
         => ( p @ ( inj__o @ A ) ) )
      <=> $true )
      & ( ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ A ) ) )
      <=> $true )
      & ( ( ( p @ ( inj__o @ A ) )
         => $false )
      <=> ~ ( p @ ( inj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__CLAUSES)).

thf(406,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[62])).

thf(22,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ap_tp)).

thf(219,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(57,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( ~ ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
       => $false )
    <=> ( ( ( p @ ( inj__o @ A ) )
         => $false )
       => ( ~ ( p @ ( inj__o @ B ) )
         => $false ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EOR__DUAL2)).

thf(387,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
       => ( ~ ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) ) )
      & ( ( ~ ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
       => ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[57])).

thf(14,axiom,(
    ! [A: del,B: tp__o,C: $i] :
      ( ( mem @ C @ ( arr @ A @ bool ) )
     => ( ( ( p @ ( inj__o @ B ) )
          | ? [D: $i] :
              ( ( mem @ D @ A )
              & ( p @ ( ap @ C @ D ) ) ) )
      <=> ? [D: $i] :
            ( ( mem @ D @ A )
            & ( ( p @ ( inj__o @ B ) )
              | ( p @ ( ap @ C @ D ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ERIGHT__OR__EXISTS__THM)).

thf(140,plain,(
    ! [A: del,B: tp__o,C: $i] :
      ( ( mem @ C @ ( arr @ A @ bool ) )
     => ( ( ( ( p @ ( inj__o @ B ) )
            | ? [D: $i] :
                ( ( mem @ D @ A )
                & ( p @ ( ap @ C @ D ) ) ) )
         => ? [D: $i] :
              ( ( mem @ D @ A )
              & ( ( p @ ( inj__o @ B ) )
                | ( p @ ( ap @ C @ D ) ) ) ) )
        & ( ? [D: $i] :
              ( ( mem @ D @ A )
              & ( ( p @ ( inj__o @ B ) )
                | ( p @ ( ap @ C @ D ) ) ) )
         => ( ( p @ ( inj__o @ B ) )
            | ? [D: $i] :
                ( ( mem @ D @ A )
                & ( p @ ( ap @ C @ D ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(20,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
          <=> ( ( p @ A )
              & ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_and_p)).

thf(213,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
             => ( ( p @ A )
                & ( p @ B ) ) )
            & ( ( ( p @ A )
                & ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(5,axiom,(
    $true ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ETRUTH)).

thf(91,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(30,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ! [C: tp__o] :
          ( ? [D: $i] :
              ( ( mem @ D @ A )
              & ( p @ ( ap @ B @ D ) )
              & ( p @ ( inj__o @ C ) ) )
        <=> ( ? [D: $i] :
                ( ( mem @ D @ A )
                & ( p @ ( ap @ B @ D ) ) )
            & ( p @ ( inj__o @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ELEFT__EXISTS__AND__THM)).

thf(240,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ! [C: tp__o] :
          ( ( ? [D: $i] :
                ( ( mem @ D @ A )
                & ( p @ ( ap @ B @ D ) )
                & ( p @ ( inj__o @ C ) ) )
           => ( ? [D: $i] :
                  ( ( mem @ D @ A )
                  & ( p @ ( ap @ B @ D ) ) )
              & ( p @ ( inj__o @ C ) ) ) )
          & ( ( ? [D: $i] :
                  ( ( mem @ D @ A )
                  & ( p @ ( ap @ B @ D ) ) )
              & ( p @ ( inj__o @ C ) ) )
           => ? [D: $i] :
                ( ( mem @ D @ A )
                & ( p @ ( ap @ B @ D ) )
                & ( p @ ( inj__o @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(31,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ ( arr @ A @ bool ) ) )
     => ( ( p @ ( ap @ ( c_2Erelation_2EWF @ A ) @ B ) )
       => ! [C: $i] :
            ( ( mem @ C @ ( arr @ A @ bool ) )
           => ( ! [D: $i] :
                  ( ( mem @ D @ A )
                 => ( ! [E: $i] :
                        ( ( mem @ E @ A )
                       => ( ( p @ ( ap @ ( ap @ B @ E ) @ D ) )
                         => ( p @ ( ap @ C @ E ) ) ) )
                   => ( p @ ( ap @ C @ D ) ) ) )
             => ! [D: $i] :
                  ( ( mem @ D @ A )
                 => ( p @ ( ap @ C @ D ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Erelation_2EWF__INDUCTION__THM)).

thf(251,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ ( arr @ A @ bool ) ) )
     => ( ( p @ ( ap @ ( c_2Erelation_2EWF @ A ) @ B ) )
       => ! [C: $i] :
            ( ( mem @ C @ ( arr @ A @ bool ) )
           => ( ! [D: $i] :
                  ( ( mem @ D @ A )
                 => ( ! [E: $i] :
                        ( ( mem @ E @ A )
                       => ( ( p @ ( ap @ ( ap @ B @ E ) @ D ) )
                         => ( p @ ( ap @ C @ E ) ) ) )
                   => ( p @ ( ap @ C @ D ) ) ) )
             => ! [D: $i] :
                  ( ( mem @ D @ A )
                 => ( p @ ( ap @ C @ D ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(12,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) )
     => ( ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ A ) ) )
       => ( ( p @ ( inj__o @ A ) )
        <=> ( p @ ( inj__o @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__ANTISYM__AX)).

thf(130,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) )
     => ( ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ A ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(35,axiom,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_mem_o)).

thf(278,plain,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(24,axiom,(
    ! [A: tp__o] :
      ( ~ ~ ( p @ ( inj__o @ A ) )
    <=> ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2ENOT__NOT)).

thf(223,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(45,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(306,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[45])).

thf(43,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
          <=> ( B = C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_eq_p)).

thf(299,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
             => ( B = C ) )
            & ( ( B = C )
             => ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).

thf(66,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( B = C )
          <=> ( C = B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEQ__SYM__EQ)).

thf(426,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( ( B = C )
             => ( C = B ) )
            & ( ( C = B )
             => ( B = C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[66])).

thf(51,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ A ) @ B ) )
          <=> ( ( p @ A )
             => ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_imp_p)).

thf(374,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ A ) @ B ) )
             => ( ( p @ A )
               => ( p @ B ) ) )
            & ( ( ( p @ A )
               => ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[51])).

thf(49,axiom,(
    ! [A: tp__o] :
      ( ~ ( p @ ( inj__o @ A ) )
     => ( ( p @ ( inj__o @ A ) )
       => $false ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EF__IMP)).

thf(370,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[49])).

thf(1,conjecture,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ ( arr @ A @ ( arr @ B @ ty_2EternaryComparisons_2Eordering ) ) @ ( arr @ ( ty_2Eoption_2Eoption @ A ) @ ( arr @ ( ty_2Eoption_2Eoption @ B ) @ bool ) ) ) )
     => ( ( ! [D: $i] :
              ( ( mem @ D @ ( arr @ A @ ( arr @ B @ ty_2EternaryComparisons_2Eordering ) ) )
             => ( p @ ( ap @ ( ap @ ( ap @ C @ D ) @ ( c_2Eoption_2ENONE @ A ) ) @ ( c_2Eoption_2ENONE @ B ) ) ) )
          & ! [D: $i] :
              ( ( mem @ D @ ( arr @ A @ ( arr @ B @ ty_2EternaryComparisons_2Eordering ) ) )
             => ! [E: $i] :
                  ( ( mem @ E @ B )
                 => ( p @ ( ap @ ( ap @ ( ap @ C @ D ) @ ( c_2Eoption_2ENONE @ A ) ) @ ( ap @ ( c_2Eoption_2ESOME @ B ) @ E ) ) ) ) )
          & ! [D: $i] :
              ( ( mem @ D @ ( arr @ A @ ( arr @ B @ ty_2EternaryComparisons_2Eordering ) ) )
             => ! [E: $i] :
                  ( ( mem @ E @ A )
                 => ( p @ ( ap @ ( ap @ ( ap @ C @ D ) @ ( ap @ ( c_2Eoption_2ESOME @ A ) @ E ) ) @ ( c_2Eoption_2ENONE @ B ) ) ) ) )
          & ! [D: $i] :
              ( ( mem @ D @ ( arr @ A @ ( arr @ B @ ty_2EternaryComparisons_2Eordering ) ) )
             => ! [E: $i] :
                  ( ( mem @ E @ A )
                 => ! [F: $i] :
                      ( ( mem @ F @ B )
                     => ( p @ ( ap @ ( ap @ ( ap @ C @ D ) @ ( ap @ ( c_2Eoption_2ESOME @ A ) @ E ) ) @ ( ap @ ( c_2Eoption_2ESOME @ B ) @ F ) ) ) ) ) ) )
       => ! [D: $i] :
            ( ( mem @ D @ ( arr @ A @ ( arr @ B @ ty_2EternaryComparisons_2Eordering ) ) )
           => ! [E: $i] :
                ( ( mem @ E @ ( ty_2Eoption_2Eoption @ A ) )
               => ! [F: $i] :
                    ( ( mem @ F @ ( ty_2Eoption_2Eoption @ B ) )
                   => ( p @ ( ap @ ( ap @ ( ap @ C @ D ) @ E ) @ F ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ecomparison_2Eoption__cmp2__ind)).

thf(2,negated_conjecture,(
    ~ ! [A: del,B: del,C: $i] :
        ( ( mem @ C @ ( arr @ ( arr @ A @ ( arr @ B @ ty_2EternaryComparisons_2Eordering ) ) @ ( arr @ ( ty_2Eoption_2Eoption @ A ) @ ( arr @ ( ty_2Eoption_2Eoption @ B ) @ bool ) ) ) )
       => ( ( ! [D: $i] :
                ( ( mem @ D @ ( arr @ A @ ( arr @ B @ ty_2EternaryComparisons_2Eordering ) ) )
               => ( p @ ( ap @ ( ap @ ( ap @ C @ D ) @ ( c_2Eoption_2ENONE @ A ) ) @ ( c_2Eoption_2ENONE @ B ) ) ) )
            & ! [D: $i] :
                ( ( mem @ D @ ( arr @ A @ ( arr @ B @ ty_2EternaryComparisons_2Eordering ) ) )
               => ! [E: $i] :
                    ( ( mem @ E @ B )
                   => ( p @ ( ap @ ( ap @ ( ap @ C @ D ) @ ( c_2Eoption_2ENONE @ A ) ) @ ( ap @ ( c_2Eoption_2ESOME @ B ) @ E ) ) ) ) )
            & ! [D: $i] :
                ( ( mem @ D @ ( arr @ A @ ( arr @ B @ ty_2EternaryComparisons_2Eordering ) ) )
               => ! [E: $i] :
                    ( ( mem @ E @ A )
                   => ( p @ ( ap @ ( ap @ ( ap @ C @ D ) @ ( ap @ ( c_2Eoption_2ESOME @ A ) @ E ) ) @ ( c_2Eoption_2ENONE @ B ) ) ) ) )
            & ! [D: $i] :
                ( ( mem @ D @ ( arr @ A @ ( arr @ B @ ty_2EternaryComparisons_2Eordering ) ) )
               => ! [E: $i] :
                    ( ( mem @ E @ A )
                   => ! [F: $i] :
                        ( ( mem @ F @ B )
                       => ( p @ ( ap @ ( ap @ ( ap @ C @ D ) @ ( ap @ ( c_2Eoption_2ESOME @ A ) @ E ) ) @ ( ap @ ( c_2Eoption_2ESOME @ B ) @ F ) ) ) ) ) ) )
         => ! [D: $i] :
              ( ( mem @ D @ ( arr @ A @ ( arr @ B @ ty_2EternaryComparisons_2Eordering ) ) )
             => ! [E: $i] :
                  ( ( mem @ E @ ( ty_2Eoption_2Eoption @ A ) )
                 => ! [F: $i] :
                      ( ( mem @ F @ ( ty_2Eoption_2Eoption @ B ) )
                     => ( p @ ( ap @ ( ap @ ( ap @ C @ D ) @ E ) @ F ) ) ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(72,plain,(
    ~ ! [A: del,B: del,C: $i] :
        ( ( mem @ C @ ( arr @ ( arr @ A @ ( arr @ B @ ty_2EternaryComparisons_2Eordering ) ) @ ( arr @ ( ty_2Eoption_2Eoption @ A ) @ ( arr @ ( ty_2Eoption_2Eoption @ B ) @ bool ) ) ) )
       => ( ( ! [D: $i] :
                ( ( mem @ D @ ( arr @ A @ ( arr @ B @ ty_2EternaryComparisons_2Eordering ) ) )
               => ( p @ ( ap @ ( ap @ ( ap @ C @ D ) @ ( c_2Eoption_2ENONE @ A ) ) @ ( c_2Eoption_2ENONE @ B ) ) ) )
            & ! [D: $i] :
                ( ( mem @ D @ ( arr @ A @ ( arr @ B @ ty_2EternaryComparisons_2Eordering ) ) )
               => ! [E: $i] :
                    ( ( mem @ E @ B )
                   => ( p @ ( ap @ ( ap @ ( ap @ C @ D ) @ ( c_2Eoption_2ENONE @ A ) ) @ ( ap @ ( c_2Eoption_2ESOME @ B ) @ E ) ) ) ) )
            & ! [D: $i] :
                ( ( mem @ D @ ( arr @ A @ ( arr @ B @ ty_2EternaryComparisons_2Eordering ) ) )
               => ! [E: $i] :
                    ( ( mem @ E @ A )
                   => ( p @ ( ap @ ( ap @ ( ap @ C @ D ) @ ( ap @ ( c_2Eoption_2ESOME @ A ) @ E ) ) @ ( c_2Eoption_2ENONE @ B ) ) ) ) )
            & ! [D: $i] :
                ( ( mem @ D @ ( arr @ A @ ( arr @ B @ ty_2EternaryComparisons_2Eordering ) ) )
               => ! [E: $i] :
                    ( ( mem @ E @ A )
                   => ! [F: $i] :
                        ( ( mem @ F @ B )
                       => ( p @ ( ap @ ( ap @ ( ap @ C @ D ) @ ( ap @ ( c_2Eoption_2ESOME @ A ) @ E ) ) @ ( ap @ ( c_2Eoption_2ESOME @ B ) @ F ) ) ) ) ) ) )
         => ! [D: $i] :
              ( ( mem @ D @ ( arr @ A @ ( arr @ B @ ty_2EternaryComparisons_2Eordering ) ) )
             => ! [E: $i] :
                  ( ( mem @ E @ ( ty_2Eoption_2Eoption @ A ) )
                 => ! [F: $i] :
                      ( ( mem @ F @ ( ty_2Eoption_2Eoption @ B ) )
                     => ( p @ ( ap @ ( ap @ ( ap @ C @ D ) @ E ) @ F ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(13,axiom,(
    ! [A: tp__o] :
      ( ( ~ ( p @ ( inj__o @ A ) )
       => $false )
     => ( ( ( p @ ( inj__o @ A ) )
         => $false )
       => $false ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EAND__INV2)).

thf(139,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(52,axiom,(
    mem @ c_2Ebool_2EF @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2EF)).

thf(378,plain,(
    mem @ c_2Ebool_2EF @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[52])).

thf(67,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_3F @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_3F)).

thf(433,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_3F @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[67])).

thf(33,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',funcext)).

thf(272,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(55,axiom,
    ( ! [A: tp__o] :
        ( ~ ~ ( p @ ( inj__o @ A ) )
      <=> ( p @ ( inj__o @ A ) ) )
    & ( ~ $true
    <=> $false )
    & ( ~ $false
    <=> $true ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ENOT__CLAUSES)).

thf(383,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[55])).

thf(39,axiom,(
    ! [A: del,B: del,C: del] :
      ( mem @ ( c_2Epair_2EUNCURRY @ A @ A @ A ) @ ( arr @ ( arr @ A @ ( arr @ B @ C ) ) @ ( arr @ ( ty_2Epair_2Eprod @ A @ A ) @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Epair_2EUNCURRY)).

thf(287,plain,(
    ! [A: del,B: del,C: del] :
      ( mem @ ( c_2Epair_2EUNCURRY @ A @ A @ A ) @ ( arr @ ( arr @ A @ ( arr @ B @ C ) ) @ ( arr @ ( ty_2Epair_2Eprod @ A @ A ) @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).

thf(19,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
      <=> ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ C ) ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__imp)).

thf(183,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
             => ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
             => ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
             => ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
             => ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(65,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
      <=> ! [C: $i] :
            ( ( mem @ C @ A )
           => ( p @ ( ap @ B @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_all_p)).

thf(422,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
         => ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) )
        & ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) )
         => ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[65])).

thf(44,axiom,(
    ! [A: tp__o] :
      ( ( p @ ( inj__o @ A ) )
     => ( ~ ( p @ ( inj__o @ A ) )
       => $false ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EAND__INV__IMP)).

thf(305,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).

thf(9,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Erelation_2EEMPTY__REL @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Erelation_2EEMPTY__REL)).

thf(126,plain,(
    ! [A: del] :
      ( mem @ ( c_2Erelation_2EEMPTY__REL @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(47,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ~ ? [C: $i] :
              ( ( mem @ C @ A )
              & ( p @ ( ap @ B @ C ) ) )
      <=> ! [C: $i] :
            ( ( mem @ C @ A )
           => ~ ( p @ ( ap @ B @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ENOT__EXISTS__THM)).

thf(358,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ~ ? [C: $i] :
                ( ( mem @ C @ A )
                & ( p @ ( ap @ B @ C ) ) )
         => ! [C: $i] :
              ( ( mem @ C @ A )
             => ~ ( p @ ( ap @ B @ C ) ) ) )
        & ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ~ ( p @ ( ap @ B @ C ) ) )
         => ~ ? [C: $i] :
                ( ( mem @ C @ A )
                & ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[47])).

thf(69,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
      <=> ( ( p @ ( inj__o @ B ) )
          & ( p @ ( inj__o @ C ) ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__conj)).

thf(437,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
              & ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
              & ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) )
          & ( ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) )
          & ( ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
              & ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
              & ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[69])).

thf(60,axiom,(
    ! [A: del,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',kbeta)).

thf(400,plain,(
    ! [A: del,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[60])).

thf(7,axiom,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2ET)).

thf(94,plain,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(37,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2E_2C @ A @ A ) @ ( arr @ A @ ( arr @ B @ ( ty_2Epair_2Eprod @ A @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Epair_2E_2C)).

thf(283,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2E_2C @ A @ A ) @ ( arr @ A @ ( arr @ B @ ( ty_2Epair_2Eprod @ A @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(58,axiom,(
    mem @ c_2Ebool_2ET @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2ET)).

thf(395,plain,(
    mem @ c_2Ebool_2ET @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[58])).

thf(18,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
      <=> ~ ( p @ ( inj__o @ B ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__neg)).

thf(163,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( ( ( p @ ( inj__o @ A ) )
           => ~ ( p @ ( inj__o @ B ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ~ ( p @ ( inj__o @ B ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(34,axiom,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_7E)).

thf(277,plain,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(485,plain,(
    $false ),
    inference(cvc4,[status(thm)],[365,88,217,308,379,384,153,257,421,289,238,280,221,396,292,233,85,297,407,92,467,435,285,224,156,403,225,476,96,129,371,128,382,236,159,406,219,387,140,213,91,240,251,130,278,223,306,299,426,374,370,72,139,378,433,272,383,287,183,422,305,126,358,437,400,94,283,395,163,277])).
%------------------------------------------------------------------------------
