%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:40:37 EDT 2019

% Result     : Theorem 7.11s
% Output     : CNFRefutation 7.11s
% Verified   : 
% Statistics : Number of formulae       :   33 (  33 expanded)
%              Number of leaves         :   23 (  23 expanded)
%              Depth                    :    3
%              Number of atoms          :  302 ( 302 expanded)
%              Number of equality atoms :   37 (  37 expanded)
%              Maximal formula depth    :   14 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Earithmetic_2E_2D_type,type,(
    c_2Earithmetic_2E_2D: tyop_2Enum_2Enum > tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Eprim__rec_2E_3C_type,type,(
    c_2Eprim__rec_2E_3C: tyop_2Enum_2Enum > tyop_2Enum_2Enum > $o )).

thf(c_2Ebool_2ECOND_type,type,(
    c_2Ebool_2ECOND: 
      !>[TA: $tType] :
        ( $o > TA > TA > TA ) )).

thf(c_2Elist_2EDROP_type,type,(
    c_2Elist_2EDROP: 
      !>[TA: $tType] :
        ( tyop_2Enum_2Enum > ( tyop_2Elist_2Elist @ TA ) > ( tyop_2Elist_2Elist @ TA ) ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Elist_2EHD_type,type,(
    c_2Elist_2EHD: 
      !>[TA: $tType] :
        ( ( tyop_2Elist_2Elist @ TA ) > TA ) )).

thf(c_2Elist_2ELENGTH_type,type,(
    c_2Elist_2ELENGTH: 
      !>[TA: $tType] :
        ( ( tyop_2Elist_2Elist @ TA ) > tyop_2Enum_2Enum ) )).

thf(c_2Ebool_2ELET_type,type,(
    c_2Ebool_2ELET: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB ) > TA > TB ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Ebitstring_2Eextend_type,type,(
    c_2Ebitstring_2Eextend: $o > tyop_2Enum_2Enum > ( tyop_2Elist_2Elist @ $o ) > ( tyop_2Elist_2Elist @ $o ) )).

thf(c_2Ebitstring_2Efixwidth_type,type,(
    c_2Ebitstring_2Efixwidth: tyop_2Enum_2Enum > ( tyop_2Elist_2Elist @ $o ) > ( tyop_2Elist_2Elist @ $o ) )).

thf(c_2Ebitstring_2Esign__extend_type,type,(
    c_2Ebitstring_2Esign__extend: 
      !>[TA: $tType] :
        ( tyop_2Enum_2Enum > ( tyop_2Elist_2Elist @ TA ) > ( tyop_2Elist_2Elist @ TA ) ) )).

thf(c_2Ebitstring_2Ezero__extend_type,type,(
    c_2Ebitstring_2Ezero__extend: tyop_2Enum_2Enum > ( tyop_2Elist_2Elist @ $o ) > ( tyop_2Elist_2Elist @ $o ) )).

thf(1,conjecture,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Elist_2Elist @ $o] :
      ( ( c_2Ebitstring_2Efixwidth @ A @ B )
      = ( c_2Ebool_2ELET @ tyop_2Enum_2Enum @ ( tyop_2Elist_2Elist @ $o )
        @ ^ [C: tyop_2Enum_2Enum] :
            ( c_2Ebool_2ECOND @ ( tyop_2Elist_2Elist @ $o ) @ ( c_2Eprim__rec_2E_3C @ C @ A ) @ ( c_2Ebitstring_2Eextend @ c_2Ebool_2EF @ ( c_2Earithmetic_2E_2D @ A @ C ) @ B ) @ ( c_2Elist_2EDROP @ $o @ ( c_2Earithmetic_2E_2D @ C @ A ) @ B ) )
        @ ( c_2Elist_2ELENGTH @ $o @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebitstring_2Efixwidth)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Enum_2Enum,B: tyop_2Elist_2Elist @ $o] :
        ( ( c_2Ebitstring_2Efixwidth @ A @ B )
        = ( c_2Ebool_2ELET @ tyop_2Enum_2Enum @ ( tyop_2Elist_2Elist @ $o )
          @ ^ [C: tyop_2Enum_2Enum] :
              ( c_2Ebool_2ECOND @ ( tyop_2Elist_2Elist @ $o ) @ ( c_2Eprim__rec_2E_3C @ C @ A ) @ ( c_2Ebitstring_2Eextend @ c_2Ebool_2EF @ ( c_2Earithmetic_2E_2D @ A @ C ) @ B ) @ ( c_2Elist_2EDROP @ $o @ ( c_2Earithmetic_2E_2D @ C @ A ) @ B ) )
          @ ( c_2Elist_2ELENGTH @ $o @ B ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(10,plain,(
    ~ ! [A: tyop_2Enum_2Enum,B: tyop_2Elist_2Elist @ $o] :
        ( ( c_2Ebitstring_2Efixwidth @ A @ B )
        = ( c_2Ebool_2ELET @ tyop_2Enum_2Enum @ ( tyop_2Elist_2Elist @ $o )
          @ ^ [C: tyop_2Enum_2Enum] :
              ( c_2Ebool_2ECOND @ ( tyop_2Elist_2Elist @ $o ) @ ( c_2Eprim__rec_2E_3C @ C @ A ) @ ( c_2Ebitstring_2Eextend @ c_2Ebool_2EF @ ( c_2Earithmetic_2E_2D @ A @ C ) @ B ) @ ( c_2Elist_2EDROP @ $o @ ( c_2Earithmetic_2E_2D @ C @ A ) @ B ) )
          @ ( c_2Elist_2ELENGTH @ $o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(6,axiom,
    ( ! [A: tyop_2Enum_2Enum,B: tyop_2Elist_2Elist @ $o] :
        ( ( c_2Ebitstring_2Ezero__extend @ A @ B )
        = ( c_2Ebitstring_2Eextend @ c_2Ebool_2EF @ ( c_2Earithmetic_2E_2D @ A @ ( c_2Elist_2ELENGTH @ $o @ B ) ) @ B ) )
    & ! [A: tyop_2Enum_2Enum,B: tyop_2Elist_2Elist @ $o] :
        ( ( c_2Ebitstring_2Esign__extend @ $o @ A @ B )
        = ( c_2Ebitstring_2Eextend @ ( c_2Elist_2EHD @ $o @ B ) @ ( c_2Earithmetic_2E_2D @ A @ ( c_2Elist_2ELENGTH @ $o @ B ) ) @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebitstring_2Eextend)).

thf(29,plain,
    ( ! [A: tyop_2Enum_2Enum,B: tyop_2Elist_2Elist @ $o] :
        ( ( c_2Ebitstring_2Ezero__extend @ A @ B )
        = ( c_2Ebitstring_2Eextend @ c_2Ebool_2EF @ ( c_2Earithmetic_2E_2D @ A @ ( c_2Elist_2ELENGTH @ $o @ B ) ) @ B ) )
    & ! [A: tyop_2Enum_2Enum,B: tyop_2Elist_2Elist @ $o] :
        ( ( c_2Ebitstring_2Esign__extend @ $o @ A @ B )
        = ( c_2Ebitstring_2Eextend @ ( c_2Elist_2EHD @ $o @ B ) @ ( c_2Earithmetic_2E_2D @ A @ ( c_2Elist_2ELENGTH @ $o @ B ) ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(8,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA] :
      ( ( c_2Ebool_2ELET @ TA @ TB @ A @ B )
      = ( A @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ELET__THM)).

thf(38,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TB,B: TA] :
      ( ( c_2Ebool_2ELET @ TA @ TB @ A @ B )
      = ( A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(3,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
      = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(13,plain,(
    ! [TA: $tType] : c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(9,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(41,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(7,axiom,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Elist_2Elist @ $o] :
      ( ( c_2Ebitstring_2Efixwidth @ A @ B )
      = ( c_2Ebool_2ELET @ tyop_2Enum_2Enum @ ( tyop_2Elist_2Elist @ $o )
        @ ^ [C: tyop_2Enum_2Enum] :
            ( c_2Ebool_2ECOND @ ( tyop_2Elist_2Elist @ $o ) @ ( c_2Eprim__rec_2E_3C @ C @ A ) @ ( c_2Ebitstring_2Ezero__extend @ A @ B ) @ ( c_2Elist_2EDROP @ $o @ ( c_2Earithmetic_2E_2D @ C @ A ) @ B ) )
        @ ( c_2Elist_2ELENGTH @ $o @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebitstring_2Efixwidth__def)).

thf(35,plain,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Elist_2Elist @ $o] :
      ( ( c_2Ebitstring_2Efixwidth @ A @ B )
      = ( c_2Ebool_2ELET @ tyop_2Enum_2Enum @ ( tyop_2Elist_2Elist @ $o )
        @ ^ [C: tyop_2Enum_2Enum] :
            ( c_2Ebool_2ECOND @ ( tyop_2Elist_2Elist @ $o ) @ ( c_2Eprim__rec_2E_3C @ C @ A ) @ ( c_2Ebitstring_2Ezero__extend @ A @ B ) @ ( c_2Elist_2EDROP @ $o @ ( c_2Earithmetic_2E_2D @ C @ A ) @ B ) )
        @ ( c_2Elist_2ELENGTH @ $o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(5,axiom,(
    ! [TA: $tType,A: $o,B: $o,C: TA,D: TA,E: TA,F: TA] :
      ( ( ( A = B )
        & ( B
         => ( C = D ) )
        & ( ~ B
         => ( E = F ) ) )
     => ( ( c_2Ebool_2ECOND @ TA @ A @ C @ E )
        = ( c_2Ebool_2ECOND @ TA @ B @ D @ F ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CONG)).

thf(16,plain,(
    ! [TA: $tType,A: $o,B: $o,C: TA,D: TA,E: TA,F: TA] :
      ( ( ( A = B )
        & ( B
         => ( C = D ) )
        & ( ~ B
         => ( E = F ) ) )
     => ( ( c_2Ebool_2ECOND @ TA @ A @ C @ E )
        = ( c_2Ebool_2ECOND @ TA @ B @ D @ F ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(4,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(15,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(51,plain,(
    $false ),
    inference(cvc4,[status(thm)],[10,29,38,13,41,35,16,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.06/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.13  % CPULimit   : 300
% 0.06/0.13  % DateTime   : Wed Jul 31 04:04:29 EDT 2019
% 0.06/0.13  % CPUTime    : 
% 3.05/1.30  % [INFO] 	 Running in sequential loop mode. 
% 3.84/1.49  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.17/1.55  % [INFO] 	 iprover registered as external prover. 
% 4.17/1.55  % [INFO] 	 e registered as external prover. 
% 4.17/1.56  % [INFO] 	 cvc4 registered as external prover. 
% 4.17/1.56  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.37/1.62  % [INFO] 	 Found a conjecture and 17 axioms. Running axiom selection ... 
% 4.67/1.67  % [INFO] 	 Axiom selection finished. Selected 7 axioms (removed 10 axioms). 
% 4.77/1.70  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.82/2.40  % [INFO] 	 Killing All external provers ... 
% 7.11/2.40  % Time passed: 2125ms
% 7.11/2.40  % Effective reasoning time: 1093ms
% 7.11/2.40  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.11/2.40  % Axioms used in derivation (7): thm_2Ebitstring_2Efixwidth__def, thm_2Ebool_2EREFL__CLAUSE, thm_2Ebool_2EEQ__CLAUSES, thm_2Ebitstring_2Eextend, thm_2Ebool_2ECOND__CONG, thm_2Ebool_2ETRUTH, thm_2Ebool_2ELET__THM
% 7.11/2.40  % No. of inferences in proof: 18
% 7.11/2.40  % No. of processed clauses: 2
% 7.11/2.40  % No. of generated clauses: 0
% 7.11/2.40  % No. of forward subsumed clauses: 1
% 7.11/2.40  % No. of backward subsumed clauses: 0
% 7.11/2.40  % No. of ground rewrite rules in store: 2
% 7.11/2.40  % No. of non-ground rewrite rules in store: 0
% 7.11/2.40  % No. of positive (non-rewrite) units in store: 0
% 7.11/2.40  % No. of negative (non-rewrite) units in store: 0
% 7.11/2.40  % No. of choice functions detected: 0
% 7.11/2.40  % No. of choice instantiations: 0
% 7.11/2.40  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2125 ms resp. 1093 ms w/o parsing
% 7.11/2.43  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.11/2.43  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.11/2.43  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 7.11/2.43  thf(c_2Earithmetic_2E_2D_type, type, c_2Earithmetic_2E_2D: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > tyop_2Enum_2Enum))).
% 7.11/2.43  thf(c_2Eprim__rec_2E_3C_type, type, c_2Eprim__rec_2E_3C: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > $o))).
% 7.11/2.43  thf(c_2Ebool_2ECOND_type, type, c_2Ebool_2ECOND: !>[TA: $tType]: ($o > (TA > (TA > TA)))).
% 7.11/2.43  thf(c_2Elist_2EDROP_type, type, c_2Elist_2EDROP: !>[TA: $tType]: (tyop_2Enum_2Enum > ((tyop_2Elist_2Elist @ TA) > (tyop_2Elist_2Elist @ TA)))).
% 7.11/2.43  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 7.11/2.43  thf(c_2Elist_2EHD_type, type, c_2Elist_2EHD: !>[TA: $tType]: ((tyop_2Elist_2Elist @ TA) > TA)).
% 7.11/2.43  thf(c_2Elist_2ELENGTH_type, type, c_2Elist_2ELENGTH: !>[TA: $tType]: ((tyop_2Elist_2Elist @ TA) > tyop_2Enum_2Enum)).
% 7.11/2.43  thf(c_2Ebool_2ELET_type, type, c_2Ebool_2ELET: !>[TA: $tType,TB: $tType]: ((TA > TB) > (TA > TB))).
% 7.11/2.43  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 7.11/2.43  thf(c_2Ebitstring_2Eextend_type, type, c_2Ebitstring_2Eextend: ($o > (tyop_2Enum_2Enum > ((tyop_2Elist_2Elist @ $o) > (tyop_2Elist_2Elist @ $o))))).
% 7.11/2.43  thf(c_2Ebitstring_2Efixwidth_type, type, c_2Ebitstring_2Efixwidth: (tyop_2Enum_2Enum > ((tyop_2Elist_2Elist @ $o) > (tyop_2Elist_2Elist @ $o)))).
% 7.11/2.43  thf(c_2Ebitstring_2Esign__extend_type, type, c_2Ebitstring_2Esign__extend: !>[TA: $tType]: (tyop_2Enum_2Enum > ((tyop_2Elist_2Elist @ TA) > (tyop_2Elist_2Elist @ TA)))).
% 7.11/2.43  thf(c_2Ebitstring_2Ezero__extend_type, type, c_2Ebitstring_2Ezero__extend: (tyop_2Enum_2Enum > ((tyop_2Elist_2Elist @ $o) > (tyop_2Elist_2Elist @ $o)))).
% 7.11/2.43  thf(1,conjecture,((! [A:tyop_2Enum_2Enum,B:(tyop_2Elist_2Elist @ $o)]: ((c_2Ebitstring_2Efixwidth @ A @ B) = (c_2Ebool_2ELET @ tyop_2Enum_2Enum @ (tyop_2Elist_2Elist @ $o) @ (^ [C:tyop_2Enum_2Enum]: (c_2Ebool_2ECOND @ (tyop_2Elist_2Elist @ $o) @ (c_2Eprim__rec_2E_3C @ C @ A) @ (c_2Ebitstring_2Eextend @ c_2Ebool_2EF @ (c_2Earithmetic_2E_2D @ A @ C) @ B) @ (c_2Elist_2EDROP @ $o @ (c_2Earithmetic_2E_2D @ C @ A) @ B))) @ (c_2Elist_2ELENGTH @ $o @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebitstring_2Efixwidth)).
% 7.11/2.43  thf(2,negated_conjecture,((~ (! [A:tyop_2Enum_2Enum,B:(tyop_2Elist_2Elist @ $o)]: ((c_2Ebitstring_2Efixwidth @ A @ B) = (c_2Ebool_2ELET @ tyop_2Enum_2Enum @ (tyop_2Elist_2Elist @ $o) @ (^ [C:tyop_2Enum_2Enum]: (c_2Ebool_2ECOND @ (tyop_2Elist_2Elist @ $o) @ (c_2Eprim__rec_2E_3C @ C @ A) @ (c_2Ebitstring_2Eextend @ c_2Ebool_2EF @ (c_2Earithmetic_2E_2D @ A @ C) @ B) @ (c_2Elist_2EDROP @ $o @ (c_2Earithmetic_2E_2D @ C @ A) @ B))) @ (c_2Elist_2ELENGTH @ $o @ B)))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.11/2.43  thf(10,plain,((~ (! [A:tyop_2Enum_2Enum,B:(tyop_2Elist_2Elist @ $o)]: ((c_2Ebitstring_2Efixwidth @ A @ B) = (c_2Ebool_2ELET @ tyop_2Enum_2Enum @ (tyop_2Elist_2Elist @ $o) @ (^ [C:tyop_2Enum_2Enum]: (c_2Ebool_2ECOND @ (tyop_2Elist_2Elist @ $o) @ (c_2Eprim__rec_2E_3C @ C @ A) @ (c_2Ebitstring_2Eextend @ c_2Ebool_2EF @ (c_2Earithmetic_2E_2D @ A @ C) @ B) @ (c_2Elist_2EDROP @ $o @ (c_2Earithmetic_2E_2D @ C @ A) @ B))) @ (c_2Elist_2ELENGTH @ $o @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.11/2.43  thf(6,axiom,((! [A:tyop_2Enum_2Enum,B:(tyop_2Elist_2Elist @ $o)]: ((c_2Ebitstring_2Ezero__extend @ A @ B) = (c_2Ebitstring_2Eextend @ c_2Ebool_2EF @ (c_2Earithmetic_2E_2D @ A @ (c_2Elist_2ELENGTH @ $o @ B)) @ B)) & ! [A:tyop_2Enum_2Enum,B:(tyop_2Elist_2Elist @ $o)]: ((c_2Ebitstring_2Esign__extend @ $o @ A @ B) = (c_2Ebitstring_2Eextend @ (c_2Elist_2EHD @ $o @ B) @ (c_2Earithmetic_2E_2D @ A @ (c_2Elist_2ELENGTH @ $o @ B)) @ B)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebitstring_2Eextend)).
% 7.11/2.43  thf(29,plain,((! [A:tyop_2Enum_2Enum,B:(tyop_2Elist_2Elist @ $o)]: ((c_2Ebitstring_2Ezero__extend @ A @ B) = (c_2Ebitstring_2Eextend @ c_2Ebool_2EF @ (c_2Earithmetic_2E_2D @ A @ (c_2Elist_2ELENGTH @ $o @ B)) @ B)) & ! [A:tyop_2Enum_2Enum,B:(tyop_2Elist_2Elist @ $o)]: ((c_2Ebitstring_2Esign__extend @ $o @ A @ B) = (c_2Ebitstring_2Eextend @ (c_2Elist_2EHD @ $o @ B) @ (c_2Earithmetic_2E_2D @ A @ (c_2Elist_2ELENGTH @ $o @ B)) @ B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 7.11/2.43  thf(8,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:TA]: ((c_2Ebool_2ELET @ TA @ TB @ A @ B) = (A @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ELET__THM)).
% 7.11/2.43  thf(38,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > TB),B:TA]: ((c_2Ebool_2ELET @ TA @ TB @ (A) @ B) = (A @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 7.11/2.43  thf(3,axiom,((! [TA: $tType]: (! [A:TA]: ((A = A) = c_2Ebool_2ET)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).
% 7.11/2.43  thf(13,plain,((! [TA: $tType]: (c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.11/2.43  thf(9,axiom,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).
% 7.11/2.43  thf(41,plain,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 7.11/2.43  thf(7,axiom,((! [A:tyop_2Enum_2Enum,B:(tyop_2Elist_2Elist @ $o)]: ((c_2Ebitstring_2Efixwidth @ A @ B) = (c_2Ebool_2ELET @ tyop_2Enum_2Enum @ (tyop_2Elist_2Elist @ $o) @ (^ [C:tyop_2Enum_2Enum]: (c_2Ebool_2ECOND @ (tyop_2Elist_2Elist @ $o) @ (c_2Eprim__rec_2E_3C @ C @ A) @ (c_2Ebitstring_2Ezero__extend @ A @ B) @ (c_2Elist_2EDROP @ $o @ (c_2Earithmetic_2E_2D @ C @ A) @ B))) @ (c_2Elist_2ELENGTH @ $o @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebitstring_2Efixwidth__def)).
% 7.11/2.43  thf(35,plain,((! [A:tyop_2Enum_2Enum,B:(tyop_2Elist_2Elist @ $o)]: ((c_2Ebitstring_2Efixwidth @ A @ B) = (c_2Ebool_2ELET @ tyop_2Enum_2Enum @ (tyop_2Elist_2Elist @ $o) @ (^ [C:tyop_2Enum_2Enum]: (c_2Ebool_2ECOND @ (tyop_2Elist_2Elist @ $o) @ (c_2Eprim__rec_2E_3C @ C @ A) @ (c_2Ebitstring_2Ezero__extend @ A @ B) @ (c_2Elist_2EDROP @ $o @ (c_2Earithmetic_2E_2D @ C @ A) @ B))) @ (c_2Elist_2ELENGTH @ $o @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 7.11/2.43  thf(5,axiom,((! [TA: $tType]: (! [A:$o,B:$o,C:TA,D:TA,E:TA,F:TA]: (((A = B) & ((B) => (C = D)) & ((~ (B)) => (E = F))) => ((c_2Ebool_2ECOND @ TA @ A @ C @ E) = (c_2Ebool_2ECOND @ TA @ B @ D @ F)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CONG)).
% 7.11/2.43  thf(16,plain,((! [TA: $tType]: (! [A:$o,B:$o,C:TA,D:TA,E:TA,F:TA]: (((A = B) & ((B) => (C = D)) & ((~ (B)) => (E = F))) => ((c_2Ebool_2ECOND @ TA @ A @ C @ E) = (c_2Ebool_2ECOND @ TA @ B @ D @ F)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.11/2.43  thf(4,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 7.11/2.43  thf(15,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.11/2.43  thf(51,plain,($false),inference(cvc4,[status(thm)],[10,29,38,13,41,35,16,15])).
% 7.11/2.43  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.11/2.43  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
