%------------------------------------------------------------------------------
thf(u_type,type,(
    u: $tType )).

thf(d_type,type,(
    d: $tType )).

thf(du_type,type,(
    du: $tType )).

thf(mono_2Etyop_2Enum_2Enum_type,type,(
    mono_2Etyop_2Enum_2Enum: $tType )).

thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: d )).

thf(tyop_2Emin_2Efun_type,type,(
    tyop_2Emin_2Efun: d > d > d )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: d )).

thf(tyop_2Eoption_2Eoption_type,type,(
    tyop_2Eoption_2Eoption: d > d )).

thf(tyop_2Esptree_2Espt_type,type,(
    tyop_2Esptree_2Espt: d > d )).

thf(s_type,type,(
    s: d > u > du )).

thf(app_2E2_type,type,(
    app_2E2: du > du > u )).

thf(combin_i_2E0_type,type,(
    combin_i_2E0: u )).

thf(combin_k_2E0_type,type,(
    combin_k_2E0: u )).

thf(combin_s_2E0_type,type,(
    combin_s_2E0: u )).

thf(c_2Ebool_2E_21_2E0_type,type,(
    c_2Ebool_2E_21_2E0: u )).

thf(c_2Ebool_2E_21_2E1_type,type,(
    c_2Ebool_2E_21_2E1: du > u )).

thf(c_2Emin_2E_3D_2E0_type,type,(
    c_2Emin_2E_3D_2E0: u )).

thf(c_2Emin_2E_3D_2E2_type,type,(
    c_2Emin_2E_3D_2E2: du > du > u )).

thf(c_2Ebool_2E_3F_2E0_type,type,(
    c_2Ebool_2E_3F_2E0: u )).

thf(c_2Ebool_2E_3F_2E1_type,type,(
    c_2Ebool_2E_3F_2E1: du > u )).

thf(c_2Emin_2E_40_2E0_type,type,(
    c_2Emin_2E_40_2E0: u )).

thf(c_2Emin_2E_40_2E1_type,type,(
    c_2Emin_2E_40_2E1: du > u )).

thf(c_2Esptree_2Einter_2E0_type,type,(
    c_2Esptree_2Einter_2E0: u )).

thf(c_2Esptree_2Einter_2E2_type,type,(
    c_2Esptree_2Einter_2E2: du > du > u )).

thf(c_2Esptree_2Elookup_2E0_type,type,(
    c_2Esptree_2Elookup_2E0: u )).

thf(c_2Esptree_2Elookup_2E2_type,type,(
    c_2Esptree_2Elookup_2E2: du > du > u )).

thf(c_2Esptree_2Ewf_2E0_type,type,(
    c_2Esptree_2Ewf_2E0: u )).

thf(c_2Esptree_2Ewf_2E1_type,type,(
    c_2Esptree_2Ewf_2E1: du > u )).

thf(i_mono_2Etyop_2Emin_2Ebool_type,type,(
    i_mono_2Etyop_2Emin_2Ebool: $o > u )).

thf(i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_type,type,(
    i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29: ( $o > $o ) > u )).

thf(i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29_type,type,(
    i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29: ( $o > $o > $o ) > u )).

thf(i_mono_2Etyop_2Enum_2Enum_type,type,(
    i_mono_2Etyop_2Enum_2Enum: mono_2Etyop_2Enum_2Enum > u )).

thf(j_mono_2Etyop_2Emin_2Ebool_type,type,(
    j_mono_2Etyop_2Emin_2Ebool: du > $o )).

thf(j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_type,type,(
    j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29: du > $o > $o )).

thf(j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29_type,type,(
    j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29: du > $o > $o > $o )).

thf(j_mono_2Etyop_2Enum_2Enum_type,type,(
    j_mono_2Etyop_2Enum_2Enum: du > mono_2Etyop_2Enum_2Enum )).

thf(16,axiom,(
    ! [A: d,B: d,C: d,D: u,E: u,F: u] :
      ( ( s @ C @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ C ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ B ) @ ( tyop_2Emin_2Efun @ A @ C ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ B ) @ ( tyop_2Emin_2Efun @ A @ C ) ) ) @ combin_s_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ D ) ) ) @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ E ) ) ) @ ( s @ A @ F ) ) )
      = ( s @ C @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ B @ C ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ D ) @ ( s @ A @ F ) ) ) @ ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ E ) @ ( s @ A @ F ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',reserved_2Eho_2Es__thm)).

thf(101,plain,(
    ! [A: d,B: d,C: d,D: u,E: u,F: u] :
      ( ( s @ C @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ C ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ B ) @ ( tyop_2Emin_2Efun @ A @ C ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ B ) @ ( tyop_2Emin_2Efun @ A @ C ) ) ) @ combin_s_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ D ) ) ) @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ E ) ) ) @ ( s @ A @ F ) ) )
      = ( s @ C @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ B @ C ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ D ) @ ( s @ A @ F ) ) ) @ ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ E ) @ ( s @ A @ F ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(30,axiom,(
    ! [A: d,B: u] :
      ( ( s @ A @ ( c_2Emin_2E_40_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) )
      = ( s @ A @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ A ) @ c_2Emin_2E_40_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq1_2Emono_2Ec_2Emin_2E_40_2E1_2Emono_2EA_27a)).

thf(142,plain,(
    ! [A: d,B: u] :
      ( ( s @ A @ ( c_2Emin_2E_40_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) )
      = ( s @ A @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ A ) @ c_2Emin_2E_40_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(1,conjecture,(
    ! [A: d,B: d,C: d,D: u,E: u,F: u,G: u] :
      ( ( ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einter_2E2 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ D ) @ ( s @ ( tyop_2Esptree_2Espt @ B ) @ E ) ) )
        = ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einter_2E2 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ F ) @ ( s @ ( tyop_2Esptree_2Espt @ C ) @ G ) ) ) )
      = ( ! [H: mono_2Etyop_2Enum_2Enum] :
            ( ( s @ ( tyop_2Eoption_2Eoption @ A ) @ ( c_2Esptree_2Elookup_2E2 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ H ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einter_2E2 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ D ) @ ( s @ ( tyop_2Esptree_2Espt @ B ) @ E ) ) ) ) )
            = ( s @ ( tyop_2Eoption_2Eoption @ A ) @ ( c_2Esptree_2Elookup_2E2 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ H ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einter_2E2 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ F ) @ ( s @ ( tyop_2Esptree_2Espt @ C ) @ G ) ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esptree_2Einter__eq)).

thf(2,negated_conjecture,(
    ~ ! [A: d,B: d,C: d,D: u,E: u,F: u,G: u] :
        ( ( ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einter_2E2 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ D ) @ ( s @ ( tyop_2Esptree_2Espt @ B ) @ E ) ) )
          = ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einter_2E2 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ F ) @ ( s @ ( tyop_2Esptree_2Espt @ C ) @ G ) ) ) )
        = ( ! [H: mono_2Etyop_2Enum_2Enum] :
              ( ( s @ ( tyop_2Eoption_2Eoption @ A ) @ ( c_2Esptree_2Elookup_2E2 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ H ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einter_2E2 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ D ) @ ( s @ ( tyop_2Esptree_2Espt @ B ) @ E ) ) ) ) )
              = ( s @ ( tyop_2Eoption_2Eoption @ A ) @ ( c_2Esptree_2Elookup_2E2 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ H ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einter_2E2 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ F ) @ ( s @ ( tyop_2Esptree_2Espt @ C ) @ G ) ) ) ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(37,plain,(
    ~ ! [A: d,B: d,C: d,D: u,E: u,F: u,G: u] :
        ( ( ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einter_2E2 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ D ) @ ( s @ ( tyop_2Esptree_2Espt @ B ) @ E ) ) )
          = ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einter_2E2 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ F ) @ ( s @ ( tyop_2Esptree_2Espt @ C ) @ G ) ) ) )
        = ( ! [H: mono_2Etyop_2Enum_2Enum] :
              ( ( s @ ( tyop_2Eoption_2Eoption @ A ) @ ( c_2Esptree_2Elookup_2E2 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ H ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einter_2E2 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ D ) @ ( s @ ( tyop_2Esptree_2Espt @ B ) @ E ) ) ) ) )
              = ( s @ ( tyop_2Eoption_2Eoption @ A ) @ ( c_2Esptree_2Elookup_2E2 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ H ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einter_2E2 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ F ) @ ( s @ ( tyop_2Esptree_2Espt @ C ) @ G ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(5,axiom,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( ! [C: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',reserved_2Equant_2E_21)).

thf(52,plain,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( ! [C: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(19,axiom,(
    ! [A: mono_2Etyop_2Enum_2Enum] :
      ( ( j_mono_2Etyop_2Enum_2Enum @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ A ) ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ji_2Emono_2Etyop_2Enum_2Enum)).

thf(110,plain,(
    ! [A: mono_2Etyop_2Enum_2Enum] :
      ( ( j_mono_2Etyop_2Enum_2Enum @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ A ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(24,axiom,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( ? [C: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',reserved_2Equant_2E_3F)).

thf(125,plain,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( ? [C: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(35,axiom,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Esptree_2Ewf_2E1 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ B ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ tyop_2Emin_2Ebool ) @ c_2Esptree_2Ewf_2E0 ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq1_2Emono_2Ec_2Esptree_2Ewf_2E1_2Emono_2EA_27a)).

thf(157,plain,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Esptree_2Ewf_2E1 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ B ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ tyop_2Emin_2Ebool ) @ c_2Esptree_2Ewf_2E0 ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(13,axiom,(
    ! [A: $o > $o,B: $o] :
      ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( A @ B ) ) )
      = ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ A ) ) @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',monoeq_2Emono_2Eapp_2E2_2Emono_2Etyop_2Emin_2Ebool_20mono_2Etyop_2Emin_2Ebool)).

thf(78,plain,(
    ! [A: $o > $o,B: $o] :
      ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( A @ B ) ) )
      = ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ A ) ) @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(8,axiom,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ij_2Emono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29)).

thf(61,plain,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(21,axiom,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ ( c_2Emin_2E_40_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEXISTS__DEF)).

thf(116,plain,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ ( c_2Emin_2E_40_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(36,axiom,(
    ! [A: d,B: d,C: u,D: u] :
      ( ( s @ A @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ B @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ A ) ) @ combin_k_2E0 ) @ ( s @ A @ C ) ) ) @ ( s @ B @ D ) ) )
      = ( s @ A @ C ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',reserved_2Eho_2Ek__thm)).

thf(160,plain,(
    ! [A: d,B: d,C: u,D: u] :
      ( ( s @ A @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ B @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ A ) ) @ combin_k_2E0 ) @ ( s @ A @ C ) ) ) @ ( s @ B @ D ) ) )
      = ( s @ A @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(11,axiom,(
    ! [A: d,B: u,C: u] :
      ( ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Esptree_2Ewf_2E1 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ B ) ) ) )
        & ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Esptree_2Ewf_2E1 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) ) ) ) )
     => ( ( ( s @ ( tyop_2Esptree_2Espt @ A ) @ B )
          = ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) )
        = ( ! [D: mono_2Etyop_2Enum_2Enum] :
              ( ( s @ ( tyop_2Eoption_2Eoption @ A ) @ ( c_2Esptree_2Elookup_2E2 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ D ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ B ) ) )
              = ( s @ ( tyop_2Eoption_2Eoption @ A ) @ ( c_2Esptree_2Elookup_2E2 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ D ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esptree_2Espt__eq__thm)).

thf(70,plain,(
    ! [A: d,B: u,C: u] :
      ( ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Esptree_2Ewf_2E1 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ B ) ) ) )
        & ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Esptree_2Ewf_2E1 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) ) ) ) )
     => ( ( ( s @ ( tyop_2Esptree_2Espt @ A ) @ B )
          = ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) )
        = ( ! [D: mono_2Etyop_2Enum_2Enum] :
              ( ( s @ ( tyop_2Eoption_2Eoption @ A ) @ ( c_2Esptree_2Elookup_2E2 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ D ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ B ) ) )
              = ( s @ ( tyop_2Eoption_2Eoption @ A ) @ ( c_2Esptree_2Elookup_2E2 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ D ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(28,axiom,(
    ! [A: d,B: d,C: u,D: u] :
      ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Esptree_2Ewf_2E1 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einter_2E2 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) @ ( s @ ( tyop_2Esptree_2Espt @ B ) @ D ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esptree_2Ewf__inter)).

thf(137,plain,(
    ! [A: d,B: d,C: u,D: u] :
      ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Esptree_2Ewf_2E1 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einter_2E2 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) @ ( s @ ( tyop_2Esptree_2Espt @ B ) @ D ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(14,axiom,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ij_2Emono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29)).

thf(97,plain,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(27,axiom,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_21_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq1_2Emono_2Ec_2Ebool_2E_21_2E1_2Emono_2EA_27a)).

thf(134,plain,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_21_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(12,axiom,(
    ! [A: $o] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ A ) ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ji_2Emono_2Etyop_2Emin_2Ebool)).

thf(73,plain,(
    ! [A: $o] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ A ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(25,axiom,(
    ! [A: d,B: $o,C: u] :
      ( ( ! [D: u] :
            ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ C ) @ ( s @ A @ D ) ) ) )
            | B ) )
      = ( ! [D: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ C ) @ ( s @ A @ D ) ) ) )
        | B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ELEFT__FORALL__OR__THM)).

thf(128,plain,(
    ! [A: d,B: $o,C: u] :
      ( ( ! [D: u] :
            ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ C ) @ ( s @ A @ D ) ) ) )
            | B ) )
      = ( ! [D: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ C ) @ ( s @ A @ D ) ) ) )
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(32,axiom,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_3F_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq1_2Emono_2Ec_2Ebool_2E_3F_2E1_2Emono_2EA_27a)).

thf(148,plain,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_3F_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(9,axiom,(
    ! [A: u] :
      ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ A ) ) ) )
      = ( s @ tyop_2Emin_2Ebool @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ij_2Emono_2Etyop_2Emin_2Ebool)).

thf(64,plain,(
    ! [A: u] :
      ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ A ) ) ) )
      = ( s @ tyop_2Emin_2Ebool @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(20,axiom,(
    ! [A: d,B: $o,C: u] :
      ( ( B
        & ! [D: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ C ) @ ( s @ A @ D ) ) ) ) )
      = ( ! [D: u] :
            ( B
            & ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ C ) @ ( s @ A @ D ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ERIGHT__AND__FORALL__THM)).

thf(113,plain,(
    ! [A: d,B: $o,C: u] :
      ( ( B
        & ! [D: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ C ) @ ( s @ A @ D ) ) ) ) )
      = ( ! [D: u] :
            ( B
            & ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ C ) @ ( s @ A @ D ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(31,axiom,(
    ! [A: d,B: $o,C: u] :
      ( ( ! [D: u] :
            ( B
            | ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ C ) @ ( s @ A @ D ) ) ) ) ) )
      = ( B
        | ! [D: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ C ) @ ( s @ A @ D ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ERIGHT__FORALL__OR__THM)).

thf(145,plain,(
    ! [A: d,B: $o,C: u] :
      ( ( ! [D: u] :
            ( B
            | ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ C ) @ ( s @ A @ D ) ) ) ) ) )
      = ( B
        | ! [D: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ C ) @ ( s @ A @ D ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(10,axiom,(
    ! [A: $o > $o > $o,B: $o] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( A @ B ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',monoeq_2Emono_2Eapp_2E2_2Emono_2Etyop_2Emin_2Ebool_20mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29)).

thf(67,plain,(
    ! [A: $o > $o > $o,B: $o] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( A @ B ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(34,axiom,(
    ! [A: u] :
      ( ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ ( j_mono_2Etyop_2Enum_2Enum @ ( s @ tyop_2Enum_2Enum @ A ) ) ) )
      = ( s @ tyop_2Enum_2Enum @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ij_2Emono_2Etyop_2Enum_2Enum)).

thf(154,plain,(
    ! [A: u] :
      ( ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ ( j_mono_2Etyop_2Enum_2Enum @ ( s @ tyop_2Enum_2Enum @ A ) ) ) )
      = ( s @ tyop_2Enum_2Enum @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(4,axiom,(
    ! [A: $o > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ A ) ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ji_2Emono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29)).

thf(43,plain,(
    ! [A: $o > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ A ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(17,axiom,(
    ! [A: d,B: d,C: u,D: u] :
      ( ! [E: u] :
          ( ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ C ) @ ( s @ A @ E ) ) )
          = ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ D ) @ ( s @ A @ E ) ) ) )
     => ( ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ C )
        = ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ D ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',reserved_2Eho_2Eeq__ext)).

thf(104,plain,(
    ! [A: d,B: d,C: u,D: u] :
      ( ! [E: u] :
          ( ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ C ) @ ( s @ A @ E ) ) )
          = ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ D ) @ ( s @ A @ E ) ) ) )
     => ( ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ C )
        = ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ D ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(3,axiom,(
    ! [A: $o > $o > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ji_2Emono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29)).

thf(40,plain,(
    ! [A: $o > $o > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(6,axiom,(
    ! [A: d,B: mono_2Etyop_2Enum_2Enum,C: u] :
      ( ( s @ ( tyop_2Eoption_2Eoption @ A ) @ ( c_2Esptree_2Elookup_2E2 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) ) )
      = ( s @ ( tyop_2Eoption_2Eoption @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Eoption_2Eoption @ A ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Eoption_2Eoption @ A ) ) ) @ c_2Esptree_2Elookup_2E0 ) @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Emono_2Ec_2Esptree_2Elookup_2E2_2Emono_2EA_27a)).

thf(55,plain,(
    ! [A: d,B: mono_2Etyop_2Enum_2Enum,C: u] :
      ( ( s @ ( tyop_2Eoption_2Eoption @ A ) @ ( c_2Esptree_2Elookup_2E2 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) ) )
      = ( s @ ( tyop_2Eoption_2Eoption @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Eoption_2Eoption @ A ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Eoption_2Eoption @ A ) ) ) @ c_2Esptree_2Elookup_2E0 ) @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(29,axiom,(
    ! [A: d,B: u] :
      ( ( s @ A @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ A ) @ combin_i_2E0 ) @ ( s @ A @ B ) ) )
      = ( s @ A @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',reserved_2Eho_2Ei__thm)).

thf(139,plain,(
    ! [A: d,B: u] :
      ( ( s @ A @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ A ) @ combin_i_2E0 ) @ ( s @ A @ B ) ) )
      = ( s @ A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(22,axiom,(
    ! [A: d,B: u,C: u] :
      ( ( ( s @ A @ B )
        = ( s @ A @ C ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) ) @ c_2Emin_2E_3D_2E0 ) @ ( s @ A @ B ) ) ) @ ( s @ A @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Emono_2Ec_2Emin_2E_3D_2E2_2Emono_2EA_27a)).

thf(119,plain,(
    ! [A: d,B: u,C: u] :
      ( ( ( s @ A @ B )
        = ( s @ A @ C ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) ) @ c_2Emin_2E_3D_2E0 ) @ ( s @ A @ B ) ) ) @ ( s @ A @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(7,axiom,(
    ! [A: d,B: u,C: u] :
      ( ( ( s @ A @ B )
        = ( s @ A @ C ) )
      = ( ( s @ A @ C )
        = ( s @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__SYM__EQ)).

thf(58,plain,(
    ! [A: d,B: u,C: u] :
      ( ( ( s @ A @ B )
        = ( s @ A @ C ) )
      = ( ( s @ A @ C )
        = ( s @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(33,axiom,(
    ! [A: d,B: u,C: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ C ) ) ) )
     => ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ ( c_2Emin_2E_40_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ESELECT__AX)).

thf(151,plain,(
    ! [A: d,B: u,C: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ C ) ) ) )
     => ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ ( c_2Emin_2E_40_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(18,axiom,(
    ! [A: d,B: u,C: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Emin_2E_3D_2E2 @ ( s @ A @ B ) @ ( s @ A @ C ) ) ) )
      = ( ( s @ A @ B )
        = ( s @ A @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',reserved_2Elogic_2E_3D)).

thf(107,plain,(
    ! [A: d,B: u,C: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Emin_2E_3D_2E2 @ ( s @ A @ B ) @ ( s @ A @ C ) ) ) )
      = ( ( s @ A @ B )
        = ( s @ A @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(26,axiom,(
    ! [A: d,B: d,C: u,D: u] :
      ( ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einter_2E2 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) @ ( s @ ( tyop_2Esptree_2Espt @ B ) @ D ) ) )
      = ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ B ) @ ( tyop_2Esptree_2Espt @ A ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ B ) @ ( tyop_2Esptree_2Espt @ A ) ) ) @ c_2Esptree_2Einter_2E0 ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) ) ) @ ( s @ ( tyop_2Esptree_2Espt @ B ) @ D ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Emono_2Ec_2Esptree_2Einter_2E2_2Emono_2EA_27a_20mono_2EA_27c)).

thf(131,plain,(
    ! [A: d,B: d,C: u,D: u] :
      ( ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einter_2E2 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) @ ( s @ ( tyop_2Esptree_2Espt @ B ) @ D ) ) )
      = ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ B ) @ ( tyop_2Esptree_2Espt @ A ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ B ) @ ( tyop_2Esptree_2Espt @ A ) ) ) @ c_2Esptree_2Einter_2E0 ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) ) ) @ ( s @ ( tyop_2Esptree_2Espt @ B ) @ D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(23,axiom,(
    ! [A: d,B: d,C: u,D: u] :
      ( ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einter_2E2 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) @ ( s @ ( tyop_2Esptree_2Espt @ B ) @ D ) ) )
      = ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ B ) @ ( tyop_2Esptree_2Espt @ A ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ B ) @ ( tyop_2Esptree_2Espt @ A ) ) ) @ c_2Esptree_2Einter_2E0 ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) ) ) @ ( s @ ( tyop_2Esptree_2Espt @ B ) @ D ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Emono_2Ec_2Esptree_2Einter_2E2_2Emono_2EA_27a_20mono_2EA_27b)).

thf(122,plain,(
    ! [A: d,B: d,C: u,D: u] :
      ( ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einter_2E2 @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) @ ( s @ ( tyop_2Esptree_2Espt @ B ) @ D ) ) )
      = ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ B ) @ ( tyop_2Esptree_2Espt @ A ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ B ) @ ( tyop_2Esptree_2Espt @ A ) ) ) @ c_2Esptree_2Einter_2E0 ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) ) ) @ ( s @ ( tyop_2Esptree_2Espt @ B ) @ D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(15,axiom,(
    ! [A: d,B: u] :
      ( ( s @ A @ B )
      = ( s @ A @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__REFL)).

thf(100,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(173,plain,(
    $false ),
    inference(cvc4,[status(thm)],[101,142,37,52,110,125,157,78,61,116,160,70,137,97,134,73,128,148,64,113,145,67,154,43,104,40,55,139,119,58,151,107,131,122,100])).
%------------------------------------------------------------------------------
