%------------------------------------------------------------------------------
thf(u_type,type,(
    u: $tType )).

thf(d_type,type,(
    d: $tType )).

thf(du_type,type,(
    du: $tType )).

thf(mono_2Etyop_2Enum_2Enum_type,type,(
    mono_2Etyop_2Enum_2Enum: $tType )).

thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: d )).

thf(tyop_2Emin_2Efun_type,type,(
    tyop_2Emin_2Efun: d > d > d )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: d )).

thf(tyop_2Esptree_2Espt_type,type,(
    tyop_2Esptree_2Espt: d > d )).

thf(s_type,type,(
    s: d > u > du )).

thf(app_2E2_type,type,(
    app_2E2: du > du > u )).

thf(combin_i_2E0_type,type,(
    combin_i_2E0: u )).

thf(combin_k_2E0_type,type,(
    combin_k_2E0: u )).

thf(combin_s_2E0_type,type,(
    combin_s_2E0: u )).

thf(c_2Ebool_2E_21_2E0_type,type,(
    c_2Ebool_2E_21_2E0: u )).

thf(c_2Ebool_2E_21_2E1_type,type,(
    c_2Ebool_2E_21_2E1: du > u )).

thf(c_2Emin_2E_3D_2E0_type,type,(
    c_2Emin_2E_3D_2E0: u )).

thf(c_2Emin_2E_3D_2E2_type,type,(
    c_2Emin_2E_3D_2E2: du > du > u )).

thf(c_2Ebool_2E_3F_2E0_type,type,(
    c_2Ebool_2E_3F_2E0: u )).

thf(c_2Ebool_2E_3F_2E1_type,type,(
    c_2Ebool_2E_3F_2E1: du > u )).

thf(c_2Ebool_2ECOND_2E0_type,type,(
    c_2Ebool_2ECOND_2E0: u )).

thf(c_2Ebool_2ECOND_2E3_type,type,(
    c_2Ebool_2ECOND_2E3: du > du > du > u )).

thf(c_2Esptree_2Einsert_2E0_type,type,(
    c_2Esptree_2Einsert_2E0: u )).

thf(c_2Esptree_2Einsert_2E3_type,type,(
    c_2Esptree_2Einsert_2E3: du > du > du > u )).

thf(mono_2Ef7989_0_type,type,(
    mono_2Ef7989_0: mono_2Etyop_2Enum_2Enum > mono_2Etyop_2Enum_2Enum > $o )).

thf(mono_2Ec_2Ebool_2EF_type,type,(
    mono_2Ec_2Ebool_2EF: $o )).

thf(mono_2Ec_2Ebool_2ET_type,type,(
    mono_2Ec_2Ebool_2ET: $o )).

thf(i_mono_2Etyop_2Emin_2Ebool_type,type,(
    i_mono_2Etyop_2Emin_2Ebool: $o > u )).

thf(i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_type,type,(
    i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29: ( $o > $o ) > u )).

thf(i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29_type,type,(
    i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29: ( $o > $o > $o ) > u )).

thf(i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29_type,type,(
    i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29: ( mono_2Etyop_2Enum_2Enum > $o ) > u )).

thf(i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29_29_type,type,(
    i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29_29: ( mono_2Etyop_2Enum_2Enum > mono_2Etyop_2Enum_2Enum > $o ) > u )).

thf(i_mono_2Etyop_2Enum_2Enum_type,type,(
    i_mono_2Etyop_2Enum_2Enum: mono_2Etyop_2Enum_2Enum > u )).

thf(j_mono_2Etyop_2Emin_2Ebool_type,type,(
    j_mono_2Etyop_2Emin_2Ebool: du > $o )).

thf(j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_type,type,(
    j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29: du > $o > $o )).

thf(j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29_type,type,(
    j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29: du > $o > $o > $o )).

thf(j_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29_type,type,(
    j_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29: du > mono_2Etyop_2Enum_2Enum > $o )).

thf(j_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29_29_type,type,(
    j_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29_29: du > mono_2Etyop_2Enum_2Enum > mono_2Etyop_2Enum_2Enum > $o )).

thf(j_mono_2Etyop_2Enum_2Enum_type,type,(
    j_mono_2Etyop_2Enum_2Enum: du > mono_2Etyop_2Enum_2Enum )).

thf(7,axiom,(
    ! [A: $o > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ A ) ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ji_2Emono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29)).

thf(56,plain,(
    ! [A: $o > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ A ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(3,axiom,(
    ! [A: mono_2Etyop_2Enum_2Enum,B: mono_2Etyop_2Enum_2Enum] :
      ( ( mono_2Ef7989_0 @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',def0_2Ethm_2Esptree_2Einsert__insert)).

thf(42,plain,(
    ! [A: mono_2Etyop_2Enum_2Enum,B: mono_2Etyop_2Enum_2Enum] :
      ( ( mono_2Ef7989_0 @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(17,axiom,(
    ! [A: d,B: d,C: u,D: u] :
      ( ! [E: u] :
          ( ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ C ) @ ( s @ A @ E ) ) )
          = ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ D ) @ ( s @ A @ E ) ) ) )
     => ( ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ C )
        = ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ D ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',reserved_2Eho_2Eeq__ext)).

thf(110,plain,(
    ! [A: d,B: d,C: u,D: u] :
      ( ! [E: u] :
          ( ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ C ) @ ( s @ A @ E ) ) )
          = ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ D ) @ ( s @ A @ E ) ) ) )
     => ( ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ C )
        = ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ D ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(22,axiom,(
    ! [A: mono_2Etyop_2Enum_2Enum] :
      ( ( j_mono_2Etyop_2Enum_2Enum @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ A ) ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ji_2Emono_2Etyop_2Enum_2Enum)).

thf(125,plain,(
    ! [A: mono_2Etyop_2Enum_2Enum] :
      ( ( j_mono_2Etyop_2Enum_2Enum @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ A ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(5,axiom,(
    ! [A: mono_2Etyop_2Enum_2Enum > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29 @ A ) ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ji_2Emono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29)).

thf(46,plain,(
    ! [A: mono_2Etyop_2Enum_2Enum > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29 @ A ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(32,axiom,(
    ! [A: d,B: $o,C: $o,D: u,E: u,F: u,G: u] :
      ( ( ( B = C )
        & ( C
         => ( ( s @ A @ D )
            = ( s @ A @ E ) ) )
        & ( ~ C
         => ( ( s @ A @ F )
            = ( s @ A @ G ) ) ) )
     => ( ( s @ A @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) @ ( s @ A @ D ) @ ( s @ A @ F ) ) )
        = ( s @ A @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ C ) ) @ ( s @ A @ E ) @ ( s @ A @ G ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CONG)).

thf(179,plain,(
    ! [A: d,B: $o,C: $o,D: u,E: u,F: u,G: u] :
      ( ( ( B = C )
        & ( C
         => ( ( s @ A @ D )
            = ( s @ A @ E ) ) )
        & ( ~ C
         => ( ( s @ A @ F )
            = ( s @ A @ G ) ) ) )
     => ( ( s @ A @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) @ ( s @ A @ D ) @ ( s @ A @ F ) ) )
        = ( s @ A @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ C ) ) @ ( s @ A @ E ) @ ( s @ A @ G ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(38,axiom,(
    ! [A: d,B: d,C: u,D: u] :
      ( ( s @ A @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ B @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ A ) ) @ combin_k_2E0 ) @ ( s @ A @ C ) ) ) @ ( s @ B @ D ) ) )
      = ( s @ A @ C ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',reserved_2Eho_2Ek__thm)).

thf(211,plain,(
    ! [A: d,B: d,C: u,D: u] :
      ( ( s @ A @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ B @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ A ) ) @ combin_k_2E0 ) @ ( s @ A @ C ) ) ) @ ( s @ B @ D ) ) )
      = ( s @ A @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(19,axiom,(
    ! [A: d,B: $o,C: u,D: u] :
      ( ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ D ) ) )
      = ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Esptree_2Espt @ A ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Esptree_2Espt @ A ) ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Esptree_2Espt @ A ) ) ) ) @ c_2Ebool_2ECOND_2E0 ) @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ D ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq3_2Emono_2Ec_2Ebool_2ECOND_2E3_2Emono_2Etyop_2Esptree_2Espt_28A_27a_29)).

thf(116,plain,(
    ! [A: d,B: $o,C: u,D: u] :
      ( ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ D ) ) )
      = ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Esptree_2Espt @ A ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Esptree_2Espt @ A ) ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Esptree_2Espt @ A ) ) ) ) @ c_2Ebool_2ECOND_2E0 ) @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ C ) ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(11,axiom,(
    ! [A: u] :
      ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ A ) ) ) )
      = ( s @ tyop_2Emin_2Ebool @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ij_2Emono_2Etyop_2Emin_2Ebool)).

thf(74,plain,(
    ! [A: u] :
      ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ A ) ) ) )
      = ( s @ tyop_2Emin_2Ebool @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(14,axiom,(
    ! [A: $o > $o,B: $o] :
      ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( A @ B ) ) )
      = ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ A ) ) @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',monoeq_2Emono_2Eapp_2E2_2Emono_2Etyop_2Emin_2Ebool_20mono_2Etyop_2Emin_2Ebool)).

thf(85,plain,(
    ! [A: $o > $o,B: $o] :
      ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( A @ B ) ) )
      = ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ A ) ) @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(33,axiom,(
    ! [A: d,B: u] :
      ( ( s @ A @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ A ) @ combin_i_2E0 ) @ ( s @ A @ B ) ) )
      = ( s @ A @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',reserved_2Eho_2Ei__thm)).

thf(192,plain,(
    ! [A: d,B: u] :
      ( ( s @ A @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ A ) @ combin_i_2E0 ) @ ( s @ A @ B ) ) )
      = ( s @ A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(8,axiom,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( ! [C: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',reserved_2Equant_2E_21)).

thf(65,plain,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( ! [C: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(6,axiom,(
    ! [A: $o > $o > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ji_2Emono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29)).

thf(53,plain,(
    ! [A: $o > $o > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(12,axiom,(
    ! [A: $o > $o > $o,B: $o] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( A @ B ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',monoeq_2Emono_2Eapp_2E2_2Emono_2Etyop_2Emin_2Ebool_20mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29)).

thf(77,plain,(
    ! [A: $o > $o > $o,B: $o] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( A @ B ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(25,axiom,(
    ! [A: mono_2Etyop_2Enum_2Enum > $o,B: mono_2Etyop_2Enum_2Enum] :
      ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( A @ B ) ) )
      = ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29 @ A ) ) @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',monoeq_2Emono_2Eapp_2E2_2Emono_2Etyop_2Enum_2Enum_20mono_2Etyop_2Emin_2Ebool)).

thf(134,plain,(
    ! [A: mono_2Etyop_2Enum_2Enum > $o,B: mono_2Etyop_2Enum_2Enum] :
      ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( A @ B ) ) )
      = ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29 @ A ) ) @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(23,axiom,(
    ! [A: d,B: u,C: u] :
      ( ( ( s @ A @ B )
        = ( s @ A @ C ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) ) @ c_2Emin_2E_3D_2E0 ) @ ( s @ A @ B ) ) ) @ ( s @ A @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Emono_2Ec_2Emin_2E_3D_2E2_2Emono_2EA_27a)).

thf(128,plain,(
    ! [A: d,B: u,C: u] :
      ( ( ( s @ A @ B )
        = ( s @ A @ C ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) ) @ c_2Emin_2E_3D_2E0 ) @ ( s @ A @ B ) ) ) @ ( s @ A @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(36,axiom,(
    ! [A: u] :
      ( ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ ( j_mono_2Etyop_2Enum_2Enum @ ( s @ tyop_2Enum_2Enum @ A ) ) ) )
      = ( s @ tyop_2Enum_2Enum @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ij_2Emono_2Etyop_2Enum_2Enum)).

thf(205,plain,(
    ! [A: u] :
      ( ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ ( j_mono_2Etyop_2Enum_2Enum @ ( s @ tyop_2Enum_2Enum @ A ) ) ) )
      = ( s @ tyop_2Enum_2Enum @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(4,axiom,(
    mono_2Ec_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(45,plain,(
    mono_2Ec_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(28,axiom,(
    ! [A: mono_2Etyop_2Enum_2Enum > mono_2Etyop_2Enum_2Enum > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ji_2Emono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29_29)).

thf(161,plain,(
    ! [A: mono_2Etyop_2Enum_2Enum > mono_2Etyop_2Enum_2Enum > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(10,axiom,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ij_2Emono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29)).

thf(71,plain,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(29,axiom,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ij_2Emono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29)).

thf(172,plain,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(18,axiom,(
    ! [A: d,B: u,C: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Emin_2E_3D_2E2 @ ( s @ A @ B ) @ ( s @ A @ C ) ) ) )
      = ( ( s @ A @ B )
        = ( s @ A @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',reserved_2Elogic_2E_3D)).

thf(113,plain,(
    ! [A: d,B: u,C: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Emin_2E_3D_2E2 @ ( s @ A @ B ) @ ( s @ A @ C ) ) ) )
      = ( ( s @ A @ B )
        = ( s @ A @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(1,conjecture,(
    ! [A: d,B: u,C: mono_2Etyop_2Enum_2Enum,D: u,E: u] :
      ( ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einsert_2E3 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ C ) ) @ ( s @ A @ D ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einsert_2E3 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ C ) ) @ ( s @ A @ E ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ B ) ) ) ) )
      = ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einsert_2E3 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ C ) ) @ ( s @ A @ D ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esptree_2Einsert__shadow)).

thf(2,negated_conjecture,(
    ~ ! [A: d,B: u,C: mono_2Etyop_2Enum_2Enum,D: u,E: u] :
        ( ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einsert_2E3 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ C ) ) @ ( s @ A @ D ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einsert_2E3 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ C ) ) @ ( s @ A @ E ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ B ) ) ) ) )
        = ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einsert_2E3 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ C ) ) @ ( s @ A @ D ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ B ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(39,plain,(
    ~ ! [A: d,B: u,C: mono_2Etyop_2Enum_2Enum,D: u,E: u] :
        ( ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einsert_2E3 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ C ) ) @ ( s @ A @ D ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einsert_2E3 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ C ) ) @ ( s @ A @ E ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ B ) ) ) ) )
        = ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einsert_2E3 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ C ) ) @ ( s @ A @ D ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(37,axiom,(
    ! [A: d,B: mono_2Etyop_2Enum_2Enum,C: u,D: u] :
      ( ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einsert_2E3 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) @ ( s @ A @ C ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ D ) ) )
      = ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Esptree_2Espt @ A ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Esptree_2Espt @ A ) ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Esptree_2Espt @ A ) ) ) ) @ c_2Esptree_2Einsert_2E0 ) @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) ) ) @ ( s @ A @ C ) ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ D ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq3_2Emono_2Ec_2Esptree_2Einsert_2E3_2Emono_2EA_27a)).

thf(208,plain,(
    ! [A: d,B: mono_2Etyop_2Enum_2Enum,C: u,D: u] :
      ( ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einsert_2E3 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) @ ( s @ A @ C ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ D ) ) )
      = ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Esptree_2Espt @ A ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Esptree_2Espt @ A ) ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ ( tyop_2Esptree_2Espt @ A ) @ ( tyop_2Esptree_2Espt @ A ) ) ) ) @ c_2Esptree_2Einsert_2E0 ) @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) ) ) @ ( s @ A @ C ) ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(35,axiom,(
    ! [A: d] :
      ( ! [B: u,C: u] :
          ( ( s @ A @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ mono_2Ec_2Ebool_2ET ) ) @ ( s @ A @ B ) @ ( s @ A @ C ) ) )
          = ( s @ A @ B ) )
      & ! [B: u,C: u] :
          ( ( s @ A @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ mono_2Ec_2Ebool_2EF ) ) @ ( s @ A @ B ) @ ( s @ A @ C ) ) )
          = ( s @ A @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2Ebool__case__thm)).

thf(198,plain,(
    ! [A: d] :
      ( ! [B: u,C: u] :
          ( ( s @ A @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ mono_2Ec_2Ebool_2ET ) ) @ ( s @ A @ B ) @ ( s @ A @ C ) ) )
          = ( s @ A @ B ) )
      & ! [B: u,C: u] :
          ( ( s @ A @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ mono_2Ec_2Ebool_2EF ) ) @ ( s @ A @ B ) @ ( s @ A @ C ) ) )
          = ( s @ A @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(13,axiom,(
    ! [A: $o] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ A ) ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ji_2Emono_2Etyop_2Emin_2Ebool)).

thf(80,plain,(
    ! [A: $o] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ A ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(30,axiom,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_21_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq1_2Emono_2Ec_2Ebool_2E_21_2E1_2Emono_2EA_27a)).

thf(175,plain,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_21_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(26,axiom,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( ? [C: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',reserved_2Equant_2E_3F)).

thf(143,plain,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( ? [C: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(15,axiom,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ij_2Emono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29)).

thf(104,plain,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(20,axiom,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) ) @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ij_2Emono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29_29)).

thf(119,plain,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(27,axiom,(
    ! [A: mono_2Etyop_2Enum_2Enum > mono_2Etyop_2Enum_2Enum > $o,B: mono_2Etyop_2Enum_2Enum] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29 @ ( A @ B ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',monoeq_2Emono_2Eapp_2E2_2Emono_2Etyop_2Enum_2Enum_20mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29)).

thf(146,plain,(
    ! [A: mono_2Etyop_2Enum_2Enum > mono_2Etyop_2Enum_2Enum > $o,B: mono_2Etyop_2Enum_2Enum] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29 @ ( A @ B ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(16,axiom,(
    ! [A: d,B: d,C: d,D: u,E: u,F: u] :
      ( ( s @ C @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ C ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ B ) @ ( tyop_2Emin_2Efun @ A @ C ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ B ) @ ( tyop_2Emin_2Efun @ A @ C ) ) ) @ combin_s_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ D ) ) ) @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ E ) ) ) @ ( s @ A @ F ) ) )
      = ( s @ C @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ B @ C ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ D ) @ ( s @ A @ F ) ) ) @ ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ E ) @ ( s @ A @ F ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',reserved_2Eho_2Es__thm)).

thf(107,plain,(
    ! [A: d,B: d,C: d,D: u,E: u,F: u] :
      ( ( s @ C @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ C ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ B ) @ ( tyop_2Emin_2Efun @ A @ C ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ B ) @ ( tyop_2Emin_2Efun @ A @ C ) ) ) @ combin_s_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ D ) ) ) @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ E ) ) ) @ ( s @ A @ F ) ) )
      = ( s @ C @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ B @ C ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ D ) @ ( s @ A @ F ) ) ) @ ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ E ) @ ( s @ A @ F ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(34,axiom,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_3F_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq1_2Emono_2Ec_2Ebool_2E_3F_2E1_2Emono_2EA_27a)).

thf(195,plain,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_3F_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(24,axiom,(
    ! [A: d,B: $o,C: u,D: u] :
      ( ( s @ A @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) @ ( s @ A @ C ) @ ( s @ A @ D ) ) )
      = ( s @ A @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ A @ A ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ A @ A ) ) ) @ c_2Ebool_2ECOND_2E0 ) @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) ) ) @ ( s @ A @ C ) ) ) @ ( s @ A @ D ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq3_2Emono_2Ec_2Ebool_2ECOND_2E3_2Emono_2EA_27a)).

thf(131,plain,(
    ! [A: d,B: $o,C: u,D: u] :
      ( ( s @ A @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) @ ( s @ A @ C ) @ ( s @ A @ D ) ) )
      = ( s @ A @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ A @ A ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ A @ A ) ) ) @ c_2Ebool_2ECOND_2E0 ) @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) ) ) @ ( s @ A @ C ) ) ) @ ( s @ A @ D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(9,axiom,(
    ! [A: d,B: u,C: u] :
      ( ( ( s @ A @ B )
        = ( s @ A @ C ) )
      = ( ( s @ A @ C )
        = ( s @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__SYM__EQ)).

thf(68,plain,(
    ! [A: d,B: u,C: u] :
      ( ( ( s @ A @ B )
        = ( s @ A @ C ) )
      = ( ( s @ A @ C )
        = ( s @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(31,axiom,(
    ! [A: d,B: u] :
      ( ( ( s @ A @ B )
        = ( s @ A @ B ) )
      = mono_2Ec_2Ebool_2ET ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(178,plain,(
    mono_2Ec_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(21,axiom,(
    ! [A: d,B: mono_2Etyop_2Enum_2Enum,C: mono_2Etyop_2Enum_2Enum,D: u,E: u,F: u] :
      ( ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einsert_2E3 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) @ ( s @ A @ D ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einsert_2E3 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ C ) ) @ ( s @ A @ E ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ F ) ) ) ) )
      = ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( mono_2Ef7989_0 @ B @ C ) ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einsert_2E3 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) @ ( s @ A @ D ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ F ) ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einsert_2E3 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ C ) ) @ ( s @ A @ E ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einsert_2E3 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) @ ( s @ A @ D ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ F ) ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esptree_2Einsert__insert)).

thf(122,plain,(
    ! [A: d,B: mono_2Etyop_2Enum_2Enum,C: mono_2Etyop_2Enum_2Enum,D: u,E: u,F: u] :
      ( ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einsert_2E3 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) @ ( s @ A @ D ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einsert_2E3 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ C ) ) @ ( s @ A @ E ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ F ) ) ) ) )
      = ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( mono_2Ef7989_0 @ B @ C ) ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einsert_2E3 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) @ ( s @ A @ D ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ F ) ) ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einsert_2E3 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ C ) ) @ ( s @ A @ E ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ ( c_2Esptree_2Einsert_2E3 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) @ ( s @ A @ D ) @ ( s @ ( tyop_2Esptree_2Espt @ A ) @ F ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(686,plain,(
    $false ),
    inference(e,[status(thm)],[56,42,110,125,46,179,211,116,74,85,192,65,53,77,134,128,205,45,161,71,172,113,39,208,198,80,175,143,104,119,146,107,195,131,68,178,122])).
%------------------------------------------------------------------------------
