%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:41:01 EDT 2019

% Result     : Theorem 7.56s
% Output     : CNFRefutation 8.11s
% Verified   : 
% Statistics : Number of formulae       :   81 ( 100 expanded)
%              Number of leaves         :   47 (  56 expanded)
%              Depth                    :    5
%              Number of atoms          :  520 ( 695 expanded)
%              Number of equality atoms :   58 (  80 expanded)
%              Maximal formula depth    :   16 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Equote_2Eindex_type,type,(
    tyop_2Equote_2Eindex: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Elist_2ECONS_type,type,(
    c_2Elist_2ECONS: 
      !>[TA: $tType] :
        ( TA > ( tyop_2Elist_2Elist @ TA ) > ( tyop_2Elist_2Elist @ TA ) ) )).

thf(c_2Elist_2ENIL_type,type,(
    c_2Elist_2ENIL: 
      !>[TA: $tType] :
        ( tyop_2Elist_2Elist @ TA ) )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ecanonical_2Einterp__m_type,type,(
    c_2Ecanonical_2Einterp__m: 
      !>[TA: $tType] :
        ( ( tyop_2Esemi__ring_2Esemi__ring @ TA ) > ( tyop_2Equote_2Evarmap @ TA ) > TA > ( tyop_2Elist_2Elist @ tyop_2Equote_2Eindex ) > TA ) )).

thf(c_2Ecanonical_2Eivl__aux_type,type,(
    c_2Ecanonical_2Eivl__aux: 
      !>[TA: $tType] :
        ( ( tyop_2Esemi__ring_2Esemi__ring @ TA ) > ( tyop_2Equote_2Evarmap @ TA ) > tyop_2Equote_2Eindex > ( tyop_2Elist_2Elist @ tyop_2Equote_2Eindex ) > TA ) )).

thf(c_2EringNorm_2Er__interp__m_type,type,(
    c_2EringNorm_2Er__interp__m: 
      !>[TA: $tType] :
        ( ( tyop_2Ering_2Ering @ TA ) > ( tyop_2Equote_2Evarmap @ TA ) > TA > ( tyop_2Elist_2Elist @ tyop_2Equote_2Eindex ) > TA ) )).

thf(c_2EringNorm_2Er__ivl__aux_type,type,(
    c_2EringNorm_2Er__ivl__aux: 
      !>[TA: $tType] :
        ( ( tyop_2Ering_2Ering @ TA ) > ( tyop_2Equote_2Evarmap @ TA ) > tyop_2Equote_2Eindex > ( tyop_2Elist_2Elist @ tyop_2Equote_2Eindex ) > TA ) )).

thf(c_2Esemi__ring_2Erecordtype_2Esemi__ring_type,type,(
    c_2Esemi__ring_2Erecordtype_2Esemi__ring: 
      !>[TA: $tType] :
        ( TA > TA > ( TA > TA > TA ) > ( TA > TA > TA ) > ( tyop_2Esemi__ring_2Esemi__ring @ TA ) ) )).

thf(c_2Ering_2Ering__R0_type,type,(
    c_2Ering_2Ering__R0: 
      !>[TA: $tType] :
        ( ( tyop_2Ering_2Ering @ TA ) > TA ) )).

thf(c_2Ering_2Ering__R1_type,type,(
    c_2Ering_2Ering__R1: 
      !>[TA: $tType] :
        ( ( tyop_2Ering_2Ering @ TA ) > TA ) )).

thf(c_2Ering_2Ering__RM_type,type,(
    c_2Ering_2Ering__RM: 
      !>[TA: $tType] :
        ( ( tyop_2Ering_2Ering @ TA ) > TA > TA > TA ) )).

thf(c_2Ering_2Ering__RP_type,type,(
    c_2Ering_2Ering__RP: 
      !>[TA: $tType] :
        ( ( tyop_2Ering_2Ering @ TA ) > TA > TA > TA ) )).

thf(c_2Esemi__ring_2Esemi__ring__SR0_type,type,(
    c_2Esemi__ring_2Esemi__ring__SR0: 
      !>[TA: $tType] :
        ( ( tyop_2Esemi__ring_2Esemi__ring @ TA ) > TA ) )).

thf(c_2Esemi__ring_2Esemi__ring__SR1_type,type,(
    c_2Esemi__ring_2Esemi__ring__SR1: 
      !>[TA: $tType] :
        ( ( tyop_2Esemi__ring_2Esemi__ring @ TA ) > TA ) )).

thf(c_2Esemi__ring_2Esemi__ring__SRM_type,type,(
    c_2Esemi__ring_2Esemi__ring__SRM: 
      !>[TA: $tType] :
        ( ( tyop_2Esemi__ring_2Esemi__ring @ TA ) > TA > TA > TA ) )).

thf(c_2Esemi__ring_2Esemi__ring__SRP_type,type,(
    c_2Esemi__ring_2Esemi__ring__SRP: 
      !>[TA: $tType] :
        ( ( tyop_2Esemi__ring_2Esemi__ring @ TA ) > TA > TA > TA ) )).

thf(c_2Ering_2Esemi__ring__of_type,type,(
    c_2Ering_2Esemi__ring__of: 
      !>[TA: $tType] :
        ( ( tyop_2Ering_2Ering @ TA ) > ( tyop_2Esemi__ring_2Esemi__ring @ TA ) ) )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Ering_2Ering @ skt1 ) )).

thf(sk2_type,type,(
    sk2: ( tyop_2Equote_2Evarmap @ skt1 ) )).

thf(sk3_type,type,(
    sk3: skt1 )).

thf(sk4_type,type,(
    sk4: ( tyop_2Equote_2Evarmap @ skt1 ) )).

thf(sk5_type,type,(
    sk5: skt1 )).

thf(sk6_type,type,(
    sk6: tyop_2Equote_2Eindex )).

thf(sk7_type,type,(
    sk7: ( tyop_2Elist_2Elist @ tyop_2Equote_2Eindex ) )).

thf(13,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(67,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(68,plain,
    ( ( c_2Ebool_2E_7E @ $true )
    = ( ~ $true ) ),
    inference(instance,[status(thm)],[67])).

thf(69,plain,(
    ~ ( c_2Ebool_2E_7E @ $true ) ),
    inference(simp,[status(thm)],[68])).

thf(6,axiom,(
    ! [TA: $tType,A: tyop_2Ering_2Ering @ TA] :
      ( ( c_2Ering_2Esemi__ring__of @ TA @ A )
      = ( c_2Esemi__ring_2Erecordtype_2Esemi__ring @ TA @ ( c_2Ering_2Ering__R0 @ TA @ A ) @ ( c_2Ering_2Ering__R1 @ TA @ A ) @ ( c_2Ering_2Ering__RP @ TA @ A ) @ ( c_2Ering_2Ering__RM @ TA @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ering_2Esemi__ring__of__def)).

thf(37,plain,(
    ! [TA: $tType,A: tyop_2Ering_2Ering @ TA] :
      ( ( c_2Ering_2Esemi__ring__of @ TA @ A )
      = ( c_2Esemi__ring_2Erecordtype_2Esemi__ring @ TA @ ( c_2Ering_2Ering__R0 @ TA @ A ) @ ( c_2Ering_2Ering__R1 @ TA @ A ) @ ( c_2Ering_2Ering__RP @ TA @ A ) @ ( c_2Ering_2Ering__RM @ TA @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(10,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(52,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(8,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( A = B )
      = ( B = A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__SYM__EQ)).

thf(46,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( A = B )
      = ( B = A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(12,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(58,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(59,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $true )
    = ( $true
     => $true ) ),
    inference(instance,[status(thm)],[58])).

thf(60,plain,(
    c_2Emin_2E_3D_3D_3E @ $true @ $true ),
    inference(simp,[status(thm)],[59])).

thf(15,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(81,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(84,plain,
    ( ( c_2Ebool_2E_2F_5C @ $true @ $false )
    = ( $true
      & $false ) ),
    inference(instance,[status(thm)],[81])).

thf(85,plain,(
    ~ ( c_2Ebool_2E_2F_5C @ $true @ $false ) ),
    inference(simp,[status(thm)],[84])).

thf(5,axiom,(
    ! [TA: $tType,A: tyop_2Ering_2Ering @ TA] :
      ( ( c_2EringNorm_2Er__interp__m @ TA @ A )
      = ( c_2Ecanonical_2Einterp__m @ TA @ ( c_2Ering_2Esemi__ring__of @ TA @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EringNorm_2Er__interp__m__def)).

thf(34,plain,(
    ! [TA: $tType,A: tyop_2Ering_2Ering @ TA] :
      ( ( c_2EringNorm_2Er__interp__m @ TA @ A )
      = ( c_2Ecanonical_2Einterp__m @ TA @ ( c_2Ering_2Esemi__ring__of @ TA @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(63,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $false @ $true )
    = ( $false
     => $true ) ),
    inference(instance,[status(thm)],[58])).

thf(64,plain,(
    c_2Emin_2E_3D_3D_3E @ $false @ $true ),
    inference(simp,[status(thm)],[63])).

thf(70,plain,
    ( ( c_2Ebool_2E_7E @ $false )
    = ( ~ $false ) ),
    inference(instance,[status(thm)],[67])).

thf(71,plain,(
    c_2Ebool_2E_7E @ $false ),
    inference(simp,[status(thm)],[70])).

thf(9,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(49,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(65,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $false @ $false )
    = ( $false
     => $false ) ),
    inference(instance,[status(thm)],[58])).

thf(66,plain,(
    c_2Emin_2E_3D_3D_3E @ $false @ $false ),
    inference(simp,[status(thm)],[65])).

thf(14,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(72,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(79,plain,
    ( ( c_2Ebool_2E_5C_2F @ $false @ $false )
    = ( $false
      | $false ) ),
    inference(instance,[status(thm)],[72])).

thf(80,plain,(
    ~ ( c_2Ebool_2E_5C_2F @ $false @ $false ) ),
    inference(simp,[status(thm)],[79])).

thf(1,conjecture,(
    ! [TA: $tType,A: tyop_2Ering_2Ering @ TA] :
      ( ! [B: tyop_2Equote_2Evarmap @ TA,C: TA] :
          ( ( c_2EringNorm_2Er__interp__m @ TA @ A @ B @ C @ ( c_2Elist_2ENIL @ tyop_2Equote_2Eindex ) )
          = C )
      & ! [B: tyop_2Equote_2Evarmap @ TA,C: TA,D: tyop_2Equote_2Eindex,E: tyop_2Elist_2Elist @ tyop_2Equote_2Eindex] :
          ( ( c_2EringNorm_2Er__interp__m @ TA @ A @ B @ C @ ( c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ D @ E ) )
          = ( c_2Ering_2Ering__RM @ TA @ A @ C @ ( c_2EringNorm_2Er__ivl__aux @ TA @ A @ B @ D @ E ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EringNorm_2Einterp__m__def)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: tyop_2Ering_2Ering @ TA] :
        ( ! [B: tyop_2Equote_2Evarmap @ TA,C: TA] :
            ( ( c_2EringNorm_2Er__interp__m @ TA @ A @ B @ C @ ( c_2Elist_2ENIL @ tyop_2Equote_2Eindex ) )
            = C )
        & ! [B: tyop_2Equote_2Evarmap @ TA,C: TA,D: tyop_2Equote_2Eindex,E: tyop_2Elist_2Elist @ tyop_2Equote_2Eindex] :
            ( ( c_2EringNorm_2Er__interp__m @ TA @ A @ B @ C @ ( c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ D @ E ) )
            = ( c_2Ering_2Ering__RM @ TA @ A @ C @ ( c_2EringNorm_2Er__ivl__aux @ TA @ A @ B @ D @ E ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(16,plain,(
    ~ ! [TA: $tType,A: tyop_2Ering_2Ering @ TA] :
        ( ! [B: tyop_2Equote_2Evarmap @ TA,C: TA] :
            ( ( c_2EringNorm_2Er__interp__m @ TA @ A @ B @ C @ ( c_2Elist_2ENIL @ tyop_2Equote_2Eindex ) )
            = C )
        & ! [B: tyop_2Equote_2Evarmap @ TA,C: TA,D: tyop_2Equote_2Eindex,E: tyop_2Elist_2Elist @ tyop_2Equote_2Eindex] :
            ( ( c_2EringNorm_2Er__interp__m @ TA @ A @ B @ C @ ( c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ D @ E ) )
            = ( c_2Ering_2Ering__RM @ TA @ A @ C @ ( c_2EringNorm_2Er__ivl__aux @ TA @ A @ B @ D @ E ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(17,plain,
    ( ( ( c_2EringNorm_2Er__interp__m @ skt1 @ sk1 @ sk2 @ sk3 @ ( c_2Elist_2ENIL @ tyop_2Equote_2Eindex ) )
     != sk3 )
    | ( ( c_2EringNorm_2Er__interp__m @ skt1 @ sk1 @ sk4 @ sk5 @ ( c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ sk6 @ sk7 ) )
     != ( c_2Ering_2Ering__RM @ skt1 @ sk1 @ sk5 @ ( c_2EringNorm_2Er__ivl__aux @ skt1 @ sk1 @ sk4 @ sk6 @ sk7 ) ) ) ),
    inference(cnf,[status(esa)],[16])).

thf(18,plain,
    ( ( ( c_2EringNorm_2Er__interp__m @ skt1 @ sk1 @ sk2 @ sk3 @ ( c_2Elist_2ENIL @ tyop_2Equote_2Eindex ) )
     != sk3 )
    | ( ( c_2Ering_2Ering__RM @ skt1 @ sk1 @ sk5 @ ( c_2EringNorm_2Er__ivl__aux @ skt1 @ sk1 @ sk4 @ sk6 @ sk7 ) )
     != ( c_2EringNorm_2Er__interp__m @ skt1 @ sk1 @ sk4 @ sk5 @ ( c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ sk6 @ sk7 ) ) ) ),
    inference(lifteq,[status(thm)],[17])).

thf(4,axiom,(
    ! [TA: $tType,A: tyop_2Ering_2Ering @ TA] :
      ( ( c_2EringNorm_2Er__ivl__aux @ TA @ A )
      = ( c_2Ecanonical_2Eivl__aux @ TA @ ( c_2Ering_2Esemi__ring__of @ TA @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EringNorm_2Er__ivl__aux__def)).

thf(31,plain,(
    ! [TA: $tType,A: tyop_2Ering_2Ering @ TA] :
      ( ( c_2EringNorm_2Er__ivl__aux @ TA @ A )
      = ( c_2Ecanonical_2Eivl__aux @ TA @ ( c_2Ering_2Esemi__ring__of @ TA @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(7,axiom,(
    ! [TA: $tType] :
      ( ! [A: tyop_2Esemi__ring_2Esemi__ring @ TA,B: tyop_2Equote_2Evarmap @ TA,C: TA] :
          ( ( c_2Ecanonical_2Einterp__m @ TA @ A @ B @ C @ ( c_2Elist_2ENIL @ tyop_2Equote_2Eindex ) )
          = C )
      & ! [A: tyop_2Esemi__ring_2Esemi__ring @ TA,B: tyop_2Equote_2Evarmap @ TA,C: TA,D: tyop_2Equote_2Eindex,E: tyop_2Elist_2Elist @ tyop_2Equote_2Eindex] :
          ( ( c_2Ecanonical_2Einterp__m @ TA @ A @ B @ C @ ( c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ D @ E ) )
          = ( c_2Esemi__ring_2Esemi__ring__SRM @ TA @ A @ C @ ( c_2Ecanonical_2Eivl__aux @ TA @ A @ B @ D @ E ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecanonical_2Einterp__m__def)).

thf(40,plain,(
    ! [TA: $tType] :
      ( ! [A: tyop_2Esemi__ring_2Esemi__ring @ TA,B: tyop_2Equote_2Evarmap @ TA,C: TA] :
          ( ( c_2Ecanonical_2Einterp__m @ TA @ A @ B @ C @ ( c_2Elist_2ENIL @ tyop_2Equote_2Eindex ) )
          = C )
      & ! [A: tyop_2Esemi__ring_2Esemi__ring @ TA,B: tyop_2Equote_2Evarmap @ TA,C: TA,D: tyop_2Equote_2Eindex,E: tyop_2Elist_2Elist @ tyop_2Equote_2Eindex] :
          ( ( c_2Ecanonical_2Einterp__m @ TA @ A @ B @ C @ ( c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ D @ E ) )
          = ( c_2Esemi__ring_2Esemi__ring__SRM @ TA @ A @ C @ ( c_2Ecanonical_2Eivl__aux @ TA @ A @ B @ D @ E ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(11,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(55,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(3,axiom,(
    ! [TA: $tType] :
      ( ! [A: TA,B: TA,C: TA > TA > TA,D: TA > TA > TA] :
          ( ( c_2Esemi__ring_2Esemi__ring__SR0 @ TA @ ( c_2Esemi__ring_2Erecordtype_2Esemi__ring @ TA @ A @ B @ C @ D ) )
          = A )
      & ! [A: TA,B: TA,C: TA > TA > TA,D: TA > TA > TA] :
          ( ( c_2Esemi__ring_2Esemi__ring__SR1 @ TA @ ( c_2Esemi__ring_2Erecordtype_2Esemi__ring @ TA @ A @ B @ C @ D ) )
          = B )
      & ! [A: TA,B: TA,C: TA > TA > TA,D: TA > TA > TA] :
          ( ( c_2Esemi__ring_2Esemi__ring__SRP @ TA @ ( c_2Esemi__ring_2Erecordtype_2Esemi__ring @ TA @ A @ B @ C @ D ) )
          = C )
      & ! [A: TA,B: TA,C: TA > TA > TA,D: TA > TA > TA] :
          ( ( c_2Esemi__ring_2Esemi__ring__SRM @ TA @ ( c_2Esemi__ring_2Erecordtype_2Esemi__ring @ TA @ A @ B @ C @ D ) )
          = D ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esemi__ring_2Esemi__ring__accessors)).

thf(19,plain,(
    ! [TA: $tType] :
      ( ! [A: TA,B: TA,C: TA > TA > TA,D: TA > TA > TA] :
          ( ( c_2Esemi__ring_2Esemi__ring__SR0 @ TA @ ( c_2Esemi__ring_2Erecordtype_2Esemi__ring @ TA @ A @ B @ C @ D ) )
          = A )
      & ! [A: TA,B: TA,C: TA > TA > TA,D: TA > TA > TA] :
          ( ( c_2Esemi__ring_2Esemi__ring__SR1 @ TA @ ( c_2Esemi__ring_2Erecordtype_2Esemi__ring @ TA @ A @ B @ C @ D ) )
          = B )
      & ! [A: TA,B: TA,C: TA > TA > TA,D: TA > TA > TA] :
          ( ( c_2Esemi__ring_2Esemi__ring__SRP @ TA @ ( c_2Esemi__ring_2Erecordtype_2Esemi__ring @ TA @ A @ B @ C @ D ) )
          = C )
      & ! [A: TA,B: TA,C: TA > TA > TA,D: TA > TA > TA] :
          ( ( c_2Esemi__ring_2Esemi__ring__SRM @ TA @ ( c_2Esemi__ring_2Erecordtype_2Esemi__ring @ TA @ A @ B @ C @ D ) )
          = D ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(61,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $false )
    = ( $true
     => $false ) ),
    inference(instance,[status(thm)],[58])).

thf(62,plain,(
    ~ ( c_2Emin_2E_3D_3D_3E @ $true @ $false ) ),
    inference(simp,[status(thm)],[61])).

thf(103,plain,(
    $false ),
    inference(e,[status(thm)],[69,37,52,46,60,85,34,64,71,49,81,66,80,18,67,16,31,72,40,55,58,19,62])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.10/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.10/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.10/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.10/0.13  % CPULimit   : 300
% 0.10/0.13  % DateTime   : Wed Jul 31 05:20:29 EDT 2019
% 0.10/0.13  % CPUTime    : 
% 2.92/1.25  % [INFO] 	 Running in sequential loop mode. 
% 3.50/1.43  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.88/1.49  % [INFO] 	 iprover registered as external prover. 
% 3.88/1.49  % [INFO] 	 e registered as external prover. 
% 3.88/1.49  % [INFO] 	 cvc4 registered as external prover. 
% 4.01/1.50  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.17/1.56  % [INFO] 	 Found a conjecture and 13 axioms. Running axiom selection ... 
% 4.17/1.60  % [INFO] 	 Axiom selection finished. Selected 13 axioms (removed 0 axioms). 
% 4.35/1.65  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.56/2.57  % [INFO] 	 Killing All external provers ... 
% 7.56/2.58  % Time passed: 2315ms
% 7.56/2.58  % Effective reasoning time: 1323ms
% 7.56/2.58  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.56/2.58  % Axioms used in derivation (13): thm_2Ecanonical_2Einterp__m__def, logicdef_2E_3D, thm_2EringNorm_2Er__ivl__aux__def, logicdef_2E_5C_2F, thm_2Esemi__ring_2Esemi__ring__accessors, quantdef_2E_21, logicdef_2E_3D_3D_3E, thm_2Ering_2Esemi__ring__of__def, thm_2Ebool_2EEQ__SYM__EQ, logicdef_2E_2F_5C, logicdef_2E_7E, thm_2EringNorm_2Er__interp__m__def, quantdef_2E_3F
% 7.56/2.58  % No. of inferences in proof: 48
% 7.56/2.58  % No. of processed clauses: 10
% 7.56/2.58  % No. of generated clauses: 2
% 7.56/2.58  % No. of forward subsumed clauses: 0
% 7.56/2.58  % No. of backward subsumed clauses: 0
% 7.56/2.58  % No. of ground rewrite rules in store: 8
% 7.56/2.58  % No. of non-ground rewrite rules in store: 0
% 7.56/2.58  % No. of positive (non-rewrite) units in store: 1
% 7.56/2.58  % No. of negative (non-rewrite) units in store: 0
% 7.56/2.58  % No. of choice functions detected: 0
% 7.56/2.58  % No. of choice instantiations: 0
% 7.56/2.58  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2315 ms resp. 1323 ms w/o parsing
% 8.11/2.62  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 8.11/2.62  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 8.11/2.62  thf(tyop_2Equote_2Eindex_type, type, tyop_2Equote_2Eindex: $tType).
% 8.11/2.62  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 8.11/2.62  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 8.11/2.62  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 8.11/2.62  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 8.11/2.62  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 8.11/2.62  thf(c_2Elist_2ECONS_type, type, c_2Elist_2ECONS: !>[TA: $tType]: (TA > ((tyop_2Elist_2Elist @ TA) > (tyop_2Elist_2Elist @ TA)))).
% 8.11/2.62  thf(c_2Elist_2ENIL_type, type, c_2Elist_2ENIL: !>[TA: $tType]: (tyop_2Elist_2Elist @ TA)).
% 8.11/2.62  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 8.11/2.62  thf(c_2Ecanonical_2Einterp__m_type, type, c_2Ecanonical_2Einterp__m: !>[TA: $tType]: ((tyop_2Esemi__ring_2Esemi__ring @ TA) > ((tyop_2Equote_2Evarmap @ TA) > (TA > ((tyop_2Elist_2Elist @ tyop_2Equote_2Eindex) > TA))))).
% 8.11/2.62  thf(c_2Ecanonical_2Eivl__aux_type, type, c_2Ecanonical_2Eivl__aux: !>[TA: $tType]: ((tyop_2Esemi__ring_2Esemi__ring @ TA) > ((tyop_2Equote_2Evarmap @ TA) > (tyop_2Equote_2Eindex > ((tyop_2Elist_2Elist @ tyop_2Equote_2Eindex) > TA))))).
% 8.11/2.62  thf(c_2EringNorm_2Er__interp__m_type, type, c_2EringNorm_2Er__interp__m: !>[TA: $tType]: ((tyop_2Ering_2Ering @ TA) > ((tyop_2Equote_2Evarmap @ TA) > (TA > ((tyop_2Elist_2Elist @ tyop_2Equote_2Eindex) > TA))))).
% 8.11/2.62  thf(c_2EringNorm_2Er__ivl__aux_type, type, c_2EringNorm_2Er__ivl__aux: !>[TA: $tType]: ((tyop_2Ering_2Ering @ TA) > ((tyop_2Equote_2Evarmap @ TA) > (tyop_2Equote_2Eindex > ((tyop_2Elist_2Elist @ tyop_2Equote_2Eindex) > TA))))).
% 8.11/2.62  thf(c_2Esemi__ring_2Erecordtype_2Esemi__ring_type, type, c_2Esemi__ring_2Erecordtype_2Esemi__ring: !>[TA: $tType]: (TA > (TA > ((TA > (TA > TA)) > ((TA > (TA > TA)) > (tyop_2Esemi__ring_2Esemi__ring @ TA)))))).
% 8.11/2.62  thf(c_2Ering_2Ering__R0_type, type, c_2Ering_2Ering__R0: !>[TA: $tType]: ((tyop_2Ering_2Ering @ TA) > TA)).
% 8.11/2.62  thf(c_2Ering_2Ering__R1_type, type, c_2Ering_2Ering__R1: !>[TA: $tType]: ((tyop_2Ering_2Ering @ TA) > TA)).
% 8.11/2.62  thf(c_2Ering_2Ering__RM_type, type, c_2Ering_2Ering__RM: !>[TA: $tType]: ((tyop_2Ering_2Ering @ TA) > (TA > (TA > TA)))).
% 8.11/2.62  thf(c_2Ering_2Ering__RP_type, type, c_2Ering_2Ering__RP: !>[TA: $tType]: ((tyop_2Ering_2Ering @ TA) > (TA > (TA > TA)))).
% 8.11/2.62  thf(c_2Esemi__ring_2Esemi__ring__SR0_type, type, c_2Esemi__ring_2Esemi__ring__SR0: !>[TA: $tType]: ((tyop_2Esemi__ring_2Esemi__ring @ TA) > TA)).
% 8.11/2.62  thf(c_2Esemi__ring_2Esemi__ring__SR1_type, type, c_2Esemi__ring_2Esemi__ring__SR1: !>[TA: $tType]: ((tyop_2Esemi__ring_2Esemi__ring @ TA) > TA)).
% 8.11/2.62  thf(c_2Esemi__ring_2Esemi__ring__SRM_type, type, c_2Esemi__ring_2Esemi__ring__SRM: !>[TA: $tType]: ((tyop_2Esemi__ring_2Esemi__ring @ TA) > (TA > (TA > TA)))).
% 8.11/2.62  thf(c_2Esemi__ring_2Esemi__ring__SRP_type, type, c_2Esemi__ring_2Esemi__ring__SRP: !>[TA: $tType]: ((tyop_2Esemi__ring_2Esemi__ring @ TA) > (TA > (TA > TA)))).
% 8.11/2.62  thf(c_2Ering_2Esemi__ring__of_type, type, c_2Ering_2Esemi__ring__of: !>[TA: $tType]: ((tyop_2Ering_2Ering @ TA) > (tyop_2Esemi__ring_2Esemi__ring @ TA))).
% 8.11/2.62  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 8.11/2.62  thf(skt1_type, type, skt1: $tType).
% 8.11/2.62  thf(sk1_type, type, sk1: (tyop_2Ering_2Ering @ skt1)).
% 8.11/2.62  thf(sk2_type, type, sk2: (tyop_2Equote_2Evarmap @ skt1)).
% 8.11/2.62  thf(sk3_type, type, sk3: skt1).
% 8.11/2.62  thf(sk4_type, type, sk4: (tyop_2Equote_2Evarmap @ skt1)).
% 8.11/2.62  thf(sk5_type, type, sk5: skt1).
% 8.11/2.62  thf(sk6_type, type, sk6: tyop_2Equote_2Eindex).
% 8.11/2.62  thf(sk7_type, type, sk7: (tyop_2Elist_2Elist @ tyop_2Equote_2Eindex)).
% 8.11/2.62  thf(13,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 8.11/2.62  thf(67,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 8.11/2.62  thf(68,plain,(((c_2Ebool_2E_7E @ $true) = (~ ($true)))),inference(instance,[status(thm)],[67])).
% 8.11/2.62  thf(69,plain,((~ (c_2Ebool_2E_7E @ $true))),inference(simp,[status(thm)],[68])).
% 8.11/2.62  thf(6,axiom,((! [TA: $tType]: (! [A:(tyop_2Ering_2Ering @ TA)]: ((c_2Ering_2Esemi__ring__of @ TA @ A) = (c_2Esemi__ring_2Erecordtype_2Esemi__ring @ TA @ (c_2Ering_2Ering__R0 @ TA @ A) @ (c_2Ering_2Ering__R1 @ TA @ A) @ (c_2Ering_2Ering__RP @ TA @ A) @ (c_2Ering_2Ering__RM @ TA @ A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ering_2Esemi__ring__of__def)).
% 8.11/2.62  thf(37,plain,((! [TA: $tType]: (! [A:(tyop_2Ering_2Ering @ TA)]: ((c_2Ering_2Esemi__ring__of @ TA @ A) = (c_2Esemi__ring_2Erecordtype_2Esemi__ring @ TA @ (c_2Ering_2Ering__R0 @ TA @ A) @ (c_2Ering_2Ering__R1 @ TA @ A) @ (c_2Ering_2Ering__RP @ TA @ A) @ (c_2Ering_2Ering__RM @ TA @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 8.11/2.62  thf(10,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).
% 8.11/2.62  thf(52,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 8.11/2.62  thf(8,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((A = B) = (B = A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__SYM__EQ)).
% 8.11/2.62  thf(46,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((A = B) = (B = A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 8.11/2.62  thf(12,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 8.11/2.62  thf(58,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 8.11/2.62  thf(59,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $true) = (($true) => ($true)))),inference(instance,[status(thm)],[58])).
% 8.11/2.62  thf(60,plain,((c_2Emin_2E_3D_3D_3E @ $true @ $true)),inference(simp,[status(thm)],[59])).
% 8.11/2.62  thf(15,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 8.11/2.62  thf(81,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).
% 8.11/2.62  thf(84,plain,(((c_2Ebool_2E_2F_5C @ $true @ $false) = (($true) & ($false)))),inference(instance,[status(thm)],[81])).
% 8.11/2.62  thf(85,plain,((~ (c_2Ebool_2E_2F_5C @ $true @ $false))),inference(simp,[status(thm)],[84])).
% 8.11/2.62  thf(5,axiom,((! [TA: $tType]: (! [A:(tyop_2Ering_2Ering @ TA)]: ((c_2EringNorm_2Er__interp__m @ TA @ A) = (c_2Ecanonical_2Einterp__m @ TA @ (c_2Ering_2Esemi__ring__of @ TA @ A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EringNorm_2Er__interp__m__def)).
% 8.11/2.62  thf(34,plain,((! [TA: $tType]: (! [A:(tyop_2Ering_2Ering @ TA)]: ((c_2EringNorm_2Er__interp__m @ TA @ A) = (c_2Ecanonical_2Einterp__m @ TA @ (c_2Ering_2Esemi__ring__of @ TA @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 8.11/2.62  thf(63,plain,(((c_2Emin_2E_3D_3D_3E @ $false @ $true) = (($false) => ($true)))),inference(instance,[status(thm)],[58])).
% 8.11/2.62  thf(64,plain,((c_2Emin_2E_3D_3D_3E @ $false @ $true)),inference(simp,[status(thm)],[63])).
% 8.11/2.62  thf(70,plain,(((c_2Ebool_2E_7E @ $false) = (~ ($false)))),inference(instance,[status(thm)],[67])).
% 8.11/2.62  thf(71,plain,((c_2Ebool_2E_7E @ $false)),inference(simp,[status(thm)],[70])).
% 8.11/2.62  thf(9,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 8.11/2.62  thf(49,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 8.11/2.62  thf(65,plain,(((c_2Emin_2E_3D_3D_3E @ $false @ $false) = (($false) => ($false)))),inference(instance,[status(thm)],[58])).
% 8.11/2.62  thf(66,plain,((c_2Emin_2E_3D_3D_3E @ $false @ $false)),inference(simp,[status(thm)],[65])).
% 8.11/2.62  thf(14,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 8.11/2.62  thf(72,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 8.11/2.62  thf(79,plain,(((c_2Ebool_2E_5C_2F @ $false @ $false) = (($false) | ($false)))),inference(instance,[status(thm)],[72])).
% 8.11/2.62  thf(80,plain,((~ (c_2Ebool_2E_5C_2F @ $false @ $false))),inference(simp,[status(thm)],[79])).
% 8.11/2.62  thf(1,conjecture,((! [TA: $tType]: (! [A:(tyop_2Ering_2Ering @ TA)]: (! [B:(tyop_2Equote_2Evarmap @ TA),C:TA]: ((c_2EringNorm_2Er__interp__m @ TA @ A @ B @ C @ (c_2Elist_2ENIL @ tyop_2Equote_2Eindex)) = C) & ! [B:(tyop_2Equote_2Evarmap @ TA),C:TA,D:tyop_2Equote_2Eindex,E:(tyop_2Elist_2Elist @ tyop_2Equote_2Eindex)]: ((c_2EringNorm_2Er__interp__m @ TA @ A @ B @ C @ (c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ D @ E)) = (c_2Ering_2Ering__RM @ TA @ A @ C @ (c_2EringNorm_2Er__ivl__aux @ TA @ A @ B @ D @ E))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EringNorm_2Einterp__m__def)).
% 8.11/2.62  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(tyop_2Ering_2Ering @ TA)]: (! [B:(tyop_2Equote_2Evarmap @ TA),C:TA]: ((c_2EringNorm_2Er__interp__m @ TA @ A @ B @ C @ (c_2Elist_2ENIL @ tyop_2Equote_2Eindex)) = C) & ! [B:(tyop_2Equote_2Evarmap @ TA),C:TA,D:tyop_2Equote_2Eindex,E:(tyop_2Elist_2Elist @ tyop_2Equote_2Eindex)]: ((c_2EringNorm_2Er__interp__m @ TA @ A @ B @ C @ (c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ D @ E)) = (c_2Ering_2Ering__RM @ TA @ A @ C @ (c_2EringNorm_2Er__ivl__aux @ TA @ A @ B @ D @ E)))))))),inference(neg_conjecture,[status(cth)],[1])).
% 8.11/2.62  thf(16,plain,((~ (! [TA: $tType]: (! [A:(tyop_2Ering_2Ering @ TA)]: (! [B:(tyop_2Equote_2Evarmap @ TA),C:TA]: ((c_2EringNorm_2Er__interp__m @ TA @ A @ B @ C @ (c_2Elist_2ENIL @ tyop_2Equote_2Eindex)) = C) & ! [B:(tyop_2Equote_2Evarmap @ TA),C:TA,D:tyop_2Equote_2Eindex,E:(tyop_2Elist_2Elist @ tyop_2Equote_2Eindex)]: ((c_2EringNorm_2Er__interp__m @ TA @ A @ B @ C @ (c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ D @ E)) = (c_2Ering_2Ering__RM @ TA @ A @ C @ (c_2EringNorm_2Er__ivl__aux @ TA @ A @ B @ D @ E)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 8.11/2.62  thf(17,plain,((~ ((c_2EringNorm_2Er__interp__m @ skt1 @ sk1 @ sk2 @ sk3 @ (c_2Elist_2ENIL @ tyop_2Equote_2Eindex)) = sk3)) | (~ ((c_2EringNorm_2Er__interp__m @ skt1 @ sk1 @ sk4 @ sk5 @ (c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ sk6 @ sk7)) = (c_2Ering_2Ering__RM @ skt1 @ sk1 @ sk5 @ (c_2EringNorm_2Er__ivl__aux @ skt1 @ sk1 @ sk4 @ sk6 @ sk7))))),inference(cnf,[status(esa)],[16])).
% 8.11/2.62  thf(18,plain,(((c_2EringNorm_2Er__interp__m @ skt1 @ sk1 @ sk2 @ sk3 @ (c_2Elist_2ENIL @ tyop_2Equote_2Eindex)) != sk3) | ((c_2Ering_2Ering__RM @ skt1 @ sk1 @ sk5 @ (c_2EringNorm_2Er__ivl__aux @ skt1 @ sk1 @ sk4 @ sk6 @ sk7)) != (c_2EringNorm_2Er__interp__m @ skt1 @ sk1 @ sk4 @ sk5 @ (c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ sk6 @ sk7)))),inference(lifteq,[status(thm)],[17])).
% 8.11/2.62  thf(4,axiom,((! [TA: $tType]: (! [A:(tyop_2Ering_2Ering @ TA)]: ((c_2EringNorm_2Er__ivl__aux @ TA @ A) = (c_2Ecanonical_2Eivl__aux @ TA @ (c_2Ering_2Esemi__ring__of @ TA @ A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EringNorm_2Er__ivl__aux__def)).
% 8.11/2.62  thf(31,plain,((! [TA: $tType]: (! [A:(tyop_2Ering_2Ering @ TA)]: ((c_2EringNorm_2Er__ivl__aux @ TA @ A) = (c_2Ecanonical_2Eivl__aux @ TA @ (c_2Ering_2Esemi__ring__of @ TA @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 8.11/2.62  thf(7,axiom,((! [TA: $tType]: (! [A:(tyop_2Esemi__ring_2Esemi__ring @ TA),B:(tyop_2Equote_2Evarmap @ TA),C:TA]: ((c_2Ecanonical_2Einterp__m @ TA @ A @ B @ C @ (c_2Elist_2ENIL @ tyop_2Equote_2Eindex)) = C) & ! [A:(tyop_2Esemi__ring_2Esemi__ring @ TA),B:(tyop_2Equote_2Evarmap @ TA),C:TA,D:tyop_2Equote_2Eindex,E:(tyop_2Elist_2Elist @ tyop_2Equote_2Eindex)]: ((c_2Ecanonical_2Einterp__m @ TA @ A @ B @ C @ (c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ D @ E)) = (c_2Esemi__ring_2Esemi__ring__SRM @ TA @ A @ C @ (c_2Ecanonical_2Eivl__aux @ TA @ A @ B @ D @ E)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecanonical_2Einterp__m__def)).
% 8.11/2.62  thf(40,plain,((! [TA: $tType]: (! [A:(tyop_2Esemi__ring_2Esemi__ring @ TA),B:(tyop_2Equote_2Evarmap @ TA),C:TA]: ((c_2Ecanonical_2Einterp__m @ TA @ A @ B @ C @ (c_2Elist_2ENIL @ tyop_2Equote_2Eindex)) = C) & ! [A:(tyop_2Esemi__ring_2Esemi__ring @ TA),B:(tyop_2Equote_2Evarmap @ TA),C:TA,D:tyop_2Equote_2Eindex,E:(tyop_2Elist_2Elist @ tyop_2Equote_2Eindex)]: ((c_2Ecanonical_2Einterp__m @ TA @ A @ B @ C @ (c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ D @ E)) = (c_2Esemi__ring_2Esemi__ring__SRM @ TA @ A @ C @ (c_2Ecanonical_2Eivl__aux @ TA @ A @ B @ D @ E)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 8.11/2.62  thf(11,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 8.11/2.62  thf(55,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 8.11/2.62  thf(3,axiom,((! [TA: $tType]: (! [A:TA,B:TA,C:(TA > (TA > TA)),D:(TA > (TA > TA))]: ((c_2Esemi__ring_2Esemi__ring__SR0 @ TA @ (c_2Esemi__ring_2Erecordtype_2Esemi__ring @ TA @ A @ B @ C @ D)) = A) & ! [A:TA,B:TA,C:(TA > (TA > TA)),D:(TA > (TA > TA))]: ((c_2Esemi__ring_2Esemi__ring__SR1 @ TA @ (c_2Esemi__ring_2Erecordtype_2Esemi__ring @ TA @ A @ B @ C @ D)) = B) & ! [A:TA,B:TA,C:(TA > (TA > TA)),D:(TA > (TA > TA))]: ((c_2Esemi__ring_2Esemi__ring__SRP @ TA @ (c_2Esemi__ring_2Erecordtype_2Esemi__ring @ TA @ A @ B @ C @ D)) = C) & ! [A:TA,B:TA,C:(TA > (TA > TA)),D:(TA > (TA > TA))]: ((c_2Esemi__ring_2Esemi__ring__SRM @ TA @ (c_2Esemi__ring_2Erecordtype_2Esemi__ring @ TA @ A @ B @ C @ D)) = D)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esemi__ring_2Esemi__ring__accessors)).
% 8.11/2.62  thf(19,plain,((! [TA: $tType]: (! [A:TA,B:TA,C:(TA > (TA > TA)),D:(TA > (TA > TA))]: ((c_2Esemi__ring_2Esemi__ring__SR0 @ TA @ (c_2Esemi__ring_2Erecordtype_2Esemi__ring @ TA @ A @ B @ (C) @ (D))) = A) & ! [A:TA,B:TA,C:(TA > (TA > TA)),D:(TA > (TA > TA))]: ((c_2Esemi__ring_2Esemi__ring__SR1 @ TA @ (c_2Esemi__ring_2Erecordtype_2Esemi__ring @ TA @ A @ B @ (C) @ (D))) = B) & ! [A:TA,B:TA,C:(TA > (TA > TA)),D:(TA > (TA > TA))]: ((c_2Esemi__ring_2Esemi__ring__SRP @ TA @ (c_2Esemi__ring_2Erecordtype_2Esemi__ring @ TA @ A @ B @ C @ D)) = (C)) & ! [A:TA,B:TA,C:(TA > (TA > TA)),D:(TA > (TA > TA))]: ((c_2Esemi__ring_2Esemi__ring__SRM @ TA @ (c_2Esemi__ring_2Erecordtype_2Esemi__ring @ TA @ A @ B @ C @ D)) = (D))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 8.11/2.62  thf(61,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $false) = (($true) => ($false)))),inference(instance,[status(thm)],[58])).
% 8.11/2.62  thf(62,plain,((~ (c_2Emin_2E_3D_3D_3E @ $true @ $false))),inference(simp,[status(thm)],[61])).
% 8.11/2.62  thf(103,plain,($false),inference(e,[status(thm)],[69,37,52,46,60,85,34,64,71,49,81,66,80,18,67,16,31,72,40,55,58,19,62])).
% 8.11/2.62  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 8.11/2.62  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
