%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:41:17 EDT 2019

% Result     : Theorem 5.81s
% Output     : CNFRefutation 5.81s
% Verified   : 
% Statistics : Number of formulae       :   39 (  39 expanded)
%              Number of leaves         :   25 (  25 expanded)
%              Depth                    :    3
%              Number of atoms          :  201 ( 201 expanded)
%              Number of equality atoms :   45 (  45 expanded)
%              Maximal formula depth    :    8 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Erealax_2Ereal__lt_type,type,(
    c_2Erealax_2Ereal__lt: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ereal_2Ereal__lte_type,type,(
    c_2Ereal_2Ereal__lte: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ A @ B )
     => ( c_2Ereal_2Ereal__lte @ A @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LT__IMP__LE)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
        ( ( c_2Erealax_2Ereal__lt @ A @ B )
       => ( c_2Ereal_2Ereal__lte @ A @ B ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(14,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
        ( ( c_2Erealax_2Ereal__lt @ A @ B )
       => ( c_2Ereal_2Ereal__lte @ A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(4,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(20,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(5,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          | A )
        = c_2Ebool_2ET )
      & ( ( A
          | c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
          | A )
        = A )
      & ( ( A
          | c_2Ebool_2EF )
        = A )
      & ( ( A
          | A )
        = A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EOR__CLAUSES)).

thf(29,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          | A )
        = c_2Ebool_2ET )
      & ( ( A
          | c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
          | A )
        = A )
      & ( ( A
          | c_2Ebool_2EF )
        = A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(8,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(38,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(11,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(53,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(9,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(41,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(6,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(34,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(3,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ A @ B )
      = ( ( c_2Erealax_2Ereal__lt @ A @ B )
        | ( A = B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__LT)).

thf(17,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ A @ B )
      = ( ( c_2Erealax_2Ereal__lt @ A @ B )
        | ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(10,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(44,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(7,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(35,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(67,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(12,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(58,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(76,plain,(
    $false ),
    inference(iprover,[status(thm)],[14,20,29,38,53,41,34,17,44,35,67,58])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.12/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.12/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.12/0.13  % CPULimit   : 300
% 0.12/0.13  % DateTime   : Wed Jul 31 05:51:00 EDT 2019
% 0.12/0.13  % CPUTime    : 
% 2.56/1.25  % [INFO] 	 Running in sequential loop mode. 
% 3.13/1.44  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.70/1.50  % [INFO] 	 iprover registered as external prover. 
% 3.70/1.50  % [INFO] 	 e registered as external prover. 
% 3.70/1.50  % [INFO] 	 cvc4 registered as external prover. 
% 3.70/1.51  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.85/1.55  % [INFO] 	 Found a conjecture and 11 axioms. Running axiom selection ... 
% 3.85/1.59  % [INFO] 	 Axiom selection finished. Selected 11 axioms (removed 0 axioms). 
% 4.25/1.62  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.81/2.13  % [INFO] 	 Killing All external provers ... 
% 5.81/2.14  % Time passed: 1872ms
% 5.81/2.14  % Effective reasoning time: 884ms
% 5.81/2.14  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 5.81/2.14  % Axioms used in derivation (11): thm_2Ereal_2EREAL__LE__LT, logicdef_2E_3D, thm_2Ebool_2EEQ__CLAUSES, logicdef_2E_5C_2F, quantdef_2E_21, thm_2Ebool_2ETRUTH, logicdef_2E_3D_3D_3E, thm_2Ebool_2EOR__CLAUSES, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 5.81/2.14  % No. of inferences in proof: 26
% 5.81/2.14  % No. of processed clauses: 1
% 5.81/2.14  % No. of generated clauses: 0
% 5.81/2.14  % No. of forward subsumed clauses: 0
% 5.81/2.14  % No. of backward subsumed clauses: 0
% 5.81/2.14  % No. of ground rewrite rules in store: 1
% 5.81/2.14  % No. of non-ground rewrite rules in store: 0
% 5.81/2.14  % No. of positive (non-rewrite) units in store: 0
% 5.81/2.14  % No. of negative (non-rewrite) units in store: 0
% 5.81/2.14  % No. of choice functions detected: 0
% 5.81/2.14  % No. of choice instantiations: 0
% 5.81/2.14  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 1872 ms resp. 884 ms w/o parsing
% 5.81/2.17  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 5.81/2.17  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 5.81/2.17  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 5.81/2.17  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 5.81/2.17  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 5.81/2.17  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 5.81/2.17  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 5.81/2.17  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 5.81/2.17  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 5.81/2.17  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 5.81/2.17  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 5.81/2.17  thf(c_2Erealax_2Ereal__lt_type, type, c_2Erealax_2Ereal__lt: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 5.81/2.17  thf(c_2Ereal_2Ereal__lte_type, type, c_2Ereal_2Ereal__lte: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 5.81/2.17  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 5.81/2.17  thf(1,conjecture,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ A @ B) => (c_2Ereal_2Ereal__lte @ A @ B)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LT__IMP__LE)).
% 5.81/2.17  thf(2,negated_conjecture,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ A @ B) => (c_2Ereal_2Ereal__lte @ A @ B))))),inference(neg_conjecture,[status(cth)],[1])).
% 5.81/2.17  thf(14,plain,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ A @ B) => (c_2Ereal_2Ereal__lte @ A @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 5.81/2.17  thf(4,axiom,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).
% 5.81/2.17  thf(20,plain,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 5.81/2.17  thf(5,axiom,((! [A:$o]: ((((c_2Ebool_2ET) | (A)) = c_2Ebool_2ET) & (((A) | (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) | (A)) = A) & (((A) | (c_2Ebool_2EF)) = A) & (((A) | (A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EOR__CLAUSES)).
% 5.81/2.17  thf(29,plain,((! [A:$o]: ((((c_2Ebool_2ET) | (A)) = c_2Ebool_2ET) & (((A) | (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) | (A)) = A) & (((A) | (c_2Ebool_2EF)) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 5.81/2.17  thf(8,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).
% 5.81/2.17  thf(38,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 5.81/2.17  thf(11,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 5.81/2.17  thf(53,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 5.81/2.17  thf(9,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 5.81/2.17  thf(41,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 5.81/2.17  thf(6,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 5.81/2.17  thf(34,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 5.81/2.17  thf(3,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ A @ B) = ((c_2Erealax_2Ereal__lt @ A @ B) | (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__LT)).
% 5.81/2.17  thf(17,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ A @ B) = ((c_2Erealax_2Ereal__lt @ A @ B) | (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 5.81/2.17  thf(10,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 5.81/2.17  thf(44,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 5.81/2.17  thf(7,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 5.81/2.17  thf(35,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 5.81/2.17  thf(13,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 5.81/2.17  thf(67,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 5.81/2.17  thf(12,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 5.81/2.17  thf(58,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 5.81/2.17  thf(76,plain,($false),inference(iprover,[status(thm)],[14,20,29,38,53,41,34,17,44,35,67,58])).
% 5.81/2.17  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 5.81/2.17  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
