%------------------------------------------------------------------------------
% Axioms transformation by autotheo
% Orienting (remaining) axiom formulas using strategy ClausalAll
% CNF of (remaining) axioms:
% Start CNF derivation
fof(c_0_0,axiom,(
    ! [X1,X2,X3] :
      ( mem(X3,arr(X1,X2))
     => ! [X7] :
          ( mem(X7,arr(X1,X2))
         => ( ! [X4] :
                ( mem(X4,X1)
               => ap(X3,X4) = ap(X7,X4) )
           => X3 = X7 ) ) ) ),
    file('<stdin>',funcext)).

fof(c_0_1,axiom,(
    ! [X1] :
      ( ne(X1)
     => ! [X5] :
          ( mem(X5,arr(X1,bool))
         => ( p(ap(c_2Ebool_2E_21(X1),X5))
          <=> ! [X4] :
                ( mem(X4,X1)
               => p(ap(X5,X4)) ) ) ) ) ),
    file('<stdin>',ax_all_p)).

fof(c_0_2,axiom,(
    ! [X1] :
      ( ne(X1)
     => ! [X4] :
          ( mem(X4,X1)
         => ! [X8] :
              ( mem(X8,X1)
             => ( p(ap(ap(c_2Emin_2E_3D(X1),X4),X8))
              <=> X4 = X8 ) ) ) ) ),
    file('<stdin>',ax_eq_p)).

fof(c_0_3,axiom,(
    ! [X1,X2,X3] :
      ( mem(X3,arr(X1,X2))
     => ! [X4] :
          ( mem(X4,X1)
         => mem(ap(X3,X4),X2) ) ) ),
    file('<stdin>',ap_tp)).

fof(c_0_4,axiom,(
    ! [X9] :
      ( ne(X9)
     => mem(c_2Emin_2E_3D(X9),arr(X9,arr(X9,bool))) ) ),
    file('<stdin>',mem_c_2Emin_2E_3D)).

fof(c_0_5,axiom,(
    ! [X9] :
      ( ne(X9)
     => mem(c_2Ebool_2E_21(X9),arr(arr(X9,bool),bool)) ) ),
    file('<stdin>',mem_c_2Ebool_2E_21)).

fof(c_0_6,axiom,(
    mem(c_2Ereal_2Ereal__sub,arr(ty_2Erealax_2Ereal,arr(ty_2Erealax_2Ereal,ty_2Erealax_2Ereal))) ),
    file('<stdin>',mem_c_2Ereal_2Ereal__sub)).

fof(c_0_7,axiom,(
    mem(c_2Erealax_2Ereal__add,arr(ty_2Erealax_2Ereal,arr(ty_2Erealax_2Ereal,ty_2Erealax_2Ereal))) ),
    file('<stdin>',mem_c_2Erealax_2Ereal__add)).

fof(c_0_8,axiom,(
    ! [X1,X8,X4] :
      ( mem(X4,X1)
     => ap(k(X1,X8),X4) = X8 ) ),
    file('<stdin>',kbeta)).

fof(c_0_9,axiom,(
    ! [X5] :
      ( mem(X5,bool)
     => ! [X6] :
          ( mem(X6,bool)
         => ( ( p(X5)
            <=> p(X6) )
           => X5 = X6 ) ) ) ),
    file('<stdin>',boolext)).

fof(c_0_10,axiom,(
    ! [X1] :
      ( ne(X1)
     => ! [X2] :
          ( ne(X2)
         => ne(arr(X1,X2)) ) ) ),
    file('<stdin>',arr_ne)).

fof(c_0_11,axiom,(
    ! [X1,X4] :
      ( mem(X4,X1)
     => ap(i(X1),X4) = X4 ) ),
    file('<stdin>',ibeta)).

fof(c_0_12,axiom,(
    mem(c_2Ebool_2ET,bool) ),
    file('<stdin>',mem_c_2Ebool_2ET)).

fof(c_0_13,axiom,(
    ne(ty_2Erealax_2Ereal) ),
    file('<stdin>',ne_ty_2Erealax_2Ereal)).

fof(c_0_14,axiom,(
    p(c_2Ebool_2ET) ),
    file('<stdin>',ax_true_p)).

fof(c_0_15,axiom,(
    ne(ind) ),
    file('<stdin>',ind_ne)).

fof(c_0_16,axiom,(
    ne(bool) ),
    file('<stdin>',bool_ne)).

fof(c_0_17,axiom,(
    ! [X1,X2,X3] :
      ( mem(X3,arr(X1,X2))
     => ! [X7] :
          ( mem(X7,arr(X1,X2))
         => ( ! [X4] :
                ( mem(X4,X1)
               => ap(X3,X4) = ap(X7,X4) )
           => X3 = X7 ) ) ) ),
    c_0_0).

fof(c_0_18,axiom,(
    ! [X1] :
      ( ne(X1)
     => ! [X5] :
          ( mem(X5,arr(X1,bool))
         => ( p(ap(c_2Ebool_2E_21(X1),X5))
          <=> ! [X4] :
                ( mem(X4,X1)
               => p(ap(X5,X4)) ) ) ) ) ),
    c_0_1).

fof(c_0_19,axiom,(
    ! [X1] :
      ( ne(X1)
     => ! [X4] :
          ( mem(X4,X1)
         => ! [X8] :
              ( mem(X8,X1)
             => ( p(ap(ap(c_2Emin_2E_3D(X1),X4),X8))
              <=> X4 = X8 ) ) ) ) ),
    c_0_2).

fof(c_0_20,axiom,(
    ! [X1,X2,X3] :
      ( mem(X3,arr(X1,X2))
     => ! [X4] :
          ( mem(X4,X1)
         => mem(ap(X3,X4),X2) ) ) ),
    c_0_3).

fof(c_0_21,axiom,(
    ! [X9] :
      ( ne(X9)
     => mem(c_2Emin_2E_3D(X9),arr(X9,arr(X9,bool))) ) ),
    c_0_4).

fof(c_0_22,axiom,(
    ! [X9] :
      ( ne(X9)
     => mem(c_2Ebool_2E_21(X9),arr(arr(X9,bool),bool)) ) ),
    c_0_5).

fof(c_0_23,axiom,(
    mem(c_2Ereal_2Ereal__sub,arr(ty_2Erealax_2Ereal,arr(ty_2Erealax_2Ereal,ty_2Erealax_2Ereal))) ),
    c_0_6).

fof(c_0_24,axiom,(
    mem(c_2Erealax_2Ereal__add,arr(ty_2Erealax_2Ereal,arr(ty_2Erealax_2Ereal,ty_2Erealax_2Ereal))) ),
    c_0_7).

fof(c_0_25,axiom,(
    ! [X1,X8,X4] :
      ( mem(X4,X1)
     => ap(k(X1,X8),X4) = X8 ) ),
    c_0_8).

fof(c_0_26,axiom,(
    ! [X5] :
      ( mem(X5,bool)
     => ! [X6] :
          ( mem(X6,bool)
         => ( ( p(X5)
            <=> p(X6) )
           => X5 = X6 ) ) ) ),
    c_0_9).

fof(c_0_27,axiom,(
    ! [X1] :
      ( ne(X1)
     => ! [X2] :
          ( ne(X2)
         => ne(arr(X1,X2)) ) ) ),
    c_0_10).

fof(c_0_28,axiom,(
    ! [X1,X4] :
      ( mem(X4,X1)
     => ap(i(X1),X4) = X4 ) ),
    c_0_11).

fof(c_0_29,axiom,(
    mem(c_2Ebool_2ET,bool) ),
    c_0_12).

fof(c_0_30,axiom,(
    ne(ty_2Erealax_2Ereal) ),
    c_0_13).

fof(c_0_31,axiom,(
    p(c_2Ebool_2ET) ),
    c_0_14).

fof(c_0_32,axiom,(
    ne(ind) ),
    c_0_15).

fof(c_0_33,axiom,(
    ne(bool) ),
    c_0_16).

fof(c_0_34,plain,(
    ! [X8,X9,X10,X11] :
      ( ( mem(esk1_4(X8,X9,X10,X11),X8)
        | X10 = X11
        | ~ mem(X11,arr(X8,X9))
        | ~ mem(X10,arr(X8,X9)) )
      & ( ap(X10,esk1_4(X8,X9,X10,X11)) != ap(X11,esk1_4(X8,X9,X10,X11))
        | X10 = X11
        | ~ mem(X11,arr(X8,X9))
        | ~ mem(X10,arr(X8,X9)) ) ) ),
    inference(distribute,[status(thm)],[inference(shift_quantors,[status(thm)],[inference(skolemize,[status(esa)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_17])])])])])).

fof(c_0_35,plain,(
    ! [X6,X7,X8] :
      ( ( ~ p(ap(c_2Ebool_2E_21(X6),X7))
        | ~ mem(X8,X6)
        | p(ap(X7,X8))
        | ~ mem(X7,arr(X6,bool))
        | ~ ne(X6) )
      & ( mem(esk2_2(X6,X7),X6)
        | p(ap(c_2Ebool_2E_21(X6),X7))
        | ~ mem(X7,arr(X6,bool))
        | ~ ne(X6) )
      & ( ~ p(ap(X7,esk2_2(X6,X7)))
        | p(ap(c_2Ebool_2E_21(X6),X7))
        | ~ mem(X7,arr(X6,bool))
        | ~ ne(X6) ) ) ),
    inference(distribute,[status(thm)],[inference(shift_quantors,[status(thm)],[inference(skolemize,[status(esa)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_18])])])])])).

fof(c_0_36,plain,(
    ! [X9,X10,X11] :
      ( ( ~ p(ap(ap(c_2Emin_2E_3D(X9),X10),X11))
        | X10 = X11
        | ~ mem(X11,X9)
        | ~ mem(X10,X9)
        | ~ ne(X9) )
      & ( X10 != X11
        | p(ap(ap(c_2Emin_2E_3D(X9),X10),X11))
        | ~ mem(X11,X9)
        | ~ mem(X10,X9)
        | ~ ne(X9) ) ) ),
    inference(distribute,[status(thm)],[inference(shift_quantors,[status(thm)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_19])])])])).

fof(c_0_37,plain,(
    ! [X5,X6,X7,X8] :
      ( ~ mem(X7,arr(X5,X6))
      | ~ mem(X8,X5)
      | mem(ap(X7,X8),X6) ) ),
    inference(shift_quantors,[status(thm)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_20])])])).

fof(c_0_38,plain,(
    ! [X10] :
      ( ~ ne(X10)
      | mem(c_2Emin_2E_3D(X10),arr(X10,arr(X10,bool))) ) ),
    inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_21])])).

fof(c_0_39,plain,(
    ! [X10] :
      ( ~ ne(X10)
      | mem(c_2Ebool_2E_21(X10),arr(arr(X10,bool),bool)) ) ),
    inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_22])])).

fof(c_0_40,axiom,(
    mem(c_2Ereal_2Ereal__sub,arr(ty_2Erealax_2Ereal,arr(ty_2Erealax_2Ereal,ty_2Erealax_2Ereal))) ),
    c_0_23).

fof(c_0_41,axiom,(
    mem(c_2Erealax_2Ereal__add,arr(ty_2Erealax_2Ereal,arr(ty_2Erealax_2Ereal,ty_2Erealax_2Ereal))) ),
    c_0_24).

fof(c_0_42,plain,(
    ! [X9,X10,X11] :
      ( ~ mem(X11,X9)
      | ap(k(X9,X10),X11) = X10 ) ),
    inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_25])])).

fof(c_0_43,plain,(
    ! [X7,X8] :
      ( ( ~ p(X7)
        | ~ p(X8)
        | X7 = X8
        | ~ mem(X8,bool)
        | ~ mem(X7,bool) )
      & ( p(X7)
        | p(X8)
        | X7 = X8
        | ~ mem(X8,bool)
        | ~ mem(X7,bool) ) ) ),
    inference(distribute,[status(thm)],[inference(shift_quantors,[status(thm)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_26])])])])).

fof(c_0_44,plain,(
    ! [X3,X4] :
      ( ~ ne(X3)
      | ~ ne(X4)
      | ne(arr(X3,X4)) ) ),
    inference(shift_quantors,[status(thm)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_27])])])).

fof(c_0_45,plain,(
    ! [X5,X6] :
      ( ~ mem(X6,X5)
      | ap(i(X5),X6) = X6 ) ),
    inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_28])])).

fof(c_0_46,axiom,(
    mem(c_2Ebool_2ET,bool) ),
    c_0_29).

fof(c_0_47,axiom,(
    ne(ty_2Erealax_2Ereal) ),
    c_0_30).

fof(c_0_48,axiom,(
    p(c_2Ebool_2ET) ),
    c_0_31).

fof(c_0_49,axiom,(
    ne(ind) ),
    c_0_32).

fof(c_0_50,axiom,(
    ne(bool) ),
    c_0_33).

cnf(c_0_51,plain,
    ( X1 = X4
    | ~ mem(X1,arr(X2,X3))
    | ~ mem(X4,arr(X2,X3))
    | ap(X1,esk1_4(X2,X3,X1,X4)) != ap(X4,esk1_4(X2,X3,X1,X4)) ),
    inference(split_conjunct,[status(thm)],[c_0_34])).

cnf(c_0_52,plain,
    ( X1 = X4
    | mem(esk1_4(X2,X3,X1,X4),X2)
    | ~ mem(X1,arr(X2,X3))
    | ~ mem(X4,arr(X2,X3)) ),
    inference(split_conjunct,[status(thm)],[c_0_34])).

cnf(c_0_53,plain,
    ( p(ap(c_2Ebool_2E_21(X1),X2))
    | ~ ne(X1)
    | ~ mem(X2,arr(X1,bool))
    | ~ p(ap(X2,esk2_2(X1,X2))) ),
    inference(split_conjunct,[status(thm)],[c_0_35])).

cnf(c_0_54,plain,
    ( X2 = X3
    | ~ ne(X1)
    | ~ mem(X2,X1)
    | ~ mem(X3,X1)
    | ~ p(ap(ap(c_2Emin_2E_3D(X1),X2),X3)) ),
    inference(split_conjunct,[status(thm)],[c_0_36])).

cnf(c_0_55,plain,
    ( p(ap(X2,X3))
    | ~ ne(X1)
    | ~ mem(X2,arr(X1,bool))
    | ~ mem(X3,X1)
    | ~ p(ap(c_2Ebool_2E_21(X1),X2)) ),
    inference(split_conjunct,[status(thm)],[c_0_35])).

cnf(c_0_56,plain,
    ( p(ap(ap(c_2Emin_2E_3D(X1),X2),X3))
    | ~ ne(X1)
    | ~ mem(X2,X1)
    | ~ mem(X3,X1)
    | X2 != X3 ),
    inference(split_conjunct,[status(thm)],[c_0_36])).

cnf(c_0_57,plain,
    ( p(ap(c_2Ebool_2E_21(X1),X2))
    | mem(esk2_2(X1,X2),X1)
    | ~ ne(X1)
    | ~ mem(X2,arr(X1,bool)) ),
    inference(split_conjunct,[status(thm)],[c_0_35])).

cnf(c_0_58,plain,
    ( mem(ap(X1,X2),X3)
    | ~ mem(X2,X4)
    | ~ mem(X1,arr(X4,X3)) ),
    inference(split_conjunct,[status(thm)],[c_0_37])).

cnf(c_0_59,plain,
    ( mem(c_2Emin_2E_3D(X1),arr(X1,arr(X1,bool)))
    | ~ ne(X1) ),
    inference(split_conjunct,[status(thm)],[c_0_38])).

cnf(c_0_60,plain,
    ( mem(c_2Ebool_2E_21(X1),arr(arr(X1,bool),bool))
    | ~ ne(X1) ),
    inference(split_conjunct,[status(thm)],[c_0_39])).

cnf(c_0_61,plain,
    ( mem(c_2Ereal_2Ereal__sub,arr(ty_2Erealax_2Ereal,arr(ty_2Erealax_2Ereal,ty_2Erealax_2Ereal))) ),
    inference(split_conjunct,[status(thm)],[c_0_40])).

cnf(c_0_62,plain,
    ( mem(c_2Erealax_2Ereal__add,arr(ty_2Erealax_2Ereal,arr(ty_2Erealax_2Ereal,ty_2Erealax_2Ereal))) ),
    inference(split_conjunct,[status(thm)],[c_0_41])).

cnf(c_0_63,plain,
    ( ap(k(X1,X2),X3) = X2
    | ~ mem(X3,X1) ),
    inference(split_conjunct,[status(thm)],[c_0_42])).

cnf(c_0_64,plain,
    ( X1 = X2
    | ~ mem(X1,bool)
    | ~ mem(X2,bool)
    | ~ p(X2)
    | ~ p(X1) ),
    inference(split_conjunct,[status(thm)],[c_0_43])).

cnf(c_0_65,plain,
    ( X1 = X2
    | p(X2)
    | p(X1)
    | ~ mem(X1,bool)
    | ~ mem(X2,bool) ),
    inference(split_conjunct,[status(thm)],[c_0_43])).

cnf(c_0_66,plain,
    ( ne(arr(X1,X2))
    | ~ ne(X2)
    | ~ ne(X1) ),
    inference(split_conjunct,[status(thm)],[c_0_44])).

cnf(c_0_67,plain,
    ( ap(i(X1),X2) = X2
    | ~ mem(X2,X1) ),
    inference(split_conjunct,[status(thm)],[c_0_45])).

cnf(c_0_68,plain,
    ( mem(c_2Ebool_2ET,bool) ),
    inference(split_conjunct,[status(thm)],[c_0_46])).

cnf(c_0_69,plain,
    ( ne(ty_2Erealax_2Ereal) ),
    inference(split_conjunct,[status(thm)],[c_0_47])).

cnf(c_0_70,plain,
    ( p(c_2Ebool_2ET) ),
    inference(split_conjunct,[status(thm)],[c_0_48])).

cnf(c_0_71,plain,
    ( ne(ind) ),
    inference(split_conjunct,[status(thm)],[c_0_49])).

cnf(c_0_72,plain,
    ( ne(bool) ),
    inference(split_conjunct,[status(thm)],[c_0_50])).

cnf(c_0_73,plain,
    ( X1 = X4
    | ~ mem(X1,arr(X2,X3))
    | ~ mem(X4,arr(X2,X3))
    | ap(X1,esk1_4(X2,X3,X1,X4)) != ap(X4,esk1_4(X2,X3,X1,X4)) ),
    c_0_51,
    [final]).

cnf(c_0_74,plain,
    ( X1 = X4
    | mem(esk1_4(X2,X3,X1,X4),X2)
    | ~ mem(X1,arr(X2,X3))
    | ~ mem(X4,arr(X2,X3)) ),
    c_0_52,
    [final]).

cnf(c_0_75,plain,
    ( p(ap(c_2Ebool_2E_21(X1),X2))
    | ~ ne(X1)
    | ~ mem(X2,arr(X1,bool))
    | ~ p(ap(X2,esk2_2(X1,X2))) ),
    c_0_53,
    [final]).

cnf(c_0_76,plain,
    ( X2 = X3
    | ~ ne(X1)
    | ~ mem(X2,X1)
    | ~ mem(X3,X1)
    | ~ p(ap(ap(c_2Emin_2E_3D(X1),X2),X3)) ),
    c_0_54,
    [final]).

cnf(c_0_77,plain,
    ( p(ap(X2,X3))
    | ~ ne(X1)
    | ~ mem(X2,arr(X1,bool))
    | ~ mem(X3,X1)
    | ~ p(ap(c_2Ebool_2E_21(X1),X2)) ),
    c_0_55,
    [final]).

cnf(c_0_78,plain,
    ( p(ap(ap(c_2Emin_2E_3D(X1),X2),X3))
    | ~ ne(X1)
    | ~ mem(X2,X1)
    | ~ mem(X3,X1)
    | X2 != X3 ),
    c_0_56,
    [final]).

cnf(c_0_79,plain,
    ( p(ap(c_2Ebool_2E_21(X1),X2))
    | mem(esk2_2(X1,X2),X1)
    | ~ ne(X1)
    | ~ mem(X2,arr(X1,bool)) ),
    c_0_57,
    [final]).

cnf(c_0_80,plain,
    ( mem(ap(X1,X2),X3)
    | ~ mem(X2,X4)
    | ~ mem(X1,arr(X4,X3)) ),
    c_0_58,
    [final]).

cnf(c_0_81,plain,
    ( mem(c_2Emin_2E_3D(X1),arr(X1,arr(X1,bool)))
    | ~ ne(X1) ),
    c_0_59,
    [final]).

cnf(c_0_82,plain,
    ( mem(c_2Ebool_2E_21(X1),arr(arr(X1,bool),bool))
    | ~ ne(X1) ),
    c_0_60,
    [final]).

cnf(c_0_83,plain,
    ( mem(c_2Ereal_2Ereal__sub,arr(ty_2Erealax_2Ereal,arr(ty_2Erealax_2Ereal,ty_2Erealax_2Ereal))) ),
    c_0_61,
    [final]).

cnf(c_0_84,plain,
    ( mem(c_2Erealax_2Ereal__add,arr(ty_2Erealax_2Ereal,arr(ty_2Erealax_2Ereal,ty_2Erealax_2Ereal))) ),
    c_0_62,
    [final]).

cnf(c_0_85,plain,
    ( ap(k(X1,X2),X3) = X2
    | ~ mem(X3,X1) ),
    c_0_63,
    [final]).

cnf(c_0_86,plain,
    ( X1 = X2
    | ~ mem(X1,bool)
    | ~ mem(X2,bool)
    | ~ p(X2)
    | ~ p(X1) ),
    c_0_64,
    [final]).

cnf(c_0_87,plain,
    ( X1 = X2
    | p(X2)
    | p(X1)
    | ~ mem(X1,bool)
    | ~ mem(X2,bool) ),
    c_0_65,
    [final]).

cnf(c_0_88,plain,
    ( ne(arr(X1,X2))
    | ~ ne(X2)
    | ~ ne(X1) ),
    c_0_66,
    [final]).

cnf(c_0_89,plain,
    ( ap(i(X1),X2) = X2
    | ~ mem(X2,X1) ),
    c_0_67,
    [final]).

cnf(c_0_90,plain,
    ( mem(c_2Ebool_2ET,bool) ),
    c_0_68,
    [final]).

cnf(c_0_91,plain,
    ( ne(ty_2Erealax_2Ereal) ),
    c_0_69,
    [final]).

cnf(c_0_92,plain,
    ( p(c_2Ebool_2ET) ),
    c_0_70,
    [final]).

cnf(c_0_93,plain,
    ( ne(ind) ),
    c_0_71,
    [final]).

cnf(c_0_94,plain,
    ( ne(bool) ),
    c_0_72,
    [final]).

% End CNF derivation
% Generating one_way clauses for all literals in the CNF.
cnf(c_0_73_0,axiom,
    ( X1 = X4
    | ~ mem(X1,arr(X2,X3))
    | ~ mem(X4,arr(X2,X3))
    | ap(X1,sk1_esk1_4(X2,X3,X1,X4)) != ap(X4,sk1_esk1_4(X2,X3,X1,X4)) ),
    inference(literals_permutation,[status(thm)],[c_0_73])).

cnf(c_0_73_1,axiom,
    ( ~ mem(X1,arr(X2,X3))
    | X1 = X4
    | ~ mem(X4,arr(X2,X3))
    | ap(X1,sk1_esk1_4(X2,X3,X1,X4)) != ap(X4,sk1_esk1_4(X2,X3,X1,X4)) ),
    inference(literals_permutation,[status(thm)],[c_0_73])).

cnf(c_0_73_2,axiom,
    ( ~ mem(X4,arr(X2,X3))
    | ~ mem(X1,arr(X2,X3))
    | X1 = X4
    | ap(X1,sk1_esk1_4(X2,X3,X1,X4)) != ap(X4,sk1_esk1_4(X2,X3,X1,X4)) ),
    inference(literals_permutation,[status(thm)],[c_0_73])).

cnf(c_0_73_3,axiom,
    ( ap(X1,sk1_esk1_4(X2,X3,X1,X4)) != ap(X4,sk1_esk1_4(X2,X3,X1,X4))
    | ~ mem(X4,arr(X2,X3))
    | ~ mem(X1,arr(X2,X3))
    | X1 = X4 ),
    inference(literals_permutation,[status(thm)],[c_0_73])).

cnf(c_0_74_0,axiom,
    ( X1 = X4
    | mem(sk1_esk1_4(X2,X3,X1,X4),X2)
    | ~ mem(X1,arr(X2,X3))
    | ~ mem(X4,arr(X2,X3)) ),
    inference(literals_permutation,[status(thm)],[c_0_74])).

cnf(c_0_74_1,axiom,
    ( mem(sk1_esk1_4(X2,X3,X1,X4),X2)
    | X1 = X4
    | ~ mem(X1,arr(X2,X3))
    | ~ mem(X4,arr(X2,X3)) ),
    inference(literals_permutation,[status(thm)],[c_0_74])).

cnf(c_0_74_2,axiom,
    ( ~ mem(X1,arr(X2,X3))
    | mem(sk1_esk1_4(X2,X3,X1,X4),X2)
    | X1 = X4
    | ~ mem(X4,arr(X2,X3)) ),
    inference(literals_permutation,[status(thm)],[c_0_74])).

cnf(c_0_74_3,axiom,
    ( ~ mem(X4,arr(X2,X3))
    | ~ mem(X1,arr(X2,X3))
    | mem(sk1_esk1_4(X2,X3,X1,X4),X2)
    | X1 = X4 ),
    inference(literals_permutation,[status(thm)],[c_0_74])).

cnf(c_0_75_0,axiom,
    ( p(ap(c_2Ebool_2E_21(X1),X2))
    | ~ ne(X1)
    | ~ mem(X2,arr(X1,bool))
    | ~ p(ap(X2,sk1_esk2_2(X1,X2))) ),
    inference(literals_permutation,[status(thm)],[c_0_75])).

cnf(c_0_75_1,axiom,
    ( ~ ne(X1)
    | p(ap(c_2Ebool_2E_21(X1),X2))
    | ~ mem(X2,arr(X1,bool))
    | ~ p(ap(X2,sk1_esk2_2(X1,X2))) ),
    inference(literals_permutation,[status(thm)],[c_0_75])).

cnf(c_0_75_2,axiom,
    ( ~ mem(X2,arr(X1,bool))
    | ~ ne(X1)
    | p(ap(c_2Ebool_2E_21(X1),X2))
    | ~ p(ap(X2,sk1_esk2_2(X1,X2))) ),
    inference(literals_permutation,[status(thm)],[c_0_75])).

cnf(c_0_75_3,axiom,
    ( ~ p(ap(X2,sk1_esk2_2(X1,X2)))
    | ~ mem(X2,arr(X1,bool))
    | ~ ne(X1)
    | p(ap(c_2Ebool_2E_21(X1),X2)) ),
    inference(literals_permutation,[status(thm)],[c_0_75])).

cnf(c_0_76_0,axiom,
    ( X2 = X3
    | ~ ne(X1)
    | ~ mem(X2,X1)
    | ~ mem(X3,X1)
    | ~ p(ap(ap(c_2Emin_2E_3D(X1),X2),X3)) ),
    inference(literals_permutation,[status(thm)],[c_0_76])).

cnf(c_0_76_1,axiom,
    ( ~ ne(X1)
    | X2 = X3
    | ~ mem(X2,X1)
    | ~ mem(X3,X1)
    | ~ p(ap(ap(c_2Emin_2E_3D(X1),X2),X3)) ),
    inference(literals_permutation,[status(thm)],[c_0_76])).

cnf(c_0_76_2,axiom,
    ( ~ mem(X2,X1)
    | ~ ne(X1)
    | X2 = X3
    | ~ mem(X3,X1)
    | ~ p(ap(ap(c_2Emin_2E_3D(X1),X2),X3)) ),
    inference(literals_permutation,[status(thm)],[c_0_76])).

cnf(c_0_76_3,axiom,
    ( ~ mem(X3,X1)
    | ~ mem(X2,X1)
    | ~ ne(X1)
    | X2 = X3
    | ~ p(ap(ap(c_2Emin_2E_3D(X1),X2),X3)) ),
    inference(literals_permutation,[status(thm)],[c_0_76])).

cnf(c_0_76_4,axiom,
    ( ~ p(ap(ap(c_2Emin_2E_3D(X1),X2),X3))
    | ~ mem(X3,X1)
    | ~ mem(X2,X1)
    | ~ ne(X1)
    | X2 = X3 ),
    inference(literals_permutation,[status(thm)],[c_0_76])).

cnf(c_0_77_0,axiom,
    ( p(ap(X2,X3))
    | ~ ne(X1)
    | ~ mem(X2,arr(X1,bool))
    | ~ mem(X3,X1)
    | ~ p(ap(c_2Ebool_2E_21(X1),X2)) ),
    inference(literals_permutation,[status(thm)],[c_0_77])).

cnf(c_0_77_1,axiom,
    ( ~ ne(X1)
    | p(ap(X2,X3))
    | ~ mem(X2,arr(X1,bool))
    | ~ mem(X3,X1)
    | ~ p(ap(c_2Ebool_2E_21(X1),X2)) ),
    inference(literals_permutation,[status(thm)],[c_0_77])).

cnf(c_0_77_2,axiom,
    ( ~ mem(X2,arr(X1,bool))
    | ~ ne(X1)
    | p(ap(X2,X3))
    | ~ mem(X3,X1)
    | ~ p(ap(c_2Ebool_2E_21(X1),X2)) ),
    inference(literals_permutation,[status(thm)],[c_0_77])).

cnf(c_0_77_3,axiom,
    ( ~ mem(X3,X1)
    | ~ mem(X2,arr(X1,bool))
    | ~ ne(X1)
    | p(ap(X2,X3))
    | ~ p(ap(c_2Ebool_2E_21(X1),X2)) ),
    inference(literals_permutation,[status(thm)],[c_0_77])).

cnf(c_0_77_4,axiom,
    ( ~ p(ap(c_2Ebool_2E_21(X1),X2))
    | ~ mem(X3,X1)
    | ~ mem(X2,arr(X1,bool))
    | ~ ne(X1)
    | p(ap(X2,X3)) ),
    inference(literals_permutation,[status(thm)],[c_0_77])).

cnf(c_0_78_0,axiom,
    ( p(ap(ap(c_2Emin_2E_3D(X1),X2),X3))
    | ~ ne(X1)
    | ~ mem(X2,X1)
    | ~ mem(X3,X1)
    | X2 != X3 ),
    inference(literals_permutation,[status(thm)],[c_0_78])).

cnf(c_0_78_1,axiom,
    ( ~ ne(X1)
    | p(ap(ap(c_2Emin_2E_3D(X1),X2),X3))
    | ~ mem(X2,X1)
    | ~ mem(X3,X1)
    | X2 != X3 ),
    inference(literals_permutation,[status(thm)],[c_0_78])).

cnf(c_0_78_2,axiom,
    ( ~ mem(X2,X1)
    | ~ ne(X1)
    | p(ap(ap(c_2Emin_2E_3D(X1),X2),X3))
    | ~ mem(X3,X1)
    | X2 != X3 ),
    inference(literals_permutation,[status(thm)],[c_0_78])).

cnf(c_0_78_3,axiom,
    ( ~ mem(X3,X1)
    | ~ mem(X2,X1)
    | ~ ne(X1)
    | p(ap(ap(c_2Emin_2E_3D(X1),X2),X3))
    | X2 != X3 ),
    inference(literals_permutation,[status(thm)],[c_0_78])).

cnf(c_0_78_4,axiom,
    ( X2 != X3
    | ~ mem(X3,X1)
    | ~ mem(X2,X1)
    | ~ ne(X1)
    | p(ap(ap(c_2Emin_2E_3D(X1),X2),X3)) ),
    inference(literals_permutation,[status(thm)],[c_0_78])).

cnf(c_0_79_0,axiom,
    ( p(ap(c_2Ebool_2E_21(X1),X2))
    | mem(sk1_esk2_2(X1,X2),X1)
    | ~ ne(X1)
    | ~ mem(X2,arr(X1,bool)) ),
    inference(literals_permutation,[status(thm)],[c_0_79])).

cnf(c_0_79_1,axiom,
    ( mem(sk1_esk2_2(X1,X2),X1)
    | p(ap(c_2Ebool_2E_21(X1),X2))
    | ~ ne(X1)
    | ~ mem(X2,arr(X1,bool)) ),
    inference(literals_permutation,[status(thm)],[c_0_79])).

cnf(c_0_79_2,axiom,
    ( ~ ne(X1)
    | mem(sk1_esk2_2(X1,X2),X1)
    | p(ap(c_2Ebool_2E_21(X1),X2))
    | ~ mem(X2,arr(X1,bool)) ),
    inference(literals_permutation,[status(thm)],[c_0_79])).

cnf(c_0_79_3,axiom,
    ( ~ mem(X2,arr(X1,bool))
    | ~ ne(X1)
    | mem(sk1_esk2_2(X1,X2),X1)
    | p(ap(c_2Ebool_2E_21(X1),X2)) ),
    inference(literals_permutation,[status(thm)],[c_0_79])).

cnf(c_0_80_0,axiom,
    ( mem(ap(X1,X2),X3)
    | ~ mem(X2,X4)
    | ~ mem(X1,arr(X4,X3)) ),
    inference(literals_permutation,[status(thm)],[c_0_80])).

cnf(c_0_80_1,axiom,
    ( ~ mem(X2,X4)
    | mem(ap(X1,X2),X3)
    | ~ mem(X1,arr(X4,X3)) ),
    inference(literals_permutation,[status(thm)],[c_0_80])).

cnf(c_0_80_2,axiom,
    ( ~ mem(X1,arr(X4,X3))
    | ~ mem(X2,X4)
    | mem(ap(X1,X2),X3) ),
    inference(literals_permutation,[status(thm)],[c_0_80])).

cnf(c_0_81_0,axiom,
    ( mem(c_2Emin_2E_3D(X1),arr(X1,arr(X1,bool)))
    | ~ ne(X1) ),
    inference(literals_permutation,[status(thm)],[c_0_81])).

cnf(c_0_81_1,axiom,
    ( ~ ne(X1)
    | mem(c_2Emin_2E_3D(X1),arr(X1,arr(X1,bool))) ),
    inference(literals_permutation,[status(thm)],[c_0_81])).

cnf(c_0_82_0,axiom,
    ( mem(c_2Ebool_2E_21(X1),arr(arr(X1,bool),bool))
    | ~ ne(X1) ),
    inference(literals_permutation,[status(thm)],[c_0_82])).

cnf(c_0_82_1,axiom,
    ( ~ ne(X1)
    | mem(c_2Ebool_2E_21(X1),arr(arr(X1,bool),bool)) ),
    inference(literals_permutation,[status(thm)],[c_0_82])).

cnf(c_0_85_0,axiom,
    ( ap(k(X1,X2),X3) = X2
    | ~ mem(X3,X1) ),
    inference(literals_permutation,[status(thm)],[c_0_85])).

cnf(c_0_85_1,axiom,
    ( ~ mem(X3,X1)
    | ap(k(X1,X2),X3) = X2 ),
    inference(literals_permutation,[status(thm)],[c_0_85])).

cnf(c_0_86_0,axiom,
    ( X1 = X2
    | ~ mem(X1,bool)
    | ~ mem(X2,bool)
    | ~ p(X2)
    | ~ p(X1) ),
    inference(literals_permutation,[status(thm)],[c_0_86])).

cnf(c_0_86_1,axiom,
    ( ~ mem(X1,bool)
    | X1 = X2
    | ~ mem(X2,bool)
    | ~ p(X2)
    | ~ p(X1) ),
    inference(literals_permutation,[status(thm)],[c_0_86])).

cnf(c_0_86_2,axiom,
    ( ~ mem(X2,bool)
    | ~ mem(X1,bool)
    | X1 = X2
    | ~ p(X2)
    | ~ p(X1) ),
    inference(literals_permutation,[status(thm)],[c_0_86])).

cnf(c_0_86_3,axiom,
    ( ~ p(X2)
    | ~ mem(X2,bool)
    | ~ mem(X1,bool)
    | X1 = X2
    | ~ p(X1) ),
    inference(literals_permutation,[status(thm)],[c_0_86])).

cnf(c_0_86_4,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ mem(X2,bool)
    | ~ mem(X1,bool)
    | X1 = X2 ),
    inference(literals_permutation,[status(thm)],[c_0_86])).

cnf(c_0_87_0,axiom,
    ( X1 = X2
    | p(X2)
    | p(X1)
    | ~ mem(X1,bool)
    | ~ mem(X2,bool) ),
    inference(literals_permutation,[status(thm)],[c_0_87])).

cnf(c_0_87_1,axiom,
    ( p(X2)
    | X1 = X2
    | p(X1)
    | ~ mem(X1,bool)
    | ~ mem(X2,bool) ),
    inference(literals_permutation,[status(thm)],[c_0_87])).

cnf(c_0_87_2,axiom,
    ( p(X1)
    | p(X2)
    | X1 = X2
    | ~ mem(X1,bool)
    | ~ mem(X2,bool) ),
    inference(literals_permutation,[status(thm)],[c_0_87])).

cnf(c_0_87_3,axiom,
    ( ~ mem(X1,bool)
    | p(X1)
    | p(X2)
    | X1 = X2
    | ~ mem(X2,bool) ),
    inference(literals_permutation,[status(thm)],[c_0_87])).

cnf(c_0_87_4,axiom,
    ( ~ mem(X2,bool)
    | ~ mem(X1,bool)
    | p(X1)
    | p(X2)
    | X1 = X2 ),
    inference(literals_permutation,[status(thm)],[c_0_87])).

cnf(c_0_88_0,axiom,
    ( ne(arr(X1,X2))
    | ~ ne(X2)
    | ~ ne(X1) ),
    inference(literals_permutation,[status(thm)],[c_0_88])).

cnf(c_0_88_1,axiom,
    ( ~ ne(X2)
    | ne(arr(X1,X2))
    | ~ ne(X1) ),
    inference(literals_permutation,[status(thm)],[c_0_88])).

cnf(c_0_88_2,axiom,
    ( ~ ne(X1)
    | ~ ne(X2)
    | ne(arr(X1,X2)) ),
    inference(literals_permutation,[status(thm)],[c_0_88])).

cnf(c_0_89_0,axiom,
    ( ap(i(X1),X2) = X2
    | ~ mem(X2,X1) ),
    inference(literals_permutation,[status(thm)],[c_0_89])).

cnf(c_0_89_1,axiom,
    ( ~ mem(X2,X1)
    | ap(i(X1),X2) = X2 ),
    inference(literals_permutation,[status(thm)],[c_0_89])).

cnf(c_0_83_0,axiom,
    ( mem(c_2Ereal_2Ereal__sub,arr(ty_2Erealax_2Ereal,arr(ty_2Erealax_2Ereal,ty_2Erealax_2Ereal))) ),
    inference(literals_permutation,[status(thm)],[c_0_83])).

cnf(c_0_84_0,axiom,
    ( mem(c_2Erealax_2Ereal__add,arr(ty_2Erealax_2Ereal,arr(ty_2Erealax_2Ereal,ty_2Erealax_2Ereal))) ),
    inference(literals_permutation,[status(thm)],[c_0_84])).

cnf(c_0_90_0,axiom,
    ( mem(c_2Ebool_2ET,bool) ),
    inference(literals_permutation,[status(thm)],[c_0_90])).

cnf(c_0_91_0,axiom,
    ( ne(ty_2Erealax_2Ereal) ),
    inference(literals_permutation,[status(thm)],[c_0_91])).

cnf(c_0_92_0,axiom,
    ( p(c_2Ebool_2ET) ),
    inference(literals_permutation,[status(thm)],[c_0_92])).

cnf(c_0_93_0,axiom,
    ( ne(ind) ),
    inference(literals_permutation,[status(thm)],[c_0_93])).

cnf(c_0_94_0,axiom,
    ( ne(bool) ),
    inference(literals_permutation,[status(thm)],[c_0_94])).

% CNF of non-axioms
% Start CNF derivation
fof(c_0_0_001,conjecture,(
    ! [X2] :
      ( mem(X2,ty_2Erealax_2Ereal)
     => ! [X3] :
          ( mem(X3,ty_2Erealax_2Ereal)
         => ap(ap(c_2Ereal_2Ereal__sub,ap(ap(c_2Erealax_2Ereal__add,X2),X3)),X3) = X2 ) ) ),
    file('<stdin>',conj_thm_2Ereal_2EREAL__ADD__SUB__ALT)).

fof(c_0_1_002,lemma,(
    ! [X2] :
      ( mem(X2,ty_2Erealax_2Ereal)
     => ! [X3] :
          ( mem(X3,ty_2Erealax_2Ereal)
         => ! [X4] :
              ( mem(X4,ty_2Erealax_2Ereal)
             => ( ap(ap(c_2Ereal_2Ereal__sub,X2),X3) = X4
              <=> X2 = ap(ap(c_2Erealax_2Ereal__add,X4),X3) ) ) ) ) ),
    file('<stdin>',conj_thm_2Ereal_2EREAL__EQ__SUB__RADD)).

fof(c_0_2_003,lemma,(
    ! [X1] :
      ( ne(X1)
     => ! [X2] :
          ( mem(X2,X1)
         => ( X2 = X2
          <=> $true ) ) ) ),
    file('<stdin>',conj_thm_2Ebool_2EREFL__CLAUSE)).

fof(c_0_3_004,lemma,(
    $true ),
    file('<stdin>',conj_thm_2Ebool_2ETRUTH)).

fof(c_0_4_005,negated_conjecture,(
    ~ ! [X2] :
        ( mem(X2,ty_2Erealax_2Ereal)
       => ! [X3] :
            ( mem(X3,ty_2Erealax_2Ereal)
           => ap(ap(c_2Ereal_2Ereal__sub,ap(ap(c_2Erealax_2Ereal__add,X2),X3)),X3) = X2 ) ) ),
    inference(assume_negation,[status(cth)],[c_0_0])).

fof(c_0_5_006,lemma,(
    ! [X2] :
      ( mem(X2,ty_2Erealax_2Ereal)
     => ! [X3] :
          ( mem(X3,ty_2Erealax_2Ereal)
         => ! [X4] :
              ( mem(X4,ty_2Erealax_2Ereal)
             => ( ap(ap(c_2Ereal_2Ereal__sub,X2),X3) = X4
              <=> X2 = ap(ap(c_2Erealax_2Ereal__add,X4),X3) ) ) ) ) ),
    c_0_1).

fof(c_0_6_007,lemma,(
    ! [X1] :
      ( ne(X1)
     => ! [X2] :
          ( mem(X2,X1)
         => X2 = X2 ) ) ),
    inference(fof_simplification,[status(thm)],[c_0_2])).

fof(c_0_7_008,lemma,(
    $true ),
    c_0_3).

fof(c_0_8_009,negated_conjecture,
    ( mem(esk1_0,ty_2Erealax_2Ereal)
    & mem(esk2_0,ty_2Erealax_2Ereal)
    & ap(ap(c_2Ereal_2Ereal__sub,ap(ap(c_2Erealax_2Ereal__add,esk1_0),esk2_0)),esk2_0) != esk1_0 ),
    inference(skolemize,[status(esa)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_4])])])).

fof(c_0_9_010,lemma,(
    ! [X5,X6,X7] :
      ( ( ap(ap(c_2Ereal_2Ereal__sub,X5),X6) != X7
        | X5 = ap(ap(c_2Erealax_2Ereal__add,X7),X6)
        | ~ mem(X7,ty_2Erealax_2Ereal)
        | ~ mem(X6,ty_2Erealax_2Ereal)
        | ~ mem(X5,ty_2Erealax_2Ereal) )
      & ( X5 != ap(ap(c_2Erealax_2Ereal__add,X7),X6)
        | ap(ap(c_2Ereal_2Ereal__sub,X5),X6) = X7
        | ~ mem(X7,ty_2Erealax_2Ereal)
        | ~ mem(X6,ty_2Erealax_2Ereal)
        | ~ mem(X5,ty_2Erealax_2Ereal) ) ) ),
    inference(distribute,[status(thm)],[inference(shift_quantors,[status(thm)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_5])])])])).

fof(c_0_10_011,lemma,(
    ! [X3,X4] :
      ( ~ ne(X3)
      | ~ mem(X4,X3)
      | X4 = X4 ) ),
    inference(shift_quantors,[status(thm)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_6])])])).

fof(c_0_11_012,lemma,(
    $true ),
    c_0_7).

cnf(c_0_12_013,negated_conjecture,
    ( ap(ap(c_2Ereal_2Ereal__sub,ap(ap(c_2Erealax_2Ereal__add,esk1_0),esk2_0)),esk2_0) != esk1_0 ),
    inference(split_conjunct,[status(thm)],[c_0_8])).

cnf(c_0_13_014,lemma,
    ( X1 = ap(ap(c_2Erealax_2Ereal__add,X3),X2)
    | ~ mem(X1,ty_2Erealax_2Ereal)
    | ~ mem(X2,ty_2Erealax_2Ereal)
    | ~ mem(X3,ty_2Erealax_2Ereal)
    | ap(ap(c_2Ereal_2Ereal__sub,X1),X2) != X3 ),
    inference(split_conjunct,[status(thm)],[c_0_9])).

cnf(c_0_14_015,lemma,
    ( ap(ap(c_2Ereal_2Ereal__sub,X1),X2) = X3
    | ~ mem(X1,ty_2Erealax_2Ereal)
    | ~ mem(X2,ty_2Erealax_2Ereal)
    | ~ mem(X3,ty_2Erealax_2Ereal)
    | X1 != ap(ap(c_2Erealax_2Ereal__add,X3),X2) ),
    inference(split_conjunct,[status(thm)],[c_0_9])).

cnf(c_0_15_016,lemma,
    ( X1 = X1
    | ~ mem(X1,X2)
    | ~ ne(X2) ),
    inference(split_conjunct,[status(thm)],[c_0_10])).

cnf(c_0_16_017,negated_conjecture,
    ( mem(esk1_0,ty_2Erealax_2Ereal) ),
    inference(split_conjunct,[status(thm)],[c_0_8])).

cnf(c_0_17_018,negated_conjecture,
    ( mem(esk2_0,ty_2Erealax_2Ereal) ),
    inference(split_conjunct,[status(thm)],[c_0_8])).

cnf(c_0_18_019,lemma,
    ( $true ),
    inference(split_conjunct,[status(thm)],[c_0_11])).

cnf(c_0_19_020,negated_conjecture,
    ( ap(ap(c_2Ereal_2Ereal__sub,ap(ap(c_2Erealax_2Ereal__add,esk1_0),esk2_0)),esk2_0) != esk1_0 ),
    c_0_12,
    [final]).

cnf(c_0_20_021,lemma,
    ( X1 = ap(ap(c_2Erealax_2Ereal__add,X3),X2)
    | ~ mem(X1,ty_2Erealax_2Ereal)
    | ~ mem(X2,ty_2Erealax_2Ereal)
    | ~ mem(X3,ty_2Erealax_2Ereal)
    | ap(ap(c_2Ereal_2Ereal__sub,X1),X2) != X3 ),
    c_0_13,
    [final]).

cnf(c_0_21_022,lemma,
    ( ap(ap(c_2Ereal_2Ereal__sub,X1),X2) = X3
    | ~ mem(X1,ty_2Erealax_2Ereal)
    | ~ mem(X2,ty_2Erealax_2Ereal)
    | ~ mem(X3,ty_2Erealax_2Ereal)
    | X1 != ap(ap(c_2Erealax_2Ereal__add,X3),X2) ),
    c_0_14,
    [final]).

cnf(c_0_22_023,lemma,
    ( X1 = X1
    | ~ mem(X1,X2)
    | ~ ne(X2) ),
    c_0_15,
    [final]).

cnf(c_0_23_024,negated_conjecture,
    ( mem(esk1_0,ty_2Erealax_2Ereal) ),
    c_0_16,
    [final]).

cnf(c_0_24_025,negated_conjecture,
    ( mem(esk2_0,ty_2Erealax_2Ereal) ),
    c_0_17,
    [final]).

cnf(c_0_25_026,lemma,
    ( $true ),
    c_0_18,
    [final]).

% End CNF derivation

%-------------------------------------------------------------
% Proof by iprover

cnf(c_63,plain,
    ( ~ mem(X0,ty_2Erealax_2Ereal)
    | ~ mem(X1,ty_2Erealax_2Ereal)
    | ~ mem(X2,ty_2Erealax_2Ereal)
    | ap(ap(c_2Ereal_2Ereal__sub,X2),X1) = X0
    | X2 != ap(ap(c_2Erealax_2Ereal__add,X0),X1) ),
    file('/export/starexec/sandbox/tmp/iprover_modulo_deff72.p',c_0_21)).

cnf(c_88,plain,
    ( ~ mem(X0,ty_2Erealax_2Ereal)
    | ~ mem(X1,ty_2Erealax_2Ereal)
    | ~ mem(X2,ty_2Erealax_2Ereal)
    | ap(ap(c_2Ereal_2Ereal__sub,X2),X1) = X0
    | X2 != ap(ap(c_2Erealax_2Ereal__add,X0),X1) ),
    inference(copy,[status(esa)],[c_63])).

cnf(c_105,plain,
    ( ~ mem(X0,ty_2Erealax_2Ereal)
    | ~ mem(X1,ty_2Erealax_2Ereal)
    | ~ mem(X2,ty_2Erealax_2Ereal)
    | ap(ap(c_2Ereal_2Ereal__sub,X2),X1) = X0
    | X2 != ap(ap(c_2Erealax_2Ereal__add,X0),X1) ),
    inference(copy,[status(esa)],[c_88])).

cnf(c_114,plain,
    ( ~ mem(X0,ty_2Erealax_2Ereal)
    | ~ mem(X1,ty_2Erealax_2Ereal)
    | ~ mem(X2,ty_2Erealax_2Ereal)
    | ap(ap(c_2Ereal_2Ereal__sub,X2),X1) = X0
    | X2 != ap(ap(c_2Erealax_2Ereal__add,X0),X1) ),
    inference(copy,[status(esa)],[c_105])).

cnf(c_120,plain,
    ( ~ mem(X0,ty_2Erealax_2Ereal)
    | ~ mem(X1,ty_2Erealax_2Ereal)
    | ~ mem(X2,ty_2Erealax_2Ereal)
    | ap(ap(c_2Ereal_2Ereal__sub,X2),X1) = X0
    | X2 != ap(ap(c_2Erealax_2Ereal__add,X0),X1) ),
    inference(copy,[status(esa)],[c_114])).

cnf(c_187,plain,
    ( ~ mem(X0,ty_2Erealax_2Ereal)
    | ~ mem(X1,ty_2Erealax_2Ereal)
    | ~ mem(X2,ty_2Erealax_2Ereal)
    | ap(ap(c_2Ereal_2Ereal__sub,X2),X1) = X0
    | X2 != ap(ap(c_2Erealax_2Ereal__add,X0),X1) ),
    inference(copy,[status(esa)],[c_120])).

cnf(c_53843,plain,
    ( ~ mem(sk2_esk1_0,ty_2Erealax_2Ereal)
    | ~ mem(X0,ty_2Erealax_2Ereal)
    | ~ mem(X1,ty_2Erealax_2Ereal)
    | ap(ap(c_2Ereal_2Ereal__sub,X1),X0) = sk2_esk1_0
    | X1 != ap(ap(c_2Erealax_2Ereal__add,sk2_esk1_0),X0) ),
    inference(instantiation,[status(thm)],[c_187])).

cnf(c_53886,plain,
    ( ~ mem(sk2_esk1_0,ty_2Erealax_2Ereal)
    | ~ mem(sk2_esk2_0,ty_2Erealax_2Ereal)
    | ~ mem(X0,ty_2Erealax_2Ereal)
    | ap(ap(c_2Ereal_2Ereal__sub,X0),sk2_esk2_0) = sk2_esk1_0
    | X0 != ap(ap(c_2Erealax_2Ereal__add,sk2_esk1_0),sk2_esk2_0) ),
    inference(instantiation,[status(thm)],[c_53843])).

cnf(c_54371,plain,
    ( ~ mem(ap(ap(c_2Erealax_2Ereal__add,sk2_esk1_0),sk2_esk2_0),ty_2Erealax_2Ereal)
    | ~ mem(sk2_esk1_0,ty_2Erealax_2Ereal)
    | ~ mem(sk2_esk2_0,ty_2Erealax_2Ereal)
    | ap(ap(c_2Erealax_2Ereal__add,sk2_esk1_0),sk2_esk2_0) != ap(ap(c_2Erealax_2Ereal__add,sk2_esk1_0),sk2_esk2_0)
    | ap(ap(c_2Ereal_2Ereal__sub,ap(ap(c_2Erealax_2Ereal__add,sk2_esk1_0),sk2_esk2_0)),sk2_esk2_0) = sk2_esk1_0 ),
    inference(instantiation,[status(thm)],[c_53886])).

cnf(c_54966,plain,
    ( ~ mem(ap(ap(c_2Erealax_2Ereal__add,sk2_esk1_0),sk2_esk2_0),ty_2Erealax_2Ereal)
    | ~ mem(sk2_esk1_0,ty_2Erealax_2Ereal)
    | ~ mem(sk2_esk2_0,ty_2Erealax_2Ereal)
    | ap(ap(c_2Ereal_2Ereal__sub,ap(ap(c_2Erealax_2Ereal__add,sk2_esk1_0),sk2_esk2_0)),sk2_esk2_0) = sk2_esk1_0 ),
    inference(equality_resolution_simp,[status(esa)],[c_54371])).

cnf(c_28,plain,
    ( mem(ap(X0,X1),X2)
    | ~ mem(X1,X3)
    | ~ mem(X0,arr(X3,X2)) ),
    file('/export/starexec/sandbox/tmp/iprover_modulo_deff72.p',c_0_80_2)).

cnf(c_149,plain,
    ( mem(ap(X0,X1),X2)
    | ~ mem(X1,X3)
    | ~ mem(X0,arr(X3,X2)) ),
    inference(copy,[status(esa)],[c_28])).

cnf(c_53771,plain,
    ( mem(ap(X0,sk2_esk2_0),X1)
    | ~ mem(sk2_esk2_0,ty_2Erealax_2Ereal)
    | ~ mem(X0,arr(ty_2Erealax_2Ereal,X1)) ),
    inference(instantiation,[status(thm)],[c_149])).

cnf(c_54078,plain,
    ( ~ mem(ap(c_2Erealax_2Ereal__add,sk2_esk1_0),arr(ty_2Erealax_2Ereal,ty_2Erealax_2Ereal))
    | mem(ap(ap(c_2Erealax_2Ereal__add,sk2_esk1_0),sk2_esk2_0),ty_2Erealax_2Ereal)
    | ~ mem(sk2_esk2_0,ty_2Erealax_2Ereal) ),
    inference(instantiation,[status(thm)],[c_53771])).

cnf(c_53769,plain,
    ( mem(ap(X0,sk2_esk1_0),X1)
    | ~ mem(sk2_esk1_0,ty_2Erealax_2Ereal)
    | ~ mem(X0,arr(ty_2Erealax_2Ereal,X1)) ),
    inference(instantiation,[status(thm)],[c_149])).

cnf(c_53868,plain,
    ( ~ mem(c_2Erealax_2Ereal__add,arr(ty_2Erealax_2Ereal,arr(ty_2Erealax_2Ereal,ty_2Erealax_2Ereal)))
    | mem(ap(c_2Erealax_2Ereal__add,sk2_esk1_0),arr(ty_2Erealax_2Ereal,ty_2Erealax_2Ereal))
    | ~ mem(sk2_esk1_0,ty_2Erealax_2Ereal) ),
    inference(instantiation,[status(thm)],[c_53769])).

cnf(c_5,plain,
    ( mem(c_2Erealax_2Ereal__add,arr(ty_2Erealax_2Ereal,arr(ty_2Erealax_2Ereal,ty_2Erealax_2Ereal))) ),
    file('/export/starexec/sandbox/tmp/iprover_modulo_deff72.p',c_0_84_0)).

cnf(c_65,negated_conjecture,
    ( ap(ap(c_2Ereal_2Ereal__sub,ap(ap(c_2Erealax_2Ereal__add,sk2_esk1_0),sk2_esk2_0)),sk2_esk2_0) != sk2_esk1_0 ),
    file('/export/starexec/sandbox/tmp/iprover_modulo_deff72.p',c_0_19)).

cnf(c_66,negated_conjecture,
    ( mem(sk2_esk1_0,ty_2Erealax_2Ereal) ),
    file('/export/starexec/sandbox/tmp/iprover_modulo_deff72.p',c_0_23)).

cnf(c_67,negated_conjecture,
    ( mem(sk2_esk2_0,ty_2Erealax_2Ereal) ),
    file('/export/starexec/sandbox/tmp/iprover_modulo_deff72.p',c_0_24)).

cnf(contradiction,plain,
    ( $false ),
    inference(minisat,[status(thm)],[c_54966,c_54078,c_53868,c_5,c_65,c_66,c_67])).

%------------------------------------------------------------------------------
