%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:41:41 EDT 2019

% Result     : Theorem 6.97s
% Output     : CNFRefutation 6.97s
% Verified   : 
% Statistics : Number of formulae       :   42 (  42 expanded)
%              Number of leaves         :   26 (  26 expanded)
%              Depth                    :    3
%              Number of atoms          :  384 ( 384 expanded)
%              Number of equality atoms :   64 (  64 expanded)
%              Maximal formula depth    :   14 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Ereal_2E_2F_type,type,(
    c_2Ereal_2E_2F: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: tyop_2Enum_2Enum )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Ebool_2ECOND_type,type,(
    c_2Ebool_2ECOND: 
      !>[TA: $tType] :
        ( $o > TA > TA > TA ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Erealax_2Ereal__mul_type,type,(
    c_2Erealax_2Ereal__mul: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Ereal_2Ereal__of__num_type,type,(
    c_2Ereal_2Ereal__of__num: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal )).

thf(c_2Emarker_2Eunint_type,type,(
    c_2Emarker_2Eunint: 
      !>[TA: $tType] :
        ( TA > TA ) )).

thf(10,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__mul @ A @ C )
        = ( c_2Erealax_2Ereal__mul @ B @ C ) )
      = ( ( C
          = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
        | ( A = B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__EQ__RMUL)).

thf(57,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__mul @ A @ C )
        = ( c_2Erealax_2Ereal__mul @ B @ C ) )
      = ( ( C
          = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
        | ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(15,axiom,(
    ! [TA: $tType] :
      ( ! [A: TA,B: TA] :
          ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
          = A )
      & ! [A: TA,B: TA] :
          ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
          = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2Ebool__case__thm)).

thf(74,plain,(
    ! [TA: $tType] :
      ( ! [A: TA,B: TA] :
          ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
          = A )
      & ! [A: TA,B: TA] :
          ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
          = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(11,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Ereal_2E_2F @ C @ B ) @ A )
      = ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Emin_2E_3D @ tyop_2Erealax_2Ereal @ B @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) @ ( c_2Erealax_2Ereal__mul @ ( c_2Emarker_2Eunint @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2E_2F @ C @ B ) ) @ A ) @ ( c_2Ereal_2E_2F @ ( c_2Erealax_2Ereal__mul @ C @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2Emult__ratl)).

thf(60,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Ereal_2E_2F @ C @ B ) @ A )
      = ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Emin_2E_3D @ tyop_2Erealax_2Ereal @ B @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) @ ( c_2Erealax_2Ereal__mul @ ( c_2Emarker_2Eunint @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2E_2F @ C @ B ) ) @ A ) @ ( c_2Ereal_2E_2F @ ( c_2Erealax_2Ereal__mul @ C @ A ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(4,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(21,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(8,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(41,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(7,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(32,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(5,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          | A )
        = c_2Ebool_2ET )
      & ( ( A
          | c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
          | A )
        = A )
      & ( ( A
          | c_2Ebool_2EF )
        = A )
      & ( ( A
          | A )
        = A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EOR__CLAUSES)).

thf(22,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          | A )
        = c_2Ebool_2ET )
      & ( ( A
          | c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
          | A )
        = A )
      & ( ( A
          | c_2Ebool_2EF )
        = A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(9,axiom,(
    ! [TA: $tType,A: $o,B: $o,C: TA,D: TA,E: TA,F: TA] :
      ( ( ( A = B )
        & ( B
         => ( C = D ) )
        & ( ~ B
         => ( E = F ) ) )
     => ( ( c_2Ebool_2ECOND @ TA @ A @ C @ E )
        = ( c_2Ebool_2ECOND @ TA @ B @ D @ F ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CONG)).

thf(44,plain,(
    ! [TA: $tType,A: $o,B: $o,C: TA,D: TA,E: TA,F: TA] :
      ( ( ( A = B )
        & ( B
         => ( C = D ) )
        & ( ~ B
         => ( E = F ) ) )
     => ( ( c_2Ebool_2ECOND @ TA @ A @ C @ E )
        = ( c_2Ebool_2ECOND @ TA @ B @ D @ F ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(6,axiom,(
    ! [A: $o] :
      ( c_2Ebool_2EF
     => A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFALSITY)).

thf(27,plain,(
    ! [A: $o] :
      ( c_2Ebool_2EF
     => A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(14,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Emarker_2Eunint @ TA @ A )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Emarker_2Eunint__def)).

thf(71,plain,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Emarker_2Eunint @ TA @ A )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(13,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
        = A )
      & ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
        = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CLAUSES)).

thf(66,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
        = A )
      & ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(12,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ A @ B )
      = ( c_2Erealax_2Ereal__mul @ B @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__COMM)).

thf(63,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ A @ B )
      = ( c_2Erealax_2Ereal__mul @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ C @ ( c_2Ereal_2E_2F @ B @ A ) )
      = ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Emin_2E_3D @ tyop_2Erealax_2Ereal @ A @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) @ ( c_2Erealax_2Ereal__mul @ C @ ( c_2Emarker_2Eunint @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2E_2F @ B @ A ) ) ) @ ( c_2Ereal_2E_2F @ ( c_2Erealax_2Ereal__mul @ C @ B ) @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2Emult__ratr)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
        ( ( c_2Erealax_2Ereal__mul @ C @ ( c_2Ereal_2E_2F @ B @ A ) )
        = ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Emin_2E_3D @ tyop_2Erealax_2Ereal @ A @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) @ ( c_2Erealax_2Ereal__mul @ C @ ( c_2Emarker_2Eunint @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2E_2F @ B @ A ) ) ) @ ( c_2Ereal_2E_2F @ ( c_2Erealax_2Ereal__mul @ C @ B ) @ A ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(16,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
        ( ( c_2Erealax_2Ereal__mul @ C @ ( c_2Ereal_2E_2F @ B @ A ) )
        = ( c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ ( c_2Emin_2E_3D @ tyop_2Erealax_2Ereal @ A @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) @ ( c_2Erealax_2Ereal__mul @ C @ ( c_2Emarker_2Eunint @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2E_2F @ B @ A ) ) ) @ ( c_2Ereal_2E_2F @ ( c_2Erealax_2Ereal__mul @ C @ B ) @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
      = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(19,plain,(
    ! [TA: $tType] : c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(80,plain,(
    $false ),
    inference(e,[status(thm)],[57,74,60,21,41,32,22,44,27,71,66,63,16,19])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.11/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.11/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.13  % CPULimit   : 300
% 0.11/0.13  % DateTime   : Wed Jul 31 06:22:12 EDT 2019
% 0.11/0.13  % CPUTime    : 
% 3.28/1.40  % [INFO] 	 Running in sequential loop mode. 
% 3.91/1.58  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.29/1.65  % [INFO] 	 iprover registered as external prover. 
% 4.29/1.65  % [INFO] 	 e registered as external prover. 
% 4.29/1.65  % [INFO] 	 cvc4 registered as external prover. 
% 4.29/1.65  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.56/1.70  % [INFO] 	 Found a conjecture and 23 axioms. Running axiom selection ... 
% 4.56/1.75  % [INFO] 	 Axiom selection finished. Selected 13 axioms (removed 10 axioms). 
% 4.89/1.79  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.89/2.42  % [INFO] 	 Killing All external provers ... 
% 6.97/2.42  % Time passed: 2151ms
% 6.97/2.42  % Effective reasoning time: 1013ms
% 6.97/2.42  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.97/2.43  % Axioms used in derivation (13): logicdef_2E_3D, thm_2Ebool_2EREFL__CLAUSE, thm_2Ebool_2EEQ__CLAUSES, thm_2Emarker_2Eunint__def, thm_2Ebool_2EFALSITY, thm_2Ebool_2ECOND__CLAUSES, thm_2Ebool_2ECOND__CONG, thm_2Ebool_2ETRUTH, thm_2Ereal_2EREAL__MUL__COMM, thm_2Ebool_2EOR__CLAUSES, thm_2Ereal_2EREAL__EQ__RMUL, thm_2Ereal_2Emult__ratl, thm_2Ebool_2Ebool__case__thm
% 6.97/2.43  % No. of inferences in proof: 30
% 6.97/2.43  % No. of processed clauses: 1
% 6.97/2.43  % No. of generated clauses: 0
% 6.97/2.43  % No. of forward subsumed clauses: 0
% 6.97/2.43  % No. of backward subsumed clauses: 0
% 6.97/2.43  % No. of ground rewrite rules in store: 1
% 6.97/2.43  % No. of non-ground rewrite rules in store: 0
% 6.97/2.43  % No. of positive (non-rewrite) units in store: 0
% 6.97/2.43  % No. of negative (non-rewrite) units in store: 0
% 6.97/2.43  % No. of choice functions detected: 0
% 6.97/2.43  % No. of choice instantiations: 0
% 6.97/2.43  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2151 ms resp. 1013 ms w/o parsing
% 6.97/2.46  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.97/2.46  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.97/2.46  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 6.97/2.46  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 6.97/2.46  thf(c_2Ereal_2E_2F_type, type, c_2Ereal_2E_2F: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 6.97/2.46  thf(c_2Enum_2E0_type, type, c_2Enum_2E0: tyop_2Enum_2Enum).
% 6.97/2.46  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 6.97/2.46  thf(c_2Ebool_2ECOND_type, type, c_2Ebool_2ECOND: !>[TA: $tType]: ($o > (TA > (TA > TA)))).
% 6.97/2.46  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 6.97/2.46  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 6.97/2.46  thf(c_2Erealax_2Ereal__mul_type, type, c_2Erealax_2Ereal__mul: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 6.97/2.46  thf(c_2Ereal_2Ereal__of__num_type, type, c_2Ereal_2Ereal__of__num: (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal)).
% 6.97/2.46  thf(c_2Emarker_2Eunint_type, type, c_2Emarker_2Eunint: !>[TA: $tType]: (TA > TA)).
% 6.97/2.46  thf(10,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__mul @ A @ C) = (c_2Erealax_2Ereal__mul @ B @ C)) = ((C = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) | (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__EQ__RMUL)).
% 6.97/2.46  thf(57,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__mul @ A @ C) = (c_2Erealax_2Ereal__mul @ B @ C)) = ((C = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) | (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 6.97/2.46  thf(15,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A) & ! [A:TA,B:TA]: ((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2Ebool__case__thm)).
% 6.97/2.46  thf(74,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A) & ! [A:TA,B:TA]: ((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).
% 6.97/2.46  thf(11,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Ereal_2E_2F @ C @ B) @ A) = (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Emin_2E_3D @ tyop_2Erealax_2Ereal @ B @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) @ (c_2Erealax_2Ereal__mul @ (c_2Emarker_2Eunint @ tyop_2Erealax_2Ereal @ (c_2Ereal_2E_2F @ C @ B)) @ A) @ (c_2Ereal_2E_2F @ (c_2Erealax_2Ereal__mul @ C @ A) @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2Emult__ratl)).
% 6.97/2.46  thf(60,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Ereal_2E_2F @ C @ B) @ A) = (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Emin_2E_3D @ tyop_2Erealax_2Ereal @ B @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) @ (c_2Erealax_2Ereal__mul @ (c_2Emarker_2Eunint @ tyop_2Erealax_2Ereal @ (c_2Ereal_2E_2F @ C @ B)) @ A) @ (c_2Ereal_2E_2F @ (c_2Erealax_2Ereal__mul @ C @ A) @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 6.97/2.46  thf(4,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 6.97/2.46  thf(21,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.97/2.46  thf(8,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 6.97/2.46  thf(41,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 6.97/2.46  thf(7,axiom,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).
% 6.97/2.46  thf(32,plain,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 6.97/2.46  thf(5,axiom,((! [A:$o]: ((((c_2Ebool_2ET) | (A)) = c_2Ebool_2ET) & (((A) | (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) | (A)) = A) & (((A) | (c_2Ebool_2EF)) = A) & (((A) | (A)) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EOR__CLAUSES)).
% 6.97/2.46  thf(22,plain,((! [A:$o]: ((((c_2Ebool_2ET) | (A)) = c_2Ebool_2ET) & (((A) | (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) | (A)) = A) & (((A) | (c_2Ebool_2EF)) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.97/2.46  thf(9,axiom,((! [TA: $tType]: (! [A:$o,B:$o,C:TA,D:TA,E:TA,F:TA]: (((A = B) & ((B) => (C = D)) & ((~ (B)) => (E = F))) => ((c_2Ebool_2ECOND @ TA @ A @ C @ E) = (c_2Ebool_2ECOND @ TA @ B @ D @ F)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CONG)).
% 6.97/2.46  thf(44,plain,((! [TA: $tType]: (! [A:$o,B:$o,C:TA,D:TA,E:TA,F:TA]: (((A = B) & ((B) => (C = D)) & ((~ (B)) => (E = F))) => ((c_2Ebool_2ECOND @ TA @ A @ C @ E) = (c_2Ebool_2ECOND @ TA @ B @ D @ F)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 6.97/2.46  thf(6,axiom,((! [A:$o]: ((c_2Ebool_2EF) => (A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFALSITY)).
% 6.97/2.46  thf(27,plain,((! [A:$o]: ((c_2Ebool_2EF) => (A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 6.97/2.46  thf(14,axiom,((! [TA: $tType]: (! [A:TA]: ((c_2Emarker_2Eunint @ TA @ A) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Emarker_2Eunint__def)).
% 6.97/2.46  thf(71,plain,((! [TA: $tType]: (! [A:TA]: ((c_2Emarker_2Eunint @ TA @ A) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 6.97/2.46  thf(13,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A) & ((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CLAUSES)).
% 6.97/2.46  thf(66,plain,((! [TA: $tType]: (! [A:TA,B:TA]: (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A) & ((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 6.97/2.46  thf(12,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ A @ B) = (c_2Erealax_2Ereal__mul @ B @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__COMM)).
% 6.97/2.46  thf(63,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ A @ B) = (c_2Erealax_2Ereal__mul @ B @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 6.97/2.46  thf(1,conjecture,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ C @ (c_2Ereal_2E_2F @ B @ A)) = (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Emin_2E_3D @ tyop_2Erealax_2Ereal @ A @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) @ (c_2Erealax_2Ereal__mul @ C @ (c_2Emarker_2Eunint @ tyop_2Erealax_2Ereal @ (c_2Ereal_2E_2F @ B @ A))) @ (c_2Ereal_2E_2F @ (c_2Erealax_2Ereal__mul @ C @ B) @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2Emult__ratr)).
% 6.97/2.46  thf(2,negated_conjecture,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ C @ (c_2Ereal_2E_2F @ B @ A)) = (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Emin_2E_3D @ tyop_2Erealax_2Ereal @ A @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) @ (c_2Erealax_2Ereal__mul @ C @ (c_2Emarker_2Eunint @ tyop_2Erealax_2Ereal @ (c_2Ereal_2E_2F @ B @ A))) @ (c_2Ereal_2E_2F @ (c_2Erealax_2Ereal__mul @ C @ B) @ A)))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.97/2.46  thf(16,plain,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ C @ (c_2Ereal_2E_2F @ B @ A)) = (c_2Ebool_2ECOND @ tyop_2Erealax_2Ereal @ (c_2Emin_2E_3D @ tyop_2Erealax_2Ereal @ A @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) @ (c_2Erealax_2Ereal__mul @ C @ (c_2Emarker_2Eunint @ tyop_2Erealax_2Ereal @ (c_2Ereal_2E_2F @ B @ A))) @ (c_2Ereal_2E_2F @ (c_2Erealax_2Ereal__mul @ C @ B) @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.97/2.46  thf(3,axiom,((! [TA: $tType]: (! [A:TA]: ((A = A) = c_2Ebool_2ET)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).
% 6.97/2.46  thf(19,plain,((! [TA: $tType]: (c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.97/2.46  thf(80,plain,($false),inference(e,[status(thm)],[57,74,60,21,41,32,22,44,27,71,66,63,16,19])).
% 6.97/2.46  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.97/2.46  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
