%------------------------------------------------------------------------------
thf(del_type,type,(
    del: $tType )).

thf(bool_type,type,(
    bool: del )).

thf(arr_type,type,(
    arr: del > del > del )).

thf(mem_type,type,(
    mem: $i > del > $o )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(k_type,type,(
    k: del > $i > $i )).

thf(i_type,type,(
    i: del > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(tp__o_type,type,(
    tp__o: $tType )).

thf(inj__o_type,type,(
    inj__o: tp__o > $i )).

thf(surj__o_type,type,(
    surj__o: $i > tp__o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: del > $i )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $i )).

thf(fo__c_2Emin_2E_3D_3D_3E_type,type,(
    fo__c_2Emin_2E_3D_3D_3E: tp__o > tp__o > tp__o )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: del > $i )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $i )).

thf(fo__c_2Ebool_2E_2F_5C_type,type,(
    fo__c_2Ebool_2E_2F_5C: tp__o > tp__o > tp__o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: del > $i )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $i )).

thf(fo__c_2Ebool_2EF_type,type,(
    fo__c_2Ebool_2EF: tp__o )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $i )).

thf(fo__c_2Ebool_2ET_type,type,(
    fo__c_2Ebool_2ET: tp__o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $i )).

thf(fo__c_2Ebool_2E_5C_2F_type,type,(
    fo__c_2Ebool_2E_5C_2F: tp__o > tp__o > tp__o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $i )).

thf(fo__c_2Ebool_2E_7E_type,type,(
    fo__c_2Ebool_2E_7E: tp__o > tp__o )).

thf(ty_2Enum_2Enum_type,type,(
    ty_2Enum_2Enum: del )).

thf(tp__ty_2Enum_2Enum_type,type,(
    tp__ty_2Enum_2Enum: $tType )).

thf(inj__ty_2Enum_2Enum_type,type,(
    inj__ty_2Enum_2Enum: tp__ty_2Enum_2Enum > $i )).

thf(surj__ty_2Enum_2Enum_type,type,(
    surj__ty_2Enum_2Enum: $i > tp__ty_2Enum_2Enum )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: $i )).

thf(fo__c_2Enum_2E0_type,type,(
    fo__c_2Enum_2E0: tp__ty_2Enum_2Enum )).

thf(ty_2Einteger_2Eint_type,type,(
    ty_2Einteger_2Eint: del )).

thf(tp__ty_2Einteger_2Eint_type,type,(
    tp__ty_2Einteger_2Eint: $tType )).

thf(inj__ty_2Einteger_2Eint_type,type,(
    inj__ty_2Einteger_2Eint: tp__ty_2Einteger_2Eint > $i )).

thf(surj__ty_2Einteger_2Eint_type,type,(
    surj__ty_2Einteger_2Eint: $i > tp__ty_2Einteger_2Eint )).

thf(c_2Einteger_2Eint__le_type,type,(
    c_2Einteger_2Eint__le: $i )).

thf(fo__c_2Einteger_2Eint__le_type,type,(
    fo__c_2Einteger_2Eint__le: tp__ty_2Einteger_2Eint > tp__ty_2Einteger_2Eint > tp__o )).

thf(c_2Einteger_2Eint__lt_type,type,(
    c_2Einteger_2Eint__lt: $i )).

thf(fo__c_2Einteger_2Eint__lt_type,type,(
    fo__c_2Einteger_2Eint__lt: tp__ty_2Einteger_2Eint > tp__ty_2Einteger_2Eint > tp__o )).

thf(c_2Einteger_2Eint__of__num_type,type,(
    c_2Einteger_2Eint__of__num: $i )).

thf(fo__c_2Einteger_2Eint__of__num_type,type,(
    fo__c_2Einteger_2Eint__of__num: tp__ty_2Enum_2Enum > tp__ty_2Einteger_2Eint )).

thf(ty_2Efrac_2Efrac_type,type,(
    ty_2Efrac_2Efrac: del )).

thf(tp__ty_2Efrac_2Efrac_type,type,(
    tp__ty_2Efrac_2Efrac: $tType )).

thf(inj__ty_2Efrac_2Efrac_type,type,(
    inj__ty_2Efrac_2Efrac: tp__ty_2Efrac_2Efrac > $i )).

thf(surj__ty_2Efrac_2Efrac_type,type,(
    surj__ty_2Efrac_2Efrac: $i > tp__ty_2Efrac_2Efrac )).

thf(c_2Efrac_2Efrac__nmr_type,type,(
    c_2Efrac_2Efrac__nmr: $i )).

thf(fo__c_2Efrac_2Efrac__nmr_type,type,(
    fo__c_2Efrac_2Efrac__nmr: tp__ty_2Efrac_2Efrac > tp__ty_2Einteger_2Eint )).

thf(ty_2Erat_2Erat_type,type,(
    ty_2Erat_2Erat: del )).

thf(tp__ty_2Erat_2Erat_type,type,(
    tp__ty_2Erat_2Erat: $tType )).

thf(inj__ty_2Erat_2Erat_type,type,(
    inj__ty_2Erat_2Erat: tp__ty_2Erat_2Erat > $i )).

thf(surj__ty_2Erat_2Erat_type,type,(
    surj__ty_2Erat_2Erat: $i > tp__ty_2Erat_2Erat )).

thf(c_2Erat_2Erat__leq_type,type,(
    c_2Erat_2Erat__leq: $i )).

thf(fo__c_2Erat_2Erat__leq_type,type,(
    fo__c_2Erat_2Erat__leq: tp__ty_2Erat_2Erat > tp__ty_2Erat_2Erat > tp__o )).

thf(c_2Erat_2Erat__les_type,type,(
    c_2Erat_2Erat__les: $i )).

thf(fo__c_2Erat_2Erat__les_type,type,(
    fo__c_2Erat_2Erat__les: tp__ty_2Erat_2Erat > tp__ty_2Erat_2Erat > tp__o )).

thf(c_2Erat_2Erat__nmr_type,type,(
    c_2Erat_2Erat__nmr: $i )).

thf(fo__c_2Erat_2Erat__nmr_type,type,(
    fo__c_2Erat_2Erat__nmr: tp__ty_2Erat_2Erat > tp__ty_2Einteger_2Eint )).

thf(c_2Erat_2Erat__of__num_type,type,(
    c_2Erat_2Erat__of__num: $i )).

thf(fo__c_2Erat_2Erat__of__num_type,type,(
    fo__c_2Erat_2Erat__of__num: tp__ty_2Enum_2Enum > tp__ty_2Erat_2Erat )).

thf(c_2Erat_2Erep__rat_type,type,(
    c_2Erat_2Erep__rat: $i )).

thf(fo__c_2Erat_2Erep__rat_type,type,(
    fo__c_2Erat_2Erep__rat: tp__ty_2Erat_2Erat > tp__ty_2Efrac_2Efrac )).

thf(26,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_3F @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_3F)).

thf(138,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_3F @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(5,axiom,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_o)).

thf(101,plain,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(87,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ A )
            <=> ( p @ B ) )
           => ( A = B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',boolext)).

thf(481,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( ( p @ A )
               => ( p @ B ) )
              & ( ( p @ B )
               => ( p @ A ) ) )
           => ( A = B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[87])).

thf(14,axiom,(
    mem @ c_2Efrac_2Efrac__nmr @ ( arr @ ty_2Efrac_2Efrac @ ty_2Einteger_2Eint ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Efrac_2Efrac__nmr)).

thf(115,plain,(
    mem @ c_2Efrac_2Efrac__nmr @ ( arr @ ty_2Efrac_2Efrac @ ty_2Einteger_2Eint ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(42,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
      <=> ~ ( p @ ( inj__o @ B ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__neg)).

thf(217,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( ( ( p @ ( inj__o @ A ) )
           => ~ ( p @ ( inj__o @ B ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ~ ( p @ ( inj__o @ B ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).

thf(55,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',funcext)).

thf(308,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[55])).

thf(17,axiom,(
    mem @ c_2Einteger_2Eint__lt @ ( arr @ ty_2Einteger_2Eint @ ( arr @ ty_2Einteger_2Eint @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Einteger_2Eint__lt)).

thf(120,plain,(
    mem @ c_2Einteger_2Eint__lt @ ( arr @ ty_2Einteger_2Eint @ ( arr @ ty_2Einteger_2Eint @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(82,axiom,(
    ! [A: tp__o] :
      ( ( ( $true
         => ( p @ ( inj__o @ A ) ) )
      <=> ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
         => $true )
      <=> $true )
      & ( ( $false
         => ( p @ ( inj__o @ A ) ) )
      <=> $true )
      & ( ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ A ) ) )
      <=> $true )
      & ( ( ( p @ ( inj__o @ A ) )
         => $false )
      <=> ~ ( p @ ( inj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__CLAUSES)).

thf(440,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[82])).

thf(28,axiom,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_2F_5C)).

thf(142,plain,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(90,axiom,(
    mem @ c_2Einteger_2Eint__le @ ( arr @ ty_2Einteger_2Eint @ ( arr @ ty_2Einteger_2Eint @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Einteger_2Eint__le)).

thf(500,plain,(
    mem @ c_2Einteger_2Eint__le @ ( arr @ ty_2Einteger_2Eint @ ( arr @ ty_2Einteger_2Eint @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[90])).

thf(54,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ~ ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) )
      <=> ? [C: $i] :
            ( ( mem @ C @ A )
            & ~ ( p @ ( ap @ B @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2ENOT__FORALL__THM)).

thf(301,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ~ ! [C: $i] :
                ( ( mem @ C @ A )
               => ( p @ ( ap @ B @ C ) ) )
         => ? [C: $i] :
              ( ( mem @ C @ A )
              & ~ ( p @ ( ap @ B @ C ) ) ) )
        & ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ~ ( p @ ( ap @ B @ C ) ) )
         => ~ ! [C: $i] :
                ( ( mem @ C @ A )
               => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[54])).

thf(80,axiom,(
    ! [A: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_7E @ A ) )
      = ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_7E)).

thf(436,plain,(
    ! [A: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_7E @ A ) )
      = ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[80])).

thf(20,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( surj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_o)).

thf(125,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( surj__o @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(35,axiom,(
    ! [A: tp__ty_2Erat_2Erat,B: tp__ty_2Erat_2Erat] :
      ( ( p @ ( ap @ ( ap @ c_2Erat_2Erat__leq @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) )
    <=> ( ( p @ ( ap @ ( ap @ c_2Erat_2Erat__les @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) )
        | ( A = B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_thm_2Erat_2Erat__leq__def)).

thf(189,plain,(
    ! [A: tp__ty_2Erat_2Erat,B: tp__ty_2Erat_2Erat] :
      ( ( ( p @ ( ap @ ( ap @ c_2Erat_2Erat__leq @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) )
       => ( ( p @ ( ap @ ( ap @ c_2Erat_2Erat__les @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) )
          | ( A = B ) ) )
      & ( ( ( p @ ( ap @ ( ap @ c_2Erat_2Erat__les @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) )
          | ( A = B ) )
       => ( p @ ( ap @ ( ap @ c_2Erat_2Erat__leq @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(77,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ A ) @ B ) )
          <=> ( ( p @ A )
              | ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_or_p)).

thf(421,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ A ) @ B ) )
             => ( ( p @ A )
                | ( p @ B ) ) )
            & ( ( ( p @ A )
                | ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[77])).

thf(49,axiom,(
    p @ c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_true_p)).

thf(284,plain,(
    p @ c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[49])).

thf(57,axiom,(
    ! [A: tp__ty_2Einteger_2Eint,B: tp__ty_2Einteger_2Eint] :
      ( ( inj__o @ ( fo__c_2Einteger_2Eint__le @ A @ B ) )
      = ( ap @ ( ap @ c_2Einteger_2Eint__le @ ( inj__ty_2Einteger_2Eint @ A ) ) @ ( inj__ty_2Einteger_2Eint @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Einteger_2Eint__le)).

thf(316,plain,(
    ! [A: tp__ty_2Einteger_2Eint,B: tp__ty_2Einteger_2Eint] :
      ( ( inj__o @ ( fo__c_2Einteger_2Eint__le @ A @ B ) )
      = ( ap @ ( ap @ c_2Einteger_2Eint__le @ ( inj__ty_2Einteger_2Eint @ A ) ) @ ( inj__ty_2Einteger_2Eint @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[57])).

thf(33,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) )
     => ( ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ A ) ) )
       => ( ( p @ ( inj__o @ A ) )
        <=> ( p @ ( inj__o @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__ANTISYM__AX)).

thf(179,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) )
     => ( ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ A ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(18,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Einteger_2Eint )
     => ( A
        = ( inj__ty_2Einteger_2Eint @ ( surj__ty_2Einteger_2Eint @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_ty_2Einteger_2Eint)).

thf(121,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Einteger_2Eint )
     => ( A
        = ( inj__ty_2Einteger_2Eint @ ( surj__ty_2Einteger_2Eint @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(69,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ A ) @ B ) )
          <=> ( ( p @ A )
             => ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_imp_p)).

thf(397,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ A ) @ B ) )
             => ( ( p @ A )
               => ( p @ B ) ) )
            & ( ( ( p @ A )
               => ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[69])).

thf(51,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_5C_2F @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_5C_2F)).

thf(293,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_5C_2F @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[51])).

thf(24,axiom,(
    ! [A: tp__ty_2Efrac_2Efrac] :
      ( ( surj__ty_2Efrac_2Efrac @ ( inj__ty_2Efrac_2Efrac @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_ty_2Efrac_2Efrac)).

thf(132,plain,(
    ! [A: tp__ty_2Efrac_2Efrac] :
      ( ( surj__ty_2Efrac_2Efrac @ ( inj__ty_2Efrac_2Efrac @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(15,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(116,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(79,axiom,(
    ! [A: tp__ty_2Erat_2Erat] :
      ( ( A
        = ( surj__ty_2Erat_2Erat @ ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
    <=> ( ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Erat_2Erat__nmr @ ( inj__ty_2Erat_2Erat @ A ) ) )
        = ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Einteger_2Eint__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Erat_2ERAT__EQ0__NMR)).

thf(428,plain,(
    ! [A: tp__ty_2Erat_2Erat] :
      ( ( ( A
          = ( surj__ty_2Erat_2Erat @ ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
       => ( ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Erat_2Erat__nmr @ ( inj__ty_2Erat_2Erat @ A ) ) )
          = ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Einteger_2Eint__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) )
      & ( ( ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Erat_2Erat__nmr @ ( inj__ty_2Erat_2Erat @ A ) ) )
          = ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Einteger_2Eint__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
       => ( A
          = ( surj__ty_2Erat_2Erat @ ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[79])).

thf(81,axiom,(
    mem @ c_2Erat_2Erat__leq @ ( arr @ ty_2Erat_2Erat @ ( arr @ ty_2Erat_2Erat @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Erat_2Erat__leq)).

thf(439,plain,(
    mem @ c_2Erat_2Erat__leq @ ( arr @ ty_2Erat_2Erat @ ( arr @ ty_2Erat_2Erat @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[81])).

thf(37,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Erat_2Erat )
     => ( A
        = ( inj__ty_2Erat_2Erat @ ( surj__ty_2Erat_2Erat @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_ty_2Erat_2Erat)).

thf(201,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Erat_2Erat )
     => ( A
        = ( inj__ty_2Erat_2Erat @ ( surj__ty_2Erat_2Erat @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(66,axiom,(
    mem @ c_2Einteger_2Eint__of__num @ ( arr @ ty_2Enum_2Enum @ ty_2Einteger_2Eint ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Einteger_2Eint__of__num)).

thf(392,plain,(
    mem @ c_2Einteger_2Eint__of__num @ ( arr @ ty_2Enum_2Enum @ ty_2Einteger_2Eint ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[66])).

thf(74,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ibeta)).

thf(407,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[74])).

thf(3,axiom,(
    ! [A: tp__ty_2Einteger_2Eint] :
      ( ( surj__ty_2Einteger_2Eint @ ( inj__ty_2Einteger_2Eint @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_ty_2Einteger_2Eint)).

thf(97,plain,(
    ! [A: tp__ty_2Einteger_2Eint] :
      ( ( surj__ty_2Einteger_2Eint @ ( inj__ty_2Einteger_2Eint @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(61,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
          <=> ( B = C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_eq_p)).

thf(329,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
             => ( B = C ) )
            & ( ( B = C )
             => ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[61])).

thf(50,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( ~ ( ~ ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
       => $false )
    <=> ( ( p @ ( inj__o @ A ) )
       => ( ~ ( p @ ( inj__o @ B ) )
         => $false ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Esat_2EOR__DUAL3)).

thf(285,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( ~ ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
       => ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
       => ( ~ ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[50])).

thf(34,axiom,(
    ! [A: tp__o] :
      ( ( ~ ( p @ ( inj__o @ A ) )
       => $false )
     => ( ( ( p @ ( inj__o @ A ) )
         => $false )
       => $false ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Esat_2EAND__INV2)).

thf(188,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(89,axiom,(
    mem @ c_2Erat_2Erat__of__num @ ( arr @ ty_2Enum_2Enum @ ty_2Erat_2Erat ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Erat_2Erat__of__num)).

thf(499,plain,(
    mem @ c_2Erat_2Erat__of__num @ ( arr @ ty_2Enum_2Enum @ ty_2Erat_2Erat ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[89])).

thf(10,axiom,
    ( ( inj__o @ fo__c_2Ebool_2EF )
    = c_2Ebool_2EF ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2EF)).

thf(109,plain,
    ( ( inj__o @ fo__c_2Ebool_2EF )
    = c_2Ebool_2EF ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(19,axiom,(
    mem @ c_2Ebool_2EF @ bool ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2EF)).

thf(124,plain,(
    mem @ c_2Ebool_2EF @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(64,axiom,(
    ! [A: tp__ty_2Erat_2Erat] :
      ( ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Erat_2Erat__nmr @ ( inj__ty_2Erat_2Erat @ A ) ) )
      = ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Efrac_2Efrac__nmr @ ( ap @ c_2Erat_2Erep__rat @ ( inj__ty_2Erat_2Erat @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_thm_2Erat_2Erat__nmr__def)).

thf(339,plain,(
    ! [A: tp__ty_2Erat_2Erat] :
      ( ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Erat_2Erat__nmr @ ( inj__ty_2Erat_2Erat @ A ) ) )
      = ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Efrac_2Efrac__nmr @ ( ap @ c_2Erat_2Erep__rat @ ( inj__ty_2Erat_2Erat @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[64])).

thf(67,axiom,(
    ! [A: tp__o] :
      ( ~ ( p @ ( inj__o @ A ) )
     => ( ( p @ ( inj__o @ A ) )
       => $false ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2EF__IMP)).

thf(393,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[67])).

thf(30,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( mem @ ( inj__ty_2Enum_2Enum @ A ) @ ty_2Enum_2Enum ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_ty_2Enum_2Enum)).

thf(173,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( mem @ ( inj__ty_2Enum_2Enum @ A ) @ ty_2Enum_2Enum ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(22,axiom,(
    ! [A: tp__ty_2Einteger_2Eint] :
      ( mem @ ( inj__ty_2Einteger_2Eint @ A ) @ ty_2Einteger_2Eint ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_ty_2Einteger_2Eint)).

thf(129,plain,(
    ! [A: tp__ty_2Einteger_2Eint] :
      ( mem @ ( inj__ty_2Einteger_2Eint @ A ) @ ty_2Einteger_2Eint ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(21,axiom,(
    mem @ c_2Ebool_2ET @ bool ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2ET)).

thf(128,plain,(
    mem @ c_2Ebool_2ET @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(43,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
      <=> ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ C ) ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__imp)).

thf(237,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
             => ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
             => ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ~ ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
             => ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
             => ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).

thf(7,axiom,(
    ! [A: tp__ty_2Efrac_2Efrac] :
      ( mem @ ( inj__ty_2Efrac_2Efrac @ A ) @ ty_2Efrac_2Efrac ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_ty_2Efrac_2Efrac)).

thf(105,plain,(
    ! [A: tp__ty_2Efrac_2Efrac] :
      ( mem @ ( inj__ty_2Efrac_2Efrac @ A ) @ ty_2Efrac_2Efrac ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(53,axiom,(
    ! [A: tp__ty_2Erat_2Erat,B: tp__ty_2Erat_2Erat] :
      ( ( inj__o @ ( fo__c_2Erat_2Erat__leq @ A @ B ) )
      = ( ap @ ( ap @ c_2Erat_2Erat__leq @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Erat_2Erat__leq)).

thf(298,plain,(
    ! [A: tp__ty_2Erat_2Erat,B: tp__ty_2Erat_2Erat] :
      ( ( inj__o @ ( fo__c_2Erat_2Erat__leq @ A @ B ) )
      = ( ap @ ( ap @ c_2Erat_2Erat__leq @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[53])).

thf(78,axiom,(
    ! [A: del,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',kbeta)).

thf(425,plain,(
    ! [A: del,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[78])).

thf(46,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ap_tp)).

thf(279,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[46])).

thf(52,axiom,(
    ~ ( p @ c_2Ebool_2EF ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_false_p)).

thf(296,plain,(
    ~ ( p @ c_2Ebool_2EF ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[52])).

thf(84,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Einteger_2Eint @ ( fo__c_2Einteger_2Eint__of__num @ A ) )
      = ( ap @ c_2Einteger_2Eint__of__num @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Einteger_2Eint__of__num)).

thf(444,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Einteger_2Eint @ ( fo__c_2Einteger_2Eint__of__num @ A ) )
      = ( ap @ c_2Einteger_2Eint__of__num @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[84])).

thf(32,axiom,(
    ! [A: tp__ty_2Erat_2Erat] :
      ( ( inj__ty_2Einteger_2Eint @ ( fo__c_2Erat_2Erat__nmr @ A ) )
      = ( ap @ c_2Erat_2Erat__nmr @ ( inj__ty_2Erat_2Erat @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Erat_2Erat__nmr)).

thf(176,plain,(
    ! [A: tp__ty_2Erat_2Erat] :
      ( ( inj__ty_2Einteger_2Eint @ ( fo__c_2Erat_2Erat__nmr @ A ) )
      = ( ap @ c_2Erat_2Erat__nmr @ ( inj__ty_2Erat_2Erat @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(71,axiom,(
    ! [A: tp__ty_2Erat_2Erat,B: tp__ty_2Erat_2Erat] :
      ( ( inj__o @ ( fo__c_2Erat_2Erat__les @ A @ B ) )
      = ( ap @ ( ap @ c_2Erat_2Erat__les @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Erat_2Erat__les)).

thf(402,plain,(
    ! [A: tp__ty_2Erat_2Erat,B: tp__ty_2Erat_2Erat] :
      ( ( inj__o @ ( fo__c_2Erat_2Erat__les @ A @ B ) )
      = ( ap @ ( ap @ c_2Erat_2Erat__les @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[71])).

thf(16,axiom,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2ET)).

thf(118,plain,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(47,axiom,(
    ! [A: tp__ty_2Erat_2Erat] :
      ( mem @ ( inj__ty_2Erat_2Erat @ A ) @ ty_2Erat_2Erat ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_ty_2Erat_2Erat)).

thf(281,plain,(
    ! [A: tp__ty_2Erat_2Erat] :
      ( mem @ ( inj__ty_2Erat_2Erat @ A ) @ ty_2Erat_2Erat ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[47])).

thf(38,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( ( p @ ( ap @ c_2Ebool_2E_7E @ A ) )
      <=> ~ ( p @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_neg_p)).

thf(204,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( ( ( p @ ( ap @ c_2Ebool_2E_7E @ A ) )
         => ~ ( p @ A ) )
        & ( ~ ( p @ A )
         => ( p @ ( ap @ c_2Ebool_2E_7E @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(56,axiom,(
    ! [A: tp__ty_2Erat_2Erat] :
      ( ( inj__ty_2Efrac_2Efrac @ ( fo__c_2Erat_2Erep__rat @ A ) )
      = ( ap @ c_2Erat_2Erep__rat @ ( inj__ty_2Erat_2Erat @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Erat_2Erep__rat)).

thf(313,plain,(
    ! [A: tp__ty_2Erat_2Erat] :
      ( ( inj__ty_2Efrac_2Efrac @ ( fo__c_2Erat_2Erep__rat @ A ) )
      = ( ap @ c_2Erat_2Erep__rat @ ( inj__ty_2Erat_2Erat @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[56])).

thf(62,axiom,(
    ! [A: tp__o] :
      ( ( p @ ( inj__o @ A ) )
     => ( ~ ( p @ ( inj__o @ A ) )
       => $false ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Esat_2EAND__INV__IMP)).

thf(335,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[62])).

thf(73,axiom,
    ( ! [A: tp__o] :
        ( ~ ~ ( p @ ( inj__o @ A ) )
      <=> ( p @ ( inj__o @ A ) ) )
    & ( ~ $true
    <=> $false )
    & ( ~ $false
    <=> $true ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2ENOT__CLAUSES)).

thf(406,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[73])).

thf(13,axiom,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_o)).

thf(113,plain,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(86,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
      <=> ( ( p @ ( inj__o @ B ) )
          & ( p @ ( inj__o @ C ) ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__conj)).

thf(451,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
              & ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
              & ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) )
          & ( ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) )
          & ( ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
              & ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
              & ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[86])).

thf(45,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) ) )
    <=> ( ( p @ ( inj__o @ B ) )
        | ( p @ ( inj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2EDISJ__SYM)).

thf(271,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
       => ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ A ) ) ) )
      & ( ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ A ) ) )
       => ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[45])).

thf(27,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(140,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(41,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ B ) )
      <=> ? [C: $i] :
            ( ( mem @ C @ A )
            & ( p @ ( ap @ B @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_ex_p)).

thf(213,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ B ) )
         => ? [C: $i] :
              ( ( mem @ C @ A )
              & ( p @ ( ap @ B @ C ) ) ) )
        & ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ( p @ ( ap @ B @ C ) ) )
         => ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).

thf(1,conjecture,(
    ! [A: tp__ty_2Erat_2Erat] :
      ( ( p @ ( ap @ ( ap @ c_2Erat_2Erat__leq @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
    <=> ( p @ ( ap @ ( ap @ c_2Einteger_2Eint__le @ ( ap @ c_2Erat_2Erat__nmr @ ( inj__ty_2Erat_2Erat @ A ) ) ) @ ( ap @ c_2Einteger_2Eint__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Erat_2ERAT__LEQ0__NMR)).

thf(2,negated_conjecture,(
    ~ ! [A: tp__ty_2Erat_2Erat] :
        ( ( p @ ( ap @ ( ap @ c_2Erat_2Erat__leq @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
      <=> ( p @ ( ap @ ( ap @ c_2Einteger_2Eint__le @ ( ap @ c_2Erat_2Erat__nmr @ ( inj__ty_2Erat_2Erat @ A ) ) ) @ ( ap @ c_2Einteger_2Eint__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(91,plain,(
    ~ ! [A: tp__ty_2Erat_2Erat] :
        ( ( ( p @ ( ap @ ( ap @ c_2Erat_2Erat__leq @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
         => ( p @ ( ap @ ( ap @ c_2Einteger_2Eint__le @ ( ap @ c_2Erat_2Erat__nmr @ ( inj__ty_2Erat_2Erat @ A ) ) ) @ ( ap @ c_2Einteger_2Eint__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) )
        & ( ( p @ ( ap @ ( ap @ c_2Einteger_2Eint__le @ ( ap @ c_2Erat_2Erat__nmr @ ( inj__ty_2Erat_2Erat @ A ) ) ) @ ( ap @ c_2Einteger_2Eint__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
         => ( p @ ( ap @ ( ap @ c_2Erat_2Erat__leq @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(36,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Erat_2Erat @ ( fo__c_2Erat_2Erat__of__num @ A ) )
      = ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Erat_2Erat__of__num)).

thf(198,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Erat_2Erat @ ( fo__c_2Erat_2Erat__of__num @ A ) )
      = ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(9,axiom,(
    mem @ c_2Enum_2E0 @ ty_2Enum_2Enum ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Enum_2E0)).

thf(108,plain,(
    mem @ c_2Enum_2E0 @ ty_2Enum_2Enum ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(68,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_2F_5C)).

thf(394,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[68])).

thf(25,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Efrac_2Efrac )
     => ( A
        = ( inj__ty_2Efrac_2Efrac @ ( surj__ty_2Efrac_2Efrac @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_ty_2Efrac_2Efrac)).

thf(135,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Efrac_2Efrac )
     => ( A
        = ( inj__ty_2Efrac_2Efrac @ ( surj__ty_2Efrac_2Efrac @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(44,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
          <=> ( ( p @ A )
              & ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_and_p)).

thf(267,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
             => ( ( p @ A )
                & ( p @ B ) ) )
            & ( ( ( p @ A )
                & ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).

thf(88,axiom,(
    ! [A: tp__ty_2Einteger_2Eint,B: tp__ty_2Einteger_2Eint] :
      ( ( p @ ( ap @ ( ap @ c_2Einteger_2Eint__le @ ( inj__ty_2Einteger_2Eint @ A ) ) @ ( inj__ty_2Einteger_2Eint @ B ) ) )
    <=> ( ( p @ ( ap @ ( ap @ c_2Einteger_2Eint__lt @ ( inj__ty_2Einteger_2Eint @ A ) ) @ ( inj__ty_2Einteger_2Eint @ B ) ) )
        | ( A = B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Einteger_2EINT__LE__LT)).

thf(490,plain,(
    ! [A: tp__ty_2Einteger_2Eint,B: tp__ty_2Einteger_2Eint] :
      ( ( ( p @ ( ap @ ( ap @ c_2Einteger_2Eint__le @ ( inj__ty_2Einteger_2Eint @ A ) ) @ ( inj__ty_2Einteger_2Eint @ B ) ) )
       => ( ( p @ ( ap @ ( ap @ c_2Einteger_2Eint__lt @ ( inj__ty_2Einteger_2Eint @ A ) ) @ ( inj__ty_2Einteger_2Eint @ B ) ) )
          | ( A = B ) ) )
      & ( ( ( p @ ( ap @ ( ap @ c_2Einteger_2Eint__lt @ ( inj__ty_2Einteger_2Eint @ A ) ) @ ( inj__ty_2Einteger_2Eint @ B ) ) )
          | ( A = B ) )
       => ( p @ ( ap @ ( ap @ c_2Einteger_2Eint__le @ ( inj__ty_2Einteger_2Eint @ A ) ) @ ( inj__ty_2Einteger_2Eint @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[88])).

thf(12,axiom,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_7E)).

thf(112,plain,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(65,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
      <=> ( ( p @ ( inj__o @ B ) )
        <=> ( p @ ( inj__o @ C ) ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__eq)).

thf(342,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( ( ( p @ ( inj__o @ A ) )
           => ( ( ( p @ ( inj__o @ B ) )
               => ( p @ ( inj__o @ C ) ) )
              & ( ( p @ ( inj__o @ C ) )
               => ( p @ ( inj__o @ B ) ) ) ) )
          & ( ( ( ( p @ ( inj__o @ B ) )
               => ( p @ ( inj__o @ C ) ) )
              & ( ( p @ ( inj__o @ C ) )
               => ( p @ ( inj__o @ B ) ) ) )
           => ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) )
          & ( ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) )
          & ( ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ B ) )
            | ~ ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ( ( ( p @ ( inj__o @ B ) )
               => ( p @ ( inj__o @ C ) ) )
              & ( ( p @ ( inj__o @ C ) )
               => ( p @ ( inj__o @ B ) ) ) ) )
          & ( ( ( ( p @ ( inj__o @ B ) )
               => ( p @ ( inj__o @ C ) ) )
              & ( ( p @ ( inj__o @ C ) )
               => ( p @ ( inj__o @ B ) ) ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[65])).

thf(60,axiom,
    ( ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 )
    = c_2Enum_2E0 ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Enum_2E0)).

thf(327,plain,
    ( ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 )
    = c_2Enum_2E0 ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[60])).

thf(83,axiom,(
    ! [A: tp__ty_2Erat_2Erat] :
      ( ( surj__ty_2Erat_2Erat @ ( inj__ty_2Erat_2Erat @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_ty_2Erat_2Erat)).

thf(441,plain,(
    ! [A: tp__ty_2Erat_2Erat] :
      ( ( surj__ty_2Erat_2Erat @ ( inj__ty_2Erat_2Erat @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[83])).

thf(63,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Enum_2Enum )
     => ( A
        = ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_ty_2Enum_2Enum)).

thf(336,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Enum_2Enum )
     => ( A
        = ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[63])).

thf(31,axiom,(
    ! [A: tp__o] :
      ( ( ( $true
        <=> ( p @ ( inj__o @ A ) ) )
      <=> ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
        <=> $true )
      <=> ( p @ ( inj__o @ A ) ) )
      & ( ( $false
        <=> ( p @ ( inj__o @ A ) ) )
      <=> ~ ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
        <=> $false )
      <=> ~ ( p @ ( inj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEQ__CLAUSES)).

thf(175,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(29,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
      <=> ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__disj)).

thf(143,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
              | ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
              | ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ B ) ) )
          & ( ( p @ ( inj__o @ A ) )
            | ~ ( p @ ( inj__o @ C ) ) )
          & ( ( p @ ( inj__o @ B ) )
            | ( p @ ( inj__o @ C ) )
            | ~ ( p @ ( inj__o @ A ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
           => ( ( p @ ( inj__o @ B ) )
              | ( p @ ( inj__o @ C ) ) ) )
          & ( ( ( p @ ( inj__o @ B ) )
              | ( p @ ( inj__o @ C ) ) )
           => ( p @ ( inj__o @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(6,axiom,(
    $true ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2ETRUTH)).

thf(104,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(58,axiom,(
    ! [A: tp__ty_2Einteger_2Eint,B: tp__ty_2Einteger_2Eint] :
      ( ( inj__o @ ( fo__c_2Einteger_2Eint__lt @ A @ B ) )
      = ( ap @ ( ap @ c_2Einteger_2Eint__lt @ ( inj__ty_2Einteger_2Eint @ A ) ) @ ( inj__ty_2Einteger_2Eint @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Einteger_2Eint__lt)).

thf(319,plain,(
    ! [A: tp__ty_2Einteger_2Eint,B: tp__ty_2Einteger_2Eint] :
      ( ( inj__o @ ( fo__c_2Einteger_2Eint__lt @ A @ B ) )
      = ( ap @ ( ap @ c_2Einteger_2Eint__lt @ ( inj__ty_2Einteger_2Eint @ A ) ) @ ( inj__ty_2Einteger_2Eint @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[58])).

thf(70,axiom,(
    ! [A: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
       => $false )
     => ~ ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__F)).

thf(401,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[70])).

thf(76,axiom,(
    ! [A: tp__ty_2Efrac_2Efrac] :
      ( ( inj__ty_2Einteger_2Eint @ ( fo__c_2Efrac_2Efrac__nmr @ A ) )
      = ( ap @ c_2Efrac_2Efrac__nmr @ ( inj__ty_2Efrac_2Efrac @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Efrac_2Efrac__nmr)).

thf(418,plain,(
    ! [A: tp__ty_2Efrac_2Efrac] :
      ( ( inj__ty_2Einteger_2Eint @ ( fo__c_2Efrac_2Efrac__nmr @ A ) )
      = ( ap @ c_2Efrac_2Efrac__nmr @ ( inj__ty_2Efrac_2Efrac @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[76])).

thf(39,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Emin_2E_3D_3D_3E)).

thf(207,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).

thf(85,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
      <=> ! [C: $i] :
            ( ( mem @ C @ A )
           => ( p @ ( ap @ B @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_all_p)).

thf(447,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
         => ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) )
        & ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) )
         => ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[85])).

thf(75,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( ~ ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
       => $false )
    <=> ( ( ( p @ ( inj__o @ A ) )
         => $false )
       => ( ~ ( p @ ( inj__o @ B ) )
         => $false ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Esat_2EOR__DUAL2)).

thf(410,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
       => ( ~ ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) ) )
      & ( ( ~ ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
       => ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[75])).

thf(72,axiom,(
    mem @ c_2Erat_2Erat__nmr @ ( arr @ ty_2Erat_2Erat @ ty_2Einteger_2Eint ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Erat_2Erat__nmr)).

thf(405,plain,(
    mem @ c_2Erat_2Erat__nmr @ ( arr @ ty_2Erat_2Erat @ ty_2Einteger_2Eint ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[72])).

thf(40,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( surj__ty_2Enum_2Enum @ ( inj__ty_2Enum_2Enum @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_ty_2Enum_2Enum)).

thf(210,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( surj__ty_2Enum_2Enum @ ( inj__ty_2Enum_2Enum @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).

thf(8,axiom,(
    mem @ c_2Erat_2Erep__rat @ ( arr @ ty_2Erat_2Erat @ ty_2Efrac_2Efrac ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Erat_2Erep__rat)).

thf(107,plain,(
    mem @ c_2Erat_2Erep__rat @ ( arr @ ty_2Erat_2Erat @ ty_2Efrac_2Efrac ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(48,axiom,(
    ! [A: tp__o] :
      ( ~ ~ ( p @ ( inj__o @ A ) )
    <=> ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Esat_2ENOT__NOT)).

thf(283,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[48])).

thf(23,axiom,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_5C_2F)).

thf(131,plain,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(11,axiom,(
    mem @ c_2Erat_2Erat__les @ ( arr @ ty_2Erat_2Erat @ ( arr @ ty_2Erat_2Erat @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Erat_2Erat__les)).

thf(111,plain,(
    mem @ c_2Erat_2Erat__les @ ( arr @ ty_2Erat_2Erat @ ( arr @ ty_2Erat_2Erat @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(59,axiom,(
    ! [A: tp__ty_2Erat_2Erat] :
      ( ( p @ ( ap @ ( ap @ c_2Erat_2Erat__les @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
    <=> ( p @ ( ap @ ( ap @ c_2Einteger_2Eint__lt @ ( ap @ c_2Erat_2Erat__nmr @ ( inj__ty_2Erat_2Erat @ A ) ) ) @ ( ap @ c_2Einteger_2Eint__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Erat_2ERAT__LES0__NMR)).

thf(322,plain,(
    ! [A: tp__ty_2Erat_2Erat] :
      ( ( ( p @ ( ap @ ( ap @ c_2Erat_2Erat__les @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
       => ( p @ ( ap @ ( ap @ c_2Einteger_2Eint__lt @ ( ap @ c_2Erat_2Erat__nmr @ ( inj__ty_2Erat_2Erat @ A ) ) ) @ ( ap @ c_2Einteger_2Eint__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) )
      & ( ( p @ ( ap @ ( ap @ c_2Einteger_2Eint__lt @ ( ap @ c_2Erat_2Erat__nmr @ ( inj__ty_2Erat_2Erat @ A ) ) ) @ ( ap @ c_2Einteger_2Eint__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
       => ( p @ ( ap @ ( ap @ c_2Erat_2Erat__les @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[59])).

thf(4,axiom,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D_3D_3E)).

thf(100,plain,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(542,plain,(
    $false ),
    inference(cvc4,[status(thm)],[138,101,481,115,217,308,120,440,142,500,301,436,125,189,421,284,316,179,121,397,293,132,116,428,439,201,392,407,97,329,285,188,499,109,124,339,393,173,129,128,237,105,298,425,279,296,444,176,402,118,281,204,313,335,406,113,451,271,140,213,91,198,108,394,135,267,490,112,342,327,441,336,175,143,104,319,401,418,207,447,410,405,210,107,283,131,111,322,100])).
%------------------------------------------------------------------------------
