%------------------------------------------------------------------------------
thf(del_type,type,(
    del: $tType )).

thf(bool_type,type,(
    bool: del )).

thf(arr_type,type,(
    arr: del > del > del )).

thf(mem_type,type,(
    mem: $i > del > $o )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(k_type,type,(
    k: del > $i > $i )).

thf(i_type,type,(
    i: del > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(tp__o_type,type,(
    tp__o: $tType )).

thf(inj__o_type,type,(
    inj__o: tp__o > $i )).

thf(surj__o_type,type,(
    surj__o: $i > tp__o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: del > $i )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $i )).

thf(fo__c_2Emin_2E_3D_3D_3E_type,type,(
    fo__c_2Emin_2E_3D_3D_3E: tp__o > tp__o > tp__o )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: del > $i )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $i )).

thf(fo__c_2Ebool_2E_2F_5C_type,type,(
    fo__c_2Ebool_2E_2F_5C: tp__o > tp__o > tp__o )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $i )).

thf(fo__c_2Ebool_2EF_type,type,(
    fo__c_2Ebool_2EF: tp__o )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $i )).

thf(fo__c_2Ebool_2ET_type,type,(
    fo__c_2Ebool_2ET: tp__o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $i )).

thf(fo__c_2Ebool_2E_7E_type,type,(
    fo__c_2Ebool_2E_7E: tp__o > tp__o )).

thf(ty_2Enum_2Enum_type,type,(
    ty_2Enum_2Enum: del )).

thf(tp__ty_2Enum_2Enum_type,type,(
    tp__ty_2Enum_2Enum: $tType )).

thf(inj__ty_2Enum_2Enum_type,type,(
    inj__ty_2Enum_2Enum: tp__ty_2Enum_2Enum > $i )).

thf(surj__ty_2Enum_2Enum_type,type,(
    surj__ty_2Enum_2Enum: $i > tp__ty_2Enum_2Enum )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: $i )).

thf(fo__c_2Enum_2E0_type,type,(
    fo__c_2Enum_2E0: tp__ty_2Enum_2Enum )).

thf(c_2Enum_2ESUC_type,type,(
    c_2Enum_2ESUC: $i )).

thf(fo__c_2Enum_2ESUC_type,type,(
    fo__c_2Enum_2ESUC: tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum )).

thf(c_2Eprim__rec_2E_3C_type,type,(
    c_2Eprim__rec_2E_3C: $i )).

thf(fo__c_2Eprim__rec_2E_3C_type,type,(
    fo__c_2Eprim__rec_2E_3C: tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum > tp__o )).

thf(c_2Eprim__rec_2EPRE_type,type,(
    c_2Eprim__rec_2EPRE: $i )).

thf(fo__c_2Eprim__rec_2EPRE_type,type,(
    fo__c_2Eprim__rec_2EPRE: tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum )).

thf(c_2Earithmetic_2E_2A_type,type,(
    c_2Earithmetic_2E_2A: $i )).

thf(fo__c_2Earithmetic_2E_2A_type,type,(
    fo__c_2Earithmetic_2E_2A: tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum )).

thf(c_2Earithmetic_2E_2B_type,type,(
    c_2Earithmetic_2E_2B: $i )).

thf(fo__c_2Earithmetic_2E_2B_type,type,(
    fo__c_2Earithmetic_2E_2B: tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum )).

thf(c_2Earithmetic_2E_2D_type,type,(
    c_2Earithmetic_2E_2D: $i )).

thf(fo__c_2Earithmetic_2E_2D_type,type,(
    fo__c_2Earithmetic_2E_2D: tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum )).

thf(c_2Earithmetic_2E_3C_3D_type,type,(
    c_2Earithmetic_2E_3C_3D: $i )).

thf(fo__c_2Earithmetic_2E_3C_3D_type,type,(
    fo__c_2Earithmetic_2E_3C_3D: tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum > tp__o )).

thf(c_2Earithmetic_2E_3E_type,type,(
    c_2Earithmetic_2E_3E: $i )).

thf(fo__c_2Earithmetic_2E_3E_type,type,(
    fo__c_2Earithmetic_2E_3E: tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum > tp__o )).

thf(c_2Earithmetic_2E_3E_3D_type,type,(
    c_2Earithmetic_2E_3E_3D: $i )).

thf(fo__c_2Earithmetic_2E_3E_3D_type,type,(
    fo__c_2Earithmetic_2E_3E_3D: tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum > tp__o )).

thf(c_2Earithmetic_2EBIT1_type,type,(
    c_2Earithmetic_2EBIT1: $i )).

thf(fo__c_2Earithmetic_2EBIT1_type,type,(
    fo__c_2Earithmetic_2EBIT1: tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum )).

thf(c_2Earithmetic_2EBIT2_type,type,(
    c_2Earithmetic_2EBIT2: $i )).

thf(fo__c_2Earithmetic_2EBIT2_type,type,(
    fo__c_2Earithmetic_2EBIT2: tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum )).

thf(c_2Earithmetic_2EEVEN_type,type,(
    c_2Earithmetic_2EEVEN: $i )).

thf(fo__c_2Earithmetic_2EEVEN_type,type,(
    fo__c_2Earithmetic_2EEVEN: tp__ty_2Enum_2Enum > tp__o )).

thf(c_2Earithmetic_2EEXP_type,type,(
    c_2Earithmetic_2EEXP: $i )).

thf(fo__c_2Earithmetic_2EEXP_type,type,(
    fo__c_2Earithmetic_2EEXP: tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum )).

thf(c_2Earithmetic_2ENUMERAL_type,type,(
    c_2Earithmetic_2ENUMERAL: $i )).

thf(fo__c_2Earithmetic_2ENUMERAL_type,type,(
    fo__c_2Earithmetic_2ENUMERAL: tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum )).

thf(c_2Earithmetic_2EODD_type,type,(
    c_2Earithmetic_2EODD: $i )).

thf(fo__c_2Earithmetic_2EODD_type,type,(
    fo__c_2Earithmetic_2EODD: tp__ty_2Enum_2Enum > tp__o )).

thf(c_2Earithmetic_2EZERO_type,type,(
    c_2Earithmetic_2EZERO: $i )).

thf(fo__c_2Earithmetic_2EZERO_type,type,(
    fo__c_2Earithmetic_2EZERO: tp__ty_2Enum_2Enum )).

thf(c_2Enumeral_2EiZ_type,type,(
    c_2Enumeral_2EiZ: $i )).

thf(fo__c_2Enumeral_2EiZ_type,type,(
    fo__c_2Enumeral_2EiZ: tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum )).

thf(ty_2Einteger_2Eint_type,type,(
    ty_2Einteger_2Eint: del )).

thf(tp__ty_2Einteger_2Eint_type,type,(
    tp__ty_2Einteger_2Eint: $tType )).

thf(inj__ty_2Einteger_2Eint_type,type,(
    inj__ty_2Einteger_2Eint: tp__ty_2Einteger_2Eint > $i )).

thf(surj__ty_2Einteger_2Eint_type,type,(
    surj__ty_2Einteger_2Eint: $i > tp__ty_2Einteger_2Eint )).

thf(c_2Einteger_2Eint__neg_type,type,(
    c_2Einteger_2Eint__neg: $i )).

thf(fo__c_2Einteger_2Eint__neg_type,type,(
    fo__c_2Einteger_2Eint__neg: tp__ty_2Einteger_2Eint > tp__ty_2Einteger_2Eint )).

thf(c_2Einteger_2Eint__of__num_type,type,(
    c_2Einteger_2Eint__of__num: $i )).

thf(fo__c_2Einteger_2Eint__of__num_type,type,(
    fo__c_2Einteger_2Eint__of__num: tp__ty_2Enum_2Enum > tp__ty_2Einteger_2Eint )).

thf(ty_2Erat_2Erat_type,type,(
    ty_2Erat_2Erat: del )).

thf(tp__ty_2Erat_2Erat_type,type,(
    tp__ty_2Erat_2Erat: $tType )).

thf(inj__ty_2Erat_2Erat_type,type,(
    inj__ty_2Erat_2Erat: tp__ty_2Erat_2Erat > $i )).

thf(surj__ty_2Erat_2Erat_type,type,(
    surj__ty_2Erat_2Erat: $i > tp__ty_2Erat_2Erat )).

thf(c_2Erat_2Erat__gre_type,type,(
    c_2Erat_2Erat__gre: $i )).

thf(fo__c_2Erat_2Erat__gre_type,type,(
    fo__c_2Erat_2Erat__gre: tp__ty_2Erat_2Erat > tp__ty_2Erat_2Erat > tp__o )).

thf(c_2Erat_2Erat__les_type,type,(
    c_2Erat_2Erat__les: $i )).

thf(fo__c_2Erat_2Erat__les_type,type,(
    fo__c_2Erat_2Erat__les: tp__ty_2Erat_2Erat > tp__ty_2Erat_2Erat > tp__o )).

thf(c_2Erat_2Erat__of__num_type,type,(
    c_2Erat_2Erat__of__num: $i )).

thf(fo__c_2Erat_2Erat__of__num_type,type,(
    fo__c_2Erat_2Erat__of__num: tp__ty_2Enum_2Enum > tp__ty_2Erat_2Erat )).

thf(c_2Erat_2Erat__sgn_type,type,(
    c_2Erat_2Erat__sgn: $i )).

thf(fo__c_2Erat_2Erat__sgn_type,type,(
    fo__c_2Erat_2Erat__sgn: tp__ty_2Erat_2Erat > tp__ty_2Einteger_2Eint )).

thf(c_2Erat_2Erat__sub_type,type,(
    c_2Erat_2Erat__sub: $i )).

thf(fo__c_2Erat_2Erat__sub_type,type,(
    fo__c_2Erat_2Erat__sub: tp__ty_2Erat_2Erat > tp__ty_2Erat_2Erat > tp__ty_2Erat_2Erat )).

thf(25,axiom,(
    mem @ c_2Earithmetic_2ENUMERAL @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Earithmetic_2ENUMERAL)).

thf(138,plain,(
    mem @ c_2Earithmetic_2ENUMERAL @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(1,conjecture,(
    ! [A: tp__ty_2Erat_2Erat,B: tp__ty_2Erat_2Erat] :
      ( ( p @ ( ap @ ( ap @ c_2Erat_2Erat__les @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) )
     => ( A != B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Erat_2ERAT__LES__IMP__NEQ)).

thf(2,negated_conjecture,(
    ~ ! [A: tp__ty_2Erat_2Erat,B: tp__ty_2Erat_2Erat] :
        ( ( p @ ( ap @ ( ap @ c_2Erat_2Erat__les @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) )
       => ( A != B ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(101,plain,(
    ~ ! [A: tp__ty_2Erat_2Erat,B: tp__ty_2Erat_2Erat] :
        ( ( p @ ( ap @ ( ap @ c_2Erat_2Erat__les @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) )
       => ( A != B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(85,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ibeta)).

thf(468,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[85])).

thf(90,axiom,(
    ! [A: tp__ty_2Erat_2Erat] :
      ( ( surj__ty_2Erat_2Erat @ ( inj__ty_2Erat_2Erat @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_surj_ty_2Erat_2Erat)).

thf(481,plain,(
    ! [A: tp__ty_2Erat_2Erat] :
      ( ( surj__ty_2Erat_2Erat @ ( inj__ty_2Erat_2Erat @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[90])).

thf(72,axiom,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Earithmetic_2EEXP @ A @ B ) )
      = ( ap @ ( ap @ c_2Earithmetic_2EEXP @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Earithmetic_2EEXP)).

thf(408,plain,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Earithmetic_2EEXP @ A @ B ) )
      = ( ap @ ( ap @ c_2Earithmetic_2EEXP @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[72])).

thf(42,axiom,(
    mem @ c_2Earithmetic_2EBIT2 @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Earithmetic_2EBIT2)).

thf(170,plain,(
    mem @ c_2Earithmetic_2EBIT2 @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).

thf(11,axiom,(
    mem @ c_2Earithmetic_2EEVEN @ ( arr @ ty_2Enum_2Enum @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Earithmetic_2EEVEN)).

thf(120,plain,(
    mem @ c_2Earithmetic_2EEVEN @ ( arr @ ty_2Enum_2Enum @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(79,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Enum_2ESUC @ A ) )
      = ( ap @ c_2Enum_2ESUC @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Enum_2ESUC)).

thf(440,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Enum_2ESUC @ A ) )
      = ( ap @ c_2Enum_2ESUC @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[79])).

thf(97,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Earithmetic_2EBIT1 @ A ) )
      = ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Earithmetic_2EBIT1)).

thf(511,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Earithmetic_2EBIT1 @ A ) )
      = ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[97])).

thf(70,axiom,(
    ! [A: tp__ty_2Erat_2Erat] :
      ( ( ( ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Erat_2Erat__sgn @ ( inj__ty_2Erat_2Erat @ A ) ) )
          = ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Einteger_2Eint__neg @ ( ap @ c_2Einteger_2Eint__of__num @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ) ) ) ) )
      <=> ( p @ ( ap @ ( ap @ c_2Erat_2Erat__les @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) )
      & ( ( ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Erat_2Erat__sgn @ ( inj__ty_2Erat_2Erat @ A ) ) )
          = ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Einteger_2Eint__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
      <=> ( A
          = ( surj__ty_2Erat_2Erat @ ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) )
      & ( ( ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Erat_2Erat__sgn @ ( inj__ty_2Erat_2Erat @ A ) ) )
          = ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Einteger_2Eint__of__num @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ) ) ) )
      <=> ( p @ ( ap @ ( ap @ c_2Erat_2Erat__gre @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Erat_2ERAT__SGN__CLAUSES)).

thf(384,plain,(
    ! [A: tp__ty_2Erat_2Erat] :
      ( ( ( ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Erat_2Erat__sgn @ ( inj__ty_2Erat_2Erat @ A ) ) )
          = ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Einteger_2Eint__neg @ ( ap @ c_2Einteger_2Eint__of__num @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ) ) ) ) )
       => ( p @ ( ap @ ( ap @ c_2Erat_2Erat__les @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) )
      & ( ( p @ ( ap @ ( ap @ c_2Erat_2Erat__les @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
       => ( ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Erat_2Erat__sgn @ ( inj__ty_2Erat_2Erat @ A ) ) )
          = ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Einteger_2Eint__neg @ ( ap @ c_2Einteger_2Eint__of__num @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ) ) ) ) ) )
      & ( ( ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Erat_2Erat__sgn @ ( inj__ty_2Erat_2Erat @ A ) ) )
          = ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Einteger_2Eint__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
       => ( A
          = ( surj__ty_2Erat_2Erat @ ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) )
      & ( ( A
          = ( surj__ty_2Erat_2Erat @ ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
       => ( ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Erat_2Erat__sgn @ ( inj__ty_2Erat_2Erat @ A ) ) )
          = ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Einteger_2Eint__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) )
      & ( ( ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Erat_2Erat__sgn @ ( inj__ty_2Erat_2Erat @ A ) ) )
          = ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Einteger_2Eint__of__num @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ) ) ) )
       => ( p @ ( ap @ ( ap @ c_2Erat_2Erat__gre @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) )
      & ( ( p @ ( ap @ ( ap @ c_2Erat_2Erat__gre @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
       => ( ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Erat_2Erat__sgn @ ( inj__ty_2Erat_2Erat @ A ) ) )
          = ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Einteger_2Eint__of__num @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[70])).

thf(27,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(142,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(64,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Enumeral_2EiZ @ A ) )
      = ( ap @ c_2Enumeral_2EiZ @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Enumeral_2EiZ)).

thf(340,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Enumeral_2EiZ @ A ) )
      = ( ap @ c_2Enumeral_2EiZ @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[64])).

thf(45,axiom,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_2F_5C)).

thf(174,plain,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[45])).

thf(51,axiom,
    ( ! [A: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2E_2B @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) )
        = A )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2E_2B @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
        = A )
    & ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2E_2B @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
        = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Enumeral_2EiZ @ ( ap @ ( ap @ c_2Earithmetic_2E_2B @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2E_2A @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) )
        = fo__c_2Enum_2E0 )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2E_2A @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
        = fo__c_2Enum_2E0 )
    & ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2E_2A @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
        = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ ( ap @ c_2Earithmetic_2E_2A @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) )
        = fo__c_2Enum_2E0 )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
        = A )
    & ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
        = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2EEXP @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) )
        = fo__c_2Enum_2E0 )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2EEXP @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) )
        = fo__c_2Enum_2E0 )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2EEXP @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
        = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2EEXP @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
        = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ ( ap @ c_2Earithmetic_2EEXP @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) )
    & ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Enum_2ESUC @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
      = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Enum_2ESUC @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
        = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Enum_2ESUC @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) )
    & ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Eprim__rec_2EPRE @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
      = fo__c_2Enum_2E0 )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Eprim__rec_2EPRE @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
        = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Eprim__rec_2EPRE @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) )
          = fo__c_2Enum_2E0 )
      <=> ( A = fo__c_2Earithmetic_2EZERO ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( fo__c_2Enum_2E0
          = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
      <=> ( A = fo__c_2Earithmetic_2EZERO ) )
    & ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
        ( ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) )
          = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
      <=> ( A = B ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( p @ ( ap @ ( ap @ c_2Eprim__rec_2E_3C @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
      <=> $false )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( p @ ( ap @ ( ap @ c_2Eprim__rec_2E_3C @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
      <=> ( p @ ( ap @ ( ap @ c_2Eprim__rec_2E_3C @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
        ( ( p @ ( ap @ ( ap @ c_2Eprim__rec_2E_3C @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
      <=> ( p @ ( ap @ ( ap @ c_2Eprim__rec_2E_3C @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3E @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) )
      <=> $false )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3E @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
      <=> ( p @ ( ap @ ( ap @ c_2Eprim__rec_2E_3C @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
        ( ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3E @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
      <=> ( p @ ( ap @ ( ap @ c_2Eprim__rec_2E_3C @ ( inj__ty_2Enum_2Enum @ B ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) )
      <=> $true )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
      <=> ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
        ( ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
      <=> ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3E_3D @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
      <=> $true )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3E_3D @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) )
      <=> ( A = fo__c_2Enum_2E0 ) )
    & ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
        ( ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3E_3D @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
      <=> ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( inj__ty_2Enum_2Enum @ B ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( p @ ( ap @ c_2Earithmetic_2EODD @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
      <=> ( p @ ( ap @ c_2Earithmetic_2EODD @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( p @ ( ap @ c_2Earithmetic_2EEVEN @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
      <=> ( p @ ( ap @ c_2Earithmetic_2EEVEN @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
    & ~ ( p @ ( ap @ c_2Earithmetic_2EODD @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
    & ( p @ ( ap @ c_2Earithmetic_2EEVEN @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Enumeral_2Enumeral__distrib)).

thf(184,plain,
    ( ! [A: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2E_2B @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) )
        = A )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2E_2B @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
        = A )
    & ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2E_2B @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
        = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Enumeral_2EiZ @ ( ap @ ( ap @ c_2Earithmetic_2E_2B @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2E_2A @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) )
        = fo__c_2Enum_2E0 )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2E_2A @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
        = fo__c_2Enum_2E0 )
    & ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2E_2A @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
        = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ ( ap @ c_2Earithmetic_2E_2A @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) )
        = fo__c_2Enum_2E0 )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
        = A )
    & ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
        = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2EEXP @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) )
        = fo__c_2Enum_2E0 )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2EEXP @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) )
        = fo__c_2Enum_2E0 )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2EEXP @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
        = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ ( ap @ c_2Earithmetic_2EEXP @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
        = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ ( ap @ c_2Earithmetic_2EEXP @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) )
    & ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Enum_2ESUC @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
      = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Enum_2ESUC @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
        = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Enum_2ESUC @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) )
    & ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Eprim__rec_2EPRE @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
      = fo__c_2Enum_2E0 )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Eprim__rec_2EPRE @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
        = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Eprim__rec_2EPRE @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) )
            = fo__c_2Enum_2E0 )
         => ( A = fo__c_2Earithmetic_2EZERO ) )
        & ( ( A = fo__c_2Earithmetic_2EZERO )
         => ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) )
            = fo__c_2Enum_2E0 ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( ( fo__c_2Enum_2E0
            = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
         => ( A = fo__c_2Earithmetic_2EZERO ) )
        & ( ( A = fo__c_2Earithmetic_2EZERO )
         => ( fo__c_2Enum_2E0
            = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
        ( ( ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) )
            = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
         => ( A = B ) )
        & ( ( A = B )
         => ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) )
            = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ~ ( p @ ( ap @ ( ap @ c_2Eprim__rec_2E_3C @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( ( p @ ( ap @ ( ap @ c_2Eprim__rec_2E_3C @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
         => ( p @ ( ap @ ( ap @ c_2Eprim__rec_2E_3C @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
        & ( ( p @ ( ap @ ( ap @ c_2Eprim__rec_2E_3C @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) )
         => ( p @ ( ap @ ( ap @ c_2Eprim__rec_2E_3C @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
        ( ( ( p @ ( ap @ ( ap @ c_2Eprim__rec_2E_3C @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
         => ( p @ ( ap @ ( ap @ c_2Eprim__rec_2E_3C @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
        & ( ( p @ ( ap @ ( ap @ c_2Eprim__rec_2E_3C @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) )
         => ( p @ ( ap @ ( ap @ c_2Eprim__rec_2E_3C @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ~ ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3E @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3E @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
         => ( p @ ( ap @ ( ap @ c_2Eprim__rec_2E_3C @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
        & ( ( p @ ( ap @ ( ap @ c_2Eprim__rec_2E_3C @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) )
         => ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3E @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
        ( ( ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3E @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
         => ( p @ ( ap @ ( ap @ c_2Eprim__rec_2E_3C @ ( inj__ty_2Enum_2Enum @ B ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
        & ( ( p @ ( ap @ ( ap @ c_2Eprim__rec_2E_3C @ ( inj__ty_2Enum_2Enum @ B ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) )
         => ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3E @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
         => ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ) )
        & ( ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) )
         => ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
        ( ( ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
         => ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
        & ( ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) )
         => ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3E_3D @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3E_3D @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) )
         => ( A = fo__c_2Enum_2E0 ) )
        & ( ( A = fo__c_2Enum_2E0 )
         => ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3E_3D @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
        ( ( ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3E_3D @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
         => ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( inj__ty_2Enum_2Enum @ B ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
        & ( ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( inj__ty_2Enum_2Enum @ B ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) )
         => ( p @ ( ap @ ( ap @ c_2Earithmetic_2E_3E_3D @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( ( p @ ( ap @ c_2Earithmetic_2EODD @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
         => ( p @ ( ap @ c_2Earithmetic_2EODD @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
        & ( ( p @ ( ap @ c_2Earithmetic_2EODD @ ( inj__ty_2Enum_2Enum @ A ) ) )
         => ( p @ ( ap @ c_2Earithmetic_2EODD @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( ( p @ ( ap @ c_2Earithmetic_2EEVEN @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
         => ( p @ ( ap @ c_2Earithmetic_2EEVEN @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
        & ( ( p @ ( ap @ c_2Earithmetic_2EEVEN @ ( inj__ty_2Enum_2Enum @ A ) ) )
         => ( p @ ( ap @ c_2Earithmetic_2EEVEN @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) ) )
    & ~ ( p @ ( ap @ c_2Earithmetic_2EODD @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
    & ( p @ ( ap @ c_2Earithmetic_2EEVEN @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[51])).

thf(95,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
      <=> ! [C: $i] :
            ( ( mem @ C @ A )
           => ( p @ ( ap @ B @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_all_p)).

thf(504,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
         => ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) )
        & ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) )
         => ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[95])).

thf(7,axiom,(
    ! [A: tp__ty_2Einteger_2Eint] :
      ( ( surj__ty_2Einteger_2Eint @ ( inj__ty_2Einteger_2Eint @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_surj_ty_2Einteger_2Eint)).

thf(110,plain,(
    ! [A: tp__ty_2Einteger_2Eint] :
      ( ( surj__ty_2Einteger_2Eint @ ( inj__ty_2Einteger_2Eint @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(16,axiom,(
    mem @ c_2Enum_2ESUC @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Enum_2ESUC)).

thf(125,plain,(
    mem @ c_2Enum_2ESUC @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(82,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ A ) @ B ) )
          <=> ( ( p @ A )
             => ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_imp_p)).

thf(460,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ A ) @ B ) )
             => ( ( p @ A )
               => ( p @ B ) ) )
            & ( ( ( p @ A )
               => ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[82])).

thf(36,axiom,(
    mem @ c_2Eprim__rec_2E_3C @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Eprim__rec_2E_3C)).

thf(157,plain,(
    mem @ c_2Eprim__rec_2E_3C @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(59,axiom,(
    ! [A: tp__ty_2Erat_2Erat] :
      ( mem @ ( inj__ty_2Erat_2Erat @ A ) @ ty_2Erat_2Erat ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_mem_ty_2Erat_2Erat)).

thf(325,plain,(
    ! [A: tp__ty_2Erat_2Erat] :
      ( mem @ ( inj__ty_2Erat_2Erat @ A ) @ ty_2Erat_2Erat ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[59])).

thf(56,axiom,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
      ( ( inj__o @ ( fo__c_2Earithmetic_2E_3E_3D @ A @ B ) )
      = ( ap @ ( ap @ c_2Earithmetic_2E_3E_3D @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Earithmetic_2E_3E_3D)).

thf(316,plain,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
      ( ( inj__o @ ( fo__c_2Earithmetic_2E_3E_3D @ A @ B ) )
      = ( ap @ ( ap @ c_2Earithmetic_2E_3E_3D @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[56])).

thf(80,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_2F_5C)).

thf(443,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[80])).

thf(4,axiom,(
    mem @ c_2Earithmetic_2EZERO @ ty_2Enum_2Enum ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Earithmetic_2EZERO)).

thf(106,plain,(
    mem @ c_2Earithmetic_2EZERO @ ty_2Enum_2Enum ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(12,axiom,(
    mem @ c_2Enumeral_2EiZ @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Enumeral_2EiZ)).

thf(121,plain,(
    mem @ c_2Enumeral_2EiZ @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(98,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Earithmetic_2ENUMERAL @ A ) )
      = ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Earithmetic_2ENUMERAL)).

thf(514,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Earithmetic_2ENUMERAL @ A ) )
      = ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[98])).

thf(30,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Einteger_2Eint )
     => ( A
        = ( inj__ty_2Einteger_2Eint @ ( surj__ty_2Einteger_2Eint @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_iso_mem_ty_2Einteger_2Eint)).

thf(147,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Einteger_2Eint )
     => ( A
        = ( inj__ty_2Einteger_2Eint @ ( surj__ty_2Einteger_2Eint @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(21,axiom,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_7E)).

thf(132,plain,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(22,axiom,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_mem_o)).

thf(133,plain,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(73,axiom,(
    ! [A: tp__ty_2Erat_2Erat,B: tp__ty_2Erat_2Erat] :
      ( ( p @ ( ap @ ( ap @ c_2Erat_2Erat__les @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) )
    <=> ( ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Erat_2Erat__sgn @ ( ap @ ( ap @ c_2Erat_2Erat__sub @ ( inj__ty_2Erat_2Erat @ B ) ) @ ( inj__ty_2Erat_2Erat @ A ) ) ) )
        = ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Einteger_2Eint__of__num @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_thm_2Erat_2Erat__les__def)).

thf(411,plain,(
    ! [A: tp__ty_2Erat_2Erat,B: tp__ty_2Erat_2Erat] :
      ( ( ( p @ ( ap @ ( ap @ c_2Erat_2Erat__les @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) )
       => ( ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Erat_2Erat__sgn @ ( ap @ ( ap @ c_2Erat_2Erat__sub @ ( inj__ty_2Erat_2Erat @ B ) ) @ ( inj__ty_2Erat_2Erat @ A ) ) ) )
          = ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Einteger_2Eint__of__num @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ) ) ) ) )
      & ( ( ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Erat_2Erat__sgn @ ( ap @ ( ap @ c_2Erat_2Erat__sub @ ( inj__ty_2Erat_2Erat @ B ) ) @ ( inj__ty_2Erat_2Erat @ A ) ) ) )
          = ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Einteger_2Eint__of__num @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ) ) ) )
       => ( p @ ( ap @ ( ap @ c_2Erat_2Erat__les @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[73])).

thf(76,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
          <=> ( B = C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_eq_p)).

thf(428,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
             => ( B = C ) )
            & ( ( B = C )
             => ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[76])).

thf(53,axiom,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Earithmetic_2E_2B @ A @ B ) )
      = ( ap @ ( ap @ c_2Earithmetic_2E_2B @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Earithmetic_2E_2B)).

thf(307,plain,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Earithmetic_2E_2B @ A @ B ) )
      = ( ap @ ( ap @ c_2Earithmetic_2E_2B @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[53])).

thf(10,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( surj__ty_2Enum_2Enum @ ( inj__ty_2Enum_2Enum @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_surj_ty_2Enum_2Enum)).

thf(117,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( surj__ty_2Enum_2Enum @ ( inj__ty_2Enum_2Enum @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(69,axiom,(
    ! [A: tp__ty_2Einteger_2Eint] :
      ( ( inj__ty_2Einteger_2Eint @ ( fo__c_2Einteger_2Eint__neg @ A ) )
      = ( ap @ c_2Einteger_2Eint__neg @ ( inj__ty_2Einteger_2Eint @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Einteger_2Eint__neg)).

thf(381,plain,(
    ! [A: tp__ty_2Einteger_2Eint] :
      ( ( inj__ty_2Einteger_2Eint @ ( fo__c_2Einteger_2Eint__neg @ A ) )
      = ( ap @ c_2Einteger_2Eint__neg @ ( inj__ty_2Einteger_2Eint @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[69])).

thf(38,axiom,(
    mem @ c_2Earithmetic_2E_3E_3D @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Earithmetic_2E_3E_3D)).

thf(160,plain,(
    mem @ c_2Earithmetic_2E_3E_3D @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(84,axiom,
    ( ! [A: tp__o] :
        ( ~ ~ ( p @ ( inj__o @ A ) )
      <=> ( p @ ( inj__o @ A ) ) )
    & ( ~ $true
    <=> $false )
    & ( ~ $false
    <=> $true ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ENOT__CLAUSES)).

thf(467,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[84])).

thf(91,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Einteger_2Eint @ ( fo__c_2Einteger_2Eint__of__num @ A ) )
      = ( ap @ c_2Einteger_2Eint__of__num @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Einteger_2Eint__of__num)).

thf(484,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Einteger_2Eint @ ( fo__c_2Einteger_2Eint__of__num @ A ) )
      = ( ap @ c_2Einteger_2Eint__of__num @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[91])).

thf(35,axiom,(
    mem @ c_2Ebool_2ET @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2ET)).

thf(156,plain,(
    mem @ c_2Ebool_2ET @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(71,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',funcext)).

thf(403,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[71])).

thf(61,axiom,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Earithmetic_2E_2D @ A @ B ) )
      = ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Earithmetic_2E_2D)).

thf(328,plain,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Earithmetic_2E_2D @ A @ B ) )
      = ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[61])).

thf(86,axiom,(
    ! [A: del,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',kbeta)).

thf(471,plain,(
    ! [A: del,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[86])).

thf(15,axiom,(
    mem @ c_2Earithmetic_2EEXP @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Earithmetic_2EEXP)).

thf(124,plain,(
    mem @ c_2Earithmetic_2EEXP @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(44,axiom,(
    mem @ c_2Earithmetic_2E_2A @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Earithmetic_2E_2A)).

thf(173,plain,(
    mem @ c_2Earithmetic_2E_2A @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).

thf(19,axiom,
    ( ( inj__o @ fo__c_2Ebool_2EF )
    = c_2Ebool_2EF ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2EF)).

thf(129,plain,
    ( ( inj__o @ fo__c_2Ebool_2EF )
    = c_2Ebool_2EF ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(65,axiom,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
      ( ( ( fo__c_2Earithmetic_2EZERO
          = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
      <=> $false )
      & ( ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ A ) ) )
          = fo__c_2Earithmetic_2EZERO )
      <=> $false )
      & ( ( fo__c_2Earithmetic_2EZERO
          = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
      <=> $false )
      & ( ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ A ) ) )
          = fo__c_2Earithmetic_2EZERO )
      <=> $false )
      & ( ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ A ) ) )
          = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
      <=> $false )
      & ( ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ A ) ) )
          = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
      <=> $false )
      & ( ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ A ) ) )
          = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
      <=> ( A = B ) )
      & ( ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ A ) ) )
          = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
      <=> ( A = B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Enumeral_2Enumeral__eq)).

thf(343,plain,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
      ( ( fo__c_2Earithmetic_2EZERO
       != ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
      & ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ A ) ) )
       != fo__c_2Earithmetic_2EZERO )
      & ( fo__c_2Earithmetic_2EZERO
       != ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
      & ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ A ) ) )
       != fo__c_2Earithmetic_2EZERO )
      & ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ A ) ) )
       != ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
      & ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ A ) ) )
       != ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
      & ( ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ A ) ) )
          = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
       => ( A = B ) )
      & ( ( A = B )
       => ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ A ) ) )
          = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT1 @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) )
      & ( ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ A ) ) )
          = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
       => ( A = B ) )
      & ( ( A = B )
       => ( ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ A ) ) )
          = ( surj__ty_2Enum_2Enum @ ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[65])).

thf(3,axiom,(
    mem @ c_2Enum_2E0 @ ty_2Enum_2Enum ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Enum_2E0)).

thf(105,plain,(
    mem @ c_2Enum_2E0 @ ty_2Enum_2Enum ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(96,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Eprim__rec_2EPRE @ A ) )
      = ( ap @ c_2Eprim__rec_2EPRE @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Eprim__rec_2EPRE)).

thf(508,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Eprim__rec_2EPRE @ A ) )
      = ( ap @ c_2Eprim__rec_2EPRE @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[96])).

thf(75,axiom,(
    ! [A: tp__ty_2Erat_2Erat,B: tp__ty_2Erat_2Erat] :
      ( ( inj__ty_2Erat_2Erat @ ( fo__c_2Erat_2Erat__sub @ A @ B ) )
      = ( ap @ ( ap @ c_2Erat_2Erat__sub @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Erat_2Erat__sub)).

thf(425,plain,(
    ! [A: tp__ty_2Erat_2Erat,B: tp__ty_2Erat_2Erat] :
      ( ( inj__ty_2Erat_2Erat @ ( fo__c_2Erat_2Erat__sub @ A @ B ) )
      = ( ap @ ( ap @ c_2Erat_2Erat__sub @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[75])).

thf(39,axiom,(
    mem @ c_2Earithmetic_2EBIT1 @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Earithmetic_2EBIT1)).

thf(161,plain,(
    mem @ c_2Earithmetic_2EBIT1 @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).

thf(47,axiom,(
    mem @ c_2Erat_2Erat__of__num @ ( arr @ ty_2Enum_2Enum @ ty_2Erat_2Erat ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Erat_2Erat__of__num)).

thf(176,plain,(
    mem @ c_2Erat_2Erat__of__num @ ( arr @ ty_2Enum_2Enum @ ty_2Erat_2Erat ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[47])).

thf(55,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Earithmetic_2EBIT2 @ A ) )
      = ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Earithmetic_2EBIT2)).

thf(313,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Earithmetic_2EBIT2 @ A ) )
      = ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[55])).

thf(28,axiom,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2ET)).

thf(144,plain,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(50,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Erat_2Erat )
     => ( A
        = ( inj__ty_2Erat_2Erat @ ( surj__ty_2Erat_2Erat @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_iso_mem_ty_2Erat_2Erat)).

thf(181,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Erat_2Erat )
     => ( A
        = ( inj__ty_2Erat_2Erat @ ( surj__ty_2Erat_2Erat @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[50])).

thf(8,axiom,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D_3D_3E)).

thf(113,plain,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(67,axiom,(
    mem @ c_2Erat_2Erat__les @ ( arr @ ty_2Erat_2Erat @ ( arr @ ty_2Erat_2Erat @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Erat_2Erat__les)).

thf(377,plain,(
    mem @ c_2Erat_2Erat__les @ ( arr @ ty_2Erat_2Erat @ ( arr @ ty_2Erat_2Erat @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[67])).

thf(77,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__o @ ( fo__c_2Earithmetic_2EEVEN @ A ) )
      = ( ap @ c_2Earithmetic_2EEVEN @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Earithmetic_2EEVEN)).

thf(434,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__o @ ( fo__c_2Earithmetic_2EEVEN @ A ) )
      = ( ap @ c_2Earithmetic_2EEVEN @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[77])).

thf(88,axiom,(
    ! [A: tp__o] :
      ( ( ( $true
         => ( p @ ( inj__o @ A ) ) )
      <=> ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
         => $true )
      <=> $true )
      & ( ( $false
         => ( p @ ( inj__o @ A ) ) )
      <=> $true )
      & ( ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ A ) ) )
      <=> $true )
      & ( ( ( p @ ( inj__o @ A ) )
         => $false )
      <=> ~ ( p @ ( inj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__CLAUSES)).

thf(477,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[88])).

thf(58,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ap_tp)).

thf(323,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[58])).

thf(100,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ A )
            <=> ( p @ B ) )
           => ( A = B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',boolext)).

thf(520,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( ( p @ A )
               => ( p @ B ) )
              & ( ( p @ B )
               => ( p @ A ) ) )
           => ( A = B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[100])).

thf(34,axiom,(
    mem @ c_2Earithmetic_2E_3E @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Earithmetic_2E_3E)).

thf(155,plain,(
    mem @ c_2Earithmetic_2E_3E @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(6,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( mem @ ( inj__ty_2Enum_2Enum @ A ) @ ty_2Enum_2Enum ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_mem_ty_2Enum_2Enum)).

thf(108,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( mem @ ( inj__ty_2Enum_2Enum @ A ) @ ty_2Enum_2Enum ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(23,axiom,(
    mem @ c_2Earithmetic_2EODD @ ( arr @ ty_2Enum_2Enum @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Earithmetic_2EODD)).

thf(135,plain,(
    mem @ c_2Earithmetic_2EODD @ ( arr @ ty_2Enum_2Enum @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(93,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ C ) ) ) )
    <=> ( ( ( p @ ( inj__o @ A ) )
          & ( p @ ( inj__o @ B ) ) )
       => ( p @ ( inj__o @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EAND__IMP__INTRO)).

thf(490,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o] :
      ( ( ( ( p @ ( inj__o @ A ) )
         => ( ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ C ) ) ) )
       => ( ( ( p @ ( inj__o @ A ) )
            & ( p @ ( inj__o @ B ) ) )
         => ( p @ ( inj__o @ C ) ) ) )
      & ( ( ( ( p @ ( inj__o @ A ) )
            & ( p @ ( inj__o @ B ) ) )
         => ( p @ ( inj__o @ C ) ) )
       => ( ( p @ ( inj__o @ A ) )
         => ( ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[93])).

thf(40,axiom,(
    mem @ c_2Earithmetic_2E_3C_3D @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Earithmetic_2E_3C_3D)).

thf(162,plain,(
    mem @ c_2Earithmetic_2E_3C_3D @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).

thf(66,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__o @ ( fo__c_2Earithmetic_2EODD @ A ) )
      = ( ap @ c_2Earithmetic_2EODD @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Earithmetic_2EODD)).

thf(374,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__o @ ( fo__c_2Earithmetic_2EODD @ A ) )
      = ( ap @ c_2Earithmetic_2EODD @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[66])).

thf(92,axiom,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
      ( ( inj__o @ ( fo__c_2Eprim__rec_2E_3C @ A @ B ) )
      = ( ap @ ( ap @ c_2Eprim__rec_2E_3C @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Eprim__rec_2E_3C)).

thf(487,plain,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
      ( ( inj__o @ ( fo__c_2Eprim__rec_2E_3C @ A @ B ) )
      = ( ap @ ( ap @ c_2Eprim__rec_2E_3C @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[92])).

thf(14,axiom,(
    mem @ c_2Erat_2Erat__sub @ ( arr @ ty_2Erat_2Erat @ ( arr @ ty_2Erat_2Erat @ ty_2Erat_2Erat ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Erat_2Erat__sub)).

thf(123,plain,(
    mem @ c_2Erat_2Erat__sub @ ( arr @ ty_2Erat_2Erat @ ( arr @ ty_2Erat_2Erat @ ty_2Erat_2Erat ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(31,axiom,(
    mem @ c_2Ebool_2EF @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2EF)).

thf(150,plain,(
    mem @ c_2Ebool_2EF @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(60,axiom,(
    p @ c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_true_p)).

thf(327,plain,(
    p @ c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[60])).

thf(54,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Emin_2E_3D_3D_3E)).

thf(310,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[54])).

thf(48,axiom,(
    mem @ c_2Erat_2Erat__gre @ ( arr @ ty_2Erat_2Erat @ ( arr @ ty_2Erat_2Erat @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Erat_2Erat__gre)).

thf(177,plain,(
    mem @ c_2Erat_2Erat__gre @ ( arr @ ty_2Erat_2Erat @ ( arr @ ty_2Erat_2Erat @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[48])).

thf(62,axiom,(
    ! [A: tp__ty_2Erat_2Erat,B: tp__ty_2Erat_2Erat] :
      ( ( ( surj__ty_2Erat_2Erat @ ( ap @ ( ap @ c_2Erat_2Erat__sub @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) )
        = ( surj__ty_2Erat_2Erat @ ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
    <=> ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Erat_2ERAT__EQ__SUB0)).

thf(331,plain,(
    ! [A: tp__ty_2Erat_2Erat,B: tp__ty_2Erat_2Erat] :
      ( ( ( ( surj__ty_2Erat_2Erat @ ( ap @ ( ap @ c_2Erat_2Erat__sub @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) )
          = ( surj__ty_2Erat_2Erat @ ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
       => ( A = B ) )
      & ( ( A = B )
       => ( ( surj__ty_2Erat_2Erat @ ( ap @ ( ap @ c_2Erat_2Erat__sub @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) )
          = ( surj__ty_2Erat_2Erat @ ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[62])).

thf(18,axiom,
    ( ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO )
    = c_2Earithmetic_2EZERO ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Earithmetic_2EZERO)).

thf(127,plain,
    ( ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO )
    = c_2Earithmetic_2EZERO ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(63,axiom,(
    ~ ( p @ c_2Ebool_2EF ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_false_p)).

thf(338,plain,(
    ~ ( p @ c_2Ebool_2EF ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[63])).

thf(33,axiom,(
    mem @ c_2Eprim__rec_2EPRE @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Eprim__rec_2EPRE)).

thf(154,plain,(
    mem @ c_2Eprim__rec_2EPRE @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(46,axiom,(
    mem @ c_2Einteger_2Eint__neg @ ( arr @ ty_2Einteger_2Eint @ ty_2Einteger_2Eint ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Einteger_2Eint__neg)).

thf(175,plain,(
    mem @ c_2Einteger_2Eint__neg @ ( arr @ ty_2Einteger_2Eint @ ty_2Einteger_2Eint ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[46])).

thf(81,axiom,(
    ! [A: tp__o,B: tp__o,C: tp__o,D: tp__o] :
      ( ( ( ( p @ ( inj__o @ A ) )
        <=> ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ B ) )
         => ( ( p @ ( inj__o @ C ) )
          <=> ( p @ ( inj__o @ D ) ) ) ) )
     => ( ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ C ) ) )
      <=> ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ D ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__CONG)).

thf(446,plain,(
    ! [A: tp__o,B: tp__o,C: tp__o,D: tp__o] :
      ( ( ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ B ) )
         => ( ( ( p @ ( inj__o @ C ) )
             => ( p @ ( inj__o @ D ) ) )
            & ( ( p @ ( inj__o @ D ) )
             => ( p @ ( inj__o @ C ) ) ) ) ) )
     => ( ( ( ( p @ ( inj__o @ A ) )
           => ( p @ ( inj__o @ C ) ) )
         => ( ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ D ) ) ) )
        & ( ( ( p @ ( inj__o @ B ) )
           => ( p @ ( inj__o @ D ) ) )
         => ( ( p @ ( inj__o @ A ) )
           => ( p @ ( inj__o @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[81])).

thf(99,axiom,(
    ! [A: tp__ty_2Erat_2Erat] :
      ( ( inj__ty_2Einteger_2Eint @ ( fo__c_2Erat_2Erat__sgn @ A ) )
      = ( ap @ c_2Erat_2Erat__sgn @ ( inj__ty_2Erat_2Erat @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Erat_2Erat__sgn)).

thf(517,plain,(
    ! [A: tp__ty_2Erat_2Erat] :
      ( ( inj__ty_2Einteger_2Eint @ ( fo__c_2Erat_2Erat__sgn @ A ) )
      = ( ap @ c_2Erat_2Erat__sgn @ ( inj__ty_2Erat_2Erat @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[99])).

thf(57,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
          <=> ( ( p @ A )
              & ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_and_p)).

thf(319,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
             => ( ( p @ A )
                & ( p @ B ) ) )
            & ( ( ( p @ A )
                & ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[57])).

thf(52,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( ( p @ ( ap @ c_2Ebool_2E_7E @ A ) )
      <=> ~ ( p @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_neg_p)).

thf(304,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( ( ( p @ ( ap @ c_2Ebool_2E_7E @ A ) )
         => ~ ( p @ A ) )
        & ( ~ ( p @ A )
         => ( p @ ( ap @ c_2Ebool_2E_7E @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[52])).

thf(37,axiom,(
    ! [A: tp__ty_2Einteger_2Eint] :
      ( mem @ ( inj__ty_2Einteger_2Eint @ A ) @ ty_2Einteger_2Eint ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_mem_ty_2Einteger_2Eint)).

thf(158,plain,(
    ! [A: tp__ty_2Einteger_2Eint] :
      ( mem @ ( inj__ty_2Einteger_2Eint @ A ) @ ty_2Einteger_2Eint ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(9,axiom,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_surj_o)).

thf(114,plain,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(43,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(171,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).

thf(26,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Enum_2Enum )
     => ( A
        = ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_iso_mem_ty_2Enum_2Enum)).

thf(139,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Enum_2Enum )
     => ( A
        = ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(74,axiom,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
      ( ( ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Einteger_2Eint__of__num @ ( inj__ty_2Enum_2Enum @ A ) ) )
        = ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Einteger_2Eint__of__num @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
    <=> ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Einteger_2EINT__INJ)).

thf(418,plain,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
      ( ( ( ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Einteger_2Eint__of__num @ ( inj__ty_2Enum_2Enum @ A ) ) )
          = ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Einteger_2Eint__of__num @ ( inj__ty_2Enum_2Enum @ B ) ) ) )
       => ( A = B ) )
      & ( ( A = B )
       => ( ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Einteger_2Eint__of__num @ ( inj__ty_2Enum_2Enum @ A ) ) )
          = ( surj__ty_2Einteger_2Eint @ ( ap @ c_2Einteger_2Eint__of__num @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[74])).

thf(68,axiom,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
      ( ( inj__o @ ( fo__c_2Earithmetic_2E_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Earithmetic_2E_3E @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Earithmetic_2E_3E)).

thf(378,plain,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
      ( ( inj__o @ ( fo__c_2Earithmetic_2E_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Earithmetic_2E_3E @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[68])).

thf(89,axiom,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
      ( ( inj__o @ ( fo__c_2Earithmetic_2E_3C_3D @ A @ B ) )
      = ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Earithmetic_2E_3C_3D)).

thf(478,plain,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
      ( ( inj__o @ ( fo__c_2Earithmetic_2E_3C_3D @ A @ B ) )
      = ( ap @ ( ap @ c_2Earithmetic_2E_3C_3D @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[89])).

thf(32,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( surj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_iso_mem_o)).

thf(151,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( surj__o @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(29,axiom,(
    mem @ c_2Einteger_2Eint__of__num @ ( arr @ ty_2Enum_2Enum @ ty_2Einteger_2Eint ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Einteger_2Eint__of__num)).

thf(146,plain,(
    mem @ c_2Einteger_2Eint__of__num @ ( arr @ ty_2Enum_2Enum @ ty_2Einteger_2Eint ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(5,axiom,(
    mem @ c_2Earithmetic_2E_2B @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Earithmetic_2E_2B)).

thf(107,plain,(
    mem @ c_2Earithmetic_2E_2B @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(17,axiom,(
    mem @ c_2Erat_2Erat__sgn @ ( arr @ ty_2Erat_2Erat @ ty_2Einteger_2Eint ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Erat_2Erat__sgn)).

thf(126,plain,(
    mem @ c_2Erat_2Erat__sgn @ ( arr @ ty_2Erat_2Erat @ ty_2Einteger_2Eint ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(24,axiom,
    ( ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 )
    = c_2Enum_2E0 ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Enum_2E0)).

thf(136,plain,
    ( ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 )
    = c_2Enum_2E0 ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(78,axiom,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Earithmetic_2E_2A @ A @ B ) )
      = ( ap @ ( ap @ c_2Earithmetic_2E_2A @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Earithmetic_2E_2A)).

thf(437,plain,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Earithmetic_2E_2A @ A @ B ) )
      = ( ap @ ( ap @ c_2Earithmetic_2E_2A @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[78])).

thf(87,axiom,(
    ! [A: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_7E @ A ) )
      = ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_7E)).

thf(474,plain,(
    ! [A: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_7E @ A ) )
      = ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[87])).

thf(83,axiom,(
    ! [A: tp__ty_2Erat_2Erat,B: tp__ty_2Erat_2Erat] :
      ( ( inj__o @ ( fo__c_2Erat_2Erat__les @ A @ B ) )
      = ( ap @ ( ap @ c_2Erat_2Erat__les @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Erat_2Erat__les)).

thf(464,plain,(
    ! [A: tp__ty_2Erat_2Erat,B: tp__ty_2Erat_2Erat] :
      ( ( inj__o @ ( fo__c_2Erat_2Erat__les @ A @ B ) )
      = ( ap @ ( ap @ c_2Erat_2Erat__les @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[83])).

thf(20,axiom,(
    mem @ c_2Earithmetic_2E_2D @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Earithmetic_2E_2D)).

thf(131,plain,(
    mem @ c_2Earithmetic_2E_2D @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(41,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( B = C )
          <=> ( C = B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEQ__SYM__EQ)).

thf(163,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( ( B = C )
             => ( C = B ) )
            & ( ( C = B )
             => ( B = C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).

thf(49,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Erat_2Erat @ ( fo__c_2Erat_2Erat__of__num @ A ) )
      = ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Erat_2Erat__of__num)).

thf(178,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Erat_2Erat @ ( fo__c_2Erat_2Erat__of__num @ A ) )
      = ( ap @ c_2Erat_2Erat__of__num @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[49])).

thf(94,axiom,(
    ! [A: tp__ty_2Erat_2Erat,B: tp__ty_2Erat_2Erat] :
      ( ( inj__o @ ( fo__c_2Erat_2Erat__gre @ A @ B ) )
      = ( ap @ ( ap @ c_2Erat_2Erat__gre @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Erat_2Erat__gre)).

thf(501,plain,(
    ! [A: tp__ty_2Erat_2Erat,B: tp__ty_2Erat_2Erat] :
      ( ( inj__o @ ( fo__c_2Erat_2Erat__gre @ A @ B ) )
      = ( ap @ ( ap @ c_2Erat_2Erat__gre @ ( inj__ty_2Erat_2Erat @ A ) ) @ ( inj__ty_2Erat_2Erat @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[94])).

thf(13,axiom,(
    $true ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ETRUTH)).

thf(122,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(11844,plain,(
    $false ),
    inference(cvc4,[status(thm)],[138,101,468,481,408,170,120,440,511,384,142,340,174,184,504,110,125,460,157,325,316,443,106,121,514,147,132,133,411,428,307,117,381,160,467,484,156,403,328,471,124,173,129,343,105,508,425,161,176,313,144,181,113,377,434,477,323,520,155,108,135,490,162,374,487,123,150,327,310,177,331,127,338,154,175,446,517,319,304,158,114,171,139,418,378,478,151,146,107,126,136,437,474,464,131,163,178,501,122])).
%------------------------------------------------------------------------------
