%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:42:32 EDT 2019

% Result     : Theorem 5.88s
% Output     : CNFRefutation 6.22s
% Verified   : 
% Statistics : Number of formulae       :   43 (  43 expanded)
%              Number of leaves         :   30 (  30 expanded)
%              Depth                    :    3
%              Number of atoms          :  192 ( 192 expanded)
%              Number of equality atoms :   41 (  41 expanded)
%              Maximal formula depth    :   10 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Ebinary__ieee_2Efloat__compare_type,type,(
    tyop_2Ebinary__ieee_2Efloat__compare: $tType )).

thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Eprim__rec_2E_3C_type,type,(
    c_2Eprim__rec_2E_3C: tyop_2Enum_2Enum > tyop_2Enum_2Enum > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Earithmetic_2EBIT1_type,type,(
    c_2Earithmetic_2EBIT1: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2EBIT2_type,type,(
    c_2Earithmetic_2EBIT2: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Earithmetic_2ENUMERAL_type,type,(
    c_2Earithmetic_2ENUMERAL: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Earithmetic_2EZERO_type,type,(
    c_2Earithmetic_2EZERO: tyop_2Enum_2Enum )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ebinary__ieee_2Efloat__compare2num_type,type,(
    c_2Ebinary__ieee_2Efloat__compare2num: tyop_2Ebinary__ieee_2Efloat__compare > tyop_2Enum_2Enum )).

thf(c_2Ebinary__ieee_2Enum2float__compare_type,type,(
    c_2Ebinary__ieee_2Enum2float__compare: tyop_2Enum_2Enum > tyop_2Ebinary__ieee_2Efloat__compare )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(4,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(25,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(8,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(38,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(1,conjecture,(
    ! [A: tyop_2Ebinary__ieee_2Efloat__compare] :
    ? [B: tyop_2Enum_2Enum] :
      ( ( A
        = ( c_2Ebinary__ieee_2Enum2float__compare @ B ) )
      & ( c_2Eprim__rec_2E_3C @ B @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebinary__ieee_2Enum2float__compare__ONTO)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Ebinary__ieee_2Efloat__compare] :
      ? [B: tyop_2Enum_2Enum] :
        ( ( A
          = ( c_2Ebinary__ieee_2Enum2float__compare @ B ) )
        & ( c_2Eprim__rec_2E_3C @ B @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(13,plain,(
    ~ ! [A: tyop_2Ebinary__ieee_2Efloat__compare] :
      ? [B: tyop_2Enum_2Enum] :
        ( ( A
          = ( c_2Ebinary__ieee_2Enum2float__compare @ B ) )
        & ( c_2Eprim__rec_2E_3C @ B @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(9,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(41,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(6,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(32,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(12,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(64,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(7,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(35,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(10,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(50,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(3,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(16,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(5,axiom,
    ( ! [A: tyop_2Ebinary__ieee_2Efloat__compare] :
        ( ( c_2Ebinary__ieee_2Enum2float__compare @ ( c_2Ebinary__ieee_2Efloat__compare2num @ A ) )
        = A )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( ^ [B: tyop_2Enum_2Enum] :
              ( c_2Eprim__rec_2E_3C @ B @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) )
          @ A )
        = ( ( c_2Ebinary__ieee_2Efloat__compare2num @ ( c_2Ebinary__ieee_2Enum2float__compare @ A ) )
          = A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebinary__ieee_2Efloat__compare__BIJ)).

thf(26,plain,
    ( ! [A: tyop_2Ebinary__ieee_2Efloat__compare] :
        ( ( c_2Ebinary__ieee_2Enum2float__compare @ ( c_2Ebinary__ieee_2Efloat__compare2num @ A ) )
        = A )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Eprim__rec_2E_3C @ A @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) )
        = ( ( c_2Ebinary__ieee_2Efloat__compare2num @ ( c_2Ebinary__ieee_2Enum2float__compare @ A ) )
          = A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(11,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(55,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(73,plain,(
    $false ),
    inference(iprover,[status(thm)],[25,38,13,41,32,64,35,50,16,26,55])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.07/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.07/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.07/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.07/0.13  % CPULimit   : 300
% 0.07/0.13  % DateTime   : Wed Jul 31 08:14:39 EDT 2019
% 0.07/0.13  % CPUTime    : 
% 2.66/1.31  % [INFO] 	 Running in sequential loop mode. 
% 3.61/1.49  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.95/1.55  % [INFO] 	 iprover registered as external prover. 
% 3.95/1.55  % [INFO] 	 e registered as external prover. 
% 3.95/1.56  % [INFO] 	 cvc4 registered as external prover. 
% 3.95/1.56  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.95/1.61  % [INFO] 	 Found a conjecture and 10 axioms. Running axiom selection ... 
% 4.34/1.64  % [INFO] 	 Axiom selection finished. Selected 10 axioms (removed 0 axioms). 
% 4.34/1.67  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.88/2.18  % [INFO] 	 Killing All external provers ... 
% 5.88/2.18  % Time passed: 1921ms
% 5.88/2.18  % Effective reasoning time: 860ms
% 5.88/2.18  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 5.88/2.18  % Axioms used in derivation (10): logicdef_2E_3D, thm_2Ebool_2EEQ__CLAUSES, logicdef_2E_5C_2F, quantdef_2E_21, thm_2Ebool_2ETRUTH, thm_2Ebinary__ieee_2Efloat__compare__BIJ, logicdef_2E_3D_3D_3E, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 5.88/2.18  % No. of inferences in proof: 24
% 5.88/2.18  % No. of processed clauses: 1
% 5.88/2.18  % No. of generated clauses: 0
% 5.88/2.18  % No. of forward subsumed clauses: 0
% 5.88/2.18  % No. of backward subsumed clauses: 0
% 5.88/2.18  % No. of ground rewrite rules in store: 1
% 5.88/2.18  % No. of non-ground rewrite rules in store: 0
% 5.88/2.18  % No. of positive (non-rewrite) units in store: 0
% 5.88/2.18  % No. of negative (non-rewrite) units in store: 0
% 5.88/2.18  % No. of choice functions detected: 0
% 5.88/2.18  % No. of choice instantiations: 0
% 5.88/2.18  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 1921 ms resp. 860 ms w/o parsing
% 6.22/2.21  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.22/2.21  thf(tyop_2Ebinary__ieee_2Efloat__compare_type, type, tyop_2Ebinary__ieee_2Efloat__compare: $tType).
% 6.22/2.21  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.22/2.21  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 6.22/2.21  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.22/2.21  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 6.22/2.21  thf(c_2Eprim__rec_2E_3C_type, type, c_2Eprim__rec_2E_3C: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > $o))).
% 6.22/2.21  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 6.22/2.21  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 6.22/2.21  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.22/2.21  thf(c_2Earithmetic_2EBIT1_type, type, c_2Earithmetic_2EBIT1: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 6.22/2.21  thf(c_2Earithmetic_2EBIT2_type, type, c_2Earithmetic_2EBIT2: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 6.22/2.21  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 6.22/2.21  thf(c_2Earithmetic_2ENUMERAL_type, type, c_2Earithmetic_2ENUMERAL: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 6.22/2.21  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 6.22/2.21  thf(c_2Earithmetic_2EZERO_type, type, c_2Earithmetic_2EZERO: tyop_2Enum_2Enum).
% 6.22/2.21  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 6.22/2.21  thf(c_2Ebinary__ieee_2Efloat__compare2num_type, type, c_2Ebinary__ieee_2Efloat__compare2num: (tyop_2Ebinary__ieee_2Efloat__compare > tyop_2Enum_2Enum)).
% 6.22/2.21  thf(c_2Ebinary__ieee_2Enum2float__compare_type, type, c_2Ebinary__ieee_2Enum2float__compare: (tyop_2Enum_2Enum > tyop_2Ebinary__ieee_2Efloat__compare)).
% 6.22/2.21  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 6.22/2.21  thf(4,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 6.22/2.21  thf(25,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.22/2.21  thf(8,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 6.22/2.21  thf(38,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 6.22/2.21  thf(1,conjecture,((! [A:tyop_2Ebinary__ieee_2Efloat__compare]: ? [B:tyop_2Enum_2Enum]: ((A = (c_2Ebinary__ieee_2Enum2float__compare @ B)) & (c_2Eprim__rec_2E_3C @ B @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebinary__ieee_2Enum2float__compare__ONTO)).
% 6.22/2.21  thf(2,negated_conjecture,((~ (! [A:tyop_2Ebinary__ieee_2Efloat__compare]: ? [B:tyop_2Enum_2Enum]: ((A = (c_2Ebinary__ieee_2Enum2float__compare @ B)) & (c_2Eprim__rec_2E_3C @ B @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO)))))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.22/2.21  thf(13,plain,((~ (! [A:tyop_2Ebinary__ieee_2Efloat__compare]: ? [B:tyop_2Enum_2Enum]: ((A = (c_2Ebinary__ieee_2Enum2float__compare @ B)) & (c_2Eprim__rec_2E_3C @ B @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.22/2.21  thf(9,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 6.22/2.21  thf(41,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 6.22/2.21  thf(6,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 6.22/2.21  thf(32,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 6.22/2.21  thf(12,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 6.22/2.21  thf(64,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 6.22/2.21  thf(7,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).
% 6.22/2.21  thf(35,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 6.22/2.21  thf(10,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 6.22/2.21  thf(50,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 6.22/2.21  thf(3,axiom,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).
% 6.22/2.21  thf(16,plain,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.22/2.21  thf(5,axiom,((! [A:tyop_2Ebinary__ieee_2Efloat__compare]: ((c_2Ebinary__ieee_2Enum2float__compare @ (c_2Ebinary__ieee_2Efloat__compare2num @ A)) = A) & ! [A:tyop_2Enum_2Enum]: ((^ [B:tyop_2Enum_2Enum]: (c_2Eprim__rec_2E_3C @ B @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO)))) @ A) = ((c_2Ebinary__ieee_2Efloat__compare2num @ (c_2Ebinary__ieee_2Enum2float__compare @ A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebinary__ieee_2Efloat__compare__BIJ)).
% 6.22/2.21  thf(26,plain,((! [A:tyop_2Ebinary__ieee_2Efloat__compare]: ((c_2Ebinary__ieee_2Enum2float__compare @ (c_2Ebinary__ieee_2Efloat__compare2num @ A)) = A) & ! [A:tyop_2Enum_2Enum]: ((c_2Eprim__rec_2E_3C @ A @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO)))) = ((c_2Ebinary__ieee_2Efloat__compare2num @ (c_2Ebinary__ieee_2Enum2float__compare @ A)) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.22/2.21  thf(11,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 6.22/2.21  thf(55,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 6.22/2.21  thf(73,plain,($false),inference(iprover,[status(thm)],[25,38,13,41,32,64,35,50,16,26,55])).
% 6.22/2.21  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.22/2.21  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
