%------------------------------------------------------------------------------
% Axioms transformation by autotheo
% Orienting (remaining) axiom formulas using strategy Equiv(ClausalAll)
% Orienting axioms whose shape is orientable
fof(thm_2Ebool_2EEQ__SYM__EQ,axiom,(
    ! [A_27a,V0x_2E0,V1y_2E0] :
      ( s(A_27a,V0x_2E0) = s(A_27a,V1y_2E0)
    <=> s(A_27a,V1y_2E0) = s(A_27a,V0x_2E0) ) ),
    input).

fof(thm_2Ebool_2EEQ__SYM__EQ_0,plain,(
    ! [A_27a,V0x_2E0,V1y_2E0] :
      ( s(A_27a,V0x_2E0) = s(A_27a,V1y_2E0)
      | s(A_27a,V1y_2E0) != s(A_27a,V0x_2E0) ) ),
    inference(orientation,[status(thm)],[thm_2Ebool_2EEQ__SYM__EQ])).

fof(thm_2Ebool_2EEQ__SYM__EQ_1,plain,(
    ! [A_27a,V0x_2E0,V1y_2E0] :
      ( s(A_27a,V0x_2E0) != s(A_27a,V1y_2E0)
      | s(A_27a,V1y_2E0) = s(A_27a,V0x_2E0) ) ),
    inference(orientation,[status(thm)],[thm_2Ebool_2EEQ__SYM__EQ])).

fof(thm_2Ebinary__ieee_2Efloat__compare2num__11,axiom,(
    ! [V0a_2E0,V1a_27_2E0] :
      ( s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,V0a_2E0))) = s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,V1a_27_2E0)))
    <=> s(tyop_2Ebinary__ieee_2Efloat__compare,V0a_2E0) = s(tyop_2Ebinary__ieee_2Efloat__compare,V1a_27_2E0) ) ),
    input).

fof(thm_2Ebinary__ieee_2Efloat__compare2num__11_0,plain,(
    ! [V0a_2E0,V1a_27_2E0] :
      ( s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,V0a_2E0))) = s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,V1a_27_2E0)))
      | s(tyop_2Ebinary__ieee_2Efloat__compare,V0a_2E0) != s(tyop_2Ebinary__ieee_2Efloat__compare,V1a_27_2E0) ) ),
    inference(orientation,[status(thm)],[thm_2Ebinary__ieee_2Efloat__compare2num__11])).

fof(thm_2Ebinary__ieee_2Efloat__compare2num__11_1,plain,(
    ! [V0a_2E0,V1a_27_2E0] :
      ( s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,V0a_2E0))) != s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,V1a_27_2E0)))
      | s(tyop_2Ebinary__ieee_2Efloat__compare,V0a_2E0) = s(tyop_2Ebinary__ieee_2Efloat__compare,V1a_27_2E0) ) ),
    inference(orientation,[status(thm)],[thm_2Ebinary__ieee_2Efloat__compare2num__11])).

fof(arityeq1_2Ec_2Ebinary__ieee_2Efloat__compare2num_2E1,axiom,(
    ! [X0_2E0] : s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,X0_2E0))) = s(tyop_2Enum_2Enum,app_2E2(s(tyop_2Emin_2Efun(tyop_2Ebinary__ieee_2Efloat__compare,tyop_2Enum_2Enum),c_2Ebinary__ieee_2Efloat__compare2num_2E0),s(tyop_2Ebinary__ieee_2Efloat__compare,X0_2E0))) ),
    input).

fof(arityeq1_2Ec_2Ebinary__ieee_2Efloat__compare2num_2E1_0,plain,(
    ! [X0_2E0] :
      ( s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,X0_2E0))) = s(tyop_2Enum_2Enum,app_2E2(s(tyop_2Emin_2Efun(tyop_2Ebinary__ieee_2Efloat__compare,tyop_2Enum_2Enum),c_2Ebinary__ieee_2Efloat__compare2num_2E0),s(tyop_2Ebinary__ieee_2Efloat__compare,X0_2E0)))
      | $false ) ),
    inference(orientation,[status(thm)],[arityeq1_2Ec_2Ebinary__ieee_2Efloat__compare2num_2E1])).

fof(quantdef_2E_3F,axiom,(
    ! [A_27a,V0f_2E0] :
      ( p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_3F_2E1(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Ebool),V0f_2E0))))
    <=> ? [V1x_2E0] : p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Ebool),V0f_2E0),s(A_27a,V1x_2E0)))) ) ),
    input).

fof(quantdef_2E_3F_0,plain,(
    ! [A_27a,V0f_2E0] :
      ( p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_3F_2E1(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Ebool),V0f_2E0))))
      | ~ ? [V1x_2E0] : p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Ebool),V0f_2E0),s(A_27a,V1x_2E0)))) ) ),
    inference(orientation,[status(thm)],[quantdef_2E_3F])).

fof(quantdef_2E_3F_1,plain,(
    ! [A_27a,V0f_2E0] :
      ( ~ p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_3F_2E1(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Ebool),V0f_2E0))))
      | ? [V1x_2E0] : p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Ebool),V0f_2E0),s(A_27a,V1x_2E0)))) ) ),
    inference(orientation,[status(thm)],[quantdef_2E_3F])).

fof(quantdef_2E_21,axiom,(
    ! [A_27a,V0f_2E0] :
      ( p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_21_2E1(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Ebool),V0f_2E0))))
    <=> ! [V1x_2E0] : p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Ebool),V0f_2E0),s(A_27a,V1x_2E0)))) ) ),
    input).

fof(quantdef_2E_21_0,plain,(
    ! [A_27a,V0f_2E0] :
      ( p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_21_2E1(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Ebool),V0f_2E0))))
      | ~ ! [V1x_2E0] : p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Ebool),V0f_2E0),s(A_27a,V1x_2E0)))) ) ),
    inference(orientation,[status(thm)],[quantdef_2E_21])).

fof(quantdef_2E_21_1,plain,(
    ! [A_27a,V0f_2E0] :
      ( ~ p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_21_2E1(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Ebool),V0f_2E0))))
      | ! [V1x_2E0] : p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Ebool),V0f_2E0),s(A_27a,V1x_2E0)))) ) ),
    inference(orientation,[status(thm)],[quantdef_2E_21])).

fof(logicdef_2E_3D,axiom,(
    ! [A_27a,V0_2E0,V1_2E0] :
      ( p(s(tyop_2Emin_2Ebool,c_2Emin_2E_3D_2E2(s(A_27a,V0_2E0),s(A_27a,V1_2E0))))
    <=> s(A_27a,V0_2E0) = s(A_27a,V1_2E0) ) ),
    input).

fof(logicdef_2E_3D_0,plain,(
    ! [A_27a,V0_2E0,V1_2E0] :
      ( p(s(tyop_2Emin_2Ebool,c_2Emin_2E_3D_2E2(s(A_27a,V0_2E0),s(A_27a,V1_2E0))))
      | s(A_27a,V0_2E0) != s(A_27a,V1_2E0) ) ),
    inference(orientation,[status(thm)],[logicdef_2E_3D])).

fof(logicdef_2E_3D_1,plain,(
    ! [A_27a,V0_2E0,V1_2E0] :
      ( ~ p(s(tyop_2Emin_2Ebool,c_2Emin_2E_3D_2E2(s(A_27a,V0_2E0),s(A_27a,V1_2E0))))
      | s(A_27a,V0_2E0) = s(A_27a,V1_2E0) ) ),
    inference(orientation,[status(thm)],[logicdef_2E_3D])).

fof(logicdef_2E_3D_3D_3E,axiom,(
    ! [V0_2E0,V1_2E0] :
      ( p(s(tyop_2Emin_2Ebool,c_2Emin_2E_3D_3D_3E_2E2(s(tyop_2Emin_2Ebool,V0_2E0),s(tyop_2Emin_2Ebool,V1_2E0))))
    <=> ( p(s(tyop_2Emin_2Ebool,V0_2E0))
       => p(s(tyop_2Emin_2Ebool,V1_2E0)) ) ) ),
    input).

fof(logicdef_2E_3D_3D_3E_0,plain,(
    ! [V0_2E0,V1_2E0] :
      ( p(s(tyop_2Emin_2Ebool,c_2Emin_2E_3D_3D_3E_2E2(s(tyop_2Emin_2Ebool,V0_2E0),s(tyop_2Emin_2Ebool,V1_2E0))))
      | ~ ( p(s(tyop_2Emin_2Ebool,V0_2E0))
         => p(s(tyop_2Emin_2Ebool,V1_2E0)) ) ) ),
    inference(orientation,[status(thm)],[logicdef_2E_3D_3D_3E])).

fof(logicdef_2E_3D_3D_3E_1,plain,(
    ! [V0_2E0,V1_2E0] :
      ( ~ p(s(tyop_2Emin_2Ebool,c_2Emin_2E_3D_3D_3E_2E2(s(tyop_2Emin_2Ebool,V0_2E0),s(tyop_2Emin_2Ebool,V1_2E0))))
      | ( p(s(tyop_2Emin_2Ebool,V0_2E0))
       => p(s(tyop_2Emin_2Ebool,V1_2E0)) ) ) ),
    inference(orientation,[status(thm)],[logicdef_2E_3D_3D_3E])).

fof(logicdef_2E_7E,axiom,(
    ! [V0_2E0] :
      ( p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_7E_2E1(s(tyop_2Emin_2Ebool,V0_2E0))))
    <=> ~ p(s(tyop_2Emin_2Ebool,V0_2E0)) ) ),
    input).

fof(logicdef_2E_7E_0,plain,(
    ! [V0_2E0] :
      ( p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_7E_2E1(s(tyop_2Emin_2Ebool,V0_2E0))))
      | p(s(tyop_2Emin_2Ebool,V0_2E0)) ) ),
    inference(orientation,[status(thm)],[logicdef_2E_7E])).

fof(logicdef_2E_7E_1,plain,(
    ! [V0_2E0] :
      ( ~ p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_7E_2E1(s(tyop_2Emin_2Ebool,V0_2E0))))
      | ~ p(s(tyop_2Emin_2Ebool,V0_2E0)) ) ),
    inference(orientation,[status(thm)],[logicdef_2E_7E])).

fof(logicdef_2E_5C_2F,axiom,(
    ! [V0_2E0,V1_2E0] :
      ( p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_5C_2F_2E2(s(tyop_2Emin_2Ebool,V0_2E0),s(tyop_2Emin_2Ebool,V1_2E0))))
    <=> ( p(s(tyop_2Emin_2Ebool,V0_2E0))
        | p(s(tyop_2Emin_2Ebool,V1_2E0)) ) ) ),
    input).

fof(logicdef_2E_5C_2F_0,plain,(
    ! [V0_2E0,V1_2E0] :
      ( p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_5C_2F_2E2(s(tyop_2Emin_2Ebool,V0_2E0),s(tyop_2Emin_2Ebool,V1_2E0))))
      | ~ ( p(s(tyop_2Emin_2Ebool,V0_2E0))
          | p(s(tyop_2Emin_2Ebool,V1_2E0)) ) ) ),
    inference(orientation,[status(thm)],[logicdef_2E_5C_2F])).

fof(logicdef_2E_5C_2F_1,plain,(
    ! [V0_2E0,V1_2E0] :
      ( ~ p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_5C_2F_2E2(s(tyop_2Emin_2Ebool,V0_2E0),s(tyop_2Emin_2Ebool,V1_2E0))))
      | p(s(tyop_2Emin_2Ebool,V0_2E0))
      | p(s(tyop_2Emin_2Ebool,V1_2E0)) ) ),
    inference(orientation,[status(thm)],[logicdef_2E_5C_2F])).

fof(logicdef_2E_2F_5C,axiom,(
    ! [V0_2E0,V1_2E0] :
      ( p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_2F_5C_2E2(s(tyop_2Emin_2Ebool,V0_2E0),s(tyop_2Emin_2Ebool,V1_2E0))))
    <=> ( p(s(tyop_2Emin_2Ebool,V0_2E0))
        & p(s(tyop_2Emin_2Ebool,V1_2E0)) ) ) ),
    input).

fof(logicdef_2E_2F_5C_0,plain,(
    ! [V0_2E0,V1_2E0] :
      ( p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_2F_5C_2E2(s(tyop_2Emin_2Ebool,V0_2E0),s(tyop_2Emin_2Ebool,V1_2E0))))
      | ~ ( p(s(tyop_2Emin_2Ebool,V0_2E0))
          & p(s(tyop_2Emin_2Ebool,V1_2E0)) ) ) ),
    inference(orientation,[status(thm)],[logicdef_2E_2F_5C])).

fof(logicdef_2E_2F_5C_1,plain,(
    ! [V0_2E0,V1_2E0] :
      ( ~ p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_2F_5C_2E2(s(tyop_2Emin_2Ebool,V0_2E0),s(tyop_2Emin_2Ebool,V1_2E0))))
      | ( p(s(tyop_2Emin_2Ebool,V0_2E0))
        & p(s(tyop_2Emin_2Ebool,V1_2E0)) ) ) ),
    inference(orientation,[status(thm)],[logicdef_2E_2F_5C])).

fof(thm_2Eextra_2Dho_2Es__thm,axiom,(
    ! [A_27a,A_27b,A_27c,V0f_2E0,V1g_2E0,V2x_2E0] : s(A_27c,app_2E2(s(tyop_2Emin_2Efun(A_27a,A_27c),app_2E2(s(tyop_2Emin_2Efun(tyop_2Emin_2Efun(A_27a,A_27b),tyop_2Emin_2Efun(A_27a,A_27c)),app_2E2(s(tyop_2Emin_2Efun(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Efun(A_27b,A_27c)),tyop_2Emin_2Efun(tyop_2Emin_2Efun(A_27a,A_27b),tyop_2Emin_2Efun(A_27a,A_27c))),combin_s_2E0),s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Efun(A_27b,A_27c)),V0f_2E0))),s(tyop_2Emin_2Efun(A_27a,A_27b),V1g_2E0))),s(A_27a,V2x_2E0))) = s(A_27c,app_2E2(s(tyop_2Emin_2Efun(A_27b,A_27c),app_2E2(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Efun(A_27b,A_27c)),V0f_2E0),s(A_27a,V2x_2E0))),s(A_27b,app_2E2(s(tyop_2Emin_2Efun(A_27a,A_27b),V1g_2E0),s(A_27a,V2x_2E0))))) ),
    input).

fof(thm_2Eextra_2Dho_2Es__thm_0,plain,(
    ! [A_27a,A_27b,A_27c,V0f_2E0,V1g_2E0,V2x_2E0] :
      ( s(A_27c,app_2E2(s(tyop_2Emin_2Efun(A_27a,A_27c),app_2E2(s(tyop_2Emin_2Efun(tyop_2Emin_2Efun(A_27a,A_27b),tyop_2Emin_2Efun(A_27a,A_27c)),app_2E2(s(tyop_2Emin_2Efun(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Efun(A_27b,A_27c)),tyop_2Emin_2Efun(tyop_2Emin_2Efun(A_27a,A_27b),tyop_2Emin_2Efun(A_27a,A_27c))),combin_s_2E0),s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Efun(A_27b,A_27c)),V0f_2E0))),s(tyop_2Emin_2Efun(A_27a,A_27b),V1g_2E0))),s(A_27a,V2x_2E0))) = s(A_27c,app_2E2(s(tyop_2Emin_2Efun(A_27b,A_27c),app_2E2(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Efun(A_27b,A_27c)),V0f_2E0),s(A_27a,V2x_2E0))),s(A_27b,app_2E2(s(tyop_2Emin_2Efun(A_27a,A_27b),V1g_2E0),s(A_27a,V2x_2E0)))))
      | $false ) ),
    inference(orientation,[status(thm)],[thm_2Eextra_2Dho_2Es__thm])).

fof(thm_2Eextra_2Dho_2Ek__thm,axiom,(
    ! [A_27a,A_27b,V0x_2E0,V1y_2E0] : s(A_27a,app_2E2(s(tyop_2Emin_2Efun(A_27b,A_27a),app_2E2(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Efun(A_27b,A_27a)),combin_k_2E0),s(A_27a,V0x_2E0))),s(A_27b,V1y_2E0))) = s(A_27a,V0x_2E0) ),
    input).

fof(thm_2Eextra_2Dho_2Ek__thm_0,plain,(
    ! [A_27a,A_27b,V0x_2E0,V1y_2E0] :
      ( s(A_27a,app_2E2(s(tyop_2Emin_2Efun(A_27b,A_27a),app_2E2(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Efun(A_27b,A_27a)),combin_k_2E0),s(A_27a,V0x_2E0))),s(A_27b,V1y_2E0))) = s(A_27a,V0x_2E0)
      | $false ) ),
    inference(orientation,[status(thm)],[thm_2Eextra_2Dho_2Ek__thm])).

fof(thm_2Eextra_2Dho_2Ei__thm,axiom,(
    ! [A_27a,V0x_2E0] : s(A_27a,app_2E2(s(tyop_2Emin_2Efun(A_27a,A_27a),combin_i_2E0),s(A_27a,V0x_2E0))) = s(A_27a,V0x_2E0) ),
    input).

fof(thm_2Eextra_2Dho_2Ei__thm_0,plain,(
    ! [A_27a,V0x_2E0] :
      ( s(A_27a,app_2E2(s(tyop_2Emin_2Efun(A_27a,A_27a),combin_i_2E0),s(A_27a,V0x_2E0))) = s(A_27a,V0x_2E0)
      | $false ) ),
    inference(orientation,[status(thm)],[thm_2Eextra_2Dho_2Ei__thm])).

fof(thm_2Eextra_2Dho_2Enotfalse,axiom,(
    ~ p(s(tyop_2Emin_2Ebool,c_2Ebool_2EF_2E0)) ),
    input).

fof(thm_2Eextra_2Dho_2Enotfalse_0,plain,
    ( ~ p(s(tyop_2Emin_2Ebool,c_2Ebool_2EF_2E0))
    | $false ),
    inference(orientation,[status(thm)],[thm_2Eextra_2Dho_2Enotfalse])).

fof(thm_2Eextra_2Dho_2Etruth,axiom,(
    p(s(tyop_2Emin_2Ebool,c_2Ebool_2ET_2E0)) ),
    input).

fof(thm_2Eextra_2Dho_2Etruth_0,plain,
    ( p(s(tyop_2Emin_2Ebool,c_2Ebool_2ET_2E0))
    | $false ),
    inference(orientation,[status(thm)],[thm_2Eextra_2Dho_2Etruth])).

fof(thm_2Eextra_2Dho_2Eboolext,axiom,(
    ! [V0_2E0,V1_2E0] :
      ( ( p(s(tyop_2Emin_2Ebool,V0_2E0))
      <=> p(s(tyop_2Emin_2Ebool,V1_2E0)) )
     => s(tyop_2Emin_2Ebool,V0_2E0) = s(tyop_2Emin_2Ebool,V1_2E0) ) ),
    input).

fof(thm_2Eextra_2Dho_2Eboolext_0,plain,(
    ! [V0_2E0,V1_2E0] :
      ( s(tyop_2Emin_2Ebool,V0_2E0) = s(tyop_2Emin_2Ebool,V1_2E0)
      | ~ ( p(s(tyop_2Emin_2Ebool,V0_2E0))
        <=> p(s(tyop_2Emin_2Ebool,V1_2E0)) ) ) ),
    inference(orientation,[status(thm)],[thm_2Eextra_2Dho_2Eboolext])).

fof(thm_2Eextra_2Dho_2Eeq__ext,axiom,(
    ! [A_27a,A_27b,V0f_2E0,V1g_2E0] :
      ( ! [V2x_2E0] : s(A_27b,app_2E2(s(tyop_2Emin_2Efun(A_27a,A_27b),V0f_2E0),s(A_27a,V2x_2E0))) = s(A_27b,app_2E2(s(tyop_2Emin_2Efun(A_27a,A_27b),V1g_2E0),s(A_27a,V2x_2E0)))
     => s(tyop_2Emin_2Efun(A_27a,A_27b),V0f_2E0) = s(tyop_2Emin_2Efun(A_27a,A_27b),V1g_2E0) ) ),
    input).

fof(thm_2Eextra_2Dho_2Eeq__ext_0,plain,(
    ! [A_27a,A_27b,V0f_2E0,V1g_2E0] :
      ( s(tyop_2Emin_2Efun(A_27a,A_27b),V0f_2E0) = s(tyop_2Emin_2Efun(A_27a,A_27b),V1g_2E0)
      | ~ ! [V2x_2E0] : s(A_27b,app_2E2(s(tyop_2Emin_2Efun(A_27a,A_27b),V0f_2E0),s(A_27a,V2x_2E0))) = s(A_27b,app_2E2(s(tyop_2Emin_2Efun(A_27a,A_27b),V1g_2E0),s(A_27a,V2x_2E0))) ) ),
    inference(orientation,[status(thm)],[thm_2Eextra_2Dho_2Eeq__ext])).

fof(def_lhs_atom1,axiom,(
    ! [V1g_2E0,V0f_2E0,A_27b,A_27a] :
      ( lhs_atom1(V1g_2E0,V0f_2E0,A_27b,A_27a)
    <=> s(tyop_2Emin_2Efun(A_27a,A_27b),V0f_2E0) = s(tyop_2Emin_2Efun(A_27a,A_27b),V1g_2E0) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_0,plain,(
    ! [A_27a,A_27b,V0f_2E0,V1g_2E0] :
      ( lhs_atom1(V1g_2E0,V0f_2E0,A_27b,A_27a)
      | ~ ! [V2x_2E0] : s(A_27b,app_2E2(s(tyop_2Emin_2Efun(A_27a,A_27b),V0f_2E0),s(A_27a,V2x_2E0))) = s(A_27b,app_2E2(s(tyop_2Emin_2Efun(A_27a,A_27b),V1g_2E0),s(A_27a,V2x_2E0))) ) ),
    inference(fold_definition,[status(thm)],[thm_2Eextra_2Dho_2Eeq__ext_0,def_lhs_atom1])).

fof(def_lhs_atom2,axiom,(
    ! [V1_2E0,V0_2E0] :
      ( lhs_atom2(V1_2E0,V0_2E0)
    <=> s(tyop_2Emin_2Ebool,V0_2E0) = s(tyop_2Emin_2Ebool,V1_2E0) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_1,plain,(
    ! [V0_2E0,V1_2E0] :
      ( lhs_atom2(V1_2E0,V0_2E0)
      | ~ ( p(s(tyop_2Emin_2Ebool,V0_2E0))
        <=> p(s(tyop_2Emin_2Ebool,V1_2E0)) ) ) ),
    inference(fold_definition,[status(thm)],[thm_2Eextra_2Dho_2Eboolext_0,def_lhs_atom2])).

fof(def_lhs_atom3,axiom,
    ( lhs_atom3
  <=> p(s(tyop_2Emin_2Ebool,c_2Ebool_2ET_2E0)) ),
    inference(definition,[],[])).

fof(to_be_clausified_2,plain,
    ( lhs_atom3
    | $false ),
    inference(fold_definition,[status(thm)],[thm_2Eextra_2Dho_2Etruth_0,def_lhs_atom3])).

fof(def_lhs_atom4,axiom,
    ( lhs_atom4
  <=> ~ p(s(tyop_2Emin_2Ebool,c_2Ebool_2EF_2E0)) ),
    inference(definition,[],[])).

fof(to_be_clausified_3,plain,
    ( lhs_atom4
    | $false ),
    inference(fold_definition,[status(thm)],[thm_2Eextra_2Dho_2Enotfalse_0,def_lhs_atom4])).

fof(def_lhs_atom5,axiom,(
    ! [V0x_2E0,A_27a] :
      ( lhs_atom5(V0x_2E0,A_27a)
    <=> s(A_27a,app_2E2(s(tyop_2Emin_2Efun(A_27a,A_27a),combin_i_2E0),s(A_27a,V0x_2E0))) = s(A_27a,V0x_2E0) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_4,plain,(
    ! [A_27a,V0x_2E0] :
      ( lhs_atom5(V0x_2E0,A_27a)
      | $false ) ),
    inference(fold_definition,[status(thm)],[thm_2Eextra_2Dho_2Ei__thm_0,def_lhs_atom5])).

fof(def_lhs_atom6,axiom,(
    ! [V1y_2E0,V0x_2E0,A_27b,A_27a] :
      ( lhs_atom6(V1y_2E0,V0x_2E0,A_27b,A_27a)
    <=> s(A_27a,app_2E2(s(tyop_2Emin_2Efun(A_27b,A_27a),app_2E2(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Efun(A_27b,A_27a)),combin_k_2E0),s(A_27a,V0x_2E0))),s(A_27b,V1y_2E0))) = s(A_27a,V0x_2E0) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_5,plain,(
    ! [A_27a,A_27b,V0x_2E0,V1y_2E0] :
      ( lhs_atom6(V1y_2E0,V0x_2E0,A_27b,A_27a)
      | $false ) ),
    inference(fold_definition,[status(thm)],[thm_2Eextra_2Dho_2Ek__thm_0,def_lhs_atom6])).

fof(def_lhs_atom7,axiom,(
    ! [V2x_2E0,V1g_2E0,V0f_2E0,A_27c,A_27b,A_27a] :
      ( lhs_atom7(V2x_2E0,V1g_2E0,V0f_2E0,A_27c,A_27b,A_27a)
    <=> s(A_27c,app_2E2(s(tyop_2Emin_2Efun(A_27a,A_27c),app_2E2(s(tyop_2Emin_2Efun(tyop_2Emin_2Efun(A_27a,A_27b),tyop_2Emin_2Efun(A_27a,A_27c)),app_2E2(s(tyop_2Emin_2Efun(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Efun(A_27b,A_27c)),tyop_2Emin_2Efun(tyop_2Emin_2Efun(A_27a,A_27b),tyop_2Emin_2Efun(A_27a,A_27c))),combin_s_2E0),s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Efun(A_27b,A_27c)),V0f_2E0))),s(tyop_2Emin_2Efun(A_27a,A_27b),V1g_2E0))),s(A_27a,V2x_2E0))) = s(A_27c,app_2E2(s(tyop_2Emin_2Efun(A_27b,A_27c),app_2E2(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Efun(A_27b,A_27c)),V0f_2E0),s(A_27a,V2x_2E0))),s(A_27b,app_2E2(s(tyop_2Emin_2Efun(A_27a,A_27b),V1g_2E0),s(A_27a,V2x_2E0))))) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_6,plain,(
    ! [A_27a,A_27b,A_27c,V0f_2E0,V1g_2E0,V2x_2E0] :
      ( lhs_atom7(V2x_2E0,V1g_2E0,V0f_2E0,A_27c,A_27b,A_27a)
      | $false ) ),
    inference(fold_definition,[status(thm)],[thm_2Eextra_2Dho_2Es__thm_0,def_lhs_atom7])).

fof(def_lhs_atom8,axiom,(
    ! [V1_2E0,V0_2E0] :
      ( lhs_atom8(V1_2E0,V0_2E0)
    <=> ~ p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_2F_5C_2E2(s(tyop_2Emin_2Ebool,V0_2E0),s(tyop_2Emin_2Ebool,V1_2E0)))) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_7,plain,(
    ! [V0_2E0,V1_2E0] :
      ( lhs_atom8(V1_2E0,V0_2E0)
      | ( p(s(tyop_2Emin_2Ebool,V0_2E0))
        & p(s(tyop_2Emin_2Ebool,V1_2E0)) ) ) ),
    inference(fold_definition,[status(thm)],[logicdef_2E_2F_5C_1,def_lhs_atom8])).

fof(def_lhs_atom9,axiom,(
    ! [V1_2E0,V0_2E0] :
      ( lhs_atom9(V1_2E0,V0_2E0)
    <=> p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_2F_5C_2E2(s(tyop_2Emin_2Ebool,V0_2E0),s(tyop_2Emin_2Ebool,V1_2E0)))) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_8,plain,(
    ! [V0_2E0,V1_2E0] :
      ( lhs_atom9(V1_2E0,V0_2E0)
      | ~ ( p(s(tyop_2Emin_2Ebool,V0_2E0))
          & p(s(tyop_2Emin_2Ebool,V1_2E0)) ) ) ),
    inference(fold_definition,[status(thm)],[logicdef_2E_2F_5C_0,def_lhs_atom9])).

fof(def_lhs_atom10,axiom,(
    ! [V1_2E0,V0_2E0] :
      ( lhs_atom10(V1_2E0,V0_2E0)
    <=> ~ p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_5C_2F_2E2(s(tyop_2Emin_2Ebool,V0_2E0),s(tyop_2Emin_2Ebool,V1_2E0)))) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_9,plain,(
    ! [V0_2E0,V1_2E0] :
      ( lhs_atom10(V1_2E0,V0_2E0)
      | p(s(tyop_2Emin_2Ebool,V0_2E0))
      | p(s(tyop_2Emin_2Ebool,V1_2E0)) ) ),
    inference(fold_definition,[status(thm)],[logicdef_2E_5C_2F_1,def_lhs_atom10])).

fof(def_lhs_atom11,axiom,(
    ! [V1_2E0,V0_2E0] :
      ( lhs_atom11(V1_2E0,V0_2E0)
    <=> p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_5C_2F_2E2(s(tyop_2Emin_2Ebool,V0_2E0),s(tyop_2Emin_2Ebool,V1_2E0)))) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_10,plain,(
    ! [V0_2E0,V1_2E0] :
      ( lhs_atom11(V1_2E0,V0_2E0)
      | ~ ( p(s(tyop_2Emin_2Ebool,V0_2E0))
          | p(s(tyop_2Emin_2Ebool,V1_2E0)) ) ) ),
    inference(fold_definition,[status(thm)],[logicdef_2E_5C_2F_0,def_lhs_atom11])).

fof(def_lhs_atom12,axiom,(
    ! [V0_2E0] :
      ( lhs_atom12(V0_2E0)
    <=> ~ p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_7E_2E1(s(tyop_2Emin_2Ebool,V0_2E0)))) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_11,plain,(
    ! [V0_2E0] :
      ( lhs_atom12(V0_2E0)
      | ~ p(s(tyop_2Emin_2Ebool,V0_2E0)) ) ),
    inference(fold_definition,[status(thm)],[logicdef_2E_7E_1,def_lhs_atom12])).

fof(def_lhs_atom13,axiom,(
    ! [V0_2E0] :
      ( lhs_atom13(V0_2E0)
    <=> p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_7E_2E1(s(tyop_2Emin_2Ebool,V0_2E0)))) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_12,plain,(
    ! [V0_2E0] :
      ( lhs_atom13(V0_2E0)
      | p(s(tyop_2Emin_2Ebool,V0_2E0)) ) ),
    inference(fold_definition,[status(thm)],[logicdef_2E_7E_0,def_lhs_atom13])).

fof(def_lhs_atom14,axiom,(
    ! [V1_2E0,V0_2E0] :
      ( lhs_atom14(V1_2E0,V0_2E0)
    <=> ~ p(s(tyop_2Emin_2Ebool,c_2Emin_2E_3D_3D_3E_2E2(s(tyop_2Emin_2Ebool,V0_2E0),s(tyop_2Emin_2Ebool,V1_2E0)))) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_13,plain,(
    ! [V0_2E0,V1_2E0] :
      ( lhs_atom14(V1_2E0,V0_2E0)
      | ( p(s(tyop_2Emin_2Ebool,V0_2E0))
       => p(s(tyop_2Emin_2Ebool,V1_2E0)) ) ) ),
    inference(fold_definition,[status(thm)],[logicdef_2E_3D_3D_3E_1,def_lhs_atom14])).

fof(def_lhs_atom15,axiom,(
    ! [V1_2E0,V0_2E0] :
      ( lhs_atom15(V1_2E0,V0_2E0)
    <=> p(s(tyop_2Emin_2Ebool,c_2Emin_2E_3D_3D_3E_2E2(s(tyop_2Emin_2Ebool,V0_2E0),s(tyop_2Emin_2Ebool,V1_2E0)))) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_14,plain,(
    ! [V0_2E0,V1_2E0] :
      ( lhs_atom15(V1_2E0,V0_2E0)
      | ~ ( p(s(tyop_2Emin_2Ebool,V0_2E0))
         => p(s(tyop_2Emin_2Ebool,V1_2E0)) ) ) ),
    inference(fold_definition,[status(thm)],[logicdef_2E_3D_3D_3E_0,def_lhs_atom15])).

fof(def_lhs_atom16,axiom,(
    ! [V1_2E0,V0_2E0,A_27a] :
      ( lhs_atom16(V1_2E0,V0_2E0,A_27a)
    <=> ~ p(s(tyop_2Emin_2Ebool,c_2Emin_2E_3D_2E2(s(A_27a,V0_2E0),s(A_27a,V1_2E0)))) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_15,plain,(
    ! [A_27a,V0_2E0,V1_2E0] :
      ( lhs_atom16(V1_2E0,V0_2E0,A_27a)
      | s(A_27a,V0_2E0) = s(A_27a,V1_2E0) ) ),
    inference(fold_definition,[status(thm)],[logicdef_2E_3D_1,def_lhs_atom16])).

fof(def_lhs_atom17,axiom,(
    ! [V1_2E0,V0_2E0,A_27a] :
      ( lhs_atom17(V1_2E0,V0_2E0,A_27a)
    <=> p(s(tyop_2Emin_2Ebool,c_2Emin_2E_3D_2E2(s(A_27a,V0_2E0),s(A_27a,V1_2E0)))) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_16,plain,(
    ! [A_27a,V0_2E0,V1_2E0] :
      ( lhs_atom17(V1_2E0,V0_2E0,A_27a)
      | s(A_27a,V0_2E0) != s(A_27a,V1_2E0) ) ),
    inference(fold_definition,[status(thm)],[logicdef_2E_3D_0,def_lhs_atom17])).

fof(def_lhs_atom18,axiom,(
    ! [V0f_2E0,A_27a] :
      ( lhs_atom18(V0f_2E0,A_27a)
    <=> ~ p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_21_2E1(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Ebool),V0f_2E0)))) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_17,plain,(
    ! [A_27a,V0f_2E0] :
      ( lhs_atom18(V0f_2E0,A_27a)
      | ! [V1x_2E0] : p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Ebool),V0f_2E0),s(A_27a,V1x_2E0)))) ) ),
    inference(fold_definition,[status(thm)],[quantdef_2E_21_1,def_lhs_atom18])).

fof(def_lhs_atom19,axiom,(
    ! [V0f_2E0,A_27a] :
      ( lhs_atom19(V0f_2E0,A_27a)
    <=> p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_21_2E1(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Ebool),V0f_2E0)))) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_18,plain,(
    ! [A_27a,V0f_2E0] :
      ( lhs_atom19(V0f_2E0,A_27a)
      | ~ ! [V1x_2E0] : p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Ebool),V0f_2E0),s(A_27a,V1x_2E0)))) ) ),
    inference(fold_definition,[status(thm)],[quantdef_2E_21_0,def_lhs_atom19])).

fof(def_lhs_atom20,axiom,(
    ! [V0f_2E0,A_27a] :
      ( lhs_atom20(V0f_2E0,A_27a)
    <=> ~ p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_3F_2E1(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Ebool),V0f_2E0)))) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_19,plain,(
    ! [A_27a,V0f_2E0] :
      ( lhs_atom20(V0f_2E0,A_27a)
      | ? [V1x_2E0] : p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Ebool),V0f_2E0),s(A_27a,V1x_2E0)))) ) ),
    inference(fold_definition,[status(thm)],[quantdef_2E_3F_1,def_lhs_atom20])).

fof(def_lhs_atom21,axiom,(
    ! [V0f_2E0,A_27a] :
      ( lhs_atom21(V0f_2E0,A_27a)
    <=> p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_3F_2E1(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Ebool),V0f_2E0)))) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_20,plain,(
    ! [A_27a,V0f_2E0] :
      ( lhs_atom21(V0f_2E0,A_27a)
      | ~ ? [V1x_2E0] : p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(A_27a,tyop_2Emin_2Ebool),V0f_2E0),s(A_27a,V1x_2E0)))) ) ),
    inference(fold_definition,[status(thm)],[quantdef_2E_3F_0,def_lhs_atom21])).

fof(def_lhs_atom22,axiom,(
    ! [X0_2E0] :
      ( lhs_atom22(X0_2E0)
    <=> s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,X0_2E0))) = s(tyop_2Enum_2Enum,app_2E2(s(tyop_2Emin_2Efun(tyop_2Ebinary__ieee_2Efloat__compare,tyop_2Enum_2Enum),c_2Ebinary__ieee_2Efloat__compare2num_2E0),s(tyop_2Ebinary__ieee_2Efloat__compare,X0_2E0))) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_21,plain,(
    ! [X0_2E0] :
      ( lhs_atom22(X0_2E0)
      | $false ) ),
    inference(fold_definition,[status(thm)],[arityeq1_2Ec_2Ebinary__ieee_2Efloat__compare2num_2E1_0,def_lhs_atom22])).

fof(def_lhs_atom23,axiom,(
    ! [V1a_27_2E0,V0a_2E0] :
      ( lhs_atom23(V1a_27_2E0,V0a_2E0)
    <=> s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,V0a_2E0))) != s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,V1a_27_2E0))) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_22,plain,(
    ! [V0a_2E0,V1a_27_2E0] :
      ( lhs_atom23(V1a_27_2E0,V0a_2E0)
      | s(tyop_2Ebinary__ieee_2Efloat__compare,V0a_2E0) = s(tyop_2Ebinary__ieee_2Efloat__compare,V1a_27_2E0) ) ),
    inference(fold_definition,[status(thm)],[thm_2Ebinary__ieee_2Efloat__compare2num__11_1,def_lhs_atom23])).

fof(def_lhs_atom24,axiom,(
    ! [V1a_27_2E0,V0a_2E0] :
      ( lhs_atom24(V1a_27_2E0,V0a_2E0)
    <=> s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,V0a_2E0))) = s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,V1a_27_2E0))) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_23,plain,(
    ! [V0a_2E0,V1a_27_2E0] :
      ( lhs_atom24(V1a_27_2E0,V0a_2E0)
      | s(tyop_2Ebinary__ieee_2Efloat__compare,V0a_2E0) != s(tyop_2Ebinary__ieee_2Efloat__compare,V1a_27_2E0) ) ),
    inference(fold_definition,[status(thm)],[thm_2Ebinary__ieee_2Efloat__compare2num__11_0,def_lhs_atom24])).

fof(def_lhs_atom25,axiom,(
    ! [V1y_2E0,V0x_2E0,A_27a] :
      ( lhs_atom25(V1y_2E0,V0x_2E0,A_27a)
    <=> s(A_27a,V0x_2E0) != s(A_27a,V1y_2E0) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_24,plain,(
    ! [A_27a,V0x_2E0,V1y_2E0] :
      ( lhs_atom25(V1y_2E0,V0x_2E0,A_27a)
      | s(A_27a,V1y_2E0) = s(A_27a,V0x_2E0) ) ),
    inference(fold_definition,[status(thm)],[thm_2Ebool_2EEQ__SYM__EQ_1,def_lhs_atom25])).

fof(def_lhs_atom26,axiom,(
    ! [V1y_2E0,V0x_2E0,A_27a] :
      ( lhs_atom26(V1y_2E0,V0x_2E0,A_27a)
    <=> s(A_27a,V0x_2E0) = s(A_27a,V1y_2E0) ) ),
    inference(definition,[],[])).

fof(to_be_clausified_25,plain,(
    ! [A_27a,V0x_2E0,V1y_2E0] :
      ( lhs_atom26(V1y_2E0,V0x_2E0,A_27a)
      | s(A_27a,V1y_2E0) != s(A_27a,V0x_2E0) ) ),
    inference(fold_definition,[status(thm)],[thm_2Ebool_2EEQ__SYM__EQ_0,def_lhs_atom26])).

% Start CNF derivation
fof(c_0_0,axiom,(
    ! [X1,X2,X3,X4] :
      ( lhs_atom1(X1,X2,X3,X4)
      | ~ ! [X5] : s(X3,app_2E2(s(tyop_2Emin_2Efun(X4,X3),X2),s(X4,X5))) = s(X3,app_2E2(s(tyop_2Emin_2Efun(X4,X3),X1),s(X4,X5))) ) ),
    file('<stdin>',to_be_clausified_0)).

fof(c_0_1,axiom,(
    ! [X5,X1,X2,X10,X3,X4] :
      ( lhs_atom7(X5,X1,X2,X10,X3,X4)
      | ~ $true ) ),
    file('<stdin>',to_be_clausified_6)).

fof(c_0_2,axiom,(
    ! [X2,X4] :
      ( lhs_atom19(X2,X4)
      | ~ ! [X11] : p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X4,tyop_2Emin_2Ebool),X2),s(X4,X11)))) ) ),
    file('<stdin>',to_be_clausified_18)).

fof(c_0_3,axiom,(
    ! [X2,X4] :
      ( lhs_atom21(X2,X4)
      | ~ ? [X11] : p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X4,tyop_2Emin_2Ebool),X2),s(X4,X11)))) ) ),
    file('<stdin>',to_be_clausified_20)).

fof(c_0_4,axiom,(
    ! [X2,X4] :
      ( lhs_atom20(X2,X4)
      | ? [X11] : p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X4,tyop_2Emin_2Ebool),X2),s(X4,X11)))) ) ),
    file('<stdin>',to_be_clausified_19)).

fof(c_0_5,axiom,(
    ! [X2,X4] :
      ( lhs_atom18(X2,X4)
      | ! [X11] : p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X4,tyop_2Emin_2Ebool),X2),s(X4,X11)))) ) ),
    file('<stdin>',to_be_clausified_17)).

fof(c_0_6,axiom,(
    ! [X9,X8,X3,X4] :
      ( lhs_atom6(X9,X8,X3,X4)
      | ~ $true ) ),
    file('<stdin>',to_be_clausified_5)).

fof(c_0_7,axiom,(
    ! [X6,X7] :
      ( lhs_atom9(X6,X7)
      | ~ ( p(s(tyop_2Emin_2Ebool,X7))
          & p(s(tyop_2Emin_2Ebool,X6)) ) ) ),
    file('<stdin>',to_be_clausified_8)).

fof(c_0_8,axiom,(
    ! [X6,X7] :
      ( lhs_atom2(X6,X7)
      | ~ ( p(s(tyop_2Emin_2Ebool,X7))
        <=> p(s(tyop_2Emin_2Ebool,X6)) ) ) ),
    file('<stdin>',to_be_clausified_1)).

fof(c_0_9,axiom,(
    ! [X9,X8,X4] :
      ( lhs_atom26(X9,X8,X4)
      | s(X4,X9) != s(X4,X8) ) ),
    file('<stdin>',to_be_clausified_25)).

fof(c_0_10,axiom,(
    ! [X6,X7,X4] :
      ( lhs_atom17(X6,X7,X4)
      | s(X4,X7) != s(X4,X6) ) ),
    file('<stdin>',to_be_clausified_16)).

fof(c_0_11,axiom,(
    ! [X6,X7] :
      ( lhs_atom14(X6,X7)
      | ( p(s(tyop_2Emin_2Ebool,X7))
       => p(s(tyop_2Emin_2Ebool,X6)) ) ) ),
    file('<stdin>',to_be_clausified_13)).

fof(c_0_12,axiom,(
    ! [X9,X8,X4] :
      ( lhs_atom25(X9,X8,X4)
      | s(X4,X9) = s(X4,X8) ) ),
    file('<stdin>',to_be_clausified_24)).

fof(c_0_13,axiom,(
    ! [X6,X7,X4] :
      ( lhs_atom16(X6,X7,X4)
      | s(X4,X7) = s(X4,X6) ) ),
    file('<stdin>',to_be_clausified_15)).

fof(c_0_14,axiom,(
    ! [X6,X7] :
      ( lhs_atom10(X6,X7)
      | p(s(tyop_2Emin_2Ebool,X7))
      | p(s(tyop_2Emin_2Ebool,X6)) ) ),
    file('<stdin>',to_be_clausified_9)).

fof(c_0_15,axiom,(
    ! [X6,X7] :
      ( lhs_atom15(X6,X7)
      | ~ ( p(s(tyop_2Emin_2Ebool,X7))
         => p(s(tyop_2Emin_2Ebool,X6)) ) ) ),
    file('<stdin>',to_be_clausified_14)).

fof(c_0_16,axiom,(
    ! [X6,X7] :
      ( lhs_atom11(X6,X7)
      | ~ ( p(s(tyop_2Emin_2Ebool,X7))
          | p(s(tyop_2Emin_2Ebool,X6)) ) ) ),
    file('<stdin>',to_be_clausified_10)).

fof(c_0_17,axiom,(
    ! [X13,X14] :
      ( lhs_atom24(X13,X14)
      | s(tyop_2Ebinary__ieee_2Efloat__compare,X14) != s(tyop_2Ebinary__ieee_2Efloat__compare,X13) ) ),
    file('<stdin>',to_be_clausified_23)).

fof(c_0_18,axiom,(
    ! [X7] :
      ( lhs_atom12(X7)
      | ~ p(s(tyop_2Emin_2Ebool,X7)) ) ),
    file('<stdin>',to_be_clausified_11)).

fof(c_0_19,axiom,(
    ! [X6,X7] :
      ( lhs_atom8(X6,X7)
      | ( p(s(tyop_2Emin_2Ebool,X7))
        & p(s(tyop_2Emin_2Ebool,X6)) ) ) ),
    file('<stdin>',to_be_clausified_7)).

fof(c_0_20,axiom,(
    ! [X13,X14] :
      ( lhs_atom23(X13,X14)
      | s(tyop_2Ebinary__ieee_2Efloat__compare,X14) = s(tyop_2Ebinary__ieee_2Efloat__compare,X13) ) ),
    file('<stdin>',to_be_clausified_22)).

fof(c_0_21,axiom,(
    ! [X7] :
      ( lhs_atom13(X7)
      | p(s(tyop_2Emin_2Ebool,X7)) ) ),
    file('<stdin>',to_be_clausified_12)).

fof(c_0_22,axiom,(
    ! [X8,X4] :
      ( lhs_atom5(X8,X4)
      | ~ $true ) ),
    file('<stdin>',to_be_clausified_4)).

fof(c_0_23,axiom,(
    ! [X12] :
      ( lhs_atom22(X12)
      | ~ $true ) ),
    file('<stdin>',to_be_clausified_21)).

fof(c_0_24,axiom,
    ( lhs_atom4
    | ~ $true ),
    file('<stdin>',to_be_clausified_3)).

fof(c_0_25,axiom,
    ( lhs_atom3
    | ~ $true ),
    file('<stdin>',to_be_clausified_2)).

fof(c_0_26,axiom,(
    ! [X1,X2,X3,X4] :
      ( lhs_atom1(X1,X2,X3,X4)
      | ~ ! [X5] : s(X3,app_2E2(s(tyop_2Emin_2Efun(X4,X3),X2),s(X4,X5))) = s(X3,app_2E2(s(tyop_2Emin_2Efun(X4,X3),X1),s(X4,X5))) ) ),
    c_0_0).

fof(c_0_27,plain,(
    ! [X5,X1,X2,X10,X3,X4] : lhs_atom7(X5,X1,X2,X10,X3,X4) ),
    inference(fof_simplification,[status(thm)],[c_0_1])).

fof(c_0_28,axiom,(
    ! [X2,X4] :
      ( lhs_atom19(X2,X4)
      | ~ ! [X11] : p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X4,tyop_2Emin_2Ebool),X2),s(X4,X11)))) ) ),
    c_0_2).

fof(c_0_29,axiom,(
    ! [X2,X4] :
      ( lhs_atom21(X2,X4)
      | ~ ? [X11] : p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X4,tyop_2Emin_2Ebool),X2),s(X4,X11)))) ) ),
    c_0_3).

fof(c_0_30,axiom,(
    ! [X2,X4] :
      ( lhs_atom20(X2,X4)
      | ? [X11] : p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X4,tyop_2Emin_2Ebool),X2),s(X4,X11)))) ) ),
    c_0_4).

fof(c_0_31,axiom,(
    ! [X2,X4] :
      ( lhs_atom18(X2,X4)
      | ! [X11] : p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X4,tyop_2Emin_2Ebool),X2),s(X4,X11)))) ) ),
    c_0_5).

fof(c_0_32,plain,(
    ! [X9,X8,X3,X4] : lhs_atom6(X9,X8,X3,X4) ),
    inference(fof_simplification,[status(thm)],[c_0_6])).

fof(c_0_33,axiom,(
    ! [X6,X7] :
      ( lhs_atom9(X6,X7)
      | ~ ( p(s(tyop_2Emin_2Ebool,X7))
          & p(s(tyop_2Emin_2Ebool,X6)) ) ) ),
    c_0_7).

fof(c_0_34,axiom,(
    ! [X6,X7] :
      ( lhs_atom2(X6,X7)
      | ~ ( p(s(tyop_2Emin_2Ebool,X7))
        <=> p(s(tyop_2Emin_2Ebool,X6)) ) ) ),
    c_0_8).

fof(c_0_35,plain,(
    ! [X9,X8,X4] :
      ( lhs_atom26(X9,X8,X4)
      | s(X4,X9) != s(X4,X8) ) ),
    inference(fof_simplification,[status(thm)],[c_0_9])).

fof(c_0_36,plain,(
    ! [X6,X7,X4] :
      ( lhs_atom17(X6,X7,X4)
      | s(X4,X7) != s(X4,X6) ) ),
    inference(fof_simplification,[status(thm)],[c_0_10])).

fof(c_0_37,axiom,(
    ! [X6,X7] :
      ( lhs_atom14(X6,X7)
      | ( p(s(tyop_2Emin_2Ebool,X7))
       => p(s(tyop_2Emin_2Ebool,X6)) ) ) ),
    c_0_11).

fof(c_0_38,axiom,(
    ! [X9,X8,X4] :
      ( lhs_atom25(X9,X8,X4)
      | s(X4,X9) = s(X4,X8) ) ),
    c_0_12).

fof(c_0_39,axiom,(
    ! [X6,X7,X4] :
      ( lhs_atom16(X6,X7,X4)
      | s(X4,X7) = s(X4,X6) ) ),
    c_0_13).

fof(c_0_40,axiom,(
    ! [X6,X7] :
      ( lhs_atom10(X6,X7)
      | p(s(tyop_2Emin_2Ebool,X7))
      | p(s(tyop_2Emin_2Ebool,X6)) ) ),
    c_0_14).

fof(c_0_41,axiom,(
    ! [X6,X7] :
      ( lhs_atom15(X6,X7)
      | ~ ( p(s(tyop_2Emin_2Ebool,X7))
         => p(s(tyop_2Emin_2Ebool,X6)) ) ) ),
    c_0_15).

fof(c_0_42,axiom,(
    ! [X6,X7] :
      ( lhs_atom11(X6,X7)
      | ~ ( p(s(tyop_2Emin_2Ebool,X7))
          | p(s(tyop_2Emin_2Ebool,X6)) ) ) ),
    c_0_16).

fof(c_0_43,plain,(
    ! [X13,X14] :
      ( lhs_atom24(X13,X14)
      | s(tyop_2Ebinary__ieee_2Efloat__compare,X14) != s(tyop_2Ebinary__ieee_2Efloat__compare,X13) ) ),
    inference(fof_simplification,[status(thm)],[c_0_17])).

fof(c_0_44,plain,(
    ! [X7] :
      ( lhs_atom12(X7)
      | ~ p(s(tyop_2Emin_2Ebool,X7)) ) ),
    inference(fof_simplification,[status(thm)],[c_0_18])).

fof(c_0_45,axiom,(
    ! [X6,X7] :
      ( lhs_atom8(X6,X7)
      | ( p(s(tyop_2Emin_2Ebool,X7))
        & p(s(tyop_2Emin_2Ebool,X6)) ) ) ),
    c_0_19).

fof(c_0_46,axiom,(
    ! [X13,X14] :
      ( lhs_atom23(X13,X14)
      | s(tyop_2Ebinary__ieee_2Efloat__compare,X14) = s(tyop_2Ebinary__ieee_2Efloat__compare,X13) ) ),
    c_0_20).

fof(c_0_47,axiom,(
    ! [X7] :
      ( lhs_atom13(X7)
      | p(s(tyop_2Emin_2Ebool,X7)) ) ),
    c_0_21).

fof(c_0_48,plain,(
    ! [X8,X4] : lhs_atom5(X8,X4) ),
    inference(fof_simplification,[status(thm)],[c_0_22])).

fof(c_0_49,plain,(
    ! [X12] : lhs_atom22(X12) ),
    inference(fof_simplification,[status(thm)],[c_0_23])).

fof(c_0_50,plain,(
    lhs_atom4 ),
    inference(fof_simplification,[status(thm)],[c_0_24])).

fof(c_0_51,plain,(
    lhs_atom3 ),
    inference(fof_simplification,[status(thm)],[c_0_25])).

fof(c_0_52,plain,(
    ! [X6,X7,X8,X9] :
      ( lhs_atom1(X6,X7,X8,X9)
      | s(X8,app_2E2(s(tyop_2Emin_2Efun(X9,X8),X7),s(X9,esk1_4(X6,X7,X8,X9)))) != s(X8,app_2E2(s(tyop_2Emin_2Efun(X9,X8),X6),s(X9,esk1_4(X6,X7,X8,X9)))) ) ),
    inference(skolemize,[status(esa)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_26])])])).

fof(c_0_53,plain,(
    ! [X11,X12,X13,X14,X15,X16] : lhs_atom7(X11,X12,X13,X14,X15,X16) ),
    inference(variable_rename,[status(thm)],[c_0_27])).

fof(c_0_54,plain,(
    ! [X12,X13] :
      ( lhs_atom19(X12,X13)
      | ~ p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X13,tyop_2Emin_2Ebool),X12),s(X13,esk2_2(X12,X13))))) ) ),
    inference(skolemize,[status(esa)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_28])])])).

fof(c_0_55,plain,(
    ! [X12,X13,X14] :
      ( lhs_atom21(X12,X13)
      | ~ p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X13,tyop_2Emin_2Ebool),X12),s(X13,X14)))) ) ),
    inference(shift_quantors,[status(thm)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_29])])])).

fof(c_0_56,plain,(
    ! [X12,X13] :
      ( lhs_atom20(X12,X13)
      | p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X13,tyop_2Emin_2Ebool),X12),s(X13,esk3_2(X12,X13))))) ) ),
    inference(skolemize,[status(esa)],[inference(variable_rename,[status(thm)],[c_0_30])])).

fof(c_0_57,plain,(
    ! [X12,X13,X14] :
      ( lhs_atom18(X12,X13)
      | p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X13,tyop_2Emin_2Ebool),X12),s(X13,X14)))) ) ),
    inference(shift_quantors,[status(thm)],[inference(variable_rename,[status(thm)],[c_0_31])])).

fof(c_0_58,plain,(
    ! [X10,X11,X12,X13] : lhs_atom6(X10,X11,X12,X13) ),
    inference(variable_rename,[status(thm)],[c_0_32])).

fof(c_0_59,plain,(
    ! [X8,X9] :
      ( lhs_atom9(X8,X9)
      | ~ p(s(tyop_2Emin_2Ebool,X9))
      | ~ p(s(tyop_2Emin_2Ebool,X8)) ) ),
    inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_33])])).

fof(c_0_60,plain,(
    ! [X8,X9] :
      ( ( ~ p(s(tyop_2Emin_2Ebool,X9))
        | ~ p(s(tyop_2Emin_2Ebool,X8))
        | lhs_atom2(X8,X9) )
      & ( p(s(tyop_2Emin_2Ebool,X9))
        | p(s(tyop_2Emin_2Ebool,X8))
        | lhs_atom2(X8,X9) ) ) ),
    inference(distribute,[status(thm)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_34])])])).

fof(c_0_61,plain,(
    ! [X10,X11,X12] :
      ( lhs_atom26(X10,X11,X12)
      | s(X12,X10) != s(X12,X11) ) ),
    inference(variable_rename,[status(thm)],[c_0_35])).

fof(c_0_62,plain,(
    ! [X8,X9,X10] :
      ( lhs_atom17(X8,X9,X10)
      | s(X10,X9) != s(X10,X8) ) ),
    inference(variable_rename,[status(thm)],[c_0_36])).

fof(c_0_63,plain,(
    ! [X8,X9] :
      ( lhs_atom14(X8,X9)
      | ~ p(s(tyop_2Emin_2Ebool,X9))
      | p(s(tyop_2Emin_2Ebool,X8)) ) ),
    inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_37])])).

fof(c_0_64,plain,(
    ! [X10,X11,X12] :
      ( lhs_atom25(X10,X11,X12)
      | s(X12,X10) = s(X12,X11) ) ),
    inference(variable_rename,[status(thm)],[c_0_38])).

fof(c_0_65,plain,(
    ! [X8,X9,X10] :
      ( lhs_atom16(X8,X9,X10)
      | s(X10,X9) = s(X10,X8) ) ),
    inference(variable_rename,[status(thm)],[c_0_39])).

fof(c_0_66,plain,(
    ! [X8,X9] :
      ( lhs_atom10(X8,X9)
      | p(s(tyop_2Emin_2Ebool,X9))
      | p(s(tyop_2Emin_2Ebool,X8)) ) ),
    inference(variable_rename,[status(thm)],[c_0_40])).

fof(c_0_67,plain,(
    ! [X8,X9] :
      ( ( p(s(tyop_2Emin_2Ebool,X9))
        | lhs_atom15(X8,X9) )
      & ( ~ p(s(tyop_2Emin_2Ebool,X8))
        | lhs_atom15(X8,X9) ) ) ),
    inference(distribute,[status(thm)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_41])])])).

fof(c_0_68,plain,(
    ! [X8,X9] :
      ( ( ~ p(s(tyop_2Emin_2Ebool,X9))
        | lhs_atom11(X8,X9) )
      & ( ~ p(s(tyop_2Emin_2Ebool,X8))
        | lhs_atom11(X8,X9) ) ) ),
    inference(distribute,[status(thm)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_42])])])).

fof(c_0_69,plain,(
    ! [X15,X16] :
      ( lhs_atom24(X15,X16)
      | s(tyop_2Ebinary__ieee_2Efloat__compare,X16) != s(tyop_2Ebinary__ieee_2Efloat__compare,X15) ) ),
    inference(variable_rename,[status(thm)],[c_0_43])).

fof(c_0_70,plain,(
    ! [X8] :
      ( lhs_atom12(X8)
      | ~ p(s(tyop_2Emin_2Ebool,X8)) ) ),
    inference(variable_rename,[status(thm)],[c_0_44])).

fof(c_0_71,plain,(
    ! [X8,X9] :
      ( ( p(s(tyop_2Emin_2Ebool,X9))
        | lhs_atom8(X8,X9) )
      & ( p(s(tyop_2Emin_2Ebool,X8))
        | lhs_atom8(X8,X9) ) ) ),
    inference(distribute,[status(thm)],[inference(variable_rename,[status(thm)],[c_0_45])])).

fof(c_0_72,plain,(
    ! [X15,X16] :
      ( lhs_atom23(X15,X16)
      | s(tyop_2Ebinary__ieee_2Efloat__compare,X16) = s(tyop_2Ebinary__ieee_2Efloat__compare,X15) ) ),
    inference(variable_rename,[status(thm)],[c_0_46])).

fof(c_0_73,plain,(
    ! [X8] :
      ( lhs_atom13(X8)
      | p(s(tyop_2Emin_2Ebool,X8)) ) ),
    inference(variable_rename,[status(thm)],[c_0_47])).

fof(c_0_74,plain,(
    ! [X9,X10] : lhs_atom5(X9,X10) ),
    inference(variable_rename,[status(thm)],[c_0_48])).

fof(c_0_75,plain,(
    ! [X13] : lhs_atom22(X13) ),
    inference(variable_rename,[status(thm)],[c_0_49])).

fof(c_0_76,plain,(
    lhs_atom4 ),
    c_0_50).

fof(c_0_77,plain,(
    lhs_atom3 ),
    c_0_51).

cnf(c_0_78,plain,
    ( lhs_atom1(X4,X3,X1,X2)
    | s(X1,app_2E2(s(tyop_2Emin_2Efun(X2,X1),X3),s(X2,esk1_4(X4,X3,X1,X2)))) != s(X1,app_2E2(s(tyop_2Emin_2Efun(X2,X1),X4),s(X2,esk1_4(X4,X3,X1,X2)))) ),
    inference(split_conjunct,[status(thm)],[c_0_52])).

cnf(c_0_79,plain,
    ( lhs_atom7(X1,X2,X3,X4,X5,X6) ),
    inference(split_conjunct,[status(thm)],[c_0_53])).

cnf(c_0_80,plain,
    ( lhs_atom19(X2,X1)
    | ~ p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X1,tyop_2Emin_2Ebool),X2),s(X1,esk2_2(X2,X1))))) ),
    inference(split_conjunct,[status(thm)],[c_0_54])).

cnf(c_0_81,plain,
    ( lhs_atom21(X2,X1)
    | ~ p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X1,tyop_2Emin_2Ebool),X2),s(X1,X3)))) ),
    inference(split_conjunct,[status(thm)],[c_0_55])).

cnf(c_0_82,plain,
    ( p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X1,tyop_2Emin_2Ebool),X2),s(X1,esk3_2(X2,X1)))))
    | lhs_atom20(X2,X1) ),
    inference(split_conjunct,[status(thm)],[c_0_56])).

cnf(c_0_83,plain,
    ( p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X1,tyop_2Emin_2Ebool),X2),s(X1,X3))))
    | lhs_atom18(X2,X1) ),
    inference(split_conjunct,[status(thm)],[c_0_57])).

cnf(c_0_84,plain,
    ( lhs_atom6(X1,X2,X3,X4) ),
    inference(split_conjunct,[status(thm)],[c_0_58])).

cnf(c_0_85,plain,
    ( lhs_atom9(X1,X2)
    | ~ p(s(tyop_2Emin_2Ebool,X1))
    | ~ p(s(tyop_2Emin_2Ebool,X2)) ),
    inference(split_conjunct,[status(thm)],[c_0_59])).

cnf(c_0_86,plain,
    ( lhs_atom2(X1,X2)
    | ~ p(s(tyop_2Emin_2Ebool,X1))
    | ~ p(s(tyop_2Emin_2Ebool,X2)) ),
    inference(split_conjunct,[status(thm)],[c_0_60])).

cnf(c_0_87,plain,
    ( lhs_atom26(X2,X3,X1)
    | s(X1,X2) != s(X1,X3) ),
    inference(split_conjunct,[status(thm)],[c_0_61])).

cnf(c_0_88,plain,
    ( lhs_atom17(X3,X2,X1)
    | s(X1,X2) != s(X1,X3) ),
    inference(split_conjunct,[status(thm)],[c_0_62])).

cnf(c_0_89,plain,
    ( p(s(tyop_2Emin_2Ebool,X1))
    | lhs_atom14(X1,X2)
    | ~ p(s(tyop_2Emin_2Ebool,X2)) ),
    inference(split_conjunct,[status(thm)],[c_0_63])).

cnf(c_0_90,plain,
    ( s(X1,X2) = s(X1,X3)
    | lhs_atom25(X2,X3,X1) ),
    inference(split_conjunct,[status(thm)],[c_0_64])).

cnf(c_0_91,plain,
    ( s(X1,X2) = s(X1,X3)
    | lhs_atom16(X3,X2,X1) ),
    inference(split_conjunct,[status(thm)],[c_0_65])).

cnf(c_0_92,plain,
    ( p(s(tyop_2Emin_2Ebool,X1))
    | p(s(tyop_2Emin_2Ebool,X2))
    | lhs_atom10(X1,X2) ),
    inference(split_conjunct,[status(thm)],[c_0_66])).

cnf(c_0_93,plain,
    ( lhs_atom2(X1,X2)
    | p(s(tyop_2Emin_2Ebool,X1))
    | p(s(tyop_2Emin_2Ebool,X2)) ),
    inference(split_conjunct,[status(thm)],[c_0_60])).

cnf(c_0_94,plain,
    ( lhs_atom15(X1,X2)
    | ~ p(s(tyop_2Emin_2Ebool,X1)) ),
    inference(split_conjunct,[status(thm)],[c_0_67])).

cnf(c_0_95,plain,
    ( lhs_atom11(X1,X2)
    | ~ p(s(tyop_2Emin_2Ebool,X2)) ),
    inference(split_conjunct,[status(thm)],[c_0_68])).

cnf(c_0_96,plain,
    ( lhs_atom11(X1,X2)
    | ~ p(s(tyop_2Emin_2Ebool,X1)) ),
    inference(split_conjunct,[status(thm)],[c_0_68])).

cnf(c_0_97,plain,
    ( lhs_atom24(X2,X1)
    | s(tyop_2Ebinary__ieee_2Efloat__compare,X1) != s(tyop_2Ebinary__ieee_2Efloat__compare,X2) ),
    inference(split_conjunct,[status(thm)],[c_0_69])).

cnf(c_0_98,plain,
    ( lhs_atom12(X1)
    | ~ p(s(tyop_2Emin_2Ebool,X1)) ),
    inference(split_conjunct,[status(thm)],[c_0_70])).

cnf(c_0_99,plain,
    ( lhs_atom15(X1,X2)
    | p(s(tyop_2Emin_2Ebool,X2)) ),
    inference(split_conjunct,[status(thm)],[c_0_67])).

cnf(c_0_100,plain,
    ( lhs_atom8(X1,X2)
    | p(s(tyop_2Emin_2Ebool,X2)) ),
    inference(split_conjunct,[status(thm)],[c_0_71])).

cnf(c_0_101,plain,
    ( lhs_atom8(X1,X2)
    | p(s(tyop_2Emin_2Ebool,X1)) ),
    inference(split_conjunct,[status(thm)],[c_0_71])).

cnf(c_0_102,plain,
    ( s(tyop_2Ebinary__ieee_2Efloat__compare,X1) = s(tyop_2Ebinary__ieee_2Efloat__compare,X2)
    | lhs_atom23(X2,X1) ),
    inference(split_conjunct,[status(thm)],[c_0_72])).

cnf(c_0_103,plain,
    ( p(s(tyop_2Emin_2Ebool,X1))
    | lhs_atom13(X1) ),
    inference(split_conjunct,[status(thm)],[c_0_73])).

cnf(c_0_104,plain,
    ( lhs_atom5(X1,X2) ),
    inference(split_conjunct,[status(thm)],[c_0_74])).

cnf(c_0_105,plain,
    ( lhs_atom22(X1) ),
    inference(split_conjunct,[status(thm)],[c_0_75])).

cnf(c_0_106,plain,
    ( lhs_atom4 ),
    inference(split_conjunct,[status(thm)],[c_0_76])).

cnf(c_0_107,plain,
    ( lhs_atom3 ),
    inference(split_conjunct,[status(thm)],[c_0_77])).

cnf(c_0_108,plain,
    ( lhs_atom1(X4,X3,X1,X2)
    | s(X1,app_2E2(s(tyop_2Emin_2Efun(X2,X1),X3),s(X2,esk1_4(X4,X3,X1,X2)))) != s(X1,app_2E2(s(tyop_2Emin_2Efun(X2,X1),X4),s(X2,esk1_4(X4,X3,X1,X2)))) ),
    c_0_78,
    [final]).

cnf(c_0_109,plain,
    ( lhs_atom7(X1,X2,X3,X4,X5,X6) ),
    c_0_79,
    [final]).

cnf(c_0_110,plain,
    ( lhs_atom19(X2,X1)
    | ~ p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X1,tyop_2Emin_2Ebool),X2),s(X1,esk2_2(X2,X1))))) ),
    c_0_80,
    [final]).

cnf(c_0_111,plain,
    ( lhs_atom21(X2,X1)
    | ~ p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X1,tyop_2Emin_2Ebool),X2),s(X1,X3)))) ),
    c_0_81,
    [final]).

cnf(c_0_112,plain,
    ( p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X1,tyop_2Emin_2Ebool),X2),s(X1,esk3_2(X2,X1)))))
    | lhs_atom20(X2,X1) ),
    c_0_82,
    [final]).

cnf(c_0_113,plain,
    ( p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X1,tyop_2Emin_2Ebool),X2),s(X1,X3))))
    | lhs_atom18(X2,X1) ),
    c_0_83,
    [final]).

cnf(c_0_114,plain,
    ( lhs_atom6(X1,X2,X3,X4) ),
    c_0_84,
    [final]).

cnf(c_0_115,plain,
    ( lhs_atom9(X1,X2)
    | ~ p(s(tyop_2Emin_2Ebool,X1))
    | ~ p(s(tyop_2Emin_2Ebool,X2)) ),
    c_0_85,
    [final]).

cnf(c_0_116,plain,
    ( lhs_atom2(X1,X2)
    | ~ p(s(tyop_2Emin_2Ebool,X1))
    | ~ p(s(tyop_2Emin_2Ebool,X2)) ),
    c_0_86,
    [final]).

cnf(c_0_117,plain,
    ( lhs_atom26(X2,X3,X1)
    | s(X1,X2) != s(X1,X3) ),
    c_0_87,
    [final]).

cnf(c_0_118,plain,
    ( lhs_atom17(X3,X2,X1)
    | s(X1,X2) != s(X1,X3) ),
    c_0_88,
    [final]).

cnf(c_0_119,plain,
    ( p(s(tyop_2Emin_2Ebool,X1))
    | lhs_atom14(X1,X2)
    | ~ p(s(tyop_2Emin_2Ebool,X2)) ),
    c_0_89,
    [final]).

cnf(c_0_120,plain,
    ( s(X1,X2) = s(X1,X3)
    | lhs_atom25(X2,X3,X1) ),
    c_0_90,
    [final]).

cnf(c_0_121,plain,
    ( s(X1,X2) = s(X1,X3)
    | lhs_atom16(X3,X2,X1) ),
    c_0_91,
    [final]).

cnf(c_0_122,plain,
    ( p(s(tyop_2Emin_2Ebool,X1))
    | p(s(tyop_2Emin_2Ebool,X2))
    | lhs_atom10(X1,X2) ),
    c_0_92,
    [final]).

cnf(c_0_123,plain,
    ( lhs_atom2(X1,X2)
    | p(s(tyop_2Emin_2Ebool,X1))
    | p(s(tyop_2Emin_2Ebool,X2)) ),
    c_0_93,
    [final]).

cnf(c_0_124,plain,
    ( lhs_atom15(X1,X2)
    | ~ p(s(tyop_2Emin_2Ebool,X1)) ),
    c_0_94,
    [final]).

cnf(c_0_125,plain,
    ( lhs_atom11(X1,X2)
    | ~ p(s(tyop_2Emin_2Ebool,X2)) ),
    c_0_95,
    [final]).

cnf(c_0_126,plain,
    ( lhs_atom11(X1,X2)
    | ~ p(s(tyop_2Emin_2Ebool,X1)) ),
    c_0_96,
    [final]).

cnf(c_0_127,plain,
    ( lhs_atom24(X2,X1)
    | s(tyop_2Ebinary__ieee_2Efloat__compare,X1) != s(tyop_2Ebinary__ieee_2Efloat__compare,X2) ),
    c_0_97,
    [final]).

cnf(c_0_128,plain,
    ( lhs_atom12(X1)
    | ~ p(s(tyop_2Emin_2Ebool,X1)) ),
    c_0_98,
    [final]).

cnf(c_0_129,plain,
    ( lhs_atom15(X1,X2)
    | p(s(tyop_2Emin_2Ebool,X2)) ),
    c_0_99,
    [final]).

cnf(c_0_130,plain,
    ( lhs_atom8(X1,X2)
    | p(s(tyop_2Emin_2Ebool,X2)) ),
    c_0_100,
    [final]).

cnf(c_0_131,plain,
    ( lhs_atom8(X1,X2)
    | p(s(tyop_2Emin_2Ebool,X1)) ),
    c_0_101,
    [final]).

cnf(c_0_132,plain,
    ( s(tyop_2Ebinary__ieee_2Efloat__compare,X1) = s(tyop_2Ebinary__ieee_2Efloat__compare,X2)
    | lhs_atom23(X2,X1) ),
    c_0_102,
    [final]).

cnf(c_0_133,plain,
    ( p(s(tyop_2Emin_2Ebool,X1))
    | lhs_atom13(X1) ),
    c_0_103,
    [final]).

cnf(c_0_134,plain,
    ( lhs_atom5(X1,X2) ),
    c_0_104,
    [final]).

cnf(c_0_135,plain,
    ( lhs_atom22(X1) ),
    c_0_105,
    [final]).

cnf(c_0_136,plain,
    ( lhs_atom4 ),
    c_0_106,
    [final]).

cnf(c_0_137,plain,
    ( lhs_atom3 ),
    c_0_107,
    [final]).

% End CNF derivation
cnf(c_0_108_0,axiom,
    ( s(tyop_2Emin_2Efun(X2,X1),X3) = s(tyop_2Emin_2Efun(X2,X1),X4)
    | s(X1,app_2E2(s(tyop_2Emin_2Efun(X2,X1),X3),s(X2,sk1_esk1_4(X4,X3,X1,X2)))) != s(X1,app_2E2(s(tyop_2Emin_2Efun(X2,X1),X4),s(X2,sk1_esk1_4(X4,X3,X1,X2)))) ),
    inference(unfold_definition,[status(thm)],[c_0_108,def_lhs_atom1])).

cnf(c_0_110_0,axiom,
    ( p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_21_2E1(s(tyop_2Emin_2Efun(X1,tyop_2Emin_2Ebool),X2))))
    | ~ p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X1,tyop_2Emin_2Ebool),X2),s(X1,sk1_esk2_2(X2,X1))))) ),
    inference(unfold_definition,[status(thm)],[c_0_110,def_lhs_atom19])).

cnf(c_0_111_0,axiom,
    ( p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_3F_2E1(s(tyop_2Emin_2Efun(X1,tyop_2Emin_2Ebool),X2))))
    | ~ p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X1,tyop_2Emin_2Ebool),X2),s(X1,X3)))) ),
    inference(unfold_definition,[status(thm)],[c_0_111,def_lhs_atom21])).

cnf(c_0_112_0,axiom,
    ( ~ p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_3F_2E1(s(tyop_2Emin_2Efun(X1,tyop_2Emin_2Ebool),X2))))
    | p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X1,tyop_2Emin_2Ebool),X2),s(X1,sk1_esk3_2(X2,X1))))) ),
    inference(unfold_definition,[status(thm)],[c_0_112,def_lhs_atom20])).

cnf(c_0_113_0,axiom,
    ( ~ p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_21_2E1(s(tyop_2Emin_2Efun(X1,tyop_2Emin_2Ebool),X2))))
    | p(s(tyop_2Emin_2Ebool,app_2E2(s(tyop_2Emin_2Efun(X1,tyop_2Emin_2Ebool),X2),s(X1,X3)))) ),
    inference(unfold_definition,[status(thm)],[c_0_113,def_lhs_atom18])).

cnf(c_0_115_0,axiom,
    ( p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_2F_5C_2E2(s(tyop_2Emin_2Ebool,X2),s(tyop_2Emin_2Ebool,X1))))
    | ~ p(s(tyop_2Emin_2Ebool,X1))
    | ~ p(s(tyop_2Emin_2Ebool,X2)) ),
    inference(unfold_definition,[status(thm)],[c_0_115,def_lhs_atom9])).

cnf(c_0_116_0,axiom,
    ( s(tyop_2Emin_2Ebool,X2) = s(tyop_2Emin_2Ebool,X1)
    | ~ p(s(tyop_2Emin_2Ebool,X1))
    | ~ p(s(tyop_2Emin_2Ebool,X2)) ),
    inference(unfold_definition,[status(thm)],[c_0_116,def_lhs_atom2])).

cnf(c_0_117_0,axiom,
    ( s(X1,X3) = s(X1,X2)
    | s(X1,X2) != s(X1,X3) ),
    inference(unfold_definition,[status(thm)],[c_0_117,def_lhs_atom26])).

cnf(c_0_118_0,axiom,
    ( p(s(tyop_2Emin_2Ebool,c_2Emin_2E_3D_2E2(s(X1,X2),s(X1,X3))))
    | s(X1,X2) != s(X1,X3) ),
    inference(unfold_definition,[status(thm)],[c_0_118,def_lhs_atom17])).

cnf(c_0_119_0,axiom,
    ( ~ p(s(tyop_2Emin_2Ebool,c_2Emin_2E_3D_3D_3E_2E2(s(tyop_2Emin_2Ebool,X2),s(tyop_2Emin_2Ebool,X1))))
    | p(s(tyop_2Emin_2Ebool,X1))
    | ~ p(s(tyop_2Emin_2Ebool,X2)) ),
    inference(unfold_definition,[status(thm)],[c_0_119,def_lhs_atom14])).

cnf(c_0_120_0,axiom,
    ( s(X1,X3) != s(X1,X2)
    | s(X1,X2) = s(X1,X3) ),
    inference(unfold_definition,[status(thm)],[c_0_120,def_lhs_atom25])).

cnf(c_0_121_0,axiom,
    ( ~ p(s(tyop_2Emin_2Ebool,c_2Emin_2E_3D_2E2(s(X1,X2),s(X1,X3))))
    | s(X1,X2) = s(X1,X3) ),
    inference(unfold_definition,[status(thm)],[c_0_121,def_lhs_atom16])).

cnf(c_0_122_0,axiom,
    ( ~ p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_5C_2F_2E2(s(tyop_2Emin_2Ebool,X2),s(tyop_2Emin_2Ebool,X1))))
    | p(s(tyop_2Emin_2Ebool,X1))
    | p(s(tyop_2Emin_2Ebool,X2)) ),
    inference(unfold_definition,[status(thm)],[c_0_122,def_lhs_atom10])).

cnf(c_0_123_0,axiom,
    ( s(tyop_2Emin_2Ebool,X2) = s(tyop_2Emin_2Ebool,X1)
    | p(s(tyop_2Emin_2Ebool,X1))
    | p(s(tyop_2Emin_2Ebool,X2)) ),
    inference(unfold_definition,[status(thm)],[c_0_123,def_lhs_atom2])).

cnf(c_0_124_0,axiom,
    ( p(s(tyop_2Emin_2Ebool,c_2Emin_2E_3D_3D_3E_2E2(s(tyop_2Emin_2Ebool,X2),s(tyop_2Emin_2Ebool,X1))))
    | ~ p(s(tyop_2Emin_2Ebool,X1)) ),
    inference(unfold_definition,[status(thm)],[c_0_124,def_lhs_atom15])).

cnf(c_0_125_0,axiom,
    ( p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_5C_2F_2E2(s(tyop_2Emin_2Ebool,X2),s(tyop_2Emin_2Ebool,X1))))
    | ~ p(s(tyop_2Emin_2Ebool,X2)) ),
    inference(unfold_definition,[status(thm)],[c_0_125,def_lhs_atom11])).

cnf(c_0_126_0,axiom,
    ( p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_5C_2F_2E2(s(tyop_2Emin_2Ebool,X2),s(tyop_2Emin_2Ebool,X1))))
    | ~ p(s(tyop_2Emin_2Ebool,X1)) ),
    inference(unfold_definition,[status(thm)],[c_0_126,def_lhs_atom11])).

cnf(c_0_127_0,axiom,
    ( s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,X1))) = s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,X2)))
    | s(tyop_2Ebinary__ieee_2Efloat__compare,X1) != s(tyop_2Ebinary__ieee_2Efloat__compare,X2) ),
    inference(unfold_definition,[status(thm)],[c_0_127,def_lhs_atom24])).

cnf(c_0_128_0,axiom,
    ( ~ p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_7E_2E1(s(tyop_2Emin_2Ebool,X1))))
    | ~ p(s(tyop_2Emin_2Ebool,X1)) ),
    inference(unfold_definition,[status(thm)],[c_0_128,def_lhs_atom12])).

cnf(c_0_129_0,axiom,
    ( p(s(tyop_2Emin_2Ebool,c_2Emin_2E_3D_3D_3E_2E2(s(tyop_2Emin_2Ebool,X2),s(tyop_2Emin_2Ebool,X1))))
    | p(s(tyop_2Emin_2Ebool,X2)) ),
    inference(unfold_definition,[status(thm)],[c_0_129,def_lhs_atom15])).

cnf(c_0_130_0,axiom,
    ( ~ p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_2F_5C_2E2(s(tyop_2Emin_2Ebool,X2),s(tyop_2Emin_2Ebool,X1))))
    | p(s(tyop_2Emin_2Ebool,X2)) ),
    inference(unfold_definition,[status(thm)],[c_0_130,def_lhs_atom8])).

cnf(c_0_131_0,axiom,
    ( ~ p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_2F_5C_2E2(s(tyop_2Emin_2Ebool,X2),s(tyop_2Emin_2Ebool,X1))))
    | p(s(tyop_2Emin_2Ebool,X1)) ),
    inference(unfold_definition,[status(thm)],[c_0_131,def_lhs_atom8])).

cnf(c_0_132_0,axiom,
    ( s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,X1))) != s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,X2)))
    | s(tyop_2Ebinary__ieee_2Efloat__compare,X1) = s(tyop_2Ebinary__ieee_2Efloat__compare,X2) ),
    inference(unfold_definition,[status(thm)],[c_0_132,def_lhs_atom23])).

cnf(c_0_133_0,axiom,
    ( p(s(tyop_2Emin_2Ebool,c_2Ebool_2E_7E_2E1(s(tyop_2Emin_2Ebool,X1))))
    | p(s(tyop_2Emin_2Ebool,X1)) ),
    inference(unfold_definition,[status(thm)],[c_0_133,def_lhs_atom13])).

cnf(c_0_109_0,axiom,
    ( s(X4,app_2E2(s(tyop_2Emin_2Efun(X6,X4),app_2E2(s(tyop_2Emin_2Efun(tyop_2Emin_2Efun(X6,X5),tyop_2Emin_2Efun(X6,X4)),app_2E2(s(tyop_2Emin_2Efun(tyop_2Emin_2Efun(X6,tyop_2Emin_2Efun(X5,X4)),tyop_2Emin_2Efun(tyop_2Emin_2Efun(X6,X5),tyop_2Emin_2Efun(X6,X4))),combin_s_2E0),s(tyop_2Emin_2Efun(X6,tyop_2Emin_2Efun(X5,X4)),X3))),s(tyop_2Emin_2Efun(X6,X5),X2))),s(X6,X1))) = s(X4,app_2E2(s(tyop_2Emin_2Efun(X5,X4),app_2E2(s(tyop_2Emin_2Efun(X6,tyop_2Emin_2Efun(X5,X4)),X3),s(X6,X1))),s(X5,app_2E2(s(tyop_2Emin_2Efun(X6,X5),X2),s(X6,X1))))) ),
    inference(unfold_definition,[status(thm)],[c_0_109,def_lhs_atom7])).

cnf(c_0_114_0,axiom,
    ( s(X4,app_2E2(s(tyop_2Emin_2Efun(X3,X4),app_2E2(s(tyop_2Emin_2Efun(X4,tyop_2Emin_2Efun(X3,X4)),combin_k_2E0),s(X4,X2))),s(X3,X1))) = s(X4,X2) ),
    inference(unfold_definition,[status(thm)],[c_0_114,def_lhs_atom6])).

cnf(c_0_134_0,axiom,
    ( s(X2,app_2E2(s(tyop_2Emin_2Efun(X2,X2),combin_i_2E0),s(X2,X1))) = s(X2,X1) ),
    inference(unfold_definition,[status(thm)],[c_0_134,def_lhs_atom5])).

cnf(c_0_135_0,axiom,
    ( s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,X1))) = s(tyop_2Enum_2Enum,app_2E2(s(tyop_2Emin_2Efun(tyop_2Ebinary__ieee_2Efloat__compare,tyop_2Enum_2Enum),c_2Ebinary__ieee_2Efloat__compare2num_2E0),s(tyop_2Ebinary__ieee_2Efloat__compare,X1))) ),
    inference(unfold_definition,[status(thm)],[c_0_135,def_lhs_atom22])).

cnf(c_0_136_0,axiom,
    ( ~ p(s(tyop_2Emin_2Ebool,c_2Ebool_2EF_2E0)) ),
    inference(unfold_definition,[status(thm)],[c_0_136,def_lhs_atom4])).

cnf(c_0_137_0,axiom,
    ( p(s(tyop_2Emin_2Ebool,c_2Ebool_2ET_2E0)) ),
    inference(unfold_definition,[status(thm)],[c_0_137,def_lhs_atom3])).

% Orienting (remaining) axiom formulas using strategy ClausalAll
% CNF of (remaining) axioms:
% Start CNF derivation
fof(c_0_0_001,axiom,(
    ! [X1] :
      ( s(tyop_2Emin_2Ebool,X1) = s(tyop_2Emin_2Ebool,c_2Ebool_2ET_2E0)
      | s(tyop_2Emin_2Ebool,X1) = s(tyop_2Emin_2Ebool,c_2Ebool_2EF_2E0) ) ),
    file('<stdin>',thm_2Eextra_2Dho_2Ebool__cases__ax)).

fof(c_0_1_002,axiom,(
    ! [X1] :
      ( s(tyop_2Emin_2Ebool,X1) = s(tyop_2Emin_2Ebool,c_2Ebool_2ET_2E0)
      | s(tyop_2Emin_2Ebool,X1) = s(tyop_2Emin_2Ebool,c_2Ebool_2EF_2E0) ) ),
    c_0_0).

fof(c_0_2_003,plain,(
    ! [X2] :
      ( s(tyop_2Emin_2Ebool,X2) = s(tyop_2Emin_2Ebool,c_2Ebool_2ET_2E0)
      | s(tyop_2Emin_2Ebool,X2) = s(tyop_2Emin_2Ebool,c_2Ebool_2EF_2E0) ) ),
    inference(variable_rename,[status(thm)],[c_0_1])).

cnf(c_0_3_004,plain,
    ( s(tyop_2Emin_2Ebool,X1) = s(tyop_2Emin_2Ebool,c_2Ebool_2EF_2E0)
    | s(tyop_2Emin_2Ebool,X1) = s(tyop_2Emin_2Ebool,c_2Ebool_2ET_2E0) ),
    inference(split_conjunct,[status(thm)],[c_0_2])).

cnf(c_0_4_005,plain,
    ( s(tyop_2Emin_2Ebool,X1) = s(tyop_2Emin_2Ebool,c_2Ebool_2EF_2E0)
    | s(tyop_2Emin_2Ebool,X1) = s(tyop_2Emin_2Ebool,c_2Ebool_2ET_2E0) ),
    c_0_3,
    [final]).

% End CNF derivation
% Generating one_way clauses for all literals in the CNF.
cnf(c_0_4_0,axiom,
    ( s(tyop_2Emin_2Ebool,X1) = s(tyop_2Emin_2Ebool,c_2Ebool_2EF_2E0)
    | s(tyop_2Emin_2Ebool,X1) = s(tyop_2Emin_2Ebool,c_2Ebool_2ET_2E0) ),
    inference(literals_permutation,[status(thm)],[c_0_4])).

cnf(c_0_4_1,axiom,
    ( s(tyop_2Emin_2Ebool,X1) = s(tyop_2Emin_2Ebool,c_2Ebool_2ET_2E0)
    | s(tyop_2Emin_2Ebool,X1) = s(tyop_2Emin_2Ebool,c_2Ebool_2EF_2E0) ),
    inference(literals_permutation,[status(thm)],[c_0_4])).

% CNF of non-axioms
% Start CNF derivation
fof(c_0_0_006,conjecture,(
    ! [X1,X2] :
      ( s(tyop_2Ebinary__ieee_2Efloat__compare,X1) = s(tyop_2Ebinary__ieee_2Efloat__compare,X2)
    <=> s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,X1))) = s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,X2))) ) ),
    file('<stdin>',thm_2Ebinary__ieee_2Efloat__compare__EQ__float__compare)).

fof(c_0_1_007,negated_conjecture,(
    ~ ! [X1,X2] :
        ( s(tyop_2Ebinary__ieee_2Efloat__compare,X1) = s(tyop_2Ebinary__ieee_2Efloat__compare,X2)
      <=> s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,X1))) = s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,X2))) ) ),
    inference(assume_negation,[status(cth)],[c_0_0])).

fof(c_0_2_008,negated_conjecture,
    ( ( s(tyop_2Ebinary__ieee_2Efloat__compare,esk1_0) != s(tyop_2Ebinary__ieee_2Efloat__compare,esk2_0)
      | s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,esk1_0))) != s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,esk2_0))) )
    & ( s(tyop_2Ebinary__ieee_2Efloat__compare,esk1_0) = s(tyop_2Ebinary__ieee_2Efloat__compare,esk2_0)
      | s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,esk1_0))) = s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,esk2_0))) ) ),
    inference(skolemize,[status(esa)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_1])])])).

cnf(c_0_3_009,negated_conjecture,
    ( s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,esk1_0))) != s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,esk2_0)))
    | s(tyop_2Ebinary__ieee_2Efloat__compare,esk1_0) != s(tyop_2Ebinary__ieee_2Efloat__compare,esk2_0) ),
    inference(split_conjunct,[status(thm)],[c_0_2])).

cnf(c_0_4_010,negated_conjecture,
    ( s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,esk1_0))) = s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,esk2_0)))
    | s(tyop_2Ebinary__ieee_2Efloat__compare,esk1_0) = s(tyop_2Ebinary__ieee_2Efloat__compare,esk2_0) ),
    inference(split_conjunct,[status(thm)],[c_0_2])).

cnf(c_0_5_011,negated_conjecture,
    ( s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,esk2_0))) != s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,esk1_0)))
    | s(tyop_2Ebinary__ieee_2Efloat__compare,esk2_0) != s(tyop_2Ebinary__ieee_2Efloat__compare,esk1_0) ),
    c_0_3,
    [final]).

cnf(c_0_6_012,negated_conjecture,
    ( s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,esk2_0))) = s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,esk1_0)))
    | s(tyop_2Ebinary__ieee_2Efloat__compare,esk2_0) = s(tyop_2Ebinary__ieee_2Efloat__compare,esk1_0) ),
    c_0_4,
    [final]).

% End CNF derivation

%-------------------------------------------------------------
% Proof by iprover

cnf(c_32,negated_conjecture,
    ( s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0))) != s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0)))
    | s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0) != s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0) ),
    file('/export/starexec/sandbox/tmp/iprover_modulo_580890.p',c_0_5)).

cnf(c_58,negated_conjecture,
    ( s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0))) != s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0)))
    | s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0) != s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0) ),
    inference(copy,[status(esa)],[c_32])).

cnf(c_66,negated_conjecture,
    ( s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0))) != s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0)))
    | s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0) != s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0) ),
    inference(copy,[status(esa)],[c_58])).

cnf(c_69,negated_conjecture,
    ( s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0))) != s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0)))
    | s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0) != s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0) ),
    inference(copy,[status(esa)],[c_66])).

cnf(c_70,negated_conjecture,
    ( s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0))) != s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0)))
    | s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0) != s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0) ),
    inference(copy,[status(esa)],[c_69])).

cnf(c_166,negated_conjecture,
    ( s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0))) != s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0)))
    | s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0) != s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0) ),
    inference(copy,[status(esa)],[c_70])).

cnf(c_167,plain,
    ( s(tyop_2Enum_2Enum,app_2E2(s(tyop_2Emin_2Efun(tyop_2Ebinary__ieee_2Efloat__compare,tyop_2Enum_2Enum),c_2Ebinary__ieee_2Efloat__compare2num_2E0),s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0))) != s(tyop_2Enum_2Enum,app_2E2(s(tyop_2Emin_2Efun(tyop_2Ebinary__ieee_2Efloat__compare,tyop_2Enum_2Enum),c_2Ebinary__ieee_2Efloat__compare2num_2E0),s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0)))
    | s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0) != s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0) ),
    inference(rewriting,[status(thm)],[c_166])).

cnf(c_33,negated_conjecture,
    ( s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0))) = s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0)))
    | s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0) = s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0) ),
    file('/export/starexec/sandbox/tmp/iprover_modulo_580890.p',c_0_6)).

cnf(c_60,negated_conjecture,
    ( s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0))) = s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0)))
    | s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0) = s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0) ),
    inference(copy,[status(esa)],[c_33])).

cnf(c_67,negated_conjecture,
    ( s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0))) = s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0)))
    | s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0) = s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0) ),
    inference(copy,[status(esa)],[c_60])).

cnf(c_68,negated_conjecture,
    ( s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0))) = s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0)))
    | s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0) = s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0) ),
    inference(copy,[status(esa)],[c_67])).

cnf(c_71,negated_conjecture,
    ( s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0))) = s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0)))
    | s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0) = s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0) ),
    inference(copy,[status(esa)],[c_68])).

cnf(c_168,negated_conjecture,
    ( s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0))) = s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0)))
    | s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0) = s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0) ),
    inference(copy,[status(esa)],[c_71])).

cnf(c_169,plain,
    ( s(tyop_2Enum_2Enum,app_2E2(s(tyop_2Emin_2Efun(tyop_2Ebinary__ieee_2Efloat__compare,tyop_2Enum_2Enum),c_2Ebinary__ieee_2Efloat__compare2num_2E0),s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0))) = s(tyop_2Enum_2Enum,app_2E2(s(tyop_2Emin_2Efun(tyop_2Ebinary__ieee_2Efloat__compare,tyop_2Enum_2Enum),c_2Ebinary__ieee_2Efloat__compare2num_2E0),s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0)))
    | s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0) = s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0) ),
    inference(rewriting,[status(thm)],[c_168])).

cnf(c_9,plain,
    ( s(tyop_2Ebinary__ieee_2Efloat__compare,X0) = s(tyop_2Ebinary__ieee_2Efloat__compare,X1)
    | s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,X0))) != s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,X1))) ),
    file('/export/starexec/sandbox/tmp/iprover_modulo_580890.p',c_0_132_0)).

cnf(c_120,plain,
    ( s(tyop_2Ebinary__ieee_2Efloat__compare,X0) = s(tyop_2Ebinary__ieee_2Efloat__compare,X1)
    | s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,X0))) != s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,X1))) ),
    inference(copy,[status(esa)],[c_9])).

cnf(c_121,plain,
    ( s(tyop_2Enum_2Enum,app_2E2(s(tyop_2Emin_2Efun(tyop_2Ebinary__ieee_2Efloat__compare,tyop_2Enum_2Enum),c_2Ebinary__ieee_2Efloat__compare2num_2E0),s(tyop_2Ebinary__ieee_2Efloat__compare,X0))) != s(tyop_2Enum_2Enum,app_2E2(s(tyop_2Emin_2Efun(tyop_2Ebinary__ieee_2Efloat__compare,tyop_2Enum_2Enum),c_2Ebinary__ieee_2Efloat__compare2num_2E0),s(tyop_2Ebinary__ieee_2Efloat__compare,X1)))
    | s(tyop_2Ebinary__ieee_2Efloat__compare,X0) = s(tyop_2Ebinary__ieee_2Efloat__compare,X1) ),
    inference(rewriting,[status(thm)],[c_120])).

cnf(c_172,plain,
    ( s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0) = s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0) ),
    inference(forward_subsumption_resolution,[status(thm)],[c_169,c_121])).

cnf(c_173,plain,
    ( s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk2_0) = s(tyop_2Ebinary__ieee_2Efloat__compare,sk3_esk1_0) ),
    inference(rewriting,[status(thm)],[c_172])).

cnf(c_14,plain,
    ( s(tyop_2Ebinary__ieee_2Efloat__compare,X0) != s(tyop_2Ebinary__ieee_2Efloat__compare,X1)
    | s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,X0))) = s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,X1))) ),
    file('/export/starexec/sandbox/tmp/iprover_modulo_580890.p',c_0_127_0)).

cnf(c_130,plain,
    ( s(tyop_2Ebinary__ieee_2Efloat__compare,X0) != s(tyop_2Ebinary__ieee_2Efloat__compare,X1)
    | s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,X0))) = s(tyop_2Enum_2Enum,c_2Ebinary__ieee_2Efloat__compare2num_2E1(s(tyop_2Ebinary__ieee_2Efloat__compare,X1))) ),
    inference(copy,[status(esa)],[c_14])).

cnf(c_131,plain,
    ( s(tyop_2Enum_2Enum,app_2E2(s(tyop_2Emin_2Efun(tyop_2Ebinary__ieee_2Efloat__compare,tyop_2Enum_2Enum),c_2Ebinary__ieee_2Efloat__compare2num_2E0),s(tyop_2Ebinary__ieee_2Efloat__compare,X0))) = s(tyop_2Enum_2Enum,app_2E2(s(tyop_2Emin_2Efun(tyop_2Ebinary__ieee_2Efloat__compare,tyop_2Enum_2Enum),c_2Ebinary__ieee_2Efloat__compare2num_2E0),s(tyop_2Ebinary__ieee_2Efloat__compare,X1)))
    | s(tyop_2Ebinary__ieee_2Efloat__compare,X0) != s(tyop_2Ebinary__ieee_2Efloat__compare,X1) ),
    inference(rewriting,[status(thm)],[c_130])).

cnf(c_179,plain,
    ( $false ),
    inference(forward_subsumption_resolution,[status(thm)],[c_167,c_173,c_131])).

%------------------------------------------------------------------------------
