%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:42:40 EDT 2019

% Result     : Theorem 6.35s
% Output     : CNFRefutation 6.35s
% Verified   : 
% Statistics : Number of formulae       :   26 (  26 expanded)
%              Number of leaves         :   14 (  14 expanded)
%              Depth                    :    3
%              Number of atoms          :  205 ( 205 expanded)
%              Number of equality atoms :   43 (  43 expanded)
%              Maximal formula depth    :    9 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2ECOND_type,type,(
    c_2Ebool_2ECOND: 
      !>[TA: $tType] :
        ( $o > TA > TA > TA ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(5,axiom,(
    ! [A: $o,B: $o] :
      ( ( ~ ( B
            | A )
       => c_2Ebool_2EF )
      = ( ( B
         => c_2Ebool_2EF )
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL2)).

thf(25,plain,(
    ! [A: $o,B: $o] :
      ( ( ~ ( B
            | A )
       => c_2Ebool_2EF )
      = ( ( B
         => c_2Ebool_2EF )
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(4,axiom,(
    ! [A: $o] :
      ( ( ~ A
       => c_2Ebool_2EF )
     => ( ( A
         => c_2Ebool_2EF )
       => c_2Ebool_2EF ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV2)).

thf(20,plain,(
    ! [A: $o] :
      ( ( ~ A
       => c_2Ebool_2EF )
     => ( ( A
         => c_2Ebool_2EF )
       => c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(6,axiom,(
    ! [A: $o,B: $o] :
      ( ( ~ ( ~ B
            | A )
       => c_2Ebool_2EF )
      = ( B
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL3)).

thf(34,plain,(
    ! [A: $o,B: $o] :
      ( ( ~ ( ~ B
            | A )
       => c_2Ebool_2EF )
      = ( B
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(8,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          & A )
        = A )
      & ( ( A
          & c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF
          & A )
        = c_2Ebool_2EF )
      & ( ( A
          & c_2Ebool_2EF )
        = c_2Ebool_2EF )
      & ( ( A
          & A )
        = A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EAND__CLAUSES)).

thf(44,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          & A )
        = A )
      & ( ( A
          & c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF
          & A )
        = c_2Ebool_2EF )
      & ( ( A
          & c_2Ebool_2EF )
        = c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(11,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(71,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(1,conjecture,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2ECOND @ $o @ B @ A @ c_2Ebool_2ET )
      = ( A
        | ~ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2EHolSmt_2Er013)).

thf(2,negated_conjecture,(
    ~ ! [A: $o,B: $o] :
        ( ( c_2Ebool_2ECOND @ $o @ B @ A @ c_2Ebool_2ET )
        = ( A
          | ~ B ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(12,plain,(
    ~ ! [A: $o,B: $o] :
        ( ( c_2Ebool_2ECOND @ $o @ B @ A @ c_2Ebool_2ET )
        = ( A
          | ~ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(10,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( c_2Ebool_2ECOND @ $o @ A @ B @ C )
      = ( ( ~ A
          | B )
        & ( A
          | C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__EXPAND)).

thf(54,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( c_2Ebool_2ECOND @ $o @ A @ B @ C )
      = ( ( ~ A
          | B )
        & ( A
          | C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(9,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          | A )
        = c_2Ebool_2ET )
      & ( ( A
          | c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
          | A )
        = A )
      & ( ( A
          | c_2Ebool_2EF )
        = A )
      & ( ( A
          | A )
        = A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EOR__CLAUSES)).

thf(49,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          | A )
        = c_2Ebool_2ET )
      & ( ( A
          | c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
          | A )
        = A )
      & ( ( A
          | c_2Ebool_2EF )
        = A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(7,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(43,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(3,axiom,(
    ! [A: $o] :
      ( A
     => ( ~ A
       => c_2Ebool_2EF ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV__IMP)).

thf(15,plain,(
    ! [A: $o] :
      ( A
     => ( ~ A
       => c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(80,plain,(
    $false ),
    inference(iprover,[status(thm)],[25,20,34,44,71,12,54,49,43,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.03/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.13  % CPULimit   : 300
% 0.03/0.13  % DateTime   : Wed Jul 31 08:39:05 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 3.21/1.41  % [INFO] 	 Running in sequential loop mode. 
% 4.02/1.59  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.31/1.66  % [INFO] 	 iprover registered as external prover. 
% 4.31/1.66  % [INFO] 	 e registered as external prover. 
% 4.31/1.66  % [INFO] 	 cvc4 registered as external prover. 
% 4.31/1.66  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.48/1.71  % [INFO] 	 Found a conjecture and 20 axioms. Running axiom selection ... 
% 4.48/1.76  % [INFO] 	 Axiom selection finished. Selected 9 axioms (removed 11 axioms). 
% 4.78/1.79  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.35/2.30  % [INFO] 	 Killing All external provers ... 
% 6.35/2.30  % Time passed: 2035ms
% 6.35/2.30  % Effective reasoning time: 887ms
% 6.35/2.30  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.35/2.30  % Axioms used in derivation (9): thm_2Esat_2EAND__INV__IMP, thm_2Esat_2EOR__DUAL3, thm_2Ebool_2EEQ__CLAUSES, thm_2Ebool_2ECOND__EXPAND, thm_2Ebool_2ETRUTH, thm_2Esat_2EAND__INV2, thm_2Ebool_2EOR__CLAUSES, thm_2Ebool_2EAND__CLAUSES, thm_2Esat_2EOR__DUAL2
% 6.35/2.30  % No. of inferences in proof: 22
% 6.35/2.30  % No. of processed clauses: 1
% 6.35/2.30  % No. of generated clauses: 0
% 6.35/2.30  % No. of forward subsumed clauses: 0
% 6.35/2.30  % No. of backward subsumed clauses: 0
% 6.35/2.30  % No. of ground rewrite rules in store: 1
% 6.35/2.30  % No. of non-ground rewrite rules in store: 0
% 6.35/2.30  % No. of positive (non-rewrite) units in store: 0
% 6.35/2.30  % No. of negative (non-rewrite) units in store: 0
% 6.35/2.30  % No. of choice functions detected: 0
% 6.35/2.30  % No. of choice instantiations: 0
% 6.35/2.30  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2035 ms resp. 887 ms w/o parsing
% 6.35/2.33  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.35/2.33  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.35/2.33  thf(c_2Ebool_2ECOND_type, type, c_2Ebool_2ECOND: !>[TA: $tType]: ($o > (TA > (TA > TA)))).
% 6.35/2.33  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 6.35/2.33  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 6.35/2.33  thf(5,axiom,((! [A:$o,B:$o]: (((~ ((B) | (A))) => (c_2Ebool_2EF)) = (((B) => (c_2Ebool_2EF)) => ((~ (A)) => (c_2Ebool_2EF)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL2)).
% 6.35/2.33  thf(25,plain,((! [A:$o,B:$o]: (((~ ((B) | (A))) => (c_2Ebool_2EF)) = (((B) => (c_2Ebool_2EF)) => ((~ (A)) => (c_2Ebool_2EF)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.35/2.33  thf(4,axiom,((! [A:$o]: (((~ (A)) => (c_2Ebool_2EF)) => (((A) => (c_2Ebool_2EF)) => (c_2Ebool_2EF))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV2)).
% 6.35/2.33  thf(20,plain,((! [A:$o]: (((~ (A)) => (c_2Ebool_2EF)) => (((A) => (c_2Ebool_2EF)) => (c_2Ebool_2EF))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.35/2.33  thf(6,axiom,((! [A:$o,B:$o]: (((~ (~ (B) | (A))) => (c_2Ebool_2EF)) = ((B) => ((~ (A)) => (c_2Ebool_2EF)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL3)).
% 6.35/2.33  thf(34,plain,((! [A:$o,B:$o]: (((~ (~ (B) | (A))) => (c_2Ebool_2EF)) = ((B) => ((~ (A)) => (c_2Ebool_2EF)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 6.35/2.33  thf(8,axiom,((! [A:$o]: ((((c_2Ebool_2ET) & (A)) = A) & (((A) & (c_2Ebool_2ET)) = A) & (((c_2Ebool_2EF) & (A)) = c_2Ebool_2EF) & (((A) & (c_2Ebool_2EF)) = c_2Ebool_2EF) & (((A) & (A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EAND__CLAUSES)).
% 6.35/2.33  thf(44,plain,((! [A:$o]: ((((c_2Ebool_2ET) & (A)) = A) & (((A) & (c_2Ebool_2ET)) = A) & (((c_2Ebool_2EF) & (A)) = c_2Ebool_2EF) & (((A) & (c_2Ebool_2EF)) = c_2Ebool_2EF)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 6.35/2.33  thf(11,axiom,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).
% 6.35/2.33  thf(71,plain,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 6.35/2.33  thf(1,conjecture,((! [A:$o,B:$o]: ((c_2Ebool_2ECOND @ $o @ B @ A @ c_2Ebool_2ET) = ((A) | ~ (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2EHolSmt_2Er013)).
% 6.35/2.33  thf(2,negated_conjecture,((~ (! [A:$o,B:$o]: ((c_2Ebool_2ECOND @ $o @ B @ A @ c_2Ebool_2ET) = ((A) | ~ (B)))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.35/2.33  thf(12,plain,((~ (! [A:$o,B:$o]: ((c_2Ebool_2ECOND @ $o @ B @ A @ c_2Ebool_2ET) = ((A) | ~ (B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.35/2.33  thf(10,axiom,((! [A:$o,B:$o,C:$o]: ((c_2Ebool_2ECOND @ $o @ A @ B @ C) = ((~ (A) | (B)) & ((A) | (C)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__EXPAND)).
% 6.35/2.33  thf(54,plain,((! [A:$o,B:$o,C:$o]: ((c_2Ebool_2ECOND @ $o @ A @ B @ C) = ((~ (A) | (B)) & ((A) | (C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 6.35/2.33  thf(9,axiom,((! [A:$o]: ((((c_2Ebool_2ET) | (A)) = c_2Ebool_2ET) & (((A) | (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) | (A)) = A) & (((A) | (c_2Ebool_2EF)) = A) & (((A) | (A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EOR__CLAUSES)).
% 6.35/2.33  thf(49,plain,((! [A:$o]: ((((c_2Ebool_2ET) | (A)) = c_2Ebool_2ET) & (((A) | (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) | (A)) = A) & (((A) | (c_2Ebool_2EF)) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 6.35/2.33  thf(7,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 6.35/2.33  thf(43,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 6.35/2.33  thf(3,axiom,((! [A:$o]: ((A) => ((~ (A)) => (c_2Ebool_2EF))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV__IMP)).
% 6.35/2.33  thf(15,plain,((! [A:$o]: ((A) => ((~ (A)) => (c_2Ebool_2EF))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.35/2.33  thf(80,plain,($false),inference(iprover,[status(thm)],[25,20,34,44,71,12,54,49,43,15])).
% 6.35/2.33  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.35/2.33  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
