%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:42:59 EDT 2019

% Result     : Theorem 6.89s
% Output     : CNFRefutation 7.09s
% Verified   : 
% Statistics : Number of formulae       :   54 (  54 expanded)
%              Number of leaves         :   33 (  33 expanded)
%              Depth                    :    3
%              Number of atoms          :  350 ( 350 expanded)
%              Number of equality atoms :   39 (  39 expanded)
%              Maximal formula depth    :   14 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2EBIT1_type,type,(
    c_2Earithmetic_2EBIT1: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2ENUMERAL_type,type,(
    c_2Earithmetic_2ENUMERAL: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2EZERO_type,type,(
    c_2Earithmetic_2EZERO: tyop_2Enum_2Enum )).

thf(c_2Erealax_2Ereal__add_type,type,(
    c_2Erealax_2Ereal__add: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Erealax_2Ereal__lt_type,type,(
    c_2Erealax_2Ereal__lt: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ereal_2Ereal__lte_type,type,(
    c_2Ereal_2Ereal__lte: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(c_2Erealax_2Ereal__mul_type,type,(
    c_2Erealax_2Ereal__mul: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Erealax_2Ereal__neg_type,type,(
    c_2Erealax_2Ereal__neg: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Ereal_2Ereal__of__num_type,type,(
    c_2Ereal_2Ereal__of__num: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal )).

thf(c_2Ereal_2Ereal__sub_type,type,(
    c_2Ereal_2Ereal__sub: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(14,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__sub @ A @ B )
      = ( c_2Erealax_2Ereal__add @ A @ ( c_2Erealax_2Ereal__neg @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2Ereal__sub)).

thf(56,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__sub @ A @ B )
      = ( c_2Erealax_2Ereal__add @ A @ ( c_2Erealax_2Ereal__neg @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(3,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Ereal__lte @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ A ) )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__ANTISYM)).

thf(24,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Ereal__lte @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ A ) )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(5,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ B @ A )
      = ( ~ ( c_2Ereal_2Ereal__lte @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2Ereal__lt)).

thf(29,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ B @ A )
      = ( ~ ( c_2Ereal_2Ereal__lte @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(20,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ ( c_2Erealax_2Ereal__neg @ A ) )
      = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__RINV)).

thf(74,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ ( c_2Erealax_2Ereal__neg @ A ) )
      = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(8,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__neg @ ( c_2Erealax_2Ereal__add @ A @ B ) )
      = ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__neg @ A ) @ ( c_2Erealax_2Ereal__neg @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__NEG__ADD)).

thf(38,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__neg @ ( c_2Erealax_2Ereal__add @ A @ B ) )
      = ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__neg @ A ) @ ( c_2Erealax_2Ereal__neg @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__sub @ ( c_2Erealax_2Ereal__add @ C @ B ) @ A )
      = ( c_2Erealax_2Ereal__add @ C @ ( c_2Erealax_2Ereal__add @ B @ ( c_2Erealax_2Ereal__mul @ ( c_2Erealax_2Ereal__neg @ ( c_2Ereal_2Ereal__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EHolSmt_2Er228)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
        ( ( c_2Ereal_2Ereal__sub @ ( c_2Erealax_2Ereal__add @ C @ B ) @ A )
        = ( c_2Erealax_2Ereal__add @ C @ ( c_2Erealax_2Ereal__add @ B @ ( c_2Erealax_2Ereal__mul @ ( c_2Erealax_2Ereal__neg @ ( c_2Ereal_2Ereal__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) @ A ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(21,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
        ( ( c_2Ereal_2Ereal__sub @ ( c_2Erealax_2Ereal__add @ C @ B ) @ A )
        = ( c_2Erealax_2Ereal__add @ C @ ( c_2Erealax_2Ereal__add @ B @ ( c_2Erealax_2Ereal__mul @ ( c_2Erealax_2Ereal__neg @ ( c_2Ereal_2Ereal__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(17,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__neg @ A ) @ A )
      = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__LINV)).

thf(65,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__neg @ A ) @ A )
      = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(13,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Ereal_2Ereal__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) @ A )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__LID)).

thf(53,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Ereal_2Ereal__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) @ A )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(9,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__neg @ A ) @ ( c_2Erealax_2Ereal__neg @ B ) )
      = ( c_2Ereal_2Ereal__lte @ B @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__NEG2)).

thf(41,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__neg @ A ) @ ( c_2Erealax_2Ereal__neg @ B ) )
      = ( c_2Ereal_2Ereal__lte @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(6,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ A @ ( c_2Erealax_2Ereal__neg @ B ) )
      = ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__add @ A @ B ) @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__RNEG)).

thf(32,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ A @ ( c_2Erealax_2Ereal__neg @ B ) )
      = ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__add @ A @ B ) @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(10,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__neg @ A ) @ B )
      = ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ ( c_2Erealax_2Ereal__add @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__LNEG)).

thf(44,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__neg @ A ) @ B )
      = ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ ( c_2Erealax_2Ereal__add @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(15,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__neg @ ( c_2Erealax_2Ereal__neg @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__NEG__NEG)).

thf(59,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__neg @ ( c_2Erealax_2Ereal__neg @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(4,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( c_2Ereal_2Ereal__lte @ A @ A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__REFL)).

thf(27,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( c_2Ereal_2Ereal__lte @ A @ A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(19,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ B )
      = ( c_2Erealax_2Ereal__add @ B @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__SYM)).

thf(71,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ B )
      = ( c_2Erealax_2Ereal__add @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(7,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ A )
      = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__LZERO)).

thf(35,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ A )
      = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(12,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ ( c_2Erealax_2Ereal__add @ B @ C ) )
      = ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__add @ A @ B ) @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__ASSOC)).

thf(50,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ ( c_2Erealax_2Ereal__add @ B @ C ) )
      = ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__add @ A @ B ) @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(11,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Erealax_2Ereal__add @ A @ B ) @ C )
      = ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__mul @ A @ C ) @ ( c_2Erealax_2Ereal__mul @ B @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__RDISTRIB)).

thf(47,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Erealax_2Ereal__add @ A @ B ) @ C )
      = ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__mul @ A @ C ) @ ( c_2Erealax_2Ereal__mul @ B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(18,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Erealax_2Ereal__neg @ A ) @ B )
      = ( c_2Erealax_2Ereal__neg @ ( c_2Erealax_2Ereal__mul @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__LNEG)).

thf(68,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Erealax_2Ereal__neg @ A ) @ B )
      = ( c_2Erealax_2Ereal__neg @ ( c_2Erealax_2Ereal__mul @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(16,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__RID)).

thf(62,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(77,plain,(
    $false ),
    inference(e,[status(thm)],[56,24,29,74,38,21,65,53,41,32,44,59,27,71,35,50,47,68,62])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.11/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.11/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.13  % CPULimit   : 300
% 0.11/0.13  % DateTime   : Wed Jul 31 08:46:51 EDT 2019
% 0.11/0.13  % CPUTime    : 
% 3.58/1.41  % [INFO] 	 Running in sequential loop mode. 
% 4.44/1.58  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.44/1.65  % [INFO] 	 iprover registered as external prover. 
% 4.44/1.65  % [INFO] 	 e registered as external prover. 
% 4.44/1.65  % [INFO] 	 cvc4 registered as external prover. 
% 4.44/1.65  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.88/1.71  % [INFO] 	 Found a conjecture and 40 axioms. Running axiom selection ... 
% 5.12/1.76  % [INFO] 	 Axiom selection finished. Selected 18 axioms (removed 22 axioms). 
% 5.12/1.80  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.89/2.35  % [INFO] 	 Killing All external provers ... 
% 6.89/2.35  % Time passed: 2097ms
% 6.89/2.35  % Effective reasoning time: 940ms
% 6.89/2.35  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.89/2.36  % Axioms used in derivation (18): thm_2Ereal_2EREAL__ADD__RINV, thm_2Ereal_2EREAL__NEG__NEG, thm_2Ereal_2Ereal__lt, thm_2Ereal_2EREAL__ADD__RDISTRIB, thm_2Ereal_2EREAL__LE__ANTISYM, thm_2Ereal_2EREAL__ADD__LINV, thm_2Ereal_2EREAL__LE__RNEG, thm_2Ereal_2EREAL__LE__LNEG, thm_2Ereal_2EREAL__MUL__LNEG, thm_2Ereal_2EREAL__LE__NEG2, thm_2Ereal_2EREAL__ADD__RID, thm_2Ereal_2Ereal__sub, thm_2Ereal_2EREAL__MUL__LZERO, thm_2Ereal_2EREAL__ADD__SYM, thm_2Ereal_2EREAL__NEG__ADD, thm_2Ereal_2EREAL__ADD__ASSOC, thm_2Ereal_2EREAL__MUL__LID, thm_2Ereal_2EREAL__LE__REFL
% 6.89/2.36  % No. of inferences in proof: 40
% 6.89/2.36  % No. of processed clauses: 1
% 6.89/2.36  % No. of generated clauses: 0
% 6.89/2.36  % No. of forward subsumed clauses: 0
% 6.89/2.36  % No. of backward subsumed clauses: 0
% 6.89/2.36  % No. of ground rewrite rules in store: 0
% 6.89/2.36  % No. of non-ground rewrite rules in store: 1
% 6.89/2.36  % No. of positive (non-rewrite) units in store: 0
% 6.89/2.36  % No. of negative (non-rewrite) units in store: 0
% 6.89/2.36  % No. of choice functions detected: 0
% 6.89/2.36  % No. of choice instantiations: 0
% 6.89/2.36  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2097 ms resp. 940 ms w/o parsing
% 7.09/2.39  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.09/2.39  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.09/2.39  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 7.09/2.39  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 7.09/2.39  thf(c_2Enum_2E0_type, type, c_2Enum_2E0: tyop_2Enum_2Enum).
% 7.09/2.39  thf(c_2Earithmetic_2EBIT1_type, type, c_2Earithmetic_2EBIT1: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 7.09/2.39  thf(c_2Earithmetic_2ENUMERAL_type, type, c_2Earithmetic_2ENUMERAL: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 7.09/2.39  thf(c_2Earithmetic_2EZERO_type, type, c_2Earithmetic_2EZERO: tyop_2Enum_2Enum).
% 7.09/2.39  thf(c_2Erealax_2Ereal__add_type, type, c_2Erealax_2Ereal__add: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 7.09/2.39  thf(c_2Erealax_2Ereal__lt_type, type, c_2Erealax_2Ereal__lt: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 7.09/2.39  thf(c_2Ereal_2Ereal__lte_type, type, c_2Ereal_2Ereal__lte: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 7.09/2.39  thf(c_2Erealax_2Ereal__mul_type, type, c_2Erealax_2Ereal__mul: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 7.09/2.39  thf(c_2Erealax_2Ereal__neg_type, type, c_2Erealax_2Ereal__neg: (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)).
% 7.09/2.39  thf(c_2Ereal_2Ereal__of__num_type, type, c_2Ereal_2Ereal__of__num: (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal)).
% 7.09/2.39  thf(c_2Ereal_2Ereal__sub_type, type, c_2Ereal_2Ereal__sub: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 7.09/2.39  thf(14,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__sub @ A @ B) = (c_2Erealax_2Ereal__add @ A @ (c_2Erealax_2Ereal__neg @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2Ereal__sub)).
% 7.09/2.39  thf(56,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__sub @ A @ B) = (c_2Erealax_2Ereal__add @ A @ (c_2Erealax_2Ereal__neg @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 7.09/2.39  thf(3,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Ereal_2Ereal__lte @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ A)) = (A = B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__ANTISYM)).
% 7.09/2.39  thf(24,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Ereal_2Ereal__lte @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ A)) = (A = B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.09/2.39  thf(5,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ B @ A) = (~ (c_2Ereal_2Ereal__lte @ A @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2Ereal__lt)).
% 7.09/2.39  thf(29,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ B @ A) = (~ (c_2Ereal_2Ereal__lte @ A @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.09/2.39  thf(20,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ (c_2Erealax_2Ereal__neg @ A)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__RINV)).
% 7.09/2.39  thf(74,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ (c_2Erealax_2Ereal__neg @ A)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).
% 7.09/2.39  thf(8,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__neg @ (c_2Erealax_2Ereal__add @ A @ B)) = (c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__neg @ A) @ (c_2Erealax_2Ereal__neg @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__NEG__ADD)).
% 7.09/2.39  thf(38,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__neg @ (c_2Erealax_2Ereal__add @ A @ B)) = (c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__neg @ A) @ (c_2Erealax_2Ereal__neg @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 7.09/2.39  thf(1,conjecture,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__sub @ (c_2Erealax_2Ereal__add @ C @ B) @ A) = (c_2Erealax_2Ereal__add @ C @ (c_2Erealax_2Ereal__add @ B @ (c_2Erealax_2Ereal__mul @ (c_2Erealax_2Ereal__neg @ (c_2Ereal_2Ereal__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO)))) @ A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EHolSmt_2Er228)).
% 7.09/2.39  thf(2,negated_conjecture,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__sub @ (c_2Erealax_2Ereal__add @ C @ B) @ A) = (c_2Erealax_2Ereal__add @ C @ (c_2Erealax_2Ereal__add @ B @ (c_2Erealax_2Ereal__mul @ (c_2Erealax_2Ereal__neg @ (c_2Ereal_2Ereal__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO)))) @ A))))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.09/2.39  thf(21,plain,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__sub @ (c_2Erealax_2Ereal__add @ C @ B) @ A) = (c_2Erealax_2Ereal__add @ C @ (c_2Erealax_2Ereal__add @ B @ (c_2Erealax_2Ereal__mul @ (c_2Erealax_2Ereal__neg @ (c_2Ereal_2Ereal__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO)))) @ A))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.09/2.39  thf(17,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__neg @ A) @ A) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__LINV)).
% 7.09/2.39  thf(65,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__neg @ A) @ A) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).
% 7.09/2.39  thf(13,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Ereal_2Ereal__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO))) @ A) = A))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__LID)).
% 7.09/2.39  thf(53,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Ereal_2Ereal__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO))) @ A) = A))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 7.09/2.39  thf(9,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__neg @ A) @ (c_2Erealax_2Ereal__neg @ B)) = (c_2Ereal_2Ereal__lte @ B @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__NEG2)).
% 7.09/2.39  thf(41,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__neg @ A) @ (c_2Erealax_2Ereal__neg @ B)) = (c_2Ereal_2Ereal__lte @ B @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 7.09/2.39  thf(6,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ A @ (c_2Erealax_2Ereal__neg @ B)) = (c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__add @ A @ B) @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__RNEG)).
% 7.09/2.39  thf(32,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ A @ (c_2Erealax_2Ereal__neg @ B)) = (c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__add @ A @ B) @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 7.09/2.39  thf(10,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__neg @ A) @ B) = (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ (c_2Erealax_2Ereal__add @ A @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__LNEG)).
% 7.09/2.39  thf(44,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__neg @ A) @ B) = (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ (c_2Erealax_2Ereal__add @ A @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 7.09/2.39  thf(15,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__neg @ (c_2Erealax_2Ereal__neg @ A)) = A))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__NEG__NEG)).
% 7.09/2.39  thf(59,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__neg @ (c_2Erealax_2Ereal__neg @ A)) = A))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).
% 7.09/2.39  thf(4,axiom,((! [A:tyop_2Erealax_2Ereal]: (c_2Ereal_2Ereal__lte @ A @ A))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__REFL)).
% 7.09/2.39  thf(27,plain,((! [A:tyop_2Erealax_2Ereal]: (c_2Ereal_2Ereal__lte @ A @ A))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.09/2.39  thf(19,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ B) = (c_2Erealax_2Ereal__add @ B @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__SYM)).
% 7.09/2.39  thf(71,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ B) = (c_2Erealax_2Ereal__add @ B @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).
% 7.09/2.39  thf(7,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ A) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__LZERO)).
% 7.09/2.39  thf(35,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ A) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 7.09/2.39  thf(12,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ (c_2Erealax_2Ereal__add @ B @ C)) = (c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__add @ A @ B) @ C)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__ASSOC)).
% 7.09/2.39  thf(50,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ (c_2Erealax_2Ereal__add @ B @ C)) = (c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__add @ A @ B) @ C)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 7.09/2.39  thf(11,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Erealax_2Ereal__add @ A @ B) @ C) = (c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__mul @ A @ C) @ (c_2Erealax_2Ereal__mul @ B @ C))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__RDISTRIB)).
% 7.09/2.39  thf(47,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Erealax_2Ereal__add @ A @ B) @ C) = (c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__mul @ A @ C) @ (c_2Erealax_2Ereal__mul @ B @ C))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 7.09/2.39  thf(18,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Erealax_2Ereal__neg @ A) @ B) = (c_2Erealax_2Ereal__neg @ (c_2Erealax_2Ereal__mul @ A @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__LNEG)).
% 7.09/2.39  thf(68,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Erealax_2Ereal__neg @ A) @ B) = (c_2Erealax_2Ereal__neg @ (c_2Erealax_2Ereal__mul @ A @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).
% 7.09/2.39  thf(16,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = A))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__RID)).
% 7.09/2.39  thf(62,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = A))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).
% 7.09/2.39  thf(77,plain,($false),inference(e,[status(thm)],[56,24,29,74,38,21,65,53,41,32,44,59,27,71,35,50,47,68,62])).
% 7.09/2.39  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 7.09/2.39  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
