%------------------------------------------------------------------------------
thf(del_type,type,(
    del: $tType )).

thf(bool_type,type,(
    bool: del )).

thf(arr_type,type,(
    arr: del > del > del )).

thf(mem_type,type,(
    mem: $i > del > $o )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(k_type,type,(
    k: del > $i > $i )).

thf(i_type,type,(
    i: del > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(tp__o_type,type,(
    tp__o: $tType )).

thf(inj__o_type,type,(
    inj__o: tp__o > $i )).

thf(surj__o_type,type,(
    surj__o: $i > tp__o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: del > $i )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: del > $i )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $i )).

thf(fo__c_2Ebool_2E_2F_5C_type,type,(
    fo__c_2Ebool_2E_2F_5C: tp__o > tp__o > tp__o )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $i )).

thf(fo__c_2Ebool_2ET_type,type,(
    fo__c_2Ebool_2ET: tp__o )).

thf(ty_2Epair_2Eprod_type,type,(
    ty_2Epair_2Eprod: del > del > del )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: del > del > $i )).

thf(c_2Epair_2EFST_type,type,(
    c_2Epair_2EFST: del > del > $i )).

thf(c_2Epair_2ESND_type,type,(
    c_2Epair_2ESND: del > del > $i )).

thf(ty_2Erealax_2Ereal_type,type,(
    ty_2Erealax_2Ereal: del )).

thf(tp__ty_2Erealax_2Ereal_type,type,(
    tp__ty_2Erealax_2Ereal: $tType )).

thf(inj__ty_2Erealax_2Ereal_type,type,(
    inj__ty_2Erealax_2Ereal: tp__ty_2Erealax_2Ereal > $i )).

thf(surj__ty_2Erealax_2Ereal_type,type,(
    surj__ty_2Erealax_2Ereal: $i > tp__ty_2Erealax_2Ereal )).

thf(c_2Erealax_2Ereal__neg_type,type,(
    c_2Erealax_2Ereal__neg: $i )).

thf(fo__c_2Erealax_2Ereal__neg_type,type,(
    fo__c_2Erealax_2Ereal__neg: tp__ty_2Erealax_2Ereal > tp__ty_2Erealax_2Ereal )).

thf(tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal_type,type,(
    tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal: $tType )).

thf(inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal_type,type,(
    inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal > $i )).

thf(surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal_type,type,(
    surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal: $i > tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal )).

thf(c_2Ecomplex_2EIM_type,type,(
    c_2Ecomplex_2EIM: $i )).

thf(fo__c_2Ecomplex_2EIM_type,type,(
    fo__c_2Ecomplex_2EIM: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal > tp__ty_2Erealax_2Ereal )).

thf(c_2Ecomplex_2ERE_type,type,(
    c_2Ecomplex_2ERE: $i )).

thf(fo__c_2Ecomplex_2ERE_type,type,(
    fo__c_2Ecomplex_2ERE: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal > tp__ty_2Erealax_2Ereal )).

thf(c_2Ecomplex_2Ecomplex__neg_type,type,(
    c_2Ecomplex_2Ecomplex__neg: $i )).

thf(sk1_type,type,(
    sk1: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal )).

thf(sk2_type,type,(
    sk2: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal )).

thf(sk3_type,type,(
    sk3: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal )).

thf(sk4_type,type,(
    sk4: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal )).

thf(1,conjecture,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal,B: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
        = B )
    <=> ( A
        = ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ecomplex_2ECOMPLEX__NEG__EQ)).

thf(2,negated_conjecture,(
    ~ ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal,B: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
        ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
          = B )
      <=> ( A
          = ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ B ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(47,plain,(
    ~ ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal,B: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
        ( ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
            = B )
         => ( A
            = ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ B ) ) ) ) )
        & ( ( A
            = ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ B ) ) ) )
         => ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
            = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(48,plain,(
    ~ ( ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal,B: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
          ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
            = B )
         => ( A
            = ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ B ) ) ) ) )
      & ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal,B: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
          ( ( A
            = ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ B ) ) ) )
         => ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
            = B ) ) ) ),
    inference(miniscope,[status(thm)],[47])).

thf(49,plain,
    ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk1 ) ) )
      = sk2 )
    | ( sk3
      = ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk4 ) ) ) ) ),
    inference(cnf,[status(esa)],[48])).

thf(53,plain,
    ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk1 ) ) )
      = sk2 )
    | ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk4 ) ) )
      = sk3 ) ),
    inference(lifteq,[status(thm)],[49])).

thf(50,plain,
    ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk1 ) ) )
      = sk2 )
    | ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk3 ) ) )
     != sk4 ) ),
    inference(cnf,[status(esa)],[48])).

thf(54,plain,
    ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk1 ) ) )
      = sk2 )
    | ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk3 ) ) )
     != sk4 ) ),
    inference(lifteq,[status(thm)],[50])).

thf(302,plain,
    ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk1 ) ) )
      = sk2 )
    | ( sk4 != sk3 )
    | ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk4 ) ) )
     != ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk3 ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[53,54])).

thf(315,plain,
    ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk1 ) ) )
      = sk2 )
    | ( sk4 != sk3 )
    | ( ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk4 ) )
     != ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk3 ) ) ) ),
    inference(simp,[status(thm)],[302])).

thf(520,plain,
    ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk1 ) ) )
      = sk2 )
    | ( sk4 != sk3 )
    | ( c_2Ecomplex_2Ecomplex__neg != c_2Ecomplex_2Ecomplex__neg )
    | ( ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk4 )
     != ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk3 ) ) ),
    inference(simp,[status(thm)],[315])).

thf(597,plain,
    ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk1 ) ) )
      = sk2 )
    | ( sk4 != sk3 )
    | ( ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk4 )
     != ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk3 ) ) ),
    inference(simp,[status(thm)],[520])).

thf(810,plain,
    ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk1 ) ) )
      = sk2 )
    | ( sk4 != sk3 )
    | ( sk4 != sk3 ) ),
    inference(simp,[status(thm)],[597])).

thf(892,plain,
    ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk1 ) ) )
      = sk2 )
    | ( sk4 != sk3 ) ),
    inference(simp,[status(thm)],[810])).

thf(36,axiom,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal)).

thf(145,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(146,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) )
      = A ) ),
    inference(cnf,[status(esa)],[145])).

thf(147,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) )
      = A ) ),
    inference(lifteq,[status(thm)],[146])).

thf(52,plain,
    ( ( sk1
     != ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk2 ) ) ) )
    | ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk3 ) ) )
     != sk4 ) ),
    inference(cnf,[status(esa)],[48])).

thf(56,plain,
    ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk2 ) ) )
     != sk1 )
    | ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk3 ) ) )
     != sk4 ) ),
    inference(lifteq,[status(thm)],[52])).

thf(651,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk2 ) ) )
       != sk1 )
      | ( A != sk4 )
      | ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) )
       != ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk3 ) ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[147,56])).

thf(666,plain,
    ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk2 ) ) )
     != sk1 )
    | ( ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk3 ) )
     != ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk4 ) ) ),
    inference(simp,[status(thm)],[651])).

thf(18,axiom,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( inj__ty_2Erealax_2Ereal @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_ty_2Erealax_2Ereal)).

thf(88,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( inj__ty_2Erealax_2Ereal @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(40,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ibeta)).

thf(170,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).

thf(650,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( A != sk1 )
      | ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk3 ) ) )
       != sk4 )
      | ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) )
       != ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk2 ) ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[147,56])).

thf(670,plain,
    ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk3 ) ) )
     != sk4 )
    | ( ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk2 ) )
     != ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk1 ) ) ),
    inference(simp,[status(thm)],[650])).

thf(45,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
      <=> ! [C: $i] :
            ( ( mem @ C @ A )
           => ( p @ ( ap @ B @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_all_p)).

thf(185,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
         => ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) )
        & ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) )
         => ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[45])).

thf(46,axiom,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( mem @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal)).

thf(189,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( mem @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[46])).

thf(20,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( surj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_o)).

thf(93,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( surj__o @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(3,axiom,(
    $true ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2ETRUTH)).

thf(57,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(13,axiom,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_o)).

thf(78,plain,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(43,axiom,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2ERE @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
      = ( surj__ty_2Erealax_2Ereal @ ( ap @ ( c_2Epair_2EFST @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_thm_2Ecomplex_2ERE)).

thf(179,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2ERE @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
      = ( surj__ty_2Erealax_2Ereal @ ( ap @ ( c_2Epair_2EFST @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).

thf(29,axiom,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Ecomplex_2ERE @ A ) )
      = ( ap @ c_2Ecomplex_2ERE @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ecomplex_2ERE)).

thf(121,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Ecomplex_2ERE @ A ) )
      = ( ap @ c_2Ecomplex_2ERE @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(16,axiom,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( mem @ ( inj__ty_2Erealax_2Ereal @ A ) @ ty_2Erealax_2Ereal ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_ty_2Erealax_2Ereal)).

thf(84,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( mem @ ( inj__ty_2Erealax_2Ereal @ A ) @ ty_2Erealax_2Ereal ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(5,axiom,(
    mem @ c_2Ecomplex_2EIM @ ( arr @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ty_2Erealax_2Ereal ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ecomplex_2EIM)).

thf(61,plain,(
    mem @ c_2Ecomplex_2EIM @ ( arr @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ty_2Erealax_2Ereal ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(32,axiom,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Erealax_2Ereal__neg @ A ) )
      = ( ap @ c_2Erealax_2Ereal__neg @ ( inj__ty_2Erealax_2Ereal @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Erealax_2Ereal__neg)).

thf(132,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Erealax_2Ereal__neg @ A ) )
      = ( ap @ c_2Erealax_2Ereal__neg @ ( inj__ty_2Erealax_2Ereal @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(27,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ap_tp)).

thf(116,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(10,axiom,(
    p @ c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_true_p)).

thf(74,plain,(
    p @ c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(4,axiom,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_o)).

thf(58,plain,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(59,plain,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    inference(cnf,[status(esa)],[58])).

thf(60,plain,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    inference(lifteq,[status(thm)],[59])).

thf(85,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( mem @ ( inj__ty_2Erealax_2Ereal @ A ) @ ty_2Erealax_2Ereal ) ),
    inference(cnf,[status(esa)],[84])).

thf(19,axiom,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2ET)).

thf(91,plain,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(92,plain,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    inference(lifteq,[status(thm)],[91])).

thf(7,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Erealax_2Ereal )
     => ( A
        = ( inj__ty_2Erealax_2Ereal @ ( surj__ty_2Erealax_2Ereal @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_ty_2Erealax_2Ereal)).

thf(63,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Erealax_2Ereal )
     => ( A
        = ( inj__ty_2Erealax_2Ereal @ ( surj__ty_2Erealax_2Ereal @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(64,plain,(
    ! [A: $i] :
      ( ~ ( mem @ A @ ty_2Erealax_2Ereal )
      | ( A
        = ( inj__ty_2Erealax_2Ereal @ ( surj__ty_2Erealax_2Ereal @ A ) ) ) ) ),
    inference(cnf,[status(esa)],[63])).

thf(65,plain,(
    ! [A: $i] :
      ( ( ( inj__ty_2Erealax_2Ereal @ ( surj__ty_2Erealax_2Ereal @ A ) )
        = A )
      | ~ ( mem @ A @ ty_2Erealax_2Ereal ) ) ),
    inference(lifteq,[status(thm)],[64])).

thf(22,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(97,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(51,plain,
    ( ( sk1
     != ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk2 ) ) ) )
    | ( sk3
      = ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk4 ) ) ) ) ),
    inference(cnf,[status(esa)],[48])).

thf(55,plain,
    ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk2 ) ) )
     != sk1 )
    | ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk4 ) ) )
      = sk3 ) ),
    inference(lifteq,[status(thm)],[51])).

thf(320,plain,
    ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk2 ) ) )
     != sk1 )
    | ( sk4 != sk3 )
    | ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk4 ) ) )
     != ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk3 ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[55,56])).

thf(352,plain,
    ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk2 ) ) )
     != sk1 )
    | ( sk4 != sk3 )
    | ( ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk4 ) )
     != ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk3 ) ) ) ),
    inference(simp,[status(thm)],[320])).

thf(410,plain,
    ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk2 ) ) )
     != sk1 )
    | ( sk4 != sk3 )
    | ( c_2Ecomplex_2Ecomplex__neg != c_2Ecomplex_2Ecomplex__neg )
    | ( ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk4 )
     != ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk3 ) ) ),
    inference(simp,[status(thm)],[352])).

thf(451,plain,
    ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk2 ) ) )
     != sk1 )
    | ( sk4 != sk3 )
    | ( ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk4 )
     != ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk3 ) ) ),
    inference(simp,[status(thm)],[410])).

thf(455,plain,
    ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk2 ) ) )
     != sk1 )
    | ( sk4 != sk3 )
    | ( sk4 != sk3 ) ),
    inference(simp,[status(thm)],[451])).

thf(486,plain,
    ( ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk2 ) ) )
     != sk1 )
    | ( sk4 != sk3 ) ),
    inference(simp,[status(thm)],[455])).

thf(664,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( A != sk1 )
      | ( sk4 != sk3 )
      | ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) )
       != ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk2 ) ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[147,486])).

thf(682,plain,
    ( ( sk4 != sk3 )
    | ( ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk2 ) )
     != ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ sk1 ) ) ),
    inference(simp,[status(thm)],[664])).

thf(25,axiom,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
      = ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( ap @ c_2Erealax_2Ereal__neg @ ( ap @ c_2Ecomplex_2ERE @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ) @ ( ap @ c_2Erealax_2Ereal__neg @ ( ap @ c_2Ecomplex_2EIM @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_thm_2Ecomplex_2Ecomplex__neg)).

thf(109,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__neg @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
      = ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( ap @ c_2Erealax_2Ereal__neg @ ( ap @ c_2Ecomplex_2ERE @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ) @ ( ap @ c_2Erealax_2Ereal__neg @ ( ap @ c_2Ecomplex_2EIM @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(30,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) )
     => ( A
        = ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal)).

thf(124,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) )
     => ( A
        = ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(21,axiom,(
    mem @ c_2Ebool_2ET @ bool ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2ET)).

thf(96,plain,(
    mem @ c_2Ebool_2ET @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(41,axiom,(
    ! [A: del,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',kbeta)).

thf(173,plain,(
    ! [A: del,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).

thf(133,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Erealax_2Ereal__neg @ A ) )
      = ( ap @ c_2Erealax_2Ereal__neg @ ( inj__ty_2Erealax_2Ereal @ A ) ) ) ),
    inference(cnf,[status(esa)],[132])).

thf(134,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( ap @ c_2Erealax_2Ereal__neg @ ( inj__ty_2Erealax_2Ereal @ A ) )
      = ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Erealax_2Ereal__neg @ A ) ) ) ),
    inference(lifteq,[status(thm)],[133])).

thf(37,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_2F_5C)).

thf(148,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(42,axiom,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Ecomplex_2EIM @ A ) )
      = ( ap @ c_2Ecomplex_2EIM @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ecomplex_2EIM)).

thf(176,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Ecomplex_2EIM @ A ) )
      = ( ap @ c_2Ecomplex_2EIM @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).

thf(28,axiom,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2EIM @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
      = ( surj__ty_2Erealax_2Ereal @ ( ap @ ( c_2Epair_2ESND @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_thm_2Ecomplex_2EIM)).

thf(118,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2EIM @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
      = ( surj__ty_2Erealax_2Ereal @ ( ap @ ( c_2Epair_2ESND @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(17,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(86,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(12,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2ESND @ A @ A ) @ ( arr @ ( ty_2Epair_2Eprod @ A @ A ) @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Epair_2ESND)).

thf(76,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2ESND @ A @ A ) @ ( arr @ ( ty_2Epair_2Eprod @ A @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(98,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(cnf,[status(esa)],[97])).

thf(8,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( B = B )
      <=> $true ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2EREFL__CLAUSE)).

thf(66,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(24,axiom,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_2F_5C)).

thf(108,plain,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(607,plain,(
    ! [A: tp__o] :
      ( ( ( surj__o @ c_2Ebool_2ET )
        = A )
      | ( ( inj__o @ fo__c_2Ebool_2ET )
       != ( inj__o @ A ) ) ) ),
    inference(paramod_ordered,[status(thm)],[92,60])).

thf(608,plain,
    ( ( surj__o @ c_2Ebool_2ET )
    = fo__c_2Ebool_2ET ),
    inference(pattern_uni,[status(thm)],[607:[bind(A,$thf(fo__c_2Ebool_2ET))]])).

thf(33,axiom,(
    mem @ c_2Ecomplex_2Ecomplex__neg @ ( arr @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ecomplex_2Ecomplex__neg)).

thf(135,plain,(
    mem @ c_2Ecomplex_2Ecomplex__neg @ ( arr @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(14,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2EFST @ A @ A ) @ ( arr @ ( ty_2Epair_2Eprod @ A @ A ) @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Epair_2EFST)).

thf(80,plain,(
    ! [A: del] :
      ( mem @ ( c_2Epair_2EFST @ A @ A ) @ ( arr @ ( ty_2Epair_2Eprod @ A @ A ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(39,axiom,(
    ! [A: tp__ty_2Erealax_2Ereal,B: tp__ty_2Erealax_2Ereal] :
      ( ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Erealax_2Ereal__neg @ ( inj__ty_2Erealax_2Ereal @ A ) ) )
        = B )
    <=> ( A
        = ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Erealax_2Ereal__neg @ ( inj__ty_2Erealax_2Ereal @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ereal_2EREAL__NEG__EQ)).

thf(162,plain,(
    ! [A: tp__ty_2Erealax_2Ereal,B: tp__ty_2Erealax_2Ereal] :
      ( ( ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Erealax_2Ereal__neg @ ( inj__ty_2Erealax_2Ereal @ A ) ) )
          = B )
       => ( A
          = ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Erealax_2Ereal__neg @ ( inj__ty_2Erealax_2Ereal @ B ) ) ) ) )
      & ( ( A
          = ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Erealax_2Ereal__neg @ ( inj__ty_2Erealax_2Ereal @ B ) ) ) )
       => ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Erealax_2Ereal__neg @ ( inj__ty_2Erealax_2Ereal @ A ) ) )
          = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).

thf(26,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
          <=> ( ( p @ A )
              & ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_and_p)).

thf(112,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
             => ( ( p @ A )
                & ( p @ B ) ) )
            & ( ( ( p @ A )
                & ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(122,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Ecomplex_2ERE @ A ) )
      = ( ap @ c_2Ecomplex_2ERE @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ),
    inference(cnf,[status(esa)],[121])).

thf(123,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( ap @ c_2Ecomplex_2ERE @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) )
      = ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Ecomplex_2ERE @ A ) ) ) ),
    inference(lifteq,[status(thm)],[122])).

thf(9,axiom,(
    ! [A: del,B: tp__o] :
      ( ! [C: $i] :
          ( ( mem @ C @ A )
         => ( p @ ( inj__o @ B ) ) )
    <=> ( p @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2EFORALL__SIMP)).

thf(67,plain,(
    ! [A: del,B: tp__o] :
      ( ( ! [C: $i] :
            ( ( mem @ C @ A )
           => ( p @ ( inj__o @ B ) ) )
       => ( p @ ( inj__o @ B ) ) )
      & ( ( p @ ( inj__o @ B ) )
       => ! [C: $i] :
            ( ( mem @ C @ A )
           => ( p @ ( inj__o @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(44,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ A )
     => ! [D: $i] :
          ( ( mem @ D @ B )
         => ( ( ap @ ( c_2Epair_2EFST @ A @ A ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ A ) @ C ) @ D ) )
            = C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Epair_2EFST)).

thf(182,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ A )
     => ! [D: $i] :
          ( ( mem @ D @ B )
         => ( ( ap @ ( c_2Epair_2EFST @ A @ A ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ A ) @ C ) @ D ) )
            = C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).

thf(31,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',funcext)).

thf(127,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(23,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ A )
            <=> ( p @ B ) )
           => ( A = B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',boolext)).

thf(99,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( ( p @ A )
               => ( p @ B ) )
              & ( ( p @ B )
               => ( p @ A ) ) )
           => ( A = B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(100,plain,(
    ! [B: $i,A: $i] :
      ( ~ ( mem @ A @ bool )
      | ~ ( mem @ B @ bool )
      | ~ ( p @ B )
      | ~ ( p @ A )
      | ( A = B ) ) ),
    inference(cnf,[status(esa)],[99])).

thf(104,plain,(
    ! [B: $i,A: $i] :
      ( ( A = B )
      | ~ ( mem @ A @ bool )
      | ~ ( mem @ B @ bool )
      | ~ ( p @ B )
      | ~ ( p @ A ) ) ),
    inference(lifteq,[status(thm)],[100])).

thf(35,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
          <=> ( B = C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_eq_p)).

thf(139,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
             => ( B = C ) )
            & ( ( B = C )
             => ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(11,axiom,(
    mem @ c_2Ecomplex_2ERE @ ( arr @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ty_2Erealax_2Ereal ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ecomplex_2ERE)).

thf(75,plain,(
    mem @ c_2Ecomplex_2ERE @ ( arr @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ty_2Erealax_2Ereal ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(15,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2E_2C @ A @ A ) @ ( arr @ A @ ( arr @ B @ ( ty_2Epair_2Eprod @ A @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Epair_2E_2C)).

thf(82,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2E_2C @ A @ A ) @ ( arr @ A @ ( arr @ B @ ( ty_2Epair_2Eprod @ A @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(163,plain,
    ( ! [A: tp__ty_2Erealax_2Ereal,B: tp__ty_2Erealax_2Ereal] :
        ( ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Erealax_2Ereal__neg @ ( inj__ty_2Erealax_2Ereal @ A ) ) )
          = B )
       => ( A
          = ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Erealax_2Ereal__neg @ ( inj__ty_2Erealax_2Ereal @ B ) ) ) ) )
    & ! [A: tp__ty_2Erealax_2Ereal,B: tp__ty_2Erealax_2Ereal] :
        ( ( A
          = ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Erealax_2Ereal__neg @ ( inj__ty_2Erealax_2Ereal @ B ) ) ) )
       => ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Erealax_2Ereal__neg @ ( inj__ty_2Erealax_2Ereal @ A ) ) )
          = B ) ) ),
    inference(miniscope,[status(thm)],[162])).

thf(164,plain,(
    ! [B: tp__ty_2Erealax_2Ereal,A: tp__ty_2Erealax_2Ereal] :
      ( ( A
       != ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Erealax_2Ereal__neg @ ( inj__ty_2Erealax_2Ereal @ B ) ) ) )
      | ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Erealax_2Ereal__neg @ ( inj__ty_2Erealax_2Ereal @ A ) ) )
        = B ) ) ),
    inference(cnf,[status(esa)],[163])).

thf(166,plain,(
    ! [B: tp__ty_2Erealax_2Ereal,A: tp__ty_2Erealax_2Ereal] :
      ( ( A
       != ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Erealax_2Ereal__neg @ ( inj__ty_2Erealax_2Ereal @ B ) ) ) )
      | ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Erealax_2Ereal__neg @ ( inj__ty_2Erealax_2Ereal @ A ) ) )
        = B ) ) ),
    inference(lifteq,[status(thm)],[164])).

thf(167,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Erealax_2Ereal__neg @ ( inj__ty_2Erealax_2Ereal @ ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Erealax_2Ereal__neg @ ( inj__ty_2Erealax_2Ereal @ A ) ) ) ) ) )
      = A ) ),
    inference(simp,[status(thm)],[166])).

thf(1116,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Erealax_2Ereal__neg @ ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Erealax_2Ereal__neg @ ( inj__ty_2Erealax_2Ereal @ A ) ) ) ) ) )
      = A ) ),
    inference(rewrite,[status(thm)],[167,134])).

thf(38,axiom,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal,B: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( A = B )
    <=> ( ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2ERE @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
          = ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2ERE @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ B ) ) ) )
        & ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2EIM @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
          = ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2EIM @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ B ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ecomplex_2ECOMPLEX__RE__IM__EQ)).

thf(151,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal,B: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( ( A = B )
       => ( ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2ERE @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
            = ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2ERE @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ B ) ) ) )
          & ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2EIM @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
            = ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2EIM @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ B ) ) ) ) ) )
      & ( ( ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2ERE @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
            = ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2ERE @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ B ) ) ) )
          & ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2EIM @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
            = ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2EIM @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ B ) ) ) ) )
       => ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(190,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( mem @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) ),
    inference(cnf,[status(esa)],[189])).

thf(34,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ A )
     => ! [D: $i] :
          ( ( mem @ D @ B )
         => ( ( ap @ ( c_2Epair_2ESND @ A @ A ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ A ) @ C ) @ D ) )
            = D ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Epair_2ESND)).

thf(136,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ A )
     => ! [D: $i] :
          ( ( mem @ D @ B )
         => ( ( ap @ ( c_2Epair_2ESND @ A @ A ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ A ) @ C ) @ D ) )
            = D ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(79,plain,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    inference(cnf,[status(esa)],[78])).

thf(6,axiom,(
    mem @ c_2Erealax_2Ereal__neg @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Erealax_2Ereal__neg)).

thf(62,plain,(
    mem @ c_2Erealax_2Ereal__neg @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(177,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Ecomplex_2EIM @ A ) )
      = ( ap @ c_2Ecomplex_2EIM @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ),
    inference(cnf,[status(esa)],[176])).

thf(178,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( ap @ c_2Ecomplex_2EIM @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) )
      = ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Ecomplex_2EIM @ A ) ) ) ),
    inference(lifteq,[status(thm)],[177])).

thf(89,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( inj__ty_2Erealax_2Ereal @ A ) )
      = A ) ),
    inference(cnf,[status(esa)],[88])).

thf(90,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( inj__ty_2Erealax_2Ereal @ A ) )
      = A ) ),
    inference(lifteq,[status(thm)],[89])).

thf(10901,plain,(
    $false ),
    inference(cvc4,[status(thm)],[892,666,88,170,56,670,185,189,93,57,78,179,121,84,147,61,132,116,74,60,85,92,65,97,682,53,109,124,96,173,134,148,176,118,54,86,76,98,91,66,108,608,135,80,162,112,123,145,63,67,182,127,99,104,55,139,75,58,82,1116,151,190,136,79,47,62,178,90,486])).
%------------------------------------------------------------------------------
