%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:43:12 EDT 2019

% Result     : Theorem 5.93s
% Output     : CNFRefutation 5.93s
% Verified   : 
% Statistics : Number of formulae       :   27 (  27 expanded)
%              Number of leaves         :   18 (  18 expanded)
%              Depth                    :    3
%              Number of atoms          :  166 ( 166 expanded)
%              Number of equality atoms :   28 (  28 expanded)
%              Maximal formula depth    :   10 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2EBIT1_type,type,(
    c_2Earithmetic_2EBIT1: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2ENUMERAL_type,type,(
    c_2Earithmetic_2ENUMERAL: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2EZERO_type,type,(
    c_2Earithmetic_2EZERO: tyop_2Enum_2Enum )).

thf(c_2Ecomplex_2Ecomplex__div_type,type,(
    c_2Ecomplex_2Ecomplex__div: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ecomplex_2Ecomplex__inv_type,type,(
    c_2Ecomplex_2Ecomplex__inv: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ecomplex_2Ecomplex__mul_type,type,(
    c_2Ecomplex_2Ecomplex__mul: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ecomplex_2Ecomplex__of__num_type,type,(
    c_2Ecomplex_2Ecomplex__of__num: tyop_2Enum_2Enum > ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) )).

thf(3,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( A
       != ( c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0 ) )
     => ( ( c_2Ecomplex_2Ecomplex__mul @ A @ ( c_2Ecomplex_2Ecomplex__inv @ A ) )
        = ( c_2Ecomplex_2Ecomplex__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__MUL__RINV)).

thf(14,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( A
       != ( c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0 ) )
     => ( ( c_2Ecomplex_2Ecomplex__mul @ A @ ( c_2Ecomplex_2Ecomplex__inv @ A ) )
        = ( c_2Ecomplex_2Ecomplex__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(5,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( A
       != ( c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0 ) )
     => ( ( c_2Ecomplex_2Ecomplex__mul @ ( c_2Ecomplex_2Ecomplex__inv @ A ) @ A )
        = ( c_2Ecomplex_2Ecomplex__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__MUL__LINV)).

thf(20,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( A
       != ( c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0 ) )
     => ( ( c_2Ecomplex_2Ecomplex__mul @ ( c_2Ecomplex_2Ecomplex__inv @ A ) @ A )
        = ( c_2Ecomplex_2Ecomplex__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(8,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal,B: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal,C: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Ecomplex__mul @ A @ ( c_2Ecomplex_2Ecomplex__mul @ B @ C ) )
      = ( c_2Ecomplex_2Ecomplex__mul @ ( c_2Ecomplex_2Ecomplex__mul @ A @ B ) @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__MUL__ASSOC)).

thf(29,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal,B: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal,C: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Ecomplex__mul @ A @ ( c_2Ecomplex_2Ecomplex__mul @ B @ C ) )
      = ( c_2Ecomplex_2Ecomplex__mul @ ( c_2Ecomplex_2Ecomplex__mul @ A @ B ) @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(1,conjecture,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal,B: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal,C: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( C
       != ( c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0 ) )
     => ( ( A
          = ( c_2Ecomplex_2Ecomplex__div @ B @ C ) )
        = ( ( c_2Ecomplex_2Ecomplex__mul @ A @ C )
          = B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__EQ__RDIV__EQ)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal,B: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal,C: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
        ( ( C
         != ( c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0 ) )
       => ( ( A
            = ( c_2Ecomplex_2Ecomplex__div @ B @ C ) )
          = ( ( c_2Ecomplex_2Ecomplex__mul @ A @ C )
            = B ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(9,plain,(
    ~ ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal,B: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal,C: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
        ( ( C
         != ( c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0 ) )
       => ( ( A
            = ( c_2Ecomplex_2Ecomplex__div @ B @ C ) )
          = ( ( c_2Ecomplex_2Ecomplex__mul @ A @ C )
            = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(4,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal,B: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Ecomplex__mul @ A @ B )
      = ( c_2Ecomplex_2Ecomplex__mul @ B @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__MUL__COMM)).

thf(17,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal,B: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Ecomplex__mul @ A @ B )
      = ( c_2Ecomplex_2Ecomplex__mul @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(7,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal,B: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Ecomplex__div @ A @ B )
      = ( c_2Ecomplex_2Ecomplex__mul @ A @ ( c_2Ecomplex_2Ecomplex__inv @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecomplex_2Ecomplex__div)).

thf(26,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal,B: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Ecomplex__div @ A @ B )
      = ( c_2Ecomplex_2Ecomplex__mul @ A @ ( c_2Ecomplex_2Ecomplex__inv @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(6,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Ecomplex__mul @ A @ ( c_2Ecomplex_2Ecomplex__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__MUL__RID)).

thf(23,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Ecomplex__mul @ A @ ( c_2Ecomplex_2Ecomplex__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(32,plain,(
    $false ),
    inference(e,[status(thm)],[14,20,29,9,17,26,23])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.07/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.07/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.07/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.07/0.13  % CPULimit   : 300
% 0.07/0.13  % DateTime   : Wed Jul 31 09:04:26 EDT 2019
% 0.07/0.14  % CPUTime    : 
% 3.09/1.30  % [INFO] 	 Running in sequential loop mode. 
% 3.84/1.48  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.16/1.55  % [INFO] 	 iprover registered as external prover. 
% 4.16/1.55  % [INFO] 	 e registered as external prover. 
% 4.16/1.55  % [INFO] 	 cvc4 registered as external prover. 
% 4.16/1.55  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.33/1.61  % [INFO] 	 Found a conjecture and 22 axioms. Running axiom selection ... 
% 4.33/1.65  % [INFO] 	 Axiom selection finished. Selected 6 axioms (removed 16 axioms). 
% 4.61/1.67  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.63/2.11  % [INFO] 	 Killing All external provers ... 
% 5.93/2.12  % Time passed: 1840ms
% 5.93/2.12  % Effective reasoning time: 809ms
% 5.93/2.12  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 5.93/2.12  % Axioms used in derivation (6): thm_2Ecomplex_2ECOMPLEX__MUL__RINV, thm_2Ecomplex_2ECOMPLEX__MUL__RID, thm_2Ecomplex_2ECOMPLEX__MUL__COMM, thm_2Ecomplex_2Ecomplex__div, thm_2Ecomplex_2ECOMPLEX__MUL__ASSOC, thm_2Ecomplex_2ECOMPLEX__MUL__LINV
% 5.93/2.12  % No. of inferences in proof: 16
% 5.93/2.12  % No. of processed clauses: 1
% 5.93/2.12  % No. of generated clauses: 0
% 5.93/2.12  % No. of forward subsumed clauses: 0
% 5.93/2.12  % No. of backward subsumed clauses: 0
% 5.93/2.12  % No. of ground rewrite rules in store: 0
% 5.93/2.12  % No. of non-ground rewrite rules in store: 0
% 5.93/2.12  % No. of positive (non-rewrite) units in store: 0
% 5.93/2.12  % No. of negative (non-rewrite) units in store: 1
% 5.93/2.12  % No. of choice functions detected: 0
% 5.93/2.12  % No. of choice instantiations: 0
% 5.93/2.12  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 1840 ms resp. 809 ms w/o parsing
% 5.93/2.15  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.93/2.15  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 5.93/2.15  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 5.93/2.15  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 5.93/2.15  thf(c_2Enum_2E0_type, type, c_2Enum_2E0: tyop_2Enum_2Enum).
% 5.93/2.15  thf(c_2Earithmetic_2EBIT1_type, type, c_2Earithmetic_2EBIT1: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 5.93/2.15  thf(c_2Earithmetic_2ENUMERAL_type, type, c_2Earithmetic_2ENUMERAL: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 5.93/2.15  thf(c_2Earithmetic_2EZERO_type, type, c_2Earithmetic_2EZERO: tyop_2Enum_2Enum).
% 5.93/2.15  thf(c_2Ecomplex_2Ecomplex__div_type, type, c_2Ecomplex_2Ecomplex__div: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)))).
% 5.93/2.15  thf(c_2Ecomplex_2Ecomplex__inv_type, type, c_2Ecomplex_2Ecomplex__inv: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal))).
% 5.93/2.15  thf(c_2Ecomplex_2Ecomplex__mul_type, type, c_2Ecomplex_2Ecomplex__mul: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)))).
% 5.93/2.15  thf(c_2Ecomplex_2Ecomplex__of__num_type, type, c_2Ecomplex_2Ecomplex__of__num: (tyop_2Enum_2Enum > (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal))).
% 5.93/2.15  thf(3,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((~ (A = (c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0))) => ((c_2Ecomplex_2Ecomplex__mul @ A @ (c_2Ecomplex_2Ecomplex__inv @ A)) = (c_2Ecomplex_2Ecomplex__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__MUL__RINV)).
% 5.93/2.15  thf(14,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((~ (A = (c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0))) => ((c_2Ecomplex_2Ecomplex__mul @ A @ (c_2Ecomplex_2Ecomplex__inv @ A)) = (c_2Ecomplex_2Ecomplex__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 5.93/2.15  thf(5,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((~ (A = (c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0))) => ((c_2Ecomplex_2Ecomplex__mul @ (c_2Ecomplex_2Ecomplex__inv @ A) @ A) = (c_2Ecomplex_2Ecomplex__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__MUL__LINV)).
% 5.93/2.15  thf(20,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((~ (A = (c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0))) => ((c_2Ecomplex_2Ecomplex__mul @ (c_2Ecomplex_2Ecomplex__inv @ A) @ A) = (c_2Ecomplex_2Ecomplex__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 5.93/2.15  thf(8,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal),B:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal),C:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2Ecomplex__mul @ A @ (c_2Ecomplex_2Ecomplex__mul @ B @ C)) = (c_2Ecomplex_2Ecomplex__mul @ (c_2Ecomplex_2Ecomplex__mul @ A @ B) @ C)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__MUL__ASSOC)).
% 5.93/2.15  thf(29,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal),B:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal),C:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2Ecomplex__mul @ A @ (c_2Ecomplex_2Ecomplex__mul @ B @ C)) = (c_2Ecomplex_2Ecomplex__mul @ (c_2Ecomplex_2Ecomplex__mul @ A @ B) @ C)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 5.93/2.15  thf(1,conjecture,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal),B:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal),C:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((~ (C = (c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0))) => ((A = (c_2Ecomplex_2Ecomplex__div @ B @ C)) = ((c_2Ecomplex_2Ecomplex__mul @ A @ C) = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__EQ__RDIV__EQ)).
% 5.93/2.15  thf(2,negated_conjecture,((~ (! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal),B:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal),C:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((~ (C = (c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0))) => ((A = (c_2Ecomplex_2Ecomplex__div @ B @ C)) = ((c_2Ecomplex_2Ecomplex__mul @ A @ C) = B)))))),inference(neg_conjecture,[status(cth)],[1])).
% 5.93/2.15  thf(9,plain,((~ (! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal),B:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal),C:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((~ (C = (c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0))) => ((A = (c_2Ecomplex_2Ecomplex__div @ B @ C)) = ((c_2Ecomplex_2Ecomplex__mul @ A @ C) = B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 5.93/2.15  thf(4,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal),B:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2Ecomplex__mul @ A @ B) = (c_2Ecomplex_2Ecomplex__mul @ B @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__MUL__COMM)).
% 5.93/2.15  thf(17,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal),B:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2Ecomplex__mul @ A @ B) = (c_2Ecomplex_2Ecomplex__mul @ B @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 5.93/2.15  thf(7,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal),B:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2Ecomplex__div @ A @ B) = (c_2Ecomplex_2Ecomplex__mul @ A @ (c_2Ecomplex_2Ecomplex__inv @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecomplex_2Ecomplex__div)).
% 5.93/2.15  thf(26,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal),B:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2Ecomplex__div @ A @ B) = (c_2Ecomplex_2Ecomplex__mul @ A @ (c_2Ecomplex_2Ecomplex__inv @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 5.93/2.15  thf(6,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2Ecomplex__mul @ A @ (c_2Ecomplex_2Ecomplex__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO)))) = A))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecomplex_2ECOMPLEX__MUL__RID)).
% 5.93/2.15  thf(23,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2Ecomplex__mul @ A @ (c_2Ecomplex_2Ecomplex__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO)))) = A))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 5.93/2.15  thf(32,plain,($false),inference(e,[status(thm)],[14,20,29,9,17,26,23])).
% 5.93/2.15  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.93/2.15  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
