%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:43:18 EDT 2019

% Result     : Theorem 5.82s
% Output     : CNFRefutation 5.82s
% Verified   : 
% Statistics : Number of formulae       :   46 (  46 expanded)
%              Number of leaves         :   32 (  32 expanded)
%              Depth                    :    3
%              Number of atoms          :  207 ( 207 expanded)
%              Number of equality atoms :   25 (  25 expanded)
%              Maximal formula depth    :   11 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2EBIT2_type,type,(
    c_2Earithmetic_2EBIT2: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Epair_2EFST_type,type,(
    c_2Epair_2EFST: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epair_2Eprod @ TA @ TB ) > TA ) )).

thf(c_2Ecomplex_2EIM_type,type,(
    c_2Ecomplex_2EIM: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal )).

thf(c_2Earithmetic_2ENUMERAL_type,type,(
    c_2Earithmetic_2ENUMERAL: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Ecomplex_2ERE_type,type,(
    c_2Ecomplex_2ERE: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal )).

thf(c_2Epair_2ESND_type,type,(
    c_2Epair_2ESND: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epair_2Eprod @ TA @ TB ) > TB ) )).

thf(c_2Earithmetic_2EZERO_type,type,(
    c_2Earithmetic_2EZERO: tyop_2Enum_2Enum )).

thf(c_2Ecomplex_2Ecomplex__of__num_type,type,(
    c_2Ecomplex_2Ecomplex__of__num: tyop_2Enum_2Enum > ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ecomplex_2Ecomplex__of__real_type,type,(
    c_2Ecomplex_2Ecomplex__of__real: tyop_2Erealax_2Ereal > ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ecomplex_2Emodu_type,type,(
    c_2Ecomplex_2Emodu: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal )).

thf(c_2Ereal_2Epow_type,type,(
    c_2Ereal_2Epow: tyop_2Erealax_2Ereal > tyop_2Enum_2Enum > tyop_2Erealax_2Ereal )).

thf(c_2Erealax_2Ereal__add_type,type,(
    c_2Erealax_2Ereal__add: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Erealax_2Ereal__mul_type,type,(
    c_2Erealax_2Ereal__mul: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Ereal_2Ereal__of__num_type,type,(
    c_2Ereal_2Ereal__of__num: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal )).

thf(c_2Etransc_2Esqrt_type,type,(
    c_2Etransc_2Esqrt: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(12,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ A @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
      = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__RZERO)).

thf(42,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ A @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
      = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(6,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2ERE @ A )
      = ( c_2Epair_2EFST @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2ERE)).

thf(25,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2ERE @ A )
      = ( c_2Epair_2EFST @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(1,conjecture,
    ( ( c_2Ecomplex_2Emodu @ ( c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0 ) )
    = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2EMODU__0)).

thf(2,negated_conjecture,(
    ( c_2Ecomplex_2Emodu @ ( c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0 ) )
 != ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(14,plain,(
    ( c_2Ecomplex_2Emodu @ ( c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0 ) )
 != ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(7,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2ESND @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = B ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2ESND)).

thf(28,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2ESND @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = B ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(9,axiom,
    ( ( c_2Etransc_2Esqrt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
    = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Etransc_2ESQRT__0)).

thf(34,plain,
    ( ( c_2Etransc_2Esqrt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
    = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(13,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ecomplex_2Ecomplex__of__num @ A )
      = ( c_2Ecomplex_2Ecomplex__of__real @ ( c_2Ereal_2Ereal__of__num @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2Ecomplex__of__num)).

thf(45,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ecomplex_2Ecomplex__of__num @ A )
      = ( c_2Ecomplex_2Ecomplex__of__real @ ( c_2Ereal_2Ereal__of__num @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(5,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2EIM @ A )
      = ( c_2Epair_2ESND @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2EIM)).

thf(22,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2EIM @ A )
      = ( c_2Epair_2ESND @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(11,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Ecomplex__of__real @ A )
      = ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2Ecomplex__of__real)).

thf(39,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Ecomplex__of__real @ A )
      = ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(3,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Epow @ A @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) )
      = ( c_2Erealax_2Ereal__mul @ A @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EPOW__2)).

thf(16,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Epow @ A @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) )
      = ( c_2Erealax_2Ereal__mul @ A @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(8,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Emodu @ A )
      = ( c_2Etransc_2Esqrt @ ( c_2Erealax_2Ereal__add @ ( c_2Ereal_2Epow @ ( c_2Ecomplex_2ERE @ A ) @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) ) @ ( c_2Ereal_2Epow @ ( c_2Ecomplex_2EIM @ A ) @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2Emodu)).

thf(31,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Emodu @ A )
      = ( c_2Etransc_2Esqrt @ ( c_2Erealax_2Ereal__add @ ( c_2Ereal_2Epow @ ( c_2Ecomplex_2ERE @ A ) @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) ) @ ( c_2Ereal_2Epow @ ( c_2Ecomplex_2EIM @ A ) @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(10,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__RID)).

thf(36,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2EFST @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2EFST)).

thf(19,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2EFST @ TA @ TB @ ( c_2Epair_2E_2C @ TA @ TB @ A @ B ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(48,plain,(
    $false ),
    inference(e,[status(thm)],[42,25,14,28,34,45,22,39,16,31,36,19])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.06/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.12  % CPULimit   : 300
% 0.06/0.12  % DateTime   : Wed Jul 31 09:05:45 EDT 2019
% 0.06/0.12  % CPUTime    : 
% 2.62/1.19  % [INFO] 	 Running in sequential loop mode. 
% 3.44/1.38  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.78/1.45  % [INFO] 	 iprover registered as external prover. 
% 3.78/1.45  % [INFO] 	 e registered as external prover. 
% 3.78/1.45  % [INFO] 	 cvc4 registered as external prover. 
% 3.78/1.45  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.92/1.50  % [INFO] 	 Found a conjecture and 20 axioms. Running axiom selection ... 
% 4.20/1.55  % [INFO] 	 Axiom selection finished. Selected 11 axioms (removed 9 axioms). 
% 4.32/1.58  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.82/2.07  % [INFO] 	 Killing All external provers ... 
% 5.82/2.08  % Time passed: 1819ms
% 5.82/2.08  % Effective reasoning time: 877ms
% 5.82/2.08  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 5.82/2.08  % Axioms used in derivation (11): thm_2Etransc_2ESQRT__0, thm_2Ereal_2EREAL__MUL__RZERO, thm_2Epair_2ESND, thm_2Ereal_2EPOW__2, thm_2Ecomplex_2Ecomplex__of__num, thm_2Epair_2EFST, thm_2Ecomplex_2ERE, thm_2Ereal_2EREAL__ADD__RID, thm_2Ecomplex_2EIM, thm_2Ecomplex_2Ecomplex__of__real, thm_2Ecomplex_2Emodu
% 5.82/2.08  % No. of inferences in proof: 26
% 5.82/2.08  % No. of processed clauses: 1
% 5.82/2.08  % No. of generated clauses: 0
% 5.82/2.08  % No. of forward subsumed clauses: 0
% 5.82/2.08  % No. of backward subsumed clauses: 0
% 5.82/2.08  % No. of ground rewrite rules in store: 0
% 5.82/2.08  % No. of non-ground rewrite rules in store: 0
% 5.82/2.08  % No. of positive (non-rewrite) units in store: 0
% 5.82/2.08  % No. of negative (non-rewrite) units in store: 1
% 5.82/2.08  % No. of choice functions detected: 0
% 5.82/2.08  % No. of choice instantiations: 0
% 5.82/2.08  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 1819 ms resp. 877 ms w/o parsing
% 5.82/2.11  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 5.82/2.11  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 5.82/2.11  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 5.82/2.11  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 5.82/2.11  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 5.82/2.11  thf(c_2Enum_2E0_type, type, c_2Enum_2E0: tyop_2Enum_2Enum).
% 5.82/2.11  thf(c_2Earithmetic_2EBIT2_type, type, c_2Earithmetic_2EBIT2: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 5.82/2.11  thf(c_2Epair_2EFST_type, type, c_2Epair_2EFST: !>[TA: $tType,TB: $tType]: ((tyop_2Epair_2Eprod @ TA @ TB) > TA)).
% 5.82/2.11  thf(c_2Ecomplex_2EIM_type, type, c_2Ecomplex_2EIM: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > tyop_2Erealax_2Ereal)).
% 5.82/2.11  thf(c_2Earithmetic_2ENUMERAL_type, type, c_2Earithmetic_2ENUMERAL: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 5.82/2.11  thf(c_2Ecomplex_2ERE_type, type, c_2Ecomplex_2ERE: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > tyop_2Erealax_2Ereal)).
% 5.82/2.11  thf(c_2Epair_2ESND_type, type, c_2Epair_2ESND: !>[TA: $tType,TB: $tType]: ((tyop_2Epair_2Eprod @ TA @ TB) > TB)).
% 5.82/2.11  thf(c_2Earithmetic_2EZERO_type, type, c_2Earithmetic_2EZERO: tyop_2Enum_2Enum).
% 5.82/2.11  thf(c_2Ecomplex_2Ecomplex__of__num_type, type, c_2Ecomplex_2Ecomplex__of__num: (tyop_2Enum_2Enum > (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal))).
% 5.82/2.11  thf(c_2Ecomplex_2Ecomplex__of__real_type, type, c_2Ecomplex_2Ecomplex__of__real: (tyop_2Erealax_2Ereal > (tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal))).
% 5.82/2.11  thf(c_2Ecomplex_2Emodu_type, type, c_2Ecomplex_2Emodu: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > tyop_2Erealax_2Ereal)).
% 5.82/2.11  thf(c_2Ereal_2Epow_type, type, c_2Ereal_2Epow: (tyop_2Erealax_2Ereal > (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal))).
% 5.82/2.11  thf(c_2Erealax_2Ereal__add_type, type, c_2Erealax_2Ereal__add: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 5.82/2.11  thf(c_2Erealax_2Ereal__mul_type, type, c_2Erealax_2Ereal__mul: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 5.82/2.11  thf(c_2Ereal_2Ereal__of__num_type, type, c_2Ereal_2Ereal__of__num: (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal)).
% 5.82/2.11  thf(c_2Etransc_2Esqrt_type, type, c_2Etransc_2Esqrt: (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)).
% 5.82/2.11  thf(12,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ A @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__RZERO)).
% 5.82/2.11  thf(42,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ A @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 5.82/2.11  thf(6,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2ERE @ A) = (c_2Epair_2EFST @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2ERE)).
% 5.82/2.11  thf(25,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2ERE @ A) = (c_2Epair_2EFST @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 5.82/2.11  thf(1,conjecture,(((c_2Ecomplex_2Emodu @ (c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2EMODU__0)).
% 5.82/2.11  thf(2,negated_conjecture,((~ ((c_2Ecomplex_2Emodu @ (c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))),inference(neg_conjecture,[status(cth)],[1])).
% 5.82/2.11  thf(14,plain,((~ ((c_2Ecomplex_2Emodu @ (c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 5.82/2.11  thf(7,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2ESND @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = B)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2ESND)).
% 5.82/2.11  thf(28,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2ESND @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 5.82/2.11  thf(9,axiom,(((c_2Etransc_2Esqrt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Etransc_2ESQRT__0)).
% 5.82/2.11  thf(34,plain,(((c_2Etransc_2Esqrt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 5.82/2.11  thf(13,axiom,((! [A:tyop_2Enum_2Enum]: ((c_2Ecomplex_2Ecomplex__of__num @ A) = (c_2Ecomplex_2Ecomplex__of__real @ (c_2Ereal_2Ereal__of__num @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2Ecomplex__of__num)).
% 5.82/2.11  thf(45,plain,((! [A:tyop_2Enum_2Enum]: ((c_2Ecomplex_2Ecomplex__of__num @ A) = (c_2Ecomplex_2Ecomplex__of__real @ (c_2Ereal_2Ereal__of__num @ A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 5.82/2.11  thf(5,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2EIM @ A) = (c_2Epair_2ESND @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2EIM)).
% 5.82/2.11  thf(22,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2EIM @ A) = (c_2Epair_2ESND @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 5.82/2.11  thf(11,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Ecomplex_2Ecomplex__of__real @ A) = (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2Ecomplex__of__real)).
% 5.82/2.11  thf(39,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Ecomplex_2Ecomplex__of__real @ A) = (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 5.82/2.11  thf(3,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Epow @ A @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO))) = (c_2Erealax_2Ereal__mul @ A @ A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EPOW__2)).
% 5.82/2.11  thf(16,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Epow @ A @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO))) = (c_2Erealax_2Ereal__mul @ A @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 5.82/2.11  thf(8,axiom,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2Emodu @ A) = (c_2Etransc_2Esqrt @ (c_2Erealax_2Ereal__add @ (c_2Ereal_2Epow @ (c_2Ecomplex_2ERE @ A) @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO))) @ (c_2Ereal_2Epow @ (c_2Ecomplex_2EIM @ A) @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecomplex_2Emodu)).
% 5.82/2.11  thf(31,plain,((! [A:(tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal)]: ((c_2Ecomplex_2Emodu @ A) = (c_2Etransc_2Esqrt @ (c_2Erealax_2Ereal__add @ (c_2Ereal_2Epow @ (c_2Ecomplex_2ERE @ A) @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO))) @ (c_2Ereal_2Epow @ (c_2Ecomplex_2EIM @ A) @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 5.82/2.11  thf(10,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = A))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__RID)).
% 5.82/2.11  thf(36,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = A))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 5.82/2.11  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2EFST @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2EFST)).
% 5.82/2.11  thf(19,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB]: ((c_2Epair_2EFST @ TA @ TB @ (c_2Epair_2E_2C @ TA @ TB @ A @ B)) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 5.82/2.11  thf(48,plain,($false),inference(e,[status(thm)],[42,25,14,28,34,45,22,39,16,31,36,19])).
% 5.82/2.11  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 5.82/2.11  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
