%------------------------------------------------------------------------------
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(app_2E2_type,type,(
    app_2E2: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ TB ) > TA > TB ) )).

thf(combin_i_2E0_type,type,(
    combin_i_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ TA @ TA ) )).

thf(combin_k_2E0_type,type,(
    combin_k_2E0: 
      !>[TA: $tType,TB: $tType] :
        ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) ) )).

thf(combin_s_2E0_type,type,(
    combin_s_2E0: 
      !>[TA: $tType,TB: $tType,TC: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) ) )).

thf(c_2Epair_2E_2C_2E0_type,type,(
    c_2Epair_2E_2C_2E0: 
      !>[TA: $tType,TB: $tType] :
        ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ ( tyop_2Epair_2Eprod @ TA @ TB ) ) ) )).

thf(c_2Epair_2E_2C_2E2_type,type,(
    c_2Epair_2E_2C_2E2: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Enum_2E0_2E0_type,type,(
    c_2Enum_2E0_2E0: tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2EBIT2_2E0_type,type,(
    c_2Earithmetic_2EBIT2_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) )).

thf(c_2Earithmetic_2EBIT2_2E1_type,type,(
    c_2Earithmetic_2EBIT2_2E1: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Epair_2EFST_2E0_type,type,(
    c_2Epair_2EFST_2E0: 
      !>[TA: $tType,TB: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ TA ) )).

thf(c_2Epair_2EFST_2E1_type,type,(
    c_2Epair_2EFST_2E1: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epair_2Eprod @ TA @ TB ) > TA ) )).

thf(c_2Ecomplex_2EIM_2E0_type,type,(
    c_2Ecomplex_2EIM_2E0: ( tyop_2Emin_2Efun @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ecomplex_2EIM_2E1_type,type,(
    c_2Ecomplex_2EIM_2E1: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal )).

thf(c_2Earithmetic_2ENUMERAL_2E0_type,type,(
    c_2Earithmetic_2ENUMERAL_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) )).

thf(c_2Earithmetic_2ENUMERAL_2E1_type,type,(
    c_2Earithmetic_2ENUMERAL_2E1: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Ecomplex_2ERE_2E0_type,type,(
    c_2Ecomplex_2ERE_2E0: ( tyop_2Emin_2Efun @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ecomplex_2ERE_2E1_type,type,(
    c_2Ecomplex_2ERE_2E1: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal )).

thf(c_2Epair_2ESND_2E0_type,type,(
    c_2Epair_2ESND_2E0: 
      !>[TA: $tType,TB: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ TB ) )).

thf(c_2Epair_2ESND_2E1_type,type,(
    c_2Epair_2ESND_2E1: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Epair_2Eprod @ TA @ TB ) > TB ) )).

thf(c_2Earithmetic_2EZERO_2E0_type,type,(
    c_2Earithmetic_2EZERO_2E0: tyop_2Enum_2Enum )).

thf(c_2Ecomplex_2Ecomplex__of__num_2E0_type,type,(
    c_2Ecomplex_2Ecomplex__of__num_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) ) )).

thf(c_2Ecomplex_2Ecomplex__of__num_2E1_type,type,(
    c_2Ecomplex_2Ecomplex__of__num_2E1: tyop_2Enum_2Enum > ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ecomplex_2Ecomplex__of__real_2E0_type,type,(
    c_2Ecomplex_2Ecomplex__of__real_2E0: ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) ) )).

thf(c_2Ecomplex_2Ecomplex__of__real_2E1_type,type,(
    c_2Ecomplex_2Ecomplex__of__real_2E1: tyop_2Erealax_2Ereal > ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ecomplex_2Emodu_2E0_type,type,(
    c_2Ecomplex_2Emodu_2E0: ( tyop_2Emin_2Efun @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ecomplex_2Emodu_2E1_type,type,(
    c_2Ecomplex_2Emodu_2E1: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal )).

thf(c_2Ereal_2Epow_2E0_type,type,(
    c_2Ereal_2Epow_2E0: ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal ) ) )).

thf(c_2Ereal_2Epow_2E2_type,type,(
    c_2Ereal_2Epow_2E2: tyop_2Erealax_2Ereal > tyop_2Enum_2Enum > tyop_2Erealax_2Ereal )).

thf(c_2Erealax_2Ereal__add_2E0_type,type,(
    c_2Erealax_2Ereal__add_2E0: ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) ) )).

thf(c_2Erealax_2Ereal__add_2E2_type,type,(
    c_2Erealax_2Ereal__add_2E2: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Erealax_2Ereal__mul_2E0_type,type,(
    c_2Erealax_2Ereal__mul_2E0: ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) ) )).

thf(c_2Erealax_2Ereal__mul_2E2_type,type,(
    c_2Erealax_2Ereal__mul_2E2: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Ereal_2Ereal__of__num_2E0_type,type,(
    c_2Ereal_2Ereal__of__num_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ereal_2Ereal__of__num_2E1_type,type,(
    c_2Ereal_2Ereal__of__num_2E1: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal )).

thf(c_2Etransc_2Esqrt_2E0_type,type,(
    c_2Etransc_2Esqrt_2E0: ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) )).

thf(c_2Etransc_2Esqrt_2E1_type,type,(
    c_2Etransc_2Esqrt_2E1: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(24,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ c_2Erealax_2Ereal__mul_2E0 @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Erealax_2Ereal__mul_2E2)).

thf(101,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ c_2Erealax_2Ereal__mul_2E0 @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(9,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Emin_2Efun @ TA @ TB,B: tyop_2Emin_2Efun @ TA @ TB] :
      ( ! [C: TA] :
          ( ( app_2E2 @ TA @ TB @ A @ C )
          = ( app_2E2 @ TA @ TB @ B @ C ) )
     => ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Eeq__ext)).

thf(56,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Emin_2Efun @ TA @ TB,B: tyop_2Emin_2Efun @ TA @ TB] :
      ( ! [C: TA] :
          ( ( app_2E2 @ TA @ TB @ A @ C )
          = ( app_2E2 @ TA @ TB @ B @ C ) )
     => ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(27,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Ecomplex__of__real_2E1 @ A )
      = ( c_2Epair_2E_2C_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecomplex_2Ecomplex__of__real)).

thf(110,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Ecomplex__of__real_2E1 @ A )
      = ( c_2Epair_2E_2C_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(32,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ecomplex_2Ecomplex__of__num_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ c_2Ecomplex_2Ecomplex__of__num_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ecomplex_2Ecomplex__of__num_2E1)).

thf(125,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ecomplex_2Ecomplex__of__num_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ c_2Ecomplex_2Ecomplex__of__num_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(20,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2ENUMERAL_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2ENUMERAL_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Earithmetic_2ENUMERAL_2E1)).

thf(89,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2ENUMERAL_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2ENUMERAL_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(35,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Emodu_2E1 @ A )
      = ( c_2Etransc_2Esqrt_2E1 @ ( c_2Erealax_2Ereal__add_2E2 @ ( c_2Ereal_2Epow_2E2 @ ( c_2Ecomplex_2ERE_2E1 @ A ) @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT2_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) @ ( c_2Ereal_2Epow_2E2 @ ( c_2Ecomplex_2EIM_2E1 @ A ) @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT2_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecomplex_2Emodu)).

thf(133,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Emodu_2E1 @ A )
      = ( c_2Etransc_2Esqrt_2E1 @ ( c_2Erealax_2Ereal__add_2E2 @ ( c_2Ereal_2Epow_2E2 @ ( c_2Ecomplex_2ERE_2E1 @ A ) @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT2_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) @ ( c_2Ereal_2Epow_2E2 @ ( c_2Ecomplex_2EIM_2E1 @ A ) @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT2_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(29,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ereal_2Ereal__of__num_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal @ c_2Ereal_2Ereal__of__num_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ereal_2Ereal__of__num_2E1)).

thf(116,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ereal_2Ereal__of__num_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal @ c_2Ereal_2Ereal__of__num_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(15,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( app_2E2 @ TA @ TA @ ( combin_i_2E0 @ TA ) @ A )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Ei__thm)).

thf(74,plain,(
    ! [TA: $tType,A: TA] :
      ( ( app_2E2 @ TA @ TA @ ( combin_i_2E0 @ TA ) @ A )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2EFST_2E1 @ TA @ TB @ ( c_2Epair_2E_2C_2E2 @ TA @ TB @ A @ B ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2EFST)).

thf(38,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2EFST_2E1 @ TA @ TB @ ( c_2Epair_2E_2C_2E2 @ TA @ TB @ A @ B ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(21,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Epair_2EFST_2E1 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A )
      = ( app_2E2 @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal @ ( c_2Epair_2EFST_2E0 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Epair_2EFST_2E1_2Emono_2Etyop_2Erealax_2Ereal_20mono_2Etyop_2Erealax_2Ereal)).

thf(92,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Epair_2EFST_2E1 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A )
      = ( app_2E2 @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal @ ( c_2Epair_2EFST_2E0 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(12,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( app_2E2 @ TB @ TA @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) @ ( combin_k_2E0 @ TA @ TB ) @ A ) @ B )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Ek__thm)).

thf(65,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( app_2E2 @ TB @ TA @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) @ ( combin_k_2E0 @ TA @ TB ) @ A ) @ B )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(8,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2ERE_2E1 @ A )
      = ( c_2Epair_2EFST_2E1 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecomplex_2ERE)).

thf(53,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2ERE_2E1 @ A )
      = ( c_2Epair_2EFST_2E1 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(16,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Epair_2ESND_2E1 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A )
      = ( app_2E2 @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal @ ( c_2Epair_2ESND_2E0 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Epair_2ESND_2E1_2Emono_2Etyop_2Erealax_2Ereal_20mono_2Etyop_2Erealax_2Ereal)).

thf(77,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Epair_2ESND_2E1 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A )
      = ( app_2E2 @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal @ ( c_2Epair_2ESND_2E0 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(4,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2EBIT2_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2EBIT2_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Earithmetic_2EBIT2_2E1)).

thf(41,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2EBIT2_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2EBIT2_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(33,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Emodu_2E1 @ A )
      = ( app_2E2 @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal @ c_2Ecomplex_2Emodu_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ecomplex_2Emodu_2E1)).

thf(128,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Emodu_2E1 @ A )
      = ( app_2E2 @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal @ c_2Ecomplex_2Emodu_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(5,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Etransc_2Esqrt_2E1 @ A )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ c_2Etransc_2Esqrt_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Etransc_2Esqrt_2E1)).

thf(44,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Etransc_2Esqrt_2E1 @ A )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ c_2Etransc_2Esqrt_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(10,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2ERE_2E1 @ A )
      = ( app_2E2 @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal @ c_2Ecomplex_2ERE_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ecomplex_2ERE_2E1)).

thf(59,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2ERE_2E1 @ A )
      = ( app_2E2 @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal @ c_2Ecomplex_2ERE_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(14,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Ecomplex__of__real_2E1 @ A )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ c_2Ecomplex_2Ecomplex__of__real_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ecomplex_2Ecomplex__of__real_2E1)).

thf(71,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Ecomplex__of__real_2E1 @ A )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ c_2Ecomplex_2Ecomplex__of__real_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(19,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2EIM_2E1 @ A )
      = ( c_2Epair_2ESND_2E1 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecomplex_2EIM)).

thf(86,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2EIM_2E1 @ A )
      = ( c_2Epair_2ESND_2E1 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(28,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ecomplex_2Ecomplex__of__num_2E1 @ A )
      = ( c_2Ecomplex_2Ecomplex__of__real_2E1 @ ( c_2Ereal_2Ereal__of__num_2E1 @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecomplex_2Ecomplex__of__num)).

thf(113,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ecomplex_2Ecomplex__of__num_2E1 @ A )
      = ( c_2Ecomplex_2Ecomplex__of__real_2E1 @ ( c_2Ereal_2Ereal__of__num_2E1 @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(23,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Epair_2E_2C_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) ) @ ( c_2Epair_2E_2C_2E0 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Epair_2E_2C_2E2_2Emono_2Etyop_2Erealax_2Ereal_20mono_2Etyop_2Erealax_2Ereal)).

thf(98,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Epair_2E_2C_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) ) @ ( c_2Epair_2E_2C_2E0 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(17,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ),B: tyop_2Emin_2Efun @ TA @ TB,C: TA] :
      ( ( app_2E2 @ TA @ TC @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) @ ( combin_s_2E0 @ TA @ TB @ TC ) @ A ) @ B ) @ C )
      = ( app_2E2 @ TB @ TC @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) @ A @ C ) @ ( app_2E2 @ TA @ TB @ B @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Es__thm)).

thf(80,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ),B: tyop_2Emin_2Efun @ TA @ TB,C: TA] :
      ( ( app_2E2 @ TA @ TC @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) @ ( combin_s_2E0 @ TA @ TB @ TC ) @ A ) @ B ) @ C )
      = ( app_2E2 @ TB @ TC @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) @ A @ C ) @ ( app_2E2 @ TA @ TB @ B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(22,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2EIM_2E1 @ A )
      = ( app_2E2 @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal @ c_2Ecomplex_2EIM_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ecomplex_2EIM_2E1)).

thf(95,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2EIM_2E1 @ A )
      = ( app_2E2 @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal @ c_2Ecomplex_2EIM_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(7,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2ESND_2E1 @ TA @ TB @ ( c_2Epair_2E_2C_2E2 @ TA @ TB @ A @ B ) )
      = B ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2ESND)).

thf(50,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2ESND_2E1 @ TA @ TB @ ( c_2Epair_2E_2C_2E2 @ TA @ TB @ A @ B ) )
      = B ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(25,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Epow_2E2 @ A @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT2_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) )
      = ( c_2Erealax_2Ereal__mul_2E2 @ A @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EPOW__2)).

thf(104,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Epow_2E2 @ A @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT2_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) )
      = ( c_2Erealax_2Ereal__mul_2E2 @ A @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(30,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul_2E2 @ A @ ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
      = ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__RZERO)).

thf(119,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul_2E2 @ A @ ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
      = ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(1,conjecture,
    ( ( c_2Ecomplex_2Emodu_2E1 @ ( c_2Ecomplex_2Ecomplex__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
    = ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecomplex_2EMODU__0)).

thf(2,negated_conjecture,(
    ( c_2Ecomplex_2Emodu_2E1 @ ( c_2Ecomplex_2Ecomplex__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
 != ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(36,plain,(
    ( c_2Ecomplex_2Emodu_2E1 @ ( c_2Ecomplex_2Ecomplex__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
 != ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(26,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB] :
      ( ( c_2Epair_2ESND_2E1 @ TA @ TB @ A )
      = ( app_2E2 @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ TB @ ( c_2Epair_2ESND_2E0 @ TA @ TB ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Epair_2ESND_2E1_2Emono_2EA_27a_20mono_2EA_27b)).

thf(107,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB] :
      ( ( c_2Epair_2ESND_2E1 @ TA @ TB @ A )
      = ( app_2E2 @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ TB @ ( c_2Epair_2ESND_2E0 @ TA @ TB ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(34,axiom,
    ( ( c_2Etransc_2Esqrt_2E1 @ ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
    = ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Etransc_2ESQRT__0)).

thf(131,plain,
    ( ( c_2Etransc_2Esqrt_2E1 @ ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
    = ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(6,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB] :
      ( ( c_2Epair_2EFST_2E1 @ TA @ TB @ A )
      = ( app_2E2 @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ TA @ ( c_2Epair_2EFST_2E0 @ TA @ TB ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Epair_2EFST_2E1_2Emono_2EA_27a_20mono_2EA_27b)).

thf(47,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Epair_2Eprod @ TA @ TB] :
      ( ( c_2Epair_2EFST_2E1 @ TA @ TB @ A )
      = ( app_2E2 @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ TA @ ( c_2Epair_2EFST_2E0 @ TA @ TB ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(13,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2E_2C_2E2 @ TA @ TB @ A @ B )
      = ( app_2E2 @ TB @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ ( tyop_2Epair_2Eprod @ TA @ TB ) ) @ ( c_2Epair_2E_2C_2E0 @ TA @ TB ) @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Epair_2E_2C_2E2_2Emono_2EA_27a_20mono_2EA_27b)).

thf(68,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( c_2Epair_2E_2C_2E2 @ TA @ TB @ A @ B )
      = ( app_2E2 @ TB @ ( tyop_2Epair_2Eprod @ TA @ TB ) @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ ( tyop_2Epair_2Eprod @ TA @ TB ) ) @ ( c_2Epair_2E_2C_2E0 @ TA @ TB ) @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(11,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Enum_2Enum] :
      ( ( c_2Ereal_2Epow_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal ) @ c_2Ereal_2Epow_2E0 @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Ereal_2Epow_2E2)).

thf(62,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Enum_2Enum] :
      ( ( c_2Ereal_2Epow_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal ) @ c_2Ereal_2Epow_2E0 @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(31,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add_2E2 @ A @ ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__RID)).

thf(122,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add_2E2 @ A @ ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(18,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ c_2Erealax_2Ereal__add_2E0 @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Erealax_2Ereal__add_2E2)).

thf(83,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ c_2Erealax_2Ereal__add_2E0 @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(136,plain,(
    $false ),
    inference(e,[status(thm)],[101,56,110,125,89,133,116,74,38,92,65,53,77,41,128,44,59,71,86,113,98,80,95,50,104,119,36,107,131,47,68,62,122,83])).
%------------------------------------------------------------------------------
