%------------------------------------------------------------------------------
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(app_2E2_type,type,(
    app_2E2: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ TB ) > TA > TB ) )).

thf(p_type,type,(
    p: tyop_2Emin_2Ebool > $o )).

thf(combin_i_2E0_type,type,(
    combin_i_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ TA @ TA ) )).

thf(combin_k_2E0_type,type,(
    combin_k_2E0: 
      !>[TA: $tType,TB: $tType] :
        ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) ) )).

thf(combin_s_2E0_type,type,(
    combin_s_2E0: 
      !>[TA: $tType,TB: $tType,TC: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) ) )).

thf(c_2Ebool_2E_21_2E0_type,type,(
    c_2Ebool_2E_21_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_21_2E1_type,type,(
    c_2Ebool_2E_21_2E1: 
      !>[TA: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) > tyop_2Emin_2Ebool ) )).

thf(c_2Ereal_2E_2F_2E0_type,type,(
    c_2Ereal_2E_2F_2E0: ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) ) )).

thf(c_2Ereal_2E_2F_2E2_type,type,(
    c_2Ereal_2E_2F_2E2: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Ebool_2E_2F_5C_2E0_type,type,(
    c_2Ebool_2E_2F_5C_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Ebool_2E_2F_5C_2E2_type,type,(
    c_2Ebool_2E_2F_5C_2E2: tyop_2Emin_2Ebool > tyop_2Emin_2Ebool > tyop_2Emin_2Ebool )).

thf(c_2Enum_2E0_2E0_type,type,(
    c_2Enum_2E0_2E0: tyop_2Enum_2Enum )).

thf(c_2Emin_2E_3D_2E0_type,type,(
    c_2Emin_2E_3D_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Emin_2E_3D_2E2_type,type,(
    c_2Emin_2E_3D_2E2: 
      !>[TA: $tType] :
        ( TA > TA > tyop_2Emin_2Ebool ) )).

thf(c_2Emin_2E_3D_3D_3E_2E0_type,type,(
    c_2Emin_2E_3D_3D_3E_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Emin_2E_3D_3D_3E_2E2_type,type,(
    c_2Emin_2E_3D_3D_3E_2E2: tyop_2Emin_2Ebool > tyop_2Emin_2Ebool > tyop_2Emin_2Ebool )).

thf(c_2Ebool_2E_3F_2E0_type,type,(
    c_2Ebool_2E_3F_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_3F_2E1_type,type,(
    c_2Ebool_2E_3F_2E1: 
      !>[TA: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) > tyop_2Emin_2Ebool ) )).

thf(c_2Earithmetic_2EBIT1_2E0_type,type,(
    c_2Earithmetic_2EBIT1_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) )).

thf(c_2Earithmetic_2EBIT1_2E1_type,type,(
    c_2Earithmetic_2EBIT1_2E1: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Ebool_2EF_2E0_type,type,(
    c_2Ebool_2EF_2E0: tyop_2Emin_2Ebool )).

thf(c_2Ecomplex_2EIM_2E0_type,type,(
    c_2Ecomplex_2EIM_2E0: ( tyop_2Emin_2Efun @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ecomplex_2EIM_2E1_type,type,(
    c_2Ecomplex_2EIM_2E1: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal )).

thf(c_2Earithmetic_2ENUMERAL_2E0_type,type,(
    c_2Earithmetic_2ENUMERAL_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) )).

thf(c_2Earithmetic_2ENUMERAL_2E1_type,type,(
    c_2Earithmetic_2ENUMERAL_2E1: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Ecomplex_2ERE_2E0_type,type,(
    c_2Ecomplex_2ERE_2E0: ( tyop_2Emin_2Efun @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ecomplex_2ERE_2E1_type,type,(
    c_2Ecomplex_2ERE_2E1: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal )).

thf(c_2Ebool_2ET_2E0_type,type,(
    c_2Ebool_2ET_2E0: tyop_2Emin_2Ebool )).

thf(c_2Earithmetic_2EZERO_2E0_type,type,(
    c_2Earithmetic_2EZERO_2E0: tyop_2Enum_2Enum )).

thf(c_2Ebool_2E_5C_2F_2E0_type,type,(
    c_2Ebool_2E_5C_2F_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Ebool_2E_5C_2F_2E2_type,type,(
    c_2Ebool_2E_5C_2F_2E2: tyop_2Emin_2Ebool > tyop_2Emin_2Ebool > tyop_2Emin_2Ebool )).

thf(c_2Ereal_2Eabs_2E0_type,type,(
    c_2Ereal_2Eabs_2E0: ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ereal_2Eabs_2E1_type,type,(
    c_2Ereal_2Eabs_2E1: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Ecomplex_2Ecomplex__of__num_2E0_type,type,(
    c_2Ecomplex_2Ecomplex__of__num_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) ) )).

thf(c_2Ecomplex_2Ecomplex__of__num_2E1_type,type,(
    c_2Ecomplex_2Ecomplex__of__num_2E1: tyop_2Enum_2Enum > ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ecomplex_2Emodu_2E0_type,type,(
    c_2Ecomplex_2Emodu_2E0: ( tyop_2Emin_2Efun @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ecomplex_2Emodu_2E1_type,type,(
    c_2Ecomplex_2Emodu_2E1: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal )).

thf(c_2Erealax_2Ereal__lt_2E0_type,type,(
    c_2Erealax_2Ereal__lt_2E0: ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Erealax_2Ereal__lt_2E2_type,type,(
    c_2Erealax_2Ereal__lt_2E2: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Emin_2Ebool )).

thf(c_2Ereal_2Ereal__lte_2E0_type,type,(
    c_2Ereal_2Ereal__lte_2E0: ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Ereal_2Ereal__lte_2E2_type,type,(
    c_2Ereal_2Ereal__lte_2E2: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Emin_2Ebool )).

thf(c_2Erealax_2Ereal__mul_2E0_type,type,(
    c_2Erealax_2Ereal__mul_2E0: ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) ) )).

thf(c_2Erealax_2Ereal__mul_2E2_type,type,(
    c_2Erealax_2Ereal__mul_2E2: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Erealax_2Ereal__neg_2E0_type,type,(
    c_2Erealax_2Ereal__neg_2E0: ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) )).

thf(c_2Erealax_2Ereal__neg_2E1_type,type,(
    c_2Erealax_2Ereal__neg_2E1: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Ereal_2Ereal__of__num_2E0_type,type,(
    c_2Ereal_2Ereal__of__num_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ereal_2Ereal__of__num_2E1_type,type,(
    c_2Ereal_2Ereal__of__num_2E1: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal )).

thf(c_2Ebool_2E_7E_2E0_type,type,(
    c_2Ebool_2E_7E_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_7E_2E1_type,type,(
    c_2Ebool_2E_7E_2E1: tyop_2Emin_2Ebool > tyop_2Emin_2Ebool )).

thf(14,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ c_2Ereal_2Ereal__lte_2E0 @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Ereal_2Ereal__lte_2E2)).

thf(101,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ c_2Ereal_2Ereal__lte_2E0 @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(29,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
        | ( p @ B ) )
    <=> ( ( p @ B )
        | ( p @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EDISJ__SYM)).

thf(249,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
          | ( p @ B ) )
       => ( ( p @ B )
          | ( p @ A ) ) )
      & ( ( ( p @ B )
          | ( p @ A ) )
       => ( ( p @ A )
          | ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(26,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ~ ( ~ ( p @ B )
            | ( p @ A ) )
       => ( p @ c_2Ebool_2EF_2E0 ) )
    <=> ( ( p @ B )
       => ( ~ ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL3)).

thf(234,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ~ ( ~ ( p @ B )
              | ( p @ A ) )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ( ( p @ B )
         => ( ~ ( p @ A )
           => ( p @ c_2Ebool_2EF_2E0 ) ) ) )
      & ( ( ( p @ B )
         => ( ~ ( p @ A )
           => ( p @ c_2Ebool_2EF_2E0 ) ) )
       => ( ~ ( ~ ( p @ B )
              | ( p @ A ) )
         => ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(59,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ~ ( p @ A )
       => ( p @ c_2Ebool_2EF_2E0 ) )
     => ( ( ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ( p @ c_2Ebool_2EF_2E0 ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV2)).

thf(481,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ~ ( p @ A )
       => ( p @ c_2Ebool_2EF_2E0 ) )
     => ( ( ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ( p @ c_2Ebool_2EF_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[59])).

thf(36,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( p @ ( c_2Erealax_2Ereal__lt_2E2 @ ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ A ) )
        & ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ B @ ( c_2Erealax_2Ereal__mul_2E2 @ C @ A ) ) ) )
     => ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ ( c_2Ereal_2E_2F_2E2 @ B @ A ) @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__LDIV)).

thf(276,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( p @ ( c_2Erealax_2Ereal__lt_2E2 @ ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ A ) )
        & ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ B @ ( c_2Erealax_2Ereal__mul_2E2 @ C @ A ) ) ) )
     => ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ ( c_2Ereal_2E_2F_2E2 @ B @ A ) @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(32,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ~ ~ ( p @ A )
    <=> ( p @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2ENOT__NOT)).

thf(269,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(19,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( p @ C )
      <=> ( ( p @ B )
          | ( p @ A ) ) )
    <=> ( ( ( p @ C )
          | ~ ( p @ B ) )
        & ( ( p @ C )
          | ~ ( p @ A ) )
        & ( ( p @ B )
          | ( p @ A )
          | ~ ( p @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2Edc__disj)).

thf(153,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( ( ( p @ C )
           => ( ( p @ B )
              | ( p @ A ) ) )
          & ( ( ( p @ B )
              | ( p @ A ) )
           => ( p @ C ) ) )
       => ( ( ( p @ C )
            | ~ ( p @ B ) )
          & ( ( p @ C )
            | ~ ( p @ A ) )
          & ( ( p @ B )
            | ( p @ A )
            | ~ ( p @ C ) ) ) )
      & ( ( ( ( p @ C )
            | ~ ( p @ B ) )
          & ( ( p @ C )
            | ~ ( p @ A ) )
          & ( ( p @ B )
            | ( p @ A )
            | ~ ( p @ C ) ) )
       => ( ( ( p @ C )
           => ( ( p @ B )
              | ( p @ A ) ) )
          & ( ( ( p @ B )
              | ( p @ A ) )
           => ( p @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(21,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ ( c_2Ereal_2Eabs_2E1 @ A ) @ B ) )
    <=> ( ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ ( c_2Erealax_2Ereal__neg_2E1 @ B ) @ A ) )
        & ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ A @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EABS__BOUNDS)).

thf(185,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ ( c_2Ereal_2Eabs_2E1 @ A ) @ B ) )
       => ( ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ ( c_2Erealax_2Ereal__neg_2E1 @ B ) @ A ) )
          & ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ A @ B ) ) ) )
      & ( ( ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ ( c_2Erealax_2Ereal__neg_2E1 @ B ) @ A ) )
          & ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ A @ B ) ) )
       => ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ ( c_2Ereal_2Eabs_2E1 @ A ) @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(30,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_21_2E1 @ TA @ A ) )
    <=> ! [B: TA] :
          ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(257,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_21_2E1 @ TA @ A ) )
       => ! [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) )
      & ( ! [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) )
       => ( p @ ( c_2Ebool_2E_21_2E1 @ TA @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(16,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
       => ( p @ B ) )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Emin_2E_3D_3D_3E_2E0 @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Emin_2E_3D_3D_3E_2E2)).

thf(106,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
         => ( p @ B ) )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Emin_2E_3D_3D_3E_2E0 @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Emin_2E_3D_3D_3E_2E0 @ A ) @ B ) )
       => ( ( p @ A )
         => ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(39,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( p @ C )
      <=> ( B = A ) )
    <=> ( ( ( p @ C )
          | ( p @ B )
          | ( p @ A ) )
        & ( ( p @ C )
          | ~ ( p @ A )
          | ~ ( p @ B ) )
        & ( ( p @ B )
          | ~ ( p @ A )
          | ~ ( p @ C ) )
        & ( ( p @ A )
          | ~ ( p @ B )
          | ~ ( p @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2Edc__eq)).

thf(293,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( ( ( p @ C )
           => ( B = A ) )
          & ( ( B = A )
           => ( p @ C ) ) )
       => ( ( ( p @ C )
            | ( p @ B )
            | ( p @ A ) )
          & ( ( p @ C )
            | ~ ( p @ A )
            | ~ ( p @ B ) )
          & ( ( p @ B )
            | ~ ( p @ A )
            | ~ ( p @ C ) )
          & ( ( p @ A )
            | ~ ( p @ B )
            | ~ ( p @ C ) ) ) )
      & ( ( ( ( p @ C )
            | ( p @ B )
            | ( p @ A ) )
          & ( ( p @ C )
            | ~ ( p @ A )
            | ~ ( p @ B ) )
          & ( ( p @ B )
            | ~ ( p @ A )
            | ~ ( p @ C ) )
          & ( ( p @ A )
            | ~ ( p @ B )
            | ~ ( p @ C ) ) )
       => ( ( ( p @ C )
           => ( B = A ) )
          & ( ( B = A )
           => ( p @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).

thf(10,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2EIM_2E1 @ A )
      = ( app_2E2 @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal @ c_2Ecomplex_2EIM_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ecomplex_2EIM_2E1)).

thf(89,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2EIM_2E1 @ A )
      = ( app_2E2 @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal @ c_2Ecomplex_2EIM_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(5,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ c_2Erealax_2Ereal__lt_2E0 @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Erealax_2Ereal__lt_2E2)).

thf(74,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ c_2Erealax_2Ereal__lt_2E0 @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(28,axiom,(
    p @ c_2Ebool_2ET_2E0 ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(248,plain,(
    p @ c_2Ebool_2ET_2E0 ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(33,axiom,(
    p @ c_2Ebool_2ET_2E0 ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Etruth)).

thf(270,plain,(
    p @ c_2Ebool_2ET_2E0 ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(24,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2ERE_2E1 @ A )
      = ( app_2E2 @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal @ c_2Ecomplex_2ERE_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ecomplex_2ERE_2E1)).

thf(201,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2ERE_2E1 @ A )
      = ( app_2E2 @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal @ c_2Ecomplex_2ERE_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(42,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( p @ ( c_2Emin_2E_3D_2E2 @ TA @ A @ B ) )
    <=> ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(381,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( p @ ( c_2Emin_2E_3D_2E2 @ TA @ A @ B ) )
       => ( A = B ) )
      & ( ( A = B )
       => ( p @ ( c_2Emin_2E_3D_2E2 @ TA @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).

thf(31,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
       => ( p @ B ) )
     => ( ( ( p @ B )
         => ( p @ A ) )
       => ( A = B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__ANTISYM__AX)).

thf(260,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
       => ( p @ B ) )
     => ( ( ( p @ B )
         => ( p @ A ) )
       => ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(11,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_21_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E0 @ TA ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ebool_2E_21_2E1_2Emono_2EA_27a)).

thf(92,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_21_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E0 @ TA ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(56,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2E_2F_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ c_2Ereal_2E_2F_2E0 @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Ereal_2E_2F_2E2)).

thf(467,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2E_2F_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ c_2Ereal_2E_2F_2E0 @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[56])).

thf(41,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ B )
      <=> ~ ( p @ A ) )
    <=> ( ( ( p @ B )
          | ( p @ A ) )
        & ( ~ ( p @ A )
          | ~ ( p @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2Edc__neg)).

thf(361,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( ( p @ B )
           => ~ ( p @ A ) )
          & ( ~ ( p @ A )
           => ( p @ B ) ) )
       => ( ( ( p @ B )
            | ( p @ A ) )
          & ( ~ ( p @ A )
            | ~ ( p @ B ) ) ) )
      & ( ( ( ( p @ B )
            | ( p @ A ) )
          & ( ~ ( p @ A )
            | ~ ( p @ B ) ) )
       => ( ( ( p @ B )
           => ~ ( p @ A ) )
          & ( ~ ( p @ A )
           => ( p @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).

thf(61,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__neg_2E1 @ A )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ c_2Erealax_2Ereal__neg_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Erealax_2Ereal__neg_2E1)).

thf(493,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__neg_2E1 @ A )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ c_2Erealax_2Ereal__neg_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[61])).

thf(6,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( app_2E2 @ TB @ TA @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) @ ( combin_k_2E0 @ TA @ TB ) @ A ) @ B )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Ek__thm)).

thf(77,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( app_2E2 @ TB @ TA @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) @ ( combin_k_2E0 @ TA @ TB ) @ A ) @ B )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(45,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ ( c_2Ereal_2Eabs_2E1 @ ( c_2Ecomplex_2ERE_2E1 @ A ) ) @ ( c_2Ecomplex_2Emodu_2E1 @ A ) ) )
      & ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ ( c_2Ereal_2Eabs_2E1 @ ( c_2Ecomplex_2EIM_2E1 @ A ) ) @ ( c_2Ecomplex_2Emodu_2E1 @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecomplex_2ERE__IM__LE__MODU)).

thf(393,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ ( c_2Ereal_2Eabs_2E1 @ ( c_2Ecomplex_2ERE_2E1 @ A ) ) @ ( c_2Ecomplex_2Emodu_2E1 @ A ) ) )
      & ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ ( c_2Ereal_2Eabs_2E1 @ ( c_2Ecomplex_2EIM_2E1 @ A ) ) @ ( c_2Ecomplex_2Emodu_2E1 @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[45])).

thf(63,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_7E_2E1 @ A ) )
    <=> ~ ( p @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(503,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_7E_2E1 @ A ) )
       => ~ ( p @ A ) )
      & ( ~ ( p @ A )
       => ( p @ ( c_2Ebool_2E_7E_2E1 @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[63])).

thf(46,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
       => ( p @ c_2Ebool_2EF_2E0 ) )
     => ~ ( p @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__F)).

thf(398,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
       => ( p @ c_2Ebool_2EF_2E0 ) )
     => ~ ( p @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[46])).

thf(50,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Emin_2E_3D_3D_3E_2E2 @ A @ B ) )
    <=> ( ( p @ A )
       => ( p @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(412,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Emin_2E_3D_3D_3E_2E2 @ A @ B ) )
       => ( ( p @ A )
         => ( p @ B ) ) )
      & ( ( ( p @ A )
         => ( p @ B ) )
       => ( p @ ( c_2Emin_2E_3D_3D_3E_2E2 @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[50])).

thf(52,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( A
       != ( c_2Ecomplex_2Ecomplex__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
    <=> ( p @ ( c_2Erealax_2Ereal__lt_2E2 @ ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ ( c_2Ecomplex_2Emodu_2E1 @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecomplex_2EMODU__NZ)).

thf(425,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( ( A
         != ( c_2Ecomplex_2Ecomplex__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
       => ( p @ ( c_2Erealax_2Ereal__lt_2E2 @ ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ ( c_2Ecomplex_2Emodu_2E1 @ A ) ) ) )
      & ( ( p @ ( c_2Erealax_2Ereal__lt_2E2 @ ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ ( c_2Ecomplex_2Emodu_2E1 @ A ) ) )
       => ( A
         != ( c_2Ecomplex_2Ecomplex__of__num_2E1 @ c_2Enum_2E0_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[52])).

thf(1,conjecture,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( A
       != ( c_2Ecomplex_2Ecomplex__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
     => ( ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ ( c_2Erealax_2Ereal__neg_2E1 @ ( c_2Ereal_2Ereal__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) ) @ ( c_2Ereal_2E_2F_2E2 @ ( c_2Ecomplex_2ERE_2E1 @ A ) @ ( c_2Ecomplex_2Emodu_2E1 @ A ) ) ) )
        & ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ ( c_2Ereal_2E_2F_2E2 @ ( c_2Ecomplex_2ERE_2E1 @ A ) @ ( c_2Ecomplex_2Emodu_2E1 @ A ) ) @ ( c_2Ereal_2Ereal__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ecomplex_2ERE__DIV__MODU__BOUNDS)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
        ( ( A
         != ( c_2Ecomplex_2Ecomplex__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
       => ( ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ ( c_2Erealax_2Ereal__neg_2E1 @ ( c_2Ereal_2Ereal__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) ) @ ( c_2Ereal_2E_2F_2E2 @ ( c_2Ecomplex_2ERE_2E1 @ A ) @ ( c_2Ecomplex_2Emodu_2E1 @ A ) ) ) )
          & ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ ( c_2Ereal_2E_2F_2E2 @ ( c_2Ecomplex_2ERE_2E1 @ A ) @ ( c_2Ecomplex_2Emodu_2E1 @ A ) ) @ ( c_2Ereal_2Ereal__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(64,plain,(
    ~ ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
        ( ( A
         != ( c_2Ecomplex_2Ecomplex__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
       => ( ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ ( c_2Erealax_2Ereal__neg_2E1 @ ( c_2Ereal_2Ereal__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) ) @ ( c_2Ereal_2E_2F_2E2 @ ( c_2Ecomplex_2ERE_2E1 @ A ) @ ( c_2Ecomplex_2Emodu_2E1 @ A ) ) ) )
          & ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ ( c_2Ereal_2E_2F_2E2 @ ( c_2Ecomplex_2ERE_2E1 @ A ) @ ( c_2Ecomplex_2Emodu_2E1 @ A ) ) @ ( c_2Ereal_2Ereal__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(22,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
        & ( p @ B ) )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_2F_5C_2E0 @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Ebool_2E_2F_5C_2E2)).

thf(191,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
          & ( p @ B ) )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_2F_5C_2E0 @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_2F_5C_2E0 @ A ) @ B ) )
       => ( ( p @ A )
          & ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(25,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( p @ C )
      <=> ( ( p @ B )
          & ( p @ A ) ) )
    <=> ( ( ( p @ C )
          | ~ ( p @ B )
          | ~ ( p @ A ) )
        & ( ( p @ B )
          | ~ ( p @ C ) )
        & ( ( p @ A )
          | ~ ( p @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2Edc__conj)).

thf(204,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( ( ( p @ C )
           => ( ( p @ B )
              & ( p @ A ) ) )
          & ( ( ( p @ B )
              & ( p @ A ) )
           => ( p @ C ) ) )
       => ( ( ( p @ C )
            | ~ ( p @ B )
            | ~ ( p @ A ) )
          & ( ( p @ B )
            | ~ ( p @ C ) )
          & ( ( p @ A )
            | ~ ( p @ C ) ) ) )
      & ( ( ( ( p @ C )
            | ~ ( p @ B )
            | ~ ( p @ A ) )
          & ( ( p @ B )
            | ~ ( p @ C ) )
          & ( ( p @ A )
            | ~ ( p @ C ) ) )
       => ( ( ( p @ C )
           => ( ( p @ B )
              & ( p @ A ) ) )
          & ( ( ( p @ B )
              & ( p @ A ) )
           => ( p @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Emin_2Efun @ TA @ TB,B: tyop_2Emin_2Efun @ TA @ TB] :
      ( ! [C: TA] :
          ( ( app_2E2 @ TA @ TB @ A @ C )
          = ( app_2E2 @ TA @ TB @ B @ C ) )
     => ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Eeq__ext)).

thf(71,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Emin_2Efun @ TA @ TB,B: tyop_2Emin_2Efun @ TA @ TB] :
      ( ! [C: TA] :
          ( ( app_2E2 @ TA @ TB @ A @ C )
          = ( app_2E2 @ TA @ TB @ B @ C ) )
     => ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(9,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ),B: tyop_2Emin_2Efun @ TA @ TB,C: TA] :
      ( ( app_2E2 @ TA @ TC @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) @ ( combin_s_2E0 @ TA @ TB @ TC ) @ A ) @ B ) @ C )
      = ( app_2E2 @ TB @ TC @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) @ A @ C ) @ ( app_2E2 @ TA @ TB @ B @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Es__thm)).

thf(86,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ),B: tyop_2Emin_2Efun @ TA @ TB,C: TA] :
      ( ( app_2E2 @ TA @ TC @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) @ ( combin_s_2E0 @ TA @ TB @ TC ) @ A ) @ B ) @ C )
      = ( app_2E2 @ TB @ TC @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) @ A @ C ) @ ( app_2E2 @ TA @ TB @ B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(48,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2ENUMERAL_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2ENUMERAL_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Earithmetic_2ENUMERAL_2E1)).

thf(406,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2ENUMERAL_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2ENUMERAL_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[48])).

thf(51,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( A = B )
    <=> ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( c_2Emin_2E_3D_2E0 @ TA ) @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Emin_2E_3D_2E2_2Emono_2EA_27a)).

thf(419,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( A = B )
       => ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( c_2Emin_2E_3D_2E0 @ TA ) @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( c_2Emin_2E_3D_2E0 @ TA ) @ A ) @ B ) )
       => ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[51])).

thf(27,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2EBIT1_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2EBIT1_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Earithmetic_2EBIT1_2E1)).

thf(245,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2EBIT1_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2EBIT1_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(13,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Eabs_2E1 @ A )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ c_2Ereal_2Eabs_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ereal_2Eabs_2E1)).

thf(98,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Eabs_2E1 @ A )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ c_2Ereal_2Eabs_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(34,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ~ ( p @ A )
     => ( ( p @ A )
       => ( p @ c_2Ebool_2EF_2E0 ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EF__IMP)).

thf(271,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ~ ( p @ A )
     => ( ( p @ A )
       => ( p @ c_2Ebool_2EF_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(43,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul_2E2 @ ( c_2Ereal_2Ereal__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) @ A )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__LID)).

thf(387,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul_2E2 @ ( c_2Ereal_2Ereal__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) @ A )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).

thf(23,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ereal_2Ereal__of__num_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal @ c_2Ereal_2Ereal__of__num_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ereal_2Ereal__of__num_2E1)).

thf(198,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ereal_2Ereal__of__num_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal @ c_2Ereal_2Ereal__of__num_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(54,axiom,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Emodu_2E1 @ A )
      = ( app_2E2 @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal @ c_2Ecomplex_2Emodu_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ecomplex_2Emodu_2E1)).

thf(462,plain,(
    ! [A: tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecomplex_2Emodu_2E1 @ A )
      = ( app_2E2 @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ tyop_2Erealax_2Ereal @ c_2Ecomplex_2Emodu_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[54])).

thf(37,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
      <=> ( p @ B ) )
     => ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Eboolext)).

thf(278,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
         => ( p @ B ) )
        & ( ( p @ B )
         => ( p @ A ) ) )
     => ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(7,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( app_2E2 @ TA @ TA @ ( combin_i_2E0 @ TA ) @ A )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Ei__thm)).

thf(80,plain,(
    ! [TA: $tType,A: TA] :
      ( ( app_2E2 @ TA @ TA @ ( combin_i_2E0 @ TA ) @ A )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(58,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool,B: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ! [C: TA] :
          ( ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ C ) )
          & ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ B @ C ) ) )
    <=> ( ! [C: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ C ) )
        & ! [C: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ B @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__AND__THM)).

thf(473,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool,B: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( ! [C: TA] :
            ( ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ C ) )
            & ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ B @ C ) ) )
       => ( ! [C: TA] :
              ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ C ) )
          & ! [C: TA] :
              ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ B @ C ) ) ) )
      & ( ( ! [C: TA] :
              ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ C ) )
          & ! [C: TA] :
              ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ B @ C ) ) )
       => ! [C: TA] :
            ( ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ C ) )
            & ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ B @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[58])).

thf(60,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_2F_5C_2E2 @ A @ B ) )
    <=> ( ( p @ A )
        & ( p @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(487,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_2F_5C_2E2 @ A @ B ) )
       => ( ( p @ A )
          & ( p @ B ) ) )
      & ( ( ( p @ A )
          & ( p @ B ) )
       => ( p @ ( c_2Ebool_2E_2F_5C_2E2 @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[60])).

thf(17,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ~ ( ( p @ B )
            | ( p @ A ) )
       => ( p @ c_2Ebool_2EF_2E0 ) )
    <=> ( ( ( p @ B )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ( ~ ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL2)).

thf(112,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ~ ( ( p @ B )
              | ( p @ A ) )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ( ( ( p @ B )
           => ( p @ c_2Ebool_2EF_2E0 ) )
         => ( ~ ( p @ A )
           => ( p @ c_2Ebool_2EF_2E0 ) ) ) )
      & ( ( ( ( p @ B )
           => ( p @ c_2Ebool_2EF_2E0 ) )
         => ( ~ ( p @ A )
           => ( p @ c_2Ebool_2EF_2E0 ) ) )
       => ( ~ ( ( p @ B )
              | ( p @ A ) )
         => ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(12,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ c_2Erealax_2Ereal__mul_2E0 @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Erealax_2Ereal__mul_2E2)).

thf(95,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ c_2Erealax_2Ereal__mul_2E0 @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(49,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ecomplex_2Ecomplex__of__num_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ c_2Ecomplex_2Ecomplex__of__num_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ecomplex_2Ecomplex__of__num_2E1)).

thf(409,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ecomplex_2Ecomplex__of__num_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ c_2Ecomplex_2Ecomplex__of__num_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[49])).

thf(18,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( c_2Ebool_2ET_2E0 = A )
      <=> ( p @ A ) )
      & ( ( A = c_2Ebool_2ET_2E0 )
      <=> ( p @ A ) )
      & ( ( c_2Ebool_2EF_2E0 = A )
      <=> ~ ( p @ A ) )
      & ( ( A = c_2Ebool_2EF_2E0 )
      <=> ~ ( p @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(127,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( c_2Ebool_2ET_2E0 = A )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( c_2Ebool_2ET_2E0 = A ) )
      & ( ( A = c_2Ebool_2ET_2E0 )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( A = c_2Ebool_2ET_2E0 ) )
      & ( ( c_2Ebool_2EF_2E0 = A )
       => ~ ( p @ A ) )
      & ( ~ ( p @ A )
       => ( c_2Ebool_2EF_2E0 = A ) )
      & ( ( A = c_2Ebool_2EF_2E0 )
       => ~ ( p @ A ) )
      & ( ~ ( p @ A )
       => ( A = c_2Ebool_2EF_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(40,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ c_2Ebool_2ET_2E0 )
         => ( p @ A ) )
      <=> ( p @ A ) )
      & ( ( ( p @ A )
         => ( p @ c_2Ebool_2ET_2E0 ) )
      <=> ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( ( p @ c_2Ebool_2EF_2E0 )
         => ( p @ A ) )
      <=> ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( ( p @ A )
         => ( p @ A ) )
      <=> ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) )
      <=> ~ ( p @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__CLAUSES)).

thf(338,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ c_2Ebool_2ET_2E0 )
         => ( p @ A ) )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( ( p @ c_2Ebool_2ET_2E0 )
         => ( p @ A ) ) )
      & ( ( ( p @ A )
         => ( p @ c_2Ebool_2ET_2E0 ) )
       => ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( p @ c_2Ebool_2ET_2E0 )
       => ( ( p @ A )
         => ( p @ c_2Ebool_2ET_2E0 ) ) )
      & ( ( ( p @ c_2Ebool_2EF_2E0 )
         => ( p @ A ) )
       => ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( p @ c_2Ebool_2ET_2E0 )
       => ( ( p @ c_2Ebool_2EF_2E0 )
         => ( p @ A ) ) )
      & ( p @ c_2Ebool_2ET_2E0 )
      & ( ( ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ~ ( p @ A ) )
      & ( ~ ( p @ A )
       => ( ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).

thf(57,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul_2E2 @ ( c_2Erealax_2Ereal__neg_2E1 @ A ) @ B )
      = ( c_2Erealax_2Ereal__neg_2E1 @ ( c_2Erealax_2Ereal__mul_2E2 @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__LNEG)).

thf(470,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul_2E2 @ ( c_2Erealax_2Ereal__neg_2E1 @ A ) @ B )
      = ( c_2Erealax_2Ereal__neg_2E1 @ ( c_2Erealax_2Ereal__mul_2E2 @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[57])).

thf(55,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( p @ A )
     => ( ~ ( p @ A )
       => ( p @ c_2Ebool_2EF_2E0 ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV__IMP)).

thf(465,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( p @ A )
     => ( ~ ( p @ A )
       => ( p @ c_2Ebool_2EF_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[55])).

thf(15,axiom,(
    ~ ( p @ c_2Ebool_2EF_2E0 ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Enotfalse)).

thf(104,plain,(
    ~ ( p @ c_2Ebool_2EF_2E0 ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(44,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_3F_2E1 @ TA @ A ) )
    <=> ? [B: TA] :
          ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(390,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_3F_2E1 @ TA @ A ) )
       => ? [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) )
      & ( ? [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) )
       => ( p @ ( c_2Ebool_2E_3F_2E1 @ TA @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).

thf(47,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ~ ( p @ A )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ c_2Ebool_2E_7E_2E0 @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ebool_2E_7E_2E1)).

thf(401,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ~ ( p @ A )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ c_2Ebool_2E_7E_2E0 @ A ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ c_2Ebool_2E_7E_2E0 @ A ) )
       => ~ ( p @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[47])).

thf(38,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
        | ( p @ B ) )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_5C_2F_2E0 @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Ebool_2E_5C_2F_2E2)).

thf(287,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
          | ( p @ B ) )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_5C_2F_2E0 @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_5C_2F_2E0 @ A ) @ B ) )
       => ( ( p @ A )
          | ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(53,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( p @ C )
      <=> ( ( p @ B )
         => ( p @ A ) ) )
    <=> ( ( ( p @ C )
          | ( p @ B ) )
        & ( ( p @ C )
          | ~ ( p @ A ) )
        & ( ~ ( p @ B )
          | ( p @ A )
          | ~ ( p @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2Edc__imp)).

thf(432,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( ( ( p @ C )
           => ( ( p @ B )
             => ( p @ A ) ) )
          & ( ( ( p @ B )
             => ( p @ A ) )
           => ( p @ C ) ) )
       => ( ( ( p @ C )
            | ( p @ B ) )
          & ( ( p @ C )
            | ~ ( p @ A ) )
          & ( ~ ( p @ B )
            | ( p @ A )
            | ~ ( p @ C ) ) ) )
      & ( ( ( ( p @ C )
            | ( p @ B ) )
          & ( ( p @ C )
            | ~ ( p @ A ) )
          & ( ~ ( p @ B )
            | ( p @ A )
            | ~ ( p @ C ) ) )
       => ( ( ( p @ C )
           => ( ( p @ B )
             => ( p @ A ) ) )
          & ( ( ( p @ B )
             => ( p @ A ) )
           => ( p @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[53])).

thf(20,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( p @ ( c_2Erealax_2Ereal__lt_2E2 @ ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ A ) )
        & ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ ( c_2Erealax_2Ereal__mul_2E2 @ B @ A ) @ C ) ) )
     => ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ B @ ( c_2Ereal_2E_2F_2E2 @ C @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__RDIV)).

thf(183,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( p @ ( c_2Erealax_2Ereal__lt_2E2 @ ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ A ) )
        & ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ ( c_2Erealax_2Ereal__mul_2E2 @ B @ A ) @ C ) ) )
     => ( p @ ( c_2Ereal_2Ereal__lte_2E2 @ B @ ( c_2Ereal_2E_2F_2E2 @ C @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(35,axiom,
    ( ! [A: tyop_2Emin_2Ebool] :
        ( ~ ~ ( p @ A )
      <=> ( p @ A ) )
    & ( ~ ( p @ c_2Ebool_2ET_2E0 )
    <=> ( p @ c_2Ebool_2EF_2E0 ) )
    & ( ~ ( p @ c_2Ebool_2EF_2E0 )
    <=> ( p @ c_2Ebool_2ET_2E0 ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ENOT__CLAUSES)).

thf(273,plain,
    ( ( ~ ( p @ c_2Ebool_2ET_2E0 )
     => ( p @ c_2Ebool_2EF_2E0 ) )
    & ( ( p @ c_2Ebool_2EF_2E0 )
     => ~ ( p @ c_2Ebool_2ET_2E0 ) )
    & ( ~ ( p @ c_2Ebool_2EF_2E0 )
     => ( p @ c_2Ebool_2ET_2E0 ) )
    & ( ( p @ c_2Ebool_2ET_2E0 )
     => ~ ( p @ c_2Ebool_2EF_2E0 ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(3,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_3F_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E0 @ TA ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ebool_2E_3F_2E1_2Emono_2EA_27a)).

thf(68,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_3F_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E0 @ TA ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(8,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( A = c_2Ebool_2ET_2E0 )
      | ( A = c_2Ebool_2EF_2E0 ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Ebool__cases__ax)).

thf(83,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( A = c_2Ebool_2ET_2E0 )
      | ( A = c_2Ebool_2EF_2E0 ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(62,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_5C_2F_2E2 @ A @ B ) )
    <=> ( ( p @ A )
        | ( p @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(496,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_5C_2F_2E2 @ A @ B ) )
       => ( ( p @ A )
          | ( p @ B ) ) )
      & ( ( ( p @ A )
          | ( p @ B ) )
       => ( p @ ( c_2Ebool_2E_5C_2F_2E2 @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[62])).

thf(2569,plain,(
    $false ),
    inference(cvc4,[status(thm)],[101,249,234,481,276,269,153,185,257,106,293,89,74,248,270,201,381,260,92,467,361,493,77,393,503,398,412,425,64,191,204,71,86,406,419,245,98,271,387,198,462,278,80,473,487,112,95,409,127,338,470,465,104,390,401,287,432,183,273,68,83,496])).
%------------------------------------------------------------------------------
