%------------------------------------------------------------------------------
tff(stp_inj_mem_o,axiom,(
    ! [X: tp__o] : mem(inj__o(X),bool) )).

tff('0',plain,(
    ! [X16: tp__o] : mem(inj__o(X16),bool) ),
    inference(cnf,[status(esa)],[stp_inj_mem_o])).

tff(mem_c_2Ebool_2EF,axiom,(
    mem(c_2Ebool_2EF,bool) )).

tff('1',plain,(
    mem(c_2Ebool_2EF,bool) ),
    inference(cnf,[status(esa)],[mem_c_2Ebool_2EF])).

tff(boolext,axiom,(
    ! [Q] :
      ( mem(Q,bool)
     => ! [R] :
          ( mem(R,bool)
         => ( ( p(Q)
            <=> p(R) )
           => Q = R ) ) ) )).

tff('2',plain,(
    ! [X4,X5] :
      ( ~ mem(X4,bool)
      | X5 = X4
      | p(X5)
      | p(X4)
      | ~ mem(X5,bool) ) ),
    inference(cnf,[status(esa)],[boolext])).

tff('3',plain,(
    ! [X0] :
      ( X0 = c_2Ebool_2EF
      | p(X0)
      | p(c_2Ebool_2EF)
      | ~ mem(X0,bool) ) ),
    inference('s_sup-',[status(thm)],['1','2'])).

tff(ax_false_p,axiom,(
    ~ p(c_2Ebool_2EF) )).

tff('4',plain,(
    ~ p(c_2Ebool_2EF) ),
    inference(cnf,[status(esa)],[ax_false_p])).

tff('5',plain,(
    ! [X0] :
      ( ~ mem(X0,bool)
      | p(X0)
      | X0 = c_2Ebool_2EF ) ),
    inference(clc,[status(thm)],['3','4'])).

tff('6',plain,(
    ! [X0: tp__o] :
      ( p(inj__o(X0))
      | inj__o(X0) = c_2Ebool_2EF ) ),
    inference('s_sup-',[status(thm)],['0','5'])).

tff(conj_thm_2Eintegral_2EREAL__LE__INV2,conjecture,(
    ! [V0x: tp__ty_2Erealax_2Ereal,V1y: tp__ty_2Erealax_2Ereal] :
      ( ( p(ap(ap(c_2Ereal_2Ereal__lte,inj__ty_2Erealax_2Ereal(V0x)),inj__ty_2Erealax_2Ereal(V1y)))
        & p(ap(ap(c_2Erealax_2Ereal__lt,ap(c_2Ereal_2Ereal__of__num,inj__ty_2Enum_2Enum(fo__c_2Enum_2E0))),inj__ty_2Erealax_2Ereal(V0x))) )
     => p(ap(ap(c_2Ereal_2Ereal__lte,ap(c_2Erealax_2Einv,inj__ty_2Erealax_2Ereal(V1y))),ap(c_2Erealax_2Einv,inj__ty_2Erealax_2Ereal(V0x)))) ) )).

tff(zf_stmt_0,negated_conjecture,(
    ~ ! [V0x: tp__ty_2Erealax_2Ereal,V1y: tp__ty_2Erealax_2Ereal] :
        ( ( p(ap(ap(c_2Ereal_2Ereal__lte,inj__ty_2Erealax_2Ereal(V0x)),inj__ty_2Erealax_2Ereal(V1y)))
          & p(ap(ap(c_2Erealax_2Ereal__lt,ap(c_2Ereal_2Ereal__of__num,inj__ty_2Enum_2Enum(fo__c_2Enum_2E0))),inj__ty_2Erealax_2Ereal(V0x))) )
       => p(ap(ap(c_2Ereal_2Ereal__lte,ap(c_2Erealax_2Einv,inj__ty_2Erealax_2Ereal(V1y))),ap(c_2Erealax_2Einv,inj__ty_2Erealax_2Ereal(V0x)))) ) )).

tff('7',plain,(
    ~ p(ap(ap(c_2Ereal_2Ereal__lte,ap(c_2Erealax_2Einv,inj__ty_2Erealax_2Ereal(sk_V1y))),ap(c_2Erealax_2Einv,inj__ty_2Erealax_2Ereal(sk_V0x)))) ),
    inference(cnf,[status(esa)],[zf_stmt_0])).

tff(stp_eq_fo_c_2Erealax_2Einv,axiom,(
    ! [X0: tp__ty_2Erealax_2Ereal] : inj__ty_2Erealax_2Ereal(fo__c_2Erealax_2Einv(X0)) = ap(c_2Erealax_2Einv,inj__ty_2Erealax_2Ereal(X0)) )).

tff('8',plain,(
    ! [X92: tp__ty_2Erealax_2Ereal] : inj__ty_2Erealax_2Ereal(fo__c_2Erealax_2Einv(X92)) = ap(c_2Erealax_2Einv,inj__ty_2Erealax_2Ereal(X92)) ),
    inference(cnf,[status(esa)],[stp_eq_fo_c_2Erealax_2Einv])).

tff('9',plain,(
    ~ p(ap(ap(c_2Ereal_2Ereal__lte,inj__ty_2Erealax_2Ereal(fo__c_2Erealax_2Einv(sk_V1y))),inj__ty_2Erealax_2Ereal(fo__c_2Erealax_2Einv(sk_V0x)))) ),
    inference(demod,[status(thm)],['7','8','8'])).

tff(stp_eq_fo_c_2Ereal_2Ereal__lte,axiom,(
    ! [X0: tp__ty_2Erealax_2Ereal,X1: tp__ty_2Erealax_2Ereal] : inj__o(fo__c_2Ereal_2Ereal__lte(X0,X1)) = ap(ap(c_2Ereal_2Ereal__lte,inj__ty_2Erealax_2Ereal(X0)),inj__ty_2Erealax_2Ereal(X1)) )).

tff('10',plain,(
    ! [X95: tp__ty_2Erealax_2Ereal,X96: tp__ty_2Erealax_2Ereal] : inj__o(fo__c_2Ereal_2Ereal__lte(X95,X96)) = ap(ap(c_2Ereal_2Ereal__lte,inj__ty_2Erealax_2Ereal(X95)),inj__ty_2Erealax_2Ereal(X96)) ),
    inference(cnf,[status(esa)],[stp_eq_fo_c_2Ereal_2Ereal__lte])).

tff('11',plain,(
    ~ p(inj__o(fo__c_2Ereal_2Ereal__lte(fo__c_2Erealax_2Einv(sk_V1y),fo__c_2Erealax_2Einv(sk_V0x)))) ),
    inference(demod,[status(thm)],['9','10'])).

tff('12',plain,(
    inj__o(fo__c_2Ereal_2Ereal__lte(fo__c_2Erealax_2Einv(sk_V1y),fo__c_2Erealax_2Einv(sk_V0x))) = c_2Ebool_2EF ),
    inference('s_sup-',[status(thm)],['6','11'])).

tff(stp_inj_surj_o,axiom,(
    ! [X: tp__o] : surj__o(inj__o(X)) = X )).

tff('13',plain,(
    ! [X15: tp__o] : surj__o(inj__o(X15)) = X15 ),
    inference(cnf,[status(esa)],[stp_inj_surj_o])).

tff('14',plain,(
    surj__o(c_2Ebool_2EF) = fo__c_2Ereal_2Ereal__lte(fo__c_2Erealax_2Einv(sk_V1y),fo__c_2Erealax_2Einv(sk_V0x)) ),
    inference('s_sup+',[status(thm)],['12','13'])).

tff(stp_eq_fo_c_2Ebool_2EF,axiom,(
    inj__o(fo__c_2Ebool_2EF) = c_2Ebool_2EF )).

tff('15',plain,(
    inj__o(fo__c_2Ebool_2EF) = c_2Ebool_2EF ),
    inference(cnf,[status(esa)],[stp_eq_fo_c_2Ebool_2EF])).

tff('16',plain,(
    surj__o(c_2Ebool_2EF) = fo__c_2Ebool_2EF ),
    inference('s_sup+',[status(thm)],['15','13'])).

tff('17',plain,(
    fo__c_2Ebool_2EF = fo__c_2Ereal_2Ereal__lte(fo__c_2Erealax_2Einv(sk_V1y),fo__c_2Erealax_2Einv(sk_V0x)) ),
    inference(demod,[status(thm)],['14','16'])).

tff(conj_thm_2Ereal_2EREAL__LT__INV,axiom,(
    ! [V0x: tp__ty_2Erealax_2Ereal,V1y: tp__ty_2Erealax_2Ereal] :
      ( ( p(ap(ap(c_2Erealax_2Ereal__lt,inj__ty_2Erealax_2Ereal(V0x)),inj__ty_2Erealax_2Ereal(V1y)))
        & p(ap(ap(c_2Erealax_2Ereal__lt,ap(c_2Ereal_2Ereal__of__num,inj__ty_2Enum_2Enum(fo__c_2Enum_2E0))),inj__ty_2Erealax_2Ereal(V0x))) )
     => p(ap(ap(c_2Erealax_2Ereal__lt,ap(c_2Erealax_2Einv,inj__ty_2Erealax_2Ereal(V1y))),ap(c_2Erealax_2Einv,inj__ty_2Erealax_2Ereal(V0x)))) ) )).

tff('18',plain,(
    ! [X101: tp__ty_2Erealax_2Ereal,X102: tp__ty_2Erealax_2Ereal] :
      ( ~ p(ap(ap(c_2Erealax_2Ereal__lt,ap(c_2Ereal_2Ereal__of__num,inj__ty_2Enum_2Enum(fo__c_2Enum_2E0))),inj__ty_2Erealax_2Ereal(X101)))
      | ~ p(ap(ap(c_2Erealax_2Ereal__lt,inj__ty_2Erealax_2Ereal(X101)),inj__ty_2Erealax_2Ereal(X102)))
      | p(ap(ap(c_2Erealax_2Ereal__lt,ap(c_2Erealax_2Einv,inj__ty_2Erealax_2Ereal(X102))),ap(c_2Erealax_2Einv,inj__ty_2Erealax_2Ereal(X101)))) ) ),
    inference(cnf,[status(esa)],[conj_thm_2Ereal_2EREAL__LT__INV])).

tff(stp_eq_fo_c_2Enum_2E0,axiom,(
    inj__ty_2Enum_2Enum(fo__c_2Enum_2E0) = c_2Enum_2E0 )).

tff('19',plain,(
    inj__ty_2Enum_2Enum(fo__c_2Enum_2E0) = c_2Enum_2E0 ),
    inference(cnf,[status(esa)],[stp_eq_fo_c_2Enum_2E0])).

tff(stp_eq_fo_c_2Ereal_2Ereal__of__num,axiom,(
    ! [X0: tp__ty_2Enum_2Enum] : inj__ty_2Erealax_2Ereal(fo__c_2Ereal_2Ereal__of__num(X0)) = ap(c_2Ereal_2Ereal__of__num,inj__ty_2Enum_2Enum(X0)) )).

tff('20',plain,(
    ! [X97: tp__ty_2Enum_2Enum] : inj__ty_2Erealax_2Ereal(fo__c_2Ereal_2Ereal__of__num(X97)) = ap(c_2Ereal_2Ereal__of__num,inj__ty_2Enum_2Enum(X97)) ),
    inference(cnf,[status(esa)],[stp_eq_fo_c_2Ereal_2Ereal__of__num])).

tff('21',plain,(
    inj__ty_2Erealax_2Ereal(fo__c_2Ereal_2Ereal__of__num(fo__c_2Enum_2E0)) = ap(c_2Ereal_2Ereal__of__num,c_2Enum_2E0) ),
    inference('s_sup+',[status(thm)],['19','20'])).

tff(stp_eq_fo_c_2Erealax_2Ereal__lt,axiom,(
    ! [X0: tp__ty_2Erealax_2Ereal,X1: tp__ty_2Erealax_2Ereal] : inj__o(fo__c_2Erealax_2Ereal__lt(X0,X1)) = ap(ap(c_2Erealax_2Ereal__lt,inj__ty_2Erealax_2Ereal(X0)),inj__ty_2Erealax_2Ereal(X1)) )).

tff('22',plain,(
    ! [X93: tp__ty_2Erealax_2Ereal,X94: tp__ty_2Erealax_2Ereal] : inj__o(fo__c_2Erealax_2Ereal__lt(X93,X94)) = ap(ap(c_2Erealax_2Ereal__lt,inj__ty_2Erealax_2Ereal(X93)),inj__ty_2Erealax_2Ereal(X94)) ),
    inference(cnf,[status(esa)],[stp_eq_fo_c_2Erealax_2Ereal__lt])).

tff('23',plain,(
    ! [X0: tp__ty_2Erealax_2Ereal] : inj__o(fo__c_2Erealax_2Ereal__lt(fo__c_2Ereal_2Ereal__of__num(fo__c_2Enum_2E0),X0)) = ap(ap(c_2Erealax_2Ereal__lt,ap(c_2Ereal_2Ereal__of__num,c_2Enum_2E0)),inj__ty_2Erealax_2Ereal(X0)) ),
    inference('s_sup+',[status(thm)],['21','22'])).

tff('24',plain,(
    ! [X101: tp__ty_2Erealax_2Ereal,X102: tp__ty_2Erealax_2Ereal] :
      ( ~ p(inj__o(fo__c_2Erealax_2Ereal__lt(fo__c_2Ereal_2Ereal__of__num(fo__c_2Enum_2E0),X101)))
      | ~ p(inj__o(fo__c_2Erealax_2Ereal__lt(X101,X102)))
      | p(inj__o(fo__c_2Erealax_2Ereal__lt(fo__c_2Erealax_2Einv(X102),fo__c_2Erealax_2Einv(X101)))) ) ),
    inference(demod,[status(thm)],['18','19','23','22','8','8','22'])).

tff(conj_thm_2Ereal_2EREAL__LE__LT,axiom,(
    ! [V0x: tp__ty_2Erealax_2Ereal,V1y: tp__ty_2Erealax_2Ereal] :
      ( p(ap(ap(c_2Ereal_2Ereal__lte,inj__ty_2Erealax_2Ereal(V0x)),inj__ty_2Erealax_2Ereal(V1y)))
    <=> ( V0x = V1y
        | p(ap(ap(c_2Erealax_2Ereal__lt,inj__ty_2Erealax_2Ereal(V0x)),inj__ty_2Erealax_2Ereal(V1y))) ) ) )).

tff('25',plain,(
    ! [X98: tp__ty_2Erealax_2Ereal,X100: tp__ty_2Erealax_2Ereal] :
      ( p(ap(ap(c_2Ereal_2Ereal__lte,inj__ty_2Erealax_2Ereal(X98)),inj__ty_2Erealax_2Ereal(X100)))
      | ~ p(ap(ap(c_2Erealax_2Ereal__lt,inj__ty_2Erealax_2Ereal(X98)),inj__ty_2Erealax_2Ereal(X100))) ) ),
    inference(cnf,[status(esa)],[conj_thm_2Ereal_2EREAL__LE__LT])).

tff('26',plain,(
    ! [X98: tp__ty_2Erealax_2Ereal,X100: tp__ty_2Erealax_2Ereal] :
      ( p(inj__o(fo__c_2Ereal_2Ereal__lte(X98,X100)))
      | ~ p(inj__o(fo__c_2Erealax_2Ereal__lt(X98,X100))) ) ),
    inference(demod,[status(thm)],['25','10','22'])).

tff('27',plain,(
    ! [X0: tp__ty_2Erealax_2Ereal,X1: tp__ty_2Erealax_2Ereal] :
      ( ~ p(inj__o(fo__c_2Erealax_2Ereal__lt(X0,X1)))
      | ~ p(inj__o(fo__c_2Erealax_2Ereal__lt(fo__c_2Ereal_2Ereal__of__num(fo__c_2Enum_2E0),X0)))
      | p(inj__o(fo__c_2Ereal_2Ereal__lte(fo__c_2Erealax_2Einv(X1),fo__c_2Erealax_2Einv(X0)))) ) ),
    inference('s_sup-',[status(thm)],['24','26'])).

tff('28',plain,
    ( ~ p(inj__o(fo__c_2Erealax_2Ereal__lt(sk_V0x,sk_V1y)))
    | ~ p(inj__o(fo__c_2Erealax_2Ereal__lt(fo__c_2Ereal_2Ereal__of__num(fo__c_2Enum_2E0),sk_V0x)))
    | p(inj__o(fo__c_2Ebool_2EF)) ),
    inference('s_sup+',[status(thm)],['17','27'])).

tff('29',plain,(
    p(ap(ap(c_2Ereal_2Ereal__lte,inj__ty_2Erealax_2Ereal(sk_V0x)),inj__ty_2Erealax_2Ereal(sk_V1y))) ),
    inference(cnf,[status(esa)],[zf_stmt_0])).

tff('30',plain,(
    p(inj__o(fo__c_2Ereal_2Ereal__lte(sk_V0x,sk_V1y))) ),
    inference(demod,[status(thm)],['29','10'])).

tff(mem_c_2Ebool_2ET,axiom,(
    mem(c_2Ebool_2ET,bool) )).

tff('31',plain,(
    mem(c_2Ebool_2ET,bool) ),
    inference(cnf,[status(esa)],[mem_c_2Ebool_2ET])).

tff('32',plain,(
    ! [X4,X5] :
      ( ~ mem(X4,bool)
      | X5 = X4
      | ~ p(X5)
      | ~ p(X4)
      | ~ mem(X5,bool) ) ),
    inference(cnf,[status(esa)],[boolext])).

tff('33',plain,(
    ! [X0] :
      ( X0 = c_2Ebool_2ET
      | ~ p(X0)
      | ~ p(c_2Ebool_2ET)
      | ~ mem(X0,bool) ) ),
    inference('s_sup-',[status(thm)],['31','32'])).

tff(ax_true_p,axiom,(
    p(c_2Ebool_2ET) )).

tff('34',plain,(
    p(c_2Ebool_2ET) ),
    inference(cnf,[status(esa)],[ax_true_p])).

tff('35',plain,(
    ! [X0] :
      ( X0 = c_2Ebool_2ET
      | ~ p(X0)
      | ~ $true
      | ~ mem(X0,bool) ) ),
    inference(demod,[status(thm)],['33','34'])).

tff('36',plain,(
    ! [X0] :
      ( ~ mem(X0,bool)
      | ~ p(X0)
      | X0 = c_2Ebool_2ET ) ),
    inference(simplify,[status(thm)],['35'])).

tff('37',plain,(
    ! [X0: tp__o] :
      ( ~ p(inj__o(X0))
      | inj__o(X0) = c_2Ebool_2ET ) ),
    inference('s_sup-',[status(thm)],['0','36'])).

tff('38',plain,(
    inj__o(fo__c_2Ereal_2Ereal__lte(sk_V0x,sk_V1y)) = c_2Ebool_2ET ),
    inference('s_sup-',[status(thm)],['30','37'])).

tff('39',plain,(
    surj__o(c_2Ebool_2ET) = fo__c_2Ereal_2Ereal__lte(sk_V0x,sk_V1y) ),
    inference('s_sup+',[status(thm)],['38','13'])).

tff(stp_eq_fo_c_2Ebool_2ET,axiom,(
    inj__o(fo__c_2Ebool_2ET) = c_2Ebool_2ET )).

tff('40',plain,(
    inj__o(fo__c_2Ebool_2ET) = c_2Ebool_2ET ),
    inference(cnf,[status(esa)],[stp_eq_fo_c_2Ebool_2ET])).

tff('41',plain,(
    surj__o(c_2Ebool_2ET) = fo__c_2Ebool_2ET ),
    inference('s_sup+',[status(thm)],['40','13'])).

tff('42',plain,(
    fo__c_2Ebool_2ET = fo__c_2Ereal_2Ereal__lte(sk_V0x,sk_V1y) ),
    inference(demod,[status(thm)],['39','41'])).

tff('43',plain,(
    ! [X98: tp__ty_2Erealax_2Ereal,X99: tp__ty_2Erealax_2Ereal] :
      ( p(ap(ap(c_2Erealax_2Ereal__lt,inj__ty_2Erealax_2Ereal(X98)),inj__ty_2Erealax_2Ereal(X99)))
      | X98 = X99
      | ~ p(ap(ap(c_2Ereal_2Ereal__lte,inj__ty_2Erealax_2Ereal(X98)),inj__ty_2Erealax_2Ereal(X99))) ) ),
    inference(cnf,[status(esa)],[conj_thm_2Ereal_2EREAL__LE__LT])).

tff('44',plain,(
    ! [X98: tp__ty_2Erealax_2Ereal,X99: tp__ty_2Erealax_2Ereal] :
      ( p(inj__o(fo__c_2Erealax_2Ereal__lt(X98,X99)))
      | X98 = X99
      | ~ p(inj__o(fo__c_2Ereal_2Ereal__lte(X98,X99))) ) ),
    inference(demod,[status(thm)],['43','22','10'])).

tff(conj_thm_2Ebool_2EIMP__ANTISYM__AX,axiom,(
    ! [V0t1: tp__o,V1t2: tp__o] :
      ( ( p(inj__o(V0t1))
       => p(inj__o(V1t2)) )
     => ( ( p(inj__o(V1t2))
         => p(inj__o(V0t1)) )
       => ( p(inj__o(V0t1))
        <=> p(inj__o(V1t2)) ) ) ) )).

tff(zf_stmt_1,axiom,
    ( ( p(inj__o(V0t1))
     => p(inj__o(V1t2)) )
   => zip_tseitin0(V1t2,V0t1) )).

tff('45',plain,(
    ! [X40: tp__o,X41: tp__o] :
      ( zip_tseitin0(X40,X41)
      | ~ p(inj__o(X40)) ) ),
    inference(cnf,[status(esa)],[zf_stmt_1])).

tff('46',plain,(
    ! [X0: tp__ty_2Erealax_2Ereal,X1: tp__ty_2Erealax_2Ereal,X2: tp__o] :
      ( ~ p(inj__o(fo__c_2Ereal_2Ereal__lte(X1,X0)))
      | X1 = X0
      | zip_tseitin0(fo__c_2Erealax_2Ereal__lt(X1,X0),X2) ) ),
    inference('s_sup-',[status(thm)],['44','45'])).

tff('47',plain,(
    ! [X0: tp__o] :
      ( ~ p(inj__o(fo__c_2Ebool_2ET))
      | sk_V0x = sk_V1y
      | zip_tseitin0(fo__c_2Erealax_2Ereal__lt(sk_V0x,sk_V1y),X0) ) ),
    inference('s_sup-',[status(thm)],['42','46'])).

tff('48',plain,(
    ! [X0: tp__o] :
      ( ~ $true
      | sk_V0x = sk_V1y
      | zip_tseitin0(fo__c_2Erealax_2Ereal__lt(sk_V0x,sk_V1y),X0) ) ),
    inference(demod,[status(thm)],['47','40','34'])).

tff('49',plain,(
    ! [X0: tp__o] :
      ( zip_tseitin0(fo__c_2Erealax_2Ereal__lt(sk_V0x,sk_V1y),X0)
      | sk_V0x = sk_V1y ) ),
    inference(simplify,[status(thm)],['48'])).

tff('50',plain,
    ( ! [X0: tp__o] : zip_tseitin0(fo__c_2Erealax_2Ereal__lt(sk_V0x,sk_V1y),X0)
   <= ! [X0: tp__o] : zip_tseitin0(fo__c_2Erealax_2Ereal__lt(sk_V0x,sk_V1y),X0) ),
    inference(split,[status(esa)],['49'])).

tff(zf_stmt_2,type,(
    zip_tseitin2: ( tp__o * tp__o ) > $o )).

tff(zf_stmt_3,axiom,
    ( zip_tseitin2(V1t2,V0t1)
   => ( p(inj__o(V0t1))
    <=> p(inj__o(V1t2)) ) )).

tff(zf_stmt_4,type,(
    zip_tseitin1: ( tp__o * tp__o ) > $o )).

tff(zf_stmt_5,axiom,
    ( ( p(inj__o(V1t2))
     => p(inj__o(V0t1)) )
   => zip_tseitin1(V1t2,V0t1) )).

tff(zf_stmt_6,type,(
    zip_tseitin0: ( tp__o * tp__o ) > $o )).

tff(zf_stmt_7,axiom,(
    ! [V0t1: tp__o,V1t2: tp__o] :
      ( zip_tseitin0(V1t2,V0t1)
     => ( zip_tseitin1(V1t2,V0t1)
       => zip_tseitin2(V1t2,V0t1) ) ) )).

tff('51',plain,(
    ! [X42: tp__o,X43: tp__o] :
      ( ~ zip_tseitin1(X42,X43)
      | zip_tseitin2(X42,X43)
      | ~ zip_tseitin0(X42,X43) ) ),
    inference(cnf,[status(esa)],[zf_stmt_7])).

tff('52',plain,(
    ! [X40: tp__o,X41: tp__o] :
      ( ~ p(inj__o(X41))
      | p(inj__o(X40))
      | ~ zip_tseitin2(X40,X41) ) ),
    inference(cnf,[status(esa)],[zf_stmt_3])).

tff('53',plain,(
    ! [X0: tp__o] :
      ( ~ p(c_2Ebool_2ET)
      | p(inj__o(X0))
      | ~ zip_tseitin2(X0,fo__c_2Ebool_2ET) ) ),
    inference('s_sup-',[status(thm)],['40','52'])).

tff('54',plain,(
    ! [X0: tp__o] :
      ( ~ $true
      | p(inj__o(X0))
      | ~ zip_tseitin2(X0,fo__c_2Ebool_2ET) ) ),
    inference(demod,[status(thm)],['53','34'])).

tff('55',plain,(
    ! [X0: tp__o] :
      ( ~ zip_tseitin2(X0,fo__c_2Ebool_2ET)
      | p(inj__o(X0)) ) ),
    inference(simplify,[status(thm)],['54'])).

tff('56',plain,(
    ! [X0: tp__o] :
      ( ~ zip_tseitin0(X0,fo__c_2Ebool_2ET)
      | ~ zip_tseitin1(X0,fo__c_2Ebool_2ET)
      | p(inj__o(X0)) ) ),
    inference('s_sup-',[status(thm)],['51','55'])).

tff('57',plain,(
    ! [X40: tp__o,X41: tp__o] :
      ( zip_tseitin1(X40,X41)
      | ~ p(inj__o(X41)) ) ),
    inference(cnf,[status(esa)],[zf_stmt_5])).

tff('58',plain,(
    ! [X0: tp__o] :
      ( zip_tseitin1(X0,fo__c_2Ebool_2ET)
      | ~ p(c_2Ebool_2ET) ) ),
    inference('s_sup-',[status(thm)],['40','57'])).

tff('59',plain,(
    ! [X0: tp__o] :
      ( zip_tseitin1(X0,fo__c_2Ebool_2ET)
      | ~ $true ) ),
    inference(demod,[status(thm)],['58','34'])).

tff('60',plain,(
    ! [X0: tp__o] : zip_tseitin1(X0,fo__c_2Ebool_2ET) ),
    inference(simplify,[status(thm)],['59'])).

tff('61',plain,(
    ! [X0: tp__o] :
      ( ~ zip_tseitin0(X0,fo__c_2Ebool_2ET)
      | ~ $true
      | p(inj__o(X0)) ) ),
    inference(demod,[status(thm)],['56','60'])).

tff('62',plain,(
    ! [X0: tp__o] :
      ( p(inj__o(X0))
      | ~ zip_tseitin0(X0,fo__c_2Ebool_2ET) ) ),
    inference(simplify,[status(thm)],['61'])).

tff('63',plain,
    ( p(inj__o(fo__c_2Erealax_2Ereal__lt(sk_V0x,sk_V1y)))
   <= ! [X0: tp__o] : zip_tseitin0(fo__c_2Erealax_2Ereal__lt(sk_V0x,sk_V1y),X0) ),
    inference('s_sup-',[status(thm)],['50','62'])).

tff('64',plain,
    ( ! [X0: tp__o] : zip_tseitin0(fo__c_2Erealax_2Ereal__lt(sk_V0x,sk_V1y),X0)
    | sk_V0x = sk_V1y ),
    inference(split,[status(esa)],['49'])).

tff('65',plain,
    ( sk_V0x = sk_V1y
   <= sk_V0x = sk_V1y ),
    inference(split,[status(esa)],['49'])).

tff('66',plain,
    ( fo__c_2Ebool_2EF = fo__c_2Ereal_2Ereal__lte(fo__c_2Erealax_2Einv(sk_V0x),fo__c_2Erealax_2Einv(sk_V0x))
   <= sk_V0x = sk_V1y ),
    inference('s_sup+',[status(thm)],['65','17'])).

tff('67',plain,(
    ! [X98: tp__ty_2Erealax_2Ereal,X100: tp__ty_2Erealax_2Ereal] :
      ( p(ap(ap(c_2Ereal_2Ereal__lte,inj__ty_2Erealax_2Ereal(X98)),inj__ty_2Erealax_2Ereal(X100)))
      | X98 != X100 ) ),
    inference(cnf,[status(esa)],[conj_thm_2Ereal_2EREAL__LE__LT])).

tff('68',plain,(
    ! [X100: tp__ty_2Erealax_2Ereal] : p(ap(ap(c_2Ereal_2Ereal__lte,inj__ty_2Erealax_2Ereal(X100)),inj__ty_2Erealax_2Ereal(X100))) ),
    inference(simplify,[status(thm)],['67'])).

tff('69',plain,(
    ! [X100: tp__ty_2Erealax_2Ereal] : p(inj__o(fo__c_2Ereal_2Ereal__lte(X100,X100))) ),
    inference(demod,[status(thm)],['68','10'])).

tff('70',plain,(
    ! [X0: tp__ty_2Erealax_2Ereal] : inj__o(fo__c_2Ereal_2Ereal__lte(X0,X0)) = c_2Ebool_2ET ),
    inference('s_sup-',[status(thm)],['69','37'])).

tff('71',plain,(
    ! [X0: tp__ty_2Erealax_2Ereal] : surj__o(c_2Ebool_2ET) = fo__c_2Ereal_2Ereal__lte(X0,X0) ),
    inference('s_sup+',[status(thm)],['70','13'])).

tff('72',plain,(
    ! [X0: tp__ty_2Erealax_2Ereal] : fo__c_2Ebool_2ET = fo__c_2Ereal_2Ereal__lte(X0,X0) ),
    inference(demod,[status(thm)],['71','41'])).

tff('73',plain,
    ( fo__c_2Ebool_2EF = fo__c_2Ebool_2ET
   <= sk_V0x = sk_V1y ),
    inference(demod,[status(thm)],['66','72'])).

tff('74',plain,(
    ! [X0: tp__o] :
      ( inj__o(X0) = c_2Ebool_2EF
      | inj__o(X0) = c_2Ebool_2ET ) ),
    inference('s_sup-',[status(thm)],['6','37'])).

tff('75',plain,(
    ! [X0: tp__o] :
      ( inj__o(X0) = c_2Ebool_2EF
      | surj__o(c_2Ebool_2ET) = X0 ) ),
    inference('s_sup+',[status(thm)],['74','13'])).

tff('76',plain,(
    ! [X0: tp__o] :
      ( inj__o(X0) = c_2Ebool_2EF
      | fo__c_2Ebool_2ET = X0 ) ),
    inference(demod,[status(thm)],['75','41'])).

tff('77',plain,(
    ! [X0: tp__o] :
      ( fo__c_2Ebool_2ET = X0
      | surj__o(c_2Ebool_2EF) = X0 ) ),
    inference('s_sup+',[status(thm)],['76','13'])).

tff('78',plain,(
    ! [X0: tp__o] :
      ( fo__c_2Ebool_2ET = X0
      | fo__c_2Ebool_2EF = X0 ) ),
    inference(demod,[status(thm)],['77','16'])).

tff('79',plain,(
    ! [X0: tp__o] :
      ( fo__c_2Ebool_2ET != fo__c_2Ebool_2EF
      | fo__c_2Ebool_2EF = X0 ) ),
    inference(eq_fact,[status(thm)],['78'])).

tff('80',plain,
    ( fo__c_2Ebool_2ET != fo__c_2Ebool_2EF
   <= fo__c_2Ebool_2ET != fo__c_2Ebool_2EF ),
    inference(split,[status(esa)],['79'])).

tff('81',plain,
    ( ! [X0: tp__o] : fo__c_2Ebool_2EF = X0
    | fo__c_2Ebool_2ET != fo__c_2Ebool_2EF ),
    inference(split,[status(esa)],['79'])).

tff('82',plain,
    ( ! [X0: tp__o] : fo__c_2Ebool_2EF = X0
   <= ! [X0: tp__o] : fo__c_2Ebool_2EF = X0 ),
    inference(split,[status(esa)],['79'])).

tff('83',plain,
    ( inj__o(fo__c_2Ebool_2EF) = c_2Ebool_2ET
   <= ! [X0: tp__o] : fo__c_2Ebool_2EF = X0 ),
    inference('s_sup+',[status(thm)],['82','40'])).

tff('84',plain,
    ( c_2Ebool_2EF = c_2Ebool_2ET
   <= ! [X0: tp__o] : fo__c_2Ebool_2EF = X0 ),
    inference('s_sup+',[status(thm)],['15','83'])).

tff('85',plain,(
    ! [X0: tp__o] :
      ( c_2Ebool_2ET != c_2Ebool_2EF
      | inj__o(X0) = c_2Ebool_2EF ) ),
    inference(eq_fact,[status(thm)],['74'])).

tff('86',plain,
    ( c_2Ebool_2ET != c_2Ebool_2EF
   <= c_2Ebool_2ET != c_2Ebool_2EF ),
    inference(split,[status(esa)],['85'])).

tff('87',plain,
    ( ! [X0: tp__o] : inj__o(X0) = c_2Ebool_2EF
    | c_2Ebool_2ET != c_2Ebool_2EF ),
    inference(split,[status(esa)],['85'])).

tff('88',plain,
    ( ! [X0: tp__o] : inj__o(X0) = c_2Ebool_2EF
   <= ! [X0: tp__o] : inj__o(X0) = c_2Ebool_2EF ),
    inference(split,[status(esa)],['85'])).

tff(stp_eq_fo_c_2Ebool_2E_7E,axiom,(
    ! [X0: tp__o] : inj__o(fo__c_2Ebool_2E_7E(X0)) = ap(c_2Ebool_2E_7E,inj__o(X0)) )).

tff('89',plain,(
    ! [X38: tp__o] : inj__o(fo__c_2Ebool_2E_7E(X38)) = ap(c_2Ebool_2E_7E,inj__o(X38)) ),
    inference(cnf,[status(esa)],[stp_eq_fo_c_2Ebool_2E_7E])).

tff(ax_neg_p,axiom,(
    ! [Q] :
      ( mem(Q,bool)
     => ( p(ap(c_2Ebool_2E_7E,Q))
      <=> ~ p(Q) ) ) )).

tff('90',plain,(
    ! [X39] :
      ( p(X39)
      | p(ap(c_2Ebool_2E_7E,X39))
      | ~ mem(X39,bool) ) ),
    inference(cnf,[status(esa)],[ax_neg_p])).

tff('91',plain,(
    ! [X0: tp__o] :
      ( p(inj__o(X0))
      | p(inj__o(fo__c_2Ebool_2E_7E(X0)))
      | ~ mem(inj__o(X0),bool) ) ),
    inference('s_sup+',[status(thm)],['89','90'])).

tff('92',plain,(
    ! [X0: tp__o] :
      ( p(inj__o(X0))
      | p(inj__o(fo__c_2Ebool_2E_7E(X0)))
      | ~ $true ) ),
    inference(demod,[status(thm)],['91','0'])).

tff('93',plain,(
    ! [X0: tp__o] :
      ( p(inj__o(fo__c_2Ebool_2E_7E(X0)))
      | p(inj__o(X0)) ) ),
    inference(simplify,[status(thm)],['92'])).

tff('94',plain,
    ( ! [X0: tp__o] :
        ( p(c_2Ebool_2EF)
        | p(inj__o(X0)) )
   <= ! [X0: tp__o] : inj__o(X0) = c_2Ebool_2EF ),
    inference('s_sup+',[status(thm)],['88','93'])).

tff('95',plain,
    ( ( p(c_2Ebool_2EF)
      | p(c_2Ebool_2EF) )
   <= ! [X0: tp__o] : inj__o(X0) = c_2Ebool_2EF ),
    inference(demod,[status(thm)],['94','88'])).

tff('96',plain,
    ( p(c_2Ebool_2EF)
   <= ! [X0: tp__o] : inj__o(X0) = c_2Ebool_2EF ),
    inference(simplify,[status(thm)],['95'])).

tff('97',plain,(
    ~ ! [X0: tp__o] : inj__o(X0) = c_2Ebool_2EF ),
    inference('s_sup-',[status(thm)],['96','4'])).

tff('98',plain,(
    c_2Ebool_2ET != c_2Ebool_2EF ),
    inference(sat_resolution,[status(thm)],['87','97'])).

tff('99',plain,(
    c_2Ebool_2ET != c_2Ebool_2EF ),
    inference(simpl_trail,[status(thm)],['86','98'])).

tff('100',plain,(
    ~ ! [X0: tp__o] : fo__c_2Ebool_2EF = X0 ),
    inference('simplify_reflect-',[status(thm)],['84','99'])).

tff('101',plain,(
    fo__c_2Ebool_2ET != fo__c_2Ebool_2EF ),
    inference(sat_resolution,[status(thm)],['81','100'])).

tff('102',plain,(
    fo__c_2Ebool_2ET != fo__c_2Ebool_2EF ),
    inference(simpl_trail,[status(thm)],['80','101'])).

tff('103',plain,(
    sk_V0x != sk_V1y ),
    inference('simplify_reflect-',[status(thm)],['73','102'])).

tff('104',plain,(
    ! [X0: tp__o] : zip_tseitin0(fo__c_2Erealax_2Ereal__lt(sk_V0x,sk_V1y),X0) ),
    inference(sat_resolution,[status(thm)],['64','103'])).

tff('105',plain,(
    p(inj__o(fo__c_2Erealax_2Ereal__lt(sk_V0x,sk_V1y))) ),
    inference(simpl_trail,[status(thm)],['63','104'])).

tff('106',plain,(
    inj__o(fo__c_2Ebool_2E_7E(fo__c_2Ebool_2EF)) = ap(c_2Ebool_2E_7E,c_2Ebool_2EF) ),
    inference('s_sup+',[status(thm)],['15','89'])).

tff('107',plain,
    ( p(c_2Ebool_2EF)
    | p(inj__o(fo__c_2Ebool_2E_7E(fo__c_2Ebool_2EF)))
    | ~ mem(c_2Ebool_2EF,bool) ),
    inference('s_sup+',[status(thm)],['106','90'])).

tff('108',plain,
    ( p(c_2Ebool_2EF)
    | p(inj__o(fo__c_2Ebool_2E_7E(fo__c_2Ebool_2EF)))
    | ~ $true ),
    inference(demod,[status(thm)],['107','1'])).

tff('109',plain,
    ( p(inj__o(fo__c_2Ebool_2E_7E(fo__c_2Ebool_2EF)))
    | p(c_2Ebool_2EF) ),
    inference(simplify,[status(thm)],['108'])).

tff('110',plain,(
    p(inj__o(fo__c_2Ebool_2E_7E(fo__c_2Ebool_2EF))) ),
    inference(clc,[status(thm)],['109','4'])).

tff('111',plain,(
    inj__o(fo__c_2Ebool_2E_7E(fo__c_2Ebool_2EF)) = c_2Ebool_2ET ),
    inference('s_sup-',[status(thm)],['110','37'])).

tff('112',plain,(
    surj__o(c_2Ebool_2ET) = fo__c_2Ebool_2E_7E(fo__c_2Ebool_2EF) ),
    inference('s_sup+',[status(thm)],['111','13'])).

tff('113',plain,(
    fo__c_2Ebool_2ET = fo__c_2Ebool_2E_7E(fo__c_2Ebool_2EF) ),
    inference(demod,[status(thm)],['112','41'])).

tff('114',plain,(
    ! [X0: tp__o] :
      ( fo__c_2Ebool_2ET = X0
      | fo__c_2Ebool_2ET = fo__c_2Ebool_2E_7E(X0) ) ),
    inference('s_sup+',[status(thm)],['78','113'])).

tff('115',plain,(
    ! [X39] :
      ( ~ p(ap(c_2Ebool_2E_7E,X39))
      | ~ p(X39)
      | ~ mem(X39,bool) ) ),
    inference(cnf,[status(esa)],[ax_neg_p])).

tff('116',plain,(
    ! [X0: tp__o] :
      ( ~ p(inj__o(fo__c_2Ebool_2E_7E(X0)))
      | ~ p(inj__o(X0))
      | ~ mem(inj__o(X0),bool) ) ),
    inference('s_sup-',[status(thm)],['89','115'])).

tff('117',plain,(
    ! [X0: tp__o] :
      ( ~ p(inj__o(fo__c_2Ebool_2E_7E(X0)))
      | ~ p(inj__o(X0))
      | ~ $true ) ),
    inference(demod,[status(thm)],['116','0'])).

tff('118',plain,(
    ! [X0: tp__o] :
      ( ~ p(inj__o(X0))
      | ~ p(inj__o(fo__c_2Ebool_2E_7E(X0))) ) ),
    inference(simplify,[status(thm)],['117'])).

tff('119',plain,(
    ! [X0: tp__o] :
      ( fo__c_2Ebool_2ET = X0
      | ~ p(inj__o(X0))
      | ~ p(inj__o(fo__c_2Ebool_2ET)) ) ),
    inference('s_sup-',[status(thm)],['114','118'])).

tff('120',plain,(
    ! [X0: tp__o] :
      ( fo__c_2Ebool_2ET = X0
      | ~ p(inj__o(X0))
      | ~ $true ) ),
    inference(demod,[status(thm)],['119','40','34'])).

tff('121',plain,(
    ! [X0: tp__o] :
      ( ~ p(inj__o(X0))
      | fo__c_2Ebool_2ET = X0 ) ),
    inference(simplify,[status(thm)],['120'])).

tff('122',plain,(
    fo__c_2Ebool_2ET = fo__c_2Erealax_2Ereal__lt(sk_V0x,sk_V1y) ),
    inference('s_sup-',[status(thm)],['105','121'])).

tff('123',plain,(
    p(ap(ap(c_2Erealax_2Ereal__lt,ap(c_2Ereal_2Ereal__of__num,inj__ty_2Enum_2Enum(fo__c_2Enum_2E0))),inj__ty_2Erealax_2Ereal(sk_V0x))) ),
    inference(cnf,[status(esa)],[zf_stmt_0])).

tff('124',plain,(
    p(ap(ap(c_2Erealax_2Ereal__lt,ap(c_2Ereal_2Ereal__of__num,c_2Enum_2E0)),inj__ty_2Erealax_2Ereal(sk_V0x))) ),
    inference(demod,[status(thm)],['123','19'])).

tff('125',plain,(
    p(inj__o(fo__c_2Erealax_2Ereal__lt(fo__c_2Ereal_2Ereal__of__num(fo__c_2Enum_2E0),sk_V0x))) ),
    inference(demod,[status(thm)],['124','23'])).

tff('126',plain,(
    inj__o(fo__c_2Erealax_2Ereal__lt(fo__c_2Ereal_2Ereal__of__num(fo__c_2Enum_2E0),sk_V0x)) = c_2Ebool_2ET ),
    inference('s_sup-',[status(thm)],['125','37'])).

tff('127',plain,(
    surj__o(c_2Ebool_2ET) = fo__c_2Erealax_2Ereal__lt(fo__c_2Ereal_2Ereal__of__num(fo__c_2Enum_2E0),sk_V0x) ),
    inference('s_sup+',[status(thm)],['126','13'])).

tff('128',plain,(
    fo__c_2Ebool_2ET = fo__c_2Erealax_2Ereal__lt(fo__c_2Ereal_2Ereal__of__num(fo__c_2Enum_2E0),sk_V0x) ),
    inference(demod,[status(thm)],['127','41'])).

tff('129',plain,
    ( ~ $true
    | ~ $true
    | p(c_2Ebool_2EF) ),
    inference(demod,[status(thm)],['28','122','40','34','128','40','34','15'])).

tff('130',plain,(
    p(c_2Ebool_2EF) ),
    inference(simplify,[status(thm)],['129'])).

tff('131',plain,(
    $false ),
    inference('s_sup-',[status(thm)],['130','4'])).

%------------------------------------------------------------------------------
