%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:43:31 EDT 2019

% Result     : Theorem 5.76s
% Output     : CNFRefutation 5.76s
% Verified   : 
% Statistics : Number of formulae       :   36 (  36 expanded)
%              Number of leaves         :   23 (  23 expanded)
%              Depth                    :    3
%              Number of atoms          :  115 ( 115 expanded)
%              Number of equality atoms :   23 (  23 expanded)
%              Maximal formula depth    :    9 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Eone_2Eone_type,type,(
    tyop_2Eone_2Eone: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Emachine__ieee_2Efloat__to__fp32_type,type,(
    c_2Emachine__ieee_2Efloat__to__fp32: ( tyop_2Ebinary__ieee_2Efloat @ ( tyop_2Efcp_2Ebit1 @ ( tyop_2Efcp_2Ebit1 @ ( tyop_2Efcp_2Ebit1 @ ( tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone ) ) ) ) @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone ) ) ) ) > ( tyop_2Efcp_2Ecart @ $o @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone ) ) ) ) ) ) )).

thf(c_2Emachine__ieee_2Efp32__to__float_type,type,(
    c_2Emachine__ieee_2Efp32__to__float: ( tyop_2Efcp_2Ecart @ $o @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone ) ) ) ) ) ) > ( tyop_2Ebinary__ieee_2Efloat @ ( tyop_2Efcp_2Ebit1 @ ( tyop_2Efcp_2Ebit1 @ ( tyop_2Efcp_2Ebit1 @ ( tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone ) ) ) ) @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone ) ) ) ) )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(7,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(25,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(8,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(28,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(5,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(21,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(1,conjecture,(
    ! [A: tyop_2Ebinary__ieee_2Efloat @ ( tyop_2Efcp_2Ebit1 @ ( tyop_2Efcp_2Ebit1 @ ( tyop_2Efcp_2Ebit1 @ ( tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone ) ) ) ) @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone ) ) )] :
    ? [B: tyop_2Efcp_2Ecart @ $o @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone ) ) ) ) )] :
      ( A
      = ( c_2Emachine__ieee_2Efp32__to__float @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Emachine__ieee_2Efloat__fp32__nchotomy)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Ebinary__ieee_2Efloat @ ( tyop_2Efcp_2Ebit1 @ ( tyop_2Efcp_2Ebit1 @ ( tyop_2Efcp_2Ebit1 @ ( tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone ) ) ) ) @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone ) ) )] :
      ? [B: tyop_2Efcp_2Ecart @ $o @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone ) ) ) ) )] :
        ( A
        = ( c_2Emachine__ieee_2Efp32__to__float @ B ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(13,plain,(
    ~ ! [A: tyop_2Ebinary__ieee_2Efloat @ ( tyop_2Efcp_2Ebit1 @ ( tyop_2Efcp_2Ebit1 @ ( tyop_2Efcp_2Ebit1 @ ( tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone ) ) ) ) @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone ) ) )] :
      ? [B: tyop_2Efcp_2Ecart @ $o @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone ) ) ) ) )] :
        ( A
        = ( c_2Emachine__ieee_2Efp32__to__float @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(11,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(45,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(6,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(22,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(12,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(54,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(3,axiom,(
    ! [A: tyop_2Ebinary__ieee_2Efloat @ ( tyop_2Efcp_2Ebit1 @ ( tyop_2Efcp_2Ebit1 @ ( tyop_2Efcp_2Ebit1 @ ( tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone ) ) ) ) @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone ) ) )] :
      ( ( c_2Emachine__ieee_2Efp32__to__float @ ( c_2Emachine__ieee_2Efloat__to__fp32 @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Emachine__ieee_2Efp32__to__float__float__to__fp32)).

thf(16,plain,(
    ! [A: tyop_2Ebinary__ieee_2Efloat @ ( tyop_2Efcp_2Ebit1 @ ( tyop_2Efcp_2Ebit1 @ ( tyop_2Efcp_2Ebit1 @ ( tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone ) ) ) ) @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ ( tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone ) ) )] :
      ( ( c_2Emachine__ieee_2Efp32__to__float @ ( c_2Emachine__ieee_2Efloat__to__fp32 @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(9,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(31,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(10,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(40,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(4,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
      = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(19,plain,(
    ! [TA: $tType] : c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(63,plain,(
    $false ),
    inference(iprover,[status(thm)],[25,28,21,13,45,22,54,16,31,40,19])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.10/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.10/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.10/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.10/0.13  % CPULimit   : 300
% 0.10/0.13  % DateTime   : Wed Jul 31 09:33:55 EDT 2019
% 0.10/0.13  % CPUTime    : 
% 3.05/1.29  % [INFO] 	 Running in sequential loop mode. 
% 3.62/1.47  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.01/1.53  % [INFO] 	 iprover registered as external prover. 
% 4.01/1.53  % [INFO] 	 e registered as external prover. 
% 4.01/1.53  % [INFO] 	 cvc4 registered as external prover. 
% 4.01/1.54  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.01/1.59  % [INFO] 	 Found a conjecture and 10 axioms. Running axiom selection ... 
% 4.32/1.62  % [INFO] 	 Axiom selection finished. Selected 10 axioms (removed 0 axioms). 
% 4.32/1.64  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.76/2.12  % [INFO] 	 Killing All external provers ... 
% 5.76/2.12  % Time passed: 1854ms
% 5.76/2.12  % Effective reasoning time: 823ms
% 5.76/2.12  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 5.76/2.12  % Axioms used in derivation (10): logicdef_2E_3D, thm_2Ebool_2EREFL__CLAUSE, thm_2Emachine__ieee_2Efp32__to__float__float__to__fp32, logicdef_2E_5C_2F, quantdef_2E_21, thm_2Ebool_2ETRUTH, logicdef_2E_3D_3D_3E, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 5.76/2.12  % No. of inferences in proof: 24
% 5.76/2.12  % No. of processed clauses: 1
% 5.76/2.12  % No. of generated clauses: 0
% 5.76/2.12  % No. of forward subsumed clauses: 0
% 5.76/2.12  % No. of backward subsumed clauses: 0
% 5.76/2.12  % No. of ground rewrite rules in store: 1
% 5.76/2.12  % No. of non-ground rewrite rules in store: 0
% 5.76/2.12  % No. of positive (non-rewrite) units in store: 0
% 5.76/2.12  % No. of negative (non-rewrite) units in store: 0
% 5.76/2.12  % No. of choice functions detected: 0
% 5.76/2.12  % No. of choice instantiations: 0
% 5.76/2.12  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 1854 ms resp. 823 ms w/o parsing
% 5.76/2.15  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.76/2.15  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 5.76/2.15  thf(tyop_2Eone_2Eone_type, type, tyop_2Eone_2Eone: $tType).
% 5.76/2.15  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 5.76/2.15  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 5.76/2.15  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 5.76/2.15  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 5.76/2.15  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 5.76/2.15  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 5.76/2.15  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 5.76/2.15  thf(c_2Emachine__ieee_2Efloat__to__fp32_type, type, c_2Emachine__ieee_2Efloat__to__fp32: ((tyop_2Ebinary__ieee_2Efloat @ (tyop_2Efcp_2Ebit1 @ (tyop_2Efcp_2Ebit1 @ (tyop_2Efcp_2Ebit1 @ (tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone)))) @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone)))) > (tyop_2Efcp_2Ecart @ $o @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone)))))))).
% 5.76/2.15  thf(c_2Emachine__ieee_2Efp32__to__float_type, type, c_2Emachine__ieee_2Efp32__to__float: ((tyop_2Efcp_2Ecart @ $o @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone)))))) > (tyop_2Ebinary__ieee_2Efloat @ (tyop_2Efcp_2Ebit1 @ (tyop_2Efcp_2Ebit1 @ (tyop_2Efcp_2Ebit1 @ (tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone)))) @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone)))))).
% 5.76/2.15  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 5.76/2.15  thf(7,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).
% 5.76/2.15  thf(25,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 5.76/2.15  thf(8,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 5.76/2.15  thf(28,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 5.76/2.15  thf(5,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 5.76/2.15  thf(21,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 5.76/2.15  thf(1,conjecture,((! [A:(tyop_2Ebinary__ieee_2Efloat @ (tyop_2Efcp_2Ebit1 @ (tyop_2Efcp_2Ebit1 @ (tyop_2Efcp_2Ebit1 @ (tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone)))) @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone))))]: ? [B:(tyop_2Efcp_2Ecart @ $o @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone))))))]: (A = (c_2Emachine__ieee_2Efp32__to__float @ B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Emachine__ieee_2Efloat__fp32__nchotomy)).
% 5.76/2.15  thf(2,negated_conjecture,((~ (! [A:(tyop_2Ebinary__ieee_2Efloat @ (tyop_2Efcp_2Ebit1 @ (tyop_2Efcp_2Ebit1 @ (tyop_2Efcp_2Ebit1 @ (tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone)))) @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone))))]: ? [B:(tyop_2Efcp_2Ecart @ $o @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone))))))]: (A = (c_2Emachine__ieee_2Efp32__to__float @ B))))),inference(neg_conjecture,[status(cth)],[1])).
% 5.76/2.15  thf(13,plain,((~ (! [A:(tyop_2Ebinary__ieee_2Efloat @ (tyop_2Efcp_2Ebit1 @ (tyop_2Efcp_2Ebit1 @ (tyop_2Efcp_2Ebit1 @ (tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone)))) @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone))))]: ? [B:(tyop_2Efcp_2Ecart @ $o @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone))))))]: (A = (c_2Emachine__ieee_2Efp32__to__float @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 5.76/2.15  thf(11,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 5.76/2.15  thf(45,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 5.76/2.15  thf(6,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 5.76/2.15  thf(22,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 5.76/2.15  thf(12,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 5.76/2.15  thf(54,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 5.76/2.15  thf(3,axiom,((! [A:(tyop_2Ebinary__ieee_2Efloat @ (tyop_2Efcp_2Ebit1 @ (tyop_2Efcp_2Ebit1 @ (tyop_2Efcp_2Ebit1 @ (tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone)))) @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone))))]: ((c_2Emachine__ieee_2Efp32__to__float @ (c_2Emachine__ieee_2Efloat__to__fp32 @ A)) = A))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Emachine__ieee_2Efp32__to__float__float__to__fp32)).
% 5.76/2.15  thf(16,plain,((! [A:(tyop_2Ebinary__ieee_2Efloat @ (tyop_2Efcp_2Ebit1 @ (tyop_2Efcp_2Ebit1 @ (tyop_2Efcp_2Ebit1 @ (tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone)))) @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ (tyop_2Efcp_2Ebit0 @ tyop_2Eone_2Eone))))]: ((c_2Emachine__ieee_2Efp32__to__float @ (c_2Emachine__ieee_2Efloat__to__fp32 @ A)) = A))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 5.76/2.15  thf(9,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 5.76/2.15  thf(31,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 5.76/2.15  thf(10,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 5.76/2.15  thf(40,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 5.76/2.15  thf(4,axiom,((! [TA: $tType]: (! [A:TA]: ((A = A) = c_2Ebool_2ET)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).
% 5.76/2.15  thf(19,plain,((! [TA: $tType]: (c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 5.76/2.15  thf(63,plain,($false),inference(iprover,[status(thm)],[25,28,21,13,45,22,54,16,31,40,19])).
% 5.76/2.15  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.76/2.15  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
