%------------------------------------------------------------------------------
thf(del_type,type,(
    del: $tType )).

thf(bool_type,type,(
    bool: del )).

thf(arr_type,type,(
    arr: del > del > del )).

thf(mem_type,type,(
    mem: $i > del > $o )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(k_type,type,(
    k: del > $i > $i )).

thf(i_type,type,(
    i: del > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(tp__o_type,type,(
    tp__o: $tType )).

thf(inj__o_type,type,(
    inj__o: tp__o > $i )).

thf(surj__o_type,type,(
    surj__o: $i > tp__o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: del > $i )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: del > $i )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $i )).

thf(fo__c_2Ebool_2E_2F_5C_type,type,(
    fo__c_2Ebool_2E_2F_5C: tp__o > tp__o > tp__o )).

thf(c_2Ecombin_2Eo_type,type,(
    c_2Ecombin_2Eo: del > del > del > $i )).

thf(ty_2Enum_2Enum_type,type,(
    ty_2Enum_2Enum: del )).

thf(tp__ty_2Enum_2Enum_type,type,(
    tp__ty_2Enum_2Enum: $tType )).

thf(inj__ty_2Enum_2Enum_type,type,(
    inj__ty_2Enum_2Enum: tp__ty_2Enum_2Enum > $i )).

thf(surj__ty_2Enum_2Enum_type,type,(
    surj__ty_2Enum_2Enum: $i > tp__ty_2Enum_2Enum )).

thf(ty_2Eone_2Eone_type,type,(
    ty_2Eone_2Eone: del )).

thf(tp__ty_2Eone_2Eone_type,type,(
    tp__ty_2Eone_2Eone: $tType )).

thf(inj__ty_2Eone_2Eone_type,type,(
    inj__ty_2Eone_2Eone: tp__ty_2Eone_2Eone > $i )).

thf(surj__ty_2Eone_2Eone_type,type,(
    surj__ty_2Eone_2Eone: $i > tp__ty_2Eone_2Eone )).

thf(ty_2Efcp_2Ebit0_type,type,(
    ty_2Efcp_2Ebit0: del > del )).

thf(ty_2Efcp_2Ebit1_type,type,(
    ty_2Efcp_2Ebit1: del > del )).

thf(ty_2Efcp_2Ecart_type,type,(
    ty_2Efcp_2Ecart: del > del > del )).

thf(c_2Ewords_2En2w_type,type,(
    c_2Ewords_2En2w: del > $i )).

thf(tp__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: tp__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $i > tp__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone )).

thf(tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $i > tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone )).

thf(tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $i > tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone )).

thf(tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $i > tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone )).

thf(tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $i > tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone )).

thf(tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $i > tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone )).

thf(tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $i > tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone )).

thf(ty_2Ebinary__ieee_2Efloat_type,type,(
    ty_2Ebinary__ieee_2Efloat: del > del > del )).

thf(c_2Ebinary__ieee_2Efloat__is__infinite_type,type,(
    c_2Ebinary__ieee_2Efloat__is__infinite: del > del > $i )).

thf(tp__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: tp__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $i > tp__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone )).

thf(tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $i > tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone )).

thf(tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $i > tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone )).

thf(c_2Emachine__ieee_2Efloat__to__fp32_type,type,(
    c_2Emachine__ieee_2Efloat__to__fp32: $i )).

thf(c_2Emachine__ieee_2Efp32__isInfinite_type,type,(
    c_2Emachine__ieee_2Efp32__isInfinite: $i )).

thf(fo__c_2Emachine__ieee_2Efp32__isInfinite_type,type,(
    fo__c_2Emachine__ieee_2Efp32__isInfinite: tp__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone > tp__o )).

thf(c_2Emachine__ieee_2Efp32__to__float_type,type,(
    c_2Emachine__ieee_2Efp32__to__float: $i )).

thf(8,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(88,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(40,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( inj__o @ ( fo__c_2Emachine__ieee_2Efp32__isInfinite @ A ) )
      = ( ap @ c_2Emachine__ieee_2Efp32__isInfinite @ ( inj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Emachine__ieee_2Efp32__isInfinite)).

thf(170,plain,(
    ! [A: tp__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( inj__o @ ( fo__c_2Emachine__ieee_2Efp32__isInfinite @ A ) )
      = ( ap @ c_2Emachine__ieee_2Efp32__isInfinite @ ( inj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).

thf(18,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(115,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(52,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Ebinary__ieee_2Efloat__is__infinite @ A @ A ) @ ( arr @ ( ty_2Ebinary__ieee_2Efloat @ A @ A ) @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebinary__ieee_2Efloat__is__infinite)).

thf(202,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebinary__ieee_2Efloat__is__infinite @ A @ A ) @ ( arr @ ( ty_2Ebinary__ieee_2Efloat @ A @ A ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[52])).

thf(30,axiom,(
    mem @ c_2Emachine__ieee_2Efp32__to__float @ ( arr @ ( ty_2Efcp_2Ecart @ bool @ bool ) @ ( ty_2Ebinary__ieee_2Efloat @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Emachine__ieee_2Efp32__to__float)).

thf(142,plain,(
    mem @ c_2Emachine__ieee_2Efp32__to__float @ ( arr @ ( ty_2Efcp_2Ecart @ bool @ bool ) @ ( ty_2Ebinary__ieee_2Efloat @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(46,axiom,(
    ! [A: tp__ty_2Eone_2Eone] :
      ( mem @ ( inj__ty_2Eone_2Eone @ A ) @ ty_2Eone_2Eone ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_ty_2Eone_2Eone)).

thf(184,plain,(
    ! [A: tp__ty_2Eone_2Eone] :
      ( mem @ ( inj__ty_2Eone_2Eone @ A ) @ ty_2Eone_2Eone ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[46])).

thf(50,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Eone_2Eone )
     => ( A
        = ( inj__ty_2Eone_2Eone @ ( surj__ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_ty_2Eone_2Eone)).

thf(196,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Eone_2Eone )
     => ( A
        = ( inj__ty_2Eone_2Eone @ ( surj__ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[50])).

thf(34,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(152,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(61,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ A )
            <=> ( p @ B ) )
           => ( A = B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',boolext)).

thf(228,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( ( p @ A )
               => ( p @ B ) )
              & ( ( p @ B )
               => ( p @ A ) ) )
           => ( A = B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[61])).

thf(57,axiom,
    ( c_2Emachine__ieee_2Efp32__isInfinite
    = ( ap @ ( ap @ ( c_2Ecombin_2Eo @ ( ty_2Efcp_2Ecart @ bool @ bool ) @ ( ty_2Efcp_2Ecart @ bool @ bool ) @ ( ty_2Efcp_2Ecart @ bool @ bool ) ) @ ( c_2Ebinary__ieee_2Efloat__is__infinite @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) @ c_2Emachine__ieee_2Efp32__to__float ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_thm_2Emachine__ieee_2Efp32__isInfinite__def)).

thf(216,plain,
    ( c_2Emachine__ieee_2Efp32__isInfinite
    = ( ap @ ( ap @ ( c_2Ecombin_2Eo @ ( ty_2Efcp_2Ecart @ bool @ bool ) @ ( ty_2Efcp_2Ecart @ bool @ bool ) @ ( ty_2Efcp_2Ecart @ bool @ bool ) ) @ ( c_2Ebinary__ieee_2Efloat__is__infinite @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) @ c_2Emachine__ieee_2Efp32__to__float ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[57])).

thf(43,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(179,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).

thf(20,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(121,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(59,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(221,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[59])).

thf(26,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(133,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(3,axiom,(
    ! [A: del,B: del,C: del] :
      ( mem @ ( c_2Ecombin_2Eo @ A @ A @ A ) @ ( arr @ ( arr @ C @ B ) @ ( arr @ ( arr @ A @ C ) @ ( arr @ A @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ecombin_2Eo)).

thf(74,plain,(
    ! [A: del,B: del,C: del] :
      ( mem @ ( c_2Ecombin_2Eo @ A @ A @ A ) @ ( arr @ ( arr @ C @ B ) @ ( arr @ ( arr @ A @ C ) @ ( arr @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(7,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(85,plain,(
    ! [A: tp__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(13,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(102,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(37,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Ebinary__ieee_2Efloat @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) )
     => ( A
        = ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(160,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Ebinary__ieee_2Efloat @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) )
     => ( A
        = ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(48,axiom,(
    mem @ c_2Emachine__ieee_2Efloat__to__fp32 @ ( arr @ ( ty_2Ebinary__ieee_2Efloat @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ty_2Efcp_2Ecart @ bool @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Emachine__ieee_2Efloat__to__fp32)).

thf(192,plain,(
    mem @ c_2Emachine__ieee_2Efloat__to__fp32 @ ( arr @ ( ty_2Ebinary__ieee_2Efloat @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ty_2Efcp_2Ecart @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[48])).

thf(28,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( surj__ty_2Enum_2Enum @ ( inj__ty_2Enum_2Enum @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_ty_2Enum_2Enum)).

thf(137,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( surj__ty_2Enum_2Enum @ ( inj__ty_2Enum_2Enum @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(39,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',funcext)).

thf(165,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).

thf(11,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(97,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(60,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
      <=> ! [C: $i] :
            ( ( mem @ C @ A )
           => ( p @ ( ap @ B @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_all_p)).

thf(224,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
         => ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) )
        & ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) )
         => ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[60])).

thf(16,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( surj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_o)).

thf(109,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( surj__o @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(22,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(124,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(49,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Enum_2Enum )
     => ( A
        = ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_ty_2Enum_2Enum)).

thf(193,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Enum_2Enum )
     => ( A
        = ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[49])).

thf(41,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(173,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).

thf(24,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( mem @ ( inj__ty_2Enum_2Enum @ A ) @ ty_2Enum_2Enum ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_ty_2Enum_2Enum)).

thf(129,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( mem @ ( inj__ty_2Enum_2Enum @ A ) @ ty_2Enum_2Enum ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(62,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(237,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[62])).

thf(14,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ecart @ bool @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(105,plain,(
    ! [A: tp__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ecart @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(1,conjecture,
    ( ! [A: tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
        ( ( p @ ( ap @ c_2Emachine__ieee_2Efp32__isInfinite @ ( ap @ c_2Emachine__ieee_2Efloat__to__fp32 @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) )
      <=> ( p @ ( ap @ ( c_2Ebinary__ieee_2Efloat__is__infinite @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( p @ ( ap @ c_2Emachine__ieee_2Efp32__isInfinite @ ( ap @ ( c_2Ewords_2En2w @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
      <=> ( p @ ( ap @ ( c_2Ebinary__ieee_2Efloat__is__infinite @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ap @ c_2Emachine__ieee_2Efp32__to__float @ ( ap @ ( c_2Ewords_2En2w @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Emachine__ieee_2Efp32__isInfinite)).

thf(2,negated_conjecture,(
    ~ ( ! [A: tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
          ( ( p @ ( ap @ c_2Emachine__ieee_2Efp32__isInfinite @ ( ap @ c_2Emachine__ieee_2Efloat__to__fp32 @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) )
        <=> ( p @ ( ap @ ( c_2Ebinary__ieee_2Efloat__is__infinite @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) )
      & ! [A: tp__ty_2Enum_2Enum] :
          ( ( p @ ( ap @ c_2Emachine__ieee_2Efp32__isInfinite @ ( ap @ ( c_2Ewords_2En2w @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
        <=> ( p @ ( ap @ ( c_2Ebinary__ieee_2Efloat__is__infinite @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ap @ c_2Emachine__ieee_2Efp32__to__float @ ( ap @ ( c_2Ewords_2En2w @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(64,plain,(
    ~ ( ! [A: tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
          ( ( ( p @ ( ap @ c_2Emachine__ieee_2Efp32__isInfinite @ ( ap @ c_2Emachine__ieee_2Efloat__to__fp32 @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) )
           => ( p @ ( ap @ ( c_2Ebinary__ieee_2Efloat__is__infinite @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) )
          & ( ( p @ ( ap @ ( c_2Ebinary__ieee_2Efloat__is__infinite @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) )
           => ( p @ ( ap @ c_2Emachine__ieee_2Efp32__isInfinite @ ( ap @ c_2Emachine__ieee_2Efloat__to__fp32 @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ) )
      & ! [A: tp__ty_2Enum_2Enum] :
          ( ( ( p @ ( ap @ c_2Emachine__ieee_2Efp32__isInfinite @ ( ap @ ( c_2Ewords_2En2w @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
           => ( p @ ( ap @ ( c_2Ebinary__ieee_2Efloat__is__infinite @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ap @ c_2Emachine__ieee_2Efp32__to__float @ ( ap @ ( c_2Ewords_2En2w @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) ) )
          & ( ( p @ ( ap @ ( c_2Ebinary__ieee_2Efloat__is__infinite @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ap @ c_2Emachine__ieee_2Efp32__to__float @ ( ap @ ( c_2Ewords_2En2w @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) )
           => ( p @ ( ap @ c_2Emachine__ieee_2Efp32__isInfinite @ ( ap @ ( c_2Ewords_2En2w @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(42,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(176,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).

thf(19,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ecart @ bool @ bool ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(118,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ecart @ bool @ bool ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(53,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(204,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[53])).

thf(44,axiom,(
    mem @ c_2Emachine__ieee_2Efp32__isInfinite @ ( arr @ ( ty_2Efcp_2Ecart @ bool @ bool ) @ bool ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Emachine__ieee_2Efp32__isInfinite)).

thf(181,plain,(
    mem @ c_2Emachine__ieee_2Efp32__isInfinite @ ( arr @ ( ty_2Efcp_2Ecart @ bool @ bool ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).

thf(4,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(76,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(29,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(140,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(56,axiom,(
    ! [A: del,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',kbeta)).

thf(213,plain,(
    ! [A: del,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[56])).

thf(9,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(91,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(35,axiom,(
    ! [A: del,B: del,C: del,D: $i] :
      ( ( mem @ D @ ( arr @ A @ B ) )
     => ! [E: $i] :
          ( ( mem @ E @ ( arr @ C @ A ) )
         => ! [F: $i] :
              ( ( mem @ F @ C )
             => ( ( ap @ ( ap @ ( ap @ ( c_2Ecombin_2Eo @ C @ C @ C ) @ D ) @ E ) @ F )
                = ( ap @ D @ ( ap @ E @ F ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ecombin_2Eo__THM)).

thf(155,plain,(
    ! [A: del,B: del,C: del,D: $i] :
      ( ( mem @ D @ ( arr @ A @ B ) )
     => ! [E: $i] :
          ( ( mem @ E @ ( arr @ C @ A ) )
         => ! [F: $i] :
              ( ( mem @ F @ C )
             => ( ( ap @ ( ap @ ( ap @ ( c_2Ecombin_2Eo @ C @ C @ C ) @ D ) @ E ) @ F )
                = ( ap @ D @ ( ap @ E @ F ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(27,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(135,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(17,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(112,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(21,axiom,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_2F_5C)).

thf(123,plain,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(33,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ap_tp)).

thf(150,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(51,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_2F_5C)).

thf(199,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[51])).

thf(45,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(182,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[45])).

thf(31,axiom,(
    ! [A: tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(143,plain,(
    ! [A: tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(58,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(218,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[58])).

thf(36,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ewords_2En2w @ A ) @ ( arr @ ty_2Enum_2Enum @ ( ty_2Efcp_2Ecart @ bool @ bool ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ewords_2En2w)).

thf(158,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ewords_2En2w @ A ) @ ( arr @ ty_2Enum_2Enum @ ( ty_2Efcp_2Ecart @ bool @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(47,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
          <=> ( B = C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_eq_p)).

thf(186,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
             => ( B = C ) )
            & ( ( B = C )
             => ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[47])).

thf(54,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ibeta)).

thf(207,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[54])).

thf(6,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(82,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(32,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
          <=> ( ( p @ A )
              & ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_and_p)).

thf(146,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
             => ( ( p @ A )
                & ( p @ B ) ) )
            & ( ( ( p @ A )
                & ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(55,axiom,(
    ! [A: tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( ap @ c_2Emachine__ieee_2Efp32__to__float @ ( ap @ c_2Emachine__ieee_2Efloat__to__fp32 @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Emachine__ieee_2Efp32__to__float__float__to__fp32)).

thf(210,plain,(
    ! [A: tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( ap @ c_2Emachine__ieee_2Efp32__to__float @ ( ap @ c_2Emachine__ieee_2Efloat__to__fp32 @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[55])).

thf(15,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(107,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(63,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(239,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[63])).

thf(23,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(126,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(5,axiom,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_o)).

thf(79,plain,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(10,axiom,(
    ! [A: tp__ty_2Eone_2Eone] :
      ( ( surj__ty_2Eone_2Eone @ ( inj__ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_ty_2Eone_2Eone)).

thf(94,plain,(
    ! [A: tp__ty_2Eone_2Eone] :
      ( ( surj__ty_2Eone_2Eone @ ( inj__ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(25,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(131,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(38,axiom,(
    ! [A: tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Ebinary__ieee_2Efloat @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(163,plain,(
    ! [A: tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Ebinary__ieee_2Efloat @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(12,axiom,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_o)).

thf(100,plain,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(245,plain,(
    $false ),
    inference(cvc4,[status(thm)],[88,170,115,202,142,184,196,152,228,216,179,121,221,133,74,85,102,160,192,137,165,97,224,109,124,193,173,129,237,105,64,176,118,204,181,76,140,213,91,155,135,112,123,150,199,182,143,218,158,186,207,82,146,210,107,239,126,79,94,131,163,100])).
%------------------------------------------------------------------------------
