%------------------------------------------------------------------------------
thf(del_type,type,(
    del: $tType )).

thf(bool_type,type,(
    bool: del )).

thf(arr_type,type,(
    arr: del > del > del )).

thf(mem_type,type,(
    mem: $i > del > $o )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(k_type,type,(
    k: del > $i > $i )).

thf(i_type,type,(
    i: del > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(tp__o_type,type,(
    tp__o: $tType )).

thf(inj__o_type,type,(
    inj__o: tp__o > $i )).

thf(surj__o_type,type,(
    surj__o: $i > tp__o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: del > $i )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: del > $i )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $i )).

thf(fo__c_2Ebool_2E_2F_5C_type,type,(
    fo__c_2Ebool_2E_2F_5C: tp__o > tp__o > tp__o )).

thf(c_2Ecombin_2Eo_type,type,(
    c_2Ecombin_2Eo: del > del > del > $i )).

thf(ty_2Enum_2Enum_type,type,(
    ty_2Enum_2Enum: del )).

thf(tp__ty_2Enum_2Enum_type,type,(
    tp__ty_2Enum_2Enum: $tType )).

thf(inj__ty_2Enum_2Enum_type,type,(
    inj__ty_2Enum_2Enum: tp__ty_2Enum_2Enum > $i )).

thf(surj__ty_2Enum_2Enum_type,type,(
    surj__ty_2Enum_2Enum: $i > tp__ty_2Enum_2Enum )).

thf(ty_2Eone_2Eone_type,type,(
    ty_2Eone_2Eone: del )).

thf(tp__ty_2Eone_2Eone_type,type,(
    tp__ty_2Eone_2Eone: $tType )).

thf(inj__ty_2Eone_2Eone_type,type,(
    inj__ty_2Eone_2Eone: tp__ty_2Eone_2Eone > $i )).

thf(surj__ty_2Eone_2Eone_type,type,(
    surj__ty_2Eone_2Eone: $i > tp__ty_2Eone_2Eone )).

thf(ty_2Efcp_2Ebit0_type,type,(
    ty_2Efcp_2Ebit0: del > del )).

thf(ty_2Efcp_2Ebit1_type,type,(
    ty_2Efcp_2Ebit1: del > del )).

thf(ty_2Efcp_2Ecart_type,type,(
    ty_2Efcp_2Ecart: del > del > del )).

thf(c_2Ewords_2En2w_type,type,(
    c_2Ewords_2En2w: del > $i )).

thf(tp__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: tp__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $i > tp__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone )).

thf(tp__c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone: tp__c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone: $i > tp__c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone )).

thf(tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $i > tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone )).

thf(tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $i > tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone )).

thf(tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone: $i > tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone )).

thf(tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $i > tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone )).

thf(tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $i > tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone )).

thf(tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $i > tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone )).

thf(tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $i > tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone )).

thf(tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $i > tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone )).

thf(ty_2Ebinary__ieee_2Efloat_type,type,(
    ty_2Ebinary__ieee_2Efloat: del > del > del )).

thf(c_2Ebinary__ieee_2Efloat__is__signalling_type,type,(
    c_2Ebinary__ieee_2Efloat__is__signalling: del > del > $i )).

thf(tp__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: tp__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $i > tp__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone )).

thf(tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone: $i > tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone )).

thf(tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone: $i > tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone )).

thf(tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone: $i > tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone )).

thf(tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_type,type,(
    tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone: $tType )).

thf(inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_type,type,(
    inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone > $i )).

thf(surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_type,type,(
    surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone: $i > tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone )).

thf(c_2Emachine__ieee_2Efloat__to__fp64_type,type,(
    c_2Emachine__ieee_2Efloat__to__fp64: $i )).

thf(c_2Emachine__ieee_2Efp64__isSignallingNan_type,type,(
    c_2Emachine__ieee_2Efp64__isSignallingNan: $i )).

thf(fo__c_2Emachine__ieee_2Efp64__isSignallingNan_type,type,(
    fo__c_2Emachine__ieee_2Efp64__isSignallingNan: tp__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone > tp__o )).

thf(c_2Emachine__ieee_2Efp64__to__float_type,type,(
    c_2Emachine__ieee_2Efp64__to__float: $i )).

thf(58,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Eone_2Eone )
     => ( A
        = ( inj__ty_2Eone_2Eone @ ( surj__ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_ty_2Eone_2Eone)).

thf(234,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Eone_2Eone )
     => ( A
        = ( inj__ty_2Eone_2Eone @ ( surj__ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[58])).

thf(73,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Ebinary__ieee_2Efloat @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) ) )
     => ( A
        = ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(276,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Ebinary__ieee_2Efloat @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) ) )
     => ( A
        = ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[73])).

thf(63,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ibeta)).

thf(247,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[63])).

thf(71,axiom,(
    ! [A: tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(269,plain,(
    ! [A: tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[71])).

thf(22,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(142,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(26,axiom,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_2F_5C)).

thf(153,plain,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(36,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone)).

thf(174,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(41,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
          <=> ( ( p @ A )
              & ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_and_p)).

thf(185,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
             => ( ( p @ A )
                & ( p @ B ) ) )
            & ( ( ( p @ A )
                & ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).

thf(42,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ap_tp)).

thf(189,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).

thf(51,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(211,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[51])).

thf(65,axiom,(
    ! [A: tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( ap @ c_2Emachine__ieee_2Efp64__to__float @ ( ap @ c_2Emachine__ieee_2Efloat__to__fp64 @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Emachine__ieee_2Efp64__to__float__float__to__fp64)).

thf(253,plain,(
    ! [A: tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( ap @ c_2Emachine__ieee_2Efp64__to__float @ ( ap @ c_2Emachine__ieee_2Efloat__to__fp64 @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[65])).

thf(15,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ecart @ bool @ bool ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(121,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ecart @ bool @ bool ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(54,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(221,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[54])).

thf(77,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(293,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[77])).

thf(3,axiom,(
    ! [A: del,B: del,C: del] :
      ( mem @ ( c_2Ecombin_2Eo @ A @ A @ A ) @ ( arr @ ( arr @ C @ B ) @ ( arr @ ( arr @ A @ C ) @ ( arr @ A @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ecombin_2Eo)).

thf(89,plain,(
    ! [A: del,B: del,C: del] :
      ( mem @ ( c_2Ecombin_2Eo @ A @ A @ A ) @ ( arr @ ( arr @ C @ B ) @ ( arr @ ( arr @ A @ C ) @ ( arr @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(19,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone)).

thf(133,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(13,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(116,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(68,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(260,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[68])).

thf(32,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(165,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(45,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(197,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[45])).

thf(6,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(97,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(28,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(156,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(34,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(169,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(66,axiom,(
    ! [A: del,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',kbeta)).

thf(256,plain,(
    ! [A: del,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[66])).

thf(16,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( surj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_o)).

thf(124,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( surj__o @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(56,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
          <=> ( B = C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_eq_p)).

thf(225,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
             => ( B = C ) )
            & ( ( B = C )
             => ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[56])).

thf(59,axiom,(
    ! [A: tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Ebinary__ieee_2Efloat @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(237,plain,(
    ! [A: tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Ebinary__ieee_2Efloat @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[59])).

thf(9,axiom,(
    ! [A: tp__ty_2Eone_2Eone] :
      ( ( surj__ty_2Eone_2Eone @ ( inj__ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_ty_2Eone_2Eone)).

thf(105,plain,(
    ! [A: tp__ty_2Eone_2Eone] :
      ( ( surj__ty_2Eone_2Eone @ ( inj__ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(62,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(244,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[62])).

thf(70,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(266,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[70])).

thf(24,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone)).

thf(148,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(30,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone)).

thf(161,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(74,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone)).

thf(279,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[74])).

thf(39,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone)).

thf(180,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).

thf(78,axiom,(
    mem @ c_2Emachine__ieee_2Efp64__to__float @ ( arr @ ( ty_2Efcp_2Ecart @ bool @ bool ) @ ( ty_2Ebinary__ieee_2Efloat @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Emachine__ieee_2Efp64__to__float)).

thf(296,plain,(
    mem @ c_2Emachine__ieee_2Efp64__to__float @ ( arr @ ( ty_2Efcp_2Ecart @ bool @ bool ) @ ( ty_2Ebinary__ieee_2Efloat @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[78])).

thf(37,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(176,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(43,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( inj__o @ ( fo__c_2Emachine__ieee_2Efp64__isSignallingNan @ A ) )
      = ( ap @ c_2Emachine__ieee_2Efp64__isSignallingNan @ ( inj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Emachine__ieee_2Efp64__isSignallingNan)).

thf(191,plain,(
    ! [A: tp__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( inj__o @ ( fo__c_2Emachine__ieee_2Efp64__isSignallingNan @ A ) )
      = ( ap @ c_2Emachine__ieee_2Efp64__isSignallingNan @ ( inj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).

thf(76,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(291,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[76])).

thf(14,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone)).

thf(118,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(48,axiom,(
    ! [A: del,B: del,C: del,D: $i] :
      ( ( mem @ D @ ( arr @ A @ B ) )
     => ! [E: $i] :
          ( ( mem @ E @ ( arr @ C @ A ) )
         => ! [F: $i] :
              ( ( mem @ F @ C )
             => ( ( ap @ ( ap @ ( ap @ ( c_2Ecombin_2Eo @ C @ C @ C ) @ D ) @ E ) @ F )
                = ( ap @ D @ ( ap @ E @ F ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ecombin_2Eo__THM)).

thf(204,plain,(
    ! [A: del,B: del,C: del,D: $i] :
      ( ( mem @ D @ ( arr @ A @ B ) )
     => ! [E: $i] :
          ( ( mem @ E @ ( arr @ C @ A ) )
         => ! [F: $i] :
              ( ( mem @ F @ C )
             => ( ( ap @ ( ap @ ( ap @ ( c_2Ecombin_2Eo @ C @ C @ C ) @ D ) @ E ) @ F )
                = ( ap @ D @ ( ap @ E @ F ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[48])).

thf(67,axiom,(
    mem @ c_2Emachine__ieee_2Efp64__isSignallingNan @ ( arr @ ( ty_2Efcp_2Ecart @ bool @ bool ) @ bool ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Emachine__ieee_2Efp64__isSignallingNan)).

thf(259,plain,(
    mem @ c_2Emachine__ieee_2Efp64__isSignallingNan @ ( arr @ ( ty_2Efcp_2Ecart @ bool @ bool ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[67])).

thf(29,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( mem @ ( inj__ty_2Enum_2Enum @ A ) @ ty_2Enum_2Enum ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_ty_2Enum_2Enum)).

thf(159,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( mem @ ( inj__ty_2Enum_2Enum @ A ) @ ty_2Enum_2Enum ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(12,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(113,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(8,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ecart @ bool @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(103,plain,(
    ! [A: tp__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ecart @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(52,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',funcext)).

thf(213,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[52])).

thf(4,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(91,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(10,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(108,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(18,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(130,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(55,axiom,(
    ! [A: tp__ty_2Eone_2Eone] :
      ( mem @ ( inj__ty_2Eone_2Eone @ A ) @ ty_2Eone_2Eone ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_ty_2Eone_2Eone)).

thf(223,plain,(
    ! [A: tp__ty_2Eone_2Eone] :
      ( mem @ ( inj__ty_2Eone_2Eone @ A ) @ ty_2Eone_2Eone ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[55])).

thf(33,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(167,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(50,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone)).

thf(209,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[50])).

thf(44,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone)).

thf(194,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).

thf(23,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone)).

thf(145,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(75,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ A )
            <=> ( p @ B ) )
           => ( A = B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',boolext)).

thf(282,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( ( p @ A )
               => ( p @ B ) )
              & ( ( p @ B )
               => ( p @ A ) ) )
           => ( A = B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[75])).

thf(69,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(263,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[69])).

thf(17,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(127,plain,(
    ! [A: tp__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ecart_o_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(27,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(154,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(64,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone)).

thf(250,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[64])).

thf(57,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Enum_2Enum )
     => ( A
        = ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_ty_2Enum_2Enum)).

thf(231,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Enum_2Enum )
     => ( A
        = ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[57])).

thf(47,axiom,(
    mem @ c_2Emachine__ieee_2Efloat__to__fp64 @ ( arr @ ( ty_2Ebinary__ieee_2Efloat @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) ) @ ( ty_2Efcp_2Ecart @ bool @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Emachine__ieee_2Efloat__to__fp64)).

thf(203,plain,(
    mem @ c_2Emachine__ieee_2Efloat__to__fp64 @ ( arr @ ( ty_2Ebinary__ieee_2Efloat @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) ) @ ( ty_2Efcp_2Ecart @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[47])).

thf(53,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(218,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[53])).

thf(35,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( surj__ty_2Enum_2Enum @ ( inj__ty_2Enum_2Enum @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_ty_2Enum_2Enum)).

thf(171,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( surj__ty_2Enum_2Enum @ ( inj__ty_2Enum_2Enum @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(21,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone)).

thf(139,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(49,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ewords_2En2w @ A ) @ ( arr @ ty_2Enum_2Enum @ ( ty_2Efcp_2Ecart @ bool @ bool ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ewords_2En2w)).

thf(207,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ewords_2En2w @ A ) @ ( arr @ ty_2Enum_2Enum @ ( ty_2Efcp_2Ecart @ bool @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[49])).

thf(72,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
      <=> ! [C: $i] :
            ( ( mem @ C @ A )
           => ( p @ ( ap @ B @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_all_p)).

thf(272,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
         => ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) )
        & ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) )
         => ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[72])).

thf(25,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(151,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(40,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone)).

thf(183,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).

thf(60,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_2F_5C)).

thf(239,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[60])).

thf(61,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Ebinary__ieee_2Efloat__is__signalling @ A @ A ) @ ( arr @ ( ty_2Ebinary__ieee_2Efloat @ A @ A ) @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebinary__ieee_2Efloat__is__signalling)).

thf(242,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebinary__ieee_2Efloat__is__signalling @ A @ A ) @ ( arr @ ( ty_2Ebinary__ieee_2Efloat @ A @ A ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[61])).

thf(20,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(136,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(1,conjecture,
    ( ! [A: tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
        ( ( p @ ( ap @ c_2Emachine__ieee_2Efp64__isSignallingNan @ ( ap @ c_2Emachine__ieee_2Efloat__to__fp64 @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) )
      <=> ( p @ ( ap @ ( c_2Ebinary__ieee_2Efloat__is__signalling @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) ) @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) )
    & ! [A: tp__ty_2Enum_2Enum] :
        ( ( p @ ( ap @ c_2Emachine__ieee_2Efp64__isSignallingNan @ ( ap @ ( c_2Ewords_2En2w @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
      <=> ( p @ ( ap @ ( c_2Ebinary__ieee_2Efloat__is__signalling @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) ) @ ( ap @ c_2Emachine__ieee_2Efp64__to__float @ ( ap @ ( c_2Ewords_2En2w @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Emachine__ieee_2Efp64__isSignallingNan)).

thf(2,negated_conjecture,(
    ~ ( ! [A: tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
          ( ( p @ ( ap @ c_2Emachine__ieee_2Efp64__isSignallingNan @ ( ap @ c_2Emachine__ieee_2Efloat__to__fp64 @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) )
        <=> ( p @ ( ap @ ( c_2Ebinary__ieee_2Efloat__is__signalling @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) ) @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) )
      & ! [A: tp__ty_2Enum_2Enum] :
          ( ( p @ ( ap @ c_2Emachine__ieee_2Efp64__isSignallingNan @ ( ap @ ( c_2Ewords_2En2w @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
        <=> ( p @ ( ap @ ( c_2Ebinary__ieee_2Efloat__is__signalling @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) ) @ ( ap @ c_2Emachine__ieee_2Efp64__to__float @ ( ap @ ( c_2Ewords_2En2w @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(79,plain,(
    ~ ( ! [A: tp__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
          ( ( ( p @ ( ap @ c_2Emachine__ieee_2Efp64__isSignallingNan @ ( ap @ c_2Emachine__ieee_2Efloat__to__fp64 @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) )
           => ( p @ ( ap @ ( c_2Ebinary__ieee_2Efloat__is__signalling @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) ) @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) )
          & ( ( p @ ( ap @ ( c_2Ebinary__ieee_2Efloat__is__signalling @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) ) @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) )
           => ( p @ ( ap @ c_2Emachine__ieee_2Efp64__isSignallingNan @ ( ap @ c_2Emachine__ieee_2Efloat__to__fp64 @ ( inj__c_ty_2Ebinary__ieee_2Efloat_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit1_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) ) ) ) ) )
      & ! [A: tp__ty_2Enum_2Enum] :
          ( ( ( p @ ( ap @ c_2Emachine__ieee_2Efp64__isSignallingNan @ ( ap @ ( c_2Ewords_2En2w @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) )
           => ( p @ ( ap @ ( c_2Ebinary__ieee_2Efloat__is__signalling @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) ) @ ( ap @ c_2Emachine__ieee_2Efp64__to__float @ ( ap @ ( c_2Ewords_2En2w @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) ) )
          & ( ( p @ ( ap @ ( c_2Ebinary__ieee_2Efloat__is__signalling @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) ) @ ( ap @ c_2Emachine__ieee_2Efp64__to__float @ ( ap @ ( c_2Ewords_2En2w @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) )
           => ( p @ ( ap @ c_2Emachine__ieee_2Efp64__isSignallingNan @ ( ap @ ( c_2Ewords_2En2w @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ty_2Eone_2Eone ) ) ) ) ) ) ) @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(5,axiom,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_o)).

thf(94,plain,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(31,axiom,
    ( c_2Emachine__ieee_2Efp64__isSignallingNan
    = ( ap @ ( ap @ ( c_2Ecombin_2Eo @ ( ty_2Efcp_2Ecart @ bool @ bool ) @ ( ty_2Efcp_2Ecart @ bool @ bool ) @ ( ty_2Efcp_2Ecart @ bool @ bool ) ) @ ( c_2Ebinary__ieee_2Efloat__is__signalling @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) ) ) @ c_2Emachine__ieee_2Efp64__to__float ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_thm_2Emachine__ieee_2Efp64__isSignallingNan__def)).

thf(163,plain,
    ( c_2Emachine__ieee_2Efp64__isSignallingNan
    = ( ap @ ( ap @ ( c_2Ecombin_2Eo @ ( ty_2Efcp_2Ecart @ bool @ bool ) @ ( ty_2Efcp_2Ecart @ bool @ bool ) @ ( ty_2Efcp_2Ecart @ bool @ bool ) ) @ ( c_2Ebinary__ieee_2Efloat__is__signalling @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ) ) ) ) @ c_2Emachine__ieee_2Efp64__to__float ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(46,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone)).

thf(200,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) )
     => ( A
        = ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ ( surj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[46])).

thf(38,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone)).

thf(178,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone] :
      ( mem @ ( inj__c_ty_2Efcp_2Ebit0_c_ty_2Efcp_2Ebit1_ty_2Eone_2Eone @ A ) @ ( ty_2Efcp_2Ebit0 @ ( ty_2Efcp_2Ebit1 @ ty_2Eone_2Eone ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(11,axiom,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_o)).

thf(111,plain,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(7,axiom,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone)).

thf(100,plain,(
    ! [A: tp__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone] :
      ( ( surj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ ( inj__c_ty_2Efcp_2Ebit0_ty_2Eone_2Eone @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(297,plain,(
    $false ),
    inference(cvc4,[status(thm)],[234,276,247,269,142,153,174,185,189,211,253,121,221,293,89,133,116,260,165,197,97,156,169,256,124,225,237,105,244,266,148,161,279,180,296,176,191,291,118,204,259,159,113,103,213,91,108,130,223,167,209,194,145,282,263,127,154,250,231,203,218,171,139,207,272,151,183,239,242,136,79,94,163,200,178,111,100])).
%------------------------------------------------------------------------------
