%------------------------------------------------------------------------------
thf(ty_2Erealax_2Ereal_type,type,(
    ty_2Erealax_2Ereal: $i )).

thf(bool_type,type,(
    bool: $i )).

thf(arr_type,type,(
    arr: $i > $i > $i )).

thf(mem_type,type,(
    mem: $i > $i > $o )).

thf(c_2Epred__set_2EFINITE_type,type,(
    c_2Epred__set_2EFINITE: $i > $i )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(c_2Epred__set_2EEMPTY_type,type,(
    c_2Epred__set_2EEMPTY: $i > $i )).

thf(c_2Ereal_2Ereal__lte_type,type,(
    c_2Ereal_2Ereal__lte: $i )).

thf(c_2Eiterate_2Einf_type,type,(
    c_2Eiterate_2Einf: $i )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: $i > $i )).

thf(ind_type,type,(
    ind: $i )).

thf(ne_type,type,(
    ne: $i > $o )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $i )).

thf(k_type,type,(
    k: $i > $i > $i )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $i )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $i )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: $i > $i )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $i )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: $i > $i )).

thf(i_type,type,(
    i: $i > $i )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $i )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $i )).

thf(4,axiom,(
    ne @ ind ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ind_ne)).

thf(69,plain,(
    ne @ ind ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(30,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ( mem @ ( c_2Epred__set_2EEMPTY @ A ) @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Epred__set_2EEMPTY)).

thf(170,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ( mem @ ( c_2Epred__set_2EEMPTY @ A ) @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(45,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ A )
            <=> ( p @ B ) )
           => ( A = B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',boolext)).

thf(217,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( ( p @ A )
               => ( p @ B ) )
              & ( ( p @ B )
               => ( p @ A ) ) )
           => ( A = B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[45])).

thf(1,conjecture,(
    ! [A: $i] :
      ( ( mem @ A @ ( arr @ ty_2Erealax_2Ereal @ bool ) )
     => ! [B: $i] :
          ( ( mem @ B @ ty_2Erealax_2Ereal )
         => ( ( ( p @ ( ap @ ( c_2Epred__set_2EFINITE @ ty_2Erealax_2Ereal ) @ A ) )
              & ( A
               != ( c_2Epred__set_2EEMPTY @ ty_2Erealax_2Ereal ) ) )
           => ( ( p @ ( ap @ ( ap @ c_2Ereal_2Ereal__lte @ B ) @ ( ap @ c_2Eiterate_2Einf @ A ) ) )
            <=> ! [C: $i] :
                  ( ( mem @ C @ ty_2Erealax_2Ereal )
                 => ( ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ty_2Erealax_2Ereal ) @ C ) @ A ) )
                   => ( p @ ( ap @ ( ap @ c_2Ereal_2Ereal__lte @ B ) @ C ) ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Eiterate_2EREAL__LE__INF__FINITE)).

thf(2,negated_conjecture,(
    ~ ! [A: $i] :
        ( ( mem @ A @ ( arr @ ty_2Erealax_2Ereal @ bool ) )
       => ! [B: $i] :
            ( ( mem @ B @ ty_2Erealax_2Ereal )
           => ( ( ( p @ ( ap @ ( c_2Epred__set_2EFINITE @ ty_2Erealax_2Ereal ) @ A ) )
                & ( A
                 != ( c_2Epred__set_2EEMPTY @ ty_2Erealax_2Ereal ) ) )
             => ( ( p @ ( ap @ ( ap @ c_2Ereal_2Ereal__lte @ B ) @ ( ap @ c_2Eiterate_2Einf @ A ) ) )
              <=> ! [C: $i] :
                    ( ( mem @ C @ ty_2Erealax_2Ereal )
                   => ( ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ty_2Erealax_2Ereal ) @ C ) @ A ) )
                     => ( p @ ( ap @ ( ap @ c_2Ereal_2Ereal__lte @ B ) @ C ) ) ) ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(56,plain,(
    ~ ! [A: $i] :
        ( ( mem @ A @ ( arr @ ty_2Erealax_2Ereal @ bool ) )
       => ! [B: $i] :
            ( ( mem @ B @ ty_2Erealax_2Ereal )
           => ( ( ( p @ ( ap @ ( c_2Epred__set_2EFINITE @ ty_2Erealax_2Ereal ) @ A ) )
                & ( A
                 != ( c_2Epred__set_2EEMPTY @ ty_2Erealax_2Ereal ) ) )
             => ( ( ( p @ ( ap @ ( ap @ c_2Ereal_2Ereal__lte @ B ) @ ( ap @ c_2Eiterate_2Einf @ A ) ) )
                 => ! [C: $i] :
                      ( ( mem @ C @ ty_2Erealax_2Ereal )
                     => ( ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ty_2Erealax_2Ereal ) @ C ) @ A ) )
                       => ( p @ ( ap @ ( ap @ c_2Ereal_2Ereal__lte @ B ) @ C ) ) ) ) )
                & ( ! [C: $i] :
                      ( ( mem @ C @ ty_2Erealax_2Ereal )
                     => ( ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ty_2Erealax_2Ereal ) @ C ) @ A ) )
                       => ( p @ ( ap @ ( ap @ c_2Ereal_2Ereal__lte @ B ) @ C ) ) ) )
                 => ( p @ ( ap @ ( ap @ c_2Ereal_2Ereal__lte @ B ) @ ( ap @ c_2Eiterate_2Einf @ A ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(18,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( ~ ~ ( p @ A )
      <=> ( p @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2ENOT__NOT)).

thf(142,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(23,axiom,(
    ~ ( p @ c_2Ebool_2EF ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_false_p)).

thf(153,plain,(
    ~ ( p @ c_2Ebool_2EF ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(17,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ! [C: $i] :
              ( ( mem @ C @ bool )
             => ( ( ( p @ A )
                <=> ( ( p @ B )
                    & ( p @ C ) ) )
              <=> ( ( ( p @ A )
                    | ~ ( p @ B )
                    | ~ ( p @ C ) )
                  & ( ( p @ B )
                    | ~ ( p @ A ) )
                  & ( ( p @ C )
                    | ~ ( p @ A ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__conj)).

thf(125,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ! [C: $i] :
              ( ( mem @ C @ bool )
             => ( ( ( ( ( p @ A )
                     => ( ( p @ B )
                        & ( p @ C ) ) )
                    & ( ( ( p @ B )
                        & ( p @ C ) )
                     => ( p @ A ) ) )
                 => ( ( ( p @ A )
                      | ~ ( p @ B )
                      | ~ ( p @ C ) )
                    & ( ( p @ B )
                      | ~ ( p @ A ) )
                    & ( ( p @ C )
                      | ~ ( p @ A ) ) ) )
                & ( ( ( ( p @ A )
                      | ~ ( p @ B )
                      | ~ ( p @ C ) )
                    & ( ( p @ B )
                      | ~ ( p @ A ) )
                    & ( ( p @ C )
                      | ~ ( p @ A ) ) )
                 => ( ( ( p @ A )
                     => ( ( p @ B )
                        & ( p @ C ) ) )
                    & ( ( ( p @ B )
                        & ( p @ C ) )
                     => ( p @ A ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(25,axiom,(
    ! [A: $i,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ibeta)).

thf(157,plain,(
    ! [A: $i,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(37,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( ( ( $true
           => ( p @ A ) )
        <=> ( p @ A ) )
        & ( ( ( p @ A )
           => $true )
        <=> $true )
        & ( ( $false
           => ( p @ A ) )
        <=> $true )
        & ( ( ( p @ A )
           => ( p @ A ) )
        <=> $true )
        & ( ( ( p @ A )
           => $false )
        <=> ~ ( p @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__CLAUSES)).

thf(189,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(44,axiom,(
    mem @ c_2Ereal_2Ereal__lte @ ( arr @ ty_2Erealax_2Ereal @ ( arr @ ty_2Erealax_2Ereal @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ereal_2Ereal__lte)).

thf(216,plain,(
    mem @ c_2Ereal_2Ereal__lte @ ( arr @ ty_2Erealax_2Ereal @ ( arr @ ty_2Erealax_2Ereal @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).

thf(34,axiom,(
    ne @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',bool_ne)).

thf(179,plain,(
    ne @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(11,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( ( ~ ( p @ A )
         => $false )
       => ( ( ( p @ A )
           => $false )
         => $false ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EAND__INV2)).

thf(84,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(55,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( ( p @ ( ap @ c_2Ebool_2E_7E @ A ) )
      <=> ~ ( p @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_neg_p)).

thf(293,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( ( ( p @ ( ap @ c_2Ebool_2E_7E @ A ) )
         => ~ ( p @ A ) )
        & ( ~ ( p @ A )
         => ( p @ ( ap @ c_2Ebool_2E_7E @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[55])).

thf(6,axiom,(
    ne @ ty_2Erealax_2Ereal ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ne_ty_2Erealax_2Ereal)).

thf(74,plain,(
    ne @ ty_2Erealax_2Ereal ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(54,axiom,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_2F_5C)).

thf(292,plain,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[54])).

thf(12,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( ( ( $true
          <=> ( p @ A ) )
        <=> ( p @ A ) )
        & ( ( ( p @ A )
          <=> $true )
        <=> ( p @ A ) )
        & ( ( $false
          <=> ( p @ A ) )
        <=> ~ ( p @ A ) )
        & ( ( ( p @ A )
          <=> $false )
        <=> ~ ( p @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEQ__CLAUSES)).

thf(85,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(26,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ~ ( ( p @ A )
                  | ( p @ B ) )
             => $false )
          <=> ( ( ( p @ A )
               => $false )
             => ( ~ ( p @ B )
               => $false ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EOR__DUAL2)).

thf(160,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( ( p @ A )
                | ( p @ B ) )
             => ( ~ ( p @ A )
               => ( p @ B ) ) )
            & ( ( ~ ( p @ A )
               => ( p @ B ) )
             => ( ( p @ A )
                | ( p @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(5,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ A ) @ B ) )
          <=> ( ( p @ A )
             => ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_imp_p)).

thf(70,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ A ) @ B ) )
             => ( ( p @ A )
               => ( p @ B ) ) )
            & ( ( ( p @ A )
               => ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(47,axiom,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_5C_2F)).

thf(229,plain,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[47])).

thf(50,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ~ ( ( p @ A )
               => ( p @ B ) )
           => ( p @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Epth__ni1)).

thf(252,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ~ ( ( p @ A )
               => ( p @ B ) )
           => ( p @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[50])).

thf(39,axiom,(
    mem @ c_2Ebool_2EF @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2EF)).

thf(197,plain,(
    mem @ c_2Ebool_2EF @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).

thf(16,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ! [C: $i] :
              ( ( mem @ C @ bool )
             => ( ( ( p @ A )
                <=> ( ( p @ B )
                   => ( p @ C ) ) )
              <=> ( ( ( p @ A )
                    | ( p @ B ) )
                  & ( ( p @ A )
                    | ~ ( p @ C ) )
                  & ( ~ ( p @ B )
                    | ( p @ C )
                    | ~ ( p @ A ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__imp)).

thf(109,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ! [C: $i] :
              ( ( mem @ C @ bool )
             => ( ( ( ( ( p @ A )
                     => ( ( p @ B )
                       => ( p @ C ) ) )
                    & ( ( ( p @ B )
                       => ( p @ C ) )
                     => ( p @ A ) ) )
                 => ( ( ( p @ A )
                      | ( p @ B ) )
                    & ( ( p @ A )
                      | ~ ( p @ C ) )
                    & ( ~ ( p @ B )
                      | ( p @ C )
                      | ~ ( p @ A ) ) ) )
                & ( ( ( ( p @ A )
                      | ( p @ B ) )
                    & ( ( p @ A )
                      | ~ ( p @ C ) )
                    & ( ~ ( p @ B )
                      | ( p @ C )
                      | ~ ( p @ A ) ) )
                 => ( ( ( p @ A )
                     => ( ( p @ B )
                       => ( p @ C ) ) )
                    & ( ( ( p @ B )
                       => ( p @ C ) )
                     => ( p @ A ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(42,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ! [C: $i] :
              ( ( mem @ C @ ( arr @ A @ bool ) )
             => ( ! [D: $i] :
                    ( ( mem @ D @ A )
                   => ( ( p @ ( ap @ C @ D ) )
                      | ( p @ B ) ) )
              <=> ( ! [D: $i] :
                      ( ( mem @ D @ A )
                     => ( p @ ( ap @ C @ D ) ) )
                  | ( p @ B ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ELEFT__FORALL__OR__THM)).

thf(205,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ! [C: $i] :
              ( ( mem @ C @ ( arr @ A @ bool ) )
             => ( ( ! [D: $i] :
                      ( ( mem @ D @ A )
                     => ( ( p @ ( ap @ C @ D ) )
                        | ( p @ B ) ) )
                 => ( ! [D: $i] :
                        ( ( mem @ D @ A )
                       => ( p @ ( ap @ C @ D ) ) )
                    | ( p @ B ) ) )
                & ( ( ! [D: $i] :
                        ( ( mem @ D @ A )
                       => ( p @ ( ap @ C @ D ) ) )
                    | ( p @ B ) )
                 => ! [D: $i] :
                      ( ( mem @ D @ A )
                     => ( ( p @ ( ap @ C @ D ) )
                        | ( p @ B ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).

thf(35,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( mem @ B @ A )
         => ! [C: $i] :
              ( ( mem @ C @ A )
             => ( ( B = C )
              <=> ( C = B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEQ__SYM__EQ)).

thf(180,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( mem @ B @ A )
         => ! [C: $i] :
              ( ( mem @ C @ A )
             => ( ( ( B = C )
                 => ( C = B ) )
                & ( ( C = B )
                 => ( B = C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(32,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ( mem @ ( c_2Ebool_2EIN @ A ) @ ( arr @ A @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2EIN)).

thf(176,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ( mem @ ( c_2Ebool_2EIN @ A ) @ ( arr @ A @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(52,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ A )
             => ( p @ B ) )
           => ( ( ( p @ B )
               => ( p @ A ) )
             => ( ( p @ A )
              <=> ( p @ B ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__ANTISYM__AX)).

thf(281,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ A )
             => ( p @ B ) )
           => ( ( ( p @ B )
               => ( p @ A ) )
             => ( ( ( p @ A )
                 => ( p @ B ) )
                & ( ( p @ B )
                 => ( p @ A ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[52])).

thf(41,axiom,(
    mem @ c_2Ebool_2ET @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2ET)).

thf(204,plain,(
    mem @ c_2Ebool_2ET @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).

thf(13,axiom,(
    ! [A: $i,B: $i,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',funcext)).

thf(86,plain,(
    ! [A: $i,B: $i,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(36,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( ne @ B )
         => ( ne @ ( arr @ A @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arr_ne)).

thf(187,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( ne @ B )
         => ( ne @ ( arr @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(31,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
          <=> ( ( p @ A )
              & ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_and_p)).

thf(172,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
             => ( ( p @ A )
                & ( p @ B ) ) )
            & ( ( ( p @ A )
                & ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(9,axiom,(
    ! [A: $i,B: $i,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ap_tp)).

thf(81,plain,(
    ! [A: $i,B: $i,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(48,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ! [C: $i] :
              ( ( mem @ C @ ( arr @ A @ bool ) )
             => ( ( ( p @ B )
                  & ! [D: $i] :
                      ( ( mem @ D @ A )
                     => ( p @ ( ap @ C @ D ) ) ) )
              <=> ! [D: $i] :
                    ( ( mem @ D @ A )
                   => ( ( p @ B )
                      & ( p @ ( ap @ C @ D ) ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ERIGHT__AND__FORALL__THM)).

thf(230,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ! [C: $i] :
              ( ( mem @ C @ ( arr @ A @ bool ) )
             => ( ( ( ( p @ B )
                    & ! [D: $i] :
                        ( ( mem @ D @ A )
                       => ( p @ ( ap @ C @ D ) ) ) )
                 => ! [D: $i] :
                      ( ( mem @ D @ A )
                     => ( ( p @ B )
                        & ( p @ ( ap @ C @ D ) ) ) ) )
                & ( ! [D: $i] :
                      ( ( mem @ D @ A )
                     => ( ( p @ B )
                        & ( p @ ( ap @ C @ D ) ) ) )
                 => ( ( p @ B )
                    & ! [D: $i] :
                        ( ( mem @ D @ A )
                       => ( p @ ( ap @ C @ D ) ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[48])).

thf(8,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( arr @ ty_2Erealax_2Ereal @ bool ) )
     => ( ( ( p @ ( ap @ ( c_2Epred__set_2EFINITE @ ty_2Erealax_2Ereal ) @ A ) )
          & ( A
           != ( c_2Epred__set_2EEMPTY @ ty_2Erealax_2Ereal ) ) )
       => ( ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ty_2Erealax_2Ereal ) @ ( ap @ c_2Eiterate_2Einf @ A ) ) @ A ) )
          & ! [B: $i] :
              ( ( mem @ B @ ty_2Erealax_2Ereal )
             => ( ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ty_2Erealax_2Ereal ) @ B ) @ A ) )
               => ( p @ ( ap @ ( ap @ c_2Ereal_2Ereal__lte @ ( ap @ c_2Eiterate_2Einf @ A ) ) @ B ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Eiterate_2EINF__FINITE)).

thf(76,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( arr @ ty_2Erealax_2Ereal @ bool ) )
     => ( ( ( p @ ( ap @ ( c_2Epred__set_2EFINITE @ ty_2Erealax_2Ereal ) @ A ) )
          & ( A
           != ( c_2Epred__set_2EEMPTY @ ty_2Erealax_2Ereal ) ) )
       => ( ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ty_2Erealax_2Ereal ) @ ( ap @ c_2Eiterate_2Einf @ A ) ) @ A ) )
          & ! [B: $i] :
              ( ( mem @ B @ ty_2Erealax_2Ereal )
             => ( ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ty_2Erealax_2Ereal ) @ B ) @ A ) )
               => ( p @ ( ap @ ( ap @ c_2Ereal_2Ereal__lte @ ( ap @ c_2Eiterate_2Einf @ A ) ) @ B ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(14,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ! [C: $i] :
              ( ( mem @ C @ bool )
             => ( ( ( p @ A )
                <=> ( ( p @ B )
                    | ( p @ C ) ) )
              <=> ( ( ( p @ A )
                    | ~ ( p @ B ) )
                  & ( ( p @ A )
                    | ~ ( p @ C ) )
                  & ( ( p @ B )
                    | ( p @ C )
                    | ~ ( p @ A ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__disj)).

thf(91,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ! [C: $i] :
              ( ( mem @ C @ bool )
             => ( ( ( ( ( p @ A )
                     => ( ( p @ B )
                        | ( p @ C ) ) )
                    & ( ( ( p @ B )
                        | ( p @ C ) )
                     => ( p @ A ) ) )
                 => ( ( ( p @ A )
                      | ~ ( p @ B ) )
                    & ( ( p @ A )
                      | ~ ( p @ C ) )
                    & ( ( p @ B )
                      | ( p @ C )
                      | ~ ( p @ A ) ) ) )
                & ( ( ( ( p @ A )
                      | ~ ( p @ B ) )
                    & ( ( p @ A )
                      | ~ ( p @ C ) )
                    & ( ( p @ B )
                      | ( p @ C )
                      | ~ ( p @ A ) ) )
                 => ( ( ( p @ A )
                     => ( ( p @ B )
                        | ( p @ C ) ) )
                    & ( ( ( p @ B )
                        | ( p @ C ) )
                     => ( p @ A ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(49,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ! [C: $i] :
              ( ( mem @ C @ bool )
             => ( ( ( ( p @ B )
                    & ( p @ C ) )
                  | ( p @ A ) )
              <=> ( ( ( p @ B )
                    | ( p @ A ) )
                  & ( ( p @ C )
                    | ( p @ A ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ERIGHT__OR__OVER__AND)).

thf(240,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ! [C: $i] :
              ( ( mem @ C @ bool )
             => ( ( ( ( ( p @ B )
                      & ( p @ C ) )
                    | ( p @ A ) )
                 => ( ( ( p @ B )
                      | ( p @ A ) )
                    & ( ( p @ C )
                      | ( p @ A ) ) ) )
                & ( ( ( ( p @ B )
                      | ( p @ A ) )
                    & ( ( p @ C )
                      | ( p @ A ) ) )
                 => ( ( ( p @ B )
                      & ( p @ C ) )
                    | ( p @ A ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[49])).

thf(24,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(155,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(40,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( mem @ B @ A )
         => ! [C: $i] :
              ( ( mem @ C @ A )
             => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
              <=> ( B = C ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_eq_p)).

thf(198,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( mem @ B @ A )
         => ! [C: $i] :
              ( ( mem @ C @ A )
             => ( ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
                 => ( B = C ) )
                & ( ( B = C )
                 => ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).

thf(46,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ~ ( ~ ( p @ A )
                  | ( p @ B ) )
             => $false )
          <=> ( ( p @ A )
             => ( ~ ( p @ B )
               => $false ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EOR__DUAL3)).

thf(226,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( ~ ( p @ A )
                | ( p @ B ) )
             => ( ( p @ A )
               => ( p @ B ) ) )
            & ( ( ( p @ A )
               => ( p @ B ) )
             => ( ~ ( p @ A )
                | ( p @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[46])).

thf(28,axiom,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_7E)).

thf(167,plain,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(21,axiom,(
    p @ c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_true_p)).

thf(150,plain,(
    p @ c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(19,axiom,(
    ! [A: $i,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',kbeta)).

thf(143,plain,(
    ! [A: $i,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(7,axiom,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D_3D_3E)).

thf(75,plain,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(53,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ~ ( ( p @ A )
               => ( p @ B ) )
           => ~ ( p @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Epth__ni2)).

thf(290,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ~ ( ( p @ A )
               => ( p @ B ) )
           => ~ ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[53])).

thf(22,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(151,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(29,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Erealax_2Ereal )
     => ! [B: $i] :
          ( ( mem @ B @ ty_2Erealax_2Ereal )
         => ! [C: $i] :
              ( ( mem @ C @ ty_2Erealax_2Ereal )
             => ( ( ( p @ ( ap @ ( ap @ c_2Ereal_2Ereal__lte @ A ) @ B ) )
                  & ( p @ ( ap @ ( ap @ c_2Ereal_2Ereal__lte @ B ) @ C ) ) )
               => ( p @ ( ap @ ( ap @ c_2Ereal_2Ereal__lte @ A ) @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ereal_2EREAL__LE__TRANS)).

thf(168,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Erealax_2Ereal )
     => ! [B: $i] :
          ( ( mem @ B @ ty_2Erealax_2Ereal )
         => ! [C: $i] :
              ( ( mem @ C @ ty_2Erealax_2Ereal )
             => ( ( ( p @ ( ap @ ( ap @ c_2Ereal_2Ereal__lte @ A ) @ B ) )
                  & ( p @ ( ap @ ( ap @ c_2Ereal_2Ereal__lte @ B ) @ C ) ) )
               => ( p @ ( ap @ ( ap @ c_2Ereal_2Ereal__lte @ A ) @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(20,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ A ) @ B ) )
          <=> ( ( p @ A )
              | ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_or_p)).

thf(146,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ A ) @ B ) )
             => ( ( p @ A )
                | ( p @ B ) ) )
            & ( ( ( p @ A )
                | ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(38,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ A )
            <=> ~ ( p @ B ) )
          <=> ( ( ( p @ A )
                | ( p @ B ) )
              & ( ~ ( p @ B )
                | ~ ( p @ A ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__neg)).

thf(190,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( ( ( p @ A )
                 => ~ ( p @ B ) )
                & ( ~ ( p @ B )
                 => ( p @ A ) ) )
             => ( ( ( p @ A )
                  | ( p @ B ) )
                & ( ~ ( p @ B )
                  | ~ ( p @ A ) ) ) )
            & ( ( ( ( p @ A )
                  | ( p @ B ) )
                & ( ~ ( p @ B )
                  | ~ ( p @ A ) ) )
             => ( ( ( p @ A )
                 => ~ ( p @ B ) )
                & ( ~ ( p @ B )
                 => ( p @ A ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(15,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ( mem @ ( c_2Epred__set_2EFINITE @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Epred__set_2EFINITE)).

thf(107,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ( mem @ ( c_2Epred__set_2EFINITE @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(27,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( mem @ B @ ( arr @ A @ bool ) )
         => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
          <=> ! [C: $i] :
                ( ( mem @ C @ A )
               => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_all_p)).

thf(163,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( mem @ B @ ( arr @ A @ bool ) )
         => ( ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
             => ! [C: $i] :
                  ( ( mem @ C @ A )
                 => ( p @ ( ap @ B @ C ) ) ) )
            & ( ! [C: $i] :
                  ( ( mem @ C @ A )
                 => ( p @ ( ap @ B @ C ) ) )
             => ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(3,axiom,(
    $true ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ETRUTH)).

thf(68,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(33,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( ( p @ A )
       => ( ~ ( p @ A )
         => $false ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EAND__INV__IMP)).

thf(178,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(51,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ! [C: $i] :
              ( ( mem @ C @ bool )
             => ( ( ( p @ A )
                <=> ( ( p @ B )
                  <=> ( p @ C ) ) )
              <=> ( ( ( p @ A )
                    | ( p @ B )
                    | ( p @ C ) )
                  & ( ( p @ A )
                    | ~ ( p @ C )
                    | ~ ( p @ B ) )
                  & ( ( p @ B )
                    | ~ ( p @ C )
                    | ~ ( p @ A ) )
                  & ( ( p @ C )
                    | ~ ( p @ B )
                    | ~ ( p @ A ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__eq)).

thf(254,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ! [C: $i] :
              ( ( mem @ C @ bool )
             => ( ( ( ( ( p @ A )
                     => ( ( ( p @ B )
                         => ( p @ C ) )
                        & ( ( p @ C )
                         => ( p @ B ) ) ) )
                    & ( ( ( ( p @ B )
                         => ( p @ C ) )
                        & ( ( p @ C )
                         => ( p @ B ) ) )
                     => ( p @ A ) ) )
                 => ( ( ( p @ A )
                      | ( p @ B )
                      | ( p @ C ) )
                    & ( ( p @ A )
                      | ~ ( p @ C )
                      | ~ ( p @ B ) )
                    & ( ( p @ B )
                      | ~ ( p @ C )
                      | ~ ( p @ A ) )
                    & ( ( p @ C )
                      | ~ ( p @ B )
                      | ~ ( p @ A ) ) ) )
                & ( ( ( ( p @ A )
                      | ( p @ B )
                      | ( p @ C ) )
                    & ( ( p @ A )
                      | ~ ( p @ C )
                      | ~ ( p @ B ) )
                    & ( ( p @ B )
                      | ~ ( p @ C )
                      | ~ ( p @ A ) )
                    & ( ( p @ C )
                      | ~ ( p @ B )
                      | ~ ( p @ A ) ) )
                 => ( ( ( p @ A )
                     => ( ( ( p @ B )
                         => ( p @ C ) )
                        & ( ( p @ C )
                         => ( p @ B ) ) ) )
                    & ( ( ( ( p @ B )
                         => ( p @ C ) )
                        & ( ( p @ C )
                         => ( p @ B ) ) )
                     => ( p @ A ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[51])).

thf(10,axiom,(
    mem @ c_2Eiterate_2Einf @ ( arr @ ( arr @ ty_2Erealax_2Ereal @ bool ) @ ty_2Erealax_2Ereal ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Eiterate_2Einf)).

thf(83,plain,(
    mem @ c_2Eiterate_2Einf @ ( arr @ ( arr @ ty_2Erealax_2Ereal @ bool ) @ ty_2Erealax_2Ereal ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(43,axiom,
    ( ! [A: $i] :
        ( ( mem @ A @ bool )
       => ( ~ ~ ( p @ A )
        <=> ( p @ A ) ) )
    & ( ~ $true
    <=> $false )
    & ( ~ $false
    <=> $true ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ENOT__CLAUSES)).

thf(215,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).

thf(298,plain,(
    $false ),
    inference(cvc4,[status(thm)],[69,170,217,56,142,153,125,157,189,216,179,84,293,74,292,85,160,70,229,252,197,109,205,180,176,281,204,86,187,172,81,230,76,91,240,155,198,226,167,150,143,75,290,151,168,146,190,107,163,68,178,254,83,215])).
%------------------------------------------------------------------------------
