%------------------------------------------------------------------------------
thf(u_type,type,(
    u: $tType )).

thf(d_type,type,(
    d: $tType )).

thf(du_type,type,(
    du: $tType )).

thf(mono_2Etyop_2Eextreal_2Eextreal_type,type,(
    mono_2Etyop_2Eextreal_2Eextreal: $tType )).

thf(mono_2Etyop_2Erealax_2Ereal_type,type,(
    mono_2Etyop_2Erealax_2Ereal: $tType )).

thf(tyop_2Eextreal_2Eextreal_type,type,(
    tyop_2Eextreal_2Eextreal: d )).

thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: d )).

thf(tyop_2Emin_2Efun_type,type,(
    tyop_2Emin_2Efun: d > d > d )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: d )).

thf(s_type,type,(
    s: d > u > du )).

thf(app_2E2_type,type,(
    app_2E2: du > du > u )).

thf(combin_i_2E0_type,type,(
    combin_i_2E0: u )).

thf(combin_k_2E0_type,type,(
    combin_k_2E0: u )).

thf(combin_s_2E0_type,type,(
    combin_s_2E0: u )).

thf(c_2Ebool_2E_21_2E0_type,type,(
    c_2Ebool_2E_21_2E0: u )).

thf(c_2Ebool_2E_21_2E1_type,type,(
    c_2Ebool_2E_21_2E1: du > u )).

thf(c_2Emin_2E_3D_2E0_type,type,(
    c_2Emin_2E_3D_2E0: u )).

thf(c_2Emin_2E_3D_2E2_type,type,(
    c_2Emin_2E_3D_2E2: du > du > u )).

thf(c_2Ebool_2E_3F_2E0_type,type,(
    c_2Ebool_2E_3F_2E0: u )).

thf(c_2Ebool_2E_3F_2E1_type,type,(
    c_2Ebool_2E_3F_2E1: du > u )).

thf(c_2Ebool_2EDATATYPE_2E0_type,type,(
    c_2Ebool_2EDATATYPE_2E0: u )).

thf(c_2Ebool_2EDATATYPE_2E1_type,type,(
    c_2Ebool_2EDATATYPE_2E1: du > u )).

thf(mono_2Ec_2Ebool_2EDATATYPE_2Emono_2Etyop_2Emin_2Ebool_type,type,(
    mono_2Ec_2Ebool_2EDATATYPE_2Emono_2Etyop_2Emin_2Ebool: $o > $o )).

thf(mono_2Ec_2Ebool_2ET_type,type,(
    mono_2Ec_2Ebool_2ET: $o )).

thf(i_mono_2Etyop_2Emin_2Ebool_type,type,(
    i_mono_2Etyop_2Emin_2Ebool: $o > u )).

thf(i_mono_2Etyop_2Eextreal_2Eextreal_type,type,(
    i_mono_2Etyop_2Eextreal_2Eextreal: mono_2Etyop_2Eextreal_2Eextreal > u )).

thf(i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_type,type,(
    i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29: ( $o > $o ) > u )).

thf(i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29_type,type,(
    i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29: ( $o > $o > $o ) > u )).

thf(i_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29_29_type,type,(
    i_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29_29: ( mono_2Etyop_2Eextreal_2Eextreal > mono_2Etyop_2Eextreal_2Eextreal > ( mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal ) > $o ) > u )).

thf(i_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29_type,type,(
    i_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29: ( mono_2Etyop_2Eextreal_2Eextreal > ( mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal ) > $o ) > u )).

thf(i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_type,type,(
    i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29: ( ( mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal ) > $o ) > u )).

thf(i_mono_2Etyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_type,type,(
    i_mono_2Etyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29: ( mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal ) > u )).

thf(j_mono_2Etyop_2Emin_2Ebool_type,type,(
    j_mono_2Etyop_2Emin_2Ebool: du > $o )).

thf(j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_type,type,(
    j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29: du > $o > $o )).

thf(j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29_type,type,(
    j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29: du > $o > $o > $o )).

thf(j_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29_29_type,type,(
    j_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29_29: du > mono_2Etyop_2Eextreal_2Eextreal > mono_2Etyop_2Eextreal_2Eextreal > ( mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal ) > $o )).

thf(j_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29_type,type,(
    j_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29: du > mono_2Etyop_2Eextreal_2Eextreal > ( mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal ) > $o )).

thf(j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_type,type,(
    j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29: du > ( mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal ) > $o )).

thf(j_mono_2Etyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_type,type,(
    j_mono_2Etyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29: du > mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal )).

thf(17,axiom,(
    ! [A: ( mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal ) > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29 @ A ) ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ji_2Emono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29)).

thf(115,plain,(
    ! [A: ( mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal ) > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29 @ A ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(25,axiom,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2EDATATYPE_2E1 @ ( s @ A @ B ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ c_2Ebool_2EDATATYPE_2E0 ) @ ( s @ A @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Emono_2Ec_2Ebool_2EDATATYPE_2E1_2Emono_2EA_27a)).

thf(153,plain,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2EDATATYPE_2E1 @ ( s @ A @ B ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ c_2Ebool_2EDATATYPE_2E0 ) @ ( s @ A @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(1,conjecture,(
    ! [A: mono_2Etyop_2Eextreal_2Eextreal > mono_2Etyop_2Eextreal_2Eextreal > ( mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal ) > $o] :
      ( mono_2Ec_2Ebool_2EDATATYPE_2Emono_2Etyop_2Emin_2Ebool @ ( A @ mono_2Ec_2Eextreal_2ENegInf @ mono_2Ec_2Eextreal_2EPosInf @ mono_2Ec_2Eextreal_2ENormal ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextreal_2Edatatype__extreal)).

thf(2,negated_conjecture,(
    ~ ! [A: mono_2Etyop_2Eextreal_2Eextreal > mono_2Etyop_2Eextreal_2Eextreal > ( mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal ) > $o] :
        ( mono_2Ec_2Ebool_2EDATATYPE_2Emono_2Etyop_2Emin_2Ebool @ ( A @ mono_2Ec_2Eextreal_2ENegInf @ mono_2Ec_2Eextreal_2EPosInf @ mono_2Ec_2Eextreal_2ENormal ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(37,plain,(
    ~ ! [A: mono_2Etyop_2Eextreal_2Eextreal > mono_2Etyop_2Eextreal_2Eextreal > ( mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal ) > $o] :
        ( mono_2Ec_2Ebool_2EDATATYPE_2Emono_2Etyop_2Emin_2Ebool @ ( A @ mono_2Ec_2Eextreal_2ENegInf @ mono_2Ec_2Eextreal_2EPosInf @ mono_2Ec_2Eextreal_2ENormal ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(34,axiom,(
    ! [A: d,B: d,C: u,D: u] :
      ( ( s @ A @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ B @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ A ) ) @ combin_k_2E0 ) @ ( s @ A @ C ) ) ) @ ( s @ B @ D ) ) )
      = ( s @ A @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',reserved_2Eho_2Ek__thm)).

thf(184,plain,(
    ! [A: d,B: d,C: u,D: u] :
      ( ( s @ A @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ B @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ A ) ) @ combin_k_2E0 ) @ ( s @ A @ C ) ) ) @ ( s @ B @ D ) ) )
      = ( s @ A @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(19,axiom,(
    ! [A: d,B: u,C: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Emin_2E_3D_2E2 @ ( s @ A @ B ) @ ( s @ A @ C ) ) ) )
      = ( ( s @ A @ B )
        = ( s @ A @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',reserved_2Elogic_2E_3D)).

thf(125,plain,(
    ! [A: d,B: u,C: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Emin_2E_3D_2E2 @ ( s @ A @ B ) @ ( s @ A @ C ) ) ) )
      = ( ( s @ A @ B )
        = ( s @ A @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(36,axiom,(
    ! [A: $o] :
      ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( mono_2Ec_2Ebool_2EDATATYPE_2Emono_2Etyop_2Emin_2Ebool @ A ) ) )
      = ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2EDATATYPE_2E1 @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',monoeq_2Emono_2Ec_2Ebool_2EDATATYPE_2E1_2Emono_2Etyop_2Emin_2Ebool)).

thf(189,plain,(
    ! [A: $o] :
      ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( mono_2Ec_2Ebool_2EDATATYPE_2Emono_2Etyop_2Emin_2Ebool @ A ) ) )
      = ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2EDATATYPE_2E1 @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(7,axiom,(
    ! [A: $o > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ A ) ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ji_2Emono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29)).

thf(61,plain,(
    ! [A: $o > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ A ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(13,axiom,(
    ! [A: $o] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ A ) ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ji_2Emono_2Etyop_2Emin_2Ebool)).

thf(85,plain,(
    ! [A: $o] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ A ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(8,axiom,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( ! [C: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',reserved_2Equant_2E_21)).

thf(70,plain,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( ! [C: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(21,axiom,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ij_2Emono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29_29)).

thf(137,plain,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(29,axiom,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ij_2Emono_2Etyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29)).

thf(165,plain,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(26,axiom,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_21_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Emono_2Ec_2Ebool_2E_21_2E1_2Emono_2EA_27a)).

thf(156,plain,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_21_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(15,axiom,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ij_2Emono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29)).

thf(109,plain,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(9,axiom,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ij_2Emono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29)).

thf(73,plain,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(20,axiom,(
    ! [A: ( mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal ) > $o,B: mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal] :
      ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( A @ B ) ) )
      = ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29 @ A ) ) @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29 @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',monoeq_2Emono_2Eapp_2E2_2Emono_2Etyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_20mono_2Etyop_2Emin_2Ebool)).

thf(128,plain,(
    ! [A: ( mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal ) > $o,B: mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal] :
      ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( A @ B ) ) )
      = ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29 @ A ) ) @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29 @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(5,axiom,(
    ! [A: mono_2Etyop_2Eextreal_2Eextreal > mono_2Etyop_2Eextreal_2Eextreal > ( mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal ) > $o,B: mono_2Etyop_2Eextreal_2Eextreal] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29 @ ( A @ B ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29_29 @ A ) ) @ ( s @ tyop_2Eextreal_2Eextreal @ ( i_mono_2Etyop_2Eextreal_2Eextreal @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',monoeq_2Emono_2Eapp_2E2_2Emono_2Etyop_2Eextreal_2Eextreal_20mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29)).

thf(49,plain,(
    ! [A: mono_2Etyop_2Eextreal_2Eextreal > mono_2Etyop_2Eextreal_2Eextreal > ( mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal ) > $o,B: mono_2Etyop_2Eextreal_2Eextreal] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29 @ ( A @ B ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29_29 @ A ) ) @ ( s @ tyop_2Eextreal_2Eextreal @ ( i_mono_2Etyop_2Eextreal_2Eextreal @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(33,axiom,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_3F_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Emono_2Ec_2Ebool_2E_3F_2E1_2Emono_2EA_27a)).

thf(181,plain,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_3F_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(27,axiom,(
    ! [A: mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29 @ A ) ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ji_2Emono_2Etyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29)).

thf(159,plain,(
    ! [A: mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29 @ A ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(35,axiom,
    ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ mono_2Ec_2Ebool_2EDATATYPE_2Emono_2Etyop_2Emin_2Ebool ) )
    = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2EDATATYPE_2E0 ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',monoeq_2Emono_2Ec_2Ebool_2EDATATYPE_2E0_2Emono_2Etyop_2Emin_2Ebool)).

thf(187,plain,
    ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ mono_2Ec_2Ebool_2EDATATYPE_2Emono_2Etyop_2Emin_2Ebool ) )
    = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2EDATATYPE_2E0 ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(10,axiom,(
    ! [A: u] :
      ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ A ) ) ) )
      = ( s @ tyop_2Emin_2Ebool @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ij_2Emono_2Etyop_2Emin_2Ebool)).

thf(76,plain,(
    ! [A: u] :
      ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ A ) ) ) )
      = ( s @ tyop_2Emin_2Ebool @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(3,axiom,(
    ! [A: mono_2Etyop_2Eextreal_2Eextreal > ( mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal ) > $o,B: mono_2Etyop_2Eextreal_2Eextreal] :
      ( ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29 @ ( A @ B ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) @ ( s @ tyop_2Eextreal_2Eextreal @ ( i_mono_2Etyop_2Eextreal_2Eextreal @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',monoeq_2Emono_2Eapp_2E2_2Emono_2Etyop_2Eextreal_2Eextreal_20mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29)).

thf(39,plain,(
    ! [A: mono_2Etyop_2Eextreal_2Eextreal > ( mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal ) > $o,B: mono_2Etyop_2Eextreal_2Eextreal] :
      ( ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29 @ ( A @ B ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) @ ( s @ tyop_2Eextreal_2Eextreal @ ( i_mono_2Etyop_2Eextreal_2Eextreal @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(22,axiom,(
    ! [A: d,B: u,C: u] :
      ( ( ( s @ A @ B )
        = ( s @ A @ C ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) ) @ c_2Emin_2E_3D_2E0 ) @ ( s @ A @ B ) ) ) @ ( s @ A @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Emono_2Ec_2Emin_2E_3D_2E2_2Emono_2EA_27a)).

thf(140,plain,(
    ! [A: d,B: u,C: u] :
      ( ( ( s @ A @ B )
        = ( s @ A @ C ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) ) @ c_2Emin_2E_3D_2E0 ) @ ( s @ A @ B ) ) ) @ ( s @ A @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(28,axiom,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ij_2Emono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29)).

thf(162,plain,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(16,axiom,(
    ! [A: d,B: d,C: d,D: u,E: u,F: u] :
      ( ( s @ C @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ C ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ B ) @ ( tyop_2Emin_2Efun @ A @ C ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ B ) @ ( tyop_2Emin_2Efun @ A @ C ) ) ) @ combin_s_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ D ) ) ) @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ E ) ) ) @ ( s @ A @ F ) ) )
      = ( s @ C @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ B @ C ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ D ) @ ( s @ A @ F ) ) ) @ ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ E ) @ ( s @ A @ F ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',reserved_2Eho_2Es__thm)).

thf(112,plain,(
    ! [A: d,B: d,C: d,D: u,E: u,F: u] :
      ( ( s @ C @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ C ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ B ) @ ( tyop_2Emin_2Efun @ A @ C ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ B ) @ ( tyop_2Emin_2Efun @ A @ C ) ) ) @ combin_s_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ D ) ) ) @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ E ) ) ) @ ( s @ A @ F ) ) )
      = ( s @ C @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ B @ C ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ D ) @ ( s @ A @ F ) ) ) @ ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ E ) @ ( s @ A @ F ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(4,axiom,(
    mono_2Ec_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(48,plain,(
    mono_2Ec_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(24,axiom,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( ? [C: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',reserved_2Equant_2E_3F)).

thf(150,plain,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( ? [C: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(23,axiom,(
    ! [A: mono_2Etyop_2Eextreal_2Eextreal > mono_2Etyop_2Eextreal_2Eextreal > ( mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal ) > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29_29 @ A ) ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ji_2Emono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29_29)).

thf(143,plain,(
    ! [A: mono_2Etyop_2Eextreal_2Eextreal > mono_2Etyop_2Eextreal_2Eextreal > ( mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal ) > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29_29 @ A ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(31,axiom,(
    ! [A: mono_2Etyop_2Eextreal_2Eextreal > ( mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal ) > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ji_2Emono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29)).

thf(171,plain,(
    ! [A: mono_2Etyop_2Eextreal_2Eextreal > ( mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Eextreal_2Eextreal ) > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(6,axiom,(
    ! [A: $o > $o > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ji_2Emono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29)).

thf(58,plain,(
    ! [A: $o > $o > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(12,axiom,(
    ! [A: $o > $o > $o,B: $o] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( A @ B ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',monoeq_2Emono_2Eapp_2E2_2Emono_2Etyop_2Emin_2Ebool_20mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29)).

thf(82,plain,(
    ! [A: $o > $o > $o,B: $o] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( A @ B ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(30,axiom,(
    ! [A: d,B: u] :
      ( ( s @ A @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ A ) @ combin_i_2E0 ) @ ( s @ A @ B ) ) )
      = ( s @ A @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',reserved_2Eho_2Ei__thm)).

thf(168,plain,(
    ! [A: d,B: u] :
      ( ( s @ A @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ A ) @ combin_i_2E0 ) @ ( s @ A @ B ) ) )
      = ( s @ A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(11,axiom,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2EDATATYPE_2E1 @ ( s @ A @ B ) ) ) )
      = mono_2Ec_2Ebool_2ET ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EDATATYPE__TAG__THM)).

thf(79,plain,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2EDATATYPE_2E1 @ ( s @ A @ B ) ) ) )
      = mono_2Ec_2Ebool_2ET ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(32,axiom,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ij_2Emono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29)).

thf(178,plain,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Eextreal_2Eextreal_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Efun_28tyop_2Erealax_2Ereal_2Ctyop_2Eextreal_2Eextreal_29_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Eextreal_2Eextreal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Eextreal_2Eextreal ) @ tyop_2Emin_2Ebool ) ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(14,axiom,(
    ! [A: $o > $o,B: $o] :
      ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( A @ B ) ) )
      = ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ A ) ) @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',monoeq_2Emono_2Eapp_2E2_2Emono_2Etyop_2Emin_2Ebool_20mono_2Etyop_2Emin_2Ebool)).

thf(90,plain,(
    ! [A: $o > $o,B: $o] :
      ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( A @ B ) ) )
      = ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ A ) ) @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(18,axiom,(
    ! [A: d,B: d,C: u,D: u] :
      ( ! [E: u] :
          ( ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ C ) @ ( s @ A @ E ) ) )
          = ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ D ) @ ( s @ A @ E ) ) ) )
     => ( ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ C )
        = ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ D ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',reserved_2Eho_2Eeq__ext)).

thf(122,plain,(
    ! [A: d,B: d,C: u,D: u] :
      ( ! [E: u] :
          ( ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ C ) @ ( s @ A @ E ) ) )
          = ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ D ) @ ( s @ A @ E ) ) ) )
     => ( ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ C )
        = ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ D ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(194,plain,(
    $false ),
    inference(e,[status(thm)],[115,153,37,184,125,189,61,85,70,137,165,156,109,73,128,49,181,159,187,76,39,140,162,112,48,150,143,171,58,82,168,79,178,90,122])).
%------------------------------------------------------------------------------
