%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:44:19 EDT 2019

% Result     : Theorem 5.56s
% Output     : CNFRefutation 5.56s
% Verified   : 
% Statistics : Number of formulae       :   11 (  11 expanded)
%              Number of leaves         :    7 (   7 expanded)
%              Depth                    :    3
%              Number of atoms          :   81 (  81 expanded)
%              Number of equality atoms :    9 (   9 expanded)
%              Maximal formula depth    :   10 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Ereal__topology_2Elinear_type,type,(
    c_2Ereal__topology_2Elinear: ( tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal ) > $o )).

thf(c_2Erealax_2Ereal__add_type,type,(
    c_2Erealax_2Ereal__add: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Erealax_2Ereal__mul_type,type,(
    c_2Erealax_2Ereal__mul: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Elinear @ A )
     => ( ( A @ ( c_2Erealax_2Ereal__add @ B @ C ) )
        = ( c_2Erealax_2Ereal__add @ ( A @ B ) @ ( A @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ELINEAR__ADD)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
        ( ( c_2Ereal__topology_2Elinear @ A )
       => ( ( A @ ( c_2Erealax_2Ereal__add @ B @ C ) )
          = ( c_2Erealax_2Ereal__add @ ( A @ B ) @ ( A @ C ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(4,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
        ( ( c_2Ereal__topology_2Elinear @ A )
       => ( ( A @ ( c_2Erealax_2Ereal__add @ B @ C ) )
          = ( c_2Erealax_2Ereal__add @ ( A @ B ) @ ( A @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Elinear @ A )
      = ( ! [B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
            ( ( A @ ( c_2Erealax_2Ereal__add @ B @ C ) )
            = ( c_2Erealax_2Ereal__add @ ( A @ B ) @ ( A @ C ) ) )
        & ! [B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
            ( ( A @ ( c_2Erealax_2Ereal__mul @ B @ C ) )
            = ( c_2Erealax_2Ereal__mul @ B @ ( A @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2Elinear)).

thf(9,plain,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Elinear @ A )
      = ( ! [B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
            ( ( A @ ( c_2Erealax_2Ereal__add @ B @ C ) )
            = ( c_2Erealax_2Ereal__add @ ( A @ B ) @ ( A @ C ) ) )
        & ! [B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
            ( ( A @ ( c_2Erealax_2Ereal__mul @ B @ C ) )
            = ( c_2Erealax_2Ereal__mul @ B @ ( A @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(12,plain,(
    $false ),
    inference(iprover,[status(thm)],[4,9])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.11/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.11/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.13  % CPULimit   : 300
% 0.11/0.13  % DateTime   : Wed Jul 31 12:01:11 EDT 2019
% 0.11/0.13  % CPUTime    : 
% 3.06/1.32  % [INFO] 	 Running in sequential loop mode. 
% 3.93/1.50  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.93/1.56  % [INFO] 	 iprover registered as external prover. 
% 3.93/1.56  % [INFO] 	 e registered as external prover. 
% 3.93/1.57  % [INFO] 	 cvc4 registered as external prover. 
% 3.93/1.57  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.24/1.62  % [INFO] 	 Found a conjecture and 15 axioms. Running axiom selection ... 
% 4.24/1.66  % [INFO] 	 Axiom selection finished. Selected 1 axioms (removed 14 axioms). 
% 4.24/1.67  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.56/2.06  % [INFO] 	 Killing All external provers ... 
% 5.56/2.06  % Time passed: 1793ms
% 5.56/2.06  % Effective reasoning time: 736ms
% 5.56/2.06  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 5.56/2.06  % Axioms used in derivation (1): thm_2Ereal__topology_2Elinear
% 5.56/2.06  % No. of inferences in proof: 6
% 5.56/2.06  % No. of processed clauses: 1
% 5.56/2.06  % No. of generated clauses: 0
% 5.56/2.06  % No. of forward subsumed clauses: 0
% 5.56/2.06  % No. of backward subsumed clauses: 0
% 5.56/2.06  % No. of ground rewrite rules in store: 1
% 5.56/2.06  % No. of non-ground rewrite rules in store: 0
% 5.56/2.06  % No. of positive (non-rewrite) units in store: 0
% 5.56/2.06  % No. of negative (non-rewrite) units in store: 0
% 5.56/2.06  % No. of choice functions detected: 0
% 5.56/2.06  % No. of choice instantiations: 0
% 5.56/2.06  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 1793 ms resp. 736 ms w/o parsing
% 5.56/2.09  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.56/2.09  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 5.56/2.09  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 5.56/2.09  thf(c_2Ereal__topology_2Elinear_type, type, c_2Ereal__topology_2Elinear: ((tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal) > $o)).
% 5.56/2.09  thf(c_2Erealax_2Ereal__add_type, type, c_2Erealax_2Ereal__add: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 5.56/2.09  thf(c_2Erealax_2Ereal__mul_type, type, c_2Erealax_2Ereal__mul: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 5.56/2.09  thf(1,conjecture,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ereal__topology_2Elinear @ A) => ((A @ (c_2Erealax_2Ereal__add @ B @ C)) = (c_2Erealax_2Ereal__add @ (A @ B) @ (A @ C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ELINEAR__ADD)).
% 5.56/2.09  thf(2,negated_conjecture,((~ (! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ereal__topology_2Elinear @ A) => ((A @ (c_2Erealax_2Ereal__add @ B @ C)) = (c_2Erealax_2Ereal__add @ (A @ B) @ (A @ C))))))),inference(neg_conjecture,[status(cth)],[1])).
% 5.56/2.09  thf(4,plain,((~ (! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ereal__topology_2Elinear @ (A)) => ((A @ (c_2Erealax_2Ereal__add @ B @ C)) = (c_2Erealax_2Ereal__add @ (A @ B) @ (A @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 5.56/2.09  thf(3,axiom,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)]: ((c_2Ereal__topology_2Elinear @ A) = (! [B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((A @ (c_2Erealax_2Ereal__add @ B @ C)) = (c_2Erealax_2Ereal__add @ (A @ B) @ (A @ C))) & ! [B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((A @ (c_2Erealax_2Ereal__mul @ B @ C)) = (c_2Erealax_2Ereal__mul @ B @ (A @ C))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2Elinear)).
% 5.56/2.09  thf(9,plain,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)]: ((c_2Ereal__topology_2Elinear @ (A)) = (! [B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((A @ (c_2Erealax_2Ereal__add @ B @ C)) = (c_2Erealax_2Ereal__add @ (A @ B) @ (A @ C))) & ! [B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((A @ (c_2Erealax_2Ereal__mul @ B @ C)) = (c_2Erealax_2Ereal__mul @ B @ (A @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 5.56/2.09  thf(12,plain,($false),inference(iprover,[status(thm)],[4,9])).
% 5.56/2.09  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.56/2.09  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
