%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:44:21 EDT 2019

% Result     : Theorem 5.99s
% Output     : CNFRefutation 5.99s
% Verified   : 
% Statistics : Number of formulae       :   43 (  43 expanded)
%              Number of leaves         :   28 (  28 expanded)
%              Depth                    :    3
%              Number of atoms          :  203 ( 203 expanded)
%              Number of equality atoms :   35 (  35 expanded)
%              Maximal formula depth    :   11 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Epred__set_2ESUBSET_type,type,(
    c_2Epred__set_2ESUBSET: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > $o ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Etopology_2Ehull_type,type,(
    c_2Etopology_2Ehull: 
      !>[TA: $tType] :
        ( ( ( TA > $o ) > $o ) > ( TA > $o ) > TA > $o ) )).

thf(c_2Ereal__topology_2Espan_type,type,(
    c_2Ereal__topology_2Espan: ( tyop_2Erealax_2Ereal > $o ) > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ereal__topology_2Esubspace_type,type,(
    c_2Ereal__topology_2Esubspace: ( tyop_2Erealax_2Ereal > $o ) > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(9,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(42,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(4,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Espan @ A )
      = ( c_2Etopology_2Ehull @ tyop_2Erealax_2Ereal @ c_2Ereal__topology_2Esubspace @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2Espan)).

thf(20,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Espan @ A )
      = ( c_2Etopology_2Ehull @ tyop_2Erealax_2Ereal @ c_2Ereal__topology_2Esubspace @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(12,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(57,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(7,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(38,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(10,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(45,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(5,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(27,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(14,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(71,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(8,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(39,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(11,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(48,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(3,axiom,(
    ! [TA: $tType,A: ( TA > $o ) > $o,B: TA > $o,C: TA > $o] :
      ( ( c_2Epred__set_2ESUBSET @ TA @ B @ C )
     => ( c_2Epred__set_2ESUBSET @ TA @ ( c_2Etopology_2Ehull @ TA @ A @ B ) @ ( c_2Etopology_2Ehull @ TA @ A @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Etopology_2EHULL__MONO)).

thf(18,plain,(
    ! [TA: $tType,A: ( TA > $o ) > $o,B: TA > $o,C: TA > $o] :
      ( ( c_2Epred__set_2ESUBSET @ TA @ B @ C )
     => ( c_2Epred__set_2ESUBSET @ TA @ ( c_2Etopology_2Ehull @ TA @ A @ B ) @ ( c_2Etopology_2Ehull @ TA @ A @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(6,axiom,(
    ! [TA: $tType,A: $o] :
      ( ( ! [B: TA] : A )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).

thf(36,plain,(
    ! [TA: $tType] : $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ A @ B )
     => ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Espan @ A ) @ ( c_2Ereal__topology_2Espan @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ESPAN__MONO)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
        ( ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ A @ B )
       => ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Espan @ A ) @ ( c_2Ereal__topology_2Espan @ B ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(15,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
        ( ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ A @ B )
       => ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Espan @ A ) @ ( c_2Ereal__topology_2Espan @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(62,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(80,plain,(
    $false ),
    inference(cvc4,[status(thm)],[42,20,57,38,45,27,71,39,48,18,36,15,62])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.06/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.12  % CPULimit   : 300
% 0.06/0.12  % DateTime   : Wed Jul 31 12:01:43 EDT 2019
% 0.06/0.13  % CPUTime    : 
% 2.68/1.27  % [INFO] 	 Running in sequential loop mode. 
% 3.51/1.45  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.62/1.52  % [INFO] 	 iprover registered as external prover. 
% 3.62/1.52  % [INFO] 	 e registered as external prover. 
% 3.62/1.52  % [INFO] 	 cvc4 registered as external prover. 
% 3.62/1.52  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.98/1.57  % [INFO] 	 Found a conjecture and 12 axioms. Running axiom selection ... 
% 3.98/1.60  % [INFO] 	 Axiom selection finished. Selected 12 axioms (removed 0 axioms). 
% 4.26/1.64  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.99/2.24  % [INFO] 	 Killing All external provers ... 
% 5.99/2.24  % Time passed: 1978ms
% 5.99/2.24  % Effective reasoning time: 965ms
% 5.99/2.24  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 5.99/2.24  % Axioms used in derivation (12): logicdef_2E_3D, thm_2Ebool_2EEQ__CLAUSES, logicdef_2E_5C_2F, quantdef_2E_21, thm_2Ebool_2ETRUTH, logicdef_2E_3D_3D_3E, thm_2Ereal__topology_2Espan, thm_2Ebool_2EFORALL__SIMP, thm_2Etopology_2EHULL__MONO, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 5.99/2.24  % No. of inferences in proof: 28
% 5.99/2.24  % No. of processed clauses: 2
% 5.99/2.24  % No. of generated clauses: 0
% 5.99/2.24  % No. of forward subsumed clauses: 0
% 5.99/2.24  % No. of backward subsumed clauses: 0
% 5.99/2.24  % No. of ground rewrite rules in store: 2
% 5.99/2.24  % No. of non-ground rewrite rules in store: 0
% 5.99/2.24  % No. of positive (non-rewrite) units in store: 0
% 5.99/2.24  % No. of negative (non-rewrite) units in store: 0
% 5.99/2.24  % No. of choice functions detected: 0
% 5.99/2.24  % No. of choice instantiations: 0
% 5.99/2.24  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 1978 ms resp. 965 ms w/o parsing
% 5.99/2.27  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.99/2.27  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 5.99/2.27  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 5.99/2.27  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 5.99/2.27  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 5.99/2.27  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 5.99/2.27  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 5.99/2.27  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 5.99/2.27  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 5.99/2.27  thf(c_2Epred__set_2ESUBSET_type, type, c_2Epred__set_2ESUBSET: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > $o))).
% 5.99/2.27  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 5.99/2.27  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 5.99/2.27  thf(c_2Etopology_2Ehull_type, type, c_2Etopology_2Ehull: !>[TA: $tType]: (((TA > $o) > $o) > ((TA > $o) > (TA > $o)))).
% 5.99/2.27  thf(c_2Ereal__topology_2Espan_type, type, c_2Ereal__topology_2Espan: ((tyop_2Erealax_2Ereal > $o) > (tyop_2Erealax_2Ereal > $o))).
% 5.99/2.27  thf(c_2Ereal__topology_2Esubspace_type, type, c_2Ereal__topology_2Esubspace: ((tyop_2Erealax_2Ereal > $o) > $o)).
% 5.99/2.27  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 5.99/2.27  thf(9,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).
% 5.99/2.27  thf(42,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 5.99/2.27  thf(4,axiom,((! [A:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Espan @ A) = (c_2Etopology_2Ehull @ tyop_2Erealax_2Ereal @ c_2Ereal__topology_2Esubspace @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2Espan)).
% 5.99/2.27  thf(20,plain,((! [A:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Espan @ A) = (c_2Etopology_2Ehull @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Esubspace) @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 5.99/2.27  thf(12,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 5.99/2.27  thf(57,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 5.99/2.27  thf(7,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 5.99/2.27  thf(38,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 5.99/2.27  thf(10,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 5.99/2.27  thf(45,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 5.99/2.27  thf(5,axiom,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).
% 5.99/2.27  thf(27,plain,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 5.99/2.27  thf(14,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 5.99/2.27  thf(71,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 5.99/2.27  thf(8,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 5.99/2.27  thf(39,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 5.99/2.27  thf(11,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 5.99/2.27  thf(48,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 5.99/2.27  thf(3,axiom,((! [TA: $tType]: (! [A:((TA > $o) > $o),B:(TA > $o),C:(TA > $o)]: ((c_2Epred__set_2ESUBSET @ TA @ B @ C) => (c_2Epred__set_2ESUBSET @ TA @ (c_2Etopology_2Ehull @ TA @ A @ B) @ (c_2Etopology_2Ehull @ TA @ A @ C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Etopology_2EHULL__MONO)).
% 5.99/2.27  thf(18,plain,((! [TA: $tType]: (! [A:((TA > $o) > $o),B:(TA > $o),C:(TA > $o)]: ((c_2Epred__set_2ESUBSET @ TA @ (B) @ (C)) => (c_2Epred__set_2ESUBSET @ TA @ (c_2Etopology_2Ehull @ TA @ (A) @ B) @ (c_2Etopology_2Ehull @ TA @ (A) @ C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 5.99/2.27  thf(6,axiom,((! [TA: $tType]: (! [A:$o]: ((! [B:TA]: (A)) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).
% 5.99/2.27  thf(36,plain,((! [TA: $tType]: ($true))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 5.99/2.27  thf(1,conjecture,((! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ A @ B) => (c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Espan @ A) @ (c_2Ereal__topology_2Espan @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ESPAN__MONO)).
% 5.99/2.27  thf(2,negated_conjecture,((~ (! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ A @ B) => (c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Espan @ A) @ (c_2Ereal__topology_2Espan @ B)))))),inference(neg_conjecture,[status(cth)],[1])).
% 5.99/2.27  thf(15,plain,((~ (! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ (A) @ (B)) => (c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Espan @ A) @ (c_2Ereal__topology_2Espan @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 5.99/2.27  thf(13,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 5.99/2.27  thf(62,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 5.99/2.27  thf(80,plain,($false),inference(cvc4,[status(thm)],[42,20,57,38,45,27,71,39,48,18,36,15,62])).
% 5.99/2.27  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.99/2.27  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
