%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:44:49 EDT 2019

% Result     : Theorem 7.85s
% Output     : CNFRefutation 7.85s
% Verified   : 
% Statistics : Number of formulae       :   46 (  53 expanded)
%              Number of leaves         :   19 (  21 expanded)
%              Depth                    :   10
%              Number of atoms          :  499 ( 579 expanded)
%              Number of equality atoms :   58 (  72 expanded)
%              Maximal formula depth    :   15 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: tyop_2Enum_2Enum )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Ereal__topology_2EDist_type,type,(
    c_2Ereal__topology_2EDist: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal )).

thf(c_2Epred__set_2EEMPTY_type,type,(
    c_2Epred__set_2EEMPTY: 
      !>[TA: $tType] :
        ( TA > $o ) )).

thf(c_2Epred__set_2EGSPEC_type,type,(
    c_2Epred__set_2EGSPEC: 
      !>[TA: $tType,TB: $tType] :
        ( ( TB > ( tyop_2Epair_2Eprod @ TA @ $o ) ) > TA > $o ) )).

thf(c_2Epred__set_2EINSERT_type,type,(
    c_2Epred__set_2EINSERT: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > TA > $o ) )).

thf(c_2Ereal_2Ereal__of__num_type,type,(
    c_2Ereal_2Ereal__of__num: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal )).

thf(c_2Ereal__topology_2Esphere_type,type,(
    c_2Ereal__topology_2Esphere: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal > $o )).

thf(sk1_type,type,(
    sk1: tyop_2Erealax_2Ereal )).

thf(sk2_type,type,(
    sk2: tyop_2Erealax_2Ereal )).

thf(6,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Esphere @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) )
      = ( c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal
        @ ^ [C: tyop_2Erealax_2Ereal] :
            ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ C @ ( c_2Emin_2E_3D @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2Esphere)).

thf(21,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Esphere @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) )
      = ( c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal
        @ ^ [C: tyop_2Erealax_2Ereal] :
            ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ C @ ( c_2Emin_2E_3D @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(22,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Esphere @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) )
      = ( c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal
        @ ^ [C: tyop_2Erealax_2Ereal] :
            ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ C @ ( c_2Emin_2E_3D @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) @ B ) ) ) ) ),
    inference(cnf,[status(esa)],[21])).

thf(23,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Esphere @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) )
      = ( c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal
        @ ^ [C: tyop_2Erealax_2Ereal] :
            ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ C @ ( c_2Emin_2E_3D @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) ) @ B ) ) ) ) ),
    inference(lifteq,[status(thm)],[22])).

thf(3,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(12,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(13,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(cnf,[status(esa)],[12])).

thf(14,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(lifteq,[status(thm)],[13])).

thf(79,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Esphere @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) )
      = ( c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal
        @ ^ [C: tyop_2Erealax_2Ereal] :
            ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ C
            @ ( ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) )
              = B ) ) ) ) ),
    inference(rewrite,[status(thm)],[23,14])).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( B
        = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
     => ( ( c_2Ereal__topology_2Esphere @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) )
        = ( c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ A @ ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ESPHERE__SING)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
        ( ( B
          = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
       => ( ( c_2Ereal__topology_2Esphere @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) )
          = ( c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ A @ ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(7,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
        ( ( B
          = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
       => ( ( c_2Ereal__topology_2Esphere @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) )
          = ( c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ A @ ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(8,plain,(
    ( c_2Ereal__topology_2Esphere @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ sk1 @ sk2 ) )
 != ( c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ sk1 @ ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) ) ),
    inference(cnf,[status(esa)],[7])).

thf(10,plain,(
    ( c_2Ereal__topology_2Esphere @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ sk1 @ sk2 ) )
 != ( c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ sk1 @ ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) ) ),
    inference(lifteq,[status(thm)],[8])).

thf(4,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Epred__set_2EGSPEC @ TA @ TA
        @ ^ [B: TA] :
            ( c_2Epair_2E_2C @ TA @ $o @ B @ ( c_2Emin_2E_3D @ TA @ A @ B ) ) )
      = ( c_2Epred__set_2EINSERT @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EGSPEC__EQ2)).

thf(15,plain,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Epred__set_2EGSPEC @ TA @ TA
        @ ^ [B: TA] :
            ( c_2Epair_2E_2C @ TA @ $o @ B @ ( c_2Emin_2E_3D @ TA @ A @ B ) ) )
      = ( c_2Epred__set_2EINSERT @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(16,plain,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Epred__set_2EGSPEC @ TA @ TA
        @ ^ [B: TA] :
            ( c_2Epair_2E_2C @ TA @ $o @ B @ ( c_2Emin_2E_3D @ TA @ A @ B ) ) )
      = ( c_2Epred__set_2EINSERT @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ) ),
    inference(cnf,[status(esa)],[15])).

thf(17,plain,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Epred__set_2EGSPEC @ TA @ TA
        @ ^ [B: TA] :
            ( c_2Epair_2E_2C @ TA @ $o @ B @ ( c_2Emin_2E_3D @ TA @ A @ B ) ) )
      = ( c_2Epred__set_2EINSERT @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) ) ) ),
    inference(lifteq,[status(thm)],[16])).

thf(27,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Epred__set_2EINSERT @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) @ B )
      = ( c_2Epred__set_2EGSPEC @ TA @ TA
        @ ^ [C: TA] :
            ( c_2Epair_2E_2C @ TA @ $o @ C @ ( c_2Emin_2E_3D @ TA @ A @ C ) )
        @ B ) ) ),
    inference(func_ext,[status(esa)],[17])).

thf(44,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Epred__set_2EINSERT @ TA @ A @ ( c_2Epred__set_2EEMPTY @ TA ) @ B )
      = ( c_2Epred__set_2EGSPEC @ TA @ TA
        @ ^ [C: TA] :
            ( c_2Epair_2E_2C @ TA @ $o @ C @ ( A = C ) )
        @ B ) ) ),
    inference(rewrite,[status(thm)],[27,14])).

thf(45,plain,(
    ( c_2Ereal__topology_2Esphere @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ sk1 @ sk2 ) )
 != ( c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal
    @ ^ [A: tyop_2Erealax_2Ereal] :
        ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ A @ ( sk1 = A ) ) ) ),
    inference(rewrite,[status(thm)],[10,44])).

thf(81,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal
          @ ^ [C: tyop_2Erealax_2Ereal] :
              ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ C
              @ ( ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C ) )
                = B ) ) )
       != ( c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal
          @ ^ [C: tyop_2Erealax_2Ereal] :
              ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ C @ ( sk1 = C ) ) ) )
      | ( ( c_2Ereal__topology_2Esphere @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) )
       != ( c_2Ereal__topology_2Esphere @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ sk1 @ sk2 ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[79,45])).

thf(82,plain,(
    ( c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal
    @ ^ [A: tyop_2Erealax_2Ereal] :
        ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ A
        @ ( ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ sk1 @ A ) )
          = sk2 ) ) )
 != ( c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal
    @ ^ [A: tyop_2Erealax_2Ereal] :
        ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ A @ ( sk1 = A ) ) ) ),
    inference(pattern_uni,[status(thm)],[81:[bind(A,$thf(sk1)),bind(B,$thf(sk2))]])).

thf(5,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) )
        = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2EDIST__EQ__0)).

thf(18,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) )
        = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(19,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) )
        = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
      = ( A = B ) ) ),
    inference(cnf,[status(esa)],[18])).

thf(20,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) )
        = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
      = ( A = B ) ) ),
    inference(lifteq,[status(thm)],[19])).

thf(9,plain,
    ( sk2
    = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ),
    inference(cnf,[status(esa)],[7])).

thf(11,plain,
    ( ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 )
    = sk2 ),
    inference(lifteq,[status(thm)],[9])).

thf(55,plain,(
    ! [B: tyop_2Erealax_2Ereal,A: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B ) )
        = sk2 )
      = ( A = B ) ) ),
    inference(rewrite,[status(thm)],[20,11])).

thf(83,plain,(
    ( c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal
    @ ^ [A: tyop_2Erealax_2Ereal] :
        ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ A @ ( sk1 = A ) ) )
 != ( c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal
    @ ^ [A: tyop_2Erealax_2Ereal] :
        ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ A @ ( sk1 = A ) ) ) ),
    inference(rewrite,[status(thm)],[82,55])).

thf(84,plain,(
    $false ),
    inference(simp,[status(thm)],[83])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.10/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.10/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.10/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.10/0.12  % CPULimit   : 300
% 0.10/0.12  % DateTime   : Wed Jul 31 13:18:40 EDT 2019
% 0.10/0.12  % CPUTime    : 
% 2.97/1.23  % [INFO] 	 Running in sequential loop mode. 
% 3.55/1.41  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.55/1.47  % [INFO] 	 iprover registered as external prover. 
% 3.55/1.47  % [INFO] 	 e registered as external prover. 
% 3.55/1.48  % [INFO] 	 cvc4 registered as external prover. 
% 3.55/1.48  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.19/1.53  % [INFO] 	 Found a conjecture and 16 axioms. Running axiom selection ... 
% 4.33/1.57  % [INFO] 	 Axiom selection finished. Selected 4 axioms (removed 12 axioms). 
% 4.33/1.60  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.85/2.52  % [INFO] 	 Killing All external provers ... 
% 7.85/2.53  % Time passed: 2260ms
% 7.85/2.53  % Effective reasoning time: 1289ms
% 7.85/2.53  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.85/2.53  % Axioms used in derivation (4): thm_2Ereal__topology_2Esphere, logicdef_2E_3D, thm_2Epred__set_2EGSPEC__EQ2, thm_2Ereal__topology_2EDIST__EQ__0
% 7.85/2.53  % No. of inferences in proof: 32
% 7.85/2.53  % No. of processed clauses: 12
% 7.85/2.53  % No. of generated clauses: 21
% 7.85/2.53  % No. of forward subsumed clauses: 2
% 7.85/2.53  % No. of backward subsumed clauses: 0
% 7.85/2.53  % No. of ground rewrite rules in store: 1
% 7.85/2.53  % No. of non-ground rewrite rules in store: 4
% 7.85/2.53  % No. of positive (non-rewrite) units in store: 1
% 7.85/2.53  % No. of negative (non-rewrite) units in store: 3
% 7.85/2.53  % No. of choice functions detected: 0
% 7.85/2.53  % No. of choice instantiations: 0
% 7.85/2.53  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2260 ms resp. 1289 ms w/o parsing
% 7.85/2.56  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.85/2.56  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.85/2.56  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 7.85/2.56  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 7.85/2.56  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 7.85/2.56  thf(c_2Enum_2E0_type, type, c_2Enum_2E0: tyop_2Enum_2Enum).
% 7.85/2.56  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 7.85/2.56  thf(c_2Ereal__topology_2EDist_type, type, c_2Ereal__topology_2EDist: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > tyop_2Erealax_2Ereal)).
% 7.85/2.56  thf(c_2Epred__set_2EEMPTY_type, type, c_2Epred__set_2EEMPTY: !>[TA: $tType]: (TA > $o)).
% 7.85/2.56  thf(c_2Epred__set_2EGSPEC_type, type, c_2Epred__set_2EGSPEC: !>[TA: $tType,TB: $tType]: ((TB > (tyop_2Epair_2Eprod @ TA @ $o)) > (TA > $o))).
% 7.85/2.56  thf(c_2Epred__set_2EINSERT_type, type, c_2Epred__set_2EINSERT: !>[TA: $tType]: (TA > ((TA > $o) > (TA > $o)))).
% 7.85/2.56  thf(c_2Ereal_2Ereal__of__num_type, type, c_2Ereal_2Ereal__of__num: (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal)).
% 7.85/2.56  thf(c_2Ereal__topology_2Esphere_type, type, c_2Ereal__topology_2Esphere: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > (tyop_2Erealax_2Ereal > $o))).
% 7.85/2.56  thf(sk1_type, type, sk1: tyop_2Erealax_2Ereal).
% 7.85/2.56  thf(sk2_type, type, sk2: tyop_2Erealax_2Ereal).
% 7.85/2.56  thf(6,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal__topology_2Esphere @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) = (c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (^ [C:tyop_2Erealax_2Ereal]: (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ C @ (c_2Emin_2E_3D @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C)) @ B))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2Esphere)).
% 7.85/2.56  thf(21,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal__topology_2Esphere @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) = (c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (^ [C:tyop_2Erealax_2Ereal]: (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ C @ (c_2Emin_2E_3D @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C)) @ B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 7.85/2.56  thf(22,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ereal__topology_2Esphere @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) = (c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (^ [C:tyop_2Erealax_2Ereal]: (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ C @ (c_2Emin_2E_3D @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C)) @ B))))))),inference(cnf,[status(esa)],[21])).
% 7.85/2.56  thf(23,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ereal__topology_2Esphere @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) = (c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (^ [C:tyop_2Erealax_2Ereal]: (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ C @ (c_2Emin_2E_3D @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C)) @ B))))))),inference(lifteq,[status(thm)],[22])).
% 7.85/2.56  thf(3,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 7.85/2.56  thf(12,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.85/2.56  thf(13,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Emin_2E_3D @ TA @ A @ B) = (A = B)))),inference(cnf,[status(esa)],[12])).
% 7.85/2.56  thf(14,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Emin_2E_3D @ TA @ A @ B) = (A = B)))),inference(lifteq,[status(thm)],[13])).
% 7.85/2.56  thf(79,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Ereal__topology_2Esphere @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) = (c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (^ [C:tyop_2Erealax_2Ereal]: (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ C @ ((c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C)) = B))))))),inference(rewrite,[status(thm)],[23,14])).
% 7.85/2.56  thf(1,conjecture,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((B = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) => ((c_2Ereal__topology_2Esphere @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) = (c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ A @ (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ESPHERE__SING)).
% 7.85/2.56  thf(2,negated_conjecture,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((B = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) => ((c_2Ereal__topology_2Esphere @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) = (c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ A @ (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal))))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.85/2.56  thf(7,plain,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((B = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) => ((c_2Ereal__topology_2Esphere @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) = (c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ A @ (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.85/2.56  thf(8,plain,((~ ((c_2Ereal__topology_2Esphere @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ sk1 @ sk2)) = (c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ sk1 @ (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal))))),inference(cnf,[status(esa)],[7])).
% 7.85/2.56  thf(10,plain,(((c_2Ereal__topology_2Esphere @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ sk1 @ sk2)) != (c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ sk1 @ (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal)))),inference(lifteq,[status(thm)],[8])).
% 7.85/2.56  thf(4,axiom,((! [TA: $tType]: (! [A:TA]: ((c_2Epred__set_2EGSPEC @ TA @ TA @ (^ [B:TA]: (c_2Epair_2E_2C @ TA @ $o @ B @ (c_2Emin_2E_3D @ TA @ A @ B)))) = (c_2Epred__set_2EINSERT @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EGSPEC__EQ2)).
% 7.85/2.56  thf(15,plain,((! [TA: $tType]: (! [A:TA]: ((c_2Epred__set_2EGSPEC @ TA @ TA @ (^ [B:TA]: (c_2Epair_2E_2C @ TA @ $o @ B @ (c_2Emin_2E_3D @ TA @ A @ B)))) = (c_2Epred__set_2EINSERT @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.85/2.56  thf(16,plain,(! [TA:$tType,A:TA] : (((c_2Epred__set_2EGSPEC @ TA @ TA @ (^ [B:TA]: (c_2Epair_2E_2C @ TA @ $o @ B @ (c_2Emin_2E_3D @ TA @ A @ B)))) = (c_2Epred__set_2EINSERT @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA))))),inference(cnf,[status(esa)],[15])).
% 7.85/2.56  thf(17,plain,(! [TA:$tType,A:TA] : (((c_2Epred__set_2EGSPEC @ TA @ TA @ (^ [B:TA]: (c_2Epair_2E_2C @ TA @ $o @ B @ (c_2Emin_2E_3D @ TA @ A @ B)))) = (c_2Epred__set_2EINSERT @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA))))),inference(lifteq,[status(thm)],[16])).
% 7.85/2.56  thf(27,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Epred__set_2EINSERT @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA) @ B) = (c_2Epred__set_2EGSPEC @ TA @ TA @ (^ [C:TA]: (c_2Epair_2E_2C @ TA @ $o @ C @ (c_2Emin_2E_3D @ TA @ A @ C))) @ B)))),inference(func_ext,[status(esa)],[17])).
% 7.85/2.56  thf(44,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Epred__set_2EINSERT @ TA @ A @ (c_2Epred__set_2EEMPTY @ TA) @ B) = (c_2Epred__set_2EGSPEC @ TA @ TA @ (^ [C:TA]: (c_2Epair_2E_2C @ TA @ $o @ C @ (A = C))) @ B)))),inference(rewrite,[status(thm)],[27,14])).
% 7.85/2.56  thf(45,plain,(((c_2Ereal__topology_2Esphere @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ sk1 @ sk2)) != (c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (^ [A:tyop_2Erealax_2Ereal]: (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ A @ (sk1 = A)))))),inference(rewrite,[status(thm)],[10,44])).
% 7.85/2.56  thf(81,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : (((c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (^ [C:tyop_2Erealax_2Ereal]: (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ C @ ((c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ C)) = B)))) != (c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (^ [C:tyop_2Erealax_2Ereal]: (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ C @ (sk1 = C))))) | ((c_2Ereal__topology_2Esphere @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) != (c_2Ereal__topology_2Esphere @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ sk1 @ sk2))))),inference(paramod_ordered,[status(thm)],[79,45])).
% 7.85/2.56  thf(82,plain,(((c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (^ [A:tyop_2Erealax_2Ereal]: (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ A @ ((c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ sk1 @ A)) = sk2)))) != (c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (^ [A:tyop_2Erealax_2Ereal]: (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ A @ (sk1 = A)))))),inference(pattern_uni,[status(thm)],[81:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 7.85/2.56  thf(5,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = (A = B)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2EDIST__EQ__0)).
% 7.85/2.56  thf(18,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = (A = B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.85/2.56  thf(19,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((((c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = (A = B)))),inference(cnf,[status(esa)],[18])).
% 7.85/2.56  thf(20,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((((c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = (A = B)))),inference(lifteq,[status(thm)],[19])).
% 7.85/2.56  thf(9,plain,((sk2 = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0))),inference(cnf,[status(esa)],[7])).
% 7.85/2.56  thf(11,plain,(((c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) = sk2)),inference(lifteq,[status(thm)],[9])).
% 7.85/2.56  thf(55,plain,(! [B:tyop_2Erealax_2Ereal,A:tyop_2Erealax_2Ereal] : ((((c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B)) = sk2) = (A = B)))),inference(rewrite,[status(thm)],[20,11])).
% 7.85/2.56  thf(83,plain,(((c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (^ [A:tyop_2Erealax_2Ereal]: (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ A @ (sk1 = A)))) != (c_2Epred__set_2EGSPEC @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (^ [A:tyop_2Erealax_2Ereal]: (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ $o @ A @ (sk1 = A)))))),inference(rewrite,[status(thm)],[82,55])).
% 7.85/2.56  thf(84,plain,($false),inference(simp,[status(thm)],[83])).
% 7.85/2.56  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.85/2.56  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
