%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:44:51 EDT 2019

% Result     : Theorem 6.32s
% Output     : CNFRefutation 6.77s
% Verified   : 
% Statistics : Number of formulae       :   13 (  13 expanded)
%              Number of leaves         :    8 (   8 expanded)
%              Depth                    :    3
%              Number of atoms          :   52 (  52 expanded)
%              Number of equality atoms :    0 (   0 expanded)
%              Maximal formula depth    :    9 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Epred__set_2EDIFF_type,type,(
    c_2Epred__set_2EDIFF: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > TA > $o ) )).

thf(c_2Epred__set_2ESUBSET_type,type,(
    c_2Epred__set_2ESUBSET: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > $o ) )).

thf(c_2Ereal__topology_2Ebounded__def_type,type,(
    c_2Ereal__topology_2Ebounded__def: ( tyop_2Erealax_2Ereal > $o ) > $o )).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Ebounded__def @ A )
     => ( c_2Ereal__topology_2Ebounded__def @ ( c_2Epred__set_2EDIFF @ tyop_2Erealax_2Ereal @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EBOUNDED__DIFF)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
        ( ( c_2Ereal__topology_2Ebounded__def @ A )
       => ( c_2Ereal__topology_2Ebounded__def @ ( c_2Epred__set_2EDIFF @ tyop_2Erealax_2Ereal @ A @ B ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(5,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
        ( ( c_2Ereal__topology_2Ebounded__def @ A )
       => ( c_2Ereal__topology_2Ebounded__def @ ( c_2Epred__set_2EDIFF @ tyop_2Erealax_2Ereal @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( c_2Epred__set_2ESUBSET @ TA @ ( c_2Epred__set_2EDIFF @ TA @ A @ B ) @ A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EDIFF__SUBSET)).

thf(9,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o] :
      ( c_2Epred__set_2ESUBSET @ TA @ ( c_2Epred__set_2EDIFF @ TA @ A @ B ) @ A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
      ( ( ( c_2Ereal__topology_2Ebounded__def @ B )
        & ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ A @ B ) )
     => ( c_2Ereal__topology_2Ebounded__def @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EBOUNDED__SUBSET)).

thf(11,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o,B: tyop_2Erealax_2Ereal > $o] :
      ( ( ( c_2Ereal__topology_2Ebounded__def @ B )
        & ( c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ A @ B ) )
     => ( c_2Ereal__topology_2Ebounded__def @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(28,plain,(
    $false ),
    inference(iprover,[status(thm)],[5,9,11])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.01/0.07  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.01/0.08  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.01/0.08  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.01/0.08  % CPULimit   : 300
% 0.01/0.08  % DateTime   : Wed Jul 31 13:18:26 EDT 2019
% 0.01/0.08  % CPUTime    : 
% 3.47/1.33  % [INFO] 	 Running in sequential loop mode. 
% 4.39/1.55  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.71/1.63  % [INFO] 	 iprover registered as external prover. 
% 4.71/1.63  % [INFO] 	 e registered as external prover. 
% 4.71/1.63  % [INFO] 	 cvc4 registered as external prover. 
% 4.71/1.63  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.71/1.68  % [INFO] 	 Found a conjecture and 25 axioms. Running axiom selection ... 
% 5.03/1.73  % [INFO] 	 Axiom selection finished. Selected 2 axioms (removed 23 axioms). 
% 5.03/1.74  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.32/2.20  % [INFO] 	 Killing All external provers ... 
% 6.32/2.21  % Time passed: 2030ms
% 6.32/2.21  % Effective reasoning time: 865ms
% 6.32/2.21  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.32/2.21  % Axioms used in derivation (2): thm_2Epred__set_2EDIFF__SUBSET, thm_2Ereal__topology_2EBOUNDED__SUBSET
% 6.32/2.21  % No. of inferences in proof: 8
% 6.32/2.21  % No. of processed clauses: 1
% 6.32/2.21  % No. of generated clauses: 0
% 6.32/2.21  % No. of forward subsumed clauses: 0
% 6.32/2.21  % No. of backward subsumed clauses: 0
% 6.32/2.21  % No. of ground rewrite rules in store: 1
% 6.32/2.21  % No. of non-ground rewrite rules in store: 0
% 6.32/2.21  % No. of positive (non-rewrite) units in store: 0
% 6.32/2.21  % No. of negative (non-rewrite) units in store: 0
% 6.32/2.21  % No. of choice functions detected: 0
% 6.32/2.21  % No. of choice instantiations: 0
% 6.32/2.21  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2030 ms resp. 865 ms w/o parsing
% 6.77/2.23  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.77/2.23  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.77/2.23  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 6.77/2.23  thf(c_2Epred__set_2EDIFF_type, type, c_2Epred__set_2EDIFF: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > (TA > $o)))).
% 6.77/2.23  thf(c_2Epred__set_2ESUBSET_type, type, c_2Epred__set_2ESUBSET: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > $o))).
% 6.77/2.23  thf(c_2Ereal__topology_2Ebounded__def_type, type, c_2Ereal__topology_2Ebounded__def: ((tyop_2Erealax_2Ereal > $o) > $o)).
% 6.77/2.23  thf(1,conjecture,((! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Ebounded__def @ A) => (c_2Ereal__topology_2Ebounded__def @ (c_2Epred__set_2EDIFF @ tyop_2Erealax_2Ereal @ A @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EBOUNDED__DIFF)).
% 6.77/2.23  thf(2,negated_conjecture,((~ (! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Ebounded__def @ A) => (c_2Ereal__topology_2Ebounded__def @ (c_2Epred__set_2EDIFF @ tyop_2Erealax_2Ereal @ A @ B)))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.77/2.23  thf(5,plain,((~ (! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Ebounded__def @ (A)) => (c_2Ereal__topology_2Ebounded__def @ (c_2Epred__set_2EDIFF @ tyop_2Erealax_2Ereal @ A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.77/2.23  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (c_2Epred__set_2ESUBSET @ TA @ (c_2Epred__set_2EDIFF @ TA @ A @ B) @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EDIFF__SUBSET)).
% 6.77/2.23  thf(9,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: (c_2Epred__set_2ESUBSET @ TA @ (c_2Epred__set_2EDIFF @ TA @ A @ B) @ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.77/2.23  thf(4,axiom,((! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: (((c_2Ereal__topology_2Ebounded__def @ B) & (c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ A @ B)) => (c_2Ereal__topology_2Ebounded__def @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EBOUNDED__SUBSET)).
% 6.77/2.23  thf(11,plain,((! [A:(tyop_2Erealax_2Ereal > $o),B:(tyop_2Erealax_2Ereal > $o)]: (((c_2Ereal__topology_2Ebounded__def @ (B)) & (c_2Epred__set_2ESUBSET @ tyop_2Erealax_2Ereal @ (A) @ (B))) => (c_2Ereal__topology_2Ebounded__def @ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.77/2.23  thf(28,plain,($false),inference(iprover,[status(thm)],[5,9,11])).
% 6.77/2.23  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.77/2.23  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
