%------------------------------------------------------------------------------
% Axioms transformation by autotheo
% Orienting (remaining) axiom formulas using strategy ClausalAll
% CNF of (remaining) axioms:
% Start CNF derivation
fof(c_0_0,axiom,(
    ! [X1,X2,X3] :
      ( mem(X3,arr(X1,X2))
     => ! [X7] :
          ( mem(X7,arr(X1,X2))
         => ( ! [X4] :
                ( mem(X4,X1)
               => ap(X3,X4) = ap(X7,X4) )
           => X3 = X7 ) ) ) ),
    file('<stdin>',funcext)).

fof(c_0_1,axiom,(
    ! [X9] :
      ( ne(X9)
     => mem(c_2Epred__set_2EINSERT(X9),arr(X9,arr(arr(X9,bool),arr(X9,bool)))) ) ),
    file('<stdin>',mem_c_2Epred__set_2EINSERT)).

fof(c_0_2,axiom,(
    ! [X1] :
      ( ne(X1)
     => ! [X5] :
          ( mem(X5,arr(X1,bool))
         => ( p(ap(c_2Ebool_2E_21(X1),X5))
          <=> ! [X4] :
                ( mem(X4,X1)
               => p(ap(X5,X4)) ) ) ) ) ),
    file('<stdin>',ax_all_p)).

fof(c_0_3,axiom,(
    ! [X1] :
      ( ne(X1)
     => ! [X4] :
          ( mem(X4,X1)
         => ! [X8] :
              ( mem(X8,X1)
             => ( p(ap(ap(c_2Emin_2E_3D(X1),X4),X8))
              <=> X4 = X8 ) ) ) ) ),
    file('<stdin>',ax_eq_p)).

fof(c_0_4,axiom,(
    ! [X5] :
      ( mem(X5,bool)
     => ! [X6] :
          ( mem(X6,bool)
         => ( p(ap(ap(c_2Ebool_2E_2F_5C,X5),X6))
          <=> ( p(X5)
              & p(X6) ) ) ) ) ),
    file('<stdin>',ax_and_p)).

fof(c_0_5,axiom,(
    ! [X1,X2,X3] :
      ( mem(X3,arr(X1,X2))
     => ! [X4] :
          ( mem(X4,X1)
         => mem(ap(X3,X4),X2) ) ) ),
    file('<stdin>',ap_tp)).

fof(c_0_6,axiom,(
    ! [X9] :
      ( ne(X9)
     => mem(c_2Emin_2E_3D(X9),arr(X9,arr(X9,bool))) ) ),
    file('<stdin>',mem_c_2Emin_2E_3D)).

fof(c_0_7,axiom,(
    ! [X9] :
      ( ne(X9)
     => mem(c_2Ebool_2E_21(X9),arr(arr(X9,bool),bool)) ) ),
    file('<stdin>',mem_c_2Ebool_2E_21)).

fof(c_0_8,axiom,(
    mem(c_2Ereal__topology_2Ebounded__def,arr(arr(ty_2Erealax_2Ereal,bool),bool)) ),
    file('<stdin>',mem_c_2Ereal__topology_2Ebounded__def)).

fof(c_0_9,axiom,(
    mem(c_2Ebool_2E_2F_5C,arr(bool,arr(bool,bool))) ),
    file('<stdin>',mem_c_2Ebool_2E_2F_5C)).

fof(c_0_10,axiom,(
    ! [X5] :
      ( mem(X5,bool)
     => ( p(ap(c_2Ebool_2E_7E,X5))
      <=> ~ p(X5) ) ) ),
    file('<stdin>',ax_neg_p)).

fof(c_0_11,axiom,(
    ! [X1,X8,X4] :
      ( mem(X4,X1)
     => ap(k(X1,X8),X4) = X8 ) ),
    file('<stdin>',kbeta)).

fof(c_0_12,axiom,(
    ! [X5] :
      ( mem(X5,bool)
     => ! [X6] :
          ( mem(X6,bool)
         => ( ( p(X5)
            <=> p(X6) )
           => X5 = X6 ) ) ) ),
    file('<stdin>',boolext)).

fof(c_0_13,axiom,(
    ! [X9] :
      ( ne(X9)
     => mem(c_2Epred__set_2EEMPTY(X9),arr(X9,bool)) ) ),
    file('<stdin>',mem_c_2Epred__set_2EEMPTY)).

fof(c_0_14,axiom,(
    ! [X1] :
      ( ne(X1)
     => ! [X2] :
          ( ne(X2)
         => ne(arr(X1,X2)) ) ) ),
    file('<stdin>',arr_ne)).

fof(c_0_15,axiom,(
    ! [X1,X4] :
      ( mem(X4,X1)
     => ap(i(X1),X4) = X4 ) ),
    file('<stdin>',ibeta)).

fof(c_0_16,axiom,(
    mem(c_2Ebool_2E_7E,arr(bool,bool)) ),
    file('<stdin>',mem_c_2Ebool_2E_7E)).

fof(c_0_17,axiom,(
    mem(c_2Ebool_2ET,bool) ),
    file('<stdin>',mem_c_2Ebool_2ET)).

fof(c_0_18,axiom,(
    mem(c_2Ebool_2EF,bool) ),
    file('<stdin>',mem_c_2Ebool_2EF)).

fof(c_0_19,axiom,(
    ~ p(c_2Ebool_2EF) ),
    file('<stdin>',ax_false_p)).

fof(c_0_20,axiom,(
    ne(ty_2Erealax_2Ereal) ),
    file('<stdin>',ne_ty_2Erealax_2Ereal)).

fof(c_0_21,axiom,(
    p(c_2Ebool_2ET) ),
    file('<stdin>',ax_true_p)).

fof(c_0_22,axiom,(
    ne(ind) ),
    file('<stdin>',ind_ne)).

fof(c_0_23,axiom,(
    ne(bool) ),
    file('<stdin>',bool_ne)).

fof(c_0_24,axiom,(
    ! [X1,X2,X3] :
      ( mem(X3,arr(X1,X2))
     => ! [X7] :
          ( mem(X7,arr(X1,X2))
         => ( ! [X4] :
                ( mem(X4,X1)
               => ap(X3,X4) = ap(X7,X4) )
           => X3 = X7 ) ) ) ),
    c_0_0).

fof(c_0_25,axiom,(
    ! [X9] :
      ( ne(X9)
     => mem(c_2Epred__set_2EINSERT(X9),arr(X9,arr(arr(X9,bool),arr(X9,bool)))) ) ),
    c_0_1).

fof(c_0_26,axiom,(
    ! [X1] :
      ( ne(X1)
     => ! [X5] :
          ( mem(X5,arr(X1,bool))
         => ( p(ap(c_2Ebool_2E_21(X1),X5))
          <=> ! [X4] :
                ( mem(X4,X1)
               => p(ap(X5,X4)) ) ) ) ) ),
    c_0_2).

fof(c_0_27,axiom,(
    ! [X1] :
      ( ne(X1)
     => ! [X4] :
          ( mem(X4,X1)
         => ! [X8] :
              ( mem(X8,X1)
             => ( p(ap(ap(c_2Emin_2E_3D(X1),X4),X8))
              <=> X4 = X8 ) ) ) ) ),
    c_0_3).

fof(c_0_28,axiom,(
    ! [X5] :
      ( mem(X5,bool)
     => ! [X6] :
          ( mem(X6,bool)
         => ( p(ap(ap(c_2Ebool_2E_2F_5C,X5),X6))
          <=> ( p(X5)
              & p(X6) ) ) ) ) ),
    c_0_4).

fof(c_0_29,axiom,(
    ! [X1,X2,X3] :
      ( mem(X3,arr(X1,X2))
     => ! [X4] :
          ( mem(X4,X1)
         => mem(ap(X3,X4),X2) ) ) ),
    c_0_5).

fof(c_0_30,axiom,(
    ! [X9] :
      ( ne(X9)
     => mem(c_2Emin_2E_3D(X9),arr(X9,arr(X9,bool))) ) ),
    c_0_6).

fof(c_0_31,axiom,(
    ! [X9] :
      ( ne(X9)
     => mem(c_2Ebool_2E_21(X9),arr(arr(X9,bool),bool)) ) ),
    c_0_7).

fof(c_0_32,axiom,(
    mem(c_2Ereal__topology_2Ebounded__def,arr(arr(ty_2Erealax_2Ereal,bool),bool)) ),
    c_0_8).

fof(c_0_33,axiom,(
    mem(c_2Ebool_2E_2F_5C,arr(bool,arr(bool,bool))) ),
    c_0_9).

fof(c_0_34,plain,(
    ! [X5] :
      ( mem(X5,bool)
     => ( p(ap(c_2Ebool_2E_7E,X5))
      <=> ~ p(X5) ) ) ),
    inference(fof_simplification,[status(thm)],[c_0_10])).

fof(c_0_35,axiom,(
    ! [X1,X8,X4] :
      ( mem(X4,X1)
     => ap(k(X1,X8),X4) = X8 ) ),
    c_0_11).

fof(c_0_36,axiom,(
    ! [X5] :
      ( mem(X5,bool)
     => ! [X6] :
          ( mem(X6,bool)
         => ( ( p(X5)
            <=> p(X6) )
           => X5 = X6 ) ) ) ),
    c_0_12).

fof(c_0_37,axiom,(
    ! [X9] :
      ( ne(X9)
     => mem(c_2Epred__set_2EEMPTY(X9),arr(X9,bool)) ) ),
    c_0_13).

fof(c_0_38,axiom,(
    ! [X1] :
      ( ne(X1)
     => ! [X2] :
          ( ne(X2)
         => ne(arr(X1,X2)) ) ) ),
    c_0_14).

fof(c_0_39,axiom,(
    ! [X1,X4] :
      ( mem(X4,X1)
     => ap(i(X1),X4) = X4 ) ),
    c_0_15).

fof(c_0_40,axiom,(
    mem(c_2Ebool_2E_7E,arr(bool,bool)) ),
    c_0_16).

fof(c_0_41,axiom,(
    mem(c_2Ebool_2ET,bool) ),
    c_0_17).

fof(c_0_42,axiom,(
    mem(c_2Ebool_2EF,bool) ),
    c_0_18).

fof(c_0_43,plain,(
    ~ p(c_2Ebool_2EF) ),
    inference(fof_simplification,[status(thm)],[c_0_19])).

fof(c_0_44,axiom,(
    ne(ty_2Erealax_2Ereal) ),
    c_0_20).

fof(c_0_45,axiom,(
    p(c_2Ebool_2ET) ),
    c_0_21).

fof(c_0_46,axiom,(
    ne(ind) ),
    c_0_22).

fof(c_0_47,axiom,(
    ne(bool) ),
    c_0_23).

fof(c_0_48,plain,(
    ! [X8,X9,X10,X11] :
      ( ( mem(esk1_4(X8,X9,X10,X11),X8)
        | X10 = X11
        | ~ mem(X11,arr(X8,X9))
        | ~ mem(X10,arr(X8,X9)) )
      & ( ap(X10,esk1_4(X8,X9,X10,X11)) != ap(X11,esk1_4(X8,X9,X10,X11))
        | X10 = X11
        | ~ mem(X11,arr(X8,X9))
        | ~ mem(X10,arr(X8,X9)) ) ) ),
    inference(distribute,[status(thm)],[inference(shift_quantors,[status(thm)],[inference(skolemize,[status(esa)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_24])])])])])).

fof(c_0_49,plain,(
    ! [X10] :
      ( ~ ne(X10)
      | mem(c_2Epred__set_2EINSERT(X10),arr(X10,arr(arr(X10,bool),arr(X10,bool)))) ) ),
    inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_25])])).

fof(c_0_50,plain,(
    ! [X6,X7,X8] :
      ( ( ~ p(ap(c_2Ebool_2E_21(X6),X7))
        | ~ mem(X8,X6)
        | p(ap(X7,X8))
        | ~ mem(X7,arr(X6,bool))
        | ~ ne(X6) )
      & ( mem(esk2_2(X6,X7),X6)
        | p(ap(c_2Ebool_2E_21(X6),X7))
        | ~ mem(X7,arr(X6,bool))
        | ~ ne(X6) )
      & ( ~ p(ap(X7,esk2_2(X6,X7)))
        | p(ap(c_2Ebool_2E_21(X6),X7))
        | ~ mem(X7,arr(X6,bool))
        | ~ ne(X6) ) ) ),
    inference(distribute,[status(thm)],[inference(shift_quantors,[status(thm)],[inference(skolemize,[status(esa)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_26])])])])])).

fof(c_0_51,plain,(
    ! [X9,X10,X11] :
      ( ( ~ p(ap(ap(c_2Emin_2E_3D(X9),X10),X11))
        | X10 = X11
        | ~ mem(X11,X9)
        | ~ mem(X10,X9)
        | ~ ne(X9) )
      & ( X10 != X11
        | p(ap(ap(c_2Emin_2E_3D(X9),X10),X11))
        | ~ mem(X11,X9)
        | ~ mem(X10,X9)
        | ~ ne(X9) ) ) ),
    inference(distribute,[status(thm)],[inference(shift_quantors,[status(thm)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_27])])])])).

fof(c_0_52,plain,(
    ! [X7,X8] :
      ( ( p(X7)
        | ~ p(ap(ap(c_2Ebool_2E_2F_5C,X7),X8))
        | ~ mem(X8,bool)
        | ~ mem(X7,bool) )
      & ( p(X8)
        | ~ p(ap(ap(c_2Ebool_2E_2F_5C,X7),X8))
        | ~ mem(X8,bool)
        | ~ mem(X7,bool) )
      & ( ~ p(X7)
        | ~ p(X8)
        | p(ap(ap(c_2Ebool_2E_2F_5C,X7),X8))
        | ~ mem(X8,bool)
        | ~ mem(X7,bool) ) ) ),
    inference(distribute,[status(thm)],[inference(shift_quantors,[status(thm)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_28])])])])).

fof(c_0_53,plain,(
    ! [X5,X6,X7,X8] :
      ( ~ mem(X7,arr(X5,X6))
      | ~ mem(X8,X5)
      | mem(ap(X7,X8),X6) ) ),
    inference(shift_quantors,[status(thm)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_29])])])).

fof(c_0_54,plain,(
    ! [X10] :
      ( ~ ne(X10)
      | mem(c_2Emin_2E_3D(X10),arr(X10,arr(X10,bool))) ) ),
    inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_30])])).

fof(c_0_55,plain,(
    ! [X10] :
      ( ~ ne(X10)
      | mem(c_2Ebool_2E_21(X10),arr(arr(X10,bool),bool)) ) ),
    inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_31])])).

fof(c_0_56,axiom,(
    mem(c_2Ereal__topology_2Ebounded__def,arr(arr(ty_2Erealax_2Ereal,bool),bool)) ),
    c_0_32).

fof(c_0_57,axiom,(
    mem(c_2Ebool_2E_2F_5C,arr(bool,arr(bool,bool))) ),
    c_0_33).

fof(c_0_58,plain,(
    ! [X6] :
      ( ( ~ p(ap(c_2Ebool_2E_7E,X6))
        | ~ p(X6)
        | ~ mem(X6,bool) )
      & ( p(X6)
        | p(ap(c_2Ebool_2E_7E,X6))
        | ~ mem(X6,bool) ) ) ),
    inference(distribute,[status(thm)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_34])])])).

fof(c_0_59,plain,(
    ! [X9,X10,X11] :
      ( ~ mem(X11,X9)
      | ap(k(X9,X10),X11) = X10 ) ),
    inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_35])])).

fof(c_0_60,plain,(
    ! [X7,X8] :
      ( ( ~ p(X7)
        | ~ p(X8)
        | X7 = X8
        | ~ mem(X8,bool)
        | ~ mem(X7,bool) )
      & ( p(X7)
        | p(X8)
        | X7 = X8
        | ~ mem(X8,bool)
        | ~ mem(X7,bool) ) ) ),
    inference(distribute,[status(thm)],[inference(shift_quantors,[status(thm)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_36])])])])).

fof(c_0_61,plain,(
    ! [X10] :
      ( ~ ne(X10)
      | mem(c_2Epred__set_2EEMPTY(X10),arr(X10,bool)) ) ),
    inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_37])])).

fof(c_0_62,plain,(
    ! [X3,X4] :
      ( ~ ne(X3)
      | ~ ne(X4)
      | ne(arr(X3,X4)) ) ),
    inference(shift_quantors,[status(thm)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_38])])])).

fof(c_0_63,plain,(
    ! [X5,X6] :
      ( ~ mem(X6,X5)
      | ap(i(X5),X6) = X6 ) ),
    inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_39])])).

fof(c_0_64,axiom,(
    mem(c_2Ebool_2E_7E,arr(bool,bool)) ),
    c_0_40).

fof(c_0_65,axiom,(
    mem(c_2Ebool_2ET,bool) ),
    c_0_41).

fof(c_0_66,axiom,(
    mem(c_2Ebool_2EF,bool) ),
    c_0_42).

fof(c_0_67,plain,(
    ~ p(c_2Ebool_2EF) ),
    c_0_43).

fof(c_0_68,axiom,(
    ne(ty_2Erealax_2Ereal) ),
    c_0_44).

fof(c_0_69,axiom,(
    p(c_2Ebool_2ET) ),
    c_0_45).

fof(c_0_70,axiom,(
    ne(ind) ),
    c_0_46).

fof(c_0_71,axiom,(
    ne(bool) ),
    c_0_47).

cnf(c_0_72,plain,
    ( X1 = X4
    | ~ mem(X1,arr(X2,X3))
    | ~ mem(X4,arr(X2,X3))
    | ap(X1,esk1_4(X2,X3,X1,X4)) != ap(X4,esk1_4(X2,X3,X1,X4)) ),
    inference(split_conjunct,[status(thm)],[c_0_48])).

cnf(c_0_73,plain,
    ( X1 = X4
    | mem(esk1_4(X2,X3,X1,X4),X2)
    | ~ mem(X1,arr(X2,X3))
    | ~ mem(X4,arr(X2,X3)) ),
    inference(split_conjunct,[status(thm)],[c_0_48])).

cnf(c_0_74,plain,
    ( mem(c_2Epred__set_2EINSERT(X1),arr(X1,arr(arr(X1,bool),arr(X1,bool))))
    | ~ ne(X1) ),
    inference(split_conjunct,[status(thm)],[c_0_49])).

cnf(c_0_75,plain,
    ( p(ap(c_2Ebool_2E_21(X1),X2))
    | ~ ne(X1)
    | ~ mem(X2,arr(X1,bool))
    | ~ p(ap(X2,esk2_2(X1,X2))) ),
    inference(split_conjunct,[status(thm)],[c_0_50])).

cnf(c_0_76,plain,
    ( X2 = X3
    | ~ ne(X1)
    | ~ mem(X2,X1)
    | ~ mem(X3,X1)
    | ~ p(ap(ap(c_2Emin_2E_3D(X1),X2),X3)) ),
    inference(split_conjunct,[status(thm)],[c_0_51])).

cnf(c_0_77,plain,
    ( p(ap(X2,X3))
    | ~ ne(X1)
    | ~ mem(X2,arr(X1,bool))
    | ~ mem(X3,X1)
    | ~ p(ap(c_2Ebool_2E_21(X1),X2)) ),
    inference(split_conjunct,[status(thm)],[c_0_50])).

cnf(c_0_78,plain,
    ( p(X1)
    | ~ mem(X1,bool)
    | ~ mem(X2,bool)
    | ~ p(ap(ap(c_2Ebool_2E_2F_5C,X1),X2)) ),
    inference(split_conjunct,[status(thm)],[c_0_52])).

cnf(c_0_79,plain,
    ( p(X2)
    | ~ mem(X1,bool)
    | ~ mem(X2,bool)
    | ~ p(ap(ap(c_2Ebool_2E_2F_5C,X1),X2)) ),
    inference(split_conjunct,[status(thm)],[c_0_52])).

cnf(c_0_80,plain,
    ( p(ap(ap(c_2Emin_2E_3D(X1),X2),X3))
    | ~ ne(X1)
    | ~ mem(X2,X1)
    | ~ mem(X3,X1)
    | X2 != X3 ),
    inference(split_conjunct,[status(thm)],[c_0_51])).

cnf(c_0_81,plain,
    ( p(ap(c_2Ebool_2E_21(X1),X2))
    | mem(esk2_2(X1,X2),X1)
    | ~ ne(X1)
    | ~ mem(X2,arr(X1,bool)) ),
    inference(split_conjunct,[status(thm)],[c_0_50])).

cnf(c_0_82,plain,
    ( p(ap(ap(c_2Ebool_2E_2F_5C,X1),X2))
    | ~ mem(X1,bool)
    | ~ mem(X2,bool)
    | ~ p(X2)
    | ~ p(X1) ),
    inference(split_conjunct,[status(thm)],[c_0_52])).

cnf(c_0_83,plain,
    ( mem(ap(X1,X2),X3)
    | ~ mem(X2,X4)
    | ~ mem(X1,arr(X4,X3)) ),
    inference(split_conjunct,[status(thm)],[c_0_53])).

cnf(c_0_84,plain,
    ( mem(c_2Emin_2E_3D(X1),arr(X1,arr(X1,bool)))
    | ~ ne(X1) ),
    inference(split_conjunct,[status(thm)],[c_0_54])).

cnf(c_0_85,plain,
    ( mem(c_2Ebool_2E_21(X1),arr(arr(X1,bool),bool))
    | ~ ne(X1) ),
    inference(split_conjunct,[status(thm)],[c_0_55])).

cnf(c_0_86,plain,
    ( mem(c_2Ereal__topology_2Ebounded__def,arr(arr(ty_2Erealax_2Ereal,bool),bool)) ),
    inference(split_conjunct,[status(thm)],[c_0_56])).

cnf(c_0_87,plain,
    ( mem(c_2Ebool_2E_2F_5C,arr(bool,arr(bool,bool))) ),
    inference(split_conjunct,[status(thm)],[c_0_57])).

cnf(c_0_88,plain,
    ( ~ mem(X1,bool)
    | ~ p(X1)
    | ~ p(ap(c_2Ebool_2E_7E,X1)) ),
    inference(split_conjunct,[status(thm)],[c_0_58])).

cnf(c_0_89,plain,
    ( ap(k(X1,X2),X3) = X2
    | ~ mem(X3,X1) ),
    inference(split_conjunct,[status(thm)],[c_0_59])).

cnf(c_0_90,plain,
    ( X1 = X2
    | ~ mem(X1,bool)
    | ~ mem(X2,bool)
    | ~ p(X2)
    | ~ p(X1) ),
    inference(split_conjunct,[status(thm)],[c_0_60])).

cnf(c_0_91,plain,
    ( p(ap(c_2Ebool_2E_7E,X1))
    | p(X1)
    | ~ mem(X1,bool) ),
    inference(split_conjunct,[status(thm)],[c_0_58])).

cnf(c_0_92,plain,
    ( X1 = X2
    | p(X2)
    | p(X1)
    | ~ mem(X1,bool)
    | ~ mem(X2,bool) ),
    inference(split_conjunct,[status(thm)],[c_0_60])).

cnf(c_0_93,plain,
    ( mem(c_2Epred__set_2EEMPTY(X1),arr(X1,bool))
    | ~ ne(X1) ),
    inference(split_conjunct,[status(thm)],[c_0_61])).

cnf(c_0_94,plain,
    ( ne(arr(X1,X2))
    | ~ ne(X2)
    | ~ ne(X1) ),
    inference(split_conjunct,[status(thm)],[c_0_62])).

cnf(c_0_95,plain,
    ( ap(i(X1),X2) = X2
    | ~ mem(X2,X1) ),
    inference(split_conjunct,[status(thm)],[c_0_63])).

cnf(c_0_96,plain,
    ( mem(c_2Ebool_2E_7E,arr(bool,bool)) ),
    inference(split_conjunct,[status(thm)],[c_0_64])).

cnf(c_0_97,plain,
    ( mem(c_2Ebool_2ET,bool) ),
    inference(split_conjunct,[status(thm)],[c_0_65])).

cnf(c_0_98,plain,
    ( mem(c_2Ebool_2EF,bool) ),
    inference(split_conjunct,[status(thm)],[c_0_66])).

cnf(c_0_99,plain,
    ( ~ p(c_2Ebool_2EF) ),
    inference(split_conjunct,[status(thm)],[c_0_67])).

cnf(c_0_100,plain,
    ( ne(ty_2Erealax_2Ereal) ),
    inference(split_conjunct,[status(thm)],[c_0_68])).

cnf(c_0_101,plain,
    ( p(c_2Ebool_2ET) ),
    inference(split_conjunct,[status(thm)],[c_0_69])).

cnf(c_0_102,plain,
    ( ne(ind) ),
    inference(split_conjunct,[status(thm)],[c_0_70])).

cnf(c_0_103,plain,
    ( ne(bool) ),
    inference(split_conjunct,[status(thm)],[c_0_71])).

cnf(c_0_104,plain,
    ( X1 = X4
    | ~ mem(X1,arr(X2,X3))
    | ~ mem(X4,arr(X2,X3))
    | ap(X1,esk1_4(X2,X3,X1,X4)) != ap(X4,esk1_4(X2,X3,X1,X4)) ),
    c_0_72,
    [final]).

cnf(c_0_105,plain,
    ( X1 = X4
    | mem(esk1_4(X2,X3,X1,X4),X2)
    | ~ mem(X1,arr(X2,X3))
    | ~ mem(X4,arr(X2,X3)) ),
    c_0_73,
    [final]).

cnf(c_0_106,plain,
    ( mem(c_2Epred__set_2EINSERT(X1),arr(X1,arr(arr(X1,bool),arr(X1,bool))))
    | ~ ne(X1) ),
    c_0_74,
    [final]).

cnf(c_0_107,plain,
    ( p(ap(c_2Ebool_2E_21(X1),X2))
    | ~ ne(X1)
    | ~ mem(X2,arr(X1,bool))
    | ~ p(ap(X2,esk2_2(X1,X2))) ),
    c_0_75,
    [final]).

cnf(c_0_108,plain,
    ( X2 = X3
    | ~ ne(X1)
    | ~ mem(X2,X1)
    | ~ mem(X3,X1)
    | ~ p(ap(ap(c_2Emin_2E_3D(X1),X2),X3)) ),
    c_0_76,
    [final]).

cnf(c_0_109,plain,
    ( p(ap(X2,X3))
    | ~ ne(X1)
    | ~ mem(X2,arr(X1,bool))
    | ~ mem(X3,X1)
    | ~ p(ap(c_2Ebool_2E_21(X1),X2)) ),
    c_0_77,
    [final]).

cnf(c_0_110,plain,
    ( p(X1)
    | ~ mem(X1,bool)
    | ~ mem(X2,bool)
    | ~ p(ap(ap(c_2Ebool_2E_2F_5C,X1),X2)) ),
    c_0_78,
    [final]).

cnf(c_0_111,plain,
    ( p(X2)
    | ~ mem(X1,bool)
    | ~ mem(X2,bool)
    | ~ p(ap(ap(c_2Ebool_2E_2F_5C,X1),X2)) ),
    c_0_79,
    [final]).

cnf(c_0_112,plain,
    ( p(ap(ap(c_2Emin_2E_3D(X1),X2),X3))
    | ~ ne(X1)
    | ~ mem(X2,X1)
    | ~ mem(X3,X1)
    | X2 != X3 ),
    c_0_80,
    [final]).

cnf(c_0_113,plain,
    ( p(ap(c_2Ebool_2E_21(X1),X2))
    | mem(esk2_2(X1,X2),X1)
    | ~ ne(X1)
    | ~ mem(X2,arr(X1,bool)) ),
    c_0_81,
    [final]).

cnf(c_0_114,plain,
    ( p(ap(ap(c_2Ebool_2E_2F_5C,X1),X2))
    | ~ mem(X1,bool)
    | ~ mem(X2,bool)
    | ~ p(X2)
    | ~ p(X1) ),
    c_0_82,
    [final]).

cnf(c_0_115,plain,
    ( mem(ap(X1,X2),X3)
    | ~ mem(X2,X4)
    | ~ mem(X1,arr(X4,X3)) ),
    c_0_83,
    [final]).

cnf(c_0_116,plain,
    ( mem(c_2Emin_2E_3D(X1),arr(X1,arr(X1,bool)))
    | ~ ne(X1) ),
    c_0_84,
    [final]).

cnf(c_0_117,plain,
    ( mem(c_2Ebool_2E_21(X1),arr(arr(X1,bool),bool))
    | ~ ne(X1) ),
    c_0_85,
    [final]).

cnf(c_0_118,plain,
    ( mem(c_2Ereal__topology_2Ebounded__def,arr(arr(ty_2Erealax_2Ereal,bool),bool)) ),
    c_0_86,
    [final]).

cnf(c_0_119,plain,
    ( mem(c_2Ebool_2E_2F_5C,arr(bool,arr(bool,bool))) ),
    c_0_87,
    [final]).

cnf(c_0_120,plain,
    ( ~ mem(X1,bool)
    | ~ p(X1)
    | ~ p(ap(c_2Ebool_2E_7E,X1)) ),
    c_0_88,
    [final]).

cnf(c_0_121,plain,
    ( ap(k(X1,X2),X3) = X2
    | ~ mem(X3,X1) ),
    c_0_89,
    [final]).

cnf(c_0_122,plain,
    ( X1 = X2
    | ~ mem(X1,bool)
    | ~ mem(X2,bool)
    | ~ p(X2)
    | ~ p(X1) ),
    c_0_90,
    [final]).

cnf(c_0_123,plain,
    ( p(ap(c_2Ebool_2E_7E,X1))
    | p(X1)
    | ~ mem(X1,bool) ),
    c_0_91,
    [final]).

cnf(c_0_124,plain,
    ( X1 = X2
    | p(X2)
    | p(X1)
    | ~ mem(X1,bool)
    | ~ mem(X2,bool) ),
    c_0_92,
    [final]).

cnf(c_0_125,plain,
    ( mem(c_2Epred__set_2EEMPTY(X1),arr(X1,bool))
    | ~ ne(X1) ),
    c_0_93,
    [final]).

cnf(c_0_126,plain,
    ( ne(arr(X1,X2))
    | ~ ne(X2)
    | ~ ne(X1) ),
    c_0_94,
    [final]).

cnf(c_0_127,plain,
    ( ap(i(X1),X2) = X2
    | ~ mem(X2,X1) ),
    c_0_95,
    [final]).

cnf(c_0_128,plain,
    ( mem(c_2Ebool_2E_7E,arr(bool,bool)) ),
    c_0_96,
    [final]).

cnf(c_0_129,plain,
    ( mem(c_2Ebool_2ET,bool) ),
    c_0_97,
    [final]).

cnf(c_0_130,plain,
    ( mem(c_2Ebool_2EF,bool) ),
    c_0_98,
    [final]).

cnf(c_0_131,plain,
    ( ~ p(c_2Ebool_2EF) ),
    c_0_99,
    [final]).

cnf(c_0_132,plain,
    ( ne(ty_2Erealax_2Ereal) ),
    c_0_100,
    [final]).

cnf(c_0_133,plain,
    ( p(c_2Ebool_2ET) ),
    c_0_101,
    [final]).

cnf(c_0_134,plain,
    ( ne(ind) ),
    c_0_102,
    [final]).

cnf(c_0_135,plain,
    ( ne(bool) ),
    c_0_103,
    [final]).

% End CNF derivation
% Generating one_way clauses for all literals in the CNF.
cnf(c_0_104_0,axiom,
    ( X1 = X4
    | ~ mem(X1,arr(X2,X3))
    | ~ mem(X4,arr(X2,X3))
    | ap(X1,sk1_esk1_4(X2,X3,X1,X4)) != ap(X4,sk1_esk1_4(X2,X3,X1,X4)) ),
    inference(literals_permutation,[status(thm)],[c_0_104])).

cnf(c_0_104_1,axiom,
    ( ~ mem(X1,arr(X2,X3))
    | X1 = X4
    | ~ mem(X4,arr(X2,X3))
    | ap(X1,sk1_esk1_4(X2,X3,X1,X4)) != ap(X4,sk1_esk1_4(X2,X3,X1,X4)) ),
    inference(literals_permutation,[status(thm)],[c_0_104])).

cnf(c_0_104_2,axiom,
    ( ~ mem(X4,arr(X2,X3))
    | ~ mem(X1,arr(X2,X3))
    | X1 = X4
    | ap(X1,sk1_esk1_4(X2,X3,X1,X4)) != ap(X4,sk1_esk1_4(X2,X3,X1,X4)) ),
    inference(literals_permutation,[status(thm)],[c_0_104])).

cnf(c_0_104_3,axiom,
    ( ap(X1,sk1_esk1_4(X2,X3,X1,X4)) != ap(X4,sk1_esk1_4(X2,X3,X1,X4))
    | ~ mem(X4,arr(X2,X3))
    | ~ mem(X1,arr(X2,X3))
    | X1 = X4 ),
    inference(literals_permutation,[status(thm)],[c_0_104])).

cnf(c_0_105_0,axiom,
    ( X1 = X4
    | mem(sk1_esk1_4(X2,X3,X1,X4),X2)
    | ~ mem(X1,arr(X2,X3))
    | ~ mem(X4,arr(X2,X3)) ),
    inference(literals_permutation,[status(thm)],[c_0_105])).

cnf(c_0_105_1,axiom,
    ( mem(sk1_esk1_4(X2,X3,X1,X4),X2)
    | X1 = X4
    | ~ mem(X1,arr(X2,X3))
    | ~ mem(X4,arr(X2,X3)) ),
    inference(literals_permutation,[status(thm)],[c_0_105])).

cnf(c_0_105_2,axiom,
    ( ~ mem(X1,arr(X2,X3))
    | mem(sk1_esk1_4(X2,X3,X1,X4),X2)
    | X1 = X4
    | ~ mem(X4,arr(X2,X3)) ),
    inference(literals_permutation,[status(thm)],[c_0_105])).

cnf(c_0_105_3,axiom,
    ( ~ mem(X4,arr(X2,X3))
    | ~ mem(X1,arr(X2,X3))
    | mem(sk1_esk1_4(X2,X3,X1,X4),X2)
    | X1 = X4 ),
    inference(literals_permutation,[status(thm)],[c_0_105])).

cnf(c_0_106_0,axiom,
    ( mem(c_2Epred__set_2EINSERT(X1),arr(X1,arr(arr(X1,bool),arr(X1,bool))))
    | ~ ne(X1) ),
    inference(literals_permutation,[status(thm)],[c_0_106])).

cnf(c_0_106_1,axiom,
    ( ~ ne(X1)
    | mem(c_2Epred__set_2EINSERT(X1),arr(X1,arr(arr(X1,bool),arr(X1,bool)))) ),
    inference(literals_permutation,[status(thm)],[c_0_106])).

cnf(c_0_107_0,axiom,
    ( p(ap(c_2Ebool_2E_21(X1),X2))
    | ~ ne(X1)
    | ~ mem(X2,arr(X1,bool))
    | ~ p(ap(X2,sk1_esk2_2(X1,X2))) ),
    inference(literals_permutation,[status(thm)],[c_0_107])).

cnf(c_0_107_1,axiom,
    ( ~ ne(X1)
    | p(ap(c_2Ebool_2E_21(X1),X2))
    | ~ mem(X2,arr(X1,bool))
    | ~ p(ap(X2,sk1_esk2_2(X1,X2))) ),
    inference(literals_permutation,[status(thm)],[c_0_107])).

cnf(c_0_107_2,axiom,
    ( ~ mem(X2,arr(X1,bool))
    | ~ ne(X1)
    | p(ap(c_2Ebool_2E_21(X1),X2))
    | ~ p(ap(X2,sk1_esk2_2(X1,X2))) ),
    inference(literals_permutation,[status(thm)],[c_0_107])).

cnf(c_0_107_3,axiom,
    ( ~ p(ap(X2,sk1_esk2_2(X1,X2)))
    | ~ mem(X2,arr(X1,bool))
    | ~ ne(X1)
    | p(ap(c_2Ebool_2E_21(X1),X2)) ),
    inference(literals_permutation,[status(thm)],[c_0_107])).

cnf(c_0_108_0,axiom,
    ( X2 = X3
    | ~ ne(X1)
    | ~ mem(X2,X1)
    | ~ mem(X3,X1)
    | ~ p(ap(ap(c_2Emin_2E_3D(X1),X2),X3)) ),
    inference(literals_permutation,[status(thm)],[c_0_108])).

cnf(c_0_108_1,axiom,
    ( ~ ne(X1)
    | X2 = X3
    | ~ mem(X2,X1)
    | ~ mem(X3,X1)
    | ~ p(ap(ap(c_2Emin_2E_3D(X1),X2),X3)) ),
    inference(literals_permutation,[status(thm)],[c_0_108])).

cnf(c_0_108_2,axiom,
    ( ~ mem(X2,X1)
    | ~ ne(X1)
    | X2 = X3
    | ~ mem(X3,X1)
    | ~ p(ap(ap(c_2Emin_2E_3D(X1),X2),X3)) ),
    inference(literals_permutation,[status(thm)],[c_0_108])).

cnf(c_0_108_3,axiom,
    ( ~ mem(X3,X1)
    | ~ mem(X2,X1)
    | ~ ne(X1)
    | X2 = X3
    | ~ p(ap(ap(c_2Emin_2E_3D(X1),X2),X3)) ),
    inference(literals_permutation,[status(thm)],[c_0_108])).

cnf(c_0_108_4,axiom,
    ( ~ p(ap(ap(c_2Emin_2E_3D(X1),X2),X3))
    | ~ mem(X3,X1)
    | ~ mem(X2,X1)
    | ~ ne(X1)
    | X2 = X3 ),
    inference(literals_permutation,[status(thm)],[c_0_108])).

cnf(c_0_109_0,axiom,
    ( p(ap(X2,X3))
    | ~ ne(X1)
    | ~ mem(X2,arr(X1,bool))
    | ~ mem(X3,X1)
    | ~ p(ap(c_2Ebool_2E_21(X1),X2)) ),
    inference(literals_permutation,[status(thm)],[c_0_109])).

cnf(c_0_109_1,axiom,
    ( ~ ne(X1)
    | p(ap(X2,X3))
    | ~ mem(X2,arr(X1,bool))
    | ~ mem(X3,X1)
    | ~ p(ap(c_2Ebool_2E_21(X1),X2)) ),
    inference(literals_permutation,[status(thm)],[c_0_109])).

cnf(c_0_109_2,axiom,
    ( ~ mem(X2,arr(X1,bool))
    | ~ ne(X1)
    | p(ap(X2,X3))
    | ~ mem(X3,X1)
    | ~ p(ap(c_2Ebool_2E_21(X1),X2)) ),
    inference(literals_permutation,[status(thm)],[c_0_109])).

cnf(c_0_109_3,axiom,
    ( ~ mem(X3,X1)
    | ~ mem(X2,arr(X1,bool))
    | ~ ne(X1)
    | p(ap(X2,X3))
    | ~ p(ap(c_2Ebool_2E_21(X1),X2)) ),
    inference(literals_permutation,[status(thm)],[c_0_109])).

cnf(c_0_109_4,axiom,
    ( ~ p(ap(c_2Ebool_2E_21(X1),X2))
    | ~ mem(X3,X1)
    | ~ mem(X2,arr(X1,bool))
    | ~ ne(X1)
    | p(ap(X2,X3)) ),
    inference(literals_permutation,[status(thm)],[c_0_109])).

cnf(c_0_110_0,axiom,
    ( p(X1)
    | ~ mem(X1,bool)
    | ~ mem(X2,bool)
    | ~ p(ap(ap(c_2Ebool_2E_2F_5C,X1),X2)) ),
    inference(literals_permutation,[status(thm)],[c_0_110])).

cnf(c_0_110_1,axiom,
    ( ~ mem(X1,bool)
    | p(X1)
    | ~ mem(X2,bool)
    | ~ p(ap(ap(c_2Ebool_2E_2F_5C,X1),X2)) ),
    inference(literals_permutation,[status(thm)],[c_0_110])).

cnf(c_0_110_2,axiom,
    ( ~ mem(X2,bool)
    | ~ mem(X1,bool)
    | p(X1)
    | ~ p(ap(ap(c_2Ebool_2E_2F_5C,X1),X2)) ),
    inference(literals_permutation,[status(thm)],[c_0_110])).

cnf(c_0_110_3,axiom,
    ( ~ p(ap(ap(c_2Ebool_2E_2F_5C,X1),X2))
    | ~ mem(X2,bool)
    | ~ mem(X1,bool)
    | p(X1) ),
    inference(literals_permutation,[status(thm)],[c_0_110])).

cnf(c_0_111_0,axiom,
    ( p(X2)
    | ~ mem(X1,bool)
    | ~ mem(X2,bool)
    | ~ p(ap(ap(c_2Ebool_2E_2F_5C,X1),X2)) ),
    inference(literals_permutation,[status(thm)],[c_0_111])).

cnf(c_0_111_1,axiom,
    ( ~ mem(X1,bool)
    | p(X2)
    | ~ mem(X2,bool)
    | ~ p(ap(ap(c_2Ebool_2E_2F_5C,X1),X2)) ),
    inference(literals_permutation,[status(thm)],[c_0_111])).

cnf(c_0_111_2,axiom,
    ( ~ mem(X2,bool)
    | ~ mem(X1,bool)
    | p(X2)
    | ~ p(ap(ap(c_2Ebool_2E_2F_5C,X1),X2)) ),
    inference(literals_permutation,[status(thm)],[c_0_111])).

cnf(c_0_111_3,axiom,
    ( ~ p(ap(ap(c_2Ebool_2E_2F_5C,X1),X2))
    | ~ mem(X2,bool)
    | ~ mem(X1,bool)
    | p(X2) ),
    inference(literals_permutation,[status(thm)],[c_0_111])).

cnf(c_0_112_0,axiom,
    ( p(ap(ap(c_2Emin_2E_3D(X1),X2),X3))
    | ~ ne(X1)
    | ~ mem(X2,X1)
    | ~ mem(X3,X1)
    | X2 != X3 ),
    inference(literals_permutation,[status(thm)],[c_0_112])).

cnf(c_0_112_1,axiom,
    ( ~ ne(X1)
    | p(ap(ap(c_2Emin_2E_3D(X1),X2),X3))
    | ~ mem(X2,X1)
    | ~ mem(X3,X1)
    | X2 != X3 ),
    inference(literals_permutation,[status(thm)],[c_0_112])).

cnf(c_0_112_2,axiom,
    ( ~ mem(X2,X1)
    | ~ ne(X1)
    | p(ap(ap(c_2Emin_2E_3D(X1),X2),X3))
    | ~ mem(X3,X1)
    | X2 != X3 ),
    inference(literals_permutation,[status(thm)],[c_0_112])).

cnf(c_0_112_3,axiom,
    ( ~ mem(X3,X1)
    | ~ mem(X2,X1)
    | ~ ne(X1)
    | p(ap(ap(c_2Emin_2E_3D(X1),X2),X3))
    | X2 != X3 ),
    inference(literals_permutation,[status(thm)],[c_0_112])).

cnf(c_0_112_4,axiom,
    ( X2 != X3
    | ~ mem(X3,X1)
    | ~ mem(X2,X1)
    | ~ ne(X1)
    | p(ap(ap(c_2Emin_2E_3D(X1),X2),X3)) ),
    inference(literals_permutation,[status(thm)],[c_0_112])).

cnf(c_0_113_0,axiom,
    ( p(ap(c_2Ebool_2E_21(X1),X2))
    | mem(sk1_esk2_2(X1,X2),X1)
    | ~ ne(X1)
    | ~ mem(X2,arr(X1,bool)) ),
    inference(literals_permutation,[status(thm)],[c_0_113])).

cnf(c_0_113_1,axiom,
    ( mem(sk1_esk2_2(X1,X2),X1)
    | p(ap(c_2Ebool_2E_21(X1),X2))
    | ~ ne(X1)
    | ~ mem(X2,arr(X1,bool)) ),
    inference(literals_permutation,[status(thm)],[c_0_113])).

cnf(c_0_113_2,axiom,
    ( ~ ne(X1)
    | mem(sk1_esk2_2(X1,X2),X1)
    | p(ap(c_2Ebool_2E_21(X1),X2))
    | ~ mem(X2,arr(X1,bool)) ),
    inference(literals_permutation,[status(thm)],[c_0_113])).

cnf(c_0_113_3,axiom,
    ( ~ mem(X2,arr(X1,bool))
    | ~ ne(X1)
    | mem(sk1_esk2_2(X1,X2),X1)
    | p(ap(c_2Ebool_2E_21(X1),X2)) ),
    inference(literals_permutation,[status(thm)],[c_0_113])).

cnf(c_0_114_0,axiom,
    ( p(ap(ap(c_2Ebool_2E_2F_5C,X1),X2))
    | ~ mem(X1,bool)
    | ~ mem(X2,bool)
    | ~ p(X2)
    | ~ p(X1) ),
    inference(literals_permutation,[status(thm)],[c_0_114])).

cnf(c_0_114_1,axiom,
    ( ~ mem(X1,bool)
    | p(ap(ap(c_2Ebool_2E_2F_5C,X1),X2))
    | ~ mem(X2,bool)
    | ~ p(X2)
    | ~ p(X1) ),
    inference(literals_permutation,[status(thm)],[c_0_114])).

cnf(c_0_114_2,axiom,
    ( ~ mem(X2,bool)
    | ~ mem(X1,bool)
    | p(ap(ap(c_2Ebool_2E_2F_5C,X1),X2))
    | ~ p(X2)
    | ~ p(X1) ),
    inference(literals_permutation,[status(thm)],[c_0_114])).

cnf(c_0_114_3,axiom,
    ( ~ p(X2)
    | ~ mem(X2,bool)
    | ~ mem(X1,bool)
    | p(ap(ap(c_2Ebool_2E_2F_5C,X1),X2))
    | ~ p(X1) ),
    inference(literals_permutation,[status(thm)],[c_0_114])).

cnf(c_0_114_4,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ mem(X2,bool)
    | ~ mem(X1,bool)
    | p(ap(ap(c_2Ebool_2E_2F_5C,X1),X2)) ),
    inference(literals_permutation,[status(thm)],[c_0_114])).

cnf(c_0_115_0,axiom,
    ( mem(ap(X1,X2),X3)
    | ~ mem(X2,X4)
    | ~ mem(X1,arr(X4,X3)) ),
    inference(literals_permutation,[status(thm)],[c_0_115])).

cnf(c_0_115_1,axiom,
    ( ~ mem(X2,X4)
    | mem(ap(X1,X2),X3)
    | ~ mem(X1,arr(X4,X3)) ),
    inference(literals_permutation,[status(thm)],[c_0_115])).

cnf(c_0_115_2,axiom,
    ( ~ mem(X1,arr(X4,X3))
    | ~ mem(X2,X4)
    | mem(ap(X1,X2),X3) ),
    inference(literals_permutation,[status(thm)],[c_0_115])).

cnf(c_0_116_0,axiom,
    ( mem(c_2Emin_2E_3D(X1),arr(X1,arr(X1,bool)))
    | ~ ne(X1) ),
    inference(literals_permutation,[status(thm)],[c_0_116])).

cnf(c_0_116_1,axiom,
    ( ~ ne(X1)
    | mem(c_2Emin_2E_3D(X1),arr(X1,arr(X1,bool))) ),
    inference(literals_permutation,[status(thm)],[c_0_116])).

cnf(c_0_117_0,axiom,
    ( mem(c_2Ebool_2E_21(X1),arr(arr(X1,bool),bool))
    | ~ ne(X1) ),
    inference(literals_permutation,[status(thm)],[c_0_117])).

cnf(c_0_117_1,axiom,
    ( ~ ne(X1)
    | mem(c_2Ebool_2E_21(X1),arr(arr(X1,bool),bool)) ),
    inference(literals_permutation,[status(thm)],[c_0_117])).

cnf(c_0_120_0,axiom,
    ( ~ mem(X1,bool)
    | ~ p(X1)
    | ~ p(ap(c_2Ebool_2E_7E,X1)) ),
    inference(literals_permutation,[status(thm)],[c_0_120])).

cnf(c_0_120_1,axiom,
    ( ~ p(X1)
    | ~ mem(X1,bool)
    | ~ p(ap(c_2Ebool_2E_7E,X1)) ),
    inference(literals_permutation,[status(thm)],[c_0_120])).

cnf(c_0_120_2,axiom,
    ( ~ p(ap(c_2Ebool_2E_7E,X1))
    | ~ p(X1)
    | ~ mem(X1,bool) ),
    inference(literals_permutation,[status(thm)],[c_0_120])).

cnf(c_0_121_0,axiom,
    ( ap(k(X1,X2),X3) = X2
    | ~ mem(X3,X1) ),
    inference(literals_permutation,[status(thm)],[c_0_121])).

cnf(c_0_121_1,axiom,
    ( ~ mem(X3,X1)
    | ap(k(X1,X2),X3) = X2 ),
    inference(literals_permutation,[status(thm)],[c_0_121])).

cnf(c_0_122_0,axiom,
    ( X1 = X2
    | ~ mem(X1,bool)
    | ~ mem(X2,bool)
    | ~ p(X2)
    | ~ p(X1) ),
    inference(literals_permutation,[status(thm)],[c_0_122])).

cnf(c_0_122_1,axiom,
    ( ~ mem(X1,bool)
    | X1 = X2
    | ~ mem(X2,bool)
    | ~ p(X2)
    | ~ p(X1) ),
    inference(literals_permutation,[status(thm)],[c_0_122])).

cnf(c_0_122_2,axiom,
    ( ~ mem(X2,bool)
    | ~ mem(X1,bool)
    | X1 = X2
    | ~ p(X2)
    | ~ p(X1) ),
    inference(literals_permutation,[status(thm)],[c_0_122])).

cnf(c_0_122_3,axiom,
    ( ~ p(X2)
    | ~ mem(X2,bool)
    | ~ mem(X1,bool)
    | X1 = X2
    | ~ p(X1) ),
    inference(literals_permutation,[status(thm)],[c_0_122])).

cnf(c_0_122_4,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ mem(X2,bool)
    | ~ mem(X1,bool)
    | X1 = X2 ),
    inference(literals_permutation,[status(thm)],[c_0_122])).

cnf(c_0_123_0,axiom,
    ( p(ap(c_2Ebool_2E_7E,X1))
    | p(X1)
    | ~ mem(X1,bool) ),
    inference(literals_permutation,[status(thm)],[c_0_123])).

cnf(c_0_123_1,axiom,
    ( p(X1)
    | p(ap(c_2Ebool_2E_7E,X1))
    | ~ mem(X1,bool) ),
    inference(literals_permutation,[status(thm)],[c_0_123])).

cnf(c_0_123_2,axiom,
    ( ~ mem(X1,bool)
    | p(X1)
    | p(ap(c_2Ebool_2E_7E,X1)) ),
    inference(literals_permutation,[status(thm)],[c_0_123])).

cnf(c_0_124_0,axiom,
    ( X1 = X2
    | p(X2)
    | p(X1)
    | ~ mem(X1,bool)
    | ~ mem(X2,bool) ),
    inference(literals_permutation,[status(thm)],[c_0_124])).

cnf(c_0_124_1,axiom,
    ( p(X2)
    | X1 = X2
    | p(X1)
    | ~ mem(X1,bool)
    | ~ mem(X2,bool) ),
    inference(literals_permutation,[status(thm)],[c_0_124])).

cnf(c_0_124_2,axiom,
    ( p(X1)
    | p(X2)
    | X1 = X2
    | ~ mem(X1,bool)
    | ~ mem(X2,bool) ),
    inference(literals_permutation,[status(thm)],[c_0_124])).

cnf(c_0_124_3,axiom,
    ( ~ mem(X1,bool)
    | p(X1)
    | p(X2)
    | X1 = X2
    | ~ mem(X2,bool) ),
    inference(literals_permutation,[status(thm)],[c_0_124])).

cnf(c_0_124_4,axiom,
    ( ~ mem(X2,bool)
    | ~ mem(X1,bool)
    | p(X1)
    | p(X2)
    | X1 = X2 ),
    inference(literals_permutation,[status(thm)],[c_0_124])).

cnf(c_0_125_0,axiom,
    ( mem(c_2Epred__set_2EEMPTY(X1),arr(X1,bool))
    | ~ ne(X1) ),
    inference(literals_permutation,[status(thm)],[c_0_125])).

cnf(c_0_125_1,axiom,
    ( ~ ne(X1)
    | mem(c_2Epred__set_2EEMPTY(X1),arr(X1,bool)) ),
    inference(literals_permutation,[status(thm)],[c_0_125])).

cnf(c_0_126_0,axiom,
    ( ne(arr(X1,X2))
    | ~ ne(X2)
    | ~ ne(X1) ),
    inference(literals_permutation,[status(thm)],[c_0_126])).

cnf(c_0_126_1,axiom,
    ( ~ ne(X2)
    | ne(arr(X1,X2))
    | ~ ne(X1) ),
    inference(literals_permutation,[status(thm)],[c_0_126])).

cnf(c_0_126_2,axiom,
    ( ~ ne(X1)
    | ~ ne(X2)
    | ne(arr(X1,X2)) ),
    inference(literals_permutation,[status(thm)],[c_0_126])).

cnf(c_0_127_0,axiom,
    ( ap(i(X1),X2) = X2
    | ~ mem(X2,X1) ),
    inference(literals_permutation,[status(thm)],[c_0_127])).

cnf(c_0_127_1,axiom,
    ( ~ mem(X2,X1)
    | ap(i(X1),X2) = X2 ),
    inference(literals_permutation,[status(thm)],[c_0_127])).

cnf(c_0_131_0,axiom,
    ( ~ p(c_2Ebool_2EF) ),
    inference(literals_permutation,[status(thm)],[c_0_131])).

cnf(c_0_118_0,axiom,
    ( mem(c_2Ereal__topology_2Ebounded__def,arr(arr(ty_2Erealax_2Ereal,bool),bool)) ),
    inference(literals_permutation,[status(thm)],[c_0_118])).

cnf(c_0_119_0,axiom,
    ( mem(c_2Ebool_2E_2F_5C,arr(bool,arr(bool,bool))) ),
    inference(literals_permutation,[status(thm)],[c_0_119])).

cnf(c_0_128_0,axiom,
    ( mem(c_2Ebool_2E_7E,arr(bool,bool)) ),
    inference(literals_permutation,[status(thm)],[c_0_128])).

cnf(c_0_129_0,axiom,
    ( mem(c_2Ebool_2ET,bool) ),
    inference(literals_permutation,[status(thm)],[c_0_129])).

cnf(c_0_130_0,axiom,
    ( mem(c_2Ebool_2EF,bool) ),
    inference(literals_permutation,[status(thm)],[c_0_130])).

cnf(c_0_132_0,axiom,
    ( ne(ty_2Erealax_2Ereal) ),
    inference(literals_permutation,[status(thm)],[c_0_132])).

cnf(c_0_133_0,axiom,
    ( p(c_2Ebool_2ET) ),
    inference(literals_permutation,[status(thm)],[c_0_133])).

cnf(c_0_134_0,axiom,
    ( ne(ind) ),
    inference(literals_permutation,[status(thm)],[c_0_134])).

cnf(c_0_135_0,axiom,
    ( ne(bool) ),
    inference(literals_permutation,[status(thm)],[c_0_135])).

% CNF of non-axioms
% Start CNF derivation
fof(c_0_0_001,lemma,(
    ! [X4] :
      ( mem(X4,ty_2Erealax_2Ereal)
     => ! [X5] :
          ( mem(X5,arr(ty_2Erealax_2Ereal,bool))
         => ( p(ap(c_2Ereal__topology_2Ebounded__def,ap(ap(c_2Epred__set_2EINSERT(ty_2Erealax_2Ereal),X4),X5)))
          <=> p(ap(c_2Ereal__topology_2Ebounded__def,X5)) ) ) ) ),
    file('<stdin>',conj_thm_2Ereal__topology_2EBOUNDED__INSERT)).

fof(c_0_1_002,conjecture,(
    ! [X6] :
      ( mem(X6,ty_2Erealax_2Ereal)
     => p(ap(c_2Ereal__topology_2Ebounded__def,ap(ap(c_2Epred__set_2EINSERT(ty_2Erealax_2Ereal),X6),c_2Epred__set_2EEMPTY(ty_2Erealax_2Ereal)))) ) ),
    file('<stdin>',conj_thm_2Ereal__topology_2EBOUNDED__SING)).

fof(c_0_2_003,lemma,(
    ! [X1] :
      ( ne(X1)
     => ! [X2] :
          ( mem(X2,bool)
         => ( ! [X3] :
                ( mem(X3,X1)
               => p(X2) )
          <=> p(X2) ) ) ) ),
    file('<stdin>',conj_thm_2Ebool_2EFORALL__SIMP)).

fof(c_0_3_004,lemma,(
    p(ap(c_2Ereal__topology_2Ebounded__def,c_2Epred__set_2EEMPTY(ty_2Erealax_2Ereal))) ),
    file('<stdin>',conj_thm_2Ereal__topology_2EBOUNDED__EMPTY)).

fof(c_0_4_005,lemma,(
    ! [X2] :
      ( mem(X2,bool)
     => ( ( ( $true
          <=> p(X2) )
        <=> p(X2) )
        & ( ( p(X2)
          <=> $true )
        <=> p(X2) )
        & ( ( ~ $true
          <=> p(X2) )
        <=> ~ p(X2) )
        & ( ( p(X2)
          <=> ~ $true )
        <=> ~ p(X2) ) ) ) ),
    file('<stdin>',conj_thm_2Ebool_2EEQ__CLAUSES)).

fof(c_0_5_006,lemma,(
    $true ),
    file('<stdin>',conj_thm_2Ebool_2ETRUTH)).

fof(c_0_6_007,lemma,(
    ! [X4] :
      ( mem(X4,ty_2Erealax_2Ereal)
     => ! [X5] :
          ( mem(X5,arr(ty_2Erealax_2Ereal,bool))
         => ( p(ap(c_2Ereal__topology_2Ebounded__def,ap(ap(c_2Epred__set_2EINSERT(ty_2Erealax_2Ereal),X4),X5)))
          <=> p(ap(c_2Ereal__topology_2Ebounded__def,X5)) ) ) ) ),
    c_0_0).

fof(c_0_7_008,negated_conjecture,(
    ~ ! [X6] :
        ( mem(X6,ty_2Erealax_2Ereal)
       => p(ap(c_2Ereal__topology_2Ebounded__def,ap(ap(c_2Epred__set_2EINSERT(ty_2Erealax_2Ereal),X6),c_2Epred__set_2EEMPTY(ty_2Erealax_2Ereal)))) ) ),
    inference(assume_negation,[status(cth)],[c_0_1])).

fof(c_0_8_009,lemma,(
    ! [X1] :
      ( ne(X1)
     => ! [X2] :
          ( mem(X2,bool)
         => ( ! [X3] :
                ( mem(X3,X1)
               => p(X2) )
          <=> p(X2) ) ) ) ),
    c_0_2).

fof(c_0_9_010,lemma,(
    p(ap(c_2Ereal__topology_2Ebounded__def,c_2Epred__set_2EEMPTY(ty_2Erealax_2Ereal))) ),
    c_0_3).

fof(c_0_10_011,lemma,(
    ! [X2] : $true ),
    inference(fof_simplification,[status(thm)],[c_0_4])).

fof(c_0_11_012,lemma,(
    $true ),
    c_0_5).

fof(c_0_12_013,lemma,(
    ! [X6,X7] :
      ( ( ~ p(ap(c_2Ereal__topology_2Ebounded__def,ap(ap(c_2Epred__set_2EINSERT(ty_2Erealax_2Ereal),X6),X7)))
        | p(ap(c_2Ereal__topology_2Ebounded__def,X7))
        | ~ mem(X7,arr(ty_2Erealax_2Ereal,bool))
        | ~ mem(X6,ty_2Erealax_2Ereal) )
      & ( ~ p(ap(c_2Ereal__topology_2Ebounded__def,X7))
        | p(ap(c_2Ereal__topology_2Ebounded__def,ap(ap(c_2Epred__set_2EINSERT(ty_2Erealax_2Ereal),X6),X7)))
        | ~ mem(X7,arr(ty_2Erealax_2Ereal,bool))
        | ~ mem(X6,ty_2Erealax_2Ereal) ) ) ),
    inference(distribute,[status(thm)],[inference(shift_quantors,[status(thm)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_6])])])])).

fof(c_0_13_014,negated_conjecture,
    ( mem(esk2_0,ty_2Erealax_2Ereal)
    & ~ p(ap(c_2Ereal__topology_2Ebounded__def,ap(ap(c_2Epred__set_2EINSERT(ty_2Erealax_2Ereal),esk2_0),c_2Epred__set_2EEMPTY(ty_2Erealax_2Ereal)))) ),
    inference(skolemize,[status(esa)],[inference(variable_rename,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_7])])])).

fof(c_0_14_015,lemma,(
    ! [X4,X5,X7] :
      ( ( mem(esk1_2(X4,X5),X4)
        | p(X5)
        | ~ mem(X5,bool)
        | ~ ne(X4) )
      & ( ~ p(X5)
        | p(X5)
        | ~ mem(X5,bool)
        | ~ ne(X4) )
      & ( ~ p(X5)
        | ~ mem(X7,X4)
        | p(X5)
        | ~ mem(X5,bool)
        | ~ ne(X4) ) ) ),
    inference(distribute,[status(thm)],[inference(shift_quantors,[status(thm)],[inference(skolemize,[status(esa)],[inference(variable_rename,[status(thm)],[inference(shift_quantors,[status(thm)],[inference(fof_nnf,[status(thm)],[c_0_8])])])])])])).

fof(c_0_15_016,lemma,(
    p(ap(c_2Ereal__topology_2Ebounded__def,c_2Epred__set_2EEMPTY(ty_2Erealax_2Ereal))) ),
    c_0_9).

fof(c_0_16_017,lemma,(
    ! [X3] : $true ),
    inference(variable_rename,[status(thm)],[c_0_10])).

fof(c_0_17_018,lemma,(
    $true ),
    c_0_11).

cnf(c_0_18_019,lemma,
    ( p(ap(c_2Ereal__topology_2Ebounded__def,X2))
    | ~ mem(X1,ty_2Erealax_2Ereal)
    | ~ mem(X2,arr(ty_2Erealax_2Ereal,bool))
    | ~ p(ap(c_2Ereal__topology_2Ebounded__def,ap(ap(c_2Epred__set_2EINSERT(ty_2Erealax_2Ereal),X1),X2))) ),
    inference(split_conjunct,[status(thm)],[c_0_12])).

cnf(c_0_19_020,negated_conjecture,
    ( ~ p(ap(c_2Ereal__topology_2Ebounded__def,ap(ap(c_2Epred__set_2EINSERT(ty_2Erealax_2Ereal),esk2_0),c_2Epred__set_2EEMPTY(ty_2Erealax_2Ereal)))) ),
    inference(split_conjunct,[status(thm)],[c_0_13])).

cnf(c_0_20_021,lemma,
    ( p(ap(c_2Ereal__topology_2Ebounded__def,ap(ap(c_2Epred__set_2EINSERT(ty_2Erealax_2Ereal),X1),X2)))
    | ~ mem(X1,ty_2Erealax_2Ereal)
    | ~ mem(X2,arr(ty_2Erealax_2Ereal,bool))
    | ~ p(ap(c_2Ereal__topology_2Ebounded__def,X2)) ),
    inference(split_conjunct,[status(thm)],[c_0_12])).

cnf(c_0_21_022,lemma,
    ( p(X2)
    | mem(esk1_2(X1,X2),X1)
    | ~ ne(X1)
    | ~ mem(X2,bool) ),
    inference(split_conjunct,[status(thm)],[c_0_14])).

cnf(c_0_22_023,lemma,
    ( p(X2)
    | ~ ne(X1)
    | ~ mem(X2,bool)
    | ~ mem(X3,X1)
    | ~ p(X2) ),
    inference(split_conjunct,[status(thm)],[c_0_14])).

cnf(c_0_23_024,lemma,
    ( p(X2)
    | ~ ne(X1)
    | ~ mem(X2,bool)
    | ~ p(X2) ),
    inference(split_conjunct,[status(thm)],[c_0_14])).

cnf(c_0_24_025,lemma,
    ( p(ap(c_2Ereal__topology_2Ebounded__def,c_2Epred__set_2EEMPTY(ty_2Erealax_2Ereal))) ),
    inference(split_conjunct,[status(thm)],[c_0_15])).

cnf(c_0_25_026,negated_conjecture,
    ( mem(esk2_0,ty_2Erealax_2Ereal) ),
    inference(split_conjunct,[status(thm)],[c_0_13])).

cnf(c_0_26_027,lemma,
    ( $true ),
    inference(split_conjunct,[status(thm)],[c_0_16])).

cnf(c_0_27_028,lemma,
    ( $true ),
    inference(split_conjunct,[status(thm)],[c_0_17])).

cnf(c_0_28_029,lemma,
    ( p(ap(c_2Ereal__topology_2Ebounded__def,X2))
    | ~ mem(X1,ty_2Erealax_2Ereal)
    | ~ mem(X2,arr(ty_2Erealax_2Ereal,bool))
    | ~ p(ap(c_2Ereal__topology_2Ebounded__def,ap(ap(c_2Epred__set_2EINSERT(ty_2Erealax_2Ereal),X1),X2))) ),
    c_0_18,
    [final]).

cnf(c_0_29_030,negated_conjecture,
    ( ~ p(ap(c_2Ereal__topology_2Ebounded__def,ap(ap(c_2Epred__set_2EINSERT(ty_2Erealax_2Ereal),esk2_0),c_2Epred__set_2EEMPTY(ty_2Erealax_2Ereal)))) ),
    c_0_19,
    [final]).

cnf(c_0_30_031,lemma,
    ( p(ap(c_2Ereal__topology_2Ebounded__def,ap(ap(c_2Epred__set_2EINSERT(ty_2Erealax_2Ereal),X1),X2)))
    | ~ mem(X1,ty_2Erealax_2Ereal)
    | ~ mem(X2,arr(ty_2Erealax_2Ereal,bool))
    | ~ p(ap(c_2Ereal__topology_2Ebounded__def,X2)) ),
    c_0_20,
    [final]).

cnf(c_0_31_032,lemma,
    ( p(X2)
    | mem(esk1_2(X1,X2),X1)
    | ~ ne(X1)
    | ~ mem(X2,bool) ),
    c_0_21,
    [final]).

cnf(c_0_32_033,lemma,
    ( p(X2)
    | ~ ne(X1)
    | ~ mem(X2,bool)
    | ~ mem(X3,X1)
    | ~ p(X2) ),
    c_0_22,
    [final]).

cnf(c_0_33_034,lemma,
    ( p(X2)
    | ~ ne(X1)
    | ~ mem(X2,bool)
    | ~ p(X2) ),
    c_0_23,
    [final]).

cnf(c_0_34_035,lemma,
    ( p(ap(c_2Ereal__topology_2Ebounded__def,c_2Epred__set_2EEMPTY(ty_2Erealax_2Ereal))) ),
    c_0_24,
    [final]).

cnf(c_0_35_036,negated_conjecture,
    ( mem(esk2_0,ty_2Erealax_2Ereal) ),
    c_0_25,
    [final]).

cnf(c_0_36_037,lemma,
    ( $true ),
    c_0_26,
    [final]).

cnf(c_0_37_038,lemma,
    ( $true ),
    c_0_27,
    [final]).

% End CNF derivation

%-------------------------------------------------------------
% Proof by iprover

cnf(c_89,plain,
    ( p(ap(c_2Ereal__topology_2Ebounded__def,ap(ap(c_2Epred__set_2EINSERT(ty_2Erealax_2Ereal),X0),X1)))
    | ~ p(ap(c_2Ereal__topology_2Ebounded__def,X1))
    | ~ mem(X0,ty_2Erealax_2Ereal)
    | ~ mem(X1,arr(ty_2Erealax_2Ereal,bool)) ),
    file('/export/starexec/sandbox2/tmp/iprover_modulo_4a895f.p',c_0_30)).

cnf(c_134,plain,
    ( p(ap(c_2Ereal__topology_2Ebounded__def,ap(ap(c_2Epred__set_2EINSERT(ty_2Erealax_2Ereal),X0),X1)))
    | ~ p(ap(c_2Ereal__topology_2Ebounded__def,X1))
    | ~ mem(X0,ty_2Erealax_2Ereal)
    | ~ mem(X1,arr(ty_2Erealax_2Ereal,bool)) ),
    inference(copy,[status(esa)],[c_89])).

cnf(c_157,plain,
    ( p(ap(c_2Ereal__topology_2Ebounded__def,ap(ap(c_2Epred__set_2EINSERT(ty_2Erealax_2Ereal),X0),X1)))
    | ~ p(ap(c_2Ereal__topology_2Ebounded__def,X1))
    | ~ mem(X0,ty_2Erealax_2Ereal)
    | ~ mem(X1,arr(ty_2Erealax_2Ereal,bool)) ),
    inference(copy,[status(esa)],[c_134])).

cnf(c_173,plain,
    ( p(ap(c_2Ereal__topology_2Ebounded__def,ap(ap(c_2Epred__set_2EINSERT(ty_2Erealax_2Ereal),X0),X1)))
    | ~ p(ap(c_2Ereal__topology_2Ebounded__def,X1))
    | ~ mem(X0,ty_2Erealax_2Ereal)
    | ~ mem(X1,arr(ty_2Erealax_2Ereal,bool)) ),
    inference(copy,[status(esa)],[c_157])).

cnf(c_176,plain,
    ( p(ap(c_2Ereal__topology_2Ebounded__def,ap(ap(c_2Epred__set_2EINSERT(ty_2Erealax_2Ereal),X0),X1)))
    | ~ p(ap(c_2Ereal__topology_2Ebounded__def,X1))
    | ~ mem(X0,ty_2Erealax_2Ereal)
    | ~ mem(X1,arr(ty_2Erealax_2Ereal,bool)) ),
    inference(copy,[status(esa)],[c_173])).

cnf(c_269,plain,
    ( p(ap(c_2Ereal__topology_2Ebounded__def,ap(ap(c_2Epred__set_2EINSERT(ty_2Erealax_2Ereal),X0),X1)))
    | ~ p(ap(c_2Ereal__topology_2Ebounded__def,X1))
    | ~ mem(X0,ty_2Erealax_2Ereal)
    | ~ mem(X1,arr(ty_2Erealax_2Ereal,bool)) ),
    inference(copy,[status(esa)],[c_176])).

cnf(c_50011,plain,
    ( p(ap(c_2Ereal__topology_2Ebounded__def,ap(ap(c_2Epred__set_2EINSERT(ty_2Erealax_2Ereal),sk2_esk2_0),X0)))
    | ~ p(ap(c_2Ereal__topology_2Ebounded__def,X0))
    | ~ mem(sk2_esk2_0,ty_2Erealax_2Ereal)
    | ~ mem(X0,arr(ty_2Erealax_2Ereal,bool)) ),
    inference(instantiation,[status(thm)],[c_269])).

cnf(c_50116,plain,
    ( p(ap(c_2Ereal__topology_2Ebounded__def,ap(ap(c_2Epred__set_2EINSERT(ty_2Erealax_2Ereal),sk2_esk2_0),c_2Epred__set_2EEMPTY(ty_2Erealax_2Ereal))))
    | ~ p(ap(c_2Ereal__topology_2Ebounded__def,c_2Epred__set_2EEMPTY(ty_2Erealax_2Ereal)))
    | ~ mem(c_2Epred__set_2EEMPTY(ty_2Erealax_2Ereal),arr(ty_2Erealax_2Ereal,bool))
    | ~ mem(sk2_esk2_0,ty_2Erealax_2Ereal) ),
    inference(instantiation,[status(thm)],[c_50011])).

cnf(c_16,plain,
    ( ~ ne(X0)
    | mem(c_2Epred__set_2EEMPTY(X0),arr(X0,bool)) ),
    file('/export/starexec/sandbox2/tmp/iprover_modulo_4a895f.p',c_0_125_0)).

cnf(c_196,plain,
    ( ~ ne(X0)
    | mem(c_2Epred__set_2EEMPTY(X0),arr(X0,bool)) ),
    inference(copy,[status(esa)],[c_16])).

cnf(c_50114,plain,
    ( ~ ne(ty_2Erealax_2Ereal)
    | mem(c_2Epred__set_2EEMPTY(ty_2Erealax_2Ereal),arr(ty_2Erealax_2Ereal,bool)) ),
    inference(instantiation,[status(thm)],[c_196])).

cnf(c_3,plain,
    ( ne(ty_2Erealax_2Ereal) ),
    file('/export/starexec/sandbox2/tmp/iprover_modulo_4a895f.p',c_0_132_0)).

cnf(c_94,plain,
    ( p(ap(c_2Ereal__topology_2Ebounded__def,c_2Epred__set_2EEMPTY(ty_2Erealax_2Ereal))) ),
    file('/export/starexec/sandbox2/tmp/iprover_modulo_4a895f.p',c_0_34)).

cnf(c_93,negated_conjecture,
    ( ~ p(ap(c_2Ereal__topology_2Ebounded__def,ap(ap(c_2Epred__set_2EINSERT(ty_2Erealax_2Ereal),sk2_esk2_0),c_2Epred__set_2EEMPTY(ty_2Erealax_2Ereal)))) ),
    file('/export/starexec/sandbox2/tmp/iprover_modulo_4a895f.p',c_0_29)).

cnf(c_95,negated_conjecture,
    ( mem(sk2_esk2_0,ty_2Erealax_2Ereal) ),
    file('/export/starexec/sandbox2/tmp/iprover_modulo_4a895f.p',c_0_35)).

cnf(contradiction,plain,
    ( $false ),
    inference(minisat,[status(thm)],[c_50116,c_50114,c_3,c_94,c_93,c_95])).

%------------------------------------------------------------------------------
