%------------------------------------------------------------------------------
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(app_2E2_type,type,(
    app_2E2: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ TB ) > TA > TB ) )).

thf(p_type,type,(
    p: tyop_2Emin_2Ebool > $o )).

thf(combin_i_2E0_type,type,(
    combin_i_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ TA @ TA ) )).

thf(combin_k_2E0_type,type,(
    combin_k_2E0: 
      !>[TA: $tType,TB: $tType] :
        ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) ) )).

thf(combin_s_2E0_type,type,(
    combin_s_2E0: 
      !>[TA: $tType,TB: $tType,TC: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) ) )).

thf(c_2Ebool_2E_21_2E0_type,type,(
    c_2Ebool_2E_21_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_21_2E1_type,type,(
    c_2Ebool_2E_21_2E1: 
      !>[TA: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) > tyop_2Emin_2Ebool ) )).

thf(c_2Ereal__topology_2E_2D_2D_3E_2E0_type,type,(
    c_2Ereal__topology_2E_2D_2D_3E_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal ) @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ ( tyop_2Ereal__topology_2Enet @ TA ) @ tyop_2Emin_2Ebool ) ) ) )).

thf(c_2Ereal__topology_2E_2D_2D_3E_2E3_type,type,(
    c_2Ereal__topology_2E_2D_2D_3E_2E3: 
      !>[TA: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal > ( tyop_2Ereal__topology_2Enet @ TA ) > tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_2F_5C_2E0_type,type,(
    c_2Ebool_2E_2F_5C_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Ebool_2E_2F_5C_2E2_type,type,(
    c_2Ebool_2E_2F_5C_2E2: tyop_2Emin_2Ebool > tyop_2Emin_2Ebool > tyop_2Emin_2Ebool )).

thf(c_2Emin_2E_3D_2E0_type,type,(
    c_2Emin_2E_3D_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Emin_2E_3D_2E2_type,type,(
    c_2Emin_2E_3D_2E2: 
      !>[TA: $tType] :
        ( TA > TA > tyop_2Emin_2Ebool ) )).

thf(c_2Emin_2E_3D_3D_3E_2E0_type,type,(
    c_2Emin_2E_3D_3D_3E_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Emin_2E_3D_3D_3E_2E2_type,type,(
    c_2Emin_2E_3D_3D_3E_2E2: tyop_2Emin_2Ebool > tyop_2Emin_2Ebool > tyop_2Emin_2Ebool )).

thf(c_2Ebool_2E_3F_2E0_type,type,(
    c_2Ebool_2E_3F_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_3F_2E1_type,type,(
    c_2Ebool_2E_3F_2E1: 
      !>[TA: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) > tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2EF_2E0_type,type,(
    c_2Ebool_2EF_2E0: tyop_2Emin_2Ebool )).

thf(c_2Ebool_2EIN_2E0_type,type,(
    c_2Ebool_2EIN_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Ebool_2EIN_2E2_type,type,(
    c_2Ebool_2EIN_2E2: 
      !>[TA: $tType] :
        ( TA > ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) > tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2ET_2E0_type,type,(
    c_2Ebool_2ET_2E0: tyop_2Emin_2Ebool )).

thf(c_2Epred__set_2EUNIV_2E0_type,type,(
    c_2Epred__set_2EUNIV_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_5C_2F_2E0_type,type,(
    c_2Ebool_2E_5C_2F_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Ebool_2E_5C_2F_2E2_type,type,(
    c_2Ebool_2E_5C_2F_2E2: tyop_2Emin_2Ebool > tyop_2Emin_2Ebool > tyop_2Emin_2Ebool )).

thf(c_2Ereal__topology_2Ecauchy_2E0_type,type,(
    c_2Ereal__topology_2Ecauchy_2E0: ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal ) @ tyop_2Emin_2Ebool ) )).

thf(c_2Ereal__topology_2Ecauchy_2E1_type,type,(
    c_2Ereal__topology_2Ecauchy_2E1: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal ) > tyop_2Emin_2Ebool )).

thf(c_2Ereal__topology_2Ecomplete_2E0_type,type,(
    c_2Ereal__topology_2Ecomplete_2E0: ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) )).

thf(c_2Ereal__topology_2Ecomplete_2E1_type,type,(
    c_2Ereal__topology_2Ecomplete_2E1: ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) > tyop_2Emin_2Ebool )).

thf(c_2Ereal__topology_2Esequentially_2E0_type,type,(
    c_2Ereal__topology_2Esequentially_2E0: ( tyop_2Ereal__topology_2Enet @ tyop_2Enum_2Enum ) )).

thf(c_2Ebool_2E_7E_2E0_type,type,(
    c_2Ebool_2E_7E_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_7E_2E1_type,type,(
    c_2Ebool_2E_7E_2E1: tyop_2Emin_2Ebool > tyop_2Emin_2Ebool )).

thf(41,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Emin_2E_3D_3D_3E_2E2 @ A @ B ) )
    <=> ( ( p @ A )
       => ( p @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(365,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Emin_2E_3D_3D_3E_2E2 @ A @ B ) )
       => ( ( p @ A )
         => ( p @ B ) ) )
      & ( ( ( p @ A )
         => ( p @ B ) )
       => ( p @ ( c_2Emin_2E_3D_3D_3E_2E2 @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).

thf(31,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( p @ C )
      <=> ( B = A ) )
    <=> ( ( ( p @ C )
          | ( p @ B )
          | ( p @ A ) )
        & ( ( p @ C )
          | ~ ( p @ A )
          | ~ ( p @ B ) )
        & ( ( p @ B )
          | ~ ( p @ A )
          | ~ ( p @ C ) )
        & ( ( p @ A )
          | ~ ( p @ B )
          | ~ ( p @ C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2Edc__eq)).

thf(234,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( ( ( p @ C )
           => ( B = A ) )
          & ( ( B = A )
           => ( p @ C ) ) )
       => ( ( ( p @ C )
            | ( p @ B )
            | ( p @ A ) )
          & ( ( p @ C )
            | ~ ( p @ A )
            | ~ ( p @ B ) )
          & ( ( p @ B )
            | ~ ( p @ A )
            | ~ ( p @ C ) )
          & ( ( p @ A )
            | ~ ( p @ B )
            | ~ ( p @ C ) ) ) )
      & ( ( ( ( p @ C )
            | ( p @ B )
            | ( p @ A ) )
          & ( ( p @ C )
            | ~ ( p @ A )
            | ~ ( p @ B ) )
          & ( ( p @ B )
            | ~ ( p @ A )
            | ~ ( p @ C ) )
          & ( ( p @ A )
            | ~ ( p @ B )
            | ~ ( p @ C ) ) )
       => ( ( ( p @ C )
           => ( B = A ) )
          & ( ( B = A )
           => ( p @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(13,axiom,(
    ~ ( p @ c_2Ebool_2EF_2E0 ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Enotfalse)).

thf(88,plain,(
    ~ ( p @ c_2Ebool_2EF_2E0 ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(44,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( p @ A )
     => ( ~ ( p @ A )
       => ( p @ c_2Ebool_2EF_2E0 ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV__IMP)).

thf(408,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( p @ A )
     => ( ~ ( p @ A )
       => ( p @ c_2Ebool_2EF_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).

thf(24,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_21_2E1 @ TA @ A ) )
    <=> ! [B: TA] :
          ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(202,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_21_2E1 @ TA @ A ) )
       => ! [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) )
      & ( ! [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) )
       => ( p @ ( c_2Ebool_2E_21_2E1 @ TA @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(19,axiom,(
    ! [A: tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Ereal__topology_2Enet @ tyop_2Enum_2Enum] :
      ( ( c_2Ereal__topology_2E_2D_2D_3E_2E3 @ tyop_2Enum_2Enum @ A @ B @ C )
      = ( app_2E2 @ ( tyop_2Ereal__topology_2Enet @ tyop_2Enum_2Enum ) @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ ( tyop_2Ereal__topology_2Enet @ tyop_2Enum_2Enum ) @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal ) @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ ( tyop_2Ereal__topology_2Enet @ tyop_2Enum_2Enum ) @ tyop_2Emin_2Ebool ) ) @ ( c_2Ereal__topology_2E_2D_2D_3E_2E0 @ tyop_2Enum_2Enum ) @ A ) @ B ) @ C ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq3_2Ec_2Ereal__topology_2E_2D_2D_3E_2E3_2Emono_2Etyop_2Enum_2Enum)).

thf(174,plain,(
    ! [A: tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Ereal__topology_2Enet @ tyop_2Enum_2Enum] :
      ( ( c_2Ereal__topology_2E_2D_2D_3E_2E3 @ tyop_2Enum_2Enum @ A @ B @ C )
      = ( app_2E2 @ ( tyop_2Ereal__topology_2Enet @ tyop_2Enum_2Enum ) @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ ( tyop_2Ereal__topology_2Enet @ tyop_2Enum_2Enum ) @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal ) @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ ( tyop_2Ereal__topology_2Enet @ tyop_2Enum_2Enum ) @ tyop_2Emin_2Ebool ) ) @ ( c_2Ereal__topology_2E_2D_2D_3E_2E0 @ tyop_2Enum_2Enum ) @ A ) @ B ) @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(1,conjecture,(
    ! [A: tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal] :
      ( ? [B: tyop_2Erealax_2Ereal] :
          ( p @ ( c_2Ereal__topology_2E_2D_2D_3E_2E3 @ tyop_2Enum_2Enum @ A @ B @ c_2Ereal__topology_2Esequentially_2E0 ) )
    <=> ( p @ ( c_2Ereal__topology_2Ecauchy_2E1 @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONVERGENT__EQ__CAUCHY)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal] :
        ( ? [B: tyop_2Erealax_2Ereal] :
            ( p @ ( c_2Ereal__topology_2E_2D_2D_3E_2E3 @ tyop_2Enum_2Enum @ A @ B @ c_2Ereal__topology_2Esequentially_2E0 ) )
      <=> ( p @ ( c_2Ereal__topology_2Ecauchy_2E1 @ A ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(52,plain,(
    ~ ! [A: tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal] :
        ( ( ? [B: tyop_2Erealax_2Ereal] :
              ( p @ ( c_2Ereal__topology_2E_2D_2D_3E_2E3 @ tyop_2Enum_2Enum @ A @ B @ c_2Ereal__topology_2Esequentially_2E0 ) )
         => ( p @ ( c_2Ereal__topology_2Ecauchy_2E1 @ A ) ) )
        & ( ( p @ ( c_2Ereal__topology_2Ecauchy_2E1 @ A ) )
         => ? [B: tyop_2Erealax_2Ereal] :
              ( p @ ( c_2Ereal__topology_2E_2D_2D_3E_2E3 @ tyop_2Enum_2Enum @ A @ B @ c_2Ereal__topology_2Esequentially_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(42,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( A = B )
    <=> ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( c_2Emin_2E_3D_2E0 @ TA ) @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Ec_2Emin_2E_3D_2E2_2Emono_2EA_27a)).

thf(372,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( A = B )
       => ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( c_2Emin_2E_3D_2E0 @ TA ) @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( c_2Emin_2E_3D_2E0 @ TA ) @ A ) @ B ) )
       => ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).

thf(35,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( p @ ( c_2Emin_2E_3D_2E2 @ TA @ A @ B ) )
    <=> ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(344,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( p @ ( c_2Emin_2E_3D_2E2 @ TA @ A @ B ) )
       => ( A = B ) )
      & ( ( A = B )
       => ( p @ ( c_2Emin_2E_3D_2E2 @ TA @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(46,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_2F_5C_2E2 @ A @ B ) )
    <=> ( ( p @ A )
        & ( p @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(416,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_2F_5C_2E2 @ A @ B ) )
       => ( ( p @ A )
          & ( p @ B ) ) )
      & ( ( ( p @ A )
          & ( p @ B ) )
       => ( p @ ( c_2Ebool_2E_2F_5C_2E2 @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[46])).

thf(30,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
        | ( p @ B ) )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_5C_2F_2E0 @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Ec_2Ebool_2E_5C_2F_2E2)).

thf(228,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
          | ( p @ B ) )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_5C_2F_2E0 @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_5C_2F_2E0 @ A ) @ B ) )
       => ( ( p @ A )
          | ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(28,axiom,
    ( ! [A: tyop_2Emin_2Ebool] :
        ( ~ ~ ( p @ A )
      <=> ( p @ A ) )
    & ( ~ ( p @ c_2Ebool_2ET_2E0 )
    <=> ( p @ c_2Ebool_2EF_2E0 ) )
    & ( ~ ( p @ c_2Ebool_2EF_2E0 )
    <=> ( p @ c_2Ebool_2ET_2E0 ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ENOT__CLAUSES)).

thf(216,plain,
    ( ( ~ ( p @ c_2Ebool_2ET_2E0 )
     => ( p @ c_2Ebool_2EF_2E0 ) )
    & ( ( p @ c_2Ebool_2EF_2E0 )
     => ~ ( p @ c_2Ebool_2ET_2E0 ) )
    & ( ~ ( p @ c_2Ebool_2EF_2E0 )
     => ( p @ c_2Ebool_2ET_2E0 ) )
    & ( ( p @ c_2Ebool_2ET_2E0 )
     => ~ ( p @ c_2Ebool_2EF_2E0 ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(37,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ~ ( p @ A )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ c_2Ebool_2E_7E_2E0 @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq1_2Ec_2Ebool_2E_7E_2E1)).

thf(353,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ~ ( p @ A )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ c_2Ebool_2E_7E_2E0 @ A ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ c_2Ebool_2E_7E_2E0 @ A ) )
       => ~ ( p @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Emin_2Efun @ TA @ TB,B: tyop_2Emin_2Efun @ TA @ TB] :
      ( ! [C: TA] :
          ( ( app_2E2 @ TA @ TB @ A @ C )
          = ( app_2E2 @ TA @ TB @ B @ C ) )
     => ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Eeq__ext)).

thf(61,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Emin_2Efun @ TA @ TB,B: tyop_2Emin_2Efun @ TA @ TB] :
      ( ! [C: TA] :
          ( ( app_2E2 @ TA @ TB @ A @ C )
          = ( app_2E2 @ TA @ TB @ B @ C ) )
     => ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(51,axiom,(
    p @ ( c_2Ereal__topology_2Ecomplete_2E1 @ ( c_2Epred__set_2EUNIV_2E0 @ tyop_2Erealax_2Ereal ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECOMPLETE__UNIV)).

thf(439,plain,(
    p @ ( c_2Ereal__topology_2Ecomplete_2E1 @ ( c_2Epred__set_2EUNIV_2E0 @ tyop_2Erealax_2Ereal ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[51])).

thf(12,axiom,(
    ! [A: tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool] :
      ( ( c_2Ereal__topology_2Ecomplete_2E1 @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ c_2Ereal__topology_2Ecomplete_2E0 @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq1_2Ec_2Ereal__topology_2Ecomplete_2E1)).

thf(85,plain,(
    ! [A: tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool] :
      ( ( c_2Ereal__topology_2Ecomplete_2E1 @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ c_2Ereal__topology_2Ecomplete_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(23,axiom,(
    p @ c_2Ebool_2ET_2E0 ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(201,plain,(
    p @ c_2Ebool_2ET_2E0 ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(33,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ B )
      <=> ~ ( p @ A ) )
    <=> ( ( ( p @ B )
          | ( p @ A ) )
        & ( ~ ( p @ A )
          | ~ ( p @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2Edc__neg)).

thf(302,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( ( p @ B )
           => ~ ( p @ A ) )
          & ( ~ ( p @ A )
           => ( p @ B ) ) )
       => ( ( ( p @ B )
            | ( p @ A ) )
          & ( ~ ( p @ A )
            | ~ ( p @ B ) ) ) )
      & ( ( ( ( p @ B )
            | ( p @ A ) )
          & ( ~ ( p @ A )
            | ~ ( p @ B ) ) )
       => ( ( ( p @ B )
           => ~ ( p @ A ) )
          & ( ~ ( p @ A )
           => ( p @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(7,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( A = c_2Ebool_2ET_2E0 )
      | ( A = c_2Ebool_2EF_2E0 ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Ebool__cases__ax)).

thf(70,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( A = c_2Ebool_2ET_2E0 )
      | ( A = c_2Ebool_2EF_2E0 ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(17,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( p @ C )
      <=> ( ( p @ B )
          | ( p @ A ) ) )
    <=> ( ( ( p @ C )
          | ~ ( p @ B ) )
        & ( ( p @ C )
          | ~ ( p @ A ) )
        & ( ( p @ B )
          | ( p @ A )
          | ~ ( p @ C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2Edc__disj)).

thf(137,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( ( ( p @ C )
           => ( ( p @ B )
              | ( p @ A ) ) )
          & ( ( ( p @ B )
              | ( p @ A ) )
           => ( p @ C ) ) )
       => ( ( ( p @ C )
            | ~ ( p @ B ) )
          & ( ( p @ C )
            | ~ ( p @ A ) )
          & ( ( p @ B )
            | ( p @ A )
            | ~ ( p @ C ) ) ) )
      & ( ( ( ( p @ C )
            | ~ ( p @ B ) )
          & ( ( p @ C )
            | ~ ( p @ A ) )
          & ( ( p @ B )
            | ( p @ A )
            | ~ ( p @ C ) ) )
       => ( ( ( p @ C )
           => ( ( p @ B )
              | ( p @ A ) ) )
          & ( ( ( p @ B )
              | ( p @ A ) )
           => ( p @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(15,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ~ ( ( p @ B )
            | ( p @ A ) )
       => ( p @ c_2Ebool_2EF_2E0 ) )
    <=> ( ( ( p @ B )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ( ~ ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL2)).

thf(96,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ~ ( ( p @ B )
              | ( p @ A ) )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ( ( ( p @ B )
           => ( p @ c_2Ebool_2EF_2E0 ) )
         => ( ~ ( p @ A )
           => ( p @ c_2Ebool_2EF_2E0 ) ) ) )
      & ( ( ( ( p @ B )
           => ( p @ c_2Ebool_2EF_2E0 ) )
         => ( ~ ( p @ A )
           => ( p @ c_2Ebool_2EF_2E0 ) ) )
       => ( ~ ( ( p @ B )
              | ( p @ A ) )
         => ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(8,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ),B: tyop_2Emin_2Efun @ TA @ TB,C: TA] :
      ( ( app_2E2 @ TA @ TC @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) @ ( combin_s_2E0 @ TA @ TB @ TC ) @ A ) @ B ) @ C )
      = ( app_2E2 @ TB @ TC @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) @ A @ C ) @ ( app_2E2 @ TA @ TB @ B @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Es__thm)).

thf(73,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ),B: tyop_2Emin_2Efun @ TA @ TB,C: TA] :
      ( ( app_2E2 @ TA @ TC @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) @ ( combin_s_2E0 @ TA @ TB @ TC ) @ A ) @ B ) @ C )
      = ( app_2E2 @ TB @ TC @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) @ A @ C ) @ ( app_2E2 @ TA @ TB @ B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(39,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ~ ( ( p @ B )
         => ( p @ A ) )
     => ( p @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2Epth__ni1)).

thf(360,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ~ ( ( p @ B )
         => ( p @ A ) )
     => ( p @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).

thf(25,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
       => ( p @ B ) )
     => ( ( ( p @ B )
         => ( p @ A ) )
       => ( A = B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__ANTISYM__AX)).

thf(205,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
       => ( p @ B ) )
     => ( ( ( p @ B )
         => ( p @ A ) )
       => ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(48,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_5C_2F_2E2 @ A @ B ) )
    <=> ( ( p @ A )
        | ( p @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(425,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_5C_2F_2E2 @ A @ B ) )
       => ( ( p @ A )
          | ( p @ B ) ) )
      & ( ( ( p @ A )
          | ( p @ B ) )
       => ( p @ ( c_2Ebool_2E_5C_2F_2E2 @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[48])).

thf(32,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ c_2Ebool_2ET_2E0 )
         => ( p @ A ) )
      <=> ( p @ A ) )
      & ( ( ( p @ A )
         => ( p @ c_2Ebool_2ET_2E0 ) )
      <=> ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( ( p @ c_2Ebool_2EF_2E0 )
         => ( p @ A ) )
      <=> ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( ( p @ A )
         => ( p @ A ) )
      <=> ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) )
      <=> ~ ( p @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__CLAUSES)).

thf(279,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ c_2Ebool_2ET_2E0 )
         => ( p @ A ) )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( ( p @ c_2Ebool_2ET_2E0 )
         => ( p @ A ) ) )
      & ( ( ( p @ A )
         => ( p @ c_2Ebool_2ET_2E0 ) )
       => ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( p @ c_2Ebool_2ET_2E0 )
       => ( ( p @ A )
         => ( p @ c_2Ebool_2ET_2E0 ) ) )
      & ( ( ( p @ c_2Ebool_2EF_2E0 )
         => ( p @ A ) )
       => ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( p @ c_2Ebool_2ET_2E0 )
       => ( ( p @ c_2Ebool_2EF_2E0 )
         => ( p @ A ) ) )
      & ( p @ c_2Ebool_2ET_2E0 )
      & ( ( ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ~ ( p @ A ) )
      & ( ~ ( p @ A )
       => ( ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(5,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( app_2E2 @ TB @ TA @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) @ ( combin_k_2E0 @ TA @ TB ) @ A ) @ B )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Ek__thm)).

thf(64,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( app_2E2 @ TB @ TA @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) @ ( combin_k_2E0 @ TA @ TB ) @ A ) @ B )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(21,axiom,(
    ! [A: tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ereal__topology_2Ecomplete_2E1 @ A ) )
    <=> ! [B: tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal] :
          ( ( ! [C: tyop_2Enum_2Enum] :
                ( p @ ( c_2Ebool_2EIN_2E2 @ tyop_2Erealax_2Ereal @ ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal @ B @ C ) @ A ) )
            & ( p @ ( c_2Ereal__topology_2Ecauchy_2E1 @ B ) ) )
         => ? [C: tyop_2Erealax_2Ereal] :
              ( ( p @ ( c_2Ebool_2EIN_2E2 @ tyop_2Erealax_2Ereal @ C @ A ) )
              & ( p @ ( c_2Ereal__topology_2E_2D_2D_3E_2E3 @ tyop_2Enum_2Enum @ B @ C @ c_2Ereal__topology_2Esequentially_2E0 ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2Ecomplete)).

thf(180,plain,(
    ! [A: tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ereal__topology_2Ecomplete_2E1 @ A ) )
       => ! [B: tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal] :
            ( ( ! [C: tyop_2Enum_2Enum] :
                  ( p @ ( c_2Ebool_2EIN_2E2 @ tyop_2Erealax_2Ereal @ ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal @ B @ C ) @ A ) )
              & ( p @ ( c_2Ereal__topology_2Ecauchy_2E1 @ B ) ) )
           => ? [C: tyop_2Erealax_2Ereal] :
                ( ( p @ ( c_2Ebool_2EIN_2E2 @ tyop_2Erealax_2Ereal @ C @ A ) )
                & ( p @ ( c_2Ereal__topology_2E_2D_2D_3E_2E3 @ tyop_2Enum_2Enum @ B @ C @ c_2Ereal__topology_2Esequentially_2E0 ) ) ) ) )
      & ( ! [B: tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal] :
            ( ( ! [C: tyop_2Enum_2Enum] :
                  ( p @ ( c_2Ebool_2EIN_2E2 @ tyop_2Erealax_2Ereal @ ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal @ B @ C ) @ A ) )
              & ( p @ ( c_2Ereal__topology_2Ecauchy_2E1 @ B ) ) )
           => ? [C: tyop_2Erealax_2Ereal] :
                ( ( p @ ( c_2Ebool_2EIN_2E2 @ tyop_2Erealax_2Ereal @ C @ A ) )
                & ( p @ ( c_2Ereal__topology_2E_2D_2D_3E_2E3 @ tyop_2Enum_2Enum @ B @ C @ c_2Ereal__topology_2Esequentially_2E0 ) ) ) )
       => ( p @ ( c_2Ereal__topology_2Ecomplete_2E1 @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(36,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_3F_2E1 @ TA @ A ) )
    <=> ? [B: TA] :
          ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(350,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_3F_2E1 @ TA @ A ) )
       => ? [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) )
      & ( ? [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) )
       => ( p @ ( c_2Ebool_2E_3F_2E1 @ TA @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(29,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
      <=> ( p @ B ) )
     => ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Eboolext)).

thf(219,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
         => ( p @ B ) )
        & ( ( p @ B )
         => ( p @ A ) ) )
     => ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(40,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ~ ( ( p @ B )
         => ( p @ A ) )
     => ~ ( p @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2Epth__ni2)).

thf(362,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ~ ( ( p @ B )
         => ( p @ A ) )
     => ~ ( p @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).

thf(9,axiom,(
    ! [TA: $tType,A: TA,B: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2EIN_2E2 @ TA @ A @ B )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ ( c_2Ebool_2EIN_2E0 @ TA ) @ A ) @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Ec_2Ebool_2EIN_2E2_2Emono_2EA_27a)).

thf(76,plain,(
    ! [TA: $tType,A: TA,B: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2EIN_2E2 @ TA @ A @ B )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ ( c_2Ebool_2EIN_2E0 @ TA ) @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(50,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_7E_2E1 @ A ) )
    <=> ~ ( p @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(434,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_7E_2E1 @ A ) )
       => ~ ( p @ A ) )
      & ( ~ ( p @ A )
       => ( p @ ( c_2Ebool_2E_7E_2E1 @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[50])).

thf(18,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
        & ( p @ B ) )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_2F_5C_2E0 @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Ec_2Ebool_2E_2F_5C_2E2)).

thf(167,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
          & ( p @ B ) )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_2F_5C_2E0 @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_2F_5C_2E0 @ A ) @ B ) )
       => ( ( p @ A )
          & ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(6,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( app_2E2 @ TA @ TA @ ( combin_i_2E0 @ TA ) @ A )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Ei__thm)).

thf(67,plain,(
    ! [TA: $tType,A: TA] :
      ( ( app_2E2 @ TA @ TA @ ( combin_i_2E0 @ TA ) @ A )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(20,axiom,(
    ! [A: tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Ecauchy_2E1 @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal ) @ tyop_2Emin_2Ebool @ c_2Ereal__topology_2Ecauchy_2E0 @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq1_2Ec_2Ereal__topology_2Ecauchy_2E1)).

thf(177,plain,(
    ! [A: tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Ecauchy_2E1 @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal ) @ tyop_2Emin_2Ebool @ c_2Ereal__topology_2Ecauchy_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(3,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_3F_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E0 @ TA ) @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq1_2Ec_2Ebool_2E_3F_2E1_2Emono_2EA_27a)).

thf(58,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_3F_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E0 @ TA ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(43,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( p @ C )
      <=> ( ( p @ B )
         => ( p @ A ) ) )
    <=> ( ( ( p @ C )
          | ( p @ B ) )
        & ( ( p @ C )
          | ~ ( p @ A ) )
        & ( ~ ( p @ B )
          | ( p @ A )
          | ~ ( p @ C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2Edc__imp)).

thf(378,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( ( ( p @ C )
           => ( ( p @ B )
             => ( p @ A ) ) )
          & ( ( ( p @ B )
             => ( p @ A ) )
           => ( p @ C ) ) )
       => ( ( ( p @ C )
            | ( p @ B ) )
          & ( ( p @ C )
            | ~ ( p @ A ) )
          & ( ~ ( p @ B )
            | ( p @ A )
            | ~ ( p @ C ) ) ) )
      & ( ( ( ( p @ C )
            | ( p @ B ) )
          & ( ( p @ C )
            | ~ ( p @ A ) )
          & ( ~ ( p @ B )
            | ( p @ A )
            | ~ ( p @ C ) ) )
       => ( ( ( p @ C )
           => ( ( p @ B )
             => ( p @ A ) ) )
          & ( ( ( p @ B )
             => ( p @ A ) )
           => ( p @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).

thf(11,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2EIN_2E2 @ tyop_2Erealax_2Ereal @ A @ B )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ ( c_2Ebool_2EIN_2E0 @ tyop_2Erealax_2Ereal ) @ A ) @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Ec_2Ebool_2EIN_2E2_2Emono_2Etyop_2Erealax_2Ereal)).

thf(82,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2EIN_2E2 @ tyop_2Erealax_2Ereal @ A @ B )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ ( c_2Ebool_2EIN_2E0 @ tyop_2Erealax_2Ereal ) @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(26,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ~ ~ ( p @ A )
    <=> ( p @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2ENOT__NOT)).

thf(214,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(49,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Ebool] :
      ( ! [B: TA] :
          ( p @ A )
    <=> ( p @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).

thf(432,plain,(
    ! [TA: $tType] : $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[49])).

thf(45,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ~ ( p @ A )
       => ( p @ c_2Ebool_2EF_2E0 ) )
     => ( ( ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ( p @ c_2Ebool_2EF_2E0 ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV2)).

thf(410,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ~ ( p @ A )
       => ( p @ c_2Ebool_2EF_2E0 ) )
     => ( ( ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ( p @ c_2Ebool_2EF_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[45])).

thf(22,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ~ ( ~ ( p @ B )
            | ( p @ A ) )
       => ( p @ c_2Ebool_2EF_2E0 ) )
    <=> ( ( p @ B )
       => ( ~ ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL3)).

thf(190,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ~ ( ~ ( p @ B )
              | ( p @ A ) )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ( ( p @ B )
         => ( ~ ( p @ A )
           => ( p @ c_2Ebool_2EF_2E0 ) ) ) )
      & ( ( ( p @ B )
         => ( ~ ( p @ A )
           => ( p @ c_2Ebool_2EF_2E0 ) ) )
       => ( ~ ( ~ ( p @ B )
              | ( p @ A ) )
         => ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(47,axiom,(
    ! [A: tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( p @ ( c_2Ereal__topology_2E_2D_2D_3E_2E3 @ tyop_2Enum_2Enum @ A @ B @ c_2Ereal__topology_2Esequentially_2E0 ) )
     => ( p @ ( c_2Ereal__topology_2Ecauchy_2E1 @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONVERGENT__IMP__CAUCHY)).

thf(422,plain,(
    ! [A: tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( p @ ( c_2Ereal__topology_2E_2D_2D_3E_2E3 @ tyop_2Enum_2Enum @ A @ B @ c_2Ereal__topology_2Esequentially_2E0 ) )
     => ( p @ ( c_2Ereal__topology_2Ecauchy_2E1 @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[47])).

thf(38,axiom,(
    ! [TA: $tType,A: TA] :
      ( p @ ( c_2Ebool_2EIN_2E2 @ TA @ A @ ( c_2Epred__set_2EUNIV_2E0 @ TA ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__UNIV)).

thf(358,plain,(
    ! [TA: $tType,A: TA] :
      ( p @ ( c_2Ebool_2EIN_2E2 @ TA @ A @ ( c_2Epred__set_2EUNIV_2E0 @ TA ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(10,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_21_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E0 @ TA ) @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq1_2Ec_2Ebool_2E_21_2E1_2Emono_2EA_27a)).

thf(79,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_21_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E0 @ TA ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(14,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
       => ( p @ B ) )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Emin_2E_3D_3D_3E_2E0 @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Ec_2Emin_2E_3D_3D_3E_2E2)).

thf(90,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
         => ( p @ B ) )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Emin_2E_3D_3D_3E_2E0 @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Emin_2E_3D_3D_3E_2E0 @ A ) @ B ) )
       => ( ( p @ A )
         => ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(16,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( c_2Ebool_2ET_2E0 = A )
      <=> ( p @ A ) )
      & ( ( A = c_2Ebool_2ET_2E0 )
      <=> ( p @ A ) )
      & ( ( c_2Ebool_2EF_2E0 = A )
      <=> ~ ( p @ A ) )
      & ( ( A = c_2Ebool_2EF_2E0 )
      <=> ~ ( p @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(111,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( c_2Ebool_2ET_2E0 = A )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( c_2Ebool_2ET_2E0 = A ) )
      & ( ( A = c_2Ebool_2ET_2E0 )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( A = c_2Ebool_2ET_2E0 ) )
      & ( ( c_2Ebool_2EF_2E0 = A )
       => ~ ( p @ A ) )
      & ( ~ ( p @ A )
       => ( c_2Ebool_2EF_2E0 = A ) )
      & ( ( A = c_2Ebool_2EF_2E0 )
       => ~ ( p @ A ) )
      & ( ~ ( p @ A )
       => ( A = c_2Ebool_2EF_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(34,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ c_2Ebool_2ET_2E0 )
          & ( p @ A ) )
      <=> ( p @ A ) )
      & ( ( ( p @ A )
          & ( p @ c_2Ebool_2ET_2E0 ) )
      <=> ( p @ A ) )
      & ( ( ( p @ c_2Ebool_2EF_2E0 )
          & ( p @ A ) )
      <=> ( p @ c_2Ebool_2EF_2E0 ) )
      & ( ( ( p @ A )
          & ( p @ c_2Ebool_2EF_2E0 ) )
      <=> ( p @ c_2Ebool_2EF_2E0 ) )
      & ( ( ( p @ A )
          & ( p @ A ) )
      <=> ( p @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EAND__CLAUSES)).

thf(322,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ c_2Ebool_2ET_2E0 )
          & ( p @ A ) )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( ( p @ c_2Ebool_2ET_2E0 )
          & ( p @ A ) ) )
      & ( ( ( p @ A )
          & ( p @ c_2Ebool_2ET_2E0 ) )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( ( p @ A )
          & ( p @ c_2Ebool_2ET_2E0 ) ) )
      & ( ( ( p @ c_2Ebool_2EF_2E0 )
          & ( p @ A ) )
       => ( p @ c_2Ebool_2EF_2E0 ) )
      & ( ( p @ c_2Ebool_2EF_2E0 )
       => ( ( p @ c_2Ebool_2EF_2E0 )
          & ( p @ A ) ) )
      & ( ( ( p @ A )
          & ( p @ c_2Ebool_2EF_2E0 ) )
       => ( p @ c_2Ebool_2EF_2E0 ) )
      & ( ( p @ c_2Ebool_2EF_2E0 )
       => ( ( p @ A )
          & ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(27,axiom,(
    p @ c_2Ebool_2ET_2E0 ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Etruth)).

thf(215,plain,(
    p @ c_2Ebool_2ET_2E0 ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(442,plain,(
    $false ),
    inference(cvc4,[status(thm)],[365,234,88,408,202,174,52,372,344,416,228,216,353,61,439,85,201,302,70,137,96,73,360,205,425,279,64,180,350,219,362,76,434,167,67,177,58,378,82,214,432,410,190,422,358,79,90,111,322,215])).
%------------------------------------------------------------------------------
