%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:44:55 EDT 2019

% Result     : Theorem 5.97s
% Output     : CNFRefutation 6.09s
% Verified   : 
% Statistics : Number of formulae       :   15 (  15 expanded)
%              Number of leaves         :   10 (  10 expanded)
%              Depth                    :    3
%              Number of atoms          :   45 (  45 expanded)
%              Number of equality atoms :    2 (   2 expanded)
%              Maximal formula depth    :    7 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Ereal__topology_2EClosed_type,type,(
    c_2Ereal__topology_2EClosed: ( tyop_2Erealax_2Ereal > $o ) > $o )).

thf(c_2Epred__set_2EEMPTY_type,type,(
    c_2Epred__set_2EEMPTY: 
      !>[TA: $tType] :
        ( TA > $o ) )).

thf(c_2Epred__set_2EINSERT_type,type,(
    c_2Epred__set_2EINSERT: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > TA > $o ) )).

thf(c_2Ereal__topology_2Ebounded__def_type,type,(
    c_2Ereal__topology_2Ebounded__def: ( tyop_2Erealax_2Ereal > $o ) > $o )).

thf(c_2Ereal__topology_2Ecompact_type,type,(
    c_2Ereal__topology_2Ecompact: ( tyop_2Erealax_2Ereal > $o ) > $o )).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( c_2Ereal__topology_2EClosed @ ( c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ A @ ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECLOSED__SING)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal] :
        ( c_2Ereal__topology_2EClosed @ ( c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ A @ ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(5,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal] :
        ( c_2Ereal__topology_2EClosed @ ( c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ A @ ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( c_2Ereal__topology_2Ecompact @ ( c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ A @ ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECOMPACT__SING)).

thf(7,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( c_2Ereal__topology_2Ecompact @ ( c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ A @ ( c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Ecompact @ A )
      = ( ( c_2Ereal__topology_2Ebounded__def @ A )
        & ( c_2Ereal__topology_2EClosed @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECOMPACT__EQ__BOUNDED__CLOSED)).

thf(9,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Ecompact @ A )
      = ( ( c_2Ereal__topology_2Ebounded__def @ A )
        & ( c_2Ereal__topology_2EClosed @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(16,plain,(
    $false ),
    inference(iprover,[status(thm)],[5,7,9])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.03/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.13/0.13  % CPULimit   : 300
% 0.13/0.13  % DateTime   : Wed Jul 31 13:22:14 EDT 2019
% 0.13/0.13  % CPUTime    : 
% 3.48/1.38  % [INFO] 	 Running in sequential loop mode. 
% 4.19/1.55  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.50/1.63  % [INFO] 	 iprover registered as external prover. 
% 4.50/1.63  % [INFO] 	 e registered as external prover. 
% 4.50/1.64  % [INFO] 	 cvc4 registered as external prover. 
% 4.50/1.64  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.75/1.68  % [INFO] 	 Found a conjecture and 28 axioms. Running axiom selection ... 
% 4.75/1.72  % [INFO] 	 Axiom selection finished. Selected 2 axioms (removed 26 axioms). 
% 4.75/1.73  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.97/2.10  % [INFO] 	 Killing All external provers ... 
% 5.97/2.10  % Time passed: 1825ms
% 5.97/2.10  % Effective reasoning time: 716ms
% 5.97/2.10  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 5.97/2.10  % Axioms used in derivation (2): thm_2Ereal__topology_2ECOMPACT__SING, thm_2Ereal__topology_2ECOMPACT__EQ__BOUNDED__CLOSED
% 5.97/2.10  % No. of inferences in proof: 8
% 5.97/2.10  % No. of processed clauses: 1
% 5.97/2.10  % No. of generated clauses: 0
% 5.97/2.10  % No. of forward subsumed clauses: 0
% 5.97/2.10  % No. of backward subsumed clauses: 0
% 5.97/2.10  % No. of ground rewrite rules in store: 1
% 5.97/2.10  % No. of non-ground rewrite rules in store: 0
% 5.97/2.10  % No. of positive (non-rewrite) units in store: 0
% 5.97/2.10  % No. of negative (non-rewrite) units in store: 0
% 5.97/2.10  % No. of choice functions detected: 0
% 5.97/2.10  % No. of choice instantiations: 0
% 5.97/2.10  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 1825 ms resp. 716 ms w/o parsing
% 6.09/2.12  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.09/2.12  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.09/2.12  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 6.09/2.12  thf(c_2Ereal__topology_2EClosed_type, type, c_2Ereal__topology_2EClosed: ((tyop_2Erealax_2Ereal > $o) > $o)).
% 6.09/2.12  thf(c_2Epred__set_2EEMPTY_type, type, c_2Epred__set_2EEMPTY: !>[TA: $tType]: (TA > $o)).
% 6.09/2.12  thf(c_2Epred__set_2EINSERT_type, type, c_2Epred__set_2EINSERT: !>[TA: $tType]: (TA > ((TA > $o) > (TA > $o)))).
% 6.09/2.12  thf(c_2Ereal__topology_2Ebounded__def_type, type, c_2Ereal__topology_2Ebounded__def: ((tyop_2Erealax_2Ereal > $o) > $o)).
% 6.09/2.12  thf(c_2Ereal__topology_2Ecompact_type, type, c_2Ereal__topology_2Ecompact: ((tyop_2Erealax_2Ereal > $o) > $o)).
% 6.09/2.12  thf(1,conjecture,((! [A:tyop_2Erealax_2Ereal]: (c_2Ereal__topology_2EClosed @ (c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ A @ (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECLOSED__SING)).
% 6.09/2.12  thf(2,negated_conjecture,((~ (! [A:tyop_2Erealax_2Ereal]: (c_2Ereal__topology_2EClosed @ (c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ A @ (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal)))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.09/2.12  thf(5,plain,((~ (! [A:tyop_2Erealax_2Ereal]: (c_2Ereal__topology_2EClosed @ (c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ A @ (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.09/2.12  thf(3,axiom,((! [A:tyop_2Erealax_2Ereal]: (c_2Ereal__topology_2Ecompact @ (c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ A @ (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECOMPACT__SING)).
% 6.09/2.12  thf(7,plain,((! [A:tyop_2Erealax_2Ereal]: (c_2Ereal__topology_2Ecompact @ (c_2Epred__set_2EINSERT @ tyop_2Erealax_2Ereal @ A @ (c_2Epred__set_2EEMPTY @ tyop_2Erealax_2Ereal))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.09/2.12  thf(4,axiom,((! [A:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Ecompact @ A) = ((c_2Ereal__topology_2Ebounded__def @ A) & (c_2Ereal__topology_2EClosed @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECOMPACT__EQ__BOUNDED__CLOSED)).
% 6.09/2.12  thf(9,plain,((! [A:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Ecompact @ (A)) = ((c_2Ereal__topology_2Ebounded__def @ (A)) & (c_2Ereal__topology_2EClosed @ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.09/2.12  thf(16,plain,($false),inference(iprover,[status(thm)],[5,7,9])).
% 6.09/2.12  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.09/2.12  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
