%------------------------------------------------------------------------------
thf(del_type,type,(
    del: $tType )).

thf(bool_type,type,(
    bool: del )).

thf(arr_type,type,(
    arr: del > del > del )).

thf(mem_type,type,(
    mem: $i > del > $o )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(lam_type,type,(
    lam: del > ( $i > $i ) > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(inj__o_type,type,(
    inj__o: $o > $i )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $i )).

thf(fo__c_2Ebool_2ET_type,type,(
    fo__c_2Ebool_2ET: $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: del > $i )).

thf(ty_2Erealax_2Ereal_type,type,(
    ty_2Erealax_2Ereal: del )).

thf(tp__ty_2Erealax_2Ereal_type,type,(
    tp__ty_2Erealax_2Ereal: $tType )).

thf(inj__ty_2Erealax_2Ereal_type,type,(
    inj__ty_2Erealax_2Ereal: tp__ty_2Erealax_2Ereal > $i )).

thf(surj__ty_2Erealax_2Ereal_type,type,(
    surj__ty_2Erealax_2Ereal: $i > tp__ty_2Erealax_2Ereal )).

thf(c_2Ereal__topology_2EClosed_type,type,(
    c_2Ereal__topology_2EClosed: $i )).

thf(c_2Ereal__topology_2Efrontier_type,type,(
    c_2Ereal__topology_2Efrontier: $i )).

thf(c_2Ereal__topology_2Ecompact_type,type,(
    c_2Ereal__topology_2Ecompact: $i )).

thf(c_2Ereal__topology_2Ebounded__def_type,type,(
    c_2Ereal__topology_2Ebounded__def: $i )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $i )).

thf(fo__c_2Ebool_2EF_type,type,(
    fo__c_2Ebool_2EF: $o )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $i )).

thf(fo__c_2Emin_2E_3D_3D_3E_type,type,(
    fo__c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $i )).

thf(fo__c_2Ebool_2E_5C_2F_type,type,(
    fo__c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $i )).

thf(fo__c_2Ebool_2E_2F_5C_type,type,(
    fo__c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $i )).

thf(fo__c_2Ebool_2E_7E_type,type,(
    fo__c_2Ebool_2E_7E: $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: del > $i )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: del > $i )).

thf(5,axiom,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2ET)).

thf(69,plain,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(36,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Erealax_2Ereal )
     => ( A
        = ( inj__ty_2Erealax_2Ereal @ ( surj__ty_2Erealax_2Ereal @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_iso_mem_ty_2Erealax_2Ereal)).

thf(249,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Erealax_2Ereal )
     => ( A
        = ( inj__ty_2Erealax_2Ereal @ ( surj__ty_2Erealax_2Ereal @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(33,axiom,(
    ! [A: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_7E @ A ) )
      = ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_7E)).

thf(234,plain,(
    ! [A: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_7E @ A ) )
      = ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(28,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',funcext)).

thf(217,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(44,axiom,(
    ! [A: $o] :
      ( ~ ( p @ ( inj__o @ A ) )
     => ( ( p @ ( inj__o @ A ) )
       => $false ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EF__IMP)).

thf(288,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).

thf(51,axiom,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ~ ( p @ ( inj__o @ B ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__neg)).

thf(301,plain,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ~ ( p @ ( inj__o @ B ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[51])).

thf(11,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
        = ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_all_p)).

thf(93,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
        = ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(16,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(152,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(45,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ B ) )
        = ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_ex_p)).

thf(289,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ B ) )
        = ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[45])).

thf(54,axiom,
    ( ! [A: $o] :
        ( ( ~ ~ ( p @ ( inj__o @ A ) ) )
        = ( p @ ( inj__o @ A ) ) )
    & ( ( ~ $true ) = $false )
    & ( ( ~ $false ) = $true ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ENOT__CLAUSES)).

thf(316,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[54])).

thf(27,axiom,(
    mem @ c_2Ereal__topology_2Ecompact @ ( arr @ ( arr @ ty_2Erealax_2Ereal @ bool ) @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ereal__topology_2Ecompact)).

thf(216,plain,(
    mem @ c_2Ereal__topology_2Ecompact @ ( arr @ ( arr @ ty_2Erealax_2Ereal @ bool ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(38,axiom,(
    ! [A: $o] :
      ( ( ( p @ ( inj__o @ A ) )
       => $false )
     => ~ ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__F)).

thf(253,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(10,axiom,(
    ! [A: $o,B: $o] :
      ( ( ~ ( ~ ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
       => $false )
      = ( ( p @ ( inj__o @ A ) )
       => ( ~ ( p @ ( inj__o @ B ) )
         => $false ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EOR__DUAL3)).

thf(84,plain,(
    ! [A: $o,B: $o] :
      ( ( ~ ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) ) )
      = ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(41,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( arr @ ty_2Erealax_2Ereal @ bool ) )
     => ( ( p @ ( ap @ c_2Ereal__topology_2Ebounded__def @ A ) )
       => ( p @ ( ap @ c_2Ereal__topology_2Ecompact @ ( ap @ c_2Ereal__topology_2Efrontier @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ereal__topology_2ECOMPACT__FRONTIER__BOUNDED)).

thf(280,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( arr @ ty_2Erealax_2Ereal @ bool ) )
     => ( ( p @ ( ap @ c_2Ereal__topology_2Ebounded__def @ A ) )
       => ( p @ ( ap @ c_2Ereal__topology_2Ecompact @ ( ap @ c_2Ereal__topology_2Efrontier @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).

thf(47,axiom,(
    ! [A: $o] :
      ( ( ~ ( p @ ( inj__o @ A ) )
       => $false )
     => ( ( ( p @ ( inj__o @ A ) )
         => $false )
       => $false ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EAND__INV2)).

thf(293,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[47])).

thf(52,axiom,(
    ! [A: del,B: $i > $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( lam @ A @ B ) @ C )
        = ( B @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',beta)).

thf(312,plain,(
    ! [A: del,B: $i > $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( lam @ A @ B ) @ C )
        = ( B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[52])).

thf(7,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ap_tp)).

thf(74,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(46,axiom,(
    mem @ c_2Ereal__topology_2Efrontier @ ( arr @ ( arr @ ty_2Erealax_2Ereal @ bool ) @ ( arr @ ty_2Erealax_2Ereal @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ereal__topology_2Efrontier)).

thf(292,plain,(
    mem @ c_2Ereal__topology_2Efrontier @ ( arr @ ( arr @ ty_2Erealax_2Ereal @ bool ) @ ( arr @ ty_2Erealax_2Ereal @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[46])).

thf(32,axiom,(
    p @ c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_true_p)).

thf(233,plain,(
    p @ c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(35,axiom,(
    ! [A: $o] :
      ( ( ( $true
          = ( p @ ( inj__o @ A ) ) )
        = ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
          = $true )
        = ( p @ ( inj__o @ A ) ) )
      & ( ( $false
          = ( p @ ( inj__o @ A ) ) )
        = ( ~ ( p @ ( inj__o @ A ) ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
          = $false )
        = ( ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEQ__CLAUSES)).

thf(248,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(37,axiom,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
     => ( ~ ( p @ ( inj__o @ A ) )
       => $false ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EAND__INV__IMP)).

thf(252,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(59,axiom,(
    mem @ c_2Ebool_2ET @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2ET)).

thf(361,plain,(
    mem @ c_2Ebool_2ET @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[59])).

thf(31,axiom,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_and_p)).

thf(224,plain,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(55,axiom,(
    ! [A: $o,B: $o] :
      ( ( ~ ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
       => $false )
      = ( ( ( p @ ( inj__o @ A ) )
         => $false )
       => ( ~ ( p @ ( inj__o @ B ) )
         => $false ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EOR__DUAL2)).

thf(317,plain,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) ) )
      = ( ~ ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[55])).

thf(21,axiom,(
    ~ ( p @ c_2Ebool_2EF ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_false_p)).

thf(169,plain,(
    ~ ( p @ c_2Ebool_2EF ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(56,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          = ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__eq)).

thf(328,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          = ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[56])).

thf(25,axiom,(
    ! [A: del,B: del,C: $i > $i] :
      ( ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( C @ D ) @ B ) )
     => ( mem @ ( lam @ A @ C ) @ ( arr @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',lam_tp)).

thf(212,plain,(
    ! [A: del,B: del,C: $i > $i] :
      ( ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( C @ D ) @ B ) )
     => ( mem @ ( lam @ A @ C ) @ ( arr @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(12,axiom,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_2F_5C)).

thf(96,plain,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(15,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__disj)).

thf(129,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(14,axiom,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_7E)).

thf(128,plain,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) )
     => ( ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ A ) ) )
       => ( ( p @ ( inj__o @ A ) )
          = ( p @ ( inj__o @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__ANTISYM__AX)).

thf(105,plain,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) )
     => ( ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ A ) ) )
       => ( ( p @ ( inj__o @ A ) )
          = ( p @ ( inj__o @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(58,axiom,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D_3D_3E)).

thf(360,plain,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[58])).

thf(50,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( arr @ ty_2Erealax_2Ereal @ bool ) )
     => ( ( p @ ( ap @ c_2Ereal__topology_2Ecompact @ A ) )
        = ( ( p @ ( ap @ c_2Ereal__topology_2Ebounded__def @ A ) )
          & ( p @ ( ap @ c_2Ereal__topology_2EClosed @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ereal__topology_2ECOMPACT__EQ__BOUNDED__CLOSED)).

thf(298,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( arr @ ty_2Erealax_2Ereal @ bool ) )
     => ( ( p @ ( ap @ c_2Ereal__topology_2Ecompact @ A ) )
        = ( ( p @ ( ap @ c_2Ereal__topology_2Ebounded__def @ A ) )
          & ( p @ ( ap @ c_2Ereal__topology_2EClosed @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[50])).

thf(19,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(166,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(23,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          & ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__conj)).

thf(180,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          & ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(6,axiom,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( inj__ty_2Erealax_2Ereal @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_surj_ty_2Erealax_2Ereal)).

thf(71,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( inj__ty_2Erealax_2Ereal @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(60,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_3F @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_3F)).

thf(362,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_3F @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[60])).

thf(8,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
            = ( B = C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_eq_p)).

thf(76,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
            = ( B = C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(3,axiom,
    ( ( inj__o @ fo__c_2Ebool_2EF )
    = c_2Ebool_2EF ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2EF)).

thf(66,plain,
    ( ( inj__o @ fo__c_2Ebool_2EF )
    = c_2Ebool_2EF ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(30,axiom,(
    mem @ c_2Ereal__topology_2Ebounded__def @ ( arr @ ( arr @ ty_2Erealax_2Ereal @ bool ) @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ereal__topology_2Ebounded__def)).

thf(223,plain,(
    mem @ c_2Ereal__topology_2Ebounded__def @ ( arr @ ( arr @ ty_2Erealax_2Ereal @ bool ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(49,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( p @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_iso_mem_o)).

thf(295,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( p @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[49])).

thf(42,axiom,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_2F_5C)).

thf(282,plain,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).

thf(17,axiom,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_5C_2F @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_5C_2F)).

thf(154,plain,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_5C_2F @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(24,axiom,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_imp_p)).

thf(203,plain,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(57,axiom,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_or_p)).

thf(351,plain,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[57])).

thf(22,axiom,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) ) )
      = ( ( p @ ( inj__o @ B ) )
        | ( p @ ( inj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EDISJ__SYM)).

thf(171,plain,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) ) )
      = ( ( p @ ( inj__o @ B ) )
        | ( p @ ( inj__o @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(53,axiom,(
    ! [A: $o] :
      ( ( ~ ~ ( p @ ( inj__o @ A ) ) )
      = ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2ENOT__NOT)).

thf(315,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[53])).

thf(20,axiom,(
    mem @ c_2Ereal__topology_2EClosed @ ( arr @ ( arr @ ty_2Erealax_2Ereal @ bool ) @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ereal__topology_2EClosed)).

thf(168,plain,(
    mem @ c_2Ereal__topology_2EClosed @ ( arr @ ( arr @ ty_2Erealax_2Ereal @ bool ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(34,axiom,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Emin_2E_3D_3D_3E)).

thf(239,plain,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(48,axiom,(
    mem @ c_2Ebool_2EF @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2EF)).

thf(294,plain,(
    mem @ c_2Ebool_2EF @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[48])).

thf(9,axiom,(
    ! [A: $o] :
      ( ( p @ ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_neg_p)).

thf(79,plain,(
    ! [A: $o] :
      ( ( p @ ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(43,axiom,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_surj_o)).

thf(283,plain,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).

thf(18,axiom,(
    ! [A: $o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_mem_o)).

thf(163,plain,(
    ! [A: $o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(4,axiom,(
    $true ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ETRUTH)).

thf(68,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(1,conjecture,(
    ! [A: $i] :
      ( ( mem @ A @ ( arr @ ty_2Erealax_2Ereal @ bool ) )
     => ( ( p @ ( ap @ c_2Ereal__topology_2Ecompact @ A ) )
       => ( p @ ( ap @ c_2Ereal__topology_2Ecompact @ ( ap @ c_2Ereal__topology_2Efrontier @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ereal__topology_2ECOMPACT__FRONTIER)).

thf(2,negated_conjecture,(
    ~ ! [A: $i] :
        ( ( mem @ A @ ( arr @ ty_2Erealax_2Ereal @ bool ) )
       => ( ( p @ ( ap @ c_2Ereal__topology_2Ecompact @ A ) )
         => ( p @ ( ap @ c_2Ereal__topology_2Ecompact @ ( ap @ c_2Ereal__topology_2Efrontier @ A ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(62,plain,(
    ~ ! [A: $i] :
        ( ( mem @ A @ ( arr @ ty_2Erealax_2Ereal @ bool ) )
       => ( ( p @ ( ap @ c_2Ereal__topology_2Ecompact @ A ) )
         => ( p @ ( ap @ c_2Ereal__topology_2Ecompact @ ( ap @ c_2Ereal__topology_2Efrontier @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(40,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ~ ! [C: $i] :
                ( ( mem @ C @ A )
               => ( p @ ( ap @ B @ C ) ) ) )
        = ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ~ ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ENOT__FORALL__THM)).

thf(277,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ~ ! [C: $i] :
                ( ( mem @ C @ A )
               => ( p @ ( ap @ B @ C ) ) ) )
        = ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ~ ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).

thf(39,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__imp)).

thf(254,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).

thf(26,axiom,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_5C_2F)).

thf(215,plain,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(29,axiom,(
    ! [A: $o] :
      ( ( ( $true
         => ( p @ ( inj__o @ A ) ) )
        = ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
         => $true )
        = $true )
      & ( ( $false
         => ( p @ ( inj__o @ A ) ) )
        = $true )
      & ( ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ A ) ) )
        = $true )
      & ( ( ( p @ ( inj__o @ A ) )
         => $false )
        = ( ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__CLAUSES)).

thf(222,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(61,axiom,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( mem @ ( inj__ty_2Erealax_2Ereal @ A ) @ ty_2Erealax_2Ereal ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_mem_ty_2Erealax_2Ereal)).

thf(364,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( mem @ ( inj__ty_2Erealax_2Ereal @ A ) @ ty_2Erealax_2Ereal ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[61])).

thf(368,plain,(
    $false ),
    inference(cvc4,[status(thm)],[69,249,234,217,288,301,93,152,289,316,216,253,84,280,293,312,74,292,233,248,252,361,224,317,169,328,212,96,129,128,105,360,298,166,180,71,362,76,66,223,295,282,154,203,351,171,315,168,239,294,79,283,163,68,62,277,254,215,222,364])).
%------------------------------------------------------------------------------
