%------------------------------------------------------------------------------
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(app_2E2_type,type,(
    app_2E2: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ TB ) > TA > TB ) )).

thf(p_type,type,(
    p: tyop_2Emin_2Ebool > $o )).

thf(combin_i_2E0_type,type,(
    combin_i_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ TA @ TA ) )).

thf(combin_k_2E0_type,type,(
    combin_k_2E0: 
      !>[TA: $tType,TB: $tType] :
        ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) ) )).

thf(combin_s_2E0_type,type,(
    combin_s_2E0: 
      !>[TA: $tType,TB: $tType,TC: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) ) )).

thf(c_2Ebool_2E_21_2E0_type,type,(
    c_2Ebool_2E_21_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_21_2E1_type,type,(
    c_2Ebool_2E_21_2E1: 
      !>[TA: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) > tyop_2Emin_2Ebool ) )).

thf(c_2Ereal__topology_2E_2D_2D_3E_2E0_type,type,(
    c_2Ereal__topology_2E_2D_2D_3E_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal ) @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ ( tyop_2Ereal__topology_2Enet @ TA ) @ tyop_2Emin_2Ebool ) ) ) )).

thf(c_2Ereal__topology_2E_2D_2D_3E_2E3_type,type,(
    c_2Ereal__topology_2E_2D_2D_3E_2E3: 
      !>[TA: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal > ( tyop_2Ereal__topology_2Enet @ TA ) > tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_2F_5C_2E0_type,type,(
    c_2Ebool_2E_2F_5C_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Ebool_2E_2F_5C_2E2_type,type,(
    c_2Ebool_2E_2F_5C_2E2: tyop_2Emin_2Ebool > tyop_2Emin_2Ebool > tyop_2Emin_2Ebool )).

thf(c_2Enum_2E0_2E0_type,type,(
    c_2Enum_2E0_2E0: tyop_2Enum_2Enum )).

thf(c_2Emin_2E_3D_2E0_type,type,(
    c_2Emin_2E_3D_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Emin_2E_3D_2E2_type,type,(
    c_2Emin_2E_3D_2E2: 
      !>[TA: $tType] :
        ( TA > TA > tyop_2Emin_2Ebool ) )).

thf(c_2Emin_2E_3D_3D_3E_2E0_type,type,(
    c_2Emin_2E_3D_3D_3E_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Emin_2E_3D_3D_3E_2E2_type,type,(
    c_2Emin_2E_3D_3D_3E_2E2: tyop_2Emin_2Ebool > tyop_2Emin_2Ebool > tyop_2Emin_2Ebool )).

thf(c_2Ebool_2E_3F_2E0_type,type,(
    c_2Ebool_2E_3F_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_3F_2E1_type,type,(
    c_2Ebool_2E_3F_2E1: 
      !>[TA: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) > tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2EF_2E0_type,type,(
    c_2Ebool_2EF_2E0: tyop_2Emin_2Ebool )).

thf(c_2Ebool_2ET_2E0_type,type,(
    c_2Ebool_2ET_2E0: tyop_2Emin_2Ebool )).

thf(c_2Ebool_2E_5C_2F_2E0_type,type,(
    c_2Ebool_2E_5C_2F_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Ebool_2E_5C_2F_2E2_type,type,(
    c_2Ebool_2E_5C_2F_2E2: tyop_2Emin_2Ebool > tyop_2Emin_2Ebool > tyop_2Emin_2Ebool )).

thf(c_2Ereal__topology_2Econtinuous_2E0_type,type,(
    c_2Ereal__topology_2Econtinuous_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal ) @ ( tyop_2Emin_2Efun @ ( tyop_2Ereal__topology_2Enet @ TA ) @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Ereal__topology_2Econtinuous_2E2_type,type,(
    c_2Ereal__topology_2Econtinuous_2E2: 
      !>[TA: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal ) > ( tyop_2Ereal__topology_2Enet @ TA ) > tyop_2Emin_2Ebool ) )).

thf(c_2Erealax_2Einv_2E0_type,type,(
    c_2Erealax_2Einv_2E0: ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) )).

thf(c_2Erealax_2Einv_2E1_type,type,(
    c_2Erealax_2Einv_2E1: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Ereal__topology_2Enetlimit_2E0_type,type,(
    c_2Ereal__topology_2Enetlimit_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Ereal__topology_2Enet @ TA ) @ TA ) )).

thf(c_2Ereal__topology_2Enetlimit_2E1_type,type,(
    c_2Ereal__topology_2Enetlimit_2E1: 
      !>[TA: $tType] :
        ( ( tyop_2Ereal__topology_2Enet @ TA ) > TA ) )).

thf(c_2Ecombin_2Eo_2E0_type,type,(
    c_2Ecombin_2Eo_2E0: 
      !>[TA: $tType,TB: $tType,TC: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TC @ TB ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TC ) @ ( tyop_2Emin_2Efun @ TA @ TB ) ) ) )).

thf(c_2Ecombin_2Eo_2E2_type,type,(
    c_2Ecombin_2Eo_2E2: 
      !>[TA: $tType,TB: $tType,TC: $tType] :
        ( ( tyop_2Emin_2Efun @ TC @ TB ) > ( tyop_2Emin_2Efun @ TA @ TC ) > ( tyop_2Emin_2Efun @ TA @ TB ) ) )).

thf(c_2Ecombin_2Eo_2E3_type,type,(
    c_2Ecombin_2Eo_2E3: 
      !>[TA: $tType,TB: $tType,TC: $tType] :
        ( ( tyop_2Emin_2Efun @ TC @ TB ) > ( tyop_2Emin_2Efun @ TA @ TC ) > TA > TB ) )).

thf(c_2Ereal_2Ereal__of__num_2E0_type,type,(
    c_2Ereal_2Ereal__of__num_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ereal_2Ereal__of__num_2E1_type,type,(
    c_2Ereal_2Ereal__of__num_2E1: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal )).

thf(c_2Ebool_2E_7E_2E0_type,type,(
    c_2Ebool_2E_7E_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_7E_2E1_type,type,(
    c_2Ebool_2E_7E_2E1: tyop_2Emin_2Ebool > tyop_2Emin_2Ebool )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(41,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
       => ( ( p @ B )
         => ( p @ C ) ) )
    <=> ( ( ( p @ A )
          & ( p @ B ) )
       => ( p @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EAND__IMP__INTRO)).

thf(269,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
         => ( ( p @ B )
           => ( p @ C ) ) )
       => ( ( ( p @ A )
            & ( p @ B ) )
         => ( p @ C ) ) )
      & ( ( ( ( p @ A )
            & ( p @ B ) )
         => ( p @ C ) )
       => ( ( p @ A )
         => ( ( p @ B )
           => ( p @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).

thf(5,axiom,(
    ~ ( p @ c_2Ebool_2EF_2E0 ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Enotfalse)).

thf(56,plain,(
    ~ ( p @ c_2Ebool_2EF_2E0 ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(44,axiom,(
    ! [TA: $tType,A: tyop_2Ereal__topology_2Enet @ TA,B: tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( p @ ( c_2Ereal__topology_2E_2D_2D_3E_2E3 @ TA @ B @ C @ A ) )
        & ( C
         != ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) ) )
     => ( p @ ( c_2Ereal__topology_2E_2D_2D_3E_2E3 @ TA @ ( c_2Ecombin_2Eo_2E2 @ TA @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ c_2Erealax_2Einv_2E0 @ B ) @ ( c_2Erealax_2Einv_2E1 @ C ) @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ELIM__INV)).

thf(288,plain,(
    ! [TA: $tType,A: tyop_2Ereal__topology_2Enet @ TA,B: tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( p @ ( c_2Ereal__topology_2E_2D_2D_3E_2E3 @ TA @ B @ C @ A ) )
        & ( C
         != ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) ) )
     => ( p @ ( c_2Ereal__topology_2E_2D_2D_3E_2E3 @ TA @ ( c_2Ecombin_2Eo_2E2 @ TA @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ c_2Erealax_2Einv_2E0 @ B ) @ ( c_2Erealax_2Einv_2E1 @ C ) @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).

thf(38,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_5C_2F_2E2 @ A @ B ) )
    <=> ( ( p @ A )
        | ( p @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(257,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_5C_2F_2E2 @ A @ B ) )
       => ( ( p @ A )
          | ( p @ B ) ) )
      & ( ( ( p @ A )
          | ( p @ B ) )
       => ( p @ ( c_2Ebool_2E_5C_2F_2E2 @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(14,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
       => ( p @ B ) )
     => ( ( ( p @ B )
         => ( p @ A ) )
       => ( A = B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__ANTISYM__AX)).

thf(110,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
       => ( p @ B ) )
     => ( ( ( p @ B )
         => ( p @ A ) )
       => ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(9,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
        & ( p @ B ) )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_2F_5C_2E0 @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Ec_2Ebool_2E_2F_5C_2E2)).

thf(93,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
          & ( p @ B ) )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_2F_5C_2E0 @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_2F_5C_2E0 @ A ) @ B ) )
       => ( ( p @ A )
          & ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(22,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
        | ( p @ B ) )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_5C_2F_2E0 @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Ec_2Ebool_2E_5C_2F_2E2)).

thf(152,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
          | ( p @ B ) )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_5C_2F_2E0 @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_5C_2F_2E0 @ A ) @ B ) )
       => ( ( p @ A )
          | ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(12,axiom,(
    p @ c_2Ebool_2ET_2E0 ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(106,plain,(
    p @ c_2Ebool_2ET_2E0 ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(42,axiom,(
    ! [TA: $tType,A: tyop_2Ereal__topology_2Enet @ TA] :
      ( ( c_2Ereal__topology_2Enetlimit_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Ereal__topology_2Enet @ TA ) @ TA @ ( c_2Ereal__topology_2Enetlimit_2E0 @ TA ) @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq1_2Ec_2Ereal__topology_2Enetlimit_2E1_2Emono_2EA_27a)).

thf(280,plain,(
    ! [TA: $tType,A: tyop_2Ereal__topology_2Enet @ TA] :
      ( ( c_2Ereal__topology_2Enetlimit_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Ereal__topology_2Enet @ TA ) @ TA @ ( c_2Ereal__topology_2Enetlimit_2E0 @ TA ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).

thf(20,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool,D: tyop_2Emin_2Ebool] :
      ( ( ( A = B )
        & ( ( p @ B )
         => ( C = D ) ) )
     => ( ( ( p @ A )
         => ( p @ C ) )
      <=> ( ( p @ B )
         => ( p @ D ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__CONG)).

thf(132,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool,D: tyop_2Emin_2Ebool] :
      ( ( ( A = B )
        & ( ( p @ B )
         => ( C = D ) ) )
     => ( ( ( ( p @ A )
           => ( p @ C ) )
         => ( ( p @ B )
           => ( p @ D ) ) )
        & ( ( ( p @ B )
           => ( p @ D ) )
         => ( ( p @ A )
           => ( p @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(26,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( p @ ( c_2Emin_2E_3D_2E2 @ TA @ A @ B ) )
    <=> ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(206,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( p @ ( c_2Emin_2E_3D_2E2 @ TA @ A @ B ) )
       => ( A = B ) )
      & ( ( A = B )
       => ( p @ ( c_2Emin_2E_3D_2E2 @ TA @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(4,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_3F_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E0 @ TA ) @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq1_2Ec_2Ebool_2E_3F_2E1_2Emono_2EA_27a)).

thf(53,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_3F_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E0 @ TA ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(27,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_3F_2E1 @ TA @ A ) )
    <=> ? [B: TA] :
          ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(212,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_3F_2E1 @ TA @ A ) )
       => ? [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) )
      & ( ? [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) )
       => ( p @ ( c_2Ebool_2E_3F_2E1 @ TA @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(19,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( app_2E2 @ TA @ TA @ ( combin_i_2E0 @ TA ) @ A )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Ei__thm)).

thf(129,plain,(
    ! [TA: $tType,A: TA] :
      ( ( app_2E2 @ TA @ TA @ ( combin_i_2E0 @ TA ) @ A )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(40,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Einv_2E1 @ A )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ c_2Erealax_2Einv_2E0 @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq1_2Ec_2Erealax_2Einv_2E1)).

thf(266,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Einv_2E1 @ A )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ c_2Erealax_2Einv_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).

thf(39,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Ebool] :
      ( ! [B: TA] :
          ( p @ A )
    <=> ( p @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).

thf(264,plain,(
    ! [TA: $tType] : $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).

thf(1,conjecture,(
    ! [TA: $tType,A: tyop_2Ereal__topology_2Enet @ TA,B: tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal] :
      ( ( ( p @ ( c_2Ereal__topology_2Econtinuous_2E2 @ TA @ B @ A ) )
        & ( ( app_2E2 @ TA @ tyop_2Erealax_2Ereal @ B @ ( c_2Ereal__topology_2Enetlimit_2E1 @ TA @ A ) )
         != ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) ) )
     => ( p @ ( c_2Ereal__topology_2Econtinuous_2E2 @ TA @ ( c_2Ecombin_2Eo_2E2 @ TA @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ c_2Erealax_2Einv_2E0 @ B ) @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECONTINUOUS__INV)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: tyop_2Ereal__topology_2Enet @ TA,B: tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal] :
        ( ( ( p @ ( c_2Ereal__topology_2Econtinuous_2E2 @ TA @ B @ A ) )
          & ( ( app_2E2 @ TA @ tyop_2Erealax_2Ereal @ B @ ( c_2Ereal__topology_2Enetlimit_2E1 @ TA @ A ) )
           != ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) ) )
       => ( p @ ( c_2Ereal__topology_2Econtinuous_2E2 @ TA @ ( c_2Ecombin_2Eo_2E2 @ TA @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ c_2Erealax_2Einv_2E0 @ B ) @ A ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(45,plain,(
    ~ ! [TA: $tType,A: tyop_2Ereal__topology_2Enet @ TA,B: tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal] :
        ( ( ( p @ ( c_2Ereal__topology_2Econtinuous_2E2 @ TA @ B @ A ) )
          & ( ( app_2E2 @ TA @ tyop_2Erealax_2Ereal @ B @ ( c_2Ereal__topology_2Enetlimit_2E1 @ TA @ A ) )
           != ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) ) )
       => ( p @ ( c_2Ereal__topology_2Econtinuous_2E2 @ TA @ ( c_2Ecombin_2Eo_2E2 @ TA @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ c_2Erealax_2Einv_2E0 @ B ) @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(7,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Emin_2Efun @ TA @ TB,B: tyop_2Emin_2Efun @ TA @ TB] :
      ( ! [C: TA] :
          ( ( app_2E2 @ TA @ TB @ A @ C )
          = ( app_2E2 @ TA @ TB @ B @ C ) )
     => ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Eeq__ext)).

thf(64,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Emin_2Efun @ TA @ TB,B: tyop_2Emin_2Efun @ TA @ TB] :
      ( ! [C: TA] :
          ( ( app_2E2 @ TA @ TB @ A @ C )
          = ( app_2E2 @ TA @ TB @ B @ C ) )
     => ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(32,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Emin_2Efun @ TA @ TB,B: tyop_2Emin_2Efun @ TC @ TA,C: TC] :
      ( ( c_2Ecombin_2Eo_2E3 @ TC @ TB @ TA @ A @ B @ C )
      = ( app_2E2 @ TC @ TB @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TC @ TA ) @ ( tyop_2Emin_2Efun @ TC @ TB ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TC @ TA ) @ ( tyop_2Emin_2Efun @ TC @ TB ) ) @ ( c_2Ecombin_2Eo_2E0 @ TC @ TB @ TA ) @ A ) @ B ) @ C ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq3_2Ec_2Ecombin_2Eo_2E3_2Emono_2EA_27c_20mono_2EA_27b_20mono_2EA_27a)).

thf(236,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Emin_2Efun @ TA @ TB,B: tyop_2Emin_2Efun @ TC @ TA,C: TC] :
      ( ( c_2Ecombin_2Eo_2E3 @ TC @ TB @ TA @ A @ B @ C )
      = ( app_2E2 @ TC @ TB @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TC @ TA ) @ ( tyop_2Emin_2Efun @ TC @ TB ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TC @ TA ) @ ( tyop_2Emin_2Efun @ TC @ TB ) ) @ ( c_2Ecombin_2Eo_2E0 @ TC @ TB @ TA ) @ A ) @ B ) @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(24,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ c_2Ebool_2ET_2E0 )
          & ( p @ A ) )
      <=> ( p @ A ) )
      & ( ( ( p @ A )
          & ( p @ c_2Ebool_2ET_2E0 ) )
      <=> ( p @ A ) )
      & ( ( ( p @ c_2Ebool_2EF_2E0 )
          & ( p @ A ) )
      <=> ( p @ c_2Ebool_2EF_2E0 ) )
      & ( ( ( p @ A )
          & ( p @ c_2Ebool_2EF_2E0 ) )
      <=> ( p @ c_2Ebool_2EF_2E0 ) )
      & ( ( ( p @ A )
          & ( p @ A ) )
      <=> ( p @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EAND__CLAUSES)).

thf(181,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ c_2Ebool_2ET_2E0 )
          & ( p @ A ) )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( ( p @ c_2Ebool_2ET_2E0 )
          & ( p @ A ) ) )
      & ( ( ( p @ A )
          & ( p @ c_2Ebool_2ET_2E0 ) )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( ( p @ A )
          & ( p @ c_2Ebool_2ET_2E0 ) ) )
      & ( ( ( p @ c_2Ebool_2EF_2E0 )
          & ( p @ A ) )
       => ( p @ c_2Ebool_2EF_2E0 ) )
      & ( ( p @ c_2Ebool_2EF_2E0 )
       => ( ( p @ c_2Ebool_2EF_2E0 )
          & ( p @ A ) ) )
      & ( ( ( p @ A )
          & ( p @ c_2Ebool_2EF_2E0 ) )
       => ( p @ c_2Ebool_2EF_2E0 ) )
      & ( ( p @ c_2Ebool_2EF_2E0 )
       => ( ( p @ A )
          & ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(31,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( A = B )
    <=> ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( c_2Emin_2E_3D_2E0 @ TA ) @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Ec_2Emin_2E_3D_2E2_2Emono_2EA_27a)).

thf(230,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( A = B )
       => ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( c_2Emin_2E_3D_2E0 @ TA ) @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( c_2Emin_2E_3D_2E0 @ TA ) @ A ) @ B ) )
       => ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(35,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_2F_5C_2E2 @ A @ B ) )
    <=> ( ( p @ A )
        & ( p @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(245,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_2F_5C_2E2 @ A @ B ) )
       => ( ( p @ A )
          & ( p @ B ) ) )
      & ( ( ( p @ A )
          & ( p @ B ) )
       => ( p @ ( c_2Ebool_2E_2F_5C_2E2 @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(11,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ereal_2Ereal__of__num_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal @ c_2Ereal_2Ereal__of__num_2E0 @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq1_2Ec_2Ereal_2Ereal__of__num_2E1)).

thf(103,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ereal_2Ereal__of__num_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal @ c_2Ereal_2Ereal__of__num_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(36,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Ereal__topology_2Enet @ TA] :
      ( ( c_2Ereal__topology_2E_2D_2D_3E_2E3 @ TA @ A @ B @ C )
      = ( app_2E2 @ ( tyop_2Ereal__topology_2Enet @ TA ) @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ ( tyop_2Ereal__topology_2Enet @ TA ) @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal ) @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ ( tyop_2Ereal__topology_2Enet @ TA ) @ tyop_2Emin_2Ebool ) ) @ ( c_2Ereal__topology_2E_2D_2D_3E_2E0 @ TA ) @ A ) @ B ) @ C ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq3_2Ec_2Ereal__topology_2E_2D_2D_3E_2E3_2Emono_2EA_27a)).

thf(251,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Ereal__topology_2Enet @ TA] :
      ( ( c_2Ereal__topology_2E_2D_2D_3E_2E3 @ TA @ A @ B @ C )
      = ( app_2E2 @ ( tyop_2Ereal__topology_2Enet @ TA ) @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ ( tyop_2Ereal__topology_2Enet @ TA ) @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal ) @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ ( tyop_2Ereal__topology_2Enet @ TA ) @ tyop_2Emin_2Ebool ) ) @ ( c_2Ereal__topology_2E_2D_2D_3E_2E0 @ TA ) @ A ) @ B ) @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(30,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Emin_2E_3D_3D_3E_2E2 @ A @ B ) )
    <=> ( ( p @ A )
       => ( p @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(223,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Emin_2E_3D_3D_3E_2E2 @ A @ B ) )
       => ( ( p @ A )
         => ( p @ B ) ) )
      & ( ( ( p @ A )
         => ( p @ B ) )
       => ( p @ ( c_2Emin_2E_3D_3D_3E_2E2 @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(17,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Emin_2Efun @ TA @ TB,B: tyop_2Emin_2Efun @ TC @ TA,C: TC] :
      ( ( c_2Ecombin_2Eo_2E3 @ TC @ TB @ TA @ A @ B @ C )
      = ( app_2E2 @ TA @ TB @ A @ ( app_2E2 @ TC @ TA @ B @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecombin_2Eo__THM)).

thf(123,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Emin_2Efun @ TA @ TB,B: tyop_2Emin_2Efun @ TC @ TA,C: TC] :
      ( ( c_2Ecombin_2Eo_2E3 @ TC @ TB @ TA @ A @ B @ C )
      = ( app_2E2 @ TA @ TB @ A @ ( app_2E2 @ TC @ TA @ B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(3,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( A = c_2Ebool_2ET_2E0 )
      | ( A = c_2Ebool_2EF_2E0 ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Ebool__cases__ax)).

thf(50,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( A = c_2Ebool_2ET_2E0 )
      | ( A = c_2Ebool_2EF_2E0 ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(8,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( c_2Ebool_2ET_2E0 = A )
      <=> ( p @ A ) )
      & ( ( A = c_2Ebool_2ET_2E0 )
      <=> ( p @ A ) )
      & ( ( c_2Ebool_2EF_2E0 = A )
      <=> ~ ( p @ A ) )
      & ( ( A = c_2Ebool_2EF_2E0 )
      <=> ~ ( p @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(67,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( c_2Ebool_2ET_2E0 = A )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( c_2Ebool_2ET_2E0 = A ) )
      & ( ( A = c_2Ebool_2ET_2E0 )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( A = c_2Ebool_2ET_2E0 ) )
      & ( ( c_2Ebool_2EF_2E0 = A )
       => ~ ( p @ A ) )
      & ( ~ ( p @ A )
       => ( c_2Ebool_2EF_2E0 = A ) )
      & ( ( A = c_2Ebool_2EF_2E0 )
       => ~ ( p @ A ) )
      & ( ~ ( p @ A )
       => ( A = c_2Ebool_2EF_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(21,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
      <=> ( p @ B ) )
     => ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Eboolext)).

thf(143,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
         => ( p @ B ) )
        & ( ( p @ B )
         => ( p @ A ) ) )
     => ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(25,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ),B: tyop_2Emin_2Efun @ TA @ TB,C: TA] :
      ( ( app_2E2 @ TA @ TC @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) @ ( combin_s_2E0 @ TA @ TB @ TC ) @ A ) @ B ) @ C )
      = ( app_2E2 @ TB @ TC @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) @ A @ C ) @ ( app_2E2 @ TA @ TB @ B @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Es__thm)).

thf(203,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ),B: tyop_2Emin_2Efun @ TA @ TB,C: TA] :
      ( ( app_2E2 @ TA @ TC @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) @ ( combin_s_2E0 @ TA @ TB @ TC ) @ A ) @ B ) @ C )
      = ( app_2E2 @ TB @ TC @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) @ A @ C ) @ ( app_2E2 @ TA @ TB @ B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(29,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ~ ( p @ A )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ c_2Ebool_2E_7E_2E0 @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq1_2Ec_2Ebool_2E_7E_2E1)).

thf(218,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ~ ( p @ A )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ c_2Ebool_2E_7E_2E0 @ A ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ c_2Ebool_2E_7E_2E0 @ A ) )
       => ~ ( p @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(23,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ c_2Ebool_2ET_2E0 )
         => ( p @ A ) )
      <=> ( p @ A ) )
      & ( ( ( p @ A )
         => ( p @ c_2Ebool_2ET_2E0 ) )
      <=> ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( ( p @ c_2Ebool_2EF_2E0 )
         => ( p @ A ) )
      <=> ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( ( p @ A )
         => ( p @ A ) )
      <=> ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) )
      <=> ~ ( p @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__CLAUSES)).

thf(158,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ c_2Ebool_2ET_2E0 )
         => ( p @ A ) )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( ( p @ c_2Ebool_2ET_2E0 )
         => ( p @ A ) ) )
      & ( ( ( p @ A )
         => ( p @ c_2Ebool_2ET_2E0 ) )
       => ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( p @ c_2Ebool_2ET_2E0 )
       => ( ( p @ A )
         => ( p @ c_2Ebool_2ET_2E0 ) ) )
      & ( ( ( p @ c_2Ebool_2EF_2E0 )
         => ( p @ A ) )
       => ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( p @ c_2Ebool_2ET_2E0 )
       => ( ( p @ c_2Ebool_2EF_2E0 )
         => ( p @ A ) ) )
      & ( p @ c_2Ebool_2ET_2E0 )
      & ( ( ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ~ ( p @ A ) )
      & ( ~ ( p @ A )
       => ( ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(15,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( app_2E2 @ TB @ TA @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) @ ( combin_k_2E0 @ TA @ TB ) @ A ) @ B )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Ek__thm)).

thf(119,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( app_2E2 @ TB @ TA @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) @ ( combin_k_2E0 @ TA @ TB ) @ A ) @ B )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(6,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
       => ( p @ B ) )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Emin_2E_3D_3D_3E_2E0 @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Ec_2Emin_2E_3D_3D_3E_2E2)).

thf(58,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
         => ( p @ B ) )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Emin_2E_3D_3D_3E_2E0 @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Emin_2E_3D_3D_3E_2E0 @ A ) @ B ) )
       => ( ( p @ A )
         => ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(13,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_21_2E1 @ TA @ A ) )
    <=> ! [B: TA] :
          ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(107,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_21_2E1 @ TA @ A ) )
       => ! [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) )
      & ( ! [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) )
       => ( p @ ( c_2Ebool_2E_21_2E1 @ TA @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(33,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal,B: tyop_2Ereal__topology_2Enet @ TA] :
      ( ( c_2Ereal__topology_2Econtinuous_2E2 @ TA @ A @ B )
      = ( c_2Ereal__topology_2E_2D_2D_3E_2E3 @ TA @ A @ ( app_2E2 @ TA @ tyop_2Erealax_2Ereal @ A @ ( c_2Ereal__topology_2Enetlimit_2E1 @ TA @ B ) ) @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2Econtinuous)).

thf(239,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal,B: tyop_2Ereal__topology_2Enet @ TA] :
      ( ( c_2Ereal__topology_2Econtinuous_2E2 @ TA @ A @ B )
      = ( c_2Ereal__topology_2E_2D_2D_3E_2E3 @ TA @ A @ ( app_2E2 @ TA @ tyop_2Erealax_2Ereal @ A @ ( c_2Ereal__topology_2Enetlimit_2E1 @ TA @ B ) ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(34,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( p @ c_2Ebool_2EF_2E0 )
     => ( p @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFALSITY)).

thf(242,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( p @ c_2Ebool_2EF_2E0 )
     => ( p @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(18,axiom,
    ( ! [A: tyop_2Emin_2Ebool] :
        ( ~ ~ ( p @ A )
      <=> ( p @ A ) )
    & ( ~ ( p @ c_2Ebool_2ET_2E0 )
    <=> ( p @ c_2Ebool_2EF_2E0 ) )
    & ( ~ ( p @ c_2Ebool_2EF_2E0 )
    <=> ( p @ c_2Ebool_2ET_2E0 ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ENOT__CLAUSES)).

thf(126,plain,
    ( ( ~ ( p @ c_2Ebool_2ET_2E0 )
     => ( p @ c_2Ebool_2EF_2E0 ) )
    & ( ( p @ c_2Ebool_2EF_2E0 )
     => ~ ( p @ c_2Ebool_2ET_2E0 ) )
    & ( ~ ( p @ c_2Ebool_2EF_2E0 )
     => ( p @ c_2Ebool_2ET_2E0 ) )
    & ( ( p @ c_2Ebool_2ET_2E0 )
     => ~ ( p @ c_2Ebool_2EF_2E0 ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(43,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_7E_2E1 @ A ) )
    <=> ~ ( p @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(283,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_7E_2E1 @ A ) )
       => ~ ( p @ A ) )
      & ( ~ ( p @ A )
       => ( p @ ( c_2Ebool_2E_7E_2E1 @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).

thf(37,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_21_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E0 @ TA ) @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq1_2Ec_2Ebool_2E_21_2E1_2Emono_2EA_27a)).

thf(254,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_21_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E0 @ TA ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(16,axiom,(
    p @ c_2Ebool_2ET_2E0 ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Etruth)).

thf(122,plain,(
    p @ c_2Ebool_2ET_2E0 ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(28,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal,B: tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecombin_2Eo_2E2 @ TA @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal ) @ ( tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal ) @ ( tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal ) ) @ ( c_2Ecombin_2Eo_2E0 @ TA @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ A ) @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Ec_2Ecombin_2Eo_2E2_2Emono_2EA_27a_20mono_2Etyop_2Erealax_2Ereal_20mono_2Etyop_2Erealax_2Ereal)).

thf(215,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal,B: tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal] :
      ( ( c_2Ecombin_2Eo_2E2 @ TA @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ A @ B )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal ) @ ( tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal ) @ ( tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal ) ) @ ( c_2Ecombin_2Eo_2E0 @ TA @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(10,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal,B: tyop_2Ereal__topology_2Enet @ TA] :
      ( ( c_2Ereal__topology_2Econtinuous_2E2 @ TA @ A @ B )
      = ( app_2E2 @ ( tyop_2Ereal__topology_2Enet @ TA ) @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal ) @ ( tyop_2Emin_2Efun @ ( tyop_2Ereal__topology_2Enet @ TA ) @ tyop_2Emin_2Ebool ) @ ( c_2Ereal__topology_2Econtinuous_2E0 @ TA ) @ A ) @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arityeq2_2Ec_2Ereal__topology_2Econtinuous_2E2_2Emono_2EA_27a)).

thf(100,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal,B: tyop_2Ereal__topology_2Enet @ TA] :
      ( ( c_2Ereal__topology_2Econtinuous_2E2 @ TA @ A @ B )
      = ( app_2E2 @ ( tyop_2Ereal__topology_2Enet @ TA ) @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Erealax_2Ereal ) @ ( tyop_2Emin_2Efun @ ( tyop_2Ereal__topology_2Enet @ TA ) @ tyop_2Emin_2Ebool ) @ ( c_2Ereal__topology_2Econtinuous_2E0 @ TA ) @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(293,plain,(
    $false ),
    inference(cvc4,[status(thm)],[269,56,288,257,110,93,152,106,280,132,206,53,212,129,266,264,45,64,236,181,230,245,103,251,223,123,50,67,143,203,218,158,119,58,107,239,242,126,283,254,122,215,100])).
%------------------------------------------------------------------------------
