%------------------------------------------------------------------------------
thf(del_type,type,(
    del: $tType )).

thf(bool_type,type,(
    bool: del )).

thf(arr_type,type,(
    arr: del > del > del )).

thf(mem_type,type,(
    mem: $i > del > $o )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(lam_type,type,(
    lam: del > ( $i > $i ) > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(inj__o_type,type,(
    inj__o: $o > $i )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $i )).

thf(fo__c_2Ebool_2ET_type,type,(
    fo__c_2Ebool_2ET: $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: del > $i )).

thf(c_2Ecombin_2EI_type,type,(
    c_2Ecombin_2EI: del > $i )).

thf(ty_2Erealax_2Ereal_type,type,(
    ty_2Erealax_2Ereal: del )).

thf(tp__ty_2Erealax_2Ereal_type,type,(
    tp__ty_2Erealax_2Ereal: $tType )).

thf(inj__ty_2Erealax_2Ereal_type,type,(
    inj__ty_2Erealax_2Ereal: tp__ty_2Erealax_2Ereal > $i )).

thf(surj__ty_2Erealax_2Ereal_type,type,(
    surj__ty_2Erealax_2Ereal: $i > tp__ty_2Erealax_2Ereal )).

thf(c_2Ereal__topology_2Econtinuous__on_type,type,(
    c_2Ereal__topology_2Econtinuous__on: $i )).

thf(c_2Epred__set_2EIMAGE_type,type,(
    c_2Epred__set_2EIMAGE: del > del > $i )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: del > $i )).

thf(ty_2Epair_2Eprod_type,type,(
    ty_2Epair_2Eprod: del > del > del )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: del > del > $i )).

thf(c_2Ereal__topology_2Ehomeomorphism_type,type,(
    c_2Ereal__topology_2Ehomeomorphism: $i )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $i )).

thf(fo__c_2Ebool_2EF_type,type,(
    fo__c_2Ebool_2EF: $o )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $i )).

thf(fo__c_2Emin_2E_3D_3D_3E_type,type,(
    fo__c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $i )).

thf(fo__c_2Ebool_2E_5C_2F_type,type,(
    fo__c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $i )).

thf(fo__c_2Ebool_2E_2F_5C_type,type,(
    fo__c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $i )).

thf(fo__c_2Ebool_2E_7E_type,type,(
    fo__c_2Ebool_2E_7E: $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: del > $i )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: del > $i )).

thf(29,axiom,(
    mem @ c_2Ereal__topology_2Ehomeomorphism @ ( arr @ ( ty_2Epair_2Eprod @ ( arr @ ty_2Erealax_2Ereal @ bool ) @ ( arr @ ty_2Erealax_2Ereal @ bool ) ) @ ( arr @ ( ty_2Epair_2Eprod @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ereal__topology_2Ehomeomorphism)).

thf(234,plain,(
    mem @ c_2Ereal__topology_2Ehomeomorphism @ ( arr @ ( ty_2Epair_2Eprod @ ( arr @ ty_2Erealax_2Ereal @ bool ) @ ( arr @ ty_2Erealax_2Ereal @ bool ) ) @ ( arr @ ( ty_2Epair_2Eprod @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(8,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ecombin_2EI @ A ) @ ( arr @ A @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ecombin_2EI)).

thf(88,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ecombin_2EI @ A ) @ ( arr @ A @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(42,axiom,(
    ! [A: $o] :
      ( ( ( p @ ( inj__o @ A ) )
       => $false )
     => ~ ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__F)).

thf(276,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).

thf(39,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Erealax_2Ereal )
     => ( A
        = ( inj__ty_2Erealax_2Ereal @ ( surj__ty_2Erealax_2Ereal @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_iso_mem_ty_2Erealax_2Ereal)).

thf(269,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Erealax_2Ereal )
     => ( A
        = ( inj__ty_2Erealax_2Ereal @ ( surj__ty_2Erealax_2Ereal @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).

thf(15,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ! [C: $i] :
          ( ( mem @ C @ ( arr @ A @ bool ) )
         => ( ( ? [D: $i] :
                  ( ( mem @ D @ A )
                  & ( ( p @ ( ap @ B @ D ) )
                    | ( p @ ( ap @ C @ D ) ) ) ) )
            = ( ? [D: $i] :
                  ( ( mem @ D @ A )
                  & ( p @ ( ap @ B @ D ) ) )
              | ? [D: $i] :
                  ( ( mem @ D @ A )
                  & ( p @ ( ap @ C @ D ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEXISTS__OR__THM)).

thf(142,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ! [C: $i] :
          ( ( mem @ C @ ( arr @ A @ bool ) )
         => ( ( ? [D: $i] :
                  ( ( mem @ D @ A )
                  & ( ( p @ ( ap @ B @ D ) )
                    | ( p @ ( ap @ C @ D ) ) ) ) )
            = ( ? [D: $i] :
                  ( ( mem @ D @ A )
                  & ( p @ ( ap @ B @ D ) ) )
              | ? [D: $i] :
                  ( ( mem @ D @ A )
                  & ( p @ ( ap @ C @ D ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(22,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2E_2C @ A @ B ) @ ( arr @ A @ ( arr @ B @ ( ty_2Epair_2Eprod @ A @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Epair_2E_2C)).

thf(185,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2E_2C @ A @ B ) @ ( arr @ A @ ( arr @ B @ ( ty_2Epair_2Eprod @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(52,axiom,(
    mem @ c_2Ebool_2EF @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2EF)).

thf(320,plain,(
    mem @ c_2Ebool_2EF @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[52])).

thf(36,axiom,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Emin_2E_3D_3D_3E)).

thf(257,plain,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(63,axiom,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D_3D_3E)).

thf(389,plain,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[63])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_2F_5C)).

thf(110,plain,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(61,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          = ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__eq)).

thf(357,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          = ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[61])).

thf(24,axiom,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) ) )
      = ( ( p @ ( inj__o @ B ) )
        | ( p @ ( inj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EDISJ__SYM)).

thf(189,plain,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) ) )
      = ( ( p @ ( inj__o @ B ) )
        | ( p @ ( inj__o @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(10,axiom,(
    ! [A: $o] :
      ( ( p @ ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_neg_p)).

thf(93,plain,(
    ! [A: $o] :
      ( ( p @ ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(50,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ B ) )
        = ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_ex_p)).

thf(316,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ B ) )
        = ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[50])).

thf(3,axiom,
    ( ( inj__o @ fo__c_2Ebool_2EF )
    = c_2Ebool_2EF ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2EF)).

thf(78,plain,
    ( ( inj__o @ fo__c_2Ebool_2EF )
    = c_2Ebool_2EF ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(53,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( p @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_iso_mem_o)).

thf(321,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( p @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[53])).

thf(68,axiom,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( mem @ ( inj__ty_2Erealax_2Ereal @ A ) @ ty_2Erealax_2Ereal ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_mem_ty_2Erealax_2Ereal)).

thf(397,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( mem @ ( inj__ty_2Erealax_2Ereal @ A ) @ ty_2Erealax_2Ereal ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[68])).

thf(26,axiom,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_imp_p)).

thf(221,plain,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(48,axiom,(
    ! [A: $o] :
      ( ~ ( p @ ( inj__o @ A ) )
     => ( ( p @ ( inj__o @ A ) )
       => $false ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EF__IMP)).

thf(312,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[48])).

thf(47,axiom,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_surj_o)).

thf(307,plain,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[47])).

thf(28,axiom,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_5C_2F)).

thf(233,plain,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(62,axiom,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_or_p)).

thf(380,plain,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[62])).

thf(35,axiom,(
    ! [A: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_7E @ A ) )
      = ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_7E)).

thf(252,plain,(
    ! [A: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_7E @ A ) )
      = ( ap @ c_2Ebool_2E_7E @ ( inj__o @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(54,axiom,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ~ ( p @ ( inj__o @ B ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__neg)).

thf(324,plain,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ~ ( p @ ( inj__o @ B ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[54])).

thf(18,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(169,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(59,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ! [C: $o] :
          ( ( ? [D: $i] :
                ( ( mem @ D @ A )
                & ( p @ ( ap @ B @ D ) ) )
            | ( p @ ( inj__o @ C ) ) )
          = ( ? [D: $i] :
                ( ( mem @ D @ A )
                & ( ( p @ ( ap @ B @ D ) )
                  | ( p @ ( inj__o @ C ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ELEFT__OR__EXISTS__THM)).

thf(343,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ! [C: $o] :
          ( ( ? [D: $i] :
                ( ( mem @ D @ A )
                & ( p @ ( ap @ B @ D ) ) )
            | ( p @ ( inj__o @ C ) ) )
          = ( ? [D: $i] :
                ( ( mem @ D @ A )
                & ( ( p @ ( ap @ B @ D ) )
                  | ( p @ ( inj__o @ C ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[59])).

thf(37,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2EIN @ A ) @ ( arr @ A @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2EIN)).

thf(266,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2EIN @ A ) @ ( arr @ A @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(20,axiom,(
    ! [A: $o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_mem_o)).

thf(180,plain,(
    ! [A: $o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(70,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epred__set_2EIMAGE @ A @ B ) @ ( arr @ ( arr @ A @ B ) @ ( arr @ ( arr @ A @ bool ) @ ( arr @ B @ bool ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Epred__set_2EIMAGE)).

thf(402,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epred__set_2EIMAGE @ A @ B ) @ ( arr @ ( arr @ A @ B ) @ ( arr @ ( arr @ A @ bool ) @ ( arr @ B @ bool ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[70])).

thf(1,conjecture,(
    ! [A: $i] :
      ( ( mem @ A @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) )
     => ! [B: $i] :
          ( ( mem @ B @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) )
         => ! [C: $i] :
              ( ( mem @ C @ ( arr @ ty_2Erealax_2Ereal @ bool ) )
             => ! [D: $i] :
                  ( ( mem @ D @ ( arr @ ty_2Erealax_2Ereal @ bool ) )
                 => ( ( p @ ( ap @ ( ap @ c_2Ereal__topology_2Ehomeomorphism @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ ( arr @ ty_2Erealax_2Ereal @ bool ) @ ( arr @ ty_2Erealax_2Ereal @ bool ) ) @ C ) @ D ) ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) @ A ) @ B ) ) )
                    = ( p @ ( ap @ ( ap @ c_2Ereal__topology_2Ehomeomorphism @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ ( arr @ ty_2Erealax_2Ereal @ bool ) @ ( arr @ ty_2Erealax_2Ereal @ bool ) ) @ D ) @ C ) ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) @ B ) @ A ) ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ereal__topology_2EHOMEOMORPHISM__SYM)).

thf(2,negated_conjecture,(
    ~ ! [A: $i] :
        ( ( mem @ A @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) )
       => ! [B: $i] :
            ( ( mem @ B @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) )
           => ! [C: $i] :
                ( ( mem @ C @ ( arr @ ty_2Erealax_2Ereal @ bool ) )
               => ! [D: $i] :
                    ( ( mem @ D @ ( arr @ ty_2Erealax_2Ereal @ bool ) )
                   => ( ( p @ ( ap @ ( ap @ c_2Ereal__topology_2Ehomeomorphism @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ ( arr @ ty_2Erealax_2Ereal @ bool ) @ ( arr @ ty_2Erealax_2Ereal @ bool ) ) @ C ) @ D ) ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) @ A ) @ B ) ) )
                      = ( p @ ( ap @ ( ap @ c_2Ereal__topology_2Ehomeomorphism @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ ( arr @ ty_2Erealax_2Ereal @ bool ) @ ( arr @ ty_2Erealax_2Ereal @ bool ) ) @ D ) @ C ) ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) @ B ) @ A ) ) ) ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(71,plain,(
    ~ ! [A: $i] :
        ( ( mem @ A @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) )
       => ! [B: $i] :
            ( ( mem @ B @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) )
           => ! [C: $i] :
                ( ( mem @ C @ ( arr @ ty_2Erealax_2Ereal @ bool ) )
               => ! [D: $i] :
                    ( ( mem @ D @ ( arr @ ty_2Erealax_2Ereal @ bool ) )
                   => ( ( p @ ( ap @ ( ap @ c_2Ereal__topology_2Ehomeomorphism @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ ( arr @ ty_2Erealax_2Ereal @ bool ) @ ( arr @ ty_2Erealax_2Ereal @ bool ) ) @ C ) @ D ) ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) @ A ) @ B ) ) )
                      = ( p @ ( ap @ ( ap @ c_2Ereal__topology_2Ehomeomorphism @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ ( arr @ ty_2Erealax_2Ereal @ bool ) @ ( arr @ ty_2Erealax_2Ereal @ bool ) ) @ D ) @ C ) ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) @ B ) @ A ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(65,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( c_2Ecombin_2EI @ A ) @ B )
        = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ecombin_2EI__THM)).

thf(391,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( c_2Ecombin_2EI @ A ) @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[65])).

thf(49,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( B = C )
            = ( C = B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEQ__SYM__EQ)).

thf(313,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( B = C )
            = ( C = B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[49])).

thf(55,axiom,(
    ! [A: del,B: $o] :
      ( ( ! [C: $i] :
            ( ( mem @ C @ A )
           => ( p @ ( inj__o @ B ) ) ) )
      = ( p @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EFORALL__SIMP)).

thf(335,plain,(
    ! [A: del,B: $o] :
      ( ( ! [C: $i] :
            ( ( mem @ C @ A )
           => ( p @ ( inj__o @ B ) ) ) )
      = ( p @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[55])).

thf(7,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ap_tp)).

thf(86,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(23,axiom,(
    ~ ( p @ c_2Ebool_2EF ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_false_p)).

thf(187,plain,(
    ~ ( p @ c_2Ebool_2EF ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(5,axiom,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2ET)).

thf(81,plain,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(27,axiom,(
    ! [A: del,B: del,C: $i > $i] :
      ( ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( C @ D ) @ B ) )
     => ( mem @ ( lam @ A @ C ) @ ( arr @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',lam_tp)).

thf(230,plain,(
    ! [A: del,B: del,C: $i > $i] :
      ( ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( C @ D ) @ B ) )
     => ( mem @ ( lam @ A @ C ) @ ( arr @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(11,axiom,(
    ! [A: $o,B: $o] :
      ( ( ~ ( ~ ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
       => $false )
      = ( ( p @ ( inj__o @ A ) )
       => ( ~ ( p @ ( inj__o @ B ) )
         => $false ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EOR__DUAL3)).

thf(98,plain,(
    ! [A: $o,B: $o] :
      ( ( ~ ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) ) )
      = ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(45,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ~ ! [C: $i] :
                ( ( mem @ C @ A )
               => ( p @ ( ap @ B @ C ) ) ) )
        = ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ~ ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ENOT__FORALL__THM)).

thf(303,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ~ ! [C: $i] :
                ( ( mem @ C @ A )
               => ( p @ ( ap @ B @ C ) ) ) )
        = ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ~ ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[45])).

thf(31,axiom,(
    ! [A: $o] :
      ( ( ( $true
         => ( p @ ( inj__o @ A ) ) )
        = ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
         => $true )
        = $true )
      & ( ( $false
         => ( p @ ( inj__o @ A ) ) )
        = $true )
      & ( ( ( p @ ( inj__o @ A ) )
         => ( p @ ( inj__o @ A ) ) )
        = $true )
      & ( ( ( p @ ( inj__o @ A ) )
         => $false )
        = ( ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__CLAUSES)).

thf(240,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(34,axiom,(
    p @ c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_true_p)).

thf(251,plain,(
    p @ c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(25,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          & ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__conj)).

thf(198,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          & ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ~ ( p @ ( inj__o @ A ) ) )
        & ( ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(69,axiom,(
    ! [A: del,B: $o,C: $i] :
      ( ( mem @ C @ ( arr @ A @ bool ) )
     => ( ( ( p @ ( inj__o @ B ) )
          | ? [D: $i] :
              ( ( mem @ D @ A )
              & ( p @ ( ap @ C @ D ) ) ) )
        = ( ? [D: $i] :
              ( ( mem @ D @ A )
              & ( ( p @ ( inj__o @ B ) )
                | ( p @ ( ap @ C @ D ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ERIGHT__OR__EXISTS__THM)).

thf(399,plain,(
    ! [A: del,B: $o,C: $i] :
      ( ( mem @ C @ ( arr @ A @ bool ) )
     => ( ( ( p @ ( inj__o @ B ) )
          | ? [D: $i] :
              ( ( mem @ D @ A )
              & ( p @ ( ap @ C @ D ) ) ) )
        = ( ? [D: $i] :
              ( ( mem @ D @ A )
              & ( ( p @ ( inj__o @ B ) )
                | ( p @ ( ap @ C @ D ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[69])).

thf(66,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( B = B )
        = $true ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EREFL__CLAUSE)).

thf(394,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[66])).

thf(46,axiom,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_2F_5C)).

thf(306,plain,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[46])).

thf(32,axiom,(
    mem @ c_2Ereal__topology_2Econtinuous__on @ ( arr @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( arr @ ( arr @ ty_2Erealax_2Ereal @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ereal__topology_2Econtinuous__on)).

thf(241,plain,(
    mem @ c_2Ereal__topology_2Econtinuous__on @ ( arr @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( arr @ ( arr @ ty_2Erealax_2Ereal @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(4,axiom,(
    $true ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ETRUTH)).

thf(80,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(58,axiom,
    ( ! [A: $o] :
        ( ( ~ ~ ( p @ ( inj__o @ A ) ) )
        = ( p @ ( inj__o @ A ) ) )
    & ( ( ~ $true ) = $false )
    & ( ( ~ $false ) = $true ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ENOT__CLAUSES)).

thf(342,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[58])).

thf(16,axiom,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_7E)).

thf(145,plain,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(56,axiom,(
    ! [A: del,B: $i > $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( lam @ A @ B ) @ C )
        = ( B @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',beta)).

thf(338,plain,(
    ! [A: del,B: $i > $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( lam @ A @ B ) @ C )
        = ( B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[56])).

thf(51,axiom,(
    ! [A: $o] :
      ( ( ~ ( p @ ( inj__o @ A ) )
       => $false )
     => ( ( ( p @ ( inj__o @ A ) )
         => $false )
       => $false ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EAND__INV2)).

thf(319,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[51])).

thf(64,axiom,(
    mem @ c_2Ebool_2ET @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2ET)).

thf(390,plain,(
    mem @ c_2Ebool_2ET @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[64])).

thf(19,axiom,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_5C_2F @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_5C_2F)).

thf(171,plain,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_5C_2F @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(14,axiom,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) )
     => ( ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ A ) ) )
       => ( ( p @ ( inj__o @ A ) )
          = ( p @ ( inj__o @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EIMP__ANTISYM__AX)).

thf(119,plain,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) )
     => ( ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ A ) ) )
       => ( ( p @ ( inj__o @ A ) )
          = ( p @ ( inj__o @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(30,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',funcext)).

thf(235,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(40,axiom,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
     => ( ~ ( p @ ( inj__o @ A ) )
       => $false ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EAND__INV__IMP)).

thf(272,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).

thf(60,axiom,(
    ! [A: $o,B: $o] :
      ( ( ~ ( ( p @ ( inj__o @ A ) )
            | ( p @ ( inj__o @ B ) ) )
       => $false )
      = ( ( ( p @ ( inj__o @ A ) )
         => $false )
       => ( ~ ( p @ ( inj__o @ B ) )
         => $false ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2EOR__DUAL2)).

thf(346,plain,(
    ! [A: $o,B: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        | ( p @ ( inj__o @ B ) ) )
      = ( ~ ( p @ ( inj__o @ A ) )
       => ( p @ ( inj__o @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[60])).

thf(44,axiom,(
    ! [A: del,B: $o,C: $i] :
      ( ( mem @ C @ ( arr @ A @ bool ) )
     => ( ( ? [D: $i] :
              ( ( mem @ D @ A )
              & ( p @ ( inj__o @ B ) )
              & ( p @ ( ap @ C @ D ) ) ) )
        = ( ( p @ ( inj__o @ B ) )
          & ? [D: $i] :
              ( ( mem @ D @ A )
              & ( p @ ( ap @ C @ D ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ERIGHT__EXISTS__AND__THM)).

thf(300,plain,(
    ! [A: del,B: $o,C: $i] :
      ( ( mem @ C @ ( arr @ A @ bool ) )
     => ( ( ? [D: $i] :
              ( ( mem @ D @ A )
              & ( p @ ( inj__o @ B ) )
              & ( p @ ( ap @ C @ D ) ) ) )
        = ( ( p @ ( inj__o @ B ) )
          & ? [D: $i] :
              ( ( mem @ D @ A )
              & ( p @ ( ap @ C @ D ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).

thf(17,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__disj)).

thf(146,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(21,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(183,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(41,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( arr @ ty_2Erealax_2Ereal @ bool ) )
     => ! [B: $i] :
          ( ( mem @ B @ ( arr @ ty_2Erealax_2Ereal @ bool ) )
         => ! [C: $i] :
              ( ( mem @ C @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) )
             => ! [D: $i] :
                  ( ( mem @ D @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) )
                 => ( ( p @ ( ap @ ( ap @ c_2Ereal__topology_2Ehomeomorphism @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ ( arr @ ty_2Erealax_2Ereal @ bool ) @ ( arr @ ty_2Erealax_2Ereal @ bool ) ) @ A ) @ B ) ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) @ C ) @ D ) ) )
                    = ( ! [E: tp__ty_2Erealax_2Ereal] :
                          ( ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ty_2Erealax_2Ereal ) @ ( inj__ty_2Erealax_2Ereal @ E ) ) @ A ) )
                         => ( ( surj__ty_2Erealax_2Ereal @ ( ap @ D @ ( ap @ C @ ( inj__ty_2Erealax_2Ereal @ E ) ) ) )
                            = E ) )
                      & ( ( ap @ ( ap @ ( c_2Epred__set_2EIMAGE @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ C ) @ A )
                        = B )
                      & ( p @ ( ap @ ( ap @ c_2Ereal__topology_2Econtinuous__on @ C ) @ A ) )
                      & ! [E: tp__ty_2Erealax_2Ereal] :
                          ( ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ty_2Erealax_2Ereal ) @ ( inj__ty_2Erealax_2Ereal @ E ) ) @ B ) )
                         => ( ( surj__ty_2Erealax_2Ereal @ ( ap @ C @ ( ap @ D @ ( inj__ty_2Erealax_2Ereal @ E ) ) ) )
                            = E ) )
                      & ( ( ap @ ( ap @ ( c_2Epred__set_2EIMAGE @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ D ) @ B )
                        = A )
                      & ( p @ ( ap @ ( ap @ c_2Ereal__topology_2Econtinuous__on @ D ) @ B ) ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_thm_2Ereal__topology_2Ehomeomorphism)).

thf(273,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( arr @ ty_2Erealax_2Ereal @ bool ) )
     => ! [B: $i] :
          ( ( mem @ B @ ( arr @ ty_2Erealax_2Ereal @ bool ) )
         => ! [C: $i] :
              ( ( mem @ C @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) )
             => ! [D: $i] :
                  ( ( mem @ D @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) )
                 => ( ( p @ ( ap @ ( ap @ c_2Ereal__topology_2Ehomeomorphism @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ ( arr @ ty_2Erealax_2Ereal @ bool ) @ ( arr @ ty_2Erealax_2Ereal @ bool ) ) @ A ) @ B ) ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) @ C ) @ D ) ) )
                    = ( ! [E: tp__ty_2Erealax_2Ereal] :
                          ( ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ty_2Erealax_2Ereal ) @ ( inj__ty_2Erealax_2Ereal @ E ) ) @ A ) )
                         => ( ( surj__ty_2Erealax_2Ereal @ ( ap @ D @ ( ap @ C @ ( inj__ty_2Erealax_2Ereal @ E ) ) ) )
                            = E ) )
                      & ( ( ap @ ( ap @ ( c_2Epred__set_2EIMAGE @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ C ) @ A )
                        = B )
                      & ( p @ ( ap @ ( ap @ c_2Ereal__topology_2Econtinuous__on @ C ) @ A ) )
                      & ! [E: tp__ty_2Erealax_2Ereal] :
                          ( ( p @ ( ap @ ( ap @ ( c_2Ebool_2EIN @ ty_2Erealax_2Ereal ) @ ( inj__ty_2Erealax_2Ereal @ E ) ) @ B ) )
                         => ( ( surj__ty_2Erealax_2Ereal @ ( ap @ C @ ( ap @ D @ ( inj__ty_2Erealax_2Ereal @ E ) ) ) )
                            = E ) )
                      & ( ( ap @ ( ap @ ( c_2Epred__set_2EIMAGE @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ D ) @ B )
                        = A )
                      & ( p @ ( ap @ ( ap @ c_2Ereal__topology_2Econtinuous__on @ D ) @ B ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).

thf(12,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
        = ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_all_p)).

thf(107,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
        = ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(33,axiom,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_and_p)).

thf(242,plain,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(57,axiom,(
    ! [A: $o] :
      ( ( ~ ~ ( p @ ( inj__o @ A ) ) )
      = ( p @ ( inj__o @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2ENOT__NOT)).

thf(341,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[57])).

thf(38,axiom,(
    ! [A: $o] :
      ( ( ( $true
          = ( p @ ( inj__o @ A ) ) )
        = ( p @ ( inj__o @ A ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
          = $true )
        = ( p @ ( inj__o @ A ) ) )
      & ( ( $false
          = ( p @ ( inj__o @ A ) ) )
        = ( ~ ( p @ ( inj__o @ A ) ) ) )
      & ( ( ( p @ ( inj__o @ A ) )
          = $false )
        = ( ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEQ__CLAUSES)).

thf(268,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(67,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_3F @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_3F)).

thf(395,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_3F @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[67])).

thf(43,axiom,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Esat_2Edc__imp)).

thf(277,plain,(
    ! [A: $o,B: $o,C: $o] :
      ( ( ( p @ ( inj__o @ A ) )
        = ( ( p @ ( inj__o @ B ) )
         => ( p @ ( inj__o @ C ) ) ) )
      = ( ( ( p @ ( inj__o @ A ) )
          | ( p @ ( inj__o @ B ) ) )
        & ( ( p @ ( inj__o @ A ) )
          | ~ ( p @ ( inj__o @ C ) ) )
        & ( ~ ( p @ ( inj__o @ B ) )
          | ( p @ ( inj__o @ C ) )
          | ~ ( p @ ( inj__o @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).

thf(9,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
            = ( B = C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_eq_p)).

thf(90,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
            = ( B = C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(6,axiom,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( inj__ty_2Erealax_2Ereal @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_surj_ty_2Erealax_2Ereal)).

thf(83,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( inj__ty_2Erealax_2Ereal @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(406,plain,(
    $false ),
    inference(cvc4,[status(thm)],[234,88,276,269,142,185,320,257,389,110,357,189,93,316,78,321,397,221,312,307,233,380,252,324,169,343,266,180,402,71,391,313,335,86,187,81,230,98,303,240,251,198,399,394,306,241,80,342,145,338,319,390,171,119,235,272,346,300,146,183,273,107,242,341,268,395,277,90,83])).
%------------------------------------------------------------------------------
