%------------------------------------------------------------------------------
thf(del_type,type,(
    del: $tType )).

thf(bool_type,type,(
    bool: del )).

thf(arr_type,type,(
    arr: del > del > del )).

thf(mem_type,type,(
    mem: $i > del > $o )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(lam_type,type,(
    lam: del > ( $i > $i ) > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(inj__o_type,type,(
    inj__o: $o > $i )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $i )).

thf(fo__c_2Emin_2E_3D_3D_3E_type,type,(
    fo__c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: del > $i )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $i )).

thf(fo__c_2Ebool_2E_5C_2F_type,type,(
    fo__c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(ty_2Esum_2Esum_type,type,(
    ty_2Esum_2Esum: del > del > del )).

thf(c_2Esum_2EINR_type,type,(
    c_2Esum_2EINR: del > del > $i )).

thf(c_2Esum_2EINL_type,type,(
    c_2Esum_2EINL: del > del > $i )).

thf(c_2Esum_2Esum__CASE_type,type,(
    c_2Esum_2Esum__CASE: del > del > del > $i )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: del > $i )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: del > $i )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $i )).

thf(fo__c_2Ebool_2E_2F_5C_type,type,(
    fo__c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(28,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( ty_2Esum_2Esum @ A @ B ) )
     => ( ? [D: $i] :
            ( ( mem @ D @ A )
            & ( C
              = ( ap @ ( c_2Esum_2EINL @ A @ B ) @ D ) ) )
        | ? [D: $i] :
            ( ( mem @ D @ B )
            & ( C
              = ( ap @ ( c_2Esum_2EINR @ A @ B ) @ D ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Esum_2Esum__CASES)).

thf(153,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( ty_2Esum_2Esum @ A @ B ) )
     => ( ? [D: $i] :
            ( ( mem @ D @ A )
            & ( C
              = ( ap @ ( c_2Esum_2EINL @ A @ B ) @ D ) ) )
        | ? [D: $i] :
            ( ( mem @ D @ B )
            & ( C
              = ( ap @ ( c_2Esum_2EINR @ A @ B ) @ D ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(3,axiom,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_o)).

thf(46,plain,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(27,axiom,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D_3D_3E)).

thf(152,plain,(
    mem @ c_2Emin_2E_3D_3D_3E @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(12,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(84,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(8,axiom,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_2F_5C)).

thf(61,plain,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(24,axiom,(
    ! [A: del,B: $i > $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( lam @ A @ B ) @ C )
        = ( B @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',beta)).

thf(133,plain,(
    ! [A: del,B: $i > $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( lam @ A @ B ) @ C )
        = ( B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(9,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(70,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(5,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Esum_2EINL @ A @ B ) @ ( arr @ A @ ( ty_2Esum_2Esum @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Esum_2EINL)).

thf(53,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Esum_2EINL @ A @ B ) @ ( arr @ A @ ( ty_2Esum_2Esum @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(20,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Esum_2EINR @ A @ B ) @ ( arr @ B @ ( ty_2Esum_2Esum @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Esum_2EINR)).

thf(124,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Esum_2EINR @ A @ B ) @ ( arr @ B @ ( ty_2Esum_2Esum @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(29,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_3F @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_3F)).

thf(161,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_3F @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_imp_p)).

thf(86,plain,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(18,axiom,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Emin_2E_3D_3D_3E)).

thf(113,plain,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Emin_2E_3D_3D_3E @ A @ B ) )
      = ( ap @ ( ap @ c_2Emin_2E_3D_3D_3E @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(11,axiom,(
    ! [A: $o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_o)).

thf(81,plain,(
    ! [A: $o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(15,axiom,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_5C_2F)).

thf(98,plain,(
    mem @ c_2Ebool_2E_5C_2F @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(23,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( p @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_o)).

thf(130,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( p @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(14,axiom,(
    ! [A: del,B: del,C: $i > $i] :
      ( ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( C @ D ) @ B ) )
     => ( mem @ ( lam @ A @ C ) @ ( arr @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',lam_tp)).

thf(95,plain,(
    ! [A: del,B: del,C: $i > $i] :
      ( ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( C @ D ) @ B ) )
     => ( mem @ ( lam @ A @ C ) @ ( arr @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(22,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ B ) )
        = ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_ex_p)).

thf(127,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ B ) )
        = ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(10,axiom,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_5C_2F @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_5C_2F)).

thf(72,plain,(
    ! [A: $o,B: $o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_5C_2F @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(26,axiom,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_or_p)).

thf(143,plain,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_5C_2F @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(16,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',funcext)).

thf(99,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(17,axiom,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_and_p)).

thf(104,plain,(
    ! [A: $o,B: $o] :
      ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(6,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
            = ( B = C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_eq_p)).

thf(55,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
            = ( B = C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(7,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
        = ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_all_p)).

thf(58,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
        = ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(1,conjecture,(
    ! [A: del,B: del,C: del,D: $i] :
      ( ( mem @ D @ ( arr @ A @ C ) )
     => ! [E: $i] :
          ( ( mem @ E @ ( arr @ B @ C ) )
         => ! [F: $i] :
              ( ( mem @ F @ ( ty_2Esum_2Esum @ A @ B ) )
             => ! [G: $i] :
                  ( ( mem @ G @ ( ty_2Esum_2Esum @ A @ B ) )
                 => ! [H: $i] :
                      ( ( mem @ H @ ( arr @ A @ C ) )
                     => ! [I: $i] :
                          ( ( mem @ I @ ( arr @ B @ C ) )
                         => ( ( ( F = G )
                              & ! [J: $i] :
                                  ( ( mem @ J @ A )
                                 => ( ( G
                                      = ( ap @ ( c_2Esum_2EINL @ A @ B ) @ J ) )
                                   => ( ( ap @ H @ J )
                                      = ( ap @ D @ J ) ) ) )
                              & ! [J: $i] :
                                  ( ( mem @ J @ B )
                                 => ( ( G
                                      = ( ap @ ( c_2Esum_2EINR @ A @ B ) @ J ) )
                                   => ( ( ap @ I @ J )
                                      = ( ap @ E @ J ) ) ) ) )
                           => ( ( ap @ ( ap @ ( ap @ ( c_2Esum_2Esum__CASE @ A @ B @ C ) @ F ) @ H ) @ I )
                              = ( ap @ ( ap @ ( ap @ ( c_2Esum_2Esum__CASE @ A @ B @ C ) @ G ) @ D ) @ E ) ) ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Esum_2Esum__case__cong)).

thf(2,negated_conjecture,(
    ~ ! [A: del,B: del,C: del,D: $i] :
        ( ( mem @ D @ ( arr @ A @ C ) )
       => ! [E: $i] :
            ( ( mem @ E @ ( arr @ B @ C ) )
           => ! [F: $i] :
                ( ( mem @ F @ ( ty_2Esum_2Esum @ A @ B ) )
               => ! [G: $i] :
                    ( ( mem @ G @ ( ty_2Esum_2Esum @ A @ B ) )
                   => ! [H: $i] :
                        ( ( mem @ H @ ( arr @ A @ C ) )
                       => ! [I: $i] :
                            ( ( mem @ I @ ( arr @ B @ C ) )
                           => ( ( ( F = G )
                                & ! [J: $i] :
                                    ( ( mem @ J @ A )
                                   => ( ( G
                                        = ( ap @ ( c_2Esum_2EINL @ A @ B ) @ J ) )
                                     => ( ( ap @ H @ J )
                                        = ( ap @ D @ J ) ) ) )
                                & ! [J: $i] :
                                    ( ( mem @ J @ B )
                                   => ( ( G
                                        = ( ap @ ( c_2Esum_2EINR @ A @ B ) @ J ) )
                                     => ( ( ap @ I @ J )
                                        = ( ap @ E @ J ) ) ) ) )
                             => ( ( ap @ ( ap @ ( ap @ ( c_2Esum_2Esum__CASE @ A @ B @ C ) @ F ) @ H ) @ I )
                                = ( ap @ ( ap @ ( ap @ ( c_2Esum_2Esum__CASE @ A @ B @ C ) @ G ) @ D ) @ E ) ) ) ) ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(30,plain,(
    ~ ! [A: del,B: del,C: del,D: $i] :
        ( ( mem @ D @ ( arr @ A @ C ) )
       => ! [E: $i] :
            ( ( mem @ E @ ( arr @ B @ C ) )
           => ! [F: $i] :
                ( ( mem @ F @ ( ty_2Esum_2Esum @ A @ B ) )
               => ! [G: $i] :
                    ( ( mem @ G @ ( ty_2Esum_2Esum @ A @ B ) )
                   => ! [H: $i] :
                        ( ( mem @ H @ ( arr @ A @ C ) )
                       => ! [I: $i] :
                            ( ( mem @ I @ ( arr @ B @ C ) )
                           => ( ( ( F = G )
                                & ! [J: $i] :
                                    ( ( mem @ J @ A )
                                   => ( ( G
                                        = ( ap @ ( c_2Esum_2EINL @ A @ B ) @ J ) )
                                     => ( ( ap @ H @ J )
                                        = ( ap @ D @ J ) ) ) )
                                & ! [J: $i] :
                                    ( ( mem @ J @ B )
                                   => ( ( G
                                        = ( ap @ ( c_2Esum_2EINR @ A @ B ) @ J ) )
                                     => ( ( ap @ I @ J )
                                        = ( ap @ E @ J ) ) ) ) )
                             => ( ( ap @ ( ap @ ( ap @ ( c_2Esum_2Esum__CASE @ A @ B @ C ) @ F ) @ H ) @ I )
                                = ( ap @ ( ap @ ( ap @ ( c_2Esum_2Esum__CASE @ A @ B @ C ) @ G ) @ D ) @ E ) ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(4,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ap_tp)).

thf(51,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(21,axiom,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_2F_5C)).

thf(126,plain,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(25,axiom,(
    ! [A: del,B: del,C: del] :
      ( ! [D: $i] :
          ( ( mem @ D @ A )
         => ! [E: $i] :
              ( ( mem @ E @ ( arr @ A @ C ) )
             => ! [F: $i] :
                  ( ( mem @ F @ ( arr @ B @ C ) )
                 => ( ( ap @ ( ap @ ( ap @ ( c_2Esum_2Esum__CASE @ A @ B @ C ) @ ( ap @ ( c_2Esum_2EINL @ A @ B ) @ D ) ) @ E ) @ F )
                    = ( ap @ E @ D ) ) ) ) )
      & ! [D: $i] :
          ( ( mem @ D @ B )
         => ! [E: $i] :
              ( ( mem @ E @ ( arr @ A @ C ) )
             => ! [F: $i] :
                  ( ( mem @ F @ ( arr @ B @ C ) )
                 => ( ( ap @ ( ap @ ( ap @ ( c_2Esum_2Esum__CASE @ A @ B @ C ) @ ( ap @ ( c_2Esum_2EINR @ A @ B ) @ D ) ) @ E ) @ F )
                    = ( ap @ F @ D ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_thm_2Esum_2Esum__case__def)).

thf(136,plain,(
    ! [A: del,B: del,C: del] :
      ( ! [D: $i] :
          ( ( mem @ D @ A )
         => ! [E: $i] :
              ( ( mem @ E @ ( arr @ A @ C ) )
             => ! [F: $i] :
                  ( ( mem @ F @ ( arr @ B @ C ) )
                 => ( ( ap @ ( ap @ ( ap @ ( c_2Esum_2Esum__CASE @ A @ B @ C ) @ ( ap @ ( c_2Esum_2EINL @ A @ B ) @ D ) ) @ E ) @ F )
                    = ( ap @ E @ D ) ) ) ) )
      & ! [D: $i] :
          ( ( mem @ D @ B )
         => ! [E: $i] :
              ( ( mem @ E @ ( arr @ A @ C ) )
             => ! [F: $i] :
                  ( ( mem @ F @ ( arr @ B @ C ) )
                 => ( ( ap @ ( ap @ ( ap @ ( c_2Esum_2Esum__CASE @ A @ B @ C ) @ ( ap @ ( c_2Esum_2EINR @ A @ B ) @ D ) ) @ E ) @ F )
                    = ( ap @ F @ D ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(19,axiom,(
    ! [A: del,B: del,C: del] :
      ( mem @ ( c_2Esum_2Esum__CASE @ A @ B @ C ) @ ( arr @ ( ty_2Esum_2Esum @ A @ B ) @ ( arr @ ( arr @ A @ C ) @ ( arr @ ( arr @ B @ C ) @ C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Esum_2Esum__CASE)).

thf(122,plain,(
    ! [A: del,B: del,C: del] :
      ( mem @ ( c_2Esum_2Esum__CASE @ A @ B @ C ) @ ( arr @ ( ty_2Esum_2Esum @ A @ B ) @ ( arr @ ( arr @ A @ C ) @ ( arr @ ( arr @ B @ C ) @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(165,plain,(
    $false ),
    inference(cvc4,[status(thm)],[153,46,152,84,61,133,70,53,124,161,86,113,81,98,130,95,127,72,143,99,104,55,58,30,51,126,136,122])).
%------------------------------------------------------------------------------
