%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:35:57 EDT 2019

% Result     : Theorem 6.31s
% Output     : CNFRefutation 6.31s
% Verified   : 
% Statistics : Number of formulae       :   17 (  23 expanded)
%              Number of leaves         :   10 (  12 expanded)
%              Depth                    :    4
%              Number of atoms          :   81 ( 141 expanded)
%              Number of equality atoms :    4 (   4 expanded)
%              Maximal formula depth    :   14 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Erelation_2Einv__image_type,type,(
    c_2Erelation_2Einv__image: 
      !>[TA: $tType,TB: $tType] :
        ( ( TB > TB > $o ) > ( TA > TB ) > TA > TA > $o ) )).

thf(c_2Erelation_2Ereflexive_type,type,(
    c_2Erelation_2Ereflexive: 
      !>[TA: $tType] :
        ( ( TA > TA > $o ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(skt2_type,type,(
    skt2: $tType )).

thf(sk1_type,type,(
    sk1: skt1 > skt1 > $o )).

thf(sk2_type,type,(
    sk2: skt2 > skt1 )).

thf(1,conjecture,(
    ! [TA: $tType,TB: $tType,A: TA > TA > $o,B: TB > TA] :
      ( ( c_2Erelation_2Ereflexive @ TA @ A )
     => ( c_2Erelation_2Ereflexive @ TB @ ( c_2Erelation_2Einv__image @ TB @ TA @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2Ereflexive__inv__image)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,TB: $tType,A: TA > TA > $o,B: TB > TA] :
        ( ( c_2Erelation_2Ereflexive @ TA @ A )
       => ( c_2Erelation_2Ereflexive @ TB @ ( c_2Erelation_2Einv__image @ TB @ TA @ A @ B ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(5,plain,(
    ~ ! [TA: $tType,TB: $tType,A: TA > TA > $o,B: TB > TA] :
        ( ( c_2Erelation_2Ereflexive @ TA @ A )
       => ( c_2Erelation_2Ereflexive @ TB @ ( c_2Erelation_2Einv__image @ TB @ TA @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(6,plain,(
    ~ ( c_2Erelation_2Ereflexive @ skt2 @ ( c_2Erelation_2Einv__image @ skt2 @ skt1 @ sk1 @ sk2 ) ) ),
    inference(cnf,[status(esa)],[5])).

thf(7,plain,(
    c_2Erelation_2Ereflexive @ skt1 @ sk1 ),
    inference(cnf,[status(esa)],[5])).

thf(4,axiom,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2Ereflexive @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2Ereflexive__def)).

thf(11,plain,(
    ! [TA: $tType,A: TA > TA > $o] :
      ( ( c_2Erelation_2Ereflexive @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(3,axiom,(
    ! [TA: $tType,TB: $tType,A: TB > TB > $o,B: TA > TB,C: TA,D: TA] :
      ( ( c_2Erelation_2Einv__image @ TA @ TB @ A @ B @ C @ D )
      = ( A @ ( B @ C ) @ ( B @ D ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2Einv__image__thm)).

thf(8,plain,(
    ! [TA: $tType,TB: $tType,A: TB > TB > $o,B: TA > TB,C: TA,D: TA] :
      ( ( c_2Erelation_2Einv__image @ TA @ TB @ A @ B @ C @ D )
      = ( A @ ( B @ C ) @ ( B @ D ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(28,plain,(
    $false ),
    inference(iprover,[status(thm)],[5,6,7,11,8])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.06/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.12  % CPULimit   : 300
% 0.06/0.12  % DateTime   : Tue Jul 30 14:39:54 EDT 2019
% 0.06/0.12  % CPUTime    : 
% 2.65/1.14  % [INFO] 	 Running in sequential loop mode. 
% 3.15/1.32  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.61/1.38  % [INFO] 	 iprover registered as external prover. 
% 3.61/1.38  % [INFO] 	 e registered as external prover. 
% 3.61/1.38  % [INFO] 	 cvc4 registered as external prover. 
% 3.61/1.38  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.61/1.43  % [INFO] 	 Found a conjecture and 16 axioms. Running axiom selection ... 
% 4.06/1.47  % [INFO] 	 Axiom selection finished. Selected 2 axioms (removed 14 axioms). 
% 4.06/1.49  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.31/2.16  % [INFO] 	 Killing All external provers ... 
% 6.31/2.16  % Time passed: 1905ms
% 6.31/2.16  % Effective reasoning time: 1015ms
% 6.31/2.16  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.31/2.16  % Axioms used in derivation (2): thm_2Erelation_2Ereflexive__def, thm_2Erelation_2Einv__image__thm
% 6.31/2.16  % No. of inferences in proof: 10
% 6.31/2.16  % No. of processed clauses: 3
% 6.31/2.16  % No. of generated clauses: 5
% 6.31/2.16  % No. of forward subsumed clauses: 0
% 6.31/2.16  % No. of backward subsumed clauses: 0
% 6.31/2.16  % No. of ground rewrite rules in store: 2
% 6.31/2.16  % No. of non-ground rewrite rules in store: 0
% 6.31/2.16  % No. of positive (non-rewrite) units in store: 1
% 6.31/2.16  % No. of negative (non-rewrite) units in store: 0
% 6.31/2.16  % No. of choice functions detected: 0
% 6.31/2.16  % No. of choice instantiations: 0
% 6.31/2.17  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 1905 ms resp. 1015 ms w/o parsing
% 6.31/2.18  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.31/2.18  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.31/2.18  thf(c_2Erelation_2Einv__image_type, type, c_2Erelation_2Einv__image: !>[TA: $tType,TB: $tType]: ((TB > (TB > $o)) > ((TA > TB) > (TA > (TA > $o))))).
% 6.31/2.18  thf(c_2Erelation_2Ereflexive_type, type, c_2Erelation_2Ereflexive: !>[TA: $tType]: ((TA > (TA > $o)) > $o)).
% 6.31/2.18  thf(skt1_type, type, skt1: $tType).
% 6.31/2.18  thf(skt2_type, type, skt2: $tType).
% 6.31/2.18  thf(sk1_type, type, sk1: (skt1 > (skt1 > $o))).
% 6.31/2.18  thf(sk2_type, type, sk2: (skt2 > skt1)).
% 6.31/2.18  thf(1,conjecture,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > $o)),B:(TB > TA)]: ((c_2Erelation_2Ereflexive @ TA @ A) => (c_2Erelation_2Ereflexive @ TB @ (c_2Erelation_2Einv__image @ TB @ TA @ A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2Ereflexive__inv__image)).
% 6.31/2.18  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > $o)),B:(TB > TA)]: ((c_2Erelation_2Ereflexive @ TA @ A) => (c_2Erelation_2Ereflexive @ TB @ (c_2Erelation_2Einv__image @ TB @ TA @ A @ B))))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.31/2.18  thf(5,plain,((~ (! [TA: $tType,TB: $tType]: (! [A:(TA > (TA > $o)),B:(TB > TA)]: ((c_2Erelation_2Ereflexive @ TA @ (A)) => (c_2Erelation_2Ereflexive @ TB @ (c_2Erelation_2Einv__image @ TB @ TA @ A @ B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.31/2.18  thf(6,plain,((~ (c_2Erelation_2Ereflexive @ skt2 @ (c_2Erelation_2Einv__image @ skt2 @ skt1 @ sk1 @ sk2)))),inference(cnf,[status(esa)],[5])).
% 6.31/2.18  thf(7,plain,((c_2Erelation_2Ereflexive @ skt1 @ (sk1))),inference(cnf,[status(esa)],[5])).
% 6.31/2.18  thf(4,axiom,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Ereflexive @ TA @ A) = (! [B:TA]: (A @ B @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2Ereflexive__def)).
% 6.31/2.18  thf(11,plain,((! [TA: $tType]: (! [A:(TA > (TA > $o))]: ((c_2Erelation_2Ereflexive @ TA @ (A)) = (! [B:TA]: (A @ B @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.31/2.18  thf(3,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TB > (TB > $o)),B:(TA > TB),C:TA,D:TA]: ((c_2Erelation_2Einv__image @ TA @ TB @ A @ B @ C @ D) = (A @ (B @ C) @ (B @ D)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Erelation_2Einv__image__thm)).
% 6.31/2.18  thf(8,plain,((! [TA: $tType,TB: $tType]: (! [A:(TB > (TB > $o)),B:(TA > TB),C:TA,D:TA]: ((c_2Erelation_2Einv__image @ TA @ TB @ (A) @ (B) @ C @ D) = (A @ (B @ C) @ (B @ D)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.31/2.18  thf(28,plain,($false),inference(iprover,[status(thm)],[5,6,7,11,8])).
% 6.31/2.18  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.31/2.18  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
