%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:35:59 EDT 2019

% Result     : Theorem 6.38s
% Output     : CNFRefutation 6.38s
% Verified   : 
% Statistics : Number of formulae       :   56 (  75 expanded)
%              Number of leaves         :   25 (  34 expanded)
%              Depth                    :    4
%              Number of atoms          :  228 ( 337 expanded)
%              Number of equality atoms :   35 (  53 expanded)
%              Maximal formula depth    :    9 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Erelation_2EINVOL_type,type,(
    c_2Erelation_2EINVOL: 
      !>[TA: $tType] :
        ( ( TA > TA ) > $o ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Erelation_2Einv_type,type,(
    c_2Erelation_2Einv: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > TB > $o ) > TB > TA > $o ) )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(5,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
      = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(23,plain,(
    ! [TA: $tType] : c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(24,plain,(
    c_2Ebool_2ET ),
    inference(cnf,[status(esa)],[23])).

thf(11,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(37,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(6,axiom,(
    ! [TA: $tType,A: $o] :
      ( ( ! [B: TA] : A )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).

thf(25,plain,(
    ! [TA: $tType] : $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(4,axiom,(
    ! [TA: $tType,TB: $tType,A: TA > TB > $o] :
      ( ( c_2Erelation_2Einv @ TB @ TA @ ( c_2Erelation_2Einv @ TA @ TB @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2Einv__inv)).

thf(20,plain,(
    ! [TA: $tType,TB: $tType,A: TA > TB > $o] :
      ( ( c_2Erelation_2Einv @ TB @ TA @ ( c_2Erelation_2Einv @ TA @ TB @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(12,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(46,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(14,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(60,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(8,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(28,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(40,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $false )
    = ( $true
     => $false ) ),
    inference(instance,[status(thm)],[37])).

thf(41,plain,(
    ~ ( c_2Emin_2E_3D_3D_3E @ $true @ $false ) ),
    inference(simp,[status(thm)],[40])).

thf(10,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(34,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(3,axiom,(
    ! [TA: $tType,A: TA > TA] :
      ( ( c_2Erelation_2EINVOL @ TA @ A )
      = ( ! [B: TA] :
            ( ( A @ ( A @ B ) )
            = B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2EINVOL)).

thf(17,plain,(
    ! [TA: $tType,A: TA > TA] :
      ( ( c_2Erelation_2EINVOL @ TA @ A )
      = ( ! [B: TA] :
            ( ( A @ ( A @ B ) )
            = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(51,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(58,plain,
    ( ( c_2Ebool_2E_5C_2F @ $false @ $false )
    = ( $false
      | $false ) ),
    inference(instance,[status(thm)],[51])).

thf(59,plain,(
    ~ ( c_2Ebool_2E_5C_2F @ $false @ $false ) ),
    inference(simp,[status(thm)],[58])).

thf(7,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(27,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(38,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $true )
    = ( $true
     => $true ) ),
    inference(instance,[status(thm)],[37])).

thf(39,plain,(
    c_2Emin_2E_3D_3D_3E @ $true @ $true ),
    inference(simp,[status(thm)],[38])).

thf(47,plain,
    ( ( c_2Ebool_2E_7E @ $true )
    = ( ~ $true ) ),
    inference(instance,[status(thm)],[46])).

thf(48,plain,(
    ~ ( c_2Ebool_2E_7E @ $true ) ),
    inference(simp,[status(thm)],[47])).

thf(49,plain,
    ( ( c_2Ebool_2E_7E @ $false )
    = ( ~ $false ) ),
    inference(instance,[status(thm)],[46])).

thf(50,plain,(
    c_2Ebool_2E_7E @ $false ),
    inference(simp,[status(thm)],[49])).

thf(1,conjecture,(
    ! [TA: $tType] :
      ( c_2Erelation_2EINVOL @ ( TA > TA > $o ) @ ( c_2Erelation_2Einv @ TA @ TA ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2Einv__INVOL)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType] :
        ( c_2Erelation_2EINVOL @ ( TA > TA > $o ) @ ( c_2Erelation_2Einv @ TA @ TA ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(15,plain,(
    ~ ! [TA: $tType] :
        ( c_2Erelation_2EINVOL @ ( TA > TA > $o ) @ ( c_2Erelation_2Einv @ TA @ TA ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(16,plain,(
    ~ ( c_2Erelation_2EINVOL @ ( skt1 > skt1 > $o ) @ ( c_2Erelation_2Einv @ skt1 @ skt1 ) ) ),
    inference(cnf,[status(esa)],[15])).

thf(9,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(31,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(42,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $false @ $true )
    = ( $false
     => $true ) ),
    inference(instance,[status(thm)],[37])).

thf(43,plain,(
    c_2Emin_2E_3D_3D_3E @ $false @ $true ),
    inference(simp,[status(thm)],[42])).

thf(18,plain,(
    ! [TA: $tType,A: TA > TA] :
      ( ( c_2Erelation_2EINVOL @ TA @ A )
      = ( ! [B: TA] :
            ( ( A @ ( A @ B ) )
            = B ) ) ) ),
    inference(cnf,[status(esa)],[17])).

thf(19,plain,(
    ! [TA: $tType,A: TA > TA] :
      ( ( c_2Erelation_2EINVOL @ TA @ A )
      = ( ! [B: TA] :
            ( ( A @ ( A @ B ) )
            = B ) ) ) ),
    inference(lifteq,[status(thm)],[18])).

thf(91,plain,(
    $false ),
    inference(iprover,[status(thm)],[24,37,25,20,46,60,28,41,34,17,59,27,39,48,50,16,31,43,23,51,19,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.00/0.10  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.10/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.10/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.10/0.12  % CPULimit   : 300
% 0.10/0.12  % DateTime   : Tue Jul 30 14:38:42 EDT 2019
% 0.10/0.12  % CPUTime    : 
% 2.26/1.13  % [INFO] 	 Running in sequential loop mode. 
% 2.91/1.32  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.19/1.38  % [INFO] 	 iprover registered as external prover. 
% 3.19/1.38  % [INFO] 	 e registered as external prover. 
% 3.19/1.38  % [INFO] 	 cvc4 registered as external prover. 
% 3.39/1.39  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.39/1.43  % [INFO] 	 Found a conjecture and 12 axioms. Running axiom selection ... 
% 3.65/1.46  % [INFO] 	 Axiom selection finished. Selected 12 axioms (removed 0 axioms). 
% 3.70/1.50  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.97/2.30  % [INFO] 	 Killing All external provers ... 
% 6.38/2.30  % Time passed: 2047ms
% 6.38/2.30  % Effective reasoning time: 1164ms
% 6.38/2.30  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.38/2.30  % Axioms used in derivation (12): logicdef_2E_3D, thm_2Ebool_2EREFL__CLAUSE, logicdef_2E_5C_2F, quantdef_2E_21, thm_2Ebool_2ETRUTH, logicdef_2E_3D_3D_3E, thm_2Erelation_2EINVOL, thm_2Erelation_2Einv__inv, thm_2Ebool_2EFORALL__SIMP, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 6.38/2.30  % No. of inferences in proof: 44
% 6.38/2.30  % No. of processed clauses: 10
% 6.38/2.30  % No. of generated clauses: 3
% 6.38/2.30  % No. of forward subsumed clauses: 1
% 6.38/2.30  % No. of backward subsumed clauses: 0
% 6.38/2.30  % No. of ground rewrite rules in store: 9
% 6.38/2.30  % No. of non-ground rewrite rules in store: 0
% 6.38/2.30  % No. of positive (non-rewrite) units in store: 1
% 6.38/2.30  % No. of negative (non-rewrite) units in store: 0
% 6.38/2.30  % No. of choice functions detected: 0
% 6.38/2.30  % No. of choice instantiations: 0
% 6.38/2.31  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2047 ms resp. 1164 ms w/o parsing
% 6.38/2.33  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.38/2.33  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.38/2.33  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.38/2.33  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 6.38/2.33  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 6.38/2.33  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 6.38/2.33  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.38/2.33  thf(c_2Erelation_2EINVOL_type, type, c_2Erelation_2EINVOL: !>[TA: $tType]: ((TA > TA) > $o)).
% 6.38/2.33  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 6.38/2.33  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 6.38/2.33  thf(c_2Erelation_2Einv_type, type, c_2Erelation_2Einv: !>[TA: $tType,TB: $tType]: ((TA > (TB > $o)) > (TB > (TA > $o)))).
% 6.38/2.33  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 6.38/2.33  thf(skt1_type, type, skt1: $tType).
% 6.38/2.33  thf(5,axiom,((! [TA: $tType]: (! [A:TA]: ((A = A) = c_2Ebool_2ET)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).
% 6.38/2.33  thf(23,plain,((! [TA: $tType]: (c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.38/2.33  thf(24,plain,(c_2Ebool_2ET),inference(cnf,[status(esa)],[23])).
% 6.38/2.33  thf(11,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 6.38/2.33  thf(37,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 6.38/2.33  thf(6,axiom,((! [TA: $tType]: (! [A:$o]: ((! [B:TA]: (A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).
% 6.38/2.33  thf(25,plain,((! [TA: $tType]: ($true))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 6.38/2.33  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > $o))]: ((c_2Erelation_2Einv @ TB @ TA @ (c_2Erelation_2Einv @ TA @ TB @ A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2Einv__inv)).
% 6.38/2.33  thf(20,plain,((! [TA: $tType,TB: $tType]: (! [A:(TA > (TB > $o))]: ((c_2Erelation_2Einv @ TB @ TA @ (c_2Erelation_2Einv @ TA @ TB @ A)) = (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.38/2.33  thf(12,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 6.38/2.33  thf(46,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 6.38/2.33  thf(14,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 6.38/2.33  thf(60,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 6.38/2.33  thf(8,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 6.38/2.33  thf(28,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 6.38/2.33  thf(40,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $false) = (($true) => ($false)))),inference(instance,[status(thm)],[37])).
% 6.38/2.33  thf(41,plain,((~ (c_2Emin_2E_3D_3D_3E @ $true @ $false))),inference(simp,[status(thm)],[40])).
% 6.38/2.33  thf(10,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 6.38/2.33  thf(34,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 6.38/2.33  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > TA)]: ((c_2Erelation_2EINVOL @ TA @ A) = (! [B:TA]: ((A @ (A @ B)) = B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2EINVOL)).
% 6.38/2.33  thf(17,plain,((! [TA: $tType]: (! [A:(TA > TA)]: ((c_2Erelation_2EINVOL @ TA @ (A)) = (! [B:TA]: ((A @ (A @ B)) = B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.38/2.33  thf(13,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 6.38/2.33  thf(51,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 6.38/2.33  thf(58,plain,(((c_2Ebool_2E_5C_2F @ $false @ $false) = (($false) | ($false)))),inference(instance,[status(thm)],[51])).
% 6.38/2.33  thf(59,plain,((~ (c_2Ebool_2E_5C_2F @ $false @ $false))),inference(simp,[status(thm)],[58])).
% 6.38/2.33  thf(7,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 6.38/2.33  thf(27,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 6.38/2.33  thf(38,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $true) = (($true) => ($true)))),inference(instance,[status(thm)],[37])).
% 6.38/2.33  thf(39,plain,((c_2Emin_2E_3D_3D_3E @ $true @ $true)),inference(simp,[status(thm)],[38])).
% 6.38/2.33  thf(47,plain,(((c_2Ebool_2E_7E @ $true) = (~ ($true)))),inference(instance,[status(thm)],[46])).
% 6.38/2.33  thf(48,plain,((~ (c_2Ebool_2E_7E @ $true))),inference(simp,[status(thm)],[47])).
% 6.38/2.33  thf(49,plain,(((c_2Ebool_2E_7E @ $false) = (~ ($false)))),inference(instance,[status(thm)],[46])).
% 6.38/2.33  thf(50,plain,((c_2Ebool_2E_7E @ $false)),inference(simp,[status(thm)],[49])).
% 6.38/2.33  thf(1,conjecture,((! [TA: $tType]: (c_2Erelation_2EINVOL @ (TA > (TA > $o)) @ (c_2Erelation_2Einv @ TA @ TA)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erelation_2Einv__INVOL)).
% 6.38/2.33  thf(2,negated_conjecture,((~ (! [TA: $tType]: (c_2Erelation_2EINVOL @ (TA > (TA > $o)) @ (c_2Erelation_2Einv @ TA @ TA))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.38/2.33  thf(15,plain,((~ (! [TA: $tType]: (c_2Erelation_2EINVOL @ (TA > (TA > $o)) @ (c_2Erelation_2Einv @ TA @ TA))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.38/2.33  thf(16,plain,((~ (c_2Erelation_2EINVOL @ (skt1 > (skt1 > $o)) @ (c_2Erelation_2Einv @ skt1 @ skt1)))),inference(cnf,[status(esa)],[15])).
% 6.38/2.33  thf(9,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).
% 6.38/2.33  thf(31,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 6.38/2.33  thf(42,plain,(((c_2Emin_2E_3D_3D_3E @ $false @ $true) = (($false) => ($true)))),inference(instance,[status(thm)],[37])).
% 6.38/2.33  thf(43,plain,((c_2Emin_2E_3D_3D_3E @ $false @ $true)),inference(simp,[status(thm)],[42])).
% 6.38/2.33  thf(18,plain,(! [TA:$tType,A:(TA > TA)] : (((c_2Erelation_2EINVOL @ TA @ (A)) = (! [B:TA]: ((A @ (A @ B)) = B))))),inference(cnf,[status(esa)],[17])).
% 6.38/2.33  thf(19,plain,(! [TA:$tType,A:(TA > TA)] : (((c_2Erelation_2EINVOL @ TA @ (A)) = (! [B:TA]: ((A @ (A @ B)) = B))))),inference(lifteq,[status(thm)],[18])).
% 6.38/2.33  thf(91,plain,($false),inference(iprover,[status(thm)],[24,37,25,20,46,60,28,41,34,17,59,27,39,48,50,16,31,43,23,51,19,15])).
% 6.38/2.33  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.38/2.33  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
