%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:36:03 EDT 2019

% Result     : Theorem 48.61s
% Output     : CNFRefutation 48.61s
% Verified   : 
% Statistics : -

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Could not form TPTP format derivation
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.00/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.12/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.12/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.12/0.12  % CPULimit   : 300
% 0.12/0.12  % DateTime   : Tue Jul 30 14:50:39 EDT 2019
% 0.12/0.13  % CPUTime    : 
% 2.29/1.17  % [INFO] 	 Running in sequential loop mode. 
% 3.29/1.36  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.57/1.42  % [INFO] 	 iprover registered as external prover. 
% 3.57/1.43  % [INFO] 	 e registered as external prover. 
% 3.57/1.43  % [INFO] 	 cvc4 registered as external prover. 
% 3.57/1.43  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.95/1.47  % [INFO] 	 Found a conjecture and 9 axioms. Running axiom selection ... 
% 4.01/1.51  % [INFO] 	 Axiom selection finished. Selected 9 axioms (removed 0 axioms). 
% 4.24/1.54  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 48.61/13.84  % [INFO] 	 Killing All external provers ... 
% 48.61/13.84  % Time passed: 13578ms
% 48.61/13.84  % Effective reasoning time: 12664ms
% 48.61/13.84  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 48.61/13.84  % Axioms used in derivation (2): thm_2Eoption_2Eoption__induction, logicdef_2E_3D_3D_3E
% 48.61/13.84  % No. of inferences in proof: 29
% 48.61/13.84  % No. of processed clauses: 44
% 48.61/13.84  % No. of generated clauses: 1692
% 48.61/13.84  % No. of forward subsumed clauses: 40
% 48.61/13.84  % No. of backward subsumed clauses: 1
% 48.61/13.84  % No. of ground rewrite rules in store: 14
% 48.61/13.84  % No. of non-ground rewrite rules in store: 6
% 48.61/13.84  % No. of positive (non-rewrite) units in store: 0
% 48.61/13.84  % No. of negative (non-rewrite) units in store: 3
% 48.61/13.84  % No. of choice functions detected: 0
% 48.61/13.84  % No. of choice instantiations: 0
% 48.61/13.84  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 13578 ms resp. 12664 ms w/o parsing
% 48.61/13.87  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 48.61/13.87  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 48.61/13.87  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 48.61/13.87  thf(c_2Eoption_2ENONE_type, type, c_2Eoption_2ENONE: !>[TA: $tType]: (tyop_2Eoption_2Eoption @ TA)).
% 48.61/13.87  thf(c_2Eoption_2ESOME_type, type, c_2Eoption_2ESOME: !>[TA: $tType]: (TA > (tyop_2Eoption_2Eoption @ TA))).
% 48.61/13.87  thf(skt1_type, type, skt1: $tType).
% 48.61/13.87  thf(sk1_type, type, sk1: (tyop_2Eoption_2Eoption @ skt1)).
% 48.61/13.87  thf(sk2_type, type, sk2: !>[TA: $tType]: (((tyop_2Eoption_2Eoption @ TA) > $o) > TA)).
% 48.61/13.87  thf(3,axiom,((! [TA: $tType]: (! [A:((tyop_2Eoption_2Eoption @ TA) > $o)]: (((A @ (c_2Eoption_2ENONE @ TA)) & ! [B:TA]: (A @ (c_2Eoption_2ESOME @ TA @ B))) => (! [B:(tyop_2Eoption_2Eoption @ TA)]: (A @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eoption_2Eoption__induction)).
% 48.61/13.87  thf(17,plain,((! [TA: $tType]: (! [A:((tyop_2Eoption_2Eoption @ TA) > $o)]: (((A @ (c_2Eoption_2ENONE @ TA)) & ! [B:TA]: (A @ (c_2Eoption_2ESOME @ TA @ B))) => (! [B:(tyop_2Eoption_2Eoption @ TA)]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 48.61/13.87  thf(18,plain,(! [TA:$tType,B:(tyop_2Eoption_2Eoption @ TA),A:((tyop_2Eoption_2Eoption @ TA) > $o)] : ((~ (A @ (c_2Eoption_2ENONE @ TA))) | (~ (A @ (c_2Eoption_2ESOME @ TA @ (sk2 @ TA @ (A))))) | (A @ B))),inference(cnf,[status(esa)],[17])).
% 48.61/13.87  thf(111,plain,(! [TA:$tType,B:((tyop_2Eoption_2Eoption @ TA) > $o),A:(tyop_2Eoption_2Eoption @ TA)] : ((~ (~ (B @ (c_2Eoption_2ENONE @ TA)))) | (~ (~ (B @ (c_2Eoption_2ESOME @ TA @ (sk2 @ TA @ (^ [C:(tyop_2Eoption_2Eoption @ TA)]: ~ (B @ C))))))) | (~ (B @ A)))),inference(prim_subst,[status(thm)],[18:[bind(A, $thf(^ [D:(tyop_2Eoption_2Eoption @ T@)]: ~ (C @ D)))]])).
% 48.61/13.87  thf(184,plain,(! [TA:$tType,B:((tyop_2Eoption_2Eoption @ TA) > $o),A:(tyop_2Eoption_2Eoption @ TA)] : ((~ (B @ A)) | (B @ (c_2Eoption_2ESOME @ TA @ (sk2 @ TA @ (^ [C:(tyop_2Eoption_2Eoption @ TA)]: ~ (B @ C))))) | (B @ (c_2Eoption_2ENONE @ TA)))),inference(cnf,[status(esa)],[111])).
% 48.61/13.87  thf(192,plain,(! [TA:$tType,B:((tyop_2Eoption_2Eoption @ TA) > $o),A:(tyop_2Eoption_2Eoption @ TA)] : ((~ (B @ A)) | (B @ (c_2Eoption_2ESOME @ TA @ (sk2 @ TA @ (^ [C:(tyop_2Eoption_2Eoption @ TA)]: ~ (B @ C))))) | (B @ (c_2Eoption_2ENONE @ TA)))),inference(simp,[status(thm)],[184])).
% 48.61/13.87  thf(8,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 48.61/13.87  thf(35,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 48.61/13.87  thf(42,plain,(((c_2Emin_2E_3D_3D_3E @ $false @ $false) = (($false) => ($false)))),inference(instance,[status(thm)],[35])).
% 48.61/13.87  thf(43,plain,((c_2Emin_2E_3D_3D_3E @ $false @ $false)),inference(simp,[status(thm)],[42])).
% 48.61/13.87  thf(7635,plain,(! [TA:$tType,B:((tyop_2Eoption_2Eoption @ TA) > $o),A:(tyop_2Eoption_2Eoption @ TA)] : ((~ (B @ A)) | (B @ (c_2Eoption_2ENONE @ TA)) | (c_2Emin_2E_3D_3D_3E @ $true @ $false) | (B @ (c_2Eoption_2ESOME @ TA @ (sk2 @ TA @ (^ [C:(tyop_2Eoption_2Eoption @ TA)]: ~ (B @ C))))))),inference(paramod_ordered,[status(thm)],[192,43])).
% 48.61/13.87  thf(7776,plain,(! [TA:$tType,A:(tyop_2Eoption_2Eoption @ TA)] : ((~ (A = A)) | (A = (c_2Eoption_2ENONE @ TA)) | (c_2Emin_2E_3D_3D_3E @ $true @ $false) | (A = (c_2Eoption_2ESOME @ TA @ (sk2 @ TA @ (^ [B:(tyop_2Eoption_2Eoption @ TA)]: ~ (A = B))))))),inference(replace_leibeq,[status(thm)],[7635:[bind(A, $thf(A)),bind(B, $thf(= @ (tyop_2Eoption_2Eoption @ T@) @ A))]])).
% 48.61/13.87  thf(7971,plain,(! [TA:$tType,A:(tyop_2Eoption_2Eoption @ TA)] : ((A != A) | (A = (c_2Eoption_2ENONE @ TA)) | (A = (c_2Eoption_2ESOME @ TA @ (sk2 @ TA @ (^ [B:(tyop_2Eoption_2Eoption @ TA)]: ~ (A = B))))) | (c_2Emin_2E_3D_3D_3E @ $true @ $false))),inference(lifteq,[status(thm)],[7776])).
% 48.61/13.87  thf(8129,plain,(! [TA:$tType,A:(tyop_2Eoption_2Eoption @ TA)] : ((c_2Emin_2E_3D_3D_3E @ $true @ $false) | (A = (c_2Eoption_2ESOME @ TA @ (sk2 @ TA @ (^ [B:(tyop_2Eoption_2Eoption @ TA)]: ~ (A = B))))) | (A = (c_2Eoption_2ENONE @ TA)))),inference(pattern_uni,[status(thm)],[7971:[]])).
% 48.61/13.87  thf(38,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $false) = (($true) => ($false)))),inference(instance,[status(thm)],[35])).
% 48.61/13.87  thf(39,plain,((~ (c_2Emin_2E_3D_3D_3E @ $true @ $false))),inference(simp,[status(thm)],[38])).
% 48.61/13.87  thf(8216,plain,(! [TA:$tType,A:(tyop_2Eoption_2Eoption @ TA)] : ($false | (A = (c_2Eoption_2ESOME @ TA @ (sk2 @ TA @ (^ [B:(tyop_2Eoption_2Eoption @ TA)]: ~ (A = B))))) | (A = (c_2Eoption_2ENONE @ TA)))),inference(rewrite,[status(thm)],[8129,39])).
% 48.61/13.87  thf(8217,plain,(! [TA:$tType,A:(tyop_2Eoption_2Eoption @ TA)] : ((A = (c_2Eoption_2ESOME @ TA @ (sk2 @ TA @ (^ [B:(tyop_2Eoption_2Eoption @ TA)]: ~ (A = B))))) | (A = (c_2Eoption_2ENONE @ TA)))),inference(simp,[status(thm)],[8216])).
% 48.61/13.87  thf(1,conjecture,((! [TA: $tType]: (! [A:(tyop_2Eoption_2Eoption @ TA)]: ((A = (c_2Eoption_2ENONE @ TA)) | ? [B:TA]: (A = (c_2Eoption_2ESOME @ TA @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eoption_2Eoption__nchotomy)).
% 48.61/13.87  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(tyop_2Eoption_2Eoption @ TA)]: ((A = (c_2Eoption_2ENONE @ TA)) | ? [B:TA]: (A = (c_2Eoption_2ESOME @ TA @ B))))))),inference(neg_conjecture,[status(cth)],[1])).
% 48.61/13.87  thf(12,plain,((~ (! [TA: $tType]: (! [A:(tyop_2Eoption_2Eoption @ TA)]: ((A = (c_2Eoption_2ENONE @ TA)) | ? [B:TA]: (A = (c_2Eoption_2ESOME @ TA @ B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 48.61/13.87  thf(13,plain,(! [A:skt1] : ((~ (sk1 = (c_2Eoption_2ESOME @ skt1 @ A))))),inference(cnf,[status(esa)],[12])).
% 48.61/13.87  thf(15,plain,(! [A:skt1] : ((sk1 != (c_2Eoption_2ESOME @ skt1 @ A)))),inference(lifteq,[status(thm)],[13])).
% 48.61/13.87  thf(8928,plain,(! [B:skt1,A:(tyop_2Eoption_2Eoption @ skt1)] : ((A = (c_2Eoption_2ENONE @ skt1)) | (A != sk1) | ((c_2Eoption_2ESOME @ skt1 @ (sk2 @ skt1 @ (^ [C:(tyop_2Eoption_2Eoption @ skt1)]: ~ (A = C)))) != (c_2Eoption_2ESOME @ skt1 @ B)))),inference(paramod_ordered,[status(thm)],[8217,15])).
% 48.61/13.87  thf(8929,plain,(! [A:(tyop_2Eoption_2Eoption @ skt1)] : ((A = (c_2Eoption_2ENONE @ skt1)) | (A != sk1))),inference(pattern_uni,[status(thm)],[8928:[bind(A, $thf(A)),bind(B, $thf(sk2 @ skt1 @ (^ [C:(tyop_2Eoption_2Eoption @ skt1)]: ~ (A = C))))]])).
% 48.61/13.87  thf(8996,plain,((sk1 = (c_2Eoption_2ENONE @ skt1))),inference(simp,[status(thm)],[8929])).
% 48.61/13.87  thf(14,plain,((~ (sk1 = (c_2Eoption_2ENONE @ skt1)))),inference(cnf,[status(esa)],[12])).
% 48.61/13.87  thf(16,plain,((sk1 != (c_2Eoption_2ENONE @ skt1))),inference(lifteq,[status(thm)],[14])).
% 48.61/13.87  thf(9048,plain,($false),inference(simplifyReflect,[status(thm)],[8996,16])).
% 48.61/13.87  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 48.61/13.87  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
