%------------------------------------------------------------------------------
thf(tp_del,type,(
    del: $tType )).

thf(tp_ap,type,(
    ap: $i > $i > $i )).

thf(tp_arr,type,(
    arr: del > del > del )).

thf(tp_bool,type,(
    bool: del )).

thf(tp_c_2Ebool_2ET,type,(
    c_2Ebool_2ET: $i )).

thf(tp_c_2Ebool_2E_21,type,(
    c_2Ebool_2E_21: del > $i )).

thf(tp_c_2Ebool_2E_3F,type,(
    c_2Ebool_2E_3F: del > $i )).

thf(tp_c_2Emin_2E_3D,type,(
    c_2Emin_2E_3D: del > $i )).

thf(tp_c_2Epair_2EUNCURRY,type,(
    c_2Epair_2EUNCURRY: del > del > del > $i )).

thf(tp_c_2Epair_2E_2C,type,(
    c_2Epair_2E_2C: del > del > $i )).

thf(tp_fo__c_2Ebool_2ET,type,(
    fo__c_2Ebool_2ET: $o )).

thf(tp_ind,type,(
    ind: del )).

thf(tp_inj__o,type,(
    inj__o: $o > $i )).

thf(tp_lam,type,(
    lam: del > ( $i > $i ) > $i )).

thf(tp_mem,type,(
    mem: $i > del > $o )).

thf(tp_p,type,(
    p: $i > $o )).

thf(tp_sK10_X,type,(
    sK10_X: ( $i > $i ) > del > del > $i )).

thf(tp_sK11_V1x,type,(
    sK11_V1x: $o > del > $i )).

thf(tp_sK1_A_27a,type,(
    sK1_A_27a: del )).

thf(tp_sK2_SY54,type,(
    sK2_SY54: del )).

thf(tp_sK3_SY60,type,(
    sK3_SY60: del )).

thf(tp_sK4_SY65,type,(
    sK4_SY65: $i )).

thf(tp_sK5_SY70,type,(
    sK5_SY70: $i > $i )).

thf(tp_sK6_SY72,type,(
    sK6_SY72: $i > $i )).

thf(tp_sK7_X,type,(
    sK7_X: $i > del > $i )).

thf(tp_sK8_X,type,(
    sK8_X: $i > del > $i )).

thf(tp_sK9_X,type,(
    sK9_X: $i > $i > del > del > $i )).

thf(tp_ty_2Epair_2Eprod,type,(
    ty_2Epair_2Eprod: del > del > del )).

thf(1,axiom,(
    ! [A: del,Q: $i] :
      ( ( mem @ Q @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ Q ) )
      <=> ! [X: $i] :
            ( ( mem @ X @ A )
           => ( p @ ( ap @ Q @ X ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_all_p)).

thf(2,axiom,(
    ! [A_27a: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A_27a ) @ ( arr @ ( arr @ A_27a @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(3,axiom,(
    ! [A: del,X: $i] :
      ( ( mem @ X @ A )
     => ! [Y: $i] :
          ( ( mem @ Y @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ X ) @ Y ) )
          <=> ( X = Y ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_eq_p)).

thf(4,axiom,(
    ! [A_27a: del] :
      ( mem @ ( c_2Emin_2E_3D @ A_27a ) @ ( arr @ A_27a @ ( arr @ A_27a @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(5,axiom,(
    ! [A_27a: del,A_27b: del,A_27c: del] :
      ( mem @ ( c_2Epair_2EUNCURRY @ A_27a @ A_27b @ A_27c ) @ ( arr @ ( arr @ A_27a @ ( arr @ A_27b @ A_27c ) ) @ ( arr @ ( ty_2Epair_2Eprod @ A_27a @ A_27b ) @ A_27c ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Epair_2EUNCURRY)).

thf(6,axiom,(
    ! [A_27a: del,A_27b: del] :
      ( mem @ ( c_2Epair_2E_2C @ A_27a @ A_27b ) @ ( arr @ A_27a @ ( arr @ A_27b @ ( ty_2Epair_2Eprod @ A_27a @ A_27b ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Epair_2E_2C)).

thf(7,axiom,(
    p @ c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_true_p)).

thf(8,axiom,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2ET)).

thf(9,axiom,(
    mem @ c_2Ebool_2ET @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2ET)).

thf(10,axiom,(
    ! [A: del,Q: $i] :
      ( ( mem @ Q @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ Q ) )
      <=> ? [X: $i] :
            ( ( mem @ X @ A )
            & ( p @ ( ap @ Q @ X ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_ex_p)).

thf(11,axiom,(
    ! [A_27a: del] :
      ( mem @ ( c_2Ebool_2E_3F @ A_27a ) @ ( arr @ ( arr @ A_27a @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_3F)).

thf(12,axiom,(
    ! [A: del,F: $i > $i,X: $i] :
      ( ( mem @ X @ A )
     => ( ( ap @ ( lam @ A @ F ) @ X )
        = ( F @ X ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',beta)).

thf(13,axiom,(
    ! [A: del,B: del,F: $i] :
      ( ( mem @ F @ ( arr @ A @ B ) )
     => ! [G: $i] :
          ( ( mem @ G @ ( arr @ A @ B ) )
         => ( ! [X: $i] :
                ( ( mem @ X @ A )
               => ( ( ap @ F @ X )
                  = ( ap @ G @ X ) ) )
           => ( F = G ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',funcext)).

thf(14,axiom,(
    ! [A: del,B: del,F: $i > $i] :
      ( ! [X: $i] :
          ( ( mem @ X @ A )
         => ( mem @ ( F @ X ) @ B ) )
     => ( mem @ ( lam @ A @ F ) @ ( arr @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',lam_tp)).

thf(15,axiom,(
    ! [A: del,B: del,F: $i] :
      ( ( mem @ F @ ( arr @ A @ B ) )
     => ! [X: $i] :
          ( ( mem @ X @ A )
         => ( mem @ ( ap @ F @ X ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ap_tp)).

thf(16,axiom,(
    ! [X: $i] :
      ( ( mem @ X @ bool )
     => ( X
        = ( inj__o @ ( p @ X ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_iso_mem_o)).

thf(17,axiom,(
    ! [X: $o] :
      ( mem @ ( inj__o @ X ) @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_mem_o)).

thf(18,axiom,(
    ! [X: $o] :
      ( ( p @ ( inj__o @ X ) )
      = X ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_surj_o)).

thf(19,axiom,(
    ! [A_27a: del,A_27b: del,A_27c: del,V0f: $i] :
      ( ( mem @ V0f @ ( arr @ A_27a @ ( arr @ A_27b @ A_27c ) ) )
     => ! [V1x: $i] :
          ( ( mem @ V1x @ A_27a )
         => ! [V2y: $i] :
              ( ( mem @ V2y @ A_27b )
             => ( ( ap @ ( ap @ ( c_2Epair_2EUNCURRY @ A_27a @ A_27b @ A_27c ) @ V0f ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A_27a @ A_27b ) @ V1x ) @ V2y ) )
                = ( ap @ ( ap @ V0f @ V1x ) @ V2y ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Epair_2EUNCURRY__DEF)).

thf(20,axiom,(
    ! [A_27a: del,V0x: $i] :
      ( ( mem @ V0x @ A_27a )
     => ( ( V0x = V0x )
      <=> $true ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EREFL__CLAUSE)).

thf(21,axiom,(
    ! [A_27a: del,V0t: $o] :
      ( ! [V1x: $i] :
          ( ( mem @ V1x @ A_27a )
         => ( p @ ( inj__o @ V0t ) ) )
    <=> ( p @ ( inj__o @ V0t ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EFORALL__SIMP)).

thf(22,axiom,(
    $true ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ETRUTH)).

thf(23,conjecture,(
    ! [A_27a: del,A_27b: del,A_27c: del,V0f: $i] :
      ( ( mem @ V0f @ ( arr @ A_27a @ ( arr @ A_27b @ A_27c ) ) )
     => ? [V1fn: $i] :
          ( ( mem @ V1fn @ ( arr @ ( ty_2Epair_2Eprod @ A_27a @ A_27b ) @ A_27c ) )
          & ! [V2x: $i] :
              ( ( mem @ V2x @ A_27a )
             => ! [V3y: $i] :
                  ( ( mem @ V3y @ A_27b )
                 => ( ( ap @ V1fn @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A_27a @ A_27b ) @ V2x ) @ V3y ) )
                    = ( ap @ ( ap @ V0f @ V2x ) @ V3y ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Epair_2Epair__Axiom)).

thf(24,negated_conjecture,
    ( ( ! [A_27a: del,A_27b: del,A_27c: del,V0f: $i] :
          ( ( mem @ V0f @ ( arr @ A_27a @ ( arr @ A_27b @ A_27c ) ) )
         => ? [V1fn: $i] :
              ( ( mem @ V1fn @ ( arr @ ( ty_2Epair_2Eprod @ A_27a @ A_27b ) @ A_27c ) )
              & ! [V2x: $i] :
                  ( ( mem @ V2x @ A_27a )
                 => ! [V3y: $i] :
                      ( ( mem @ V3y @ A_27b )
                     => ( ( ap @ V1fn @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A_27a @ A_27b ) @ V2x ) @ V3y ) )
                        = ( ap @ ( ap @ V0f @ V2x ) @ V3y ) ) ) ) ) ) )
    = $false ),
    inference(negate_conjecture,[status(cth)],[23])).

thf(25,plain,
    ( ( ! [A_27a: del,A_27b: del,A_27c: del,V0f: $i] :
          ( ( mem @ V0f @ ( arr @ A_27a @ ( arr @ A_27b @ A_27c ) ) )
         => ? [V1fn: $i] :
              ( ( mem @ V1fn @ ( arr @ ( ty_2Epair_2Eprod @ A_27a @ A_27b ) @ A_27c ) )
              & ! [V2x: $i] :
                  ( ( mem @ V2x @ A_27a )
                 => ! [V3y: $i] :
                      ( ( mem @ V3y @ A_27b )
                     => ( ( ap @ V1fn @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A_27a @ A_27b ) @ V2x ) @ V3y ) )
                        = ( ap @ ( ap @ V0f @ V2x ) @ V3y ) ) ) ) ) ) )
    = $false ),
    inference(unfold_def,[status(thm)],[24])).

thf(26,plain,
    ( ( ! [A: del,Q: $i] :
          ( ( mem @ Q @ ( arr @ A @ bool ) )
         => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ Q ) )
          <=> ! [X: $i] :
                ( ( mem @ X @ A )
               => ( p @ ( ap @ Q @ X ) ) ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[1])).

thf(27,plain,
    ( ( ! [A_27a: del] :
          ( mem @ ( c_2Ebool_2E_21 @ A_27a ) @ ( arr @ ( arr @ A_27a @ bool ) @ bool ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[2])).

thf(28,plain,
    ( ( ! [A: del,X: $i] :
          ( ( mem @ X @ A )
         => ! [Y: $i] :
              ( ( mem @ Y @ A )
             => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ X ) @ Y ) )
              <=> ( X = Y ) ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[3])).

thf(29,plain,
    ( ( ! [A_27a: del] :
          ( mem @ ( c_2Emin_2E_3D @ A_27a ) @ ( arr @ A_27a @ ( arr @ A_27a @ bool ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[4])).

thf(30,plain,
    ( ( ! [A_27a: del,A_27b: del,A_27c: del] :
          ( mem @ ( c_2Epair_2EUNCURRY @ A_27a @ A_27b @ A_27c ) @ ( arr @ ( arr @ A_27a @ ( arr @ A_27b @ A_27c ) ) @ ( arr @ ( ty_2Epair_2Eprod @ A_27a @ A_27b ) @ A_27c ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[5])).

thf(31,plain,
    ( ( ! [A_27a: del,A_27b: del] :
          ( mem @ ( c_2Epair_2E_2C @ A_27a @ A_27b ) @ ( arr @ A_27a @ ( arr @ A_27b @ ( ty_2Epair_2Eprod @ A_27a @ A_27b ) ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[6])).

thf(32,plain,
    ( ( p @ c_2Ebool_2ET )
    = $true ),
    inference(unfold_def,[status(thm)],[7])).

thf(33,plain,
    ( ( ( inj__o @ fo__c_2Ebool_2ET )
      = c_2Ebool_2ET )
    = $true ),
    inference(unfold_def,[status(thm)],[8])).

thf(34,plain,
    ( ( mem @ c_2Ebool_2ET @ bool )
    = $true ),
    inference(unfold_def,[status(thm)],[9])).

thf(35,plain,
    ( ( ! [A: del,Q: $i] :
          ( ( mem @ Q @ ( arr @ A @ bool ) )
         => ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ Q ) )
          <=> ? [X: $i] :
                ( ( mem @ X @ A )
                & ( p @ ( ap @ Q @ X ) ) ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[10])).

thf(36,plain,
    ( ( ! [A_27a: del] :
          ( mem @ ( c_2Ebool_2E_3F @ A_27a ) @ ( arr @ ( arr @ A_27a @ bool ) @ bool ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[11])).

thf(37,plain,
    ( ( ! [A: del,F: $i > $i,X: $i] :
          ( ( mem @ X @ A )
         => ( ( ap @ ( lam @ A @ F ) @ X )
            = ( F @ X ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[12])).

thf(38,plain,
    ( ( ! [A: del,B: del,F: $i] :
          ( ( mem @ F @ ( arr @ A @ B ) )
         => ! [G: $i] :
              ( ( mem @ G @ ( arr @ A @ B ) )
             => ( ! [X: $i] :
                    ( ( mem @ X @ A )
                   => ( ( ap @ F @ X )
                      = ( ap @ G @ X ) ) )
               => ( F = G ) ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[13])).

thf(39,plain,
    ( ( ! [A: del,B: del,F: $i > $i] :
          ( ! [X: $i] :
              ( ( mem @ X @ A )
             => ( mem @ ( F @ X ) @ B ) )
         => ( mem @ ( lam @ A @ F ) @ ( arr @ A @ B ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[14])).

thf(40,plain,
    ( ( ! [A: del,B: del,F: $i] :
          ( ( mem @ F @ ( arr @ A @ B ) )
         => ! [X: $i] :
              ( ( mem @ X @ A )
             => ( mem @ ( ap @ F @ X ) @ B ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[15])).

thf(41,plain,
    ( ( ! [X: $i] :
          ( ( mem @ X @ bool )
         => ( X
            = ( inj__o @ ( p @ X ) ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[16])).

thf(42,plain,
    ( ( ! [X: $o] :
          ( mem @ ( inj__o @ X ) @ bool ) )
    = $true ),
    inference(unfold_def,[status(thm)],[17])).

thf(43,plain,
    ( ( ! [X: $o] :
          ( ( p @ ( inj__o @ X ) )
          = X ) )
    = $true ),
    inference(unfold_def,[status(thm)],[18])).

thf(44,plain,
    ( ( ! [A_27a: del,A_27b: del,A_27c: del,V0f: $i] :
          ( ( mem @ V0f @ ( arr @ A_27a @ ( arr @ A_27b @ A_27c ) ) )
         => ! [V1x: $i] :
              ( ( mem @ V1x @ A_27a )
             => ! [V2y: $i] :
                  ( ( mem @ V2y @ A_27b )
                 => ( ( ap @ ( ap @ ( c_2Epair_2EUNCURRY @ A_27a @ A_27b @ A_27c ) @ V0f ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A_27a @ A_27b ) @ V1x ) @ V2y ) )
                    = ( ap @ ( ap @ V0f @ V1x ) @ V2y ) ) ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[19])).

thf(45,plain,
    ( ( ! [A_27a: del,V0x: $i] :
          ( ( mem @ V0x @ A_27a )
         => ( ( V0x = V0x )
          <=> $true ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[20])).

thf(46,plain,
    ( ( ! [A_27a: del,V0t: $o] :
          ( ! [V1x: $i] :
              ( ( mem @ V1x @ A_27a )
             => ( p @ ( inj__o @ V0t ) ) )
        <=> ( p @ ( inj__o @ V0t ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[21])).

thf(47,plain,(
    $true = $true ),
    inference(unfold_def,[status(thm)],[22])).

thf(48,plain,
    ( ( ! [SY54: del,SY55: del,SY56: $i] :
          ( ( mem @ SY56 @ ( arr @ sK1_A_27a @ ( arr @ SY54 @ SY55 ) ) )
         => ? [SY57: $i] :
              ( ( mem @ SY57 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ SY54 ) @ SY55 ) )
              & ! [SY58: $i] :
                  ( ( mem @ SY58 @ sK1_A_27a )
                 => ! [SY59: $i] :
                      ( ( mem @ SY59 @ SY54 )
                     => ( ( ap @ SY57 @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ sK1_A_27a @ SY54 ) @ SY58 ) @ SY59 ) )
                        = ( ap @ ( ap @ SY56 @ SY58 ) @ SY59 ) ) ) ) ) ) )
    = $false ),
    inference(extcnf_forall_neg,[status(esa)],[25])).

thf(49,plain,
    ( ( ! [SY60: del,SY61: $i] :
          ( ( mem @ SY61 @ ( arr @ sK1_A_27a @ ( arr @ sK2_SY54 @ SY60 ) ) )
         => ? [SY62: $i] :
              ( ( mem @ SY62 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ SY60 ) )
              & ! [SY63: $i] :
                  ( ( mem @ SY63 @ sK1_A_27a )
                 => ! [SY64: $i] :
                      ( ( mem @ SY64 @ sK2_SY54 )
                     => ( ( ap @ SY62 @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ sK1_A_27a @ sK2_SY54 ) @ SY63 ) @ SY64 ) )
                        = ( ap @ ( ap @ SY61 @ SY63 ) @ SY64 ) ) ) ) ) ) )
    = $false ),
    inference(extcnf_forall_neg,[status(esa)],[48])).

thf(50,plain,
    ( ( ! [SY65: $i] :
          ( ( mem @ SY65 @ ( arr @ sK1_A_27a @ ( arr @ sK2_SY54 @ sK3_SY60 ) ) )
         => ? [SY66: $i] :
              ( ( mem @ SY66 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ sK3_SY60 ) )
              & ! [SY63: $i] :
                  ( ( mem @ SY63 @ sK1_A_27a )
                 => ! [SY64: $i] :
                      ( ( mem @ SY64 @ sK2_SY54 )
                     => ( ( ap @ SY66 @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ sK1_A_27a @ sK2_SY54 ) @ SY63 ) @ SY64 ) )
                        = ( ap @ ( ap @ SY65 @ SY63 ) @ SY64 ) ) ) ) ) ) )
    = $false ),
    inference(extcnf_forall_neg,[status(esa)],[49])).

thf(51,plain,
    ( ( ( mem @ sK4_SY65 @ ( arr @ sK1_A_27a @ ( arr @ sK2_SY54 @ sK3_SY60 ) ) )
     => ? [SY69: $i] :
          ( ( mem @ SY69 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ sK3_SY60 ) )
          & ! [SY70: $i] :
              ( ( mem @ SY70 @ sK1_A_27a )
             => ! [SY71: $i] :
                  ( ( mem @ SY71 @ sK2_SY54 )
                 => ( ( ap @ SY69 @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ sK1_A_27a @ sK2_SY54 ) @ SY70 ) @ SY71 ) )
                    = ( ap @ ( ap @ sK4_SY65 @ SY70 ) @ SY71 ) ) ) ) ) )
    = $false ),
    inference(extcnf_forall_neg,[status(esa)],[50])).

thf(52,plain,
    ( ( mem @ sK4_SY65 @ ( arr @ sK1_A_27a @ ( arr @ sK2_SY54 @ sK3_SY60 ) ) )
    = $true ),
    inference(standard_cnf,[status(thm)],[51])).

thf(53,plain,
    ( ( ? [SY69: $i] :
          ( ( mem @ SY69 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ sK3_SY60 ) )
          & ! [SY70: $i] :
              ( ( mem @ SY70 @ sK1_A_27a )
             => ! [SY71: $i] :
                  ( ( mem @ SY71 @ sK2_SY54 )
                 => ( ( ap @ SY69 @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ sK1_A_27a @ sK2_SY54 ) @ SY70 ) @ SY71 ) )
                    = ( ap @ ( ap @ sK4_SY65 @ SY70 ) @ SY71 ) ) ) ) ) )
    = $false ),
    inference(standard_cnf,[status(thm)],[51])).

thf(54,plain,
    ( ( ~ ? [SY69: $i] :
            ( ( mem @ SY69 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ sK3_SY60 ) )
            & ! [SY70: $i] :
                ( ( mem @ SY70 @ sK1_A_27a )
               => ! [SY71: $i] :
                    ( ( mem @ SY71 @ sK2_SY54 )
                   => ( ( ap @ SY69 @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ sK1_A_27a @ sK2_SY54 ) @ SY70 ) @ SY71 ) )
                      = ( ap @ ( ap @ sK4_SY65 @ SY70 ) @ SY71 ) ) ) ) ) )
    = $true ),
    inference(polarity_switch,[status(thm)],[53])).

thf(55,plain,
    ( ( ! [SY69: $i] :
          ( ( ( mem @ ( sK5_SY70 @ SY69 ) @ sK1_A_27a )
            & ( mem @ ( sK6_SY72 @ SY69 ) @ sK2_SY54 )
            & ( ( ap @ SY69 @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ sK1_A_27a @ sK2_SY54 ) @ ( sK5_SY70 @ SY69 ) ) @ ( sK6_SY72 @ SY69 ) ) )
             != ( ap @ ( ap @ sK4_SY65 @ ( sK5_SY70 @ SY69 ) ) @ ( sK6_SY72 @ SY69 ) ) ) )
          | ~ ( mem @ SY69 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ sK3_SY60 ) ) ) )
    = $true ),
    inference(extcnf_combined,[status(esa)],[54])).

thf(56,plain,
    ( ( ! [A: del,Q: $i] :
          ( ~ ( mem @ Q @ ( arr @ A @ bool ) )
          | ( ( mem @ ( sK7_X @ Q @ A ) @ A )
            & ~ ( p @ ( ap @ Q @ ( sK7_X @ Q @ A ) ) ) )
          | ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ Q ) ) )
      & ! [A: del,Q: $i] :
          ( ~ ( mem @ Q @ ( arr @ A @ bool ) )
          | ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ Q ) )
          | ! [X: $i] :
              ( ~ ( mem @ X @ A )
              | ( p @ ( ap @ Q @ X ) ) ) ) )
    = $true ),
    inference(extcnf_combined,[status(esa)],[26])).

thf(57,plain,
    ( ( ! [A: del,X: $i] :
          ( ~ ( mem @ X @ A )
          | ( ! [Y: $i] :
                ( ~ ( mem @ Y @ A )
                | ( X != Y )
                | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ X ) @ Y ) ) )
            & ! [Y: $i] :
                ( ~ ( mem @ Y @ A )
                | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ X ) @ Y ) )
                | ( X = Y ) ) ) ) )
    = $true ),
    inference(extcnf_combined,[status(esa)],[28])).

thf(58,plain,
    ( ( ! [A: del,Q: $i] :
          ( ~ ( mem @ Q @ ( arr @ A @ bool ) )
          | ! [X: $i] :
              ( ~ ( mem @ X @ A )
              | ~ ( p @ ( ap @ Q @ X ) ) )
          | ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ Q ) ) )
      & ! [A: del,Q: $i] :
          ( ~ ( mem @ Q @ ( arr @ A @ bool ) )
          | ~ ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ Q ) )
          | ( ( mem @ ( sK8_X @ Q @ A ) @ A )
            & ( p @ ( ap @ Q @ ( sK8_X @ Q @ A ) ) ) ) ) )
    = $true ),
    inference(extcnf_combined,[status(esa)],[35])).

thf(59,plain,
    ( ( ! [A: del,F: $i > $i,X: $i] :
          ( ~ ( mem @ X @ A )
          | ( ( ap @ ( lam @ A @ F ) @ X )
            = ( F @ X ) ) ) )
    = $true ),
    inference(extcnf_combined,[status(esa)],[37])).

thf(60,plain,
    ( ( ! [A: del,B: del,F: $i] :
          ( ~ ( mem @ F @ ( arr @ A @ B ) )
          | ! [G: $i] :
              ( ~ ( mem @ G @ ( arr @ A @ B ) )
              | ( ( mem @ ( sK9_X @ G @ F @ B @ A ) @ A )
                & ( ( ap @ F @ ( sK9_X @ G @ F @ B @ A ) )
                 != ( ap @ G @ ( sK9_X @ G @ F @ B @ A ) ) ) )
              | ( F = G ) ) ) )
    = $true ),
    inference(extcnf_combined,[status(esa)],[38])).

thf(61,plain,
    ( ( ! [A: del,B: del,F: $i > $i] :
          ( ( ( mem @ ( sK10_X @ F @ B @ A ) @ A )
            & ~ ( mem @ ( F @ ( sK10_X @ F @ B @ A ) ) @ B ) )
          | ( mem @ ( lam @ A @ F ) @ ( arr @ A @ B ) ) ) )
    = $true ),
    inference(extcnf_combined,[status(esa)],[39])).

thf(62,plain,
    ( ( ! [A: del,B: del,F: $i] :
          ( ~ ( mem @ F @ ( arr @ A @ B ) )
          | ! [X: $i] :
              ( ~ ( mem @ X @ A )
              | ( mem @ ( ap @ F @ X ) @ B ) ) ) )
    = $true ),
    inference(extcnf_combined,[status(esa)],[40])).

thf(63,plain,
    ( ( ! [X: $i] :
          ( ~ ( mem @ X @ bool )
          | ( X
            = ( inj__o @ ( p @ X ) ) ) ) )
    = $true ),
    inference(extcnf_combined,[status(esa)],[41])).

thf(64,plain,
    ( ( ! [A_27a: del,A_27b: del,A_27c: del,V0f: $i] :
          ( ~ ( mem @ V0f @ ( arr @ A_27a @ ( arr @ A_27b @ A_27c ) ) )
          | ! [V1x: $i] :
              ( ~ ( mem @ V1x @ A_27a )
              | ! [V2y: $i] :
                  ( ~ ( mem @ V2y @ A_27b )
                  | ( ( ap @ ( ap @ ( c_2Epair_2EUNCURRY @ A_27a @ A_27b @ A_27c ) @ V0f ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A_27a @ A_27b ) @ V1x ) @ V2y ) )
                    = ( ap @ ( ap @ V0f @ V1x ) @ V2y ) ) ) ) ) )
    = $true ),
    inference(extcnf_combined,[status(esa)],[44])).

thf(65,plain,
    ( ( ! [A_27a: del,V0x: $i] :
          ~ ( mem @ V0x @ A_27a )
      | $true )
    = $true ),
    inference(extcnf_combined,[status(esa)],[45])).

thf(66,plain,
    ( ( ! [A_27a: del,V0t: $o] :
          ( ( ( mem @ ( sK11_V1x @ V0t @ A_27a ) @ A_27a )
            & ~ ( p @ ( inj__o @ V0t ) ) )
          | ( p @ ( inj__o @ V0t ) ) )
      & ! [A_27a: del,V0t: $o] :
          ( ~ ( p @ ( inj__o @ V0t ) )
          | ! [V1x: $i] :
              ~ ( mem @ V1x @ A_27a )
          | ( p @ ( inj__o @ V0t ) ) ) )
    = $true ),
    inference(extcnf_combined,[status(esa)],[46])).

thf(67,plain,(
    $true = $true ),
    inference(copy,[status(thm)],[47])).

thf(68,plain,
    ( ( ! [A_27a: del,V0t: $o] :
          ( ( ( mem @ ( sK11_V1x @ V0t @ A_27a ) @ A_27a )
            & ~ ( p @ ( inj__o @ V0t ) ) )
          | ( p @ ( inj__o @ V0t ) ) )
      & ! [A_27a: del,V0t: $o] :
          ( ~ ( p @ ( inj__o @ V0t ) )
          | ! [V1x: $i] :
              ~ ( mem @ V1x @ A_27a )
          | ( p @ ( inj__o @ V0t ) ) ) )
    = $true ),
    inference(copy,[status(thm)],[66])).

thf(69,plain,
    ( ( ! [A_27a: del,V0x: $i] :
          ~ ( mem @ V0x @ A_27a )
      | $true )
    = $true ),
    inference(copy,[status(thm)],[65])).

thf(70,plain,
    ( ( ! [A_27a: del,A_27b: del,A_27c: del,V0f: $i] :
          ( ~ ( mem @ V0f @ ( arr @ A_27a @ ( arr @ A_27b @ A_27c ) ) )
          | ! [V1x: $i] :
              ( ~ ( mem @ V1x @ A_27a )
              | ! [V2y: $i] :
                  ( ~ ( mem @ V2y @ A_27b )
                  | ( ( ap @ ( ap @ ( c_2Epair_2EUNCURRY @ A_27a @ A_27b @ A_27c ) @ V0f ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A_27a @ A_27b ) @ V1x ) @ V2y ) )
                    = ( ap @ ( ap @ V0f @ V1x ) @ V2y ) ) ) ) ) )
    = $true ),
    inference(copy,[status(thm)],[64])).

thf(71,plain,
    ( ( ! [X: $o] :
          ( ( p @ ( inj__o @ X ) )
          = X ) )
    = $true ),
    inference(copy,[status(thm)],[43])).

thf(72,plain,
    ( ( ! [X: $o] :
          ( mem @ ( inj__o @ X ) @ bool ) )
    = $true ),
    inference(copy,[status(thm)],[42])).

thf(73,plain,
    ( ( ! [X: $i] :
          ( ~ ( mem @ X @ bool )
          | ( X
            = ( inj__o @ ( p @ X ) ) ) ) )
    = $true ),
    inference(copy,[status(thm)],[63])).

thf(74,plain,
    ( ( ! [A: del,B: del,F: $i] :
          ( ~ ( mem @ F @ ( arr @ A @ B ) )
          | ! [X: $i] :
              ( ~ ( mem @ X @ A )
              | ( mem @ ( ap @ F @ X ) @ B ) ) ) )
    = $true ),
    inference(copy,[status(thm)],[62])).

thf(75,plain,
    ( ( ! [A: del,B: del,F: $i > $i] :
          ( ( ( mem @ ( sK10_X @ F @ B @ A ) @ A )
            & ~ ( mem @ ( F @ ( sK10_X @ F @ B @ A ) ) @ B ) )
          | ( mem @ ( lam @ A @ F ) @ ( arr @ A @ B ) ) ) )
    = $true ),
    inference(copy,[status(thm)],[61])).

thf(76,plain,
    ( ( ! [A: del,B: del,F: $i] :
          ( ~ ( mem @ F @ ( arr @ A @ B ) )
          | ! [G: $i] :
              ( ~ ( mem @ G @ ( arr @ A @ B ) )
              | ( ( mem @ ( sK9_X @ G @ F @ B @ A ) @ A )
                & ( ( ap @ F @ ( sK9_X @ G @ F @ B @ A ) )
                 != ( ap @ G @ ( sK9_X @ G @ F @ B @ A ) ) ) )
              | ( F = G ) ) ) )
    = $true ),
    inference(copy,[status(thm)],[60])).

thf(77,plain,
    ( ( ! [A: del,F: $i > $i,X: $i] :
          ( ~ ( mem @ X @ A )
          | ( ( ap @ ( lam @ A @ F ) @ X )
            = ( F @ X ) ) ) )
    = $true ),
    inference(copy,[status(thm)],[59])).

thf(78,plain,
    ( ( ! [A_27a: del] :
          ( mem @ ( c_2Ebool_2E_3F @ A_27a ) @ ( arr @ ( arr @ A_27a @ bool ) @ bool ) ) )
    = $true ),
    inference(copy,[status(thm)],[36])).

thf(79,plain,
    ( ( ! [A: del,Q: $i] :
          ( ~ ( mem @ Q @ ( arr @ A @ bool ) )
          | ! [X: $i] :
              ( ~ ( mem @ X @ A )
              | ~ ( p @ ( ap @ Q @ X ) ) )
          | ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ Q ) ) )
      & ! [A: del,Q: $i] :
          ( ~ ( mem @ Q @ ( arr @ A @ bool ) )
          | ~ ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ Q ) )
          | ( ( mem @ ( sK8_X @ Q @ A ) @ A )
            & ( p @ ( ap @ Q @ ( sK8_X @ Q @ A ) ) ) ) ) )
    = $true ),
    inference(copy,[status(thm)],[58])).

thf(80,plain,
    ( ( mem @ c_2Ebool_2ET @ bool )
    = $true ),
    inference(copy,[status(thm)],[34])).

thf(81,plain,
    ( ( ( inj__o @ fo__c_2Ebool_2ET )
      = c_2Ebool_2ET )
    = $true ),
    inference(copy,[status(thm)],[33])).

thf(82,plain,
    ( ( p @ c_2Ebool_2ET )
    = $true ),
    inference(copy,[status(thm)],[32])).

thf(83,plain,
    ( ( ! [A_27a: del,A_27b: del] :
          ( mem @ ( c_2Epair_2E_2C @ A_27a @ A_27b ) @ ( arr @ A_27a @ ( arr @ A_27b @ ( ty_2Epair_2Eprod @ A_27a @ A_27b ) ) ) ) )
    = $true ),
    inference(copy,[status(thm)],[31])).

thf(84,plain,
    ( ( ! [A_27a: del,A_27b: del,A_27c: del] :
          ( mem @ ( c_2Epair_2EUNCURRY @ A_27a @ A_27b @ A_27c ) @ ( arr @ ( arr @ A_27a @ ( arr @ A_27b @ A_27c ) ) @ ( arr @ ( ty_2Epair_2Eprod @ A_27a @ A_27b ) @ A_27c ) ) ) )
    = $true ),
    inference(copy,[status(thm)],[30])).

thf(85,plain,
    ( ( ! [A_27a: del] :
          ( mem @ ( c_2Emin_2E_3D @ A_27a ) @ ( arr @ A_27a @ ( arr @ A_27a @ bool ) ) ) )
    = $true ),
    inference(copy,[status(thm)],[29])).

thf(86,plain,
    ( ( ! [A: del,X: $i] :
          ( ~ ( mem @ X @ A )
          | ( ! [Y: $i] :
                ( ~ ( mem @ Y @ A )
                | ( X != Y )
                | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ X ) @ Y ) ) )
            & ! [Y: $i] :
                ( ~ ( mem @ Y @ A )
                | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ X ) @ Y ) )
                | ( X = Y ) ) ) ) )
    = $true ),
    inference(copy,[status(thm)],[57])).

thf(87,plain,
    ( ( ! [A_27a: del] :
          ( mem @ ( c_2Ebool_2E_21 @ A_27a ) @ ( arr @ ( arr @ A_27a @ bool ) @ bool ) ) )
    = $true ),
    inference(copy,[status(thm)],[27])).

thf(88,plain,
    ( ( ! [A: del,Q: $i] :
          ( ~ ( mem @ Q @ ( arr @ A @ bool ) )
          | ( ( mem @ ( sK7_X @ Q @ A ) @ A )
            & ~ ( p @ ( ap @ Q @ ( sK7_X @ Q @ A ) ) ) )
          | ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ Q ) ) )
      & ! [A: del,Q: $i] :
          ( ~ ( mem @ Q @ ( arr @ A @ bool ) )
          | ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ Q ) )
          | ! [X: $i] :
              ( ~ ( mem @ X @ A )
              | ( p @ ( ap @ Q @ X ) ) ) ) )
    = $true ),
    inference(copy,[status(thm)],[56])).

thf(89,plain,
    ( ( mem @ sK4_SY65 @ ( arr @ sK1_A_27a @ ( arr @ sK2_SY54 @ sK3_SY60 ) ) )
    = $true ),
    inference(copy,[status(thm)],[52])).

thf(90,plain,
    ( ( ! [SY69: $i] :
          ( ( ( mem @ ( sK5_SY70 @ SY69 ) @ sK1_A_27a )
            & ( mem @ ( sK6_SY72 @ SY69 ) @ sK2_SY54 )
            & ( ( ap @ SY69 @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ sK1_A_27a @ sK2_SY54 ) @ ( sK5_SY70 @ SY69 ) ) @ ( sK6_SY72 @ SY69 ) ) )
             != ( ap @ ( ap @ sK4_SY65 @ ( sK5_SY70 @ SY69 ) ) @ ( sK6_SY72 @ SY69 ) ) ) )
          | ~ ( mem @ SY69 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ sK3_SY60 ) ) ) )
    = $true ),
    inference(copy,[status(thm)],[55])).

thf(91,plain,
    ( ( ! [SX0: del,SX1: $i] :
          ( ~ ( mem @ SX1 @ SX0 )
          | ~ ( ~ ! [SX2: $i] :
                    ( ~ ( mem @ SX2 @ SX0 )
                    | ( SX1 != SX2 )
                    | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SX0 ) @ SX1 ) @ SX2 ) ) )
              | ~ ! [SX2: $i] :
                    ( ~ ( mem @ SX2 @ SX0 )
                    | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SX0 ) @ SX1 ) @ SX2 ) )
                    | ( SX1 = SX2 ) ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[86])).

thf(92,plain,
    ( ( ~ ( ~ ! [SX0: del,SX1: $i] :
                ( ~ ( mem @ SX1 @ ( arr @ SX0 @ bool ) )
                | ~ ( ~ ( mem @ ( sK7_X @ SX1 @ SX0 ) @ SX0 )
                    | ~ ~ ( p @ ( ap @ SX1 @ ( sK7_X @ SX1 @ SX0 ) ) ) )
                | ( p @ ( ap @ ( c_2Ebool_2E_21 @ SX0 ) @ SX1 ) ) )
          | ~ ! [SX0: del,SX1: $i] :
                ( ~ ( mem @ SX1 @ ( arr @ SX0 @ bool ) )
                | ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ SX0 ) @ SX1 ) )
                | ! [SX2: $i] :
                    ( ~ ( mem @ SX2 @ SX0 )
                    | ( p @ ( ap @ SX1 @ SX2 ) ) ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[88])).

thf(93,plain,
    ( ( ! [SX0: del,SX1: del,SX2: $i > $i] :
          ( ~ ( ~ ( mem @ ( sK10_X @ SX2 @ SX1 @ SX0 ) @ SX0 )
              | ~ ~ ( mem @ ( SX2 @ ( sK10_X @ SX2 @ SX1 @ SX0 ) ) @ SX1 ) )
          | ( mem @ ( lam @ SX0 @ SX2 ) @ ( arr @ SX0 @ SX1 ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[75])).

thf(94,plain,
    ( ( ! [SX0: $i] :
          ( ~ ( ~ ( mem @ ( sK5_SY70 @ SX0 ) @ sK1_A_27a )
              | ~ ~ ( ~ ( mem @ ( sK6_SY72 @ SX0 ) @ sK2_SY54 )
                    | ~ ( ( ( ap @ SX0 @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ sK1_A_27a @ sK2_SY54 ) @ ( sK5_SY70 @ SX0 ) ) @ ( sK6_SY72 @ SX0 ) ) )
                         != ( ap @ ( ap @ sK4_SY65 @ ( sK5_SY70 @ SX0 ) ) @ ( sK6_SY72 @ SX0 ) ) ) ) ) )
          | ~ ( mem @ SX0 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ sK3_SY60 ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[90])).

thf(95,plain,
    ( ( ~ ( ~ ! [SX0: del,SX1: $o] :
                ( ~ ( ~ ( mem @ ( sK11_V1x @ SX1 @ SX0 ) @ SX0 )
                    | ~ ~ ( p @ ( inj__o @ SX1 ) ) )
                | ( p @ ( inj__o @ SX1 ) ) )
          | ~ ! [SX0: del,SX1: $o] :
                ( ~ ( p @ ( inj__o @ SX1 ) )
                | ! [SX2: $i] :
                    ~ ( mem @ SX2 @ SX0 )
                | ( p @ ( inj__o @ SX1 ) ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[68])).

thf(96,plain,
    ( ( ! [SX0: del,SX1: del,SX2: $i] :
          ( ~ ( mem @ SX2 @ ( arr @ SX0 @ SX1 ) )
          | ! [SX3: $i] :
              ( ~ ( mem @ SX3 @ ( arr @ SX0 @ SX1 ) )
              | ~ ( ~ ( mem @ ( sK9_X @ SX3 @ SX2 @ SX1 @ SX0 ) @ SX0 )
                  | ~ ( ( ( ap @ SX2 @ ( sK9_X @ SX3 @ SX2 @ SX1 @ SX0 ) )
                       != ( ap @ SX3 @ ( sK9_X @ SX3 @ SX2 @ SX1 @ SX0 ) ) ) ) )
              | ( SX2 = SX3 ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[76])).

thf(97,plain,
    ( ( ~ ( ~ ! [SX0: del,SX1: $i] :
                ( ~ ( mem @ SX1 @ ( arr @ SX0 @ bool ) )
                | ! [SX2: $i] :
                    ( ~ ( mem @ SX2 @ SX0 )
                    | ~ ( p @ ( ap @ SX1 @ SX2 ) ) )
                | ( p @ ( ap @ ( c_2Ebool_2E_3F @ SX0 ) @ SX1 ) ) )
          | ~ ! [SX0: del,SX1: $i] :
                ( ~ ( mem @ SX1 @ ( arr @ SX0 @ bool ) )
                | ~ ( p @ ( ap @ ( c_2Ebool_2E_3F @ SX0 ) @ SX1 ) )
                | ~ ( ~ ( mem @ ( sK8_X @ SX1 @ SX0 ) @ SX0 )
                    | ~ ( p @ ( ap @ SX1 @ ( sK8_X @ SX1 @ SX0 ) ) ) ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[79])).

thf(98,plain,
    ( ( ( ! [A_27a: del,V0x: $i] :
            ~ ( mem @ V0x @ A_27a ) )
      = $true )
    | ( $true = $true ) ),
    inference(extcnf_or_pos,[status(thm)],[69])).

thf(99,plain,(
    ! [SV1: del] :
      ( ( ! [SY73: del,SY74: del,SY75: $i] :
            ( ~ ( mem @ SY75 @ ( arr @ SV1 @ ( arr @ SY73 @ SY74 ) ) )
            | ! [SY76: $i] :
                ( ~ ( mem @ SY76 @ SV1 )
                | ! [SY77: $i] :
                    ( ~ ( mem @ SY77 @ SY73 )
                    | ( ( ap @ ( ap @ ( c_2Epair_2EUNCURRY @ SV1 @ SY73 @ SY74 ) @ SY75 ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ SV1 @ SY73 ) @ SY76 ) @ SY77 ) )
                      = ( ap @ ( ap @ SY75 @ SY76 ) @ SY77 ) ) ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[70])).

thf(100,plain,(
    ! [SV2: $o] :
      ( ( ( p @ ( inj__o @ SV2 ) )
        = SV2 )
      = $true ) ),
    inference(extcnf_forall_special_pos,[status(thm)],[71])).

thf(101,plain,
    ( ( ( p @ ( inj__o @ $true ) )
      = $true )
    = $true ),
    inference(extcnf_forall_special_pos,[status(thm)],[71])).

thf(102,plain,
    ( ( ( p @ ( inj__o @ $false ) )
      = $false )
    = $true ),
    inference(extcnf_forall_special_pos,[status(thm)],[71])).

thf(103,plain,(
    ! [SV3: $o] :
      ( ( mem @ ( inj__o @ SV3 ) @ bool )
      = $true ) ),
    inference(extcnf_forall_special_pos,[status(thm)],[72])).

thf(104,plain,
    ( ( mem @ ( inj__o @ $true ) @ bool )
    = $true ),
    inference(extcnf_forall_special_pos,[status(thm)],[72])).

thf(105,plain,
    ( ( mem @ ( inj__o @ $false ) @ bool )
    = $true ),
    inference(extcnf_forall_special_pos,[status(thm)],[72])).

thf(106,plain,(
    ! [SV4: $i] :
      ( ( ~ ( mem @ SV4 @ bool )
        | ( SV4
          = ( inj__o @ ( p @ SV4 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[73])).

thf(107,plain,(
    ! [SV5: del] :
      ( ( ! [SY78: del,SY79: $i] :
            ( ~ ( mem @ SY79 @ ( arr @ SV5 @ SY78 ) )
            | ! [SY80: $i] :
                ( ~ ( mem @ SY80 @ SV5 )
                | ( mem @ ( ap @ SY79 @ SY80 ) @ SY78 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[74])).

thf(108,plain,(
    ! [SV6: del] :
      ( ( ! [SY81: $i > $i,SY82: $i] :
            ( ~ ( mem @ SY82 @ SV6 )
            | ( ( ap @ ( lam @ SV6 @ SY81 ) @ SY82 )
              = ( SY81 @ SY82 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[77])).

thf(109,plain,(
    ! [SV7: del] :
      ( ( mem @ ( c_2Ebool_2E_3F @ SV7 ) @ ( arr @ ( arr @ SV7 @ bool ) @ bool ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[78])).

thf(110,plain,(
    ! [SV8: del] :
      ( ( ! [SY83: del] :
            ( mem @ ( c_2Epair_2E_2C @ SV8 @ SY83 ) @ ( arr @ SV8 @ ( arr @ SY83 @ ( ty_2Epair_2Eprod @ SV8 @ SY83 ) ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[83])).

thf(111,plain,(
    ! [SV9: del] :
      ( ( ! [SY84: del,SY85: del] :
            ( mem @ ( c_2Epair_2EUNCURRY @ SV9 @ SY84 @ SY85 ) @ ( arr @ ( arr @ SV9 @ ( arr @ SY84 @ SY85 ) ) @ ( arr @ ( ty_2Epair_2Eprod @ SV9 @ SY84 ) @ SY85 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[84])).

thf(112,plain,(
    ! [SV10: del] :
      ( ( mem @ ( c_2Emin_2E_3D @ SV10 ) @ ( arr @ SV10 @ ( arr @ SV10 @ bool ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[85])).

thf(113,plain,(
    ! [SV11: del] :
      ( ( mem @ ( c_2Ebool_2E_21 @ SV11 ) @ ( arr @ ( arr @ SV11 @ bool ) @ bool ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[87])).

thf(114,plain,(
    ! [SV12: del] :
      ( ( ! [SY86: $i] :
            ( ~ ( mem @ SY86 @ SV12 )
            | ~ ( ~ ! [SY87: $i] :
                      ( ~ ( mem @ SY87 @ SV12 )
                      | ( SY86 != SY87 )
                      | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SY86 ) @ SY87 ) ) )
                | ~ ! [SY88: $i] :
                      ( ~ ( mem @ SY88 @ SV12 )
                      | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SY86 ) @ SY88 ) )
                      | ( SY86 = SY88 ) ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[91])).

thf(115,plain,
    ( ( ~ ! [SX0: del,SX1: $i] :
            ( ~ ( mem @ SX1 @ ( arr @ SX0 @ bool ) )
            | ~ ( ~ ( mem @ ( sK7_X @ SX1 @ SX0 ) @ SX0 )
                | ~ ~ ( p @ ( ap @ SX1 @ ( sK7_X @ SX1 @ SX0 ) ) ) )
            | ( p @ ( ap @ ( c_2Ebool_2E_21 @ SX0 ) @ SX1 ) ) )
      | ~ ! [SX0: del,SX1: $i] :
            ( ~ ( mem @ SX1 @ ( arr @ SX0 @ bool ) )
            | ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ SX0 ) @ SX1 ) )
            | ! [SX2: $i] :
                ( ~ ( mem @ SX2 @ SX0 )
                | ( p @ ( ap @ SX1 @ SX2 ) ) ) ) )
    = $false ),
    inference(extcnf_not_pos,[status(thm)],[92])).

thf(116,plain,(
    ! [SV13: del] :
      ( ( ! [SY89: del,SY90: $i > $i] :
            ( ~ ( ~ ( mem @ ( sK10_X @ SY90 @ SY89 @ SV13 ) @ SV13 )
                | ~ ~ ( mem @ ( SY90 @ ( sK10_X @ SY90 @ SY89 @ SV13 ) ) @ SY89 ) )
            | ( mem @ ( lam @ SV13 @ SY90 ) @ ( arr @ SV13 @ SY89 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[93])).

thf(117,plain,(
    ! [SV14: $i] :
      ( ( ~ ( ~ ( mem @ ( sK5_SY70 @ SV14 ) @ sK1_A_27a )
            | ~ ~ ( ~ ( mem @ ( sK6_SY72 @ SV14 ) @ sK2_SY54 )
                  | ~ ( ( ( ap @ SV14 @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ sK1_A_27a @ sK2_SY54 ) @ ( sK5_SY70 @ SV14 ) ) @ ( sK6_SY72 @ SV14 ) ) )
                       != ( ap @ ( ap @ sK4_SY65 @ ( sK5_SY70 @ SV14 ) ) @ ( sK6_SY72 @ SV14 ) ) ) ) ) )
        | ~ ( mem @ SV14 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ sK3_SY60 ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[94])).

thf(118,plain,
    ( ( ~ ! [SX0: del,SX1: $o] :
            ( ~ ( ~ ( mem @ ( sK11_V1x @ SX1 @ SX0 ) @ SX0 )
                | ~ ~ ( p @ ( inj__o @ SX1 ) ) )
            | ( p @ ( inj__o @ SX1 ) ) )
      | ~ ! [SX0: del,SX1: $o] :
            ( ~ ( p @ ( inj__o @ SX1 ) )
            | ! [SX2: $i] :
                ~ ( mem @ SX2 @ SX0 )
            | ( p @ ( inj__o @ SX1 ) ) ) )
    = $false ),
    inference(extcnf_not_pos,[status(thm)],[95])).

thf(119,plain,(
    ! [SV15: del] :
      ( ( ! [SY91: del,SY92: $i] :
            ( ~ ( mem @ SY92 @ ( arr @ SV15 @ SY91 ) )
            | ! [SY93: $i] :
                ( ~ ( mem @ SY93 @ ( arr @ SV15 @ SY91 ) )
                | ~ ( ~ ( mem @ ( sK9_X @ SY93 @ SY92 @ SY91 @ SV15 ) @ SV15 )
                    | ~ ( ( ( ap @ SY92 @ ( sK9_X @ SY93 @ SY92 @ SY91 @ SV15 ) )
                         != ( ap @ SY93 @ ( sK9_X @ SY93 @ SY92 @ SY91 @ SV15 ) ) ) ) )
                | ( SY92 = SY93 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[96])).

thf(120,plain,
    ( ( ~ ! [SX0: del,SX1: $i] :
            ( ~ ( mem @ SX1 @ ( arr @ SX0 @ bool ) )
            | ! [SX2: $i] :
                ( ~ ( mem @ SX2 @ SX0 )
                | ~ ( p @ ( ap @ SX1 @ SX2 ) ) )
            | ( p @ ( ap @ ( c_2Ebool_2E_3F @ SX0 ) @ SX1 ) ) )
      | ~ ! [SX0: del,SX1: $i] :
            ( ~ ( mem @ SX1 @ ( arr @ SX0 @ bool ) )
            | ~ ( p @ ( ap @ ( c_2Ebool_2E_3F @ SX0 ) @ SX1 ) )
            | ~ ( ~ ( mem @ ( sK8_X @ SX1 @ SX0 ) @ SX0 )
                | ~ ( p @ ( ap @ SX1 @ ( sK8_X @ SX1 @ SX0 ) ) ) ) ) )
    = $false ),
    inference(extcnf_not_pos,[status(thm)],[97])).

thf(121,plain,(
    ! [SV16: del] :
      ( ( ( ! [SY94: $i] :
              ~ ( mem @ SY94 @ SV16 ) )
        = $true )
      | ( $true = $true ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[98])).

thf(122,plain,(
    ! [SV17: del,SV1: del] :
      ( ( ! [SY95: del,SY96: $i] :
            ( ~ ( mem @ SY96 @ ( arr @ SV1 @ ( arr @ SV17 @ SY95 ) ) )
            | ! [SY97: $i] :
                ( ~ ( mem @ SY97 @ SV1 )
                | ! [SY98: $i] :
                    ( ~ ( mem @ SY98 @ SV17 )
                    | ( ( ap @ ( ap @ ( c_2Epair_2EUNCURRY @ SV1 @ SV17 @ SY95 ) @ SY96 ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ SV1 @ SV17 ) @ SY97 ) @ SY98 ) )
                      = ( ap @ ( ap @ SY96 @ SY97 ) @ SY98 ) ) ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[99])).

thf(123,plain,(
    ! [SV2: $o] :
      ( ( ~ ( ( p @ ( inj__o @ SV2 ) )
            | SV2 )
        | ~ ( ~ ( p @ ( inj__o @ SV2 ) )
            | ~ SV2 ) )
      = $true ) ),
    inference(extcnf_equal_pos,[status(thm)],[100])).

thf(124,plain,(
    ! [SV2: $o] :
      ( ( ( p @ ( inj__o @ SV2 ) )
        = SV2 )
      = $true ) ),
    inference(extcnf_equal_pos,[status(thm)],[100])).

thf(125,plain,
    ( ( ~ ( ( p @ ( inj__o @ $true ) )
          | $true )
      | ~ ( ~ ( p @ ( inj__o @ $true ) )
          | ~ $true ) )
    = $true ),
    inference(extcnf_equal_pos,[status(thm)],[101])).

thf(126,plain,
    ( ( ( p @ ( inj__o @ $true ) )
      = $true )
    = $true ),
    inference(extcnf_equal_pos,[status(thm)],[101])).

thf(127,plain,
    ( ( ~ ( ( p @ ( inj__o @ $false ) )
          | $false )
      | ~ ( ~ ( p @ ( inj__o @ $false ) )
          | ~ $false ) )
    = $true ),
    inference(extcnf_equal_pos,[status(thm)],[102])).

thf(128,plain,
    ( ( ( p @ ( inj__o @ $false ) )
      = $false )
    = $true ),
    inference(extcnf_equal_pos,[status(thm)],[102])).

thf(129,plain,(
    ! [SV4: $i] :
      ( ( ( ~ ( mem @ SV4 @ bool ) )
        = $true )
      | ( ( SV4
          = ( inj__o @ ( p @ SV4 ) ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[106])).

thf(130,plain,(
    ! [SV18: del,SV5: del] :
      ( ( ! [SY99: $i] :
            ( ~ ( mem @ SY99 @ ( arr @ SV5 @ SV18 ) )
            | ! [SY100: $i] :
                ( ~ ( mem @ SY100 @ SV5 )
                | ( mem @ ( ap @ SY99 @ SY100 ) @ SV18 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[107])).

thf(131,plain,(
    ! [SV19: $i > $i,SV6: del] :
      ( ( ! [SY101: $i] :
            ( ~ ( mem @ SY101 @ SV6 )
            | ( ( ap @ ( lam @ SV6 @ SV19 ) @ SY101 )
              = ( SV19 @ SY101 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[108])).

thf(132,plain,(
    ! [SV20: del,SV8: del] :
      ( ( mem @ ( c_2Epair_2E_2C @ SV8 @ SV20 ) @ ( arr @ SV8 @ ( arr @ SV20 @ ( ty_2Epair_2Eprod @ SV8 @ SV20 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[110])).

thf(133,plain,(
    ! [SV21: del,SV9: del] :
      ( ( ! [SY102: del] :
            ( mem @ ( c_2Epair_2EUNCURRY @ SV9 @ SV21 @ SY102 ) @ ( arr @ ( arr @ SV9 @ ( arr @ SV21 @ SY102 ) ) @ ( arr @ ( ty_2Epair_2Eprod @ SV9 @ SV21 ) @ SY102 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[111])).

thf(134,plain,(
    ! [SV12: del,SV22: $i] :
      ( ( ~ ( mem @ SV22 @ SV12 )
        | ~ ( ~ ! [SY103: $i] :
                  ( ~ ( mem @ SY103 @ SV12 )
                  | ( SV22 != SY103 )
                  | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SV22 ) @ SY103 ) ) )
            | ~ ! [SY104: $i] :
                  ( ~ ( mem @ SY104 @ SV12 )
                  | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SV22 ) @ SY104 ) )
                  | ( SV22 = SY104 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[114])).

thf(135,plain,
    ( ( ~ ! [SX0: del,SX1: $i] :
            ( ~ ( mem @ SX1 @ ( arr @ SX0 @ bool ) )
            | ~ ( ~ ( mem @ ( sK7_X @ SX1 @ SX0 ) @ SX0 )
                | ~ ~ ( p @ ( ap @ SX1 @ ( sK7_X @ SX1 @ SX0 ) ) ) )
            | ( p @ ( ap @ ( c_2Ebool_2E_21 @ SX0 ) @ SX1 ) ) ) )
    = $false ),
    inference(extcnf_or_neg,[status(thm)],[115])).

thf(136,plain,
    ( ( ~ ! [SX0: del,SX1: $i] :
            ( ~ ( mem @ SX1 @ ( arr @ SX0 @ bool ) )
            | ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ SX0 ) @ SX1 ) )
            | ! [SX2: $i] :
                ( ~ ( mem @ SX2 @ SX0 )
                | ( p @ ( ap @ SX1 @ SX2 ) ) ) ) )
    = $false ),
    inference(extcnf_or_neg,[status(thm)],[115])).

thf(137,plain,(
    ! [SV13: del,SV23: del] :
      ( ( ! [SY105: $i > $i] :
            ( ~ ( ~ ( mem @ ( sK10_X @ SY105 @ SV23 @ SV13 ) @ SV13 )
                | ~ ~ ( mem @ ( SY105 @ ( sK10_X @ SY105 @ SV23 @ SV13 ) ) @ SV23 ) )
            | ( mem @ ( lam @ SV13 @ SY105 ) @ ( arr @ SV13 @ SV23 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[116])).

thf(138,plain,(
    ! [SV14: $i] :
      ( ( ( ~ ( ~ ( mem @ ( sK5_SY70 @ SV14 ) @ sK1_A_27a )
              | ~ ~ ( ~ ( mem @ ( sK6_SY72 @ SV14 ) @ sK2_SY54 )
                    | ~ ( ( ( ap @ SV14 @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ sK1_A_27a @ sK2_SY54 ) @ ( sK5_SY70 @ SV14 ) ) @ ( sK6_SY72 @ SV14 ) ) )
                         != ( ap @ ( ap @ sK4_SY65 @ ( sK5_SY70 @ SV14 ) ) @ ( sK6_SY72 @ SV14 ) ) ) ) ) ) )
        = $true )
      | ( ( ~ ( mem @ SV14 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ sK3_SY60 ) ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[117])).

thf(139,plain,
    ( ( ~ ! [SX0: del,SX1: $o] :
            ( ~ ( ~ ( mem @ ( sK11_V1x @ SX1 @ SX0 ) @ SX0 )
                | ~ ~ ( p @ ( inj__o @ SX1 ) ) )
            | ( p @ ( inj__o @ SX1 ) ) ) )
    = $false ),
    inference(extcnf_or_neg,[status(thm)],[118])).

thf(140,plain,
    ( ( ~ ! [SX0: del,SX1: $o] :
            ( ~ ( p @ ( inj__o @ SX1 ) )
            | ! [SX2: $i] :
                ~ ( mem @ SX2 @ SX0 )
            | ( p @ ( inj__o @ SX1 ) ) ) )
    = $false ),
    inference(extcnf_or_neg,[status(thm)],[118])).

thf(141,plain,(
    ! [SV24: del,SV15: del] :
      ( ( ! [SY106: $i] :
            ( ~ ( mem @ SY106 @ ( arr @ SV15 @ SV24 ) )
            | ! [SY107: $i] :
                ( ~ ( mem @ SY107 @ ( arr @ SV15 @ SV24 ) )
                | ~ ( ~ ( mem @ ( sK9_X @ SY107 @ SY106 @ SV24 @ SV15 ) @ SV15 )
                    | ~ ( ( ( ap @ SY106 @ ( sK9_X @ SY107 @ SY106 @ SV24 @ SV15 ) )
                         != ( ap @ SY107 @ ( sK9_X @ SY107 @ SY106 @ SV24 @ SV15 ) ) ) ) )
                | ( SY106 = SY107 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[119])).

thf(142,plain,
    ( ( ~ ! [SX0: del,SX1: $i] :
            ( ~ ( mem @ SX1 @ ( arr @ SX0 @ bool ) )
            | ! [SX2: $i] :
                ( ~ ( mem @ SX2 @ SX0 )
                | ~ ( p @ ( ap @ SX1 @ SX2 ) ) )
            | ( p @ ( ap @ ( c_2Ebool_2E_3F @ SX0 ) @ SX1 ) ) ) )
    = $false ),
    inference(extcnf_or_neg,[status(thm)],[120])).

thf(143,plain,
    ( ( ~ ! [SX0: del,SX1: $i] :
            ( ~ ( mem @ SX1 @ ( arr @ SX0 @ bool ) )
            | ~ ( p @ ( ap @ ( c_2Ebool_2E_3F @ SX0 ) @ SX1 ) )
            | ~ ( ~ ( mem @ ( sK8_X @ SX1 @ SX0 ) @ SX0 )
                | ~ ( p @ ( ap @ SX1 @ ( sK8_X @ SX1 @ SX0 ) ) ) ) ) )
    = $false ),
    inference(extcnf_or_neg,[status(thm)],[120])).

thf(144,plain,(
    ! [SV16: del,SV25: $i] :
      ( ( ( ~ ( mem @ SV25 @ SV16 ) )
        = $true )
      | ( $true = $true ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[121])).

thf(145,plain,(
    ! [SV26: del,SV17: del,SV1: del] :
      ( ( ! [SY108: $i] :
            ( ~ ( mem @ SY108 @ ( arr @ SV1 @ ( arr @ SV17 @ SV26 ) ) )
            | ! [SY109: $i] :
                ( ~ ( mem @ SY109 @ SV1 )
                | ! [SY110: $i] :
                    ( ~ ( mem @ SY110 @ SV17 )
                    | ( ( ap @ ( ap @ ( c_2Epair_2EUNCURRY @ SV1 @ SV17 @ SV26 ) @ SY108 ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ SV1 @ SV17 ) @ SY109 ) @ SY110 ) )
                      = ( ap @ ( ap @ SY108 @ SY109 ) @ SY110 ) ) ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[122])).

thf(146,plain,(
    ! [SV2: $o] :
      ( ( ( ~ ( ( p @ ( inj__o @ SV2 ) )
              | SV2 ) )
        = $true )
      | ( ( ~ ( ~ ( p @ ( inj__o @ SV2 ) )
              | ~ SV2 ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[123])).

thf(147,plain,
    ( ( ( ~ ( ( p @ ( inj__o @ $true ) )
            | $true ) )
      = $true )
    | ( ( ~ ( ~ ( p @ ( inj__o @ $true ) )
            | ~ $true ) )
      = $true ) ),
    inference(extcnf_or_pos,[status(thm)],[125])).

thf(148,plain,
    ( ( ( ~ ( ( p @ ( inj__o @ $false ) )
            | $false ) )
      = $true )
    | ( ( ~ ( ~ ( p @ ( inj__o @ $false ) )
            | ~ $false ) )
      = $true ) ),
    inference(extcnf_or_pos,[status(thm)],[127])).

thf(149,plain,(
    ! [SV4: $i] :
      ( ( ( mem @ SV4 @ bool )
        = $false )
      | ( ( SV4
          = ( inj__o @ ( p @ SV4 ) ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[129])).

thf(150,plain,(
    ! [SV18: del,SV5: del,SV27: $i] :
      ( ( ~ ( mem @ SV27 @ ( arr @ SV5 @ SV18 ) )
        | ! [SY111: $i] :
            ( ~ ( mem @ SY111 @ SV5 )
            | ( mem @ ( ap @ SV27 @ SY111 ) @ SV18 ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[130])).

thf(151,plain,(
    ! [SV19: $i > $i,SV6: del,SV28: $i] :
      ( ( ~ ( mem @ SV28 @ SV6 )
        | ( ( ap @ ( lam @ SV6 @ SV19 ) @ SV28 )
          = ( SV19 @ SV28 ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[131])).

thf(152,plain,(
    ! [SV29: del,SV21: del,SV9: del] :
      ( ( mem @ ( c_2Epair_2EUNCURRY @ SV9 @ SV21 @ SV29 ) @ ( arr @ ( arr @ SV9 @ ( arr @ SV21 @ SV29 ) ) @ ( arr @ ( ty_2Epair_2Eprod @ SV9 @ SV21 ) @ SV29 ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[133])).

thf(153,plain,(
    ! [SV12: del,SV22: $i] :
      ( ( ( ~ ( mem @ SV22 @ SV12 ) )
        = $true )
      | ( ( ~ ( ~ ! [SY103: $i] :
                    ( ~ ( mem @ SY103 @ SV12 )
                    | ( SV22 != SY103 )
                    | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SV22 ) @ SY103 ) ) )
              | ~ ! [SY104: $i] :
                    ( ~ ( mem @ SY104 @ SV12 )
                    | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SV22 ) @ SY104 ) )
                    | ( SV22 = SY104 ) ) ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[134])).

thf(154,plain,
    ( ( ! [SX0: del,SX1: $i] :
          ( ~ ( mem @ SX1 @ ( arr @ SX0 @ bool ) )
          | ~ ( ~ ( mem @ ( sK7_X @ SX1 @ SX0 ) @ SX0 )
              | ~ ~ ( p @ ( ap @ SX1 @ ( sK7_X @ SX1 @ SX0 ) ) ) )
          | ( p @ ( ap @ ( c_2Ebool_2E_21 @ SX0 ) @ SX1 ) ) ) )
    = $true ),
    inference(extcnf_not_neg,[status(thm)],[135])).

thf(155,plain,
    ( ( ! [SX0: del,SX1: $i] :
          ( ~ ( mem @ SX1 @ ( arr @ SX0 @ bool ) )
          | ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ SX0 ) @ SX1 ) )
          | ! [SX2: $i] :
              ( ~ ( mem @ SX2 @ SX0 )
              | ( p @ ( ap @ SX1 @ SX2 ) ) ) ) )
    = $true ),
    inference(extcnf_not_neg,[status(thm)],[136])).

thf(156,plain,(
    ! [SV13: del,SV23: del,SV30: $i > $i] :
      ( ( ~ ( ~ ( mem @ ( sK10_X @ SV30 @ SV23 @ SV13 ) @ SV13 )
            | ~ ~ ( mem @ ( SV30 @ ( sK10_X @ SV30 @ SV23 @ SV13 ) ) @ SV23 ) )
        | ( mem @ ( lam @ SV13 @ SV30 ) @ ( arr @ SV13 @ SV23 ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[137])).

thf(157,plain,(
    ! [SV14: $i] :
      ( ( ( ~ ( mem @ ( sK5_SY70 @ SV14 ) @ sK1_A_27a )
          | ~ ~ ( ~ ( mem @ ( sK6_SY72 @ SV14 ) @ sK2_SY54 )
                | ~ ( ( ( ap @ SV14 @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ sK1_A_27a @ sK2_SY54 ) @ ( sK5_SY70 @ SV14 ) ) @ ( sK6_SY72 @ SV14 ) ) )
                     != ( ap @ ( ap @ sK4_SY65 @ ( sK5_SY70 @ SV14 ) ) @ ( sK6_SY72 @ SV14 ) ) ) ) ) )
        = $false )
      | ( ( ~ ( mem @ SV14 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ sK3_SY60 ) ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[138])).

thf(158,plain,
    ( ( ! [SX0: del,SX1: $o] :
          ( ~ ( ~ ( mem @ ( sK11_V1x @ SX1 @ SX0 ) @ SX0 )
              | ~ ~ ( p @ ( inj__o @ SX1 ) ) )
          | ( p @ ( inj__o @ SX1 ) ) ) )
    = $true ),
    inference(extcnf_not_neg,[status(thm)],[139])).

thf(159,plain,
    ( ( ! [SX0: del,SX1: $o] :
          ( ~ ( p @ ( inj__o @ SX1 ) )
          | ! [SX2: $i] :
              ~ ( mem @ SX2 @ SX0 )
          | ( p @ ( inj__o @ SX1 ) ) ) )
    = $true ),
    inference(extcnf_not_neg,[status(thm)],[140])).

thf(160,plain,(
    ! [SV24: del,SV15: del,SV31: $i] :
      ( ( ~ ( mem @ SV31 @ ( arr @ SV15 @ SV24 ) )
        | ! [SY112: $i] :
            ( ~ ( mem @ SY112 @ ( arr @ SV15 @ SV24 ) )
            | ~ ( ~ ( mem @ ( sK9_X @ SY112 @ SV31 @ SV24 @ SV15 ) @ SV15 )
                | ~ ( ( ( ap @ SV31 @ ( sK9_X @ SY112 @ SV31 @ SV24 @ SV15 ) )
                     != ( ap @ SY112 @ ( sK9_X @ SY112 @ SV31 @ SV24 @ SV15 ) ) ) ) )
            | ( SV31 = SY112 ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[141])).

thf(161,plain,
    ( ( ! [SX0: del,SX1: $i] :
          ( ~ ( mem @ SX1 @ ( arr @ SX0 @ bool ) )
          | ! [SX2: $i] :
              ( ~ ( mem @ SX2 @ SX0 )
              | ~ ( p @ ( ap @ SX1 @ SX2 ) ) )
          | ( p @ ( ap @ ( c_2Ebool_2E_3F @ SX0 ) @ SX1 ) ) ) )
    = $true ),
    inference(extcnf_not_neg,[status(thm)],[142])).

thf(162,plain,
    ( ( ! [SX0: del,SX1: $i] :
          ( ~ ( mem @ SX1 @ ( arr @ SX0 @ bool ) )
          | ~ ( p @ ( ap @ ( c_2Ebool_2E_3F @ SX0 ) @ SX1 ) )
          | ~ ( ~ ( mem @ ( sK8_X @ SX1 @ SX0 ) @ SX0 )
              | ~ ( p @ ( ap @ SX1 @ ( sK8_X @ SX1 @ SX0 ) ) ) ) ) )
    = $true ),
    inference(extcnf_not_neg,[status(thm)],[143])).

thf(163,plain,(
    ! [SV16: del,SV25: $i] :
      ( ( ( mem @ SV25 @ SV16 )
        = $false )
      | ( $true = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[144])).

thf(164,plain,(
    ! [SV26: del,SV17: del,SV1: del,SV32: $i] :
      ( ( ~ ( mem @ SV32 @ ( arr @ SV1 @ ( arr @ SV17 @ SV26 ) ) )
        | ! [SY113: $i] :
            ( ~ ( mem @ SY113 @ SV1 )
            | ! [SY114: $i] :
                ( ~ ( mem @ SY114 @ SV17 )
                | ( ( ap @ ( ap @ ( c_2Epair_2EUNCURRY @ SV1 @ SV17 @ SV26 ) @ SV32 ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ SV1 @ SV17 ) @ SY113 ) @ SY114 ) )
                  = ( ap @ ( ap @ SV32 @ SY113 ) @ SY114 ) ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[145])).

thf(165,plain,(
    ! [SV2: $o] :
      ( ( ( ( p @ ( inj__o @ SV2 ) )
          | SV2 )
        = $false )
      | ( ( ~ ( ~ ( p @ ( inj__o @ SV2 ) )
              | ~ SV2 ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[146])).

thf(166,plain,
    ( ( ( ( p @ ( inj__o @ $true ) )
        | $true )
      = $false )
    | ( ( ~ ( ~ ( p @ ( inj__o @ $true ) )
            | ~ $true ) )
      = $true ) ),
    inference(extcnf_not_pos,[status(thm)],[147])).

thf(167,plain,
    ( ( ( ( p @ ( inj__o @ $false ) )
        | $false )
      = $false )
    | ( ( ~ ( ~ ( p @ ( inj__o @ $false ) )
            | ~ $false ) )
      = $true ) ),
    inference(extcnf_not_pos,[status(thm)],[148])).

thf(168,plain,(
    ! [SV18: del,SV5: del,SV27: $i] :
      ( ( ( ~ ( mem @ SV27 @ ( arr @ SV5 @ SV18 ) ) )
        = $true )
      | ( ( ! [SY111: $i] :
              ( ~ ( mem @ SY111 @ SV5 )
              | ( mem @ ( ap @ SV27 @ SY111 ) @ SV18 ) ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[150])).

thf(169,plain,(
    ! [SV19: $i > $i,SV6: del,SV28: $i] :
      ( ( ( ~ ( mem @ SV28 @ SV6 ) )
        = $true )
      | ( ( ( ap @ ( lam @ SV6 @ SV19 ) @ SV28 )
          = ( SV19 @ SV28 ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[151])).

thf(170,plain,(
    ! [SV12: del,SV22: $i] :
      ( ( ( mem @ SV22 @ SV12 )
        = $false )
      | ( ( ~ ( ~ ! [SY103: $i] :
                    ( ~ ( mem @ SY103 @ SV12 )
                    | ( SV22 != SY103 )
                    | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SV22 ) @ SY103 ) ) )
              | ~ ! [SY104: $i] :
                    ( ~ ( mem @ SY104 @ SV12 )
                    | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SV22 ) @ SY104 ) )
                    | ( SV22 = SY104 ) ) ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[153])).

thf(171,plain,(
    ! [SV33: del] :
      ( ( ! [SY115: $i] :
            ( ~ ( mem @ SY115 @ ( arr @ SV33 @ bool ) )
            | ~ ( ~ ( mem @ ( sK7_X @ SY115 @ SV33 ) @ SV33 )
                | ~ ~ ( p @ ( ap @ SY115 @ ( sK7_X @ SY115 @ SV33 ) ) ) )
            | ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV33 ) @ SY115 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[154])).

thf(172,plain,(
    ! [SV34: del] :
      ( ( ! [SY116: $i] :
            ( ~ ( mem @ SY116 @ ( arr @ SV34 @ bool ) )
            | ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV34 ) @ SY116 ) )
            | ! [SY117: $i] :
                ( ~ ( mem @ SY117 @ SV34 )
                | ( p @ ( ap @ SY116 @ SY117 ) ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[155])).

thf(173,plain,(
    ! [SV13: del,SV23: del,SV30: $i > $i] :
      ( ( ( ~ ( ~ ( mem @ ( sK10_X @ SV30 @ SV23 @ SV13 ) @ SV13 )
              | ~ ~ ( mem @ ( SV30 @ ( sK10_X @ SV30 @ SV23 @ SV13 ) ) @ SV23 ) ) )
        = $true )
      | ( ( mem @ ( lam @ SV13 @ SV30 ) @ ( arr @ SV13 @ SV23 ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[156])).

thf(174,plain,(
    ! [SV14: $i] :
      ( ( ( ~ ( mem @ ( sK5_SY70 @ SV14 ) @ sK1_A_27a ) )
        = $false )
      | ( ( ~ ( mem @ SV14 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ sK3_SY60 ) ) )
        = $true ) ) ),
    inference(extcnf_or_neg,[status(thm)],[157])).

thf(175,plain,(
    ! [SV14: $i] :
      ( ( ( ~ ~ ( ~ ( mem @ ( sK6_SY72 @ SV14 ) @ sK2_SY54 )
                | ~ ( ( ( ap @ SV14 @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ sK1_A_27a @ sK2_SY54 ) @ ( sK5_SY70 @ SV14 ) ) @ ( sK6_SY72 @ SV14 ) ) )
                     != ( ap @ ( ap @ sK4_SY65 @ ( sK5_SY70 @ SV14 ) ) @ ( sK6_SY72 @ SV14 ) ) ) ) ) )
        = $false )
      | ( ( ~ ( mem @ SV14 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ sK3_SY60 ) ) )
        = $true ) ) ),
    inference(extcnf_or_neg,[status(thm)],[157])).

thf(176,plain,(
    ! [SV35: del] :
      ( ( ! [SY118: $o] :
            ( ~ ( ~ ( mem @ ( sK11_V1x @ SY118 @ SV35 ) @ SV35 )
                | ~ ~ ( p @ ( inj__o @ SY118 ) ) )
            | ( p @ ( inj__o @ SY118 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[158])).

thf(177,plain,(
    ! [SV36: del] :
      ( ( ! [SY119: $o] :
            ( ~ ( p @ ( inj__o @ SY119 ) )
            | ! [SY120: $i] :
                ~ ( mem @ SY120 @ SV36 )
            | ( p @ ( inj__o @ SY119 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[159])).

thf(178,plain,(
    ! [SV24: del,SV15: del,SV31: $i] :
      ( ( ( ~ ( mem @ SV31 @ ( arr @ SV15 @ SV24 ) ) )
        = $true )
      | ( ( ! [SY112: $i] :
              ( ~ ( mem @ SY112 @ ( arr @ SV15 @ SV24 ) )
              | ~ ( ~ ( mem @ ( sK9_X @ SY112 @ SV31 @ SV24 @ SV15 ) @ SV15 )
                  | ~ ( ( ( ap @ SV31 @ ( sK9_X @ SY112 @ SV31 @ SV24 @ SV15 ) )
                       != ( ap @ SY112 @ ( sK9_X @ SY112 @ SV31 @ SV24 @ SV15 ) ) ) ) )
              | ( SV31 = SY112 ) ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[160])).

thf(179,plain,(
    ! [SV37: del] :
      ( ( ! [SY121: $i] :
            ( ~ ( mem @ SY121 @ ( arr @ SV37 @ bool ) )
            | ! [SY122: $i] :
                ( ~ ( mem @ SY122 @ SV37 )
                | ~ ( p @ ( ap @ SY121 @ SY122 ) ) )
            | ( p @ ( ap @ ( c_2Ebool_2E_3F @ SV37 ) @ SY121 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[161])).

thf(180,plain,(
    ! [SV38: del] :
      ( ( ! [SY123: $i] :
            ( ~ ( mem @ SY123 @ ( arr @ SV38 @ bool ) )
            | ~ ( p @ ( ap @ ( c_2Ebool_2E_3F @ SV38 ) @ SY123 ) )
            | ~ ( ~ ( mem @ ( sK8_X @ SY123 @ SV38 ) @ SV38 )
                | ~ ( p @ ( ap @ SY123 @ ( sK8_X @ SY123 @ SV38 ) ) ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[162])).

thf(181,plain,(
    ! [SV26: del,SV17: del,SV1: del,SV32: $i] :
      ( ( ( ~ ( mem @ SV32 @ ( arr @ SV1 @ ( arr @ SV17 @ SV26 ) ) ) )
        = $true )
      | ( ( ! [SY113: $i] :
              ( ~ ( mem @ SY113 @ SV1 )
              | ! [SY114: $i] :
                  ( ~ ( mem @ SY114 @ SV17 )
                  | ( ( ap @ ( ap @ ( c_2Epair_2EUNCURRY @ SV1 @ SV17 @ SV26 ) @ SV32 ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ SV1 @ SV17 ) @ SY113 ) @ SY114 ) )
                    = ( ap @ ( ap @ SV32 @ SY113 ) @ SY114 ) ) ) ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[164])).

thf(182,plain,(
    ! [SV2: $o] :
      ( ( ( p @ ( inj__o @ SV2 ) )
        = $false )
      | ( ( ~ ( ~ ( p @ ( inj__o @ SV2 ) )
              | ~ SV2 ) )
        = $true ) ) ),
    inference(extcnf_or_neg,[status(thm)],[165])).

thf(183,plain,(
    ! [SV2: $o] :
      ( ( SV2 = $false )
      | ( ( ~ ( ~ ( p @ ( inj__o @ SV2 ) )
              | ~ SV2 ) )
        = $true ) ) ),
    inference(extcnf_or_neg,[status(thm)],[165])).

thf(184,plain,
    ( ( ( p @ ( inj__o @ $true ) )
      = $false )
    | ( ( ~ ( ~ ( p @ ( inj__o @ $true ) )
            | ~ $true ) )
      = $true ) ),
    inference(extcnf_or_neg,[status(thm)],[166])).

thf(185,plain,
    ( ( $true = $false )
    | ( ( ~ ( ~ ( p @ ( inj__o @ $true ) )
            | ~ $true ) )
      = $true ) ),
    inference(extcnf_or_neg,[status(thm)],[166])).

thf(186,plain,
    ( ( ( p @ ( inj__o @ $false ) )
      = $false )
    | ( ( ~ ( ~ ( p @ ( inj__o @ $false ) )
            | ~ $false ) )
      = $true ) ),
    inference(extcnf_or_neg,[status(thm)],[167])).

thf(187,plain,
    ( ( $false = $false )
    | ( ( ~ ( ~ ( p @ ( inj__o @ $false ) )
            | ~ $false ) )
      = $true ) ),
    inference(extcnf_or_neg,[status(thm)],[167])).

thf(188,plain,(
    ! [SV18: del,SV5: del,SV27: $i] :
      ( ( ( mem @ SV27 @ ( arr @ SV5 @ SV18 ) )
        = $false )
      | ( ( ! [SY111: $i] :
              ( ~ ( mem @ SY111 @ SV5 )
              | ( mem @ ( ap @ SV27 @ SY111 ) @ SV18 ) ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[168])).

thf(189,plain,(
    ! [SV19: $i > $i,SV6: del,SV28: $i] :
      ( ( ( mem @ SV28 @ SV6 )
        = $false )
      | ( ( ( ap @ ( lam @ SV6 @ SV19 ) @ SV28 )
          = ( SV19 @ SV28 ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[169])).

thf(190,plain,(
    ! [SV22: $i,SV12: del] :
      ( ( ( ~ ! [SY103: $i] :
                ( ~ ( mem @ SY103 @ SV12 )
                | ( SV22 != SY103 )
                | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SV22 ) @ SY103 ) ) )
          | ~ ! [SY104: $i] :
                ( ~ ( mem @ SY104 @ SV12 )
                | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SV22 ) @ SY104 ) )
                | ( SV22 = SY104 ) ) )
        = $false )
      | ( ( mem @ SV22 @ SV12 )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[170])).

thf(191,plain,(
    ! [SV33: del,SV39: $i] :
      ( ( ~ ( mem @ SV39 @ ( arr @ SV33 @ bool ) )
        | ~ ( ~ ( mem @ ( sK7_X @ SV39 @ SV33 ) @ SV33 )
            | ~ ~ ( p @ ( ap @ SV39 @ ( sK7_X @ SV39 @ SV33 ) ) ) )
        | ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV33 ) @ SV39 ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[171])).

thf(192,plain,(
    ! [SV34: del,SV40: $i] :
      ( ( ~ ( mem @ SV40 @ ( arr @ SV34 @ bool ) )
        | ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV34 ) @ SV40 ) )
        | ! [SY124: $i] :
            ( ~ ( mem @ SY124 @ SV34 )
            | ( p @ ( ap @ SV40 @ SY124 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[172])).

thf(193,plain,(
    ! [SV13: del,SV23: del,SV30: $i > $i] :
      ( ( ( ~ ( mem @ ( sK10_X @ SV30 @ SV23 @ SV13 ) @ SV13 )
          | ~ ~ ( mem @ ( SV30 @ ( sK10_X @ SV30 @ SV23 @ SV13 ) ) @ SV23 ) )
        = $false )
      | ( ( mem @ ( lam @ SV13 @ SV30 ) @ ( arr @ SV13 @ SV23 ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[173])).

thf(194,plain,(
    ! [SV14: $i] :
      ( ( ( mem @ ( sK5_SY70 @ SV14 ) @ sK1_A_27a )
        = $true )
      | ( ( ~ ( mem @ SV14 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ sK3_SY60 ) ) )
        = $true ) ) ),
    inference(extcnf_not_neg,[status(thm)],[174])).

thf(195,plain,(
    ! [SV14: $i] :
      ( ( ( ~ ( ~ ( mem @ ( sK6_SY72 @ SV14 ) @ sK2_SY54 )
              | ~ ( ( ( ap @ SV14 @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ sK1_A_27a @ sK2_SY54 ) @ ( sK5_SY70 @ SV14 ) ) @ ( sK6_SY72 @ SV14 ) ) )
                   != ( ap @ ( ap @ sK4_SY65 @ ( sK5_SY70 @ SV14 ) ) @ ( sK6_SY72 @ SV14 ) ) ) ) ) )
        = $true )
      | ( ( ~ ( mem @ SV14 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ sK3_SY60 ) ) )
        = $true ) ) ),
    inference(extcnf_not_neg,[status(thm)],[175])).

thf(196,plain,(
    ! [SV35: del,SV41: $o] :
      ( ( ~ ( ~ ( mem @ ( sK11_V1x @ SV41 @ SV35 ) @ SV35 )
            | ~ ~ ( p @ ( inj__o @ SV41 ) ) )
        | ( p @ ( inj__o @ SV41 ) ) )
      = $true ) ),
    inference(extcnf_forall_special_pos,[status(thm)],[176])).

thf(197,plain,(
    ! [SV35: del] :
      ( ( ~ ( ~ ( mem @ ( sK11_V1x @ $true @ SV35 ) @ SV35 )
            | ~ ~ ( p @ ( inj__o @ $true ) ) )
        | ( p @ ( inj__o @ $true ) ) )
      = $true ) ),
    inference(extcnf_forall_special_pos,[status(thm)],[176])).

thf(198,plain,(
    ! [SV35: del] :
      ( ( ~ ( ~ ( mem @ ( sK11_V1x @ $false @ SV35 ) @ SV35 )
            | ~ ~ ( p @ ( inj__o @ $false ) ) )
        | ( p @ ( inj__o @ $false ) ) )
      = $true ) ),
    inference(extcnf_forall_special_pos,[status(thm)],[176])).

thf(199,plain,(
    ! [SV36: del,SV42: $o] :
      ( ( ~ ( p @ ( inj__o @ SV42 ) )
        | ! [SY120: $i] :
            ~ ( mem @ SY120 @ SV36 )
        | ( p @ ( inj__o @ SV42 ) ) )
      = $true ) ),
    inference(extcnf_forall_special_pos,[status(thm)],[177])).

thf(200,plain,(
    ! [SV36: del] :
      ( ( ~ ( p @ ( inj__o @ $true ) )
        | ! [SX0: $i] :
            ~ ( mem @ SX0 @ SV36 )
        | ( p @ ( inj__o @ $true ) ) )
      = $true ) ),
    inference(extcnf_forall_special_pos,[status(thm)],[177])).

thf(201,plain,(
    ! [SV36: del] :
      ( ( ~ ( p @ ( inj__o @ $false ) )
        | ! [SX0: $i] :
            ~ ( mem @ SX0 @ SV36 )
        | ( p @ ( inj__o @ $false ) ) )
      = $true ) ),
    inference(extcnf_forall_special_pos,[status(thm)],[177])).

thf(202,plain,(
    ! [SV24: del,SV15: del,SV31: $i] :
      ( ( ( mem @ SV31 @ ( arr @ SV15 @ SV24 ) )
        = $false )
      | ( ( ! [SY112: $i] :
              ( ~ ( mem @ SY112 @ ( arr @ SV15 @ SV24 ) )
              | ~ ( ~ ( mem @ ( sK9_X @ SY112 @ SV31 @ SV24 @ SV15 ) @ SV15 )
                  | ~ ( ( ( ap @ SV31 @ ( sK9_X @ SY112 @ SV31 @ SV24 @ SV15 ) )
                       != ( ap @ SY112 @ ( sK9_X @ SY112 @ SV31 @ SV24 @ SV15 ) ) ) ) )
              | ( SV31 = SY112 ) ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[178])).

thf(203,plain,(
    ! [SV37: del,SV43: $i] :
      ( ( ~ ( mem @ SV43 @ ( arr @ SV37 @ bool ) )
        | ! [SY126: $i] :
            ( ~ ( mem @ SY126 @ SV37 )
            | ~ ( p @ ( ap @ SV43 @ SY126 ) ) )
        | ( p @ ( ap @ ( c_2Ebool_2E_3F @ SV37 ) @ SV43 ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[179])).

thf(204,plain,(
    ! [SV38: del,SV44: $i] :
      ( ( ~ ( mem @ SV44 @ ( arr @ SV38 @ bool ) )
        | ~ ( p @ ( ap @ ( c_2Ebool_2E_3F @ SV38 ) @ SV44 ) )
        | ~ ( ~ ( mem @ ( sK8_X @ SV44 @ SV38 ) @ SV38 )
            | ~ ( p @ ( ap @ SV44 @ ( sK8_X @ SV44 @ SV38 ) ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[180])).

thf(205,plain,(
    ! [SV26: del,SV17: del,SV1: del,SV32: $i] :
      ( ( ( mem @ SV32 @ ( arr @ SV1 @ ( arr @ SV17 @ SV26 ) ) )
        = $false )
      | ( ( ! [SY113: $i] :
              ( ~ ( mem @ SY113 @ SV1 )
              | ! [SY114: $i] :
                  ( ~ ( mem @ SY114 @ SV17 )
                  | ( ( ap @ ( ap @ ( c_2Epair_2EUNCURRY @ SV1 @ SV17 @ SV26 ) @ SV32 ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ SV1 @ SV17 ) @ SY113 ) @ SY114 ) )
                    = ( ap @ ( ap @ SV32 @ SY113 ) @ SY114 ) ) ) ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[181])).

thf(206,plain,(
    ! [SV2: $o] :
      ( ( ( ~ ( p @ ( inj__o @ SV2 ) )
          | ~ SV2 )
        = $false )
      | ( ( p @ ( inj__o @ SV2 ) )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[182])).

thf(207,plain,(
    ! [SV2: $o] :
      ( ( ( ~ ( p @ ( inj__o @ SV2 ) )
          | ~ SV2 )
        = $false )
      | ( SV2 = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[183])).

thf(208,plain,
    ( ( ( ~ ( p @ ( inj__o @ $true ) )
        | ~ $true )
      = $false )
    | ( ( p @ ( inj__o @ $true ) )
      = $false ) ),
    inference(extcnf_not_pos,[status(thm)],[184])).

thf(209,plain,
    ( ( ( ~ ( p @ ( inj__o @ $true ) )
        | ~ $true )
      = $false )
    | ( $true = $false ) ),
    inference(extcnf_not_pos,[status(thm)],[185])).

thf(210,plain,
    ( ( ( ~ ( p @ ( inj__o @ $false ) )
        | ~ $false )
      = $false )
    | ( ( p @ ( inj__o @ $false ) )
      = $false ) ),
    inference(extcnf_not_pos,[status(thm)],[186])).

thf(211,plain,
    ( ( ( ~ ( p @ ( inj__o @ $false ) )
        | ~ $false )
      = $false )
    | ( $false = $false ) ),
    inference(extcnf_not_pos,[status(thm)],[187])).

thf(212,plain,(
    ! [SV18: del,SV27: $i,SV5: del,SV45: $i] :
      ( ( ( ~ ( mem @ SV45 @ SV5 )
          | ( mem @ ( ap @ SV27 @ SV45 ) @ SV18 ) )
        = $true )
      | ( ( mem @ SV27 @ ( arr @ SV5 @ SV18 ) )
        = $false ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[188])).

thf(213,plain,(
    ! [SV22: $i,SV12: del] :
      ( ( ( ~ ! [SY103: $i] :
                ( ~ ( mem @ SY103 @ SV12 )
                | ( SV22 != SY103 )
                | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SV22 ) @ SY103 ) ) ) )
        = $false )
      | ( ( mem @ SV22 @ SV12 )
        = $false ) ) ),
    inference(extcnf_or_neg,[status(thm)],[190])).

thf(214,plain,(
    ! [SV22: $i,SV12: del] :
      ( ( ( ~ ! [SY104: $i] :
                ( ~ ( mem @ SY104 @ SV12 )
                | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SV22 ) @ SY104 ) )
                | ( SV22 = SY104 ) ) )
        = $false )
      | ( ( mem @ SV22 @ SV12 )
        = $false ) ) ),
    inference(extcnf_or_neg,[status(thm)],[190])).

thf(215,plain,(
    ! [SV33: del,SV39: $i] :
      ( ( ( ~ ( mem @ SV39 @ ( arr @ SV33 @ bool ) ) )
        = $true )
      | ( ( ~ ( ~ ( mem @ ( sK7_X @ SV39 @ SV33 ) @ SV33 )
              | ~ ~ ( p @ ( ap @ SV39 @ ( sK7_X @ SV39 @ SV33 ) ) ) )
          | ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV33 ) @ SV39 ) ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[191])).

thf(216,plain,(
    ! [SV34: del,SV40: $i] :
      ( ( ( ~ ( mem @ SV40 @ ( arr @ SV34 @ bool ) ) )
        = $true )
      | ( ( ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV34 ) @ SV40 ) )
          | ! [SY124: $i] :
              ( ~ ( mem @ SY124 @ SV34 )
              | ( p @ ( ap @ SV40 @ SY124 ) ) ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[192])).

thf(217,plain,(
    ! [SV13: del,SV23: del,SV30: $i > $i] :
      ( ( ( ~ ( mem @ ( sK10_X @ SV30 @ SV23 @ SV13 ) @ SV13 ) )
        = $false )
      | ( ( mem @ ( lam @ SV13 @ SV30 ) @ ( arr @ SV13 @ SV23 ) )
        = $true ) ) ),
    inference(extcnf_or_neg,[status(thm)],[193])).

thf(218,plain,(
    ! [SV13: del,SV23: del,SV30: $i > $i] :
      ( ( ( ~ ~ ( mem @ ( SV30 @ ( sK10_X @ SV30 @ SV23 @ SV13 ) ) @ SV23 ) )
        = $false )
      | ( ( mem @ ( lam @ SV13 @ SV30 ) @ ( arr @ SV13 @ SV23 ) )
        = $true ) ) ),
    inference(extcnf_or_neg,[status(thm)],[193])).

thf(219,plain,(
    ! [SV14: $i] :
      ( ( ( mem @ SV14 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ sK3_SY60 ) )
        = $false )
      | ( ( mem @ ( sK5_SY70 @ SV14 ) @ sK1_A_27a )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[194])).

thf(220,plain,(
    ! [SV14: $i] :
      ( ( ( ~ ( mem @ ( sK6_SY72 @ SV14 ) @ sK2_SY54 )
          | ~ ( ( ( ap @ SV14 @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ sK1_A_27a @ sK2_SY54 ) @ ( sK5_SY70 @ SV14 ) ) @ ( sK6_SY72 @ SV14 ) ) )
               != ( ap @ ( ap @ sK4_SY65 @ ( sK5_SY70 @ SV14 ) ) @ ( sK6_SY72 @ SV14 ) ) ) ) )
        = $false )
      | ( ( ~ ( mem @ SV14 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ sK3_SY60 ) ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[195])).

thf(221,plain,(
    ! [SV35: del,SV41: $o] :
      ( ( ( ~ ( ~ ( mem @ ( sK11_V1x @ SV41 @ SV35 ) @ SV35 )
              | ~ ~ ( p @ ( inj__o @ SV41 ) ) ) )
        = $true )
      | ( ( p @ ( inj__o @ SV41 ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[196])).

thf(222,plain,(
    ! [SV35: del] :
      ( ( ( ~ ( ~ ( mem @ ( sK11_V1x @ $true @ SV35 ) @ SV35 )
              | ~ ~ ( p @ ( inj__o @ $true ) ) ) )
        = $true )
      | ( ( p @ ( inj__o @ $true ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[197])).

thf(223,plain,(
    ! [SV35: del] :
      ( ( ( ~ ( ~ ( mem @ ( sK11_V1x @ $false @ SV35 ) @ SV35 )
              | ~ ~ ( p @ ( inj__o @ $false ) ) ) )
        = $true )
      | ( ( p @ ( inj__o @ $false ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[198])).

thf(224,plain,(
    ! [SV36: del,SV42: $o] :
      ( ( ( ~ ( p @ ( inj__o @ SV42 ) ) )
        = $true )
      | ( ( ! [SY120: $i] :
              ~ ( mem @ SY120 @ SV36 )
          | ( p @ ( inj__o @ SV42 ) ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[199])).

thf(225,plain,(
    ! [SV36: del] :
      ( ( ( ~ ( p @ ( inj__o @ $true ) ) )
        = $true )
      | ( ( ! [SX0: $i] :
              ~ ( mem @ SX0 @ SV36 )
          | ( p @ ( inj__o @ $true ) ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[200])).

thf(226,plain,(
    ! [SV36: del] :
      ( ( ( ~ ( p @ ( inj__o @ $false ) ) )
        = $true )
      | ( ( ! [SX0: $i] :
              ~ ( mem @ SX0 @ SV36 )
          | ( p @ ( inj__o @ $false ) ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[201])).

thf(227,plain,(
    ! [SV31: $i,SV24: del,SV15: del,SV46: $i] :
      ( ( ( ~ ( mem @ SV46 @ ( arr @ SV15 @ SV24 ) )
          | ~ ( ~ ( mem @ ( sK9_X @ SV46 @ SV31 @ SV24 @ SV15 ) @ SV15 )
              | ~ ( ( ( ap @ SV31 @ ( sK9_X @ SV46 @ SV31 @ SV24 @ SV15 ) )
                   != ( ap @ SV46 @ ( sK9_X @ SV46 @ SV31 @ SV24 @ SV15 ) ) ) ) )
          | ( SV31 = SV46 ) )
        = $true )
      | ( ( mem @ SV31 @ ( arr @ SV15 @ SV24 ) )
        = $false ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[202])).

thf(228,plain,(
    ! [SV37: del,SV43: $i] :
      ( ( ( ~ ( mem @ SV43 @ ( arr @ SV37 @ bool ) ) )
        = $true )
      | ( ( ! [SY126: $i] :
              ( ~ ( mem @ SY126 @ SV37 )
              | ~ ( p @ ( ap @ SV43 @ SY126 ) ) )
          | ( p @ ( ap @ ( c_2Ebool_2E_3F @ SV37 ) @ SV43 ) ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[203])).

thf(229,plain,(
    ! [SV38: del,SV44: $i] :
      ( ( ( ~ ( mem @ SV44 @ ( arr @ SV38 @ bool ) ) )
        = $true )
      | ( ( ~ ( p @ ( ap @ ( c_2Ebool_2E_3F @ SV38 ) @ SV44 ) )
          | ~ ( ~ ( mem @ ( sK8_X @ SV44 @ SV38 ) @ SV38 )
              | ~ ( p @ ( ap @ SV44 @ ( sK8_X @ SV44 @ SV38 ) ) ) ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[204])).

thf(230,plain,(
    ! [SV32: $i,SV26: del,SV17: del,SV1: del,SV47: $i] :
      ( ( ( ~ ( mem @ SV47 @ SV1 )
          | ! [SY127: $i] :
              ( ~ ( mem @ SY127 @ SV17 )
              | ( ( ap @ ( ap @ ( c_2Epair_2EUNCURRY @ SV1 @ SV17 @ SV26 ) @ SV32 ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ SV1 @ SV17 ) @ SV47 ) @ SY127 ) )
                = ( ap @ ( ap @ SV32 @ SV47 ) @ SY127 ) ) ) )
        = $true )
      | ( ( mem @ SV32 @ ( arr @ SV1 @ ( arr @ SV17 @ SV26 ) ) )
        = $false ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[205])).

thf(231,plain,(
    ! [SV2: $o] :
      ( ( ( ~ ( p @ ( inj__o @ SV2 ) ) )
        = $false )
      | ( ( p @ ( inj__o @ SV2 ) )
        = $false ) ) ),
    inference(extcnf_or_neg,[status(thm)],[206])).

thf(232,plain,(
    ! [SV2: $o] :
      ( ( ( ~ SV2 ) = $false )
      | ( ( p @ ( inj__o @ SV2 ) )
        = $false ) ) ),
    inference(extcnf_or_neg,[status(thm)],[206])).

thf(233,plain,(
    ! [SV2: $o] :
      ( ( ( ~ ( p @ ( inj__o @ SV2 ) ) )
        = $false )
      | ( SV2 = $false ) ) ),
    inference(extcnf_or_neg,[status(thm)],[207])).

thf(234,plain,(
    ! [SV2: $o] :
      ( ( ( ~ SV2 ) = $false )
      | ( SV2 = $false ) ) ),
    inference(extcnf_or_neg,[status(thm)],[207])).

thf(235,plain,
    ( ( ( ~ ( p @ ( inj__o @ $true ) ) )
      = $false )
    | ( ( p @ ( inj__o @ $true ) )
      = $false ) ),
    inference(extcnf_or_neg,[status(thm)],[208])).

thf(236,plain,
    ( ( ( ~ $true ) = $false )
    | ( ( p @ ( inj__o @ $true ) )
      = $false ) ),
    inference(extcnf_or_neg,[status(thm)],[208])).

thf(237,plain,
    ( ( ( ~ ( p @ ( inj__o @ $true ) ) )
      = $false )
    | ( $true = $false ) ),
    inference(extcnf_or_neg,[status(thm)],[209])).

thf(238,plain,
    ( ( ( ~ $true ) = $false )
    | ( $true = $false ) ),
    inference(extcnf_or_neg,[status(thm)],[209])).

thf(239,plain,
    ( ( ( ~ ( p @ ( inj__o @ $false ) ) )
      = $false )
    | ( ( p @ ( inj__o @ $false ) )
      = $false ) ),
    inference(extcnf_or_neg,[status(thm)],[210])).

thf(240,plain,
    ( ( ( ~ $false ) = $false )
    | ( ( p @ ( inj__o @ $false ) )
      = $false ) ),
    inference(extcnf_or_neg,[status(thm)],[210])).

thf(241,plain,
    ( ( ( ~ ( p @ ( inj__o @ $false ) ) )
      = $false )
    | ( $false = $false ) ),
    inference(extcnf_or_neg,[status(thm)],[211])).

thf(242,plain,
    ( ( ( ~ $false ) = $false )
    | ( $false = $false ) ),
    inference(extcnf_or_neg,[status(thm)],[211])).

thf(243,plain,(
    ! [SV18: del,SV27: $i,SV5: del,SV45: $i] :
      ( ( ( ~ ( mem @ SV45 @ SV5 ) )
        = $true )
      | ( ( mem @ ( ap @ SV27 @ SV45 ) @ SV18 )
        = $true )
      | ( ( mem @ SV27 @ ( arr @ SV5 @ SV18 ) )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[212])).

thf(244,plain,(
    ! [SV22: $i,SV12: del] :
      ( ( ( ! [SY103: $i] :
              ( ~ ( mem @ SY103 @ SV12 )
              | ( SV22 != SY103 )
              | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SV22 ) @ SY103 ) ) ) )
        = $true )
      | ( ( mem @ SV22 @ SV12 )
        = $false ) ) ),
    inference(extcnf_not_neg,[status(thm)],[213])).

thf(245,plain,(
    ! [SV22: $i,SV12: del] :
      ( ( ( ! [SY104: $i] :
              ( ~ ( mem @ SY104 @ SV12 )
              | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SV22 ) @ SY104 ) )
              | ( SV22 = SY104 ) ) )
        = $true )
      | ( ( mem @ SV22 @ SV12 )
        = $false ) ) ),
    inference(extcnf_not_neg,[status(thm)],[214])).

thf(246,plain,(
    ! [SV33: del,SV39: $i] :
      ( ( ( mem @ SV39 @ ( arr @ SV33 @ bool ) )
        = $false )
      | ( ( ~ ( ~ ( mem @ ( sK7_X @ SV39 @ SV33 ) @ SV33 )
              | ~ ~ ( p @ ( ap @ SV39 @ ( sK7_X @ SV39 @ SV33 ) ) ) )
          | ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV33 ) @ SV39 ) ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[215])).

thf(247,plain,(
    ! [SV34: del,SV40: $i] :
      ( ( ( mem @ SV40 @ ( arr @ SV34 @ bool ) )
        = $false )
      | ( ( ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV34 ) @ SV40 ) )
          | ! [SY124: $i] :
              ( ~ ( mem @ SY124 @ SV34 )
              | ( p @ ( ap @ SV40 @ SY124 ) ) ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[216])).

thf(248,plain,(
    ! [SV13: del,SV23: del,SV30: $i > $i] :
      ( ( ( mem @ ( sK10_X @ SV30 @ SV23 @ SV13 ) @ SV13 )
        = $true )
      | ( ( mem @ ( lam @ SV13 @ SV30 ) @ ( arr @ SV13 @ SV23 ) )
        = $true ) ) ),
    inference(extcnf_not_neg,[status(thm)],[217])).

thf(249,plain,(
    ! [SV13: del,SV23: del,SV30: $i > $i] :
      ( ( ( ~ ( mem @ ( SV30 @ ( sK10_X @ SV30 @ SV23 @ SV13 ) ) @ SV23 ) )
        = $true )
      | ( ( mem @ ( lam @ SV13 @ SV30 ) @ ( arr @ SV13 @ SV23 ) )
        = $true ) ) ),
    inference(extcnf_not_neg,[status(thm)],[218])).

thf(250,plain,(
    ! [SV14: $i] :
      ( ( ( ~ ( mem @ ( sK6_SY72 @ SV14 ) @ sK2_SY54 ) )
        = $false )
      | ( ( ~ ( mem @ SV14 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ sK3_SY60 ) ) )
        = $true ) ) ),
    inference(extcnf_or_neg,[status(thm)],[220])).

thf(251,plain,(
    ! [SV14: $i] :
      ( ( ( ~ ( ( ( ap @ SV14 @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ sK1_A_27a @ sK2_SY54 ) @ ( sK5_SY70 @ SV14 ) ) @ ( sK6_SY72 @ SV14 ) ) )
               != ( ap @ ( ap @ sK4_SY65 @ ( sK5_SY70 @ SV14 ) ) @ ( sK6_SY72 @ SV14 ) ) ) ) )
        = $false )
      | ( ( ~ ( mem @ SV14 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ sK3_SY60 ) ) )
        = $true ) ) ),
    inference(extcnf_or_neg,[status(thm)],[220])).

thf(252,plain,(
    ! [SV35: del,SV41: $o] :
      ( ( ( ~ ( mem @ ( sK11_V1x @ SV41 @ SV35 ) @ SV35 )
          | ~ ~ ( p @ ( inj__o @ SV41 ) ) )
        = $false )
      | ( ( p @ ( inj__o @ SV41 ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[221])).

thf(253,plain,(
    ! [SV35: del] :
      ( ( ( ~ ( mem @ ( sK11_V1x @ $true @ SV35 ) @ SV35 )
          | ~ ~ ( p @ ( inj__o @ $true ) ) )
        = $false )
      | ( ( p @ ( inj__o @ $true ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[222])).

thf(254,plain,(
    ! [SV35: del] :
      ( ( ( ~ ( mem @ ( sK11_V1x @ $false @ SV35 ) @ SV35 )
          | ~ ~ ( p @ ( inj__o @ $false ) ) )
        = $false )
      | ( ( p @ ( inj__o @ $false ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[223])).

thf(255,plain,(
    ! [SV36: del,SV42: $o] :
      ( ( ( p @ ( inj__o @ SV42 ) )
        = $false )
      | ( ( ! [SY120: $i] :
              ~ ( mem @ SY120 @ SV36 )
          | ( p @ ( inj__o @ SV42 ) ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[224])).

thf(256,plain,(
    ! [SV36: del] :
      ( ( ( p @ ( inj__o @ $true ) )
        = $false )
      | ( ( ! [SX0: $i] :
              ~ ( mem @ SX0 @ SV36 )
          | ( p @ ( inj__o @ $true ) ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[225])).

thf(257,plain,(
    ! [SV36: del] :
      ( ( ( p @ ( inj__o @ $false ) )
        = $false )
      | ( ( ! [SX0: $i] :
              ~ ( mem @ SX0 @ SV36 )
          | ( p @ ( inj__o @ $false ) ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[226])).

thf(258,plain,(
    ! [SV31: $i,SV24: del,SV15: del,SV46: $i] :
      ( ( ( ~ ( mem @ SV46 @ ( arr @ SV15 @ SV24 ) ) )
        = $true )
      | ( ( ~ ( ~ ( mem @ ( sK9_X @ SV46 @ SV31 @ SV24 @ SV15 ) @ SV15 )
              | ~ ( ( ( ap @ SV31 @ ( sK9_X @ SV46 @ SV31 @ SV24 @ SV15 ) )
                   != ( ap @ SV46 @ ( sK9_X @ SV46 @ SV31 @ SV24 @ SV15 ) ) ) ) )
          | ( SV31 = SV46 ) )
        = $true )
      | ( ( mem @ SV31 @ ( arr @ SV15 @ SV24 ) )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[227])).

thf(259,plain,(
    ! [SV37: del,SV43: $i] :
      ( ( ( mem @ SV43 @ ( arr @ SV37 @ bool ) )
        = $false )
      | ( ( ! [SY126: $i] :
              ( ~ ( mem @ SY126 @ SV37 )
              | ~ ( p @ ( ap @ SV43 @ SY126 ) ) )
          | ( p @ ( ap @ ( c_2Ebool_2E_3F @ SV37 ) @ SV43 ) ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[228])).

thf(260,plain,(
    ! [SV38: del,SV44: $i] :
      ( ( ( mem @ SV44 @ ( arr @ SV38 @ bool ) )
        = $false )
      | ( ( ~ ( p @ ( ap @ ( c_2Ebool_2E_3F @ SV38 ) @ SV44 ) )
          | ~ ( ~ ( mem @ ( sK8_X @ SV44 @ SV38 ) @ SV38 )
              | ~ ( p @ ( ap @ SV44 @ ( sK8_X @ SV44 @ SV38 ) ) ) ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[229])).

thf(261,plain,(
    ! [SV32: $i,SV26: del,SV17: del,SV1: del,SV47: $i] :
      ( ( ( ~ ( mem @ SV47 @ SV1 ) )
        = $true )
      | ( ( ! [SY127: $i] :
              ( ~ ( mem @ SY127 @ SV17 )
              | ( ( ap @ ( ap @ ( c_2Epair_2EUNCURRY @ SV1 @ SV17 @ SV26 ) @ SV32 ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ SV1 @ SV17 ) @ SV47 ) @ SY127 ) )
                = ( ap @ ( ap @ SV32 @ SV47 ) @ SY127 ) ) ) )
        = $true )
      | ( ( mem @ SV32 @ ( arr @ SV1 @ ( arr @ SV17 @ SV26 ) ) )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[230])).

thf(262,plain,(
    ! [SV2: $o] :
      ( ( ( p @ ( inj__o @ SV2 ) )
        = $true )
      | ( ( p @ ( inj__o @ SV2 ) )
        = $false ) ) ),
    inference(extcnf_not_neg,[status(thm)],[231])).

thf(263,plain,(
    ! [SV2: $o] :
      ( ( SV2 = $true )
      | ( ( p @ ( inj__o @ SV2 ) )
        = $false ) ) ),
    inference(extcnf_not_neg,[status(thm)],[232])).

thf(264,plain,(
    ! [SV2: $o] :
      ( ( ( p @ ( inj__o @ SV2 ) )
        = $true )
      | ( SV2 = $false ) ) ),
    inference(extcnf_not_neg,[status(thm)],[233])).

thf(265,plain,(
    ! [SV2: $o] :
      ( ( SV2 = $true )
      | ( SV2 = $false ) ) ),
    inference(extcnf_not_neg,[status(thm)],[234])).

thf(266,plain,
    ( ( ( p @ ( inj__o @ $true ) )
      = $true )
    | ( ( p @ ( inj__o @ $true ) )
      = $false ) ),
    inference(extcnf_not_neg,[status(thm)],[235])).

thf(267,plain,
    ( ( $true = $true )
    | ( ( p @ ( inj__o @ $true ) )
      = $false ) ),
    inference(extcnf_not_neg,[status(thm)],[236])).

thf(268,plain,
    ( ( ( p @ ( inj__o @ $true ) )
      = $true )
    | ( $true = $false ) ),
    inference(extcnf_not_neg,[status(thm)],[237])).

thf(269,plain,
    ( ( $true = $true )
    | ( $true = $false ) ),
    inference(extcnf_not_neg,[status(thm)],[238])).

thf(270,plain,
    ( ( ( p @ ( inj__o @ $false ) )
      = $true )
    | ( ( p @ ( inj__o @ $false ) )
      = $false ) ),
    inference(extcnf_not_neg,[status(thm)],[239])).

thf(271,plain,
    ( ( $false = $true )
    | ( ( p @ ( inj__o @ $false ) )
      = $false ) ),
    inference(extcnf_not_neg,[status(thm)],[240])).

thf(272,plain,
    ( ( ( p @ ( inj__o @ $false ) )
      = $true )
    | ( $false = $false ) ),
    inference(extcnf_not_neg,[status(thm)],[241])).

thf(273,plain,
    ( ( $false = $true )
    | ( $false = $false ) ),
    inference(extcnf_not_neg,[status(thm)],[242])).

thf(274,plain,(
    ! [SV18: del,SV27: $i,SV5: del,SV45: $i] :
      ( ( ( mem @ SV45 @ SV5 )
        = $false )
      | ( ( mem @ ( ap @ SV27 @ SV45 ) @ SV18 )
        = $true )
      | ( ( mem @ SV27 @ ( arr @ SV5 @ SV18 ) )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[243])).

thf(275,plain,(
    ! [SV22: $i,SV12: del,SV48: $i] :
      ( ( ( ~ ( mem @ SV48 @ SV12 )
          | ( SV22 != SV48 )
          | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SV22 ) @ SV48 ) ) )
        = $true )
      | ( ( mem @ SV22 @ SV12 )
        = $false ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[244])).

thf(276,plain,(
    ! [SV22: $i,SV12: del,SV49: $i] :
      ( ( ( ~ ( mem @ SV49 @ SV12 )
          | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SV22 ) @ SV49 ) )
          | ( SV22 = SV49 ) )
        = $true )
      | ( ( mem @ SV22 @ SV12 )
        = $false ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[245])).

thf(277,plain,(
    ! [SV33: del,SV39: $i] :
      ( ( ( ~ ( ~ ( mem @ ( sK7_X @ SV39 @ SV33 ) @ SV33 )
              | ~ ~ ( p @ ( ap @ SV39 @ ( sK7_X @ SV39 @ SV33 ) ) ) ) )
        = $true )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV33 ) @ SV39 ) )
        = $true )
      | ( ( mem @ SV39 @ ( arr @ SV33 @ bool ) )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[246])).

thf(278,plain,(
    ! [SV40: $i,SV34: del] :
      ( ( ( ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV34 ) @ SV40 ) ) )
        = $true )
      | ( ( ! [SY124: $i] :
              ( ~ ( mem @ SY124 @ SV34 )
              | ( p @ ( ap @ SV40 @ SY124 ) ) ) )
        = $true )
      | ( ( mem @ SV40 @ ( arr @ SV34 @ bool ) )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[247])).

thf(279,plain,(
    ! [SV13: del,SV23: del,SV30: $i > $i] :
      ( ( ( mem @ ( SV30 @ ( sK10_X @ SV30 @ SV23 @ SV13 ) ) @ SV23 )
        = $false )
      | ( ( mem @ ( lam @ SV13 @ SV30 ) @ ( arr @ SV13 @ SV23 ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[249])).

thf(280,plain,(
    ! [SV14: $i] :
      ( ( ( mem @ ( sK6_SY72 @ SV14 ) @ sK2_SY54 )
        = $true )
      | ( ( ~ ( mem @ SV14 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ sK3_SY60 ) ) )
        = $true ) ) ),
    inference(extcnf_not_neg,[status(thm)],[250])).

thf(281,plain,(
    ! [SV14: $i] :
      ( ( ( ( ap @ SV14 @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ sK1_A_27a @ sK2_SY54 ) @ ( sK5_SY70 @ SV14 ) ) @ ( sK6_SY72 @ SV14 ) ) )
         != ( ap @ ( ap @ sK4_SY65 @ ( sK5_SY70 @ SV14 ) ) @ ( sK6_SY72 @ SV14 ) ) )
        = $true )
      | ( ( ~ ( mem @ SV14 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ sK3_SY60 ) ) )
        = $true ) ) ),
    inference(extcnf_not_neg,[status(thm)],[251])).

thf(282,plain,(
    ! [SV35: del,SV41: $o] :
      ( ( ( ~ ( mem @ ( sK11_V1x @ SV41 @ SV35 ) @ SV35 ) )
        = $false )
      | ( ( p @ ( inj__o @ SV41 ) )
        = $true ) ) ),
    inference(extcnf_or_neg,[status(thm)],[252])).

thf(283,plain,(
    ! [SV41: $o] :
      ( ( ( ~ ~ ( p @ ( inj__o @ SV41 ) ) )
        = $false )
      | ( ( p @ ( inj__o @ SV41 ) )
        = $true ) ) ),
    inference(extcnf_or_neg,[status(thm)],[252])).

thf(284,plain,(
    ! [SV35: del] :
      ( ( ( ~ ( mem @ ( sK11_V1x @ $true @ SV35 ) @ SV35 ) )
        = $false )
      | ( ( p @ ( inj__o @ $true ) )
        = $true ) ) ),
    inference(extcnf_or_neg,[status(thm)],[253])).

thf(285,plain,
    ( ( ( ~ ~ ( p @ ( inj__o @ $true ) ) )
      = $false )
    | ( ( p @ ( inj__o @ $true ) )
      = $true ) ),
    inference(extcnf_or_neg,[status(thm)],[253])).

thf(286,plain,(
    ! [SV35: del] :
      ( ( ( ~ ( mem @ ( sK11_V1x @ $false @ SV35 ) @ SV35 ) )
        = $false )
      | ( ( p @ ( inj__o @ $false ) )
        = $true ) ) ),
    inference(extcnf_or_neg,[status(thm)],[254])).

thf(287,plain,
    ( ( ( ~ ~ ( p @ ( inj__o @ $false ) ) )
      = $false )
    | ( ( p @ ( inj__o @ $false ) )
      = $true ) ),
    inference(extcnf_or_neg,[status(thm)],[254])).

thf(288,plain,(
    ! [SV42: $o,SV36: del] :
      ( ( ( ! [SY120: $i] :
              ~ ( mem @ SY120 @ SV36 ) )
        = $true )
      | ( ( p @ ( inj__o @ SV42 ) )
        = $true )
      | ( ( p @ ( inj__o @ SV42 ) )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[255])).

thf(289,plain,(
    ! [SV36: del] :
      ( ( ( ! [SX0: $i] :
              ~ ( mem @ SX0 @ SV36 ) )
        = $true )
      | ( ( p @ ( inj__o @ $true ) )
        = $true )
      | ( ( p @ ( inj__o @ $true ) )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[256])).

thf(290,plain,(
    ! [SV36: del] :
      ( ( ( ! [SX0: $i] :
              ~ ( mem @ SX0 @ SV36 ) )
        = $true )
      | ( ( p @ ( inj__o @ $false ) )
        = $true )
      | ( ( p @ ( inj__o @ $false ) )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[257])).

thf(291,plain,(
    ! [SV31: $i,SV24: del,SV15: del,SV46: $i] :
      ( ( ( mem @ SV46 @ ( arr @ SV15 @ SV24 ) )
        = $false )
      | ( ( ~ ( ~ ( mem @ ( sK9_X @ SV46 @ SV31 @ SV24 @ SV15 ) @ SV15 )
              | ~ ( ( ( ap @ SV31 @ ( sK9_X @ SV46 @ SV31 @ SV24 @ SV15 ) )
                   != ( ap @ SV46 @ ( sK9_X @ SV46 @ SV31 @ SV24 @ SV15 ) ) ) ) )
          | ( SV31 = SV46 ) )
        = $true )
      | ( ( mem @ SV31 @ ( arr @ SV15 @ SV24 ) )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[258])).

thf(292,plain,(
    ! [SV43: $i,SV37: del] :
      ( ( ( ! [SY126: $i] :
              ( ~ ( mem @ SY126 @ SV37 )
              | ~ ( p @ ( ap @ SV43 @ SY126 ) ) ) )
        = $true )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ SV37 ) @ SV43 ) )
        = $true )
      | ( ( mem @ SV43 @ ( arr @ SV37 @ bool ) )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[259])).

thf(293,plain,(
    ! [SV44: $i,SV38: del] :
      ( ( ( ~ ( p @ ( ap @ ( c_2Ebool_2E_3F @ SV38 ) @ SV44 ) ) )
        = $true )
      | ( ( ~ ( ~ ( mem @ ( sK8_X @ SV44 @ SV38 ) @ SV38 )
              | ~ ( p @ ( ap @ SV44 @ ( sK8_X @ SV44 @ SV38 ) ) ) ) )
        = $true )
      | ( ( mem @ SV44 @ ( arr @ SV38 @ bool ) )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[260])).

thf(294,plain,(
    ! [SV32: $i,SV26: del,SV17: del,SV1: del,SV47: $i] :
      ( ( ( mem @ SV47 @ SV1 )
        = $false )
      | ( ( ! [SY127: $i] :
              ( ~ ( mem @ SY127 @ SV17 )
              | ( ( ap @ ( ap @ ( c_2Epair_2EUNCURRY @ SV1 @ SV17 @ SV26 ) @ SV32 ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ SV1 @ SV17 ) @ SV47 ) @ SY127 ) )
                = ( ap @ ( ap @ SV32 @ SV47 ) @ SY127 ) ) ) )
        = $true )
      | ( ( mem @ SV32 @ ( arr @ SV1 @ ( arr @ SV17 @ SV26 ) ) )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[261])).

thf(295,plain,(
    ! [SV22: $i,SV12: del,SV48: $i] :
      ( ( ( ~ ( mem @ SV48 @ SV12 ) )
        = $true )
      | ( ( ( SV22 != SV48 )
          | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SV22 ) @ SV48 ) ) )
        = $true )
      | ( ( mem @ SV22 @ SV12 )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[275])).

thf(296,plain,(
    ! [SV22: $i,SV12: del,SV49: $i] :
      ( ( ( ~ ( mem @ SV49 @ SV12 ) )
        = $true )
      | ( ( ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SV22 ) @ SV49 ) )
          | ( SV22 = SV49 ) )
        = $true )
      | ( ( mem @ SV22 @ SV12 )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[276])).

thf(297,plain,(
    ! [SV33: del,SV39: $i] :
      ( ( ( ~ ( mem @ ( sK7_X @ SV39 @ SV33 ) @ SV33 )
          | ~ ~ ( p @ ( ap @ SV39 @ ( sK7_X @ SV39 @ SV33 ) ) ) )
        = $false )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV33 ) @ SV39 ) )
        = $true )
      | ( ( mem @ SV39 @ ( arr @ SV33 @ bool ) )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[277])).

thf(298,plain,(
    ! [SV40: $i,SV34: del] :
      ( ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV34 ) @ SV40 ) )
        = $false )
      | ( ( ! [SY124: $i] :
              ( ~ ( mem @ SY124 @ SV34 )
              | ( p @ ( ap @ SV40 @ SY124 ) ) ) )
        = $true )
      | ( ( mem @ SV40 @ ( arr @ SV34 @ bool ) )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[278])).

thf(299,plain,(
    ! [SV14: $i] :
      ( ( ( mem @ SV14 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ sK3_SY60 ) )
        = $false )
      | ( ( mem @ ( sK6_SY72 @ SV14 ) @ sK2_SY54 )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[280])).

thf(300,plain,(
    ! [SV14: $i] :
      ( ( ( ( ap @ SV14 @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ sK1_A_27a @ sK2_SY54 ) @ ( sK5_SY70 @ SV14 ) ) @ ( sK6_SY72 @ SV14 ) ) )
          = ( ap @ ( ap @ sK4_SY65 @ ( sK5_SY70 @ SV14 ) ) @ ( sK6_SY72 @ SV14 ) ) )
        = $false )
      | ( ( ~ ( mem @ SV14 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ sK3_SY60 ) ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[281])).

thf(301,plain,(
    ! [SV35: del,SV41: $o] :
      ( ( ( mem @ ( sK11_V1x @ SV41 @ SV35 ) @ SV35 )
        = $true )
      | ( ( p @ ( inj__o @ SV41 ) )
        = $true ) ) ),
    inference(extcnf_not_neg,[status(thm)],[282])).

thf(302,plain,(
    ! [SV41: $o] :
      ( ( ( ~ ( p @ ( inj__o @ SV41 ) ) )
        = $true )
      | ( ( p @ ( inj__o @ SV41 ) )
        = $true ) ) ),
    inference(extcnf_not_neg,[status(thm)],[283])).

thf(303,plain,(
    ! [SV35: del] :
      ( ( ( mem @ ( sK11_V1x @ $true @ SV35 ) @ SV35 )
        = $true )
      | ( ( p @ ( inj__o @ $true ) )
        = $true ) ) ),
    inference(extcnf_not_neg,[status(thm)],[284])).

thf(304,plain,
    ( ( ( ~ ( p @ ( inj__o @ $true ) ) )
      = $true )
    | ( ( p @ ( inj__o @ $true ) )
      = $true ) ),
    inference(extcnf_not_neg,[status(thm)],[285])).

thf(305,plain,(
    ! [SV35: del] :
      ( ( ( mem @ ( sK11_V1x @ $false @ SV35 ) @ SV35 )
        = $true )
      | ( ( p @ ( inj__o @ $false ) )
        = $true ) ) ),
    inference(extcnf_not_neg,[status(thm)],[286])).

thf(306,plain,
    ( ( ( ~ ( p @ ( inj__o @ $false ) ) )
      = $true )
    | ( ( p @ ( inj__o @ $false ) )
      = $true ) ),
    inference(extcnf_not_neg,[status(thm)],[287])).

thf(307,plain,(
    ! [SV42: $o,SV36: del,SV50: $i] :
      ( ( ( ~ ( mem @ SV50 @ SV36 ) )
        = $true )
      | ( ( p @ ( inj__o @ SV42 ) )
        = $true )
      | ( ( p @ ( inj__o @ SV42 ) )
        = $false ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[288])).

thf(308,plain,(
    ! [SV36: del,SV51: $i] :
      ( ( ( ~ ( mem @ SV51 @ SV36 ) )
        = $true )
      | ( ( p @ ( inj__o @ $true ) )
        = $true )
      | ( ( p @ ( inj__o @ $true ) )
        = $false ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[289])).

thf(309,plain,(
    ! [SV36: del,SV52: $i] :
      ( ( ( ~ ( mem @ SV52 @ SV36 ) )
        = $true )
      | ( ( p @ ( inj__o @ $false ) )
        = $true )
      | ( ( p @ ( inj__o @ $false ) )
        = $false ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[290])).

thf(310,plain,(
    ! [SV15: del,SV24: del,SV31: $i,SV46: $i] :
      ( ( ( ~ ( ~ ( mem @ ( sK9_X @ SV46 @ SV31 @ SV24 @ SV15 ) @ SV15 )
              | ~ ( ( ( ap @ SV31 @ ( sK9_X @ SV46 @ SV31 @ SV24 @ SV15 ) )
                   != ( ap @ SV46 @ ( sK9_X @ SV46 @ SV31 @ SV24 @ SV15 ) ) ) ) ) )
        = $true )
      | ( ( SV31 = SV46 )
        = $true )
      | ( ( mem @ SV46 @ ( arr @ SV15 @ SV24 ) )
        = $false )
      | ( ( mem @ SV31 @ ( arr @ SV15 @ SV24 ) )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[291])).

thf(311,plain,(
    ! [SV43: $i,SV37: del,SV53: $i] :
      ( ( ( ~ ( mem @ SV53 @ SV37 )
          | ~ ( p @ ( ap @ SV43 @ SV53 ) ) )
        = $true )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ SV37 ) @ SV43 ) )
        = $true )
      | ( ( mem @ SV43 @ ( arr @ SV37 @ bool ) )
        = $false ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[292])).

thf(312,plain,(
    ! [SV44: $i,SV38: del] :
      ( ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ SV38 ) @ SV44 ) )
        = $false )
      | ( ( ~ ( ~ ( mem @ ( sK8_X @ SV44 @ SV38 ) @ SV38 )
              | ~ ( p @ ( ap @ SV44 @ ( sK8_X @ SV44 @ SV38 ) ) ) ) )
        = $true )
      | ( ( mem @ SV44 @ ( arr @ SV38 @ bool ) )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[293])).

thf(313,plain,(
    ! [SV47: $i,SV32: $i,SV26: del,SV1: del,SV17: del,SV54: $i] :
      ( ( ( ~ ( mem @ SV54 @ SV17 )
          | ( ( ap @ ( ap @ ( c_2Epair_2EUNCURRY @ SV1 @ SV17 @ SV26 ) @ SV32 ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ SV1 @ SV17 ) @ SV47 ) @ SV54 ) )
            = ( ap @ ( ap @ SV32 @ SV47 ) @ SV54 ) ) )
        = $true )
      | ( ( mem @ SV47 @ SV1 )
        = $false )
      | ( ( mem @ SV32 @ ( arr @ SV1 @ ( arr @ SV17 @ SV26 ) ) )
        = $false ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[294])).

thf(314,plain,(
    ! [SV22: $i,SV12: del,SV48: $i] :
      ( ( ( mem @ SV48 @ SV12 )
        = $false )
      | ( ( ( SV22 != SV48 )
          | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SV22 ) @ SV48 ) ) )
        = $true )
      | ( ( mem @ SV22 @ SV12 )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[295])).

thf(315,plain,(
    ! [SV22: $i,SV12: del,SV49: $i] :
      ( ( ( mem @ SV49 @ SV12 )
        = $false )
      | ( ( ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SV22 ) @ SV49 ) )
          | ( SV22 = SV49 ) )
        = $true )
      | ( ( mem @ SV22 @ SV12 )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[296])).

thf(316,plain,(
    ! [SV33: del,SV39: $i] :
      ( ( ( ~ ( mem @ ( sK7_X @ SV39 @ SV33 ) @ SV33 ) )
        = $false )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV33 ) @ SV39 ) )
        = $true )
      | ( ( mem @ SV39 @ ( arr @ SV33 @ bool ) )
        = $false ) ) ),
    inference(extcnf_or_neg,[status(thm)],[297])).

thf(317,plain,(
    ! [SV33: del,SV39: $i] :
      ( ( ( ~ ~ ( p @ ( ap @ SV39 @ ( sK7_X @ SV39 @ SV33 ) ) ) )
        = $false )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV33 ) @ SV39 ) )
        = $true )
      | ( ( mem @ SV39 @ ( arr @ SV33 @ bool ) )
        = $false ) ) ),
    inference(extcnf_or_neg,[status(thm)],[297])).

thf(318,plain,(
    ! [SV40: $i,SV34: del,SV55: $i] :
      ( ( ( ~ ( mem @ SV55 @ SV34 )
          | ( p @ ( ap @ SV40 @ SV55 ) ) )
        = $true )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV34 ) @ SV40 ) )
        = $false )
      | ( ( mem @ SV40 @ ( arr @ SV34 @ bool ) )
        = $false ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[298])).

thf(319,plain,(
    ! [SV14: $i] :
      ( ( ( mem @ SV14 @ ( arr @ ( ty_2Epair_2Eprod @ sK1_A_27a @ sK2_SY54 ) @ sK3_SY60 ) )
        = $false )
      | ( ( ( ap @ SV14 @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ sK1_A_27a @ sK2_SY54 ) @ ( sK5_SY70 @ SV14 ) ) @ ( sK6_SY72 @ SV14 ) ) )
          = ( ap @ ( ap @ sK4_SY65 @ ( sK5_SY70 @ SV14 ) ) @ ( sK6_SY72 @ SV14 ) ) )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[300])).

thf(320,plain,(
    ! [SV41: $o] :
      ( ( ( p @ ( inj__o @ SV41 ) )
        = $false )
      | ( ( p @ ( inj__o @ SV41 ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[302])).

thf(321,plain,
    ( ( ( p @ ( inj__o @ $true ) )
      = $false )
    | ( ( p @ ( inj__o @ $true ) )
      = $true ) ),
    inference(extcnf_not_pos,[status(thm)],[304])).

thf(322,plain,
    ( ( ( p @ ( inj__o @ $false ) )
      = $false )
    | ( ( p @ ( inj__o @ $false ) )
      = $true ) ),
    inference(extcnf_not_pos,[status(thm)],[306])).

thf(323,plain,(
    ! [SV42: $o,SV36: del,SV50: $i] :
      ( ( ( mem @ SV50 @ SV36 )
        = $false )
      | ( ( p @ ( inj__o @ SV42 ) )
        = $true )
      | ( ( p @ ( inj__o @ SV42 ) )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[307])).

thf(324,plain,(
    ! [SV36: del,SV51: $i] :
      ( ( ( mem @ SV51 @ SV36 )
        = $false )
      | ( ( p @ ( inj__o @ $true ) )
        = $true )
      | ( ( p @ ( inj__o @ $true ) )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[308])).

thf(325,plain,(
    ! [SV36: del,SV52: $i] :
      ( ( ( mem @ SV52 @ SV36 )
        = $false )
      | ( ( p @ ( inj__o @ $false ) )
        = $true )
      | ( ( p @ ( inj__o @ $false ) )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[309])).

thf(326,plain,(
    ! [SV15: del,SV24: del,SV31: $i,SV46: $i] :
      ( ( ( ~ ( mem @ ( sK9_X @ SV46 @ SV31 @ SV24 @ SV15 ) @ SV15 )
          | ~ ( ( ( ap @ SV31 @ ( sK9_X @ SV46 @ SV31 @ SV24 @ SV15 ) )
               != ( ap @ SV46 @ ( sK9_X @ SV46 @ SV31 @ SV24 @ SV15 ) ) ) ) )
        = $false )
      | ( ( SV31 = SV46 )
        = $true )
      | ( ( mem @ SV46 @ ( arr @ SV15 @ SV24 ) )
        = $false )
      | ( ( mem @ SV31 @ ( arr @ SV15 @ SV24 ) )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[310])).

thf(327,plain,(
    ! [SV43: $i,SV37: del,SV53: $i] :
      ( ( ( ~ ( mem @ SV53 @ SV37 ) )
        = $true )
      | ( ( ~ ( p @ ( ap @ SV43 @ SV53 ) ) )
        = $true )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ SV37 ) @ SV43 ) )
        = $true )
      | ( ( mem @ SV43 @ ( arr @ SV37 @ bool ) )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[311])).

thf(328,plain,(
    ! [SV38: del,SV44: $i] :
      ( ( ( ~ ( mem @ ( sK8_X @ SV44 @ SV38 ) @ SV38 )
          | ~ ( p @ ( ap @ SV44 @ ( sK8_X @ SV44 @ SV38 ) ) ) )
        = $false )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ SV38 ) @ SV44 ) )
        = $false )
      | ( ( mem @ SV44 @ ( arr @ SV38 @ bool ) )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[312])).

thf(329,plain,(
    ! [SV47: $i,SV32: $i,SV26: del,SV1: del,SV17: del,SV54: $i] :
      ( ( ( ~ ( mem @ SV54 @ SV17 ) )
        = $true )
      | ( ( ( ap @ ( ap @ ( c_2Epair_2EUNCURRY @ SV1 @ SV17 @ SV26 ) @ SV32 ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ SV1 @ SV17 ) @ SV47 ) @ SV54 ) )
          = ( ap @ ( ap @ SV32 @ SV47 ) @ SV54 ) )
        = $true )
      | ( ( mem @ SV47 @ SV1 )
        = $false )
      | ( ( mem @ SV32 @ ( arr @ SV1 @ ( arr @ SV17 @ SV26 ) ) )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[313])).

thf(330,plain,(
    ! [SV12: del,SV48: $i,SV22: $i] :
      ( ( ( SV22 != SV48 )
        = $true )
      | ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SV22 ) @ SV48 ) )
        = $true )
      | ( ( mem @ SV48 @ SV12 )
        = $false )
      | ( ( mem @ SV22 @ SV12 )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[314])).

thf(331,plain,(
    ! [SV49: $i,SV22: $i,SV12: del] :
      ( ( ( ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SV22 ) @ SV49 ) ) )
        = $true )
      | ( ( SV22 = SV49 )
        = $true )
      | ( ( mem @ SV49 @ SV12 )
        = $false )
      | ( ( mem @ SV22 @ SV12 )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[315])).

thf(332,plain,(
    ! [SV33: del,SV39: $i] :
      ( ( ( mem @ ( sK7_X @ SV39 @ SV33 ) @ SV33 )
        = $true )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV33 ) @ SV39 ) )
        = $true )
      | ( ( mem @ SV39 @ ( arr @ SV33 @ bool ) )
        = $false ) ) ),
    inference(extcnf_not_neg,[status(thm)],[316])).

thf(333,plain,(
    ! [SV33: del,SV39: $i] :
      ( ( ( ~ ( p @ ( ap @ SV39 @ ( sK7_X @ SV39 @ SV33 ) ) ) )
        = $true )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV33 ) @ SV39 ) )
        = $true )
      | ( ( mem @ SV39 @ ( arr @ SV33 @ bool ) )
        = $false ) ) ),
    inference(extcnf_not_neg,[status(thm)],[317])).

thf(334,plain,(
    ! [SV40: $i,SV34: del,SV55: $i] :
      ( ( ( ~ ( mem @ SV55 @ SV34 ) )
        = $true )
      | ( ( p @ ( ap @ SV40 @ SV55 ) )
        = $true )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV34 ) @ SV40 ) )
        = $false )
      | ( ( mem @ SV40 @ ( arr @ SV34 @ bool ) )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[318])).

thf(335,plain,(
    ! [SV15: del,SV24: del,SV31: $i,SV46: $i] :
      ( ( ( ~ ( mem @ ( sK9_X @ SV46 @ SV31 @ SV24 @ SV15 ) @ SV15 ) )
        = $false )
      | ( ( SV31 = SV46 )
        = $true )
      | ( ( mem @ SV46 @ ( arr @ SV15 @ SV24 ) )
        = $false )
      | ( ( mem @ SV31 @ ( arr @ SV15 @ SV24 ) )
        = $false ) ) ),
    inference(extcnf_or_neg,[status(thm)],[326])).

thf(336,plain,(
    ! [SV15: del,SV24: del,SV46: $i,SV31: $i] :
      ( ( ( ~ ( ( ( ap @ SV31 @ ( sK9_X @ SV46 @ SV31 @ SV24 @ SV15 ) )
               != ( ap @ SV46 @ ( sK9_X @ SV46 @ SV31 @ SV24 @ SV15 ) ) ) ) )
        = $false )
      | ( ( SV31 = SV46 )
        = $true )
      | ( ( mem @ SV46 @ ( arr @ SV15 @ SV24 ) )
        = $false )
      | ( ( mem @ SV31 @ ( arr @ SV15 @ SV24 ) )
        = $false ) ) ),
    inference(extcnf_or_neg,[status(thm)],[326])).

thf(337,plain,(
    ! [SV43: $i,SV37: del,SV53: $i] :
      ( ( ( mem @ SV53 @ SV37 )
        = $false )
      | ( ( ~ ( p @ ( ap @ SV43 @ SV53 ) ) )
        = $true )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ SV37 ) @ SV43 ) )
        = $true )
      | ( ( mem @ SV43 @ ( arr @ SV37 @ bool ) )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[327])).

thf(338,plain,(
    ! [SV38: del,SV44: $i] :
      ( ( ( ~ ( mem @ ( sK8_X @ SV44 @ SV38 ) @ SV38 ) )
        = $false )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ SV38 ) @ SV44 ) )
        = $false )
      | ( ( mem @ SV44 @ ( arr @ SV38 @ bool ) )
        = $false ) ) ),
    inference(extcnf_or_neg,[status(thm)],[328])).

thf(339,plain,(
    ! [SV38: del,SV44: $i] :
      ( ( ( ~ ( p @ ( ap @ SV44 @ ( sK8_X @ SV44 @ SV38 ) ) ) )
        = $false )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ SV38 ) @ SV44 ) )
        = $false )
      | ( ( mem @ SV44 @ ( arr @ SV38 @ bool ) )
        = $false ) ) ),
    inference(extcnf_or_neg,[status(thm)],[328])).

thf(340,plain,(
    ! [SV47: $i,SV32: $i,SV26: del,SV1: del,SV17: del,SV54: $i] :
      ( ( ( mem @ SV54 @ SV17 )
        = $false )
      | ( ( ( ap @ ( ap @ ( c_2Epair_2EUNCURRY @ SV1 @ SV17 @ SV26 ) @ SV32 ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ SV1 @ SV17 ) @ SV47 ) @ SV54 ) )
          = ( ap @ ( ap @ SV32 @ SV47 ) @ SV54 ) )
        = $true )
      | ( ( mem @ SV47 @ SV1 )
        = $false )
      | ( ( mem @ SV32 @ ( arr @ SV1 @ ( arr @ SV17 @ SV26 ) ) )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[329])).

thf(341,plain,(
    ! [SV12: del,SV48: $i,SV22: $i] :
      ( ( ( SV22 = SV48 )
        = $false )
      | ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SV22 ) @ SV48 ) )
        = $true )
      | ( ( mem @ SV48 @ SV12 )
        = $false )
      | ( ( mem @ SV22 @ SV12 )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[330])).

thf(342,plain,(
    ! [SV49: $i,SV22: $i,SV12: del] :
      ( ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV12 ) @ SV22 ) @ SV49 ) )
        = $false )
      | ( ( SV22 = SV49 )
        = $true )
      | ( ( mem @ SV49 @ SV12 )
        = $false )
      | ( ( mem @ SV22 @ SV12 )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[331])).

thf(343,plain,(
    ! [SV33: del,SV39: $i] :
      ( ( ( p @ ( ap @ SV39 @ ( sK7_X @ SV39 @ SV33 ) ) )
        = $false )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV33 ) @ SV39 ) )
        = $true )
      | ( ( mem @ SV39 @ ( arr @ SV33 @ bool ) )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[333])).

thf(344,plain,(
    ! [SV40: $i,SV34: del,SV55: $i] :
      ( ( ( mem @ SV55 @ SV34 )
        = $false )
      | ( ( p @ ( ap @ SV40 @ SV55 ) )
        = $true )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV34 ) @ SV40 ) )
        = $false )
      | ( ( mem @ SV40 @ ( arr @ SV34 @ bool ) )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[334])).

thf(345,plain,(
    ! [SV15: del,SV24: del,SV31: $i,SV46: $i] :
      ( ( ( mem @ ( sK9_X @ SV46 @ SV31 @ SV24 @ SV15 ) @ SV15 )
        = $true )
      | ( ( SV31 = SV46 )
        = $true )
      | ( ( mem @ SV46 @ ( arr @ SV15 @ SV24 ) )
        = $false )
      | ( ( mem @ SV31 @ ( arr @ SV15 @ SV24 ) )
        = $false ) ) ),
    inference(extcnf_not_neg,[status(thm)],[335])).

thf(346,plain,(
    ! [SV15: del,SV24: del,SV46: $i,SV31: $i] :
      ( ( ( ( ap @ SV31 @ ( sK9_X @ SV46 @ SV31 @ SV24 @ SV15 ) )
         != ( ap @ SV46 @ ( sK9_X @ SV46 @ SV31 @ SV24 @ SV15 ) ) )
        = $true )
      | ( ( SV31 = SV46 )
        = $true )
      | ( ( mem @ SV46 @ ( arr @ SV15 @ SV24 ) )
        = $false )
      | ( ( mem @ SV31 @ ( arr @ SV15 @ SV24 ) )
        = $false ) ) ),
    inference(extcnf_not_neg,[status(thm)],[336])).

thf(347,plain,(
    ! [SV37: del,SV53: $i,SV43: $i] :
      ( ( ( p @ ( ap @ SV43 @ SV53 ) )
        = $false )
      | ( ( mem @ SV53 @ SV37 )
        = $false )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ SV37 ) @ SV43 ) )
        = $true )
      | ( ( mem @ SV43 @ ( arr @ SV37 @ bool ) )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[337])).

thf(348,plain,(
    ! [SV38: del,SV44: $i] :
      ( ( ( mem @ ( sK8_X @ SV44 @ SV38 ) @ SV38 )
        = $true )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ SV38 ) @ SV44 ) )
        = $false )
      | ( ( mem @ SV44 @ ( arr @ SV38 @ bool ) )
        = $false ) ) ),
    inference(extcnf_not_neg,[status(thm)],[338])).

thf(349,plain,(
    ! [SV38: del,SV44: $i] :
      ( ( ( p @ ( ap @ SV44 @ ( sK8_X @ SV44 @ SV38 ) ) )
        = $true )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ SV38 ) @ SV44 ) )
        = $false )
      | ( ( mem @ SV44 @ ( arr @ SV38 @ bool ) )
        = $false ) ) ),
    inference(extcnf_not_neg,[status(thm)],[339])).

thf(350,plain,(
    ! [SV15: del,SV24: del,SV46: $i,SV31: $i] :
      ( ( ( ( ap @ SV31 @ ( sK9_X @ SV46 @ SV31 @ SV24 @ SV15 ) )
          = ( ap @ SV46 @ ( sK9_X @ SV46 @ SV31 @ SV24 @ SV15 ) ) )
        = $false )
      | ( ( SV31 = SV46 )
        = $true )
      | ( ( mem @ SV46 @ ( arr @ SV15 @ SV24 ) )
        = $false )
      | ( ( mem @ SV31 @ ( arr @ SV15 @ SV24 ) )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[346])).

thf(351,plain,(
    $false = $true ),
    inference(fo_atp_e,[status(thm)],[67,350,349,348,347,345,344,343,342,341,340,332,325,324,323,322,321,320,319,305,303,301,299,279,274,273,272,271,270,269,268,267,266,265,264,263,262,248,219,189,163,152,149,132,128,126,124,113,112,109,105,104,103,89,82,81,80])).

thf(352,plain,(
    $false ),
    inference(solved_all_splits,[solved_all_splits(join,[])],[351])).
%------------------------------------------------------------------------------
