%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:36:12 EDT 2019

% Result     : Theorem 220.12s
% Output     : CNFRefutation 220.12s
% Verified   : 
% Statistics : Number of formulae       :   44 (  65 expanded)
%              Number of leaves         :   10 (  14 expanded)
%              Depth                    :   19
%              Number of atoms          :  298 ( 395 expanded)
%              Number of equality atoms :   70 (  90 expanded)
%              Maximal formula depth    :   15 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: tyop_2Enum_2Enum )).

thf(c_2Enum_2ESUC_type,type,(
    c_2Enum_2ESUC: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(sk1_type,type,(
    sk1: tyop_2Enum_2Enum )).

thf(sk2_type,type,(
    sk2: ( tyop_2Enum_2Enum > $o ) > tyop_2Enum_2Enum )).

thf(4,axiom,(
    ! [A: tyop_2Enum_2Enum > $o] :
      ( ( ( A @ c_2Enum_2E0 )
        & ! [B: tyop_2Enum_2Enum] :
            ( ( A @ B )
           => ( A @ ( c_2Enum_2ESUC @ B ) ) ) )
     => ! [B: tyop_2Enum_2Enum] :
          ( A @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Enum_2EINDUCTION)).

thf(14,plain,(
    ! [A: tyop_2Enum_2Enum > $o] :
      ( ( ( A @ c_2Enum_2E0 )
        & ! [B: tyop_2Enum_2Enum] :
            ( ( A @ B )
           => ( A @ ( c_2Enum_2ESUC @ B ) ) ) )
     => ! [B: tyop_2Enum_2Enum] :
          ( A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(19,plain,(
    ! [B: tyop_2Enum_2Enum,A: tyop_2Enum_2Enum > $o] :
      ( ~ ( A @ c_2Enum_2E0 )
      | ~ ( A @ ( c_2Enum_2ESUC @ ( sk2 @ A ) ) )
      | ( A @ B ) ) ),
    inference(cnf,[status(esa)],[14])).

thf(63,plain,(
    ! [B: tyop_2Enum_2Enum > $o,A: tyop_2Enum_2Enum] :
      ( ~ ~ ( B @ c_2Enum_2E0 )
      | ~ ~ ( B
            @ ( c_2Enum_2ESUC
              @ ( sk2
                @ ^ [C: tyop_2Enum_2Enum] :
                    ~ ( B @ C ) ) ) )
      | ~ ( B @ A ) ) ),
    inference(prim_subst,[status(thm)],[19:[bind(A,$thf(^ [D: tyop_2Enum_2Enum] : ~ ( ( C @ D ) )))]])).

thf(107,plain,(
    ! [B: tyop_2Enum_2Enum > $o,A: tyop_2Enum_2Enum] :
      ( ~ ( B @ A )
      | ( B
        @ ( c_2Enum_2ESUC
          @ ( sk2
            @ ^ [C: tyop_2Enum_2Enum] :
                ~ ( B @ C ) ) ) )
      | ( B @ c_2Enum_2E0 ) ) ),
    inference(cnf,[status(esa)],[63])).

thf(148,plain,(
    ! [B: tyop_2Enum_2Enum > $o,A: tyop_2Enum_2Enum] :
      ( ~ ( B @ A )
      | ( B
        @ ( c_2Enum_2ESUC
          @ ( sk2
            @ ^ [C: tyop_2Enum_2Enum] :
                ~ ( B @ C ) ) ) )
      | ( B @ c_2Enum_2E0 ) ) ),
    inference(simp,[status(thm)],[107])).

thf(1,conjecture,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Enum_2ESUC @ A )
     != A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eprim__rec_2ESUC__ID)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Enum_2ESUC @ A )
       != A ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(6,plain,(
    ~ ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Enum_2ESUC @ A )
       != A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(7,plain,(
    ~ ~ ? [A: tyop_2Enum_2Enum] :
          ( ( c_2Enum_2ESUC @ A )
          = A ) ),
    inference(miniscope,[status(thm)],[6])).

thf(8,plain,
    ( ( c_2Enum_2ESUC @ sk1 )
    = sk1 ),
    inference(cnf,[status(esa)],[7])).

thf(9,plain,
    ( ( c_2Enum_2ESUC @ sk1 )
    = sk1 ),
    inference(lifteq,[status(thm)],[8])).

thf(5,axiom,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( ( c_2Enum_2ESUC @ A )
        = ( c_2Enum_2ESUC @ B ) )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eprim__rec_2EINV__SUC__EQ)).

thf(27,plain,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( ( c_2Enum_2ESUC @ A )
        = ( c_2Enum_2ESUC @ B ) )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(28,plain,(
    ! [B: tyop_2Enum_2Enum,A: tyop_2Enum_2Enum] :
      ( ( ( c_2Enum_2ESUC @ A )
        = ( c_2Enum_2ESUC @ B ) )
      = ( A = B ) ) ),
    inference(cnf,[status(esa)],[27])).

thf(29,plain,(
    ! [B: tyop_2Enum_2Enum,A: tyop_2Enum_2Enum] :
      ( ( ( c_2Enum_2ESUC @ A )
        = ( c_2Enum_2ESUC @ B ) )
      = ( A = B ) ) ),
    inference(lifteq,[status(thm)],[28])).

thf(36,plain,(
    ! [B: tyop_2Enum_2Enum,A: tyop_2Enum_2Enum] :
      ( ( ( sk1
          = ( c_2Enum_2ESUC @ B ) )
        = ( A = B ) )
      | ( ( c_2Enum_2ESUC @ sk1 )
       != ( c_2Enum_2ESUC @ A ) ) ) ),
    inference(paramod_ordered,[status(thm)],[9,29])).

thf(37,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( sk1
        = ( c_2Enum_2ESUC @ A ) )
      = ( sk1 = A ) ) ),
    inference(pattern_uni,[status(thm)],[36:[bind(A,$thf(sk1))]])).

thf(42,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( sk1
        = ( c_2Enum_2ESUC @ A ) )
      = ( sk1 = A ) ) ),
    inference(simp,[status(thm)],[37])).

thf(23522,plain,(
    ! [C: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum > $o,A: tyop_2Enum_2Enum] :
      ( ~ ( B @ A )
      | ( B @ c_2Enum_2E0 )
      | ( sk1 = C )
      | ( ( B
          @ ( c_2Enum_2ESUC
            @ ( sk2
              @ ^ [D: tyop_2Enum_2Enum] :
                  ~ ( B @ D ) ) ) )
       != ( sk1
          = ( c_2Enum_2ESUC @ C ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[148,42])).

thf(23767,plain,(
    ! [B: tyop_2Enum_2Enum,A: tyop_2Enum_2Enum] :
      ( ( A != A )
      | ( A = c_2Enum_2E0 )
      | ( sk1 = B )
      | ( ( A
          = ( c_2Enum_2ESUC
            @ ( sk2
              @ ^ [C: tyop_2Enum_2Enum] : ( A != C ) ) ) )
       != ( sk1
          = ( c_2Enum_2ESUC @ B ) ) ) ) ),
    inference(replace_leibeq,[status(thm)],[23522:[bind(A,$thf(A)),bind(B,$thf((=) @ tyop_2Enum_2Enum @ A))]])).

thf(23848,plain,(
    ! [B: tyop_2Enum_2Enum,A: tyop_2Enum_2Enum] :
      ( ( A != A )
      | ( A = c_2Enum_2E0 )
      | ( sk1 = B )
      | ( ( A
          = ( c_2Enum_2ESUC
            @ ( sk2
              @ ^ [C: tyop_2Enum_2Enum] : ( A != C ) ) ) )
       != ( sk1
          = ( c_2Enum_2ESUC @ B ) ) ) ) ),
    inference(lifteq,[status(thm)],[23767])).

thf(24151,plain,
    ( ( ( sk2
        @ ^ [A: tyop_2Enum_2Enum] : ( sk1 != A ) )
      = sk1 )
    | ( sk1 = c_2Enum_2E0 ) ),
    inference(pattern_uni,[status(thm)],[23848:[bind(A,$thf(sk1)),bind(B,$thf(sk2 @ ^ [C: tyop_2Enum_2Enum] : ( sk1 != C )))]])).

thf(3,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Enum_2ESUC @ A )
     != c_2Enum_2E0 ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Enum_2ENOT__SUC)).

thf(10,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Enum_2ESUC @ A )
     != c_2Enum_2E0 ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(11,plain,(
    ~ ? [A: tyop_2Enum_2Enum] :
        ( ( c_2Enum_2ESUC @ A )
        = c_2Enum_2E0 ) ),
    inference(miniscope,[status(thm)],[10])).

thf(12,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Enum_2ESUC @ A )
     != c_2Enum_2E0 ) ),
    inference(cnf,[status(esa)],[11])).

thf(13,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Enum_2ESUC @ A )
     != c_2Enum_2E0 ) ),
    inference(lifteq,[status(thm)],[12])).

thf(30,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( sk1 != c_2Enum_2E0 )
      | ( ( c_2Enum_2ESUC @ sk1 )
       != ( c_2Enum_2ESUC @ A ) ) ) ),
    inference(paramod_ordered,[status(thm)],[9,13])).

thf(31,plain,(
    sk1 != c_2Enum_2E0 ),
    inference(pattern_uni,[status(thm)],[30:[bind(A,$thf(sk1))]])).

thf(24680,plain,
    ( ( sk2
      @ ^ [A: tyop_2Enum_2Enum] : ( sk1 != A ) )
    = sk1 ),
    inference(simplifyReflect,[status(thm)],[24151,31])).

thf(20,plain,(
    ! [B: tyop_2Enum_2Enum,A: tyop_2Enum_2Enum > $o] :
      ( ~ ( A @ c_2Enum_2E0 )
      | ( A @ ( sk2 @ A ) )
      | ( A @ B ) ) ),
    inference(cnf,[status(esa)],[14])).

thf(24687,plain,(
    ! [B: tyop_2Enum_2Enum,A: tyop_2Enum_2Enum > $o] :
      ( ~ ( A @ c_2Enum_2E0 )
      | ( A @ sk1 )
      | ( A @ B )
      | ( ( sk2
          @ ^ [C: tyop_2Enum_2Enum] : ( sk1 != C ) )
       != ( sk2 @ A ) ) ) ),
    inference(paramod_ordered,[status(thm)],[24680,20])).

thf(24688,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ~ ( ( sk1 != c_2Enum_2E0 ) )
      | ( sk1 != sk1 )
      | ( sk1 != A ) ) ),
    inference(pattern_uni,[status(thm)],[24687:[bind(A,$thf(^ [C: tyop_2Enum_2Enum] : ( sk1 != C ))),bind(B,$thf(B))]])).

thf(24874,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( sk1 != A )
      | ( sk1 != sk1 )
      | ( sk1 = c_2Enum_2E0 ) ) ),
    inference(cnf,[status(esa)],[24688])).

thf(24888,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( sk1 != A )
      | ( sk1 != sk1 )
      | ( sk1 = c_2Enum_2E0 ) ) ),
    inference(lifteq,[status(thm)],[24874])).

thf(24889,plain,(
    sk1 = c_2Enum_2E0 ),
    inference(simp,[status(thm)],[24888])).

thf(25056,plain,(
    $false ),
    inference(simplifyReflect,[status(thm)],[24889,31])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.07/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.07/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.07/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.07/0.12  % CPULimit   : 300
% 0.07/0.12  % DateTime   : Tue Jul 30 15:04:21 EDT 2019
% 0.07/0.13  % CPUTime    : 
% 2.61/1.20  % [INFO] 	 Running in sequential loop mode. 
% 3.50/1.38  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.71/1.44  % [INFO] 	 iprover registered as external prover. 
% 3.71/1.44  % [INFO] 	 e registered as external prover. 
% 3.71/1.44  % [INFO] 	 cvc4 registered as external prover. 
% 3.71/1.45  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.85/1.49  % [INFO] 	 Found a conjecture and 15 axioms. Running axiom selection ... 
% 3.85/1.53  % [INFO] 	 Axiom selection finished. Selected 3 axioms (removed 12 axioms). 
% 4.18/1.55  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 220.12/54.53  % [INFO] 	 Killing All external provers ... 
% 220.12/54.53  % Time passed: 54272ms
% 220.12/54.53  % Effective reasoning time: 53325ms
% 220.12/54.53  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 220.12/54.53  % Axioms used in derivation (3): thm_2Enum_2EINDUCTION, thm_2Eprim__rec_2EINV__SUC__EQ, thm_2Enum_2ENOT__SUC
% 220.12/54.53  % No. of inferences in proof: 38
% 220.12/54.53  % No. of processed clauses: 45
% 220.12/54.54  % No. of generated clauses: 6565
% 220.12/54.54  % No. of forward subsumed clauses: 201
% 220.12/54.54  % No. of backward subsumed clauses: 6
% 220.12/54.54  % No. of ground rewrite rules in store: 5
% 220.12/54.54  % No. of non-ground rewrite rules in store: 3
% 220.12/54.54  % No. of positive (non-rewrite) units in store: 0
% 220.12/54.54  % No. of negative (non-rewrite) units in store: 5
% 220.12/54.54  % No. of choice functions detected: 0
% 220.12/54.54  % No. of choice instantiations: 0
% 220.12/54.54  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 54272 ms resp. 53325 ms w/o parsing
% 220.12/54.56  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 220.12/54.56  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 220.12/54.56  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 220.12/54.56  thf(c_2Enum_2E0_type, type, c_2Enum_2E0: tyop_2Enum_2Enum).
% 220.12/54.56  thf(c_2Enum_2ESUC_type, type, c_2Enum_2ESUC: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 220.12/54.56  thf(sk1_type, type, sk1: tyop_2Enum_2Enum).
% 220.12/54.56  thf(sk2_type, type, sk2: ((tyop_2Enum_2Enum > $o) > tyop_2Enum_2Enum)).
% 220.12/54.56  thf(4,axiom,((! [A:(tyop_2Enum_2Enum > $o)]: (((A @ c_2Enum_2E0) & ! [B:tyop_2Enum_2Enum]: ((A @ B) => (A @ (c_2Enum_2ESUC @ B)))) => (! [B:tyop_2Enum_2Enum]: (A @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Enum_2EINDUCTION)).
% 220.12/54.56  thf(14,plain,((! [A:(tyop_2Enum_2Enum > $o)]: (((A @ c_2Enum_2E0) & ! [B:tyop_2Enum_2Enum]: ((A @ B) => (A @ (c_2Enum_2ESUC @ B)))) => (! [B:tyop_2Enum_2Enum]: (A @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 220.12/54.56  thf(19,plain,(! [B:tyop_2Enum_2Enum,A:(tyop_2Enum_2Enum > $o)] : ((~ (A @ c_2Enum_2E0)) | (~ (A @ (c_2Enum_2ESUC @ (sk2 @ (A))))) | (A @ B))),inference(cnf,[status(esa)],[14])).
% 220.12/54.56  thf(63,plain,(! [B:(tyop_2Enum_2Enum > $o),A:tyop_2Enum_2Enum] : ((~ (~ (B @ c_2Enum_2E0))) | (~ (~ (B @ (c_2Enum_2ESUC @ (sk2 @ (^ [C:tyop_2Enum_2Enum]: ~ (B @ C))))))) | (~ (B @ A)))),inference(prim_subst,[status(thm)],[19:[bind(A, $thf(^ [D:tyop_2Enum_2Enum]: ~ (C @ D)))]])).
% 220.12/54.56  thf(107,plain,(! [B:(tyop_2Enum_2Enum > $o),A:tyop_2Enum_2Enum] : ((~ (B @ A)) | (B @ (c_2Enum_2ESUC @ (sk2 @ (^ [C:tyop_2Enum_2Enum]: ~ (B @ C))))) | (B @ c_2Enum_2E0))),inference(cnf,[status(esa)],[63])).
% 220.12/54.56  thf(148,plain,(! [B:(tyop_2Enum_2Enum > $o),A:tyop_2Enum_2Enum] : ((~ (B @ A)) | (B @ (c_2Enum_2ESUC @ (sk2 @ (^ [C:tyop_2Enum_2Enum]: ~ (B @ C))))) | (B @ c_2Enum_2E0))),inference(simp,[status(thm)],[107])).
% 220.12/54.56  thf(1,conjecture,((! [A:tyop_2Enum_2Enum]: ~ ((c_2Enum_2ESUC @ A) = A))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eprim__rec_2ESUC__ID)).
% 220.12/54.56  thf(2,negated_conjecture,((~ (! [A:tyop_2Enum_2Enum]: ~ ((c_2Enum_2ESUC @ A) = A)))),inference(neg_conjecture,[status(cth)],[1])).
% 220.12/54.56  thf(6,plain,((~ (! [A:tyop_2Enum_2Enum]: ~ ((c_2Enum_2ESUC @ A) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 220.12/54.56  thf(7,plain,((~ (~ (? [A:tyop_2Enum_2Enum]: ((c_2Enum_2ESUC @ A) = A))))),inference(miniscope,[status(thm)],[6])).
% 220.12/54.56  thf(8,plain,(((c_2Enum_2ESUC @ sk1) = sk1)),inference(cnf,[status(esa)],[7])).
% 220.12/54.56  thf(9,plain,(((c_2Enum_2ESUC @ sk1) = sk1)),inference(lifteq,[status(thm)],[8])).
% 220.12/54.56  thf(5,axiom,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: (((c_2Enum_2ESUC @ A) = (c_2Enum_2ESUC @ B)) = (A = B)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eprim__rec_2EINV__SUC__EQ)).
% 220.12/54.56  thf(27,plain,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: (((c_2Enum_2ESUC @ A) = (c_2Enum_2ESUC @ B)) = (A = B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 220.12/54.56  thf(28,plain,(! [B:tyop_2Enum_2Enum,A:tyop_2Enum_2Enum] : ((((c_2Enum_2ESUC @ A) = (c_2Enum_2ESUC @ B)) = (A = B)))),inference(cnf,[status(esa)],[27])).
% 220.12/54.56  thf(29,plain,(! [B:tyop_2Enum_2Enum,A:tyop_2Enum_2Enum] : ((((c_2Enum_2ESUC @ A) = (c_2Enum_2ESUC @ B)) = (A = B)))),inference(lifteq,[status(thm)],[28])).
% 220.12/54.56  thf(36,plain,(! [B:tyop_2Enum_2Enum,A:tyop_2Enum_2Enum] : (((sk1 = (c_2Enum_2ESUC @ B)) = (A = B)) | ((c_2Enum_2ESUC @ sk1) != (c_2Enum_2ESUC @ A)))),inference(paramod_ordered,[status(thm)],[9,29])).
% 220.12/54.56  thf(37,plain,(! [A:tyop_2Enum_2Enum] : (((sk1 = (c_2Enum_2ESUC @ A)) = (sk1 = A)))),inference(pattern_uni,[status(thm)],[36:[bind(A, $thf(sk1))]])).
% 220.12/54.56  thf(42,plain,(! [A:tyop_2Enum_2Enum] : (((sk1 = (c_2Enum_2ESUC @ A)) = (sk1 = A)))),inference(simp,[status(thm)],[37])).
% 220.12/54.56  thf(23522,plain,(! [C:tyop_2Enum_2Enum,B:(tyop_2Enum_2Enum > $o),A:tyop_2Enum_2Enum] : ((~ (B @ A)) | (B @ c_2Enum_2E0) | (sk1 = C) | ((B @ (c_2Enum_2ESUC @ (sk2 @ (^ [D:tyop_2Enum_2Enum]: ~ (B @ D))))) != (sk1 = (c_2Enum_2ESUC @ C))))),inference(paramod_ordered,[status(thm)],[148,42])).
% 220.12/54.56  thf(23767,plain,(! [B:tyop_2Enum_2Enum,A:tyop_2Enum_2Enum] : ((~ (A = A)) | (A = c_2Enum_2E0) | (sk1 = B) | ((A = (c_2Enum_2ESUC @ (sk2 @ (^ [C:tyop_2Enum_2Enum]: ~ (A = C))))) != (sk1 = (c_2Enum_2ESUC @ B))))),inference(replace_leibeq,[status(thm)],[23522:[bind(A, $thf(A)),bind(B, $thf(= @ tyop_2Enum_2Enum @ A))]])).
% 220.12/54.56  thf(23848,plain,(! [B:tyop_2Enum_2Enum,A:tyop_2Enum_2Enum] : ((A != A) | (A = c_2Enum_2E0) | (sk1 = B) | ((A = (c_2Enum_2ESUC @ (sk2 @ (^ [C:tyop_2Enum_2Enum]: ~ (A = C))))) != (sk1 = (c_2Enum_2ESUC @ B))))),inference(lifteq,[status(thm)],[23767])).
% 220.12/54.56  thf(24151,plain,(((sk2 @ (^ [A:tyop_2Enum_2Enum]: ~ (sk1 = A))) = sk1) | (sk1 = c_2Enum_2E0)),inference(pattern_uni,[status(thm)],[23848:[bind(A, $thf(sk1)),bind(B, $thf(sk2 @ (^ [C:tyop_2Enum_2Enum]: ~ (sk1 = C))))]])).
% 220.12/54.56  thf(3,axiom,((! [A:tyop_2Enum_2Enum]: ~ ((c_2Enum_2ESUC @ A) = c_2Enum_2E0))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Enum_2ENOT__SUC)).
% 220.12/54.56  thf(10,plain,((! [A:tyop_2Enum_2Enum]: ~ ((c_2Enum_2ESUC @ A) = c_2Enum_2E0))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 220.12/54.56  thf(11,plain,((~ (? [A:tyop_2Enum_2Enum]: ((c_2Enum_2ESUC @ A) = c_2Enum_2E0)))),inference(miniscope,[status(thm)],[10])).
% 220.12/54.56  thf(12,plain,(! [A:tyop_2Enum_2Enum] : ((~ ((c_2Enum_2ESUC @ A) = c_2Enum_2E0)))),inference(cnf,[status(esa)],[11])).
% 220.12/54.56  thf(13,plain,(! [A:tyop_2Enum_2Enum] : (((c_2Enum_2ESUC @ A) != c_2Enum_2E0))),inference(lifteq,[status(thm)],[12])).
% 220.12/54.56  thf(30,plain,(! [A:tyop_2Enum_2Enum] : ((sk1 != c_2Enum_2E0) | ((c_2Enum_2ESUC @ sk1) != (c_2Enum_2ESUC @ A)))),inference(paramod_ordered,[status(thm)],[9,13])).
% 220.12/54.56  thf(31,plain,((sk1 != c_2Enum_2E0)),inference(pattern_uni,[status(thm)],[30:[bind(A, $thf(sk1))]])).
% 220.12/54.56  thf(24680,plain,(((sk2 @ (^ [A:tyop_2Enum_2Enum]: ~ (sk1 = A))) = sk1)),inference(simplifyReflect,[status(thm)],[24151,31])).
% 220.12/54.56  thf(20,plain,(! [B:tyop_2Enum_2Enum,A:(tyop_2Enum_2Enum > $o)] : ((~ (A @ c_2Enum_2E0)) | (A @ (sk2 @ (A))) | (A @ B))),inference(cnf,[status(esa)],[14])).
% 220.12/54.56  thf(24687,plain,(! [B:tyop_2Enum_2Enum,A:(tyop_2Enum_2Enum > $o)] : ((~ (A @ c_2Enum_2E0)) | (A @ sk1) | (A @ B) | ((sk2 @ (^ [C:tyop_2Enum_2Enum]: ~ (sk1 = C))) != (sk2 @ (A))))),inference(paramod_ordered,[status(thm)],[24680,20])).
% 220.12/54.56  thf(24688,plain,(! [A:tyop_2Enum_2Enum] : ((~ (~ (sk1 = c_2Enum_2E0))) | (~ (sk1 = sk1)) | (~ (sk1 = A)))),inference(pattern_uni,[status(thm)],[24687:[bind(A, $thf(^ [C:tyop_2Enum_2Enum]: ~ (sk1 = C))),bind(B, $thf(B))]])).
% 220.12/54.56  thf(24874,plain,(! [A:tyop_2Enum_2Enum] : ((~ (sk1 = A)) | (~ (sk1 = sk1)) | (sk1 = c_2Enum_2E0))),inference(cnf,[status(esa)],[24688])).
% 220.12/54.56  thf(24888,plain,(! [A:tyop_2Enum_2Enum] : ((sk1 != A) | (sk1 != sk1) | (sk1 = c_2Enum_2E0))),inference(lifteq,[status(thm)],[24874])).
% 220.12/54.56  thf(24889,plain,((sk1 = c_2Enum_2E0)),inference(simp,[status(thm)],[24888])).
% 220.12/54.56  thf(25056,plain,($false),inference(simplifyReflect,[status(thm)],[24889,31])).
% 220.12/54.56  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 220.12/54.56  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
