%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:36:15 EDT 2019

% Result     : Theorem 54.27s
% Output     : CNFRefutation 54.27s
% Verified   : 
% Statistics : Number of formulae       :   28 (  31 expanded)
%              Number of leaves         :    8 (   9 expanded)
%              Depth                    :   14
%              Number of atoms          :  181 ( 202 expanded)
%              Number of equality atoms :   36 (  42 expanded)
%              Maximal formula depth    :   14 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: tyop_2Enum_2Enum )).

thf(c_2Enum_2ESUC_type,type,(
    c_2Enum_2ESUC: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(sk1_type,type,(
    sk1: tyop_2Enum_2Enum )).

thf(sk2_type,type,(
    sk2: ( tyop_2Enum_2Enum > $o ) > tyop_2Enum_2Enum )).

thf(4,axiom,(
    ! [A: tyop_2Enum_2Enum > $o] :
      ( ( ( A @ c_2Enum_2E0 )
        & ! [B: tyop_2Enum_2Enum] :
            ( ( A @ B )
           => ( A @ ( c_2Enum_2ESUC @ B ) ) ) )
     => ! [B: tyop_2Enum_2Enum] :
          ( A @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Enum_2EINDUCTION)).

thf(14,plain,(
    ! [A: tyop_2Enum_2Enum > $o] :
      ( ( ( A @ c_2Enum_2E0 )
        & ! [B: tyop_2Enum_2Enum] :
            ( ( A @ B )
           => ( A @ ( c_2Enum_2ESUC @ B ) ) ) )
     => ! [B: tyop_2Enum_2Enum] :
          ( A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(19,plain,(
    ! [B: tyop_2Enum_2Enum,A: tyop_2Enum_2Enum > $o] :
      ( ~ ( A @ c_2Enum_2E0 )
      | ~ ( A @ ( c_2Enum_2ESUC @ ( sk2 @ A ) ) )
      | ( A @ B ) ) ),
    inference(cnf,[status(esa)],[14])).

thf(57,plain,(
    ! [B: tyop_2Enum_2Enum > $o,A: tyop_2Enum_2Enum] :
      ( ~ ~ ( B @ c_2Enum_2E0 )
      | ~ ~ ( B
            @ ( c_2Enum_2ESUC
              @ ( sk2
                @ ^ [C: tyop_2Enum_2Enum] :
                    ~ ( B @ C ) ) ) )
      | ~ ( B @ A ) ) ),
    inference(prim_subst,[status(thm)],[19:[bind(A,$thf(^ [D: tyop_2Enum_2Enum] : ~ ( ( C @ D ) )))]])).

thf(91,plain,(
    ! [B: tyop_2Enum_2Enum > $o,A: tyop_2Enum_2Enum] :
      ( ~ ( B @ A )
      | ( B
        @ ( c_2Enum_2ESUC
          @ ( sk2
            @ ^ [C: tyop_2Enum_2Enum] :
                ~ ( B @ C ) ) ) )
      | ( B @ c_2Enum_2E0 ) ) ),
    inference(cnf,[status(esa)],[57])).

thf(106,plain,(
    ! [B: tyop_2Enum_2Enum > $o,A: tyop_2Enum_2Enum] :
      ( ~ ( B @ A )
      | ( B
        @ ( c_2Enum_2ESUC
          @ ( sk2
            @ ^ [C: tyop_2Enum_2Enum] :
                ~ ( B @ C ) ) ) )
      | ( B @ c_2Enum_2E0 ) ) ),
    inference(simp,[status(thm)],[91])).

thf(8475,plain,(
    ! [B: tyop_2Enum_2Enum > $o,A: tyop_2Enum_2Enum] :
      ( ~ ( B @ A )
      | ( B @ c_2Enum_2E0 )
      | ( ( B
          @ ( c_2Enum_2ESUC
            @ ( sk2
              @ ^ [C: tyop_2Enum_2Enum] :
                  ~ ( B @ C ) ) ) )
       != ( ~ ( B @ A ) ) )
      | ~ $true ) ),
    inference(eqfactor_ordered,[status(thm)],[106])).

thf(8491,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( A != A )
      | ( A = c_2Enum_2E0 )
      | ( ( A
          = ( c_2Enum_2ESUC
            @ ( sk2
              @ ^ [B: tyop_2Enum_2Enum] : ( A != B ) ) ) )
       != ( A != A ) )
      | ~ $true ) ),
    inference(replace_leibeq,[status(thm)],[8475:[bind(A,$thf(A)),bind(B,$thf((=) @ tyop_2Enum_2Enum @ A))]])).

thf(8665,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( A != A )
      | ( A = c_2Enum_2E0 )
      | ( ( A
          = ( c_2Enum_2ESUC
            @ ( sk2
              @ ^ [B: tyop_2Enum_2Enum] : ( A != B ) ) ) )
       != ( A != A ) )
      | ~ $true ) ),
    inference(lifteq,[status(thm)],[8491])).

thf(9092,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( A = c_2Enum_2E0 )
      | ( A
        = ( c_2Enum_2ESUC
          @ ( sk2
            @ ^ [B: tyop_2Enum_2Enum] : ( A != B ) ) ) ) ) ),
    inference(simp,[status(thm)],[8665])).

thf(9192,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( A
        = ( c_2Enum_2ESUC
          @ ( sk2
            @ ^ [B: tyop_2Enum_2Enum] : ( A != B ) ) ) )
      | ( A = c_2Enum_2E0 ) ) ),
    inference(lifteq,[status(thm)],[9092])).

thf(1,conjecture,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( A = c_2Enum_2E0 )
      | ? [B: tyop_2Enum_2Enum] :
          ( A
          = ( c_2Enum_2ESUC @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Earithmetic_2Enum__CASES)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Enum_2Enum] :
        ( ( A = c_2Enum_2E0 )
        | ? [B: tyop_2Enum_2Enum] :
            ( A
            = ( c_2Enum_2ESUC @ B ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(5,plain,(
    ~ ! [A: tyop_2Enum_2Enum] :
        ( ( A = c_2Enum_2E0 )
        | ? [B: tyop_2Enum_2Enum] :
            ( A
            = ( c_2Enum_2ESUC @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(6,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( sk1
     != ( c_2Enum_2ESUC @ A ) ) ),
    inference(cnf,[status(esa)],[5])).

thf(8,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Enum_2ESUC @ A )
     != sk1 ) ),
    inference(lifteq,[status(thm)],[6])).

thf(9383,plain,(
    ! [B: tyop_2Enum_2Enum,A: tyop_2Enum_2Enum] :
      ( ( A = c_2Enum_2E0 )
      | ( A != sk1 )
      | ( ( c_2Enum_2ESUC
          @ ( sk2
            @ ^ [C: tyop_2Enum_2Enum] : ( A != C ) ) )
       != ( c_2Enum_2ESUC @ B ) ) ) ),
    inference(paramod_ordered,[status(thm)],[9192,8])).

thf(9384,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( A = c_2Enum_2E0 )
      | ( A != sk1 ) ) ),
    inference(pattern_uni,[status(thm)],[9383:[bind(A,$thf(A)),bind(B,$thf(sk2 @ ^ [C: tyop_2Enum_2Enum] : ( A != C )))]])).

thf(9498,plain,(
    sk1 = c_2Enum_2E0 ),
    inference(simp,[status(thm)],[9384])).

thf(7,plain,(
    sk1 != c_2Enum_2E0 ),
    inference(cnf,[status(esa)],[5])).

thf(9,plain,(
    sk1 != c_2Enum_2E0 ),
    inference(lifteq,[status(thm)],[7])).

thf(9568,plain,(
    $false ),
    inference(simplifyReflect,[status(thm)],[9498,9])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.11/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.11/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.13  % CPULimit   : 300
% 0.11/0.13  % DateTime   : Tue Jul 30 15:11:24 EDT 2019
% 0.11/0.13  % CPUTime    : 
% 2.48/1.15  % [INFO] 	 Running in sequential loop mode. 
% 3.41/1.33  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.71/1.39  % [INFO] 	 iprover registered as external prover. 
% 3.71/1.39  % [INFO] 	 e registered as external prover. 
% 3.71/1.39  % [INFO] 	 cvc4 registered as external prover. 
% 3.71/1.40  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 3.71/1.44  % [INFO] 	 Found a conjecture and 15 axioms. Running axiom selection ... 
% 4.08/1.48  % [INFO] 	 Axiom selection finished. Selected 2 axioms (removed 13 axioms). 
% 4.12/1.49  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 54.27/13.82  % [INFO] 	 Killing All external provers ... 
% 54.27/13.82  % Time passed: 13608ms
% 54.27/13.82  % Effective reasoning time: 12668ms
% 54.27/13.82  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 54.27/13.82  % Axioms used in derivation (1): thm_2Enum_2EINDUCTION
% 54.27/13.82  % No. of inferences in proof: 22
% 54.27/13.82  % No. of processed clauses: 33
% 54.27/13.82  % No. of generated clauses: 2675
% 54.27/13.82  % No. of forward subsumed clauses: 98
% 54.27/13.82  % No. of backward subsumed clauses: 6
% 54.27/13.82  % No. of ground rewrite rules in store: 3
% 54.27/13.82  % No. of non-ground rewrite rules in store: 0
% 54.27/13.82  % No. of positive (non-rewrite) units in store: 0
% 54.27/13.82  % No. of negative (non-rewrite) units in store: 3
% 54.27/13.82  % No. of choice functions detected: 0
% 54.27/13.82  % No. of choice instantiations: 0
% 54.27/13.83  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 13608 ms resp. 12668 ms w/o parsing
% 54.27/13.85  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 54.27/13.85  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 54.27/13.85  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 54.27/13.85  thf(c_2Enum_2E0_type, type, c_2Enum_2E0: tyop_2Enum_2Enum).
% 54.27/13.85  thf(c_2Enum_2ESUC_type, type, c_2Enum_2ESUC: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 54.27/13.85  thf(sk1_type, type, sk1: tyop_2Enum_2Enum).
% 54.27/13.85  thf(sk2_type, type, sk2: ((tyop_2Enum_2Enum > $o) > tyop_2Enum_2Enum)).
% 54.27/13.85  thf(4,axiom,((! [A:(tyop_2Enum_2Enum > $o)]: (((A @ c_2Enum_2E0) & ! [B:tyop_2Enum_2Enum]: ((A @ B) => (A @ (c_2Enum_2ESUC @ B)))) => (! [B:tyop_2Enum_2Enum]: (A @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Enum_2EINDUCTION)).
% 54.27/13.85  thf(14,plain,((! [A:(tyop_2Enum_2Enum > $o)]: (((A @ c_2Enum_2E0) & ! [B:tyop_2Enum_2Enum]: ((A @ B) => (A @ (c_2Enum_2ESUC @ B)))) => (! [B:tyop_2Enum_2Enum]: (A @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 54.27/13.85  thf(19,plain,(! [B:tyop_2Enum_2Enum,A:(tyop_2Enum_2Enum > $o)] : ((~ (A @ c_2Enum_2E0)) | (~ (A @ (c_2Enum_2ESUC @ (sk2 @ (A))))) | (A @ B))),inference(cnf,[status(esa)],[14])).
% 54.27/13.85  thf(57,plain,(! [B:(tyop_2Enum_2Enum > $o),A:tyop_2Enum_2Enum] : ((~ (~ (B @ c_2Enum_2E0))) | (~ (~ (B @ (c_2Enum_2ESUC @ (sk2 @ (^ [C:tyop_2Enum_2Enum]: ~ (B @ C))))))) | (~ (B @ A)))),inference(prim_subst,[status(thm)],[19:[bind(A, $thf(^ [D:tyop_2Enum_2Enum]: ~ (C @ D)))]])).
% 54.27/13.85  thf(91,plain,(! [B:(tyop_2Enum_2Enum > $o),A:tyop_2Enum_2Enum] : ((~ (B @ A)) | (B @ (c_2Enum_2ESUC @ (sk2 @ (^ [C:tyop_2Enum_2Enum]: ~ (B @ C))))) | (B @ c_2Enum_2E0))),inference(cnf,[status(esa)],[57])).
% 54.27/13.85  thf(106,plain,(! [B:(tyop_2Enum_2Enum > $o),A:tyop_2Enum_2Enum] : ((~ (B @ A)) | (B @ (c_2Enum_2ESUC @ (sk2 @ (^ [C:tyop_2Enum_2Enum]: ~ (B @ C))))) | (B @ c_2Enum_2E0))),inference(simp,[status(thm)],[91])).
% 54.27/13.85  thf(8475,plain,(! [B:(tyop_2Enum_2Enum > $o),A:tyop_2Enum_2Enum] : ((~ (B @ A)) | (B @ c_2Enum_2E0) | ((B @ (c_2Enum_2ESUC @ (sk2 @ (^ [C:tyop_2Enum_2Enum]: ~ (B @ C))))) != (~ (B @ A))) | ~ ($true))),inference(eqfactor_ordered,[status(thm)],[106])).
% 54.27/13.85  thf(8491,plain,(! [A:tyop_2Enum_2Enum] : ((~ (A = A)) | (A = c_2Enum_2E0) | ((A = (c_2Enum_2ESUC @ (sk2 @ (^ [B:tyop_2Enum_2Enum]: ~ (A = B))))) != (~ (A = A))) | ~ ($true))),inference(replace_leibeq,[status(thm)],[8475:[bind(A, $thf(A)),bind(B, $thf(= @ tyop_2Enum_2Enum @ A))]])).
% 54.27/13.85  thf(8665,plain,(! [A:tyop_2Enum_2Enum] : ((A != A) | (A = c_2Enum_2E0) | ((A = (c_2Enum_2ESUC @ (sk2 @ (^ [B:tyop_2Enum_2Enum]: ~ (A = B))))) != (~ (A = A))) | ~ ($true))),inference(lifteq,[status(thm)],[8491])).
% 54.27/13.85  thf(9092,plain,(! [A:tyop_2Enum_2Enum] : ((A = c_2Enum_2E0) | (A = (c_2Enum_2ESUC @ (sk2 @ (^ [B:tyop_2Enum_2Enum]: ~ (A = B))))))),inference(simp,[status(thm)],[8665])).
% 54.27/13.85  thf(9192,plain,(! [A:tyop_2Enum_2Enum] : ((A = (c_2Enum_2ESUC @ (sk2 @ (^ [B:tyop_2Enum_2Enum]: ~ (A = B))))) | (A = c_2Enum_2E0))),inference(lifteq,[status(thm)],[9092])).
% 54.27/13.85  thf(1,conjecture,((! [A:tyop_2Enum_2Enum]: ((A = c_2Enum_2E0) | ? [B:tyop_2Enum_2Enum]: (A = (c_2Enum_2ESUC @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Earithmetic_2Enum__CASES)).
% 54.27/13.85  thf(2,negated_conjecture,((~ (! [A:tyop_2Enum_2Enum]: ((A = c_2Enum_2E0) | ? [B:tyop_2Enum_2Enum]: (A = (c_2Enum_2ESUC @ B)))))),inference(neg_conjecture,[status(cth)],[1])).
% 54.27/13.85  thf(5,plain,((~ (! [A:tyop_2Enum_2Enum]: ((A = c_2Enum_2E0) | ? [B:tyop_2Enum_2Enum]: (A = (c_2Enum_2ESUC @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 54.27/13.85  thf(6,plain,(! [A:tyop_2Enum_2Enum] : ((~ (sk1 = (c_2Enum_2ESUC @ A))))),inference(cnf,[status(esa)],[5])).
% 54.27/13.85  thf(8,plain,(! [A:tyop_2Enum_2Enum] : (((c_2Enum_2ESUC @ A) != sk1))),inference(lifteq,[status(thm)],[6])).
% 54.27/13.85  thf(9383,plain,(! [B:tyop_2Enum_2Enum,A:tyop_2Enum_2Enum] : ((A = c_2Enum_2E0) | (A != sk1) | ((c_2Enum_2ESUC @ (sk2 @ (^ [C:tyop_2Enum_2Enum]: ~ (A = C)))) != (c_2Enum_2ESUC @ B)))),inference(paramod_ordered,[status(thm)],[9192,8])).
% 54.27/13.85  thf(9384,plain,(! [A:tyop_2Enum_2Enum] : ((A = c_2Enum_2E0) | (A != sk1))),inference(pattern_uni,[status(thm)],[9383:[bind(A, $thf(A)),bind(B, $thf(sk2 @ (^ [C:tyop_2Enum_2Enum]: ~ (A = C))))]])).
% 54.27/13.85  thf(9498,plain,((sk1 = c_2Enum_2E0)),inference(simp,[status(thm)],[9384])).
% 54.27/13.85  thf(7,plain,((~ (sk1 = c_2Enum_2E0))),inference(cnf,[status(esa)],[5])).
% 54.27/13.85  thf(9,plain,((sk1 != c_2Enum_2E0)),inference(lifteq,[status(thm)],[7])).
% 54.27/13.85  thf(9568,plain,($false),inference(simplifyReflect,[status(thm)],[9498,9])).
% 54.27/13.85  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 54.27/13.85  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
