%------------------------------------------------------------------------------
thf(tp_ap,type,(
    ap: $i > $i > $i )).

thf(tp_arr,type,(
    arr: $i > $i > $i )).

thf(tp_bool,type,(
    bool: $i )).

thf(tp_c_2Earithmetic_2EBIT1,type,(
    c_2Earithmetic_2EBIT1: $i )).

thf(tp_c_2Earithmetic_2ENUMERAL,type,(
    c_2Earithmetic_2ENUMERAL: $i )).

thf(tp_c_2Earithmetic_2EZERO,type,(
    c_2Earithmetic_2EZERO: $i )).

thf(tp_c_2Earithmetic_2E_2D,type,(
    c_2Earithmetic_2E_2D: $i )).

thf(tp_c_2Ebool_2E_21,type,(
    c_2Ebool_2E_21: $i > $i )).

thf(tp_c_2Emin_2E_3D,type,(
    c_2Emin_2E_3D: $i > $i )).

thf(tp_c_2Enum_2ESUC,type,(
    c_2Enum_2ESUC: $i )).

thf(tp_i,type,(
    i: $i > $i )).

thf(tp_ind,type,(
    ind: $i )).

thf(tp_k,type,(
    k: $i > $i > $i )).

thf(tp_mem,type,(
    mem: $i > $i > $o )).

thf(tp_ne,type,(
    ne: $i > $o )).

thf(tp_p,type,(
    p: $i > $o )).

thf(tp_sK1_V0a,type,(
    sK1_V0a: $i )).

thf(tp_sK2_X,type,(
    sK2_X: $i > $i > $i )).

thf(tp_sK3_X,type,(
    sK3_X: $i > $i > $i > $i > $i )).

thf(tp_ty_2Enum_2Enum,type,(
    ty_2Enum_2Enum: $i )).

thf(1,axiom,(
    mem @ c_2Earithmetic_2EZERO @ ty_2Enum_2Enum ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Earithmetic_2EZERO)).

thf(2,axiom,(
    mem @ c_2Earithmetic_2ENUMERAL @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Earithmetic_2ENUMERAL)).

thf(3,axiom,(
    mem @ c_2Earithmetic_2EBIT1 @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Earithmetic_2EBIT1)).

thf(4,axiom,(
    mem @ c_2Earithmetic_2E_2D @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Earithmetic_2E_2D)).

thf(5,axiom,(
    mem @ c_2Enum_2ESUC @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Enum_2ESUC)).

thf(6,axiom,(
    ne @ ty_2Enum_2Enum ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ne_ty_2Enum_2Enum)).

thf(7,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [Q: $i] :
          ( ( mem @ Q @ ( arr @ A @ bool ) )
         => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ Q ) )
          <=> ! [X: $i] :
                ( ( mem @ X @ A )
               => ( p @ ( ap @ Q @ X ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_all_p)).

thf(8,axiom,(
    ! [A_27a: $i] :
      ( ( ne @ A_27a )
     => ( mem @ ( c_2Ebool_2E_21 @ A_27a ) @ ( arr @ ( arr @ A_27a @ bool ) @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(9,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [X: $i] :
          ( ( mem @ X @ A )
         => ! [Y: $i] :
              ( ( mem @ Y @ A )
             => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ X ) @ Y ) )
              <=> ( X = Y ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_eq_p)).

thf(10,axiom,(
    ! [A_27a: $i] :
      ( ( ne @ A_27a )
     => ( mem @ ( c_2Emin_2E_3D @ A_27a ) @ ( arr @ A_27a @ ( arr @ A_27a @ bool ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(11,axiom,(
    ! [A: $i,X: $i] :
      ( ( mem @ X @ A )
     => ( ( ap @ ( i @ A ) @ X )
        = X ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ibeta)).

thf(12,axiom,(
    ! [A: $i,Y: $i,X: $i] :
      ( ( mem @ X @ A )
     => ( ( ap @ ( k @ A @ Y ) @ X )
        = Y ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',kbeta)).

thf(13,axiom,(
    ! [A: $i,B: $i,F: $i] :
      ( ( mem @ F @ ( arr @ A @ B ) )
     => ! [G: $i] :
          ( ( mem @ G @ ( arr @ A @ B ) )
         => ( ! [X: $i] :
                ( ( mem @ X @ A )
               => ( ( ap @ F @ X )
                  = ( ap @ G @ X ) ) )
           => ( F = G ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',funcext)).

thf(14,axiom,(
    ! [Q: $i] :
      ( ( mem @ Q @ bool )
     => ! [R: $i] :
          ( ( mem @ R @ bool )
         => ( ( ( p @ Q )
            <=> ( p @ R ) )
           => ( Q = R ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',boolext)).

thf(15,axiom,(
    ! [A: $i,B: $i,F: $i] :
      ( ( mem @ F @ ( arr @ A @ B ) )
     => ! [X: $i] :
          ( ( mem @ X @ A )
         => ( mem @ ( ap @ F @ X ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ap_tp)).

thf(16,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( ne @ B )
         => ( ne @ ( arr @ A @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arr_ne)).

thf(17,axiom,(
    ne @ ind ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ind_ne)).

thf(18,axiom,(
    ne @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',bool_ne)).

thf(19,axiom,(
    ! [V0a: $i] :
      ( ( mem @ V0a @ ty_2Enum_2Enum )
     => ( ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( ap @ c_2Enum_2ESUC @ V0a ) ) @ V0a )
        = ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Earithmetic_2ESUC__SUB)).

thf(20,conjecture,(
    ! [V0a: $i] :
      ( ( mem @ V0a @ ty_2Enum_2Enum )
     => ( ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( ap @ c_2Enum_2ESUC @ V0a ) ) @ V0a )
        = ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebit_2ESUC__SUB)).

thf(21,negated_conjecture,
    ( ( ! [V0a: $i] :
          ( ( mem @ V0a @ ty_2Enum_2Enum )
         => ( ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( ap @ c_2Enum_2ESUC @ V0a ) ) @ V0a )
            = ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) )
    = $false ),
    inference(negate_conjecture,[status(cth)],[20])).

thf(22,plain,
    ( ( ! [V0a: $i] :
          ( ( mem @ V0a @ ty_2Enum_2Enum )
         => ( ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( ap @ c_2Enum_2ESUC @ V0a ) ) @ V0a )
            = ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) )
    = $false ),
    inference(unfold_def,[status(thm)],[21])).

thf(23,plain,
    ( ( mem @ c_2Earithmetic_2EZERO @ ty_2Enum_2Enum )
    = $true ),
    inference(unfold_def,[status(thm)],[1])).

thf(24,plain,
    ( ( mem @ c_2Earithmetic_2ENUMERAL @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) )
    = $true ),
    inference(unfold_def,[status(thm)],[2])).

thf(25,plain,
    ( ( mem @ c_2Earithmetic_2EBIT1 @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) )
    = $true ),
    inference(unfold_def,[status(thm)],[3])).

thf(26,plain,
    ( ( mem @ c_2Earithmetic_2E_2D @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[4])).

thf(27,plain,
    ( ( mem @ c_2Enum_2ESUC @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) )
    = $true ),
    inference(unfold_def,[status(thm)],[5])).

thf(28,plain,
    ( ( ne @ ty_2Enum_2Enum )
    = $true ),
    inference(unfold_def,[status(thm)],[6])).

thf(29,plain,
    ( ( ! [A: $i] :
          ( ( ne @ A )
         => ! [Q: $i] :
              ( ( mem @ Q @ ( arr @ A @ bool ) )
             => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ Q ) )
              <=> ! [X: $i] :
                    ( ( mem @ X @ A )
                   => ( p @ ( ap @ Q @ X ) ) ) ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[7])).

thf(30,plain,
    ( ( ! [A_27a: $i] :
          ( ( ne @ A_27a )
         => ( mem @ ( c_2Ebool_2E_21 @ A_27a ) @ ( arr @ ( arr @ A_27a @ bool ) @ bool ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[8])).

thf(31,plain,
    ( ( ! [A: $i] :
          ( ( ne @ A )
         => ! [X: $i] :
              ( ( mem @ X @ A )
             => ! [Y: $i] :
                  ( ( mem @ Y @ A )
                 => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ X ) @ Y ) )
                  <=> ( X = Y ) ) ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[9])).

thf(32,plain,
    ( ( ! [A_27a: $i] :
          ( ( ne @ A_27a )
         => ( mem @ ( c_2Emin_2E_3D @ A_27a ) @ ( arr @ A_27a @ ( arr @ A_27a @ bool ) ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[10])).

thf(33,plain,
    ( ( ! [A: $i,X: $i] :
          ( ( mem @ X @ A )
         => ( ( ap @ ( i @ A ) @ X )
            = X ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[11])).

thf(34,plain,
    ( ( ! [A: $i,Y: $i,X: $i] :
          ( ( mem @ X @ A )
         => ( ( ap @ ( k @ A @ Y ) @ X )
            = Y ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[12])).

thf(35,plain,
    ( ( ! [A: $i,B: $i,F: $i] :
          ( ( mem @ F @ ( arr @ A @ B ) )
         => ! [G: $i] :
              ( ( mem @ G @ ( arr @ A @ B ) )
             => ( ! [X: $i] :
                    ( ( mem @ X @ A )
                   => ( ( ap @ F @ X )
                      = ( ap @ G @ X ) ) )
               => ( F = G ) ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[13])).

thf(36,plain,
    ( ( ! [Q: $i] :
          ( ( mem @ Q @ bool )
         => ! [R: $i] :
              ( ( mem @ R @ bool )
             => ( ( ( p @ Q )
                <=> ( p @ R ) )
               => ( Q = R ) ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[14])).

thf(37,plain,
    ( ( ! [A: $i,B: $i,F: $i] :
          ( ( mem @ F @ ( arr @ A @ B ) )
         => ! [X: $i] :
              ( ( mem @ X @ A )
             => ( mem @ ( ap @ F @ X ) @ B ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[15])).

thf(38,plain,
    ( ( ! [A: $i] :
          ( ( ne @ A )
         => ! [B: $i] :
              ( ( ne @ B )
             => ( ne @ ( arr @ A @ B ) ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[16])).

thf(39,plain,
    ( ( ne @ ind )
    = $true ),
    inference(unfold_def,[status(thm)],[17])).

thf(40,plain,
    ( ( ne @ bool )
    = $true ),
    inference(unfold_def,[status(thm)],[18])).

thf(41,plain,
    ( ( ! [V0a: $i] :
          ( ( mem @ V0a @ ty_2Enum_2Enum )
         => ( ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( ap @ c_2Enum_2ESUC @ V0a ) ) @ V0a )
            = ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[19])).

thf(42,plain,
    ( ( ( mem @ sK1_V0a @ ty_2Enum_2Enum )
     => ( ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( ap @ c_2Enum_2ESUC @ sK1_V0a ) ) @ sK1_V0a )
        = ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) )
    = $false ),
    inference(extcnf_forall_neg,[status(esa)],[22])).

thf(43,plain,
    ( ( mem @ sK1_V0a @ ty_2Enum_2Enum )
    = $true ),
    inference(standard_cnf,[status(thm)],[42])).

thf(44,plain,
    ( ( ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( ap @ c_2Enum_2ESUC @ sK1_V0a ) ) @ sK1_V0a )
      = ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) )
    = $false ),
    inference(standard_cnf,[status(thm)],[42])).

thf(45,plain,
    ( ( ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( ap @ c_2Enum_2ESUC @ sK1_V0a ) ) @ sK1_V0a )
     != ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) )
    = $true ),
    inference(polarity_switch,[status(thm)],[44])).

thf(46,plain,
    ( ( ! [A: $i] :
          ( ~ ( ne @ A )
          | ( ! [Q: $i] :
                ( ~ ( mem @ Q @ ( arr @ A @ bool ) )
                | ( ( mem @ ( sK2_X @ Q @ A ) @ A )
                  & ~ ( p @ ( ap @ Q @ ( sK2_X @ Q @ A ) ) ) )
                | ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ Q ) ) )
            & ! [Q: $i] :
                ( ~ ( mem @ Q @ ( arr @ A @ bool ) )
                | ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ Q ) )
                | ! [X: $i] :
                    ( ~ ( mem @ X @ A )
                    | ( p @ ( ap @ Q @ X ) ) ) ) ) ) )
    = $true ),
    inference(extcnf_combined,[status(esa)],[29])).

thf(47,plain,
    ( ( ! [A_27a: $i] :
          ( ~ ( ne @ A_27a )
          | ( mem @ ( c_2Ebool_2E_21 @ A_27a ) @ ( arr @ ( arr @ A_27a @ bool ) @ bool ) ) ) )
    = $true ),
    inference(extcnf_combined,[status(esa)],[30])).

thf(48,plain,
    ( ( ! [A: $i] :
          ( ~ ( ne @ A )
          | ! [X: $i] :
              ( ~ ( mem @ X @ A )
              | ( ! [Y: $i] :
                    ( ~ ( mem @ Y @ A )
                    | ( X != Y )
                    | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ X ) @ Y ) ) )
                & ! [Y: $i] :
                    ( ~ ( mem @ Y @ A )
                    | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ X ) @ Y ) )
                    | ( X = Y ) ) ) ) ) )
    = $true ),
    inference(extcnf_combined,[status(esa)],[31])).

thf(49,plain,
    ( ( ! [A_27a: $i] :
          ( ~ ( ne @ A_27a )
          | ( mem @ ( c_2Emin_2E_3D @ A_27a ) @ ( arr @ A_27a @ ( arr @ A_27a @ bool ) ) ) ) )
    = $true ),
    inference(extcnf_combined,[status(esa)],[32])).

thf(50,plain,
    ( ( ! [A: $i,X: $i] :
          ( ~ ( mem @ X @ A )
          | ( ( ap @ ( i @ A ) @ X )
            = X ) ) )
    = $true ),
    inference(extcnf_combined,[status(esa)],[33])).

thf(51,plain,
    ( ( ! [A: $i,Y: $i,X: $i] :
          ( ~ ( mem @ X @ A )
          | ( ( ap @ ( k @ A @ Y ) @ X )
            = Y ) ) )
    = $true ),
    inference(extcnf_combined,[status(esa)],[34])).

thf(52,plain,
    ( ( ! [A: $i,B: $i,F: $i] :
          ( ~ ( mem @ F @ ( arr @ A @ B ) )
          | ! [G: $i] :
              ( ~ ( mem @ G @ ( arr @ A @ B ) )
              | ( ( mem @ ( sK3_X @ G @ F @ B @ A ) @ A )
                & ( ( ap @ F @ ( sK3_X @ G @ F @ B @ A ) )
                 != ( ap @ G @ ( sK3_X @ G @ F @ B @ A ) ) ) )
              | ( F = G ) ) ) )
    = $true ),
    inference(extcnf_combined,[status(esa)],[35])).

thf(53,plain,
    ( ( ! [Q: $i] :
          ( ~ ( mem @ Q @ bool )
          | ( ! [R: $i] :
                ( ~ ( mem @ R @ bool )
                | ~ ( p @ Q )
                | ~ ( p @ R )
                | ( Q = R ) )
            & ! [R: $i] :
                ( ~ ( mem @ R @ bool )
                | ( p @ Q )
                | ( p @ R )
                | ( Q = R ) ) ) ) )
    = $true ),
    inference(extcnf_combined,[status(esa)],[36])).

thf(54,plain,
    ( ( ! [A: $i,B: $i,F: $i] :
          ( ~ ( mem @ F @ ( arr @ A @ B ) )
          | ! [X: $i] :
              ( ~ ( mem @ X @ A )
              | ( mem @ ( ap @ F @ X ) @ B ) ) ) )
    = $true ),
    inference(extcnf_combined,[status(esa)],[37])).

thf(55,plain,
    ( ( ! [A: $i] :
          ( ~ ( ne @ A )
          | ! [B: $i] :
              ( ~ ( ne @ B )
              | ( ne @ ( arr @ A @ B ) ) ) ) )
    = $true ),
    inference(extcnf_combined,[status(esa)],[38])).

thf(56,plain,
    ( ( ! [V0a: $i] :
          ( ~ ( mem @ V0a @ ty_2Enum_2Enum )
          | ( ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( ap @ c_2Enum_2ESUC @ V0a ) ) @ V0a )
            = ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) )
    = $true ),
    inference(extcnf_combined,[status(esa)],[41])).

thf(57,plain,
    ( ( ! [V0a: $i] :
          ( ~ ( mem @ V0a @ ty_2Enum_2Enum )
          | ( ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( ap @ c_2Enum_2ESUC @ V0a ) ) @ V0a )
            = ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) )
    = $true ),
    inference(copy,[status(thm)],[56])).

thf(58,plain,
    ( ( ne @ bool )
    = $true ),
    inference(copy,[status(thm)],[40])).

thf(59,plain,
    ( ( ne @ ind )
    = $true ),
    inference(copy,[status(thm)],[39])).

thf(60,plain,
    ( ( ! [A: $i] :
          ( ~ ( ne @ A )
          | ! [B: $i] :
              ( ~ ( ne @ B )
              | ( ne @ ( arr @ A @ B ) ) ) ) )
    = $true ),
    inference(copy,[status(thm)],[55])).

thf(61,plain,
    ( ( ! [A: $i,B: $i,F: $i] :
          ( ~ ( mem @ F @ ( arr @ A @ B ) )
          | ! [X: $i] :
              ( ~ ( mem @ X @ A )
              | ( mem @ ( ap @ F @ X ) @ B ) ) ) )
    = $true ),
    inference(copy,[status(thm)],[54])).

thf(62,plain,
    ( ( ! [Q: $i] :
          ( ~ ( mem @ Q @ bool )
          | ( ! [R: $i] :
                ( ~ ( mem @ R @ bool )
                | ~ ( p @ Q )
                | ~ ( p @ R )
                | ( Q = R ) )
            & ! [R: $i] :
                ( ~ ( mem @ R @ bool )
                | ( p @ Q )
                | ( p @ R )
                | ( Q = R ) ) ) ) )
    = $true ),
    inference(copy,[status(thm)],[53])).

thf(63,plain,
    ( ( ! [A: $i,B: $i,F: $i] :
          ( ~ ( mem @ F @ ( arr @ A @ B ) )
          | ! [G: $i] :
              ( ~ ( mem @ G @ ( arr @ A @ B ) )
              | ( ( mem @ ( sK3_X @ G @ F @ B @ A ) @ A )
                & ( ( ap @ F @ ( sK3_X @ G @ F @ B @ A ) )
                 != ( ap @ G @ ( sK3_X @ G @ F @ B @ A ) ) ) )
              | ( F = G ) ) ) )
    = $true ),
    inference(copy,[status(thm)],[52])).

thf(64,plain,
    ( ( ! [A: $i,Y: $i,X: $i] :
          ( ~ ( mem @ X @ A )
          | ( ( ap @ ( k @ A @ Y ) @ X )
            = Y ) ) )
    = $true ),
    inference(copy,[status(thm)],[51])).

thf(65,plain,
    ( ( ! [A: $i,X: $i] :
          ( ~ ( mem @ X @ A )
          | ( ( ap @ ( i @ A ) @ X )
            = X ) ) )
    = $true ),
    inference(copy,[status(thm)],[50])).

thf(66,plain,
    ( ( ! [A_27a: $i] :
          ( ~ ( ne @ A_27a )
          | ( mem @ ( c_2Emin_2E_3D @ A_27a ) @ ( arr @ A_27a @ ( arr @ A_27a @ bool ) ) ) ) )
    = $true ),
    inference(copy,[status(thm)],[49])).

thf(67,plain,
    ( ( ! [A: $i] :
          ( ~ ( ne @ A )
          | ! [X: $i] :
              ( ~ ( mem @ X @ A )
              | ( ! [Y: $i] :
                    ( ~ ( mem @ Y @ A )
                    | ( X != Y )
                    | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ X ) @ Y ) ) )
                & ! [Y: $i] :
                    ( ~ ( mem @ Y @ A )
                    | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ X ) @ Y ) )
                    | ( X = Y ) ) ) ) ) )
    = $true ),
    inference(copy,[status(thm)],[48])).

thf(68,plain,
    ( ( ! [A_27a: $i] :
          ( ~ ( ne @ A_27a )
          | ( mem @ ( c_2Ebool_2E_21 @ A_27a ) @ ( arr @ ( arr @ A_27a @ bool ) @ bool ) ) ) )
    = $true ),
    inference(copy,[status(thm)],[47])).

thf(69,plain,
    ( ( ! [A: $i] :
          ( ~ ( ne @ A )
          | ( ! [Q: $i] :
                ( ~ ( mem @ Q @ ( arr @ A @ bool ) )
                | ( ( mem @ ( sK2_X @ Q @ A ) @ A )
                  & ~ ( p @ ( ap @ Q @ ( sK2_X @ Q @ A ) ) ) )
                | ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ Q ) ) )
            & ! [Q: $i] :
                ( ~ ( mem @ Q @ ( arr @ A @ bool ) )
                | ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ Q ) )
                | ! [X: $i] :
                    ( ~ ( mem @ X @ A )
                    | ( p @ ( ap @ Q @ X ) ) ) ) ) ) )
    = $true ),
    inference(copy,[status(thm)],[46])).

thf(70,plain,
    ( ( ne @ ty_2Enum_2Enum )
    = $true ),
    inference(copy,[status(thm)],[28])).

thf(71,plain,
    ( ( mem @ c_2Enum_2ESUC @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) )
    = $true ),
    inference(copy,[status(thm)],[27])).

thf(72,plain,
    ( ( mem @ c_2Earithmetic_2E_2D @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ) )
    = $true ),
    inference(copy,[status(thm)],[26])).

thf(73,plain,
    ( ( mem @ c_2Earithmetic_2EBIT1 @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) )
    = $true ),
    inference(copy,[status(thm)],[25])).

thf(74,plain,
    ( ( mem @ c_2Earithmetic_2ENUMERAL @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) )
    = $true ),
    inference(copy,[status(thm)],[24])).

thf(75,plain,
    ( ( mem @ c_2Earithmetic_2EZERO @ ty_2Enum_2Enum )
    = $true ),
    inference(copy,[status(thm)],[23])).

thf(76,plain,
    ( ( mem @ sK1_V0a @ ty_2Enum_2Enum )
    = $true ),
    inference(copy,[status(thm)],[43])).

thf(77,plain,
    ( ( ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( ap @ c_2Enum_2ESUC @ sK1_V0a ) ) @ sK1_V0a )
     != ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) )
    = $true ),
    inference(copy,[status(thm)],[45])).

thf(78,plain,
    ( ( ! [SX0: $i] :
          ( ~ ( ne @ SX0 )
          | ! [SX1: $i] :
              ( ~ ( mem @ SX1 @ SX0 )
              | ~ ( ~ ! [SX2: $i] :
                        ( ~ ( mem @ SX2 @ SX0 )
                        | ( SX1 != SX2 )
                        | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SX0 ) @ SX1 ) @ SX2 ) ) )
                  | ~ ! [SX2: $i] :
                        ( ~ ( mem @ SX2 @ SX0 )
                        | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SX0 ) @ SX1 ) @ SX2 ) )
                        | ( SX1 = SX2 ) ) ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[67])).

thf(79,plain,
    ( ( ! [SX0: $i,SX1: $i,SX2: $i] :
          ( ~ ( mem @ SX2 @ ( arr @ SX0 @ SX1 ) )
          | ! [SX3: $i] :
              ( ~ ( mem @ SX3 @ ( arr @ SX0 @ SX1 ) )
              | ~ ( ~ ( mem @ ( sK3_X @ SX3 @ SX2 @ SX1 @ SX0 ) @ SX0 )
                  | ~ ( ( ( ap @ SX2 @ ( sK3_X @ SX3 @ SX2 @ SX1 @ SX0 ) )
                       != ( ap @ SX3 @ ( sK3_X @ SX3 @ SX2 @ SX1 @ SX0 ) ) ) ) )
              | ( SX2 = SX3 ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[63])).

thf(80,plain,
    ( ( ! [SX0: $i] :
          ( ~ ( ne @ SX0 )
          | ~ ( ~ ! [SX1: $i] :
                    ( ~ ( mem @ SX1 @ ( arr @ SX0 @ bool ) )
                    | ~ ( ~ ( mem @ ( sK2_X @ SX1 @ SX0 ) @ SX0 )
                        | ~ ~ ( p @ ( ap @ SX1 @ ( sK2_X @ SX1 @ SX0 ) ) ) )
                    | ( p @ ( ap @ ( c_2Ebool_2E_21 @ SX0 ) @ SX1 ) ) )
              | ~ ! [SX1: $i] :
                    ( ~ ( mem @ SX1 @ ( arr @ SX0 @ bool ) )
                    | ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ SX0 ) @ SX1 ) )
                    | ! [SX2: $i] :
                        ( ~ ( mem @ SX2 @ SX0 )
                        | ( p @ ( ap @ SX1 @ SX2 ) ) ) ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[69])).

thf(81,plain,
    ( ( ! [SX0: $i] :
          ( ~ ( mem @ SX0 @ bool )
          | ~ ( ~ ! [SX1: $i] :
                    ( ~ ( mem @ SX1 @ bool )
                    | ~ ( p @ SX0 )
                    | ~ ( p @ SX1 )
                    | ( SX0 = SX1 ) )
              | ~ ! [SX1: $i] :
                    ( ~ ( mem @ SX1 @ bool )
                    | ( p @ SX0 )
                    | ( p @ SX1 )
                    | ( SX0 = SX1 ) ) ) ) )
    = $true ),
    inference(unfold_def,[status(thm)],[62])).

thf(82,plain,(
    ! [SV1: $i] :
      ( ( ~ ( mem @ SV1 @ ty_2Enum_2Enum )
        | ( ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( ap @ c_2Enum_2ESUC @ SV1 ) ) @ SV1 )
          = ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[57])).

thf(83,plain,(
    ! [SV2: $i] :
      ( ( ~ ( ne @ SV2 )
        | ! [SY28: $i] :
            ( ~ ( ne @ SY28 )
            | ( ne @ ( arr @ SV2 @ SY28 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[60])).

thf(84,plain,(
    ! [SV3: $i] :
      ( ( ! [SY29: $i,SY30: $i] :
            ( ~ ( mem @ SY30 @ ( arr @ SV3 @ SY29 ) )
            | ! [SY31: $i] :
                ( ~ ( mem @ SY31 @ SV3 )
                | ( mem @ ( ap @ SY30 @ SY31 ) @ SY29 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[61])).

thf(85,plain,(
    ! [SV4: $i] :
      ( ( ! [SY32: $i,SY33: $i] :
            ( ~ ( mem @ SY33 @ SV4 )
            | ( ( ap @ ( k @ SV4 @ SY32 ) @ SY33 )
              = SY32 ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[64])).

thf(86,plain,(
    ! [SV5: $i] :
      ( ( ! [SY34: $i] :
            ( ~ ( mem @ SY34 @ SV5 )
            | ( ( ap @ ( i @ SV5 ) @ SY34 )
              = SY34 ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[65])).

thf(87,plain,(
    ! [SV6: $i] :
      ( ( ~ ( ne @ SV6 )
        | ( mem @ ( c_2Emin_2E_3D @ SV6 ) @ ( arr @ SV6 @ ( arr @ SV6 @ bool ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[66])).

thf(88,plain,(
    ! [SV7: $i] :
      ( ( ~ ( ne @ SV7 )
        | ( mem @ ( c_2Ebool_2E_21 @ SV7 ) @ ( arr @ ( arr @ SV7 @ bool ) @ bool ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[68])).

thf(89,plain,
    ( ( ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( ap @ c_2Enum_2ESUC @ sK1_V0a ) ) @ sK1_V0a )
      = ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) )
    = $false ),
    inference(extcnf_not_pos,[status(thm)],[77])).

thf(90,plain,(
    ! [SV8: $i] :
      ( ( ~ ( ne @ SV8 )
        | ! [SY35: $i] :
            ( ~ ( mem @ SY35 @ SV8 )
            | ~ ( ~ ! [SY36: $i] :
                      ( ~ ( mem @ SY36 @ SV8 )
                      | ( SY35 != SY36 )
                      | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SY35 ) @ SY36 ) ) )
                | ~ ! [SY37: $i] :
                      ( ~ ( mem @ SY37 @ SV8 )
                      | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SY35 ) @ SY37 ) )
                      | ( SY35 = SY37 ) ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[78])).

thf(91,plain,(
    ! [SV9: $i] :
      ( ( ! [SY38: $i,SY39: $i] :
            ( ~ ( mem @ SY39 @ ( arr @ SV9 @ SY38 ) )
            | ! [SY40: $i] :
                ( ~ ( mem @ SY40 @ ( arr @ SV9 @ SY38 ) )
                | ~ ( ~ ( mem @ ( sK3_X @ SY40 @ SY39 @ SY38 @ SV9 ) @ SV9 )
                    | ~ ( ( ( ap @ SY39 @ ( sK3_X @ SY40 @ SY39 @ SY38 @ SV9 ) )
                         != ( ap @ SY40 @ ( sK3_X @ SY40 @ SY39 @ SY38 @ SV9 ) ) ) ) )
                | ( SY39 = SY40 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[79])).

thf(92,plain,(
    ! [SV10: $i] :
      ( ( ~ ( ne @ SV10 )
        | ~ ( ~ ! [SY41: $i] :
                  ( ~ ( mem @ SY41 @ ( arr @ SV10 @ bool ) )
                  | ~ ( ~ ( mem @ ( sK2_X @ SY41 @ SV10 ) @ SV10 )
                      | ~ ~ ( p @ ( ap @ SY41 @ ( sK2_X @ SY41 @ SV10 ) ) ) )
                  | ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SY41 ) ) )
            | ~ ! [SY42: $i] :
                  ( ~ ( mem @ SY42 @ ( arr @ SV10 @ bool ) )
                  | ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SY42 ) )
                  | ! [SY43: $i] :
                      ( ~ ( mem @ SY43 @ SV10 )
                      | ( p @ ( ap @ SY42 @ SY43 ) ) ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[80])).

thf(93,plain,(
    ! [SV11: $i] :
      ( ( ~ ( mem @ SV11 @ bool )
        | ~ ( ~ ! [SY44: $i] :
                  ( ~ ( mem @ SY44 @ bool )
                  | ~ ( p @ SV11 )
                  | ~ ( p @ SY44 )
                  | ( SV11 = SY44 ) )
            | ~ ! [SY45: $i] :
                  ( ~ ( mem @ SY45 @ bool )
                  | ( p @ SV11 )
                  | ( p @ SY45 )
                  | ( SV11 = SY45 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[81])).

thf(94,plain,(
    ! [SV1: $i] :
      ( ( ( ~ ( mem @ SV1 @ ty_2Enum_2Enum ) )
        = $true )
      | ( ( ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( ap @ c_2Enum_2ESUC @ SV1 ) ) @ SV1 )
          = ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[82])).

thf(95,plain,(
    ! [SV2: $i] :
      ( ( ( ~ ( ne @ SV2 ) )
        = $true )
      | ( ( ! [SY28: $i] :
              ( ~ ( ne @ SY28 )
              | ( ne @ ( arr @ SV2 @ SY28 ) ) ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[83])).

thf(96,plain,(
    ! [SV12: $i,SV3: $i] :
      ( ( ! [SY46: $i] :
            ( ~ ( mem @ SY46 @ ( arr @ SV3 @ SV12 ) )
            | ! [SY47: $i] :
                ( ~ ( mem @ SY47 @ SV3 )
                | ( mem @ ( ap @ SY46 @ SY47 ) @ SV12 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[84])).

thf(97,plain,(
    ! [SV13: $i,SV4: $i] :
      ( ( ! [SY48: $i] :
            ( ~ ( mem @ SY48 @ SV4 )
            | ( ( ap @ ( k @ SV4 @ SV13 ) @ SY48 )
              = SV13 ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[85])).

thf(98,plain,(
    ! [SV5: $i,SV14: $i] :
      ( ( ~ ( mem @ SV14 @ SV5 )
        | ( ( ap @ ( i @ SV5 ) @ SV14 )
          = SV14 ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[86])).

thf(99,plain,(
    ! [SV6: $i] :
      ( ( ( ~ ( ne @ SV6 ) )
        = $true )
      | ( ( mem @ ( c_2Emin_2E_3D @ SV6 ) @ ( arr @ SV6 @ ( arr @ SV6 @ bool ) ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[87])).

thf(100,plain,(
    ! [SV7: $i] :
      ( ( ( ~ ( ne @ SV7 ) )
        = $true )
      | ( ( mem @ ( c_2Ebool_2E_21 @ SV7 ) @ ( arr @ ( arr @ SV7 @ bool ) @ bool ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[88])).

thf(101,plain,(
    ! [SV8: $i] :
      ( ( ( ~ ( ne @ SV8 ) )
        = $true )
      | ( ( ! [SY35: $i] :
              ( ~ ( mem @ SY35 @ SV8 )
              | ~ ( ~ ! [SY36: $i] :
                        ( ~ ( mem @ SY36 @ SV8 )
                        | ( SY35 != SY36 )
                        | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SY35 ) @ SY36 ) ) )
                  | ~ ! [SY37: $i] :
                        ( ~ ( mem @ SY37 @ SV8 )
                        | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SY35 ) @ SY37 ) )
                        | ( SY35 = SY37 ) ) ) ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[90])).

thf(102,plain,(
    ! [SV15: $i,SV9: $i] :
      ( ( ! [SY49: $i] :
            ( ~ ( mem @ SY49 @ ( arr @ SV9 @ SV15 ) )
            | ! [SY50: $i] :
                ( ~ ( mem @ SY50 @ ( arr @ SV9 @ SV15 ) )
                | ~ ( ~ ( mem @ ( sK3_X @ SY50 @ SY49 @ SV15 @ SV9 ) @ SV9 )
                    | ~ ( ( ( ap @ SY49 @ ( sK3_X @ SY50 @ SY49 @ SV15 @ SV9 ) )
                         != ( ap @ SY50 @ ( sK3_X @ SY50 @ SY49 @ SV15 @ SV9 ) ) ) ) )
                | ( SY49 = SY50 ) ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[91])).

thf(103,plain,(
    ! [SV10: $i] :
      ( ( ( ~ ( ne @ SV10 ) )
        = $true )
      | ( ( ~ ( ~ ! [SY41: $i] :
                    ( ~ ( mem @ SY41 @ ( arr @ SV10 @ bool ) )
                    | ~ ( ~ ( mem @ ( sK2_X @ SY41 @ SV10 ) @ SV10 )
                        | ~ ~ ( p @ ( ap @ SY41 @ ( sK2_X @ SY41 @ SV10 ) ) ) )
                    | ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SY41 ) ) )
              | ~ ! [SY42: $i] :
                    ( ~ ( mem @ SY42 @ ( arr @ SV10 @ bool ) )
                    | ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SY42 ) )
                    | ! [SY43: $i] :
                        ( ~ ( mem @ SY43 @ SV10 )
                        | ( p @ ( ap @ SY42 @ SY43 ) ) ) ) ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[92])).

thf(104,plain,(
    ! [SV11: $i] :
      ( ( ( ~ ( mem @ SV11 @ bool ) )
        = $true )
      | ( ( ~ ( ~ ! [SY44: $i] :
                    ( ~ ( mem @ SY44 @ bool )
                    | ~ ( p @ SV11 )
                    | ~ ( p @ SY44 )
                    | ( SV11 = SY44 ) )
              | ~ ! [SY45: $i] :
                    ( ~ ( mem @ SY45 @ bool )
                    | ( p @ SV11 )
                    | ( p @ SY45 )
                    | ( SV11 = SY45 ) ) ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[93])).

thf(105,plain,(
    ! [SV1: $i] :
      ( ( ( mem @ SV1 @ ty_2Enum_2Enum )
        = $false )
      | ( ( ( ap @ ( ap @ c_2Earithmetic_2E_2D @ ( ap @ c_2Enum_2ESUC @ SV1 ) ) @ SV1 )
          = ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[94])).

thf(106,plain,(
    ! [SV2: $i] :
      ( ( ( ne @ SV2 )
        = $false )
      | ( ( ! [SY28: $i] :
              ( ~ ( ne @ SY28 )
              | ( ne @ ( arr @ SV2 @ SY28 ) ) ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[95])).

thf(107,plain,(
    ! [SV12: $i,SV3: $i,SV16: $i] :
      ( ( ~ ( mem @ SV16 @ ( arr @ SV3 @ SV12 ) )
        | ! [SY51: $i] :
            ( ~ ( mem @ SY51 @ SV3 )
            | ( mem @ ( ap @ SV16 @ SY51 ) @ SV12 ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[96])).

thf(108,plain,(
    ! [SV13: $i,SV4: $i,SV17: $i] :
      ( ( ~ ( mem @ SV17 @ SV4 )
        | ( ( ap @ ( k @ SV4 @ SV13 ) @ SV17 )
          = SV13 ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[97])).

thf(109,plain,(
    ! [SV5: $i,SV14: $i] :
      ( ( ( ~ ( mem @ SV14 @ SV5 ) )
        = $true )
      | ( ( ( ap @ ( i @ SV5 ) @ SV14 )
          = SV14 )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[98])).

thf(110,plain,(
    ! [SV6: $i] :
      ( ( ( ne @ SV6 )
        = $false )
      | ( ( mem @ ( c_2Emin_2E_3D @ SV6 ) @ ( arr @ SV6 @ ( arr @ SV6 @ bool ) ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[99])).

thf(111,plain,(
    ! [SV7: $i] :
      ( ( ( ne @ SV7 )
        = $false )
      | ( ( mem @ ( c_2Ebool_2E_21 @ SV7 ) @ ( arr @ ( arr @ SV7 @ bool ) @ bool ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[100])).

thf(112,plain,(
    ! [SV8: $i] :
      ( ( ( ne @ SV8 )
        = $false )
      | ( ( ! [SY35: $i] :
              ( ~ ( mem @ SY35 @ SV8 )
              | ~ ( ~ ! [SY36: $i] :
                        ( ~ ( mem @ SY36 @ SV8 )
                        | ( SY35 != SY36 )
                        | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SY35 ) @ SY36 ) ) )
                  | ~ ! [SY37: $i] :
                        ( ~ ( mem @ SY37 @ SV8 )
                        | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SY35 ) @ SY37 ) )
                        | ( SY35 = SY37 ) ) ) ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[101])).

thf(113,plain,(
    ! [SV15: $i,SV9: $i,SV18: $i] :
      ( ( ~ ( mem @ SV18 @ ( arr @ SV9 @ SV15 ) )
        | ! [SY52: $i] :
            ( ~ ( mem @ SY52 @ ( arr @ SV9 @ SV15 ) )
            | ~ ( ~ ( mem @ ( sK3_X @ SY52 @ SV18 @ SV15 @ SV9 ) @ SV9 )
                | ~ ( ( ( ap @ SV18 @ ( sK3_X @ SY52 @ SV18 @ SV15 @ SV9 ) )
                     != ( ap @ SY52 @ ( sK3_X @ SY52 @ SV18 @ SV15 @ SV9 ) ) ) ) )
            | ( SV18 = SY52 ) ) )
      = $true ) ),
    inference(extcnf_forall_pos,[status(thm)],[102])).

thf(114,plain,(
    ! [SV10: $i] :
      ( ( ( ne @ SV10 )
        = $false )
      | ( ( ~ ( ~ ! [SY41: $i] :
                    ( ~ ( mem @ SY41 @ ( arr @ SV10 @ bool ) )
                    | ~ ( ~ ( mem @ ( sK2_X @ SY41 @ SV10 ) @ SV10 )
                        | ~ ~ ( p @ ( ap @ SY41 @ ( sK2_X @ SY41 @ SV10 ) ) ) )
                    | ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SY41 ) ) )
              | ~ ! [SY42: $i] :
                    ( ~ ( mem @ SY42 @ ( arr @ SV10 @ bool ) )
                    | ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SY42 ) )
                    | ! [SY43: $i] :
                        ( ~ ( mem @ SY43 @ SV10 )
                        | ( p @ ( ap @ SY42 @ SY43 ) ) ) ) ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[103])).

thf(115,plain,(
    ! [SV11: $i] :
      ( ( ( mem @ SV11 @ bool )
        = $false )
      | ( ( ~ ( ~ ! [SY44: $i] :
                    ( ~ ( mem @ SY44 @ bool )
                    | ~ ( p @ SV11 )
                    | ~ ( p @ SY44 )
                    | ( SV11 = SY44 ) )
              | ~ ! [SY45: $i] :
                    ( ~ ( mem @ SY45 @ bool )
                    | ( p @ SV11 )
                    | ( p @ SY45 )
                    | ( SV11 = SY45 ) ) ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[104])).

thf(116,plain,(
    ! [SV2: $i,SV19: $i] :
      ( ( ( ~ ( ne @ SV19 )
          | ( ne @ ( arr @ SV2 @ SV19 ) ) )
        = $true )
      | ( ( ne @ SV2 )
        = $false ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[106])).

thf(117,plain,(
    ! [SV12: $i,SV3: $i,SV16: $i] :
      ( ( ( ~ ( mem @ SV16 @ ( arr @ SV3 @ SV12 ) ) )
        = $true )
      | ( ( ! [SY51: $i] :
              ( ~ ( mem @ SY51 @ SV3 )
              | ( mem @ ( ap @ SV16 @ SY51 ) @ SV12 ) ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[107])).

thf(118,plain,(
    ! [SV13: $i,SV4: $i,SV17: $i] :
      ( ( ( ~ ( mem @ SV17 @ SV4 ) )
        = $true )
      | ( ( ( ap @ ( k @ SV4 @ SV13 ) @ SV17 )
          = SV13 )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[108])).

thf(119,plain,(
    ! [SV5: $i,SV14: $i] :
      ( ( ( mem @ SV14 @ SV5 )
        = $false )
      | ( ( ( ap @ ( i @ SV5 ) @ SV14 )
          = SV14 )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[109])).

thf(120,plain,(
    ! [SV8: $i,SV20: $i] :
      ( ( ( ~ ( mem @ SV20 @ SV8 )
          | ~ ( ~ ! [SY53: $i] :
                    ( ~ ( mem @ SY53 @ SV8 )
                    | ( SV20 != SY53 )
                    | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SV20 ) @ SY53 ) ) )
              | ~ ! [SY54: $i] :
                    ( ~ ( mem @ SY54 @ SV8 )
                    | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SV20 ) @ SY54 ) )
                    | ( SV20 = SY54 ) ) ) )
        = $true )
      | ( ( ne @ SV8 )
        = $false ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[112])).

thf(121,plain,(
    ! [SV15: $i,SV9: $i,SV18: $i] :
      ( ( ( ~ ( mem @ SV18 @ ( arr @ SV9 @ SV15 ) ) )
        = $true )
      | ( ( ! [SY52: $i] :
              ( ~ ( mem @ SY52 @ ( arr @ SV9 @ SV15 ) )
              | ~ ( ~ ( mem @ ( sK3_X @ SY52 @ SV18 @ SV15 @ SV9 ) @ SV9 )
                  | ~ ( ( ( ap @ SV18 @ ( sK3_X @ SY52 @ SV18 @ SV15 @ SV9 ) )
                       != ( ap @ SY52 @ ( sK3_X @ SY52 @ SV18 @ SV15 @ SV9 ) ) ) ) )
              | ( SV18 = SY52 ) ) )
        = $true ) ) ),
    inference(extcnf_or_pos,[status(thm)],[113])).

thf(122,plain,(
    ! [SV10: $i] :
      ( ( ( ~ ! [SY41: $i] :
                ( ~ ( mem @ SY41 @ ( arr @ SV10 @ bool ) )
                | ~ ( ~ ( mem @ ( sK2_X @ SY41 @ SV10 ) @ SV10 )
                    | ~ ~ ( p @ ( ap @ SY41 @ ( sK2_X @ SY41 @ SV10 ) ) ) )
                | ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SY41 ) ) )
          | ~ ! [SY42: $i] :
                ( ~ ( mem @ SY42 @ ( arr @ SV10 @ bool ) )
                | ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SY42 ) )
                | ! [SY43: $i] :
                    ( ~ ( mem @ SY43 @ SV10 )
                    | ( p @ ( ap @ SY42 @ SY43 ) ) ) ) )
        = $false )
      | ( ( ne @ SV10 )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[114])).

thf(123,plain,(
    ! [SV11: $i] :
      ( ( ( ~ ! [SY44: $i] :
                ( ~ ( mem @ SY44 @ bool )
                | ~ ( p @ SV11 )
                | ~ ( p @ SY44 )
                | ( SV11 = SY44 ) )
          | ~ ! [SY45: $i] :
                ( ~ ( mem @ SY45 @ bool )
                | ( p @ SV11 )
                | ( p @ SY45 )
                | ( SV11 = SY45 ) ) )
        = $false )
      | ( ( mem @ SV11 @ bool )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[115])).

thf(124,plain,(
    ! [SV2: $i,SV19: $i] :
      ( ( ( ~ ( ne @ SV19 ) )
        = $true )
      | ( ( ne @ ( arr @ SV2 @ SV19 ) )
        = $true )
      | ( ( ne @ SV2 )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[116])).

thf(125,plain,(
    ! [SV12: $i,SV3: $i,SV16: $i] :
      ( ( ( mem @ SV16 @ ( arr @ SV3 @ SV12 ) )
        = $false )
      | ( ( ! [SY51: $i] :
              ( ~ ( mem @ SY51 @ SV3 )
              | ( mem @ ( ap @ SV16 @ SY51 ) @ SV12 ) ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[117])).

thf(126,plain,(
    ! [SV13: $i,SV4: $i,SV17: $i] :
      ( ( ( mem @ SV17 @ SV4 )
        = $false )
      | ( ( ( ap @ ( k @ SV4 @ SV13 ) @ SV17 )
          = SV13 )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[118])).

thf(127,plain,(
    ! [SV8: $i,SV20: $i] :
      ( ( ( ~ ( mem @ SV20 @ SV8 ) )
        = $true )
      | ( ( ~ ( ~ ! [SY53: $i] :
                    ( ~ ( mem @ SY53 @ SV8 )
                    | ( SV20 != SY53 )
                    | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SV20 ) @ SY53 ) ) )
              | ~ ! [SY54: $i] :
                    ( ~ ( mem @ SY54 @ SV8 )
                    | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SV20 ) @ SY54 ) )
                    | ( SV20 = SY54 ) ) ) )
        = $true )
      | ( ( ne @ SV8 )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[120])).

thf(128,plain,(
    ! [SV15: $i,SV9: $i,SV18: $i] :
      ( ( ( mem @ SV18 @ ( arr @ SV9 @ SV15 ) )
        = $false )
      | ( ( ! [SY52: $i] :
              ( ~ ( mem @ SY52 @ ( arr @ SV9 @ SV15 ) )
              | ~ ( ~ ( mem @ ( sK3_X @ SY52 @ SV18 @ SV15 @ SV9 ) @ SV9 )
                  | ~ ( ( ( ap @ SV18 @ ( sK3_X @ SY52 @ SV18 @ SV15 @ SV9 ) )
                       != ( ap @ SY52 @ ( sK3_X @ SY52 @ SV18 @ SV15 @ SV9 ) ) ) ) )
              | ( SV18 = SY52 ) ) )
        = $true ) ) ),
    inference(extcnf_not_pos,[status(thm)],[121])).

thf(129,plain,(
    ! [SV10: $i] :
      ( ( ( ~ ! [SY41: $i] :
                ( ~ ( mem @ SY41 @ ( arr @ SV10 @ bool ) )
                | ~ ( ~ ( mem @ ( sK2_X @ SY41 @ SV10 ) @ SV10 )
                    | ~ ~ ( p @ ( ap @ SY41 @ ( sK2_X @ SY41 @ SV10 ) ) ) )
                | ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SY41 ) ) ) )
        = $false )
      | ( ( ne @ SV10 )
        = $false ) ) ),
    inference(extcnf_or_neg,[status(thm)],[122])).

thf(130,plain,(
    ! [SV10: $i] :
      ( ( ( ~ ! [SY42: $i] :
                ( ~ ( mem @ SY42 @ ( arr @ SV10 @ bool ) )
                | ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SY42 ) )
                | ! [SY43: $i] :
                    ( ~ ( mem @ SY43 @ SV10 )
                    | ( p @ ( ap @ SY42 @ SY43 ) ) ) ) )
        = $false )
      | ( ( ne @ SV10 )
        = $false ) ) ),
    inference(extcnf_or_neg,[status(thm)],[122])).

thf(131,plain,(
    ! [SV11: $i] :
      ( ( ( ~ ! [SY44: $i] :
                ( ~ ( mem @ SY44 @ bool )
                | ~ ( p @ SV11 )
                | ~ ( p @ SY44 )
                | ( SV11 = SY44 ) ) )
        = $false )
      | ( ( mem @ SV11 @ bool )
        = $false ) ) ),
    inference(extcnf_or_neg,[status(thm)],[123])).

thf(132,plain,(
    ! [SV11: $i] :
      ( ( ( ~ ! [SY45: $i] :
                ( ~ ( mem @ SY45 @ bool )
                | ( p @ SV11 )
                | ( p @ SY45 )
                | ( SV11 = SY45 ) ) )
        = $false )
      | ( ( mem @ SV11 @ bool )
        = $false ) ) ),
    inference(extcnf_or_neg,[status(thm)],[123])).

thf(133,plain,(
    ! [SV2: $i,SV19: $i] :
      ( ( ( ne @ SV19 )
        = $false )
      | ( ( ne @ ( arr @ SV2 @ SV19 ) )
        = $true )
      | ( ( ne @ SV2 )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[124])).

thf(134,plain,(
    ! [SV12: $i,SV16: $i,SV3: $i,SV21: $i] :
      ( ( ( ~ ( mem @ SV21 @ SV3 )
          | ( mem @ ( ap @ SV16 @ SV21 ) @ SV12 ) )
        = $true )
      | ( ( mem @ SV16 @ ( arr @ SV3 @ SV12 ) )
        = $false ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[125])).

thf(135,plain,(
    ! [SV8: $i,SV20: $i] :
      ( ( ( mem @ SV20 @ SV8 )
        = $false )
      | ( ( ~ ( ~ ! [SY53: $i] :
                    ( ~ ( mem @ SY53 @ SV8 )
                    | ( SV20 != SY53 )
                    | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SV20 ) @ SY53 ) ) )
              | ~ ! [SY54: $i] :
                    ( ~ ( mem @ SY54 @ SV8 )
                    | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SV20 ) @ SY54 ) )
                    | ( SV20 = SY54 ) ) ) )
        = $true )
      | ( ( ne @ SV8 )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[127])).

thf(136,plain,(
    ! [SV18: $i,SV15: $i,SV9: $i,SV22: $i] :
      ( ( ( ~ ( mem @ SV22 @ ( arr @ SV9 @ SV15 ) )
          | ~ ( ~ ( mem @ ( sK3_X @ SV22 @ SV18 @ SV15 @ SV9 ) @ SV9 )
              | ~ ( ( ( ap @ SV18 @ ( sK3_X @ SV22 @ SV18 @ SV15 @ SV9 ) )
                   != ( ap @ SV22 @ ( sK3_X @ SV22 @ SV18 @ SV15 @ SV9 ) ) ) ) )
          | ( SV18 = SV22 ) )
        = $true )
      | ( ( mem @ SV18 @ ( arr @ SV9 @ SV15 ) )
        = $false ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[128])).

thf(137,plain,(
    ! [SV10: $i] :
      ( ( ( ! [SY41: $i] :
              ( ~ ( mem @ SY41 @ ( arr @ SV10 @ bool ) )
              | ~ ( ~ ( mem @ ( sK2_X @ SY41 @ SV10 ) @ SV10 )
                  | ~ ~ ( p @ ( ap @ SY41 @ ( sK2_X @ SY41 @ SV10 ) ) ) )
              | ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SY41 ) ) ) )
        = $true )
      | ( ( ne @ SV10 )
        = $false ) ) ),
    inference(extcnf_not_neg,[status(thm)],[129])).

thf(138,plain,(
    ! [SV10: $i] :
      ( ( ( ! [SY42: $i] :
              ( ~ ( mem @ SY42 @ ( arr @ SV10 @ bool ) )
              | ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SY42 ) )
              | ! [SY43: $i] :
                  ( ~ ( mem @ SY43 @ SV10 )
                  | ( p @ ( ap @ SY42 @ SY43 ) ) ) ) )
        = $true )
      | ( ( ne @ SV10 )
        = $false ) ) ),
    inference(extcnf_not_neg,[status(thm)],[130])).

thf(139,plain,(
    ! [SV11: $i] :
      ( ( ( ! [SY44: $i] :
              ( ~ ( mem @ SY44 @ bool )
              | ~ ( p @ SV11 )
              | ~ ( p @ SY44 )
              | ( SV11 = SY44 ) ) )
        = $true )
      | ( ( mem @ SV11 @ bool )
        = $false ) ) ),
    inference(extcnf_not_neg,[status(thm)],[131])).

thf(140,plain,(
    ! [SV11: $i] :
      ( ( ( ! [SY45: $i] :
              ( ~ ( mem @ SY45 @ bool )
              | ( p @ SV11 )
              | ( p @ SY45 )
              | ( SV11 = SY45 ) ) )
        = $true )
      | ( ( mem @ SV11 @ bool )
        = $false ) ) ),
    inference(extcnf_not_neg,[status(thm)],[132])).

thf(141,plain,(
    ! [SV12: $i,SV16: $i,SV3: $i,SV21: $i] :
      ( ( ( ~ ( mem @ SV21 @ SV3 ) )
        = $true )
      | ( ( mem @ ( ap @ SV16 @ SV21 ) @ SV12 )
        = $true )
      | ( ( mem @ SV16 @ ( arr @ SV3 @ SV12 ) )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[134])).

thf(142,plain,(
    ! [SV20: $i,SV8: $i] :
      ( ( ( ~ ! [SY53: $i] :
                ( ~ ( mem @ SY53 @ SV8 )
                | ( SV20 != SY53 )
                | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SV20 ) @ SY53 ) ) )
          | ~ ! [SY54: $i] :
                ( ~ ( mem @ SY54 @ SV8 )
                | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SV20 ) @ SY54 ) )
                | ( SV20 = SY54 ) ) )
        = $false )
      | ( ( mem @ SV20 @ SV8 )
        = $false )
      | ( ( ne @ SV8 )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[135])).

thf(143,plain,(
    ! [SV18: $i,SV15: $i,SV9: $i,SV22: $i] :
      ( ( ( ~ ( mem @ SV22 @ ( arr @ SV9 @ SV15 ) ) )
        = $true )
      | ( ( ~ ( ~ ( mem @ ( sK3_X @ SV22 @ SV18 @ SV15 @ SV9 ) @ SV9 )
              | ~ ( ( ( ap @ SV18 @ ( sK3_X @ SV22 @ SV18 @ SV15 @ SV9 ) )
                   != ( ap @ SV22 @ ( sK3_X @ SV22 @ SV18 @ SV15 @ SV9 ) ) ) ) )
          | ( SV18 = SV22 ) )
        = $true )
      | ( ( mem @ SV18 @ ( arr @ SV9 @ SV15 ) )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[136])).

thf(144,plain,(
    ! [SV10: $i,SV23: $i] :
      ( ( ( ~ ( mem @ SV23 @ ( arr @ SV10 @ bool ) )
          | ~ ( ~ ( mem @ ( sK2_X @ SV23 @ SV10 ) @ SV10 )
              | ~ ~ ( p @ ( ap @ SV23 @ ( sK2_X @ SV23 @ SV10 ) ) ) )
          | ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SV23 ) ) )
        = $true )
      | ( ( ne @ SV10 )
        = $false ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[137])).

thf(145,plain,(
    ! [SV10: $i,SV24: $i] :
      ( ( ( ~ ( mem @ SV24 @ ( arr @ SV10 @ bool ) )
          | ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SV24 ) )
          | ! [SY55: $i] :
              ( ~ ( mem @ SY55 @ SV10 )
              | ( p @ ( ap @ SV24 @ SY55 ) ) ) )
        = $true )
      | ( ( ne @ SV10 )
        = $false ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[138])).

thf(146,plain,(
    ! [SV11: $i,SV25: $i] :
      ( ( ( ~ ( mem @ SV25 @ bool )
          | ~ ( p @ SV11 )
          | ~ ( p @ SV25 )
          | ( SV11 = SV25 ) )
        = $true )
      | ( ( mem @ SV11 @ bool )
        = $false ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[139])).

thf(147,plain,(
    ! [SV11: $i,SV26: $i] :
      ( ( ( ~ ( mem @ SV26 @ bool )
          | ( p @ SV11 )
          | ( p @ SV26 )
          | ( SV11 = SV26 ) )
        = $true )
      | ( ( mem @ SV11 @ bool )
        = $false ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[140])).

thf(148,plain,(
    ! [SV12: $i,SV16: $i,SV3: $i,SV21: $i] :
      ( ( ( mem @ SV21 @ SV3 )
        = $false )
      | ( ( mem @ ( ap @ SV16 @ SV21 ) @ SV12 )
        = $true )
      | ( ( mem @ SV16 @ ( arr @ SV3 @ SV12 ) )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[141])).

thf(149,plain,(
    ! [SV20: $i,SV8: $i] :
      ( ( ( ~ ! [SY53: $i] :
                ( ~ ( mem @ SY53 @ SV8 )
                | ( SV20 != SY53 )
                | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SV20 ) @ SY53 ) ) ) )
        = $false )
      | ( ( mem @ SV20 @ SV8 )
        = $false )
      | ( ( ne @ SV8 )
        = $false ) ) ),
    inference(extcnf_or_neg,[status(thm)],[142])).

thf(150,plain,(
    ! [SV20: $i,SV8: $i] :
      ( ( ( ~ ! [SY54: $i] :
                ( ~ ( mem @ SY54 @ SV8 )
                | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SV20 ) @ SY54 ) )
                | ( SV20 = SY54 ) ) )
        = $false )
      | ( ( mem @ SV20 @ SV8 )
        = $false )
      | ( ( ne @ SV8 )
        = $false ) ) ),
    inference(extcnf_or_neg,[status(thm)],[142])).

thf(151,plain,(
    ! [SV18: $i,SV15: $i,SV9: $i,SV22: $i] :
      ( ( ( mem @ SV22 @ ( arr @ SV9 @ SV15 ) )
        = $false )
      | ( ( ~ ( ~ ( mem @ ( sK3_X @ SV22 @ SV18 @ SV15 @ SV9 ) @ SV9 )
              | ~ ( ( ( ap @ SV18 @ ( sK3_X @ SV22 @ SV18 @ SV15 @ SV9 ) )
                   != ( ap @ SV22 @ ( sK3_X @ SV22 @ SV18 @ SV15 @ SV9 ) ) ) ) )
          | ( SV18 = SV22 ) )
        = $true )
      | ( ( mem @ SV18 @ ( arr @ SV9 @ SV15 ) )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[143])).

thf(152,plain,(
    ! [SV10: $i,SV23: $i] :
      ( ( ( ~ ( mem @ SV23 @ ( arr @ SV10 @ bool ) ) )
        = $true )
      | ( ( ~ ( ~ ( mem @ ( sK2_X @ SV23 @ SV10 ) @ SV10 )
              | ~ ~ ( p @ ( ap @ SV23 @ ( sK2_X @ SV23 @ SV10 ) ) ) )
          | ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SV23 ) ) )
        = $true )
      | ( ( ne @ SV10 )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[144])).

thf(153,plain,(
    ! [SV10: $i,SV24: $i] :
      ( ( ( ~ ( mem @ SV24 @ ( arr @ SV10 @ bool ) ) )
        = $true )
      | ( ( ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SV24 ) )
          | ! [SY55: $i] :
              ( ~ ( mem @ SY55 @ SV10 )
              | ( p @ ( ap @ SV24 @ SY55 ) ) ) )
        = $true )
      | ( ( ne @ SV10 )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[145])).

thf(154,plain,(
    ! [SV11: $i,SV25: $i] :
      ( ( ( ~ ( mem @ SV25 @ bool ) )
        = $true )
      | ( ( ~ ( p @ SV11 )
          | ~ ( p @ SV25 )
          | ( SV11 = SV25 ) )
        = $true )
      | ( ( mem @ SV11 @ bool )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[146])).

thf(155,plain,(
    ! [SV11: $i,SV26: $i] :
      ( ( ( ~ ( mem @ SV26 @ bool ) )
        = $true )
      | ( ( ( p @ SV11 )
          | ( p @ SV26 )
          | ( SV11 = SV26 ) )
        = $true )
      | ( ( mem @ SV11 @ bool )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[147])).

thf(156,plain,(
    ! [SV20: $i,SV8: $i] :
      ( ( ( ! [SY53: $i] :
              ( ~ ( mem @ SY53 @ SV8 )
              | ( SV20 != SY53 )
              | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SV20 ) @ SY53 ) ) ) )
        = $true )
      | ( ( mem @ SV20 @ SV8 )
        = $false )
      | ( ( ne @ SV8 )
        = $false ) ) ),
    inference(extcnf_not_neg,[status(thm)],[149])).

thf(157,plain,(
    ! [SV20: $i,SV8: $i] :
      ( ( ( ! [SY54: $i] :
              ( ~ ( mem @ SY54 @ SV8 )
              | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SV20 ) @ SY54 ) )
              | ( SV20 = SY54 ) ) )
        = $true )
      | ( ( mem @ SV20 @ SV8 )
        = $false )
      | ( ( ne @ SV8 )
        = $false ) ) ),
    inference(extcnf_not_neg,[status(thm)],[150])).

thf(158,plain,(
    ! [SV9: $i,SV15: $i,SV18: $i,SV22: $i] :
      ( ( ( ~ ( ~ ( mem @ ( sK3_X @ SV22 @ SV18 @ SV15 @ SV9 ) @ SV9 )
              | ~ ( ( ( ap @ SV18 @ ( sK3_X @ SV22 @ SV18 @ SV15 @ SV9 ) )
                   != ( ap @ SV22 @ ( sK3_X @ SV22 @ SV18 @ SV15 @ SV9 ) ) ) ) ) )
        = $true )
      | ( ( SV18 = SV22 )
        = $true )
      | ( ( mem @ SV22 @ ( arr @ SV9 @ SV15 ) )
        = $false )
      | ( ( mem @ SV18 @ ( arr @ SV9 @ SV15 ) )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[151])).

thf(159,plain,(
    ! [SV10: $i,SV23: $i] :
      ( ( ( mem @ SV23 @ ( arr @ SV10 @ bool ) )
        = $false )
      | ( ( ~ ( ~ ( mem @ ( sK2_X @ SV23 @ SV10 ) @ SV10 )
              | ~ ~ ( p @ ( ap @ SV23 @ ( sK2_X @ SV23 @ SV10 ) ) ) )
          | ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SV23 ) ) )
        = $true )
      | ( ( ne @ SV10 )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[152])).

thf(160,plain,(
    ! [SV10: $i,SV24: $i] :
      ( ( ( mem @ SV24 @ ( arr @ SV10 @ bool ) )
        = $false )
      | ( ( ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SV24 ) )
          | ! [SY55: $i] :
              ( ~ ( mem @ SY55 @ SV10 )
              | ( p @ ( ap @ SV24 @ SY55 ) ) ) )
        = $true )
      | ( ( ne @ SV10 )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[153])).

thf(161,plain,(
    ! [SV11: $i,SV25: $i] :
      ( ( ( mem @ SV25 @ bool )
        = $false )
      | ( ( ~ ( p @ SV11 )
          | ~ ( p @ SV25 )
          | ( SV11 = SV25 ) )
        = $true )
      | ( ( mem @ SV11 @ bool )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[154])).

thf(162,plain,(
    ! [SV11: $i,SV26: $i] :
      ( ( ( mem @ SV26 @ bool )
        = $false )
      | ( ( ( p @ SV11 )
          | ( p @ SV26 )
          | ( SV11 = SV26 ) )
        = $true )
      | ( ( mem @ SV11 @ bool )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[155])).

thf(163,plain,(
    ! [SV20: $i,SV8: $i,SV27: $i] :
      ( ( ( ~ ( mem @ SV27 @ SV8 )
          | ( SV20 != SV27 )
          | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SV20 ) @ SV27 ) ) )
        = $true )
      | ( ( mem @ SV20 @ SV8 )
        = $false )
      | ( ( ne @ SV8 )
        = $false ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[156])).

thf(164,plain,(
    ! [SV20: $i,SV8: $i,SV28: $i] :
      ( ( ( ~ ( mem @ SV28 @ SV8 )
          | ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SV20 ) @ SV28 ) )
          | ( SV20 = SV28 ) )
        = $true )
      | ( ( mem @ SV20 @ SV8 )
        = $false )
      | ( ( ne @ SV8 )
        = $false ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[157])).

thf(165,plain,(
    ! [SV9: $i,SV15: $i,SV18: $i,SV22: $i] :
      ( ( ( ~ ( mem @ ( sK3_X @ SV22 @ SV18 @ SV15 @ SV9 ) @ SV9 )
          | ~ ( ( ( ap @ SV18 @ ( sK3_X @ SV22 @ SV18 @ SV15 @ SV9 ) )
               != ( ap @ SV22 @ ( sK3_X @ SV22 @ SV18 @ SV15 @ SV9 ) ) ) ) )
        = $false )
      | ( ( SV18 = SV22 )
        = $true )
      | ( ( mem @ SV22 @ ( arr @ SV9 @ SV15 ) )
        = $false )
      | ( ( mem @ SV18 @ ( arr @ SV9 @ SV15 ) )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[158])).

thf(166,plain,(
    ! [SV10: $i,SV23: $i] :
      ( ( ( ~ ( ~ ( mem @ ( sK2_X @ SV23 @ SV10 ) @ SV10 )
              | ~ ~ ( p @ ( ap @ SV23 @ ( sK2_X @ SV23 @ SV10 ) ) ) ) )
        = $true )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SV23 ) )
        = $true )
      | ( ( mem @ SV23 @ ( arr @ SV10 @ bool ) )
        = $false )
      | ( ( ne @ SV10 )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[159])).

thf(167,plain,(
    ! [SV24: $i,SV10: $i] :
      ( ( ( ~ ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SV24 ) ) )
        = $true )
      | ( ( ! [SY55: $i] :
              ( ~ ( mem @ SY55 @ SV10 )
              | ( p @ ( ap @ SV24 @ SY55 ) ) ) )
        = $true )
      | ( ( mem @ SV24 @ ( arr @ SV10 @ bool ) )
        = $false )
      | ( ( ne @ SV10 )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[160])).

thf(168,plain,(
    ! [SV25: $i,SV11: $i] :
      ( ( ( ~ ( p @ SV11 )
          | ~ ( p @ SV25 ) )
        = $true )
      | ( ( SV11 = SV25 )
        = $true )
      | ( ( mem @ SV25 @ bool )
        = $false )
      | ( ( mem @ SV11 @ bool )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[161])).

thf(169,plain,(
    ! [SV26: $i,SV11: $i] :
      ( ( ( ( p @ SV11 )
          | ( p @ SV26 ) )
        = $true )
      | ( ( SV11 = SV26 )
        = $true )
      | ( ( mem @ SV26 @ bool )
        = $false )
      | ( ( mem @ SV11 @ bool )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[162])).

thf(170,plain,(
    ! [SV20: $i,SV8: $i,SV27: $i] :
      ( ( ( ~ ( mem @ SV27 @ SV8 ) )
        = $true )
      | ( ( ( SV20 != SV27 )
          | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SV20 ) @ SV27 ) ) )
        = $true )
      | ( ( mem @ SV20 @ SV8 )
        = $false )
      | ( ( ne @ SV8 )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[163])).

thf(171,plain,(
    ! [SV20: $i,SV8: $i,SV28: $i] :
      ( ( ( ~ ( mem @ SV28 @ SV8 ) )
        = $true )
      | ( ( ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SV20 ) @ SV28 ) )
          | ( SV20 = SV28 ) )
        = $true )
      | ( ( mem @ SV20 @ SV8 )
        = $false )
      | ( ( ne @ SV8 )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[164])).

thf(172,plain,(
    ! [SV9: $i,SV15: $i,SV18: $i,SV22: $i] :
      ( ( ( ~ ( mem @ ( sK3_X @ SV22 @ SV18 @ SV15 @ SV9 ) @ SV9 ) )
        = $false )
      | ( ( SV18 = SV22 )
        = $true )
      | ( ( mem @ SV22 @ ( arr @ SV9 @ SV15 ) )
        = $false )
      | ( ( mem @ SV18 @ ( arr @ SV9 @ SV15 ) )
        = $false ) ) ),
    inference(extcnf_or_neg,[status(thm)],[165])).

thf(173,plain,(
    ! [SV9: $i,SV15: $i,SV22: $i,SV18: $i] :
      ( ( ( ~ ( ( ( ap @ SV18 @ ( sK3_X @ SV22 @ SV18 @ SV15 @ SV9 ) )
               != ( ap @ SV22 @ ( sK3_X @ SV22 @ SV18 @ SV15 @ SV9 ) ) ) ) )
        = $false )
      | ( ( SV18 = SV22 )
        = $true )
      | ( ( mem @ SV22 @ ( arr @ SV9 @ SV15 ) )
        = $false )
      | ( ( mem @ SV18 @ ( arr @ SV9 @ SV15 ) )
        = $false ) ) ),
    inference(extcnf_or_neg,[status(thm)],[165])).

thf(174,plain,(
    ! [SV10: $i,SV23: $i] :
      ( ( ( ~ ( mem @ ( sK2_X @ SV23 @ SV10 ) @ SV10 )
          | ~ ~ ( p @ ( ap @ SV23 @ ( sK2_X @ SV23 @ SV10 ) ) ) )
        = $false )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SV23 ) )
        = $true )
      | ( ( mem @ SV23 @ ( arr @ SV10 @ bool ) )
        = $false )
      | ( ( ne @ SV10 )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[166])).

thf(175,plain,(
    ! [SV24: $i,SV10: $i] :
      ( ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SV24 ) )
        = $false )
      | ( ( ! [SY55: $i] :
              ( ~ ( mem @ SY55 @ SV10 )
              | ( p @ ( ap @ SV24 @ SY55 ) ) ) )
        = $true )
      | ( ( mem @ SV24 @ ( arr @ SV10 @ bool ) )
        = $false )
      | ( ( ne @ SV10 )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[167])).

thf(176,plain,(
    ! [SV25: $i,SV11: $i] :
      ( ( ( ~ ( p @ SV11 ) )
        = $true )
      | ( ( ~ ( p @ SV25 ) )
        = $true )
      | ( ( SV11 = SV25 )
        = $true )
      | ( ( mem @ SV25 @ bool )
        = $false )
      | ( ( mem @ SV11 @ bool )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[168])).

thf(177,plain,(
    ! [SV26: $i,SV11: $i] :
      ( ( ( p @ SV11 )
        = $true )
      | ( ( p @ SV26 )
        = $true )
      | ( ( SV11 = SV26 )
        = $true )
      | ( ( mem @ SV26 @ bool )
        = $false )
      | ( ( mem @ SV11 @ bool )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[169])).

thf(178,plain,(
    ! [SV20: $i,SV8: $i,SV27: $i] :
      ( ( ( mem @ SV27 @ SV8 )
        = $false )
      | ( ( ( SV20 != SV27 )
          | ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SV20 ) @ SV27 ) ) )
        = $true )
      | ( ( mem @ SV20 @ SV8 )
        = $false )
      | ( ( ne @ SV8 )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[170])).

thf(179,plain,(
    ! [SV20: $i,SV8: $i,SV28: $i] :
      ( ( ( mem @ SV28 @ SV8 )
        = $false )
      | ( ( ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SV20 ) @ SV28 ) )
          | ( SV20 = SV28 ) )
        = $true )
      | ( ( mem @ SV20 @ SV8 )
        = $false )
      | ( ( ne @ SV8 )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[171])).

thf(180,plain,(
    ! [SV9: $i,SV15: $i,SV18: $i,SV22: $i] :
      ( ( ( mem @ ( sK3_X @ SV22 @ SV18 @ SV15 @ SV9 ) @ SV9 )
        = $true )
      | ( ( SV18 = SV22 )
        = $true )
      | ( ( mem @ SV22 @ ( arr @ SV9 @ SV15 ) )
        = $false )
      | ( ( mem @ SV18 @ ( arr @ SV9 @ SV15 ) )
        = $false ) ) ),
    inference(extcnf_not_neg,[status(thm)],[172])).

thf(181,plain,(
    ! [SV9: $i,SV15: $i,SV22: $i,SV18: $i] :
      ( ( ( ( ap @ SV18 @ ( sK3_X @ SV22 @ SV18 @ SV15 @ SV9 ) )
         != ( ap @ SV22 @ ( sK3_X @ SV22 @ SV18 @ SV15 @ SV9 ) ) )
        = $true )
      | ( ( SV18 = SV22 )
        = $true )
      | ( ( mem @ SV22 @ ( arr @ SV9 @ SV15 ) )
        = $false )
      | ( ( mem @ SV18 @ ( arr @ SV9 @ SV15 ) )
        = $false ) ) ),
    inference(extcnf_not_neg,[status(thm)],[173])).

thf(182,plain,(
    ! [SV10: $i,SV23: $i] :
      ( ( ( ~ ( mem @ ( sK2_X @ SV23 @ SV10 ) @ SV10 ) )
        = $false )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SV23 ) )
        = $true )
      | ( ( mem @ SV23 @ ( arr @ SV10 @ bool ) )
        = $false )
      | ( ( ne @ SV10 )
        = $false ) ) ),
    inference(extcnf_or_neg,[status(thm)],[174])).

thf(183,plain,(
    ! [SV10: $i,SV23: $i] :
      ( ( ( ~ ~ ( p @ ( ap @ SV23 @ ( sK2_X @ SV23 @ SV10 ) ) ) )
        = $false )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SV23 ) )
        = $true )
      | ( ( mem @ SV23 @ ( arr @ SV10 @ bool ) )
        = $false )
      | ( ( ne @ SV10 )
        = $false ) ) ),
    inference(extcnf_or_neg,[status(thm)],[174])).

thf(184,plain,(
    ! [SV24: $i,SV10: $i,SV29: $i] :
      ( ( ( ~ ( mem @ SV29 @ SV10 )
          | ( p @ ( ap @ SV24 @ SV29 ) ) )
        = $true )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SV24 ) )
        = $false )
      | ( ( mem @ SV24 @ ( arr @ SV10 @ bool ) )
        = $false )
      | ( ( ne @ SV10 )
        = $false ) ) ),
    inference(extcnf_forall_pos,[status(thm)],[175])).

thf(185,plain,(
    ! [SV25: $i,SV11: $i] :
      ( ( ( p @ SV11 )
        = $false )
      | ( ( ~ ( p @ SV25 ) )
        = $true )
      | ( ( SV11 = SV25 )
        = $true )
      | ( ( mem @ SV25 @ bool )
        = $false )
      | ( ( mem @ SV11 @ bool )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[176])).

thf(186,plain,(
    ! [SV8: $i,SV27: $i,SV20: $i] :
      ( ( ( SV20 != SV27 )
        = $true )
      | ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SV20 ) @ SV27 ) )
        = $true )
      | ( ( mem @ SV27 @ SV8 )
        = $false )
      | ( ( mem @ SV20 @ SV8 )
        = $false )
      | ( ( ne @ SV8 )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[178])).

thf(187,plain,(
    ! [SV28: $i,SV20: $i,SV8: $i] :
      ( ( ( ~ ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SV20 ) @ SV28 ) ) )
        = $true )
      | ( ( SV20 = SV28 )
        = $true )
      | ( ( mem @ SV28 @ SV8 )
        = $false )
      | ( ( mem @ SV20 @ SV8 )
        = $false )
      | ( ( ne @ SV8 )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[179])).

thf(188,plain,(
    ! [SV9: $i,SV15: $i,SV22: $i,SV18: $i] :
      ( ( ( ( ap @ SV18 @ ( sK3_X @ SV22 @ SV18 @ SV15 @ SV9 ) )
          = ( ap @ SV22 @ ( sK3_X @ SV22 @ SV18 @ SV15 @ SV9 ) ) )
        = $false )
      | ( ( SV18 = SV22 )
        = $true )
      | ( ( mem @ SV22 @ ( arr @ SV9 @ SV15 ) )
        = $false )
      | ( ( mem @ SV18 @ ( arr @ SV9 @ SV15 ) )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[181])).

thf(189,plain,(
    ! [SV10: $i,SV23: $i] :
      ( ( ( mem @ ( sK2_X @ SV23 @ SV10 ) @ SV10 )
        = $true )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SV23 ) )
        = $true )
      | ( ( mem @ SV23 @ ( arr @ SV10 @ bool ) )
        = $false )
      | ( ( ne @ SV10 )
        = $false ) ) ),
    inference(extcnf_not_neg,[status(thm)],[182])).

thf(190,plain,(
    ! [SV10: $i,SV23: $i] :
      ( ( ( ~ ( p @ ( ap @ SV23 @ ( sK2_X @ SV23 @ SV10 ) ) ) )
        = $true )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SV23 ) )
        = $true )
      | ( ( mem @ SV23 @ ( arr @ SV10 @ bool ) )
        = $false )
      | ( ( ne @ SV10 )
        = $false ) ) ),
    inference(extcnf_not_neg,[status(thm)],[183])).

thf(191,plain,(
    ! [SV24: $i,SV10: $i,SV29: $i] :
      ( ( ( ~ ( mem @ SV29 @ SV10 ) )
        = $true )
      | ( ( p @ ( ap @ SV24 @ SV29 ) )
        = $true )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SV24 ) )
        = $false )
      | ( ( mem @ SV24 @ ( arr @ SV10 @ bool ) )
        = $false )
      | ( ( ne @ SV10 )
        = $false ) ) ),
    inference(extcnf_or_pos,[status(thm)],[184])).

thf(192,plain,(
    ! [SV11: $i,SV25: $i] :
      ( ( ( p @ SV25 )
        = $false )
      | ( ( p @ SV11 )
        = $false )
      | ( ( SV11 = SV25 )
        = $true )
      | ( ( mem @ SV25 @ bool )
        = $false )
      | ( ( mem @ SV11 @ bool )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[185])).

thf(193,plain,(
    ! [SV8: $i,SV27: $i,SV20: $i] :
      ( ( ( SV20 = SV27 )
        = $false )
      | ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SV20 ) @ SV27 ) )
        = $true )
      | ( ( mem @ SV27 @ SV8 )
        = $false )
      | ( ( mem @ SV20 @ SV8 )
        = $false )
      | ( ( ne @ SV8 )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[186])).

thf(194,plain,(
    ! [SV28: $i,SV20: $i,SV8: $i] :
      ( ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ SV8 ) @ SV20 ) @ SV28 ) )
        = $false )
      | ( ( SV20 = SV28 )
        = $true )
      | ( ( mem @ SV28 @ SV8 )
        = $false )
      | ( ( mem @ SV20 @ SV8 )
        = $false )
      | ( ( ne @ SV8 )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[187])).

thf(195,plain,(
    ! [SV10: $i,SV23: $i] :
      ( ( ( p @ ( ap @ SV23 @ ( sK2_X @ SV23 @ SV10 ) ) )
        = $false )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SV23 ) )
        = $true )
      | ( ( mem @ SV23 @ ( arr @ SV10 @ bool ) )
        = $false )
      | ( ( ne @ SV10 )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[190])).

thf(196,plain,(
    ! [SV24: $i,SV10: $i,SV29: $i] :
      ( ( ( mem @ SV29 @ SV10 )
        = $false )
      | ( ( p @ ( ap @ SV24 @ SV29 ) )
        = $true )
      | ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ SV10 ) @ SV24 ) )
        = $false )
      | ( ( mem @ SV24 @ ( arr @ SV10 @ bool ) )
        = $false )
      | ( ( ne @ SV10 )
        = $false ) ) ),
    inference(extcnf_not_pos,[status(thm)],[191])).

thf(197,plain,(
    $false = $true ),
    inference(fo_atp_e,[status(thm)],[58,196,195,194,193,192,189,188,180,177,148,133,126,119,111,110,105,89,76,75,74,73,72,71,70,59])).

thf(198,plain,(
    $false ),
    inference(solved_all_splits,[solved_all_splits(join,[])],[197])).
%------------------------------------------------------------------------------
