%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:36:49 EDT 2019

% Result     : Theorem 8.46s
% Output     : CNFRefutation 8.46s
% Verified   : 
% Statistics : Number of formulae       :   70 (  83 expanded)
%              Number of leaves         :   22 (  26 expanded)
%              Depth                    :   19
%              Number of atoms          :  588 ( 752 expanded)
%              Number of equality atoms :   59 (  79 expanded)
%              Maximal formula depth    :   13 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: tyop_2Enum_2Enum )).

thf(c_2Ebit_2EBIT_type,type,(
    c_2Ebit_2EBIT: tyop_2Enum_2Enum > tyop_2Enum_2Enum > $o )).

thf(c_2Earithmetic_2EBIT2_type,type,(
    c_2Earithmetic_2EBIT2: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Ebool_2ECOND_type,type,(
    c_2Ebool_2ECOND: 
      !>[TA: $tType] :
        ( $o > TA > TA > TA ) )).

thf(c_2Earithmetic_2EEXP_type,type,(
    c_2Earithmetic_2EEXP: tyop_2Enum_2Enum > tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Earithmetic_2ENUMERAL_type,type,(
    c_2Earithmetic_2ENUMERAL: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Ebit_2ESBIT_type,type,(
    c_2Ebit_2ESBIT: $o > tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Ebit_2ESLICE_type,type,(
    c_2Ebit_2ESLICE: tyop_2Enum_2Enum > tyop_2Enum_2Enum > tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Earithmetic_2EZERO_type,type,(
    c_2Earithmetic_2EZERO: tyop_2Enum_2Enum )).

thf(sk1_type,type,(
    sk1: tyop_2Enum_2Enum )).

thf(sk2_type,type,(
    sk2: tyop_2Enum_2Enum )).

thf(8,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
        = A )
      & ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
        = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CLAUSES)).

thf(37,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
        = A )
      & ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(39,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
      = A ) ),
    inference(cnf,[status(esa)],[37])).

thf(41,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B )
      = A ) ),
    inference(lifteq,[status(thm)],[39])).

thf(3,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
      = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(15,plain,(
    ! [TA: $tType] : c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(16,plain,(
    c_2Ebool_2ET ),
    inference(cnf,[status(esa)],[15])).

thf(70,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ $true @ A @ B )
      = A ) ),
    inference(rewrite,[status(thm)],[41,16])).

thf(1,conjecture,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Ebit_2EBIT @ A @ B )
      = ( ( c_2Ebit_2ESLICE @ A @ A @ B )
        = ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebit_2EBIT__SLICE__THM2)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( c_2Ebit_2EBIT @ A @ B )
        = ( ( c_2Ebit_2ESLICE @ A @ A @ B )
          = ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ A ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(12,plain,(
    ~ ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( c_2Ebit_2EBIT @ A @ B )
        = ( ( c_2Ebit_2ESLICE @ A @ A @ B )
          = ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(13,plain,(
    ( c_2Ebit_2EBIT @ sk1 @ sk2 )
 != ( ( c_2Ebit_2ESLICE @ sk1 @ sk1 @ sk2 )
    = ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1 ) ) ),
    inference(cnf,[status(esa)],[12])).

thf(14,plain,(
    ( c_2Ebit_2EBIT @ sk1 @ sk2 )
 != ( ( c_2Ebit_2ESLICE @ sk1 @ sk1 @ sk2 )
    = ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1 ) ) ),
    inference(lifteq,[status(thm)],[13])).

thf(60,plain,
    ( ~ ( c_2Ebit_2EBIT @ sk1 @ sk2 )
    | ( ( c_2Ebit_2ESLICE @ sk1 @ sk1 @ sk2 )
     != ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1 ) ) ),
    inference(bool_ext,[status(thm)],[14])).

thf(62,plain,
    ( ( ( c_2Ebit_2ESLICE @ sk1 @ sk1 @ sk2 )
     != ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1 ) )
    | ~ ( c_2Ebit_2EBIT @ sk1 @ sk2 ) ),
    inference(lifteq,[status(thm)],[60])).

thf(9,axiom,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Ebit_2ESBIT @ ( c_2Ebit_2EBIT @ A @ B ) @ A )
      = ( c_2Ebit_2ESLICE @ A @ A @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebit_2EBIT__SLICE__THM)).

thf(42,plain,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Ebit_2ESBIT @ ( c_2Ebit_2EBIT @ A @ B ) @ A )
      = ( c_2Ebit_2ESLICE @ A @ A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(43,plain,(
    ! [B: tyop_2Enum_2Enum,A: tyop_2Enum_2Enum] :
      ( ( c_2Ebit_2ESBIT @ ( c_2Ebit_2EBIT @ A @ B ) @ A )
      = ( c_2Ebit_2ESLICE @ A @ A @ B ) ) ),
    inference(cnf,[status(esa)],[42])).

thf(44,plain,(
    ! [B: tyop_2Enum_2Enum,A: tyop_2Enum_2Enum] :
      ( ( c_2Ebit_2ESLICE @ A @ A @ B )
      = ( c_2Ebit_2ESBIT @ ( c_2Ebit_2EBIT @ A @ B ) @ A ) ) ),
    inference(lifteq,[status(thm)],[43])).

thf(89,plain,
    ( ( ( c_2Ebit_2ESBIT @ ( c_2Ebit_2EBIT @ sk1 @ sk2 ) @ sk1 )
     != ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1 ) )
    | ~ ( c_2Ebit_2EBIT @ sk1 @ sk2 ) ),
    inference(rewrite,[status(thm)],[62,44])).

thf(61,plain,
    ( ( c_2Ebit_2EBIT @ sk1 @ sk2 )
    | ( ( c_2Ebit_2ESLICE @ sk1 @ sk1 @ sk2 )
      = ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1 ) ) ),
    inference(bool_ext,[status(thm)],[14])).

thf(63,plain,
    ( ( ( c_2Ebit_2ESLICE @ sk1 @ sk1 @ sk2 )
      = ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1 ) )
    | ( c_2Ebit_2EBIT @ sk1 @ sk2 ) ),
    inference(lifteq,[status(thm)],[61])).

thf(88,plain,
    ( ( ( c_2Ebit_2ESBIT @ ( c_2Ebit_2EBIT @ sk1 @ sk2 ) @ sk1 )
      = ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1 ) )
    | ( c_2Ebit_2EBIT @ sk1 @ sk2 ) ),
    inference(rewrite,[status(thm)],[63,44])).

thf(11,axiom,(
    ! [A: $o,B: tyop_2Enum_2Enum] :
      ( ( c_2Ebit_2ESBIT @ A @ B )
      = ( c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ A @ ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ B ) @ c_2Enum_2E0 ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebit_2ESBIT__def)).

thf(49,plain,(
    ! [A: $o,B: tyop_2Enum_2Enum] :
      ( ( c_2Ebit_2ESBIT @ A @ B )
      = ( c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ A @ ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ B ) @ c_2Enum_2E0 ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(51,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ebit_2ESBIT @ $false @ A )
      = ( c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $false @ ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ A ) @ c_2Enum_2E0 ) ) ),
    inference(instance,[status(thm)],[49])).

thf(53,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ebit_2ESBIT @ $false @ A )
      = ( c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $false @ ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ A ) @ c_2Enum_2E0 ) ) ),
    inference(cnf,[status(esa)],[51])).

thf(55,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ebit_2ESBIT @ $false @ A )
      = ( c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $false @ ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ A ) @ c_2Enum_2E0 ) ) ),
    inference(lifteq,[status(thm)],[53])).

thf(92,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ebit_2EBIT @ sk1 @ sk2 )
      | ( ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1 )
        = ( c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $false @ ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ A ) @ c_2Enum_2E0 ) )
      | ( ( c_2Ebit_2ESBIT @ ( c_2Ebit_2EBIT @ sk1 @ sk2 ) @ sk1 )
       != ( c_2Ebit_2ESBIT @ $false @ A ) ) ) ),
    inference(paramod_ordered,[status(thm)],[88,55])).

thf(96,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ebit_2EBIT @ sk1 @ sk2 )
      | ( ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1 )
        = ( c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $false @ ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ A ) @ c_2Enum_2E0 ) )
      | ( c_2Ebit_2EBIT @ sk1 @ sk2 )
      | ( sk1 != A ) ) ),
    inference(simp,[status(thm)],[92])).

thf(100,plain,
    ( ( c_2Ebit_2EBIT @ sk1 @ sk2 )
    | ( ( c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $false @ ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1 ) @ c_2Enum_2E0 )
      = ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1 ) ) ),
    inference(simp,[status(thm)],[96])).

thf(38,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
      = B ) ),
    inference(cnf,[status(esa)],[37])).

thf(40,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B )
      = B ) ),
    inference(lifteq,[status(thm)],[38])).

thf(5,axiom,(
    ! [A: $o] :
      ( c_2Ebool_2EF
     => A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFALSITY)).

thf(18,plain,(
    ! [A: $o] :
      ( c_2Ebool_2EF
     => A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(21,plain,
    ( c_2Ebool_2EF
   => $false ),
    inference(instance,[status(thm)],[18])).

thf(22,plain,(
    ~ c_2Ebool_2EF ),
    inference(simp,[status(thm)],[21])).

thf(69,plain,(
    ! [TA: $tType,B: TA,A: TA] :
      ( ( c_2Ebool_2ECOND @ TA @ $false @ A @ B )
      = B ) ),
    inference(rewrite,[status(thm)],[40,22])).

thf(122,plain,(
    ! [B: tyop_2Enum_2Enum,A: tyop_2Enum_2Enum] :
      ( ( c_2Ebit_2EBIT @ sk1 @ sk2 )
      | ( ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1 )
        = B )
      | ( ( c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $false @ ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1 ) @ c_2Enum_2E0 )
       != ( c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $false @ A @ B ) ) ) ),
    inference(paramod_ordered,[status(thm)],[100,69])).

thf(123,plain,
    ( ( c_2Ebit_2EBIT @ sk1 @ sk2 )
    | ( ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1 )
      = c_2Enum_2E0 ) ),
    inference(pattern_uni,[status(thm)],[122:[bind(A,$thf(c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1)),bind(B,$thf(c_2Enum_2E0))]])).

thf(10,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ A )
     != c_2Enum_2E0 ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebit_2ETWOEXP__NOT__ZERO)).

thf(45,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ A )
     != c_2Enum_2E0 ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(46,plain,(
    ~ ? [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ A )
        = c_2Enum_2E0 ) ),
    inference(miniscope,[status(thm)],[45])).

thf(47,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ A )
     != c_2Enum_2E0 ) ),
    inference(cnf,[status(esa)],[46])).

thf(48,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ A )
     != c_2Enum_2E0 ) ),
    inference(lifteq,[status(thm)],[47])).

thf(145,plain,(
    c_2Ebit_2EBIT @ sk1 @ sk2 ),
    inference(simplifyReflect,[status(thm)],[123,48])).

thf(146,plain,
    ( ( ( c_2Ebit_2ESBIT @ $true @ sk1 )
     != ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1 ) )
    | ~ $true ),
    inference(rewrite,[status(thm)],[89,145])).

thf(147,plain,(
    ( c_2Ebit_2ESBIT @ $true @ sk1 )
 != ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1 ) ),
    inference(simp,[status(thm)],[146])).

thf(50,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ebit_2ESBIT @ $true @ A )
      = ( c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $true @ ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ A ) @ c_2Enum_2E0 ) ) ),
    inference(instance,[status(thm)],[49])).

thf(52,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ebit_2ESBIT @ $true @ A )
      = ( c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $true @ ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ A ) @ c_2Enum_2E0 ) ) ),
    inference(cnf,[status(esa)],[50])).

thf(54,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ebit_2ESBIT @ $true @ A )
      = ( c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $true @ ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ A ) @ c_2Enum_2E0 ) ) ),
    inference(lifteq,[status(thm)],[52])).

thf(150,plain,(
    ( c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $true @ ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1 ) @ c_2Enum_2E0 )
 != ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1 ) ),
    inference(rewrite,[status(thm)],[147,54])).

thf(153,plain,(
    ! [B: tyop_2Enum_2Enum,A: tyop_2Enum_2Enum] :
      ( ( A
       != ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1 ) )
      | ( ( c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $true @ A @ B )
       != ( c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $true @ ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1 ) @ c_2Enum_2E0 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[70,150])).

thf(154,plain,(
    ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1 )
 != ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1 ) ),
    inference(pattern_uni,[status(thm)],[153:[bind(A,$thf(c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) @ sk1)),bind(B,$thf(c_2Enum_2E0))]])).

thf(158,plain,(
    $false ),
    inference(simp,[status(thm)],[154])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.06/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.13  % CPULimit   : 300
% 0.06/0.13  % DateTime   : Tue Jul 30 16:07:41 EDT 2019
% 0.06/0.13  % CPUTime    : 
% 3.12/1.38  % [INFO] 	 Running in sequential loop mode. 
% 3.78/1.56  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.94/1.62  % [INFO] 	 iprover registered as external prover. 
% 3.94/1.62  % [INFO] 	 e registered as external prover. 
% 3.94/1.63  % [INFO] 	 cvc4 registered as external prover. 
% 3.94/1.63  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.31/1.68  % [INFO] 	 Found a conjecture and 19 axioms. Running axiom selection ... 
% 4.46/1.73  % [INFO] 	 Axiom selection finished. Selected 9 axioms (removed 10 axioms). 
% 4.64/1.76  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 8.46/2.67  % [INFO] 	 Killing All external provers ... 
% 8.46/2.68  % Time passed: 2418ms
% 8.46/2.68  % Effective reasoning time: 1292ms
% 8.46/2.68  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 8.46/2.68  % Axioms used in derivation (6): thm_2Ebool_2EREFL__CLAUSE, thm_2Ebit_2ESBIT__def, thm_2Ebool_2EFALSITY, thm_2Ebit_2EBIT__SLICE__THM, thm_2Ebool_2ECOND__CLAUSES, thm_2Ebit_2ETWOEXP__NOT__ZERO
% 8.46/2.68  % No. of inferences in proof: 55
% 8.46/2.68  % No. of processed clauses: 10
% 8.46/2.68  % No. of generated clauses: 22
% 8.46/2.68  % No. of forward subsumed clauses: 8
% 8.46/2.68  % No. of backward subsumed clauses: 2
% 8.46/2.68  % No. of ground rewrite rules in store: 3
% 8.46/2.68  % No. of non-ground rewrite rules in store: 5
% 8.46/2.68  % No. of positive (non-rewrite) units in store: 0
% 8.46/2.68  % No. of negative (non-rewrite) units in store: 2
% 8.46/2.68  % No. of choice functions detected: 0
% 8.46/2.68  % No. of choice instantiations: 0
% 8.46/2.68  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2418 ms resp. 1292 ms w/o parsing
% 8.46/2.71  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 8.46/2.71  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 8.46/2.71  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 8.46/2.71  thf(c_2Enum_2E0_type, type, c_2Enum_2E0: tyop_2Enum_2Enum).
% 8.46/2.71  thf(c_2Ebit_2EBIT_type, type, c_2Ebit_2EBIT: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > $o))).
% 8.46/2.71  thf(c_2Earithmetic_2EBIT2_type, type, c_2Earithmetic_2EBIT2: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 8.46/2.71  thf(c_2Ebool_2ECOND_type, type, c_2Ebool_2ECOND: !>[TA: $tType]: ($o > (TA > (TA > TA)))).
% 8.46/2.71  thf(c_2Earithmetic_2EEXP_type, type, c_2Earithmetic_2EEXP: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > tyop_2Enum_2Enum))).
% 8.46/2.71  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 8.46/2.71  thf(c_2Earithmetic_2ENUMERAL_type, type, c_2Earithmetic_2ENUMERAL: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 8.46/2.71  thf(c_2Ebit_2ESBIT_type, type, c_2Ebit_2ESBIT: ($o > (tyop_2Enum_2Enum > tyop_2Enum_2Enum))).
% 8.46/2.71  thf(c_2Ebit_2ESLICE_type, type, c_2Ebit_2ESLICE: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > tyop_2Enum_2Enum)))).
% 8.46/2.71  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 8.46/2.71  thf(c_2Earithmetic_2EZERO_type, type, c_2Earithmetic_2EZERO: tyop_2Enum_2Enum).
% 8.46/2.71  thf(sk1_type, type, sk1: tyop_2Enum_2Enum).
% 8.46/2.71  thf(sk2_type, type, sk2: tyop_2Enum_2Enum).
% 8.46/2.71  thf(8,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A) & ((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CLAUSES)).
% 8.46/2.71  thf(37,plain,((! [TA: $tType]: (! [A:TA,B:TA]: (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A) & ((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 8.46/2.71  thf(39,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A))),inference(cnf,[status(esa)],[37])).
% 8.46/2.71  thf(41,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2ET @ A @ B) = A))),inference(lifteq,[status(thm)],[39])).
% 8.46/2.71  thf(3,axiom,((! [TA: $tType]: (! [A:TA]: ((A = A) = c_2Ebool_2ET)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).
% 8.46/2.71  thf(15,plain,((! [TA: $tType]: (c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 8.46/2.71  thf(16,plain,(c_2Ebool_2ET),inference(cnf,[status(esa)],[15])).
% 8.46/2.71  thf(70,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ $true @ A @ B) = A))),inference(rewrite,[status(thm)],[41,16])).
% 8.46/2.71  thf(1,conjecture,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Ebit_2EBIT @ A @ B) = ((c_2Ebit_2ESLICE @ A @ A @ B) = (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebit_2EBIT__SLICE__THM2)).
% 8.46/2.71  thf(2,negated_conjecture,((~ (! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Ebit_2EBIT @ A @ B) = ((c_2Ebit_2ESLICE @ A @ A @ B) = (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ A)))))),inference(neg_conjecture,[status(cth)],[1])).
% 8.46/2.71  thf(12,plain,((~ (! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Ebit_2EBIT @ A @ B) = ((c_2Ebit_2ESLICE @ A @ A @ B) = (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 8.46/2.71  thf(13,plain,((~ ((c_2Ebit_2EBIT @ sk1 @ sk2) = ((c_2Ebit_2ESLICE @ sk1 @ sk1 @ sk2) = (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1))))),inference(cnf,[status(esa)],[12])).
% 8.46/2.71  thf(14,plain,(((c_2Ebit_2EBIT @ sk1 @ sk2) != ((c_2Ebit_2ESLICE @ sk1 @ sk1 @ sk2) = (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1)))),inference(lifteq,[status(thm)],[13])).
% 8.46/2.71  thf(60,plain,((~ (c_2Ebit_2EBIT @ sk1 @ sk2)) | (~ ((c_2Ebit_2ESLICE @ sk1 @ sk1 @ sk2) = (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1)))),inference(bool_ext,[status(thm)],[14])).
% 8.46/2.71  thf(62,plain,(((c_2Ebit_2ESLICE @ sk1 @ sk1 @ sk2) != (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1)) | (~ (c_2Ebit_2EBIT @ sk1 @ sk2))),inference(lifteq,[status(thm)],[60])).
% 8.46/2.71  thf(9,axiom,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Ebit_2ESBIT @ (c_2Ebit_2EBIT @ A @ B) @ A) = (c_2Ebit_2ESLICE @ A @ A @ B)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebit_2EBIT__SLICE__THM)).
% 8.46/2.71  thf(42,plain,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Ebit_2ESBIT @ (c_2Ebit_2EBIT @ A @ B) @ A) = (c_2Ebit_2ESLICE @ A @ A @ B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 8.46/2.71  thf(43,plain,(! [B:tyop_2Enum_2Enum,A:tyop_2Enum_2Enum] : (((c_2Ebit_2ESBIT @ (c_2Ebit_2EBIT @ A @ B) @ A) = (c_2Ebit_2ESLICE @ A @ A @ B)))),inference(cnf,[status(esa)],[42])).
% 8.46/2.71  thf(44,plain,(! [B:tyop_2Enum_2Enum,A:tyop_2Enum_2Enum] : (((c_2Ebit_2ESLICE @ A @ A @ B) = (c_2Ebit_2ESBIT @ (c_2Ebit_2EBIT @ A @ B) @ A)))),inference(lifteq,[status(thm)],[43])).
% 8.46/2.71  thf(89,plain,(((c_2Ebit_2ESBIT @ (c_2Ebit_2EBIT @ sk1 @ sk2) @ sk1) != (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1)) | (~ (c_2Ebit_2EBIT @ sk1 @ sk2))),inference(rewrite,[status(thm)],[62,44])).
% 8.46/2.71  thf(61,plain,((c_2Ebit_2EBIT @ sk1 @ sk2) | ((c_2Ebit_2ESLICE @ sk1 @ sk1 @ sk2) = (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1))),inference(bool_ext,[status(thm)],[14])).
% 8.46/2.71  thf(63,plain,(((c_2Ebit_2ESLICE @ sk1 @ sk1 @ sk2) = (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1)) | (c_2Ebit_2EBIT @ sk1 @ sk2)),inference(lifteq,[status(thm)],[61])).
% 8.46/2.71  thf(88,plain,(((c_2Ebit_2ESBIT @ (c_2Ebit_2EBIT @ sk1 @ sk2) @ sk1) = (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1)) | (c_2Ebit_2EBIT @ sk1 @ sk2)),inference(rewrite,[status(thm)],[63,44])).
% 8.46/2.71  thf(11,axiom,((! [A:$o,B:tyop_2Enum_2Enum]: ((c_2Ebit_2ESBIT @ A @ B) = (c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ A @ (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ B) @ c_2Enum_2E0)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebit_2ESBIT__def)).
% 8.46/2.71  thf(49,plain,((! [A:$o,B:tyop_2Enum_2Enum]: ((c_2Ebit_2ESBIT @ A @ B) = (c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ A @ (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ B) @ c_2Enum_2E0)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 8.46/2.71  thf(51,plain,((! [A:tyop_2Enum_2Enum]: ((c_2Ebit_2ESBIT @ $false @ A) = (c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $false @ (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ A) @ c_2Enum_2E0)))),inference(instance,[status(thm)],[49])).
% 8.46/2.71  thf(53,plain,(! [A:tyop_2Enum_2Enum] : (((c_2Ebit_2ESBIT @ $false @ A) = (c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $false @ (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ A) @ c_2Enum_2E0)))),inference(cnf,[status(esa)],[51])).
% 8.46/2.71  thf(55,plain,(! [A:tyop_2Enum_2Enum] : (((c_2Ebit_2ESBIT @ $false @ A) = (c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $false @ (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ A) @ c_2Enum_2E0)))),inference(lifteq,[status(thm)],[53])).
% 8.46/2.71  thf(92,plain,(! [A:tyop_2Enum_2Enum] : ((c_2Ebit_2EBIT @ sk1 @ sk2) | ((c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1) = (c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $false @ (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ A) @ c_2Enum_2E0)) | ((c_2Ebit_2ESBIT @ (c_2Ebit_2EBIT @ sk1 @ sk2) @ sk1) != (c_2Ebit_2ESBIT @ $false @ A)))),inference(paramod_ordered,[status(thm)],[88,55])).
% 8.46/2.71  thf(96,plain,(! [A:tyop_2Enum_2Enum] : ((c_2Ebit_2EBIT @ sk1 @ sk2) | ((c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1) = (c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $false @ (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ A) @ c_2Enum_2E0)) | (c_2Ebit_2EBIT @ sk1 @ sk2) | (sk1 != A))),inference(simp,[status(thm)],[92])).
% 8.46/2.71  thf(100,plain,((c_2Ebit_2EBIT @ sk1 @ sk2) | ((c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $false @ (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1) @ c_2Enum_2E0) = (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1))),inference(simp,[status(thm)],[96])).
% 8.46/2.71  thf(38,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))),inference(cnf,[status(esa)],[37])).
% 8.46/2.71  thf(40,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ c_2Ebool_2EF @ A @ B) = B))),inference(lifteq,[status(thm)],[38])).
% 8.46/2.71  thf(5,axiom,((! [A:$o]: ((c_2Ebool_2EF) => (A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFALSITY)).
% 8.46/2.71  thf(18,plain,((! [A:$o]: ((c_2Ebool_2EF) => (A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 8.46/2.71  thf(21,plain,(((c_2Ebool_2EF) => ($false))),inference(instance,[status(thm)],[18])).
% 8.46/2.71  thf(22,plain,(~ (c_2Ebool_2EF)),inference(simp,[status(thm)],[21])).
% 8.46/2.71  thf(69,plain,(! [TA:$tType,B:TA,A:TA] : (((c_2Ebool_2ECOND @ TA @ $false @ A @ B) = B))),inference(rewrite,[status(thm)],[40,22])).
% 8.46/2.71  thf(122,plain,(! [B:tyop_2Enum_2Enum,A:tyop_2Enum_2Enum] : ((c_2Ebit_2EBIT @ sk1 @ sk2) | ((c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1) = B) | ((c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $false @ (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1) @ c_2Enum_2E0) != (c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $false @ A @ B)))),inference(paramod_ordered,[status(thm)],[100,69])).
% 8.46/2.71  thf(123,plain,((c_2Ebit_2EBIT @ sk1 @ sk2) | ((c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1) = c_2Enum_2E0)),inference(pattern_uni,[status(thm)],[122:[bind(A, $thf(c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1)),bind(B, $thf(c_2Enum_2E0))]])).
% 8.46/2.71  thf(10,axiom,((! [A:tyop_2Enum_2Enum]: ~ ((c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ A) = c_2Enum_2E0))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebit_2ETWOEXP__NOT__ZERO)).
% 8.46/2.71  thf(45,plain,((! [A:tyop_2Enum_2Enum]: ~ ((c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ A) = c_2Enum_2E0))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 8.46/2.71  thf(46,plain,((~ (? [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ A) = c_2Enum_2E0)))),inference(miniscope,[status(thm)],[45])).
% 8.46/2.71  thf(47,plain,(! [A:tyop_2Enum_2Enum] : ((~ ((c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ A) = c_2Enum_2E0)))),inference(cnf,[status(esa)],[46])).
% 8.46/2.71  thf(48,plain,(! [A:tyop_2Enum_2Enum] : (((c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ A) != c_2Enum_2E0))),inference(lifteq,[status(thm)],[47])).
% 8.46/2.71  thf(145,plain,((c_2Ebit_2EBIT @ sk1 @ sk2)),inference(simplifyReflect,[status(thm)],[123,48])).
% 8.46/2.71  thf(146,plain,(((c_2Ebit_2ESBIT @ $true @ sk1) != (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1)) | ~ ($true)),inference(rewrite,[status(thm)],[89,145])).
% 8.46/2.71  thf(147,plain,(((c_2Ebit_2ESBIT @ $true @ sk1) != (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1))),inference(simp,[status(thm)],[146])).
% 8.46/2.71  thf(50,plain,((! [A:tyop_2Enum_2Enum]: ((c_2Ebit_2ESBIT @ $true @ A) = (c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $true @ (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ A) @ c_2Enum_2E0)))),inference(instance,[status(thm)],[49])).
% 8.46/2.71  thf(52,plain,(! [A:tyop_2Enum_2Enum] : (((c_2Ebit_2ESBIT @ $true @ A) = (c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $true @ (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ A) @ c_2Enum_2E0)))),inference(cnf,[status(esa)],[50])).
% 8.46/2.71  thf(54,plain,(! [A:tyop_2Enum_2Enum] : (((c_2Ebit_2ESBIT @ $true @ A) = (c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $true @ (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ A) @ c_2Enum_2E0)))),inference(lifteq,[status(thm)],[52])).
% 8.46/2.71  thf(150,plain,(((c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $true @ (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1) @ c_2Enum_2E0) != (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1))),inference(rewrite,[status(thm)],[147,54])).
% 8.46/2.71  thf(153,plain,(! [B:tyop_2Enum_2Enum,A:tyop_2Enum_2Enum] : ((A != (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1)) | ((c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $true @ A @ B) != (c_2Ebool_2ECOND @ tyop_2Enum_2Enum @ $true @ (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1) @ c_2Enum_2E0)))),inference(paramod_ordered,[status(thm)],[70,150])).
% 8.46/2.71  thf(154,plain,(((c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1) != (c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1))),inference(pattern_uni,[status(thm)],[153:[bind(A, $thf(c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)) @ sk1)),bind(B, $thf(c_2Enum_2E0))]])).
% 8.46/2.71  thf(158,plain,($false),inference(simp,[status(thm)],[154])).
% 8.46/2.71  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 8.46/2.71  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
