%------------------------------------------------------------------------------
thf(ne_type,type,(
    ne: $i > $o )).

thf(mem_type,type,(
    mem: $i > $i > $o )).

thf(c_2Epred__set_2EEMPTY_type,type,(
    c_2Epred__set_2EEMPTY: $i > $i )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(arr_type,type,(
    arr: $i > $i > $i )).

thf(bool_type,type,(
    bool: $i )).

thf(k_type,type,(
    k: $i > $i > $i )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $i )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: $i > $i )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $i )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: $i > $i )).

thf(i_type,type,(
    i: $i > $i )).

thf(ind_type,type,(
    ind: $i )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $i )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $i )).

thf(7,axiom,(
    ! [A: $i,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',kbeta)).

thf(42,plain,(
    ! [A: $i,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(6,axiom,(
    ! [A: $i,B: $i,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',funcext)).

thf(37,plain,(
    ! [A: $i,B: $i,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(9,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(46,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(1,conjecture,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( mem @ B @ A )
         => ( ( p @ ( ap @ ( c_2Epred__set_2EEMPTY @ A ) @ B ) )
          <=> $false ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Epred__set_2EEMPTY__applied)).

thf(2,negated_conjecture,(
    ~ ! [A: $i] :
        ( ( ne @ A )
       => ! [B: $i] :
            ( ( mem @ B @ A )
           => ( ( p @ ( ap @ ( c_2Epred__set_2EEMPTY @ A ) @ B ) )
            <=> $false ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(29,plain,(
    ~ ! [A: $i] :
        ( ( ne @ A )
       => ! [B: $i] :
            ( ( mem @ B @ A )
           => ~ ( p @ ( ap @ ( c_2Epred__set_2EEMPTY @ A ) @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(25,axiom,
    ( ! [A: $i] :
        ( ( mem @ A @ bool )
       => ( ~ ~ ( p @ A )
        <=> ( p @ A ) ) )
    & ( ~ $true
    <=> $false )
    & ( ~ $false
    <=> $true ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2ENOT__CLAUSES)).

thf(84,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(26,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ A )
            <=> ( p @ B ) )
           => ( A = B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',boolext)).

thf(85,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( ( p @ A )
               => ( p @ B ) )
              & ( ( p @ B )
               => ( p @ A ) ) )
           => ( A = B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(19,axiom,(
    ne @ bool ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',bool_ne)).

thf(70,plain,(
    ne @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(3,axiom,(
    $true ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2ETRUTH)).

thf(33,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(12,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(53,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(23,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( mem @ B @ A )
         => ! [C: $i] :
              ( ( mem @ C @ A )
             => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
              <=> ( B = C ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_eq_p)).

thf(77,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( mem @ B @ A )
         => ! [C: $i] :
              ( ( mem @ C @ A )
             => ( ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
                 => ( B = C ) )
                & ( ( B = C )
                 => ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(21,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( ne @ B )
         => ! [C: $i] :
              ( ( mem @ C @ A )
             => ! [D: $i] :
                  ( ( mem @ D @ B )
                 => ( ( ap @ ( k @ B @ C ) @ D )
                    = C ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2EABS__SIMP)).

thf(73,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( ne @ B )
         => ! [C: $i] :
              ( ( mem @ C @ A )
             => ! [D: $i] :
                  ( ( mem @ D @ B )
                 => ( ( ap @ ( k @ B @ C ) @ D )
                    = C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(4,axiom,(
    ! [A: $i,B: $i,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ap_tp)).

thf(34,plain,(
    ! [A: $i,B: $i,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(8,axiom,(
    p @ c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_true_p)).

thf(45,plain,(
    p @ c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(17,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ( mem @ ( c_2Epred__set_2EEMPTY @ A ) @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Epred__set_2EEMPTY)).

thf(64,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ( mem @ ( c_2Epred__set_2EEMPTY @ A ) @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(20,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( ne @ B )
         => ( ne @ ( arr @ A @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',arr_ne)).

thf(71,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( ne @ B )
         => ( ne @ ( arr @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(22,axiom,(
    mem @ c_2Ebool_2EF @ bool ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2EF)).

thf(76,plain,(
    mem @ c_2Ebool_2EF @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(18,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
          <=> ( ( p @ A )
              & ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_and_p)).

thf(66,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
             => ( ( p @ A )
                & ( p @ B ) ) )
            & ( ( ( p @ A )
                & ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(10,axiom,(
    ~ ( p @ c_2Ebool_2EF ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_false_p)).

thf(48,plain,(
    ~ ( p @ c_2Ebool_2EF ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(16,axiom,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_7E)).

thf(63,plain,(
    mem @ c_2Ebool_2E_7E @ ( arr @ bool @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(28,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( ( p @ ( ap @ c_2Ebool_2E_7E @ A ) )
      <=> ~ ( p @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_neg_p)).

thf(95,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( ( ( p @ ( ap @ c_2Ebool_2E_7E @ A ) )
         => ~ ( p @ A ) )
        & ( ~ ( p @ A )
         => ( p @ ( ap @ c_2Ebool_2E_7E @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(11,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ( ( c_2Epred__set_2EEMPTY @ A )
        = ( k @ A @ c_2Ebool_2EF ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_thm_2Epred__set_2EEMPTY__DEF)).

thf(50,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ( ( c_2Epred__set_2EEMPTY @ A )
        = ( k @ A @ c_2Ebool_2EF ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(13,axiom,(
    ! [A: $i,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ibeta)).

thf(55,plain,(
    ! [A: $i,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(14,axiom,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( mem @ B @ ( arr @ A @ bool ) )
         => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
          <=> ! [C: $i] :
                ( ( mem @ C @ A )
               => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_all_p)).

thf(58,plain,(
    ! [A: $i] :
      ( ( ne @ A )
     => ! [B: $i] :
          ( ( mem @ B @ ( arr @ A @ bool ) )
         => ( ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
             => ! [C: $i] :
                  ( ( mem @ C @ A )
                 => ( p @ ( ap @ B @ C ) ) ) )
            & ( ! [C: $i] :
                  ( ( mem @ C @ A )
                 => ( p @ ( ap @ B @ C ) ) )
             => ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(5,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( ( ( $true
          <=> ( p @ A ) )
        <=> ( p @ A ) )
        & ( ( ( p @ A )
          <=> $true )
        <=> ( p @ A ) )
        & ( ( $false
          <=> ( p @ A ) )
        <=> ~ ( p @ A ) )
        & ( ( ( p @ A )
          <=> $false )
        <=> ~ ( p @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2EEQ__CLAUSES)).

thf(36,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(27,axiom,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_2F_5C)).

thf(94,plain,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(15,axiom,(
    ne @ ind ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ind_ne)).

thf(62,plain,(
    ne @ ind ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(24,axiom,(
    mem @ c_2Ebool_2ET @ bool ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2ET)).

thf(83,plain,(
    mem @ c_2Ebool_2ET @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(98,plain,(
    $false ),
    inference(cvc4,[status(thm)],[42,37,46,29,84,85,70,33,53,77,73,34,45,64,71,76,66,48,63,95,50,55,58,36,94,62,83])).
%------------------------------------------------------------------------------
