%------------------------------------------------------------------------------
thf(ty_u,type,(
    u: $tType )).

thf(ty_d,type,(
    d: $tType )).

thf(ty_du,type,(
    du: $tType )).

thf(ty_tyop_2Elist_2Elist,type,(
    tyop_2Elist_2Elist: d > d )).

thf(ty_eigen__2,type,(
    eigen__2: u )).

thf(ty_s,type,(
    s: d > u > du )).

thf(ty_tyop_2Emin_2Ebool,type,(
    tyop_2Emin_2Ebool: d )).

thf(ty_eigen__1,type,(
    eigen__1: d )).

thf(ty_eigen__0,type,(
    eigen__0: d )).

thf(ty_eigen__4,type,(
    eigen__4: u )).

thf(ty_c_2Elist_2ENULL_2E1,type,(
    c_2Elist_2ENULL_2E1: du > u )).

thf(ty_app_2E2,type,(
    app_2E2: du > du > u )).

thf(ty_eigen__3,type,(
    eigen__3: u )).

thf(ty_tyop_2Emin_2Efun,type,(
    tyop_2Emin_2Efun: d > d > d )).

thf(ty_c_2Elist_2ETL_2E1,type,(
    c_2Elist_2ETL_2E1: du > u )).

thf(ty_c_2Ebool_2ECOND_2E3,type,(
    c_2Ebool_2ECOND_2E3: du > du > du > u )).

thf(ty_c_2Elist_2EHD_2E1,type,(
    c_2Elist_2EHD_2E1: du > u )).

thf(ty_c_2Elist_2Elist__CASE_2E3,type,(
    c_2Elist_2Elist__CASE_2E3: du > du > du > u )).

thf(sP1,plain,
    ( sP1
  <=> ! [X1: d,X2: d,X3: u,X4: u,X5: u] :
        ( ( s @ X2 @ ( c_2Elist_2Elist__CASE_2E3 @ ( s @ ( tyop_2Elist_2Elist @ X1 ) @ X5 ) @ ( s @ X2 @ X4 ) @ ( s @ ( tyop_2Emin_2Efun @ X1 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ X1 ) @ X2 ) ) @ X3 ) ) )
        = ( s @ X2 @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( c_2Elist_2ENULL_2E1 @ ( s @ ( tyop_2Elist_2Elist @ X1 ) @ X5 ) ) ) @ ( s @ X2 @ X4 ) @ ( s @ X2 @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ X1 ) @ X2 ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ X1 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ X1 ) @ X2 ) ) @ X3 ) @ ( s @ X1 @ ( c_2Elist_2EHD_2E1 @ ( s @ ( tyop_2Elist_2Elist @ X1 ) @ X5 ) ) ) ) ) @ ( s @ ( tyop_2Elist_2Elist @ X1 ) @ ( c_2Elist_2ETL_2E1 @ ( s @ tyop_2Elist_2Elist @ X1 ) @ X5 ) ) ) ) ) ) ) ),
    introduced(definition,[new_symbols(definition,[sP1])])).

thf(sP2,plain,
    ( sP2
  <=> ! [X1: u,X2: u,X3: u] :
        ( ( s @ eigen__1 @ ( c_2Elist_2Elist__CASE_2E3 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X3 ) @ ( s @ eigen__1 @ X2 ) @ ( s @ ( tyop_2Emin_2Efun @ eigen__0 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__1 ) ) @ X1 ) ) )
        = ( s @ eigen__1 @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( c_2Elist_2ENULL_2E1 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X3 ) ) ) @ ( s @ eigen__1 @ X2 ) @ ( s @ eigen__1 @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__1 ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ eigen__0 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__1 ) ) @ X1 ) @ ( s @ eigen__0 @ ( c_2Elist_2EHD_2E1 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X3 ) ) ) ) ) @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ ( c_2Elist_2ETL_2E1 @ ( s @ tyop_2Elist_2Elist @ eigen__0 ) @ X3 ) ) ) ) ) ) ) ),
    introduced(definition,[new_symbols(definition,[sP2])])).

thf(sP3,plain,
    ( sP3
  <=> ! [X1: u,X2: u] :
        ( ( s @ eigen__1 @ ( c_2Elist_2Elist__CASE_2E3 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X2 ) @ ( s @ eigen__1 @ X1 ) @ ( s @ ( tyop_2Emin_2Efun @ eigen__0 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__1 ) ) @ eigen__4 ) ) )
        = ( s @ eigen__1 @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( c_2Elist_2ENULL_2E1 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X2 ) ) ) @ ( s @ eigen__1 @ X1 ) @ ( s @ eigen__1 @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__1 ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ eigen__0 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__1 ) ) @ eigen__4 ) @ ( s @ eigen__0 @ ( c_2Elist_2EHD_2E1 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X2 ) ) ) ) ) @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ ( c_2Elist_2ETL_2E1 @ ( s @ tyop_2Elist_2Elist @ eigen__0 ) @ X2 ) ) ) ) ) ) ) ),
    introduced(definition,[new_symbols(definition,[sP3])])).

thf(sP4,plain,
    ( sP4
  <=> ! [X1: u] :
        ( ( s @ eigen__1 @ ( c_2Elist_2Elist__CASE_2E3 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X1 ) @ ( s @ eigen__1 @ eigen__3 ) @ ( s @ ( tyop_2Emin_2Efun @ eigen__0 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__1 ) ) @ eigen__4 ) ) )
        = ( s @ eigen__1 @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( c_2Elist_2ENULL_2E1 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X1 ) ) ) @ ( s @ eigen__1 @ eigen__3 ) @ ( s @ eigen__1 @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__1 ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ eigen__0 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__1 ) ) @ eigen__4 ) @ ( s @ eigen__0 @ ( c_2Elist_2EHD_2E1 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X1 ) ) ) ) ) @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ ( c_2Elist_2ETL_2E1 @ ( s @ tyop_2Elist_2Elist @ eigen__0 ) @ X1 ) ) ) ) ) ) ) ),
    introduced(definition,[new_symbols(definition,[sP4])])).

thf(sP5,plain,
    ( sP5
  <=> ! [X1: d,X2: u,X3: u,X4: u] :
        ( ( s @ X1 @ ( c_2Elist_2Elist__CASE_2E3 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X4 ) @ ( s @ X1 @ X3 ) @ ( s @ ( tyop_2Emin_2Efun @ eigen__0 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X1 ) ) @ X2 ) ) )
        = ( s @ X1 @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( c_2Elist_2ENULL_2E1 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X4 ) ) ) @ ( s @ X1 @ X3 ) @ ( s @ X1 @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X1 ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ eigen__0 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X1 ) ) @ X2 ) @ ( s @ eigen__0 @ ( c_2Elist_2EHD_2E1 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X4 ) ) ) ) ) @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ ( c_2Elist_2ETL_2E1 @ ( s @ tyop_2Elist_2Elist @ eigen__0 ) @ X4 ) ) ) ) ) ) ) ),
    introduced(definition,[new_symbols(definition,[sP5])])).

thf(sP6,plain,
    ( sP6
  <=> ( ( s @ eigen__1 @ ( c_2Elist_2Elist__CASE_2E3 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__2 ) @ ( s @ eigen__1 @ eigen__3 ) @ ( s @ ( tyop_2Emin_2Efun @ eigen__0 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__1 ) ) @ eigen__4 ) ) )
      = ( s @ eigen__1 @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( c_2Elist_2ENULL_2E1 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__2 ) ) ) @ ( s @ eigen__1 @ eigen__3 ) @ ( s @ eigen__1 @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__1 ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ eigen__0 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__1 ) ) @ eigen__4 ) @ ( s @ eigen__0 @ ( c_2Elist_2EHD_2E1 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__2 ) ) ) ) ) @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ ( c_2Elist_2ETL_2E1 @ ( s @ tyop_2Elist_2Elist @ eigen__0 ) @ eigen__2 ) ) ) ) ) ) ) ),
    introduced(definition,[new_symbols(definition,[sP6])])).

thf(thm_2Elist_2Elazy__list__case__compute,conjecture,(
    ! [X1: d,X2: d,X3: u,X4: u,X5: u] :
      ( ( s @ X2 @ ( c_2Elist_2Elist__CASE_2E3 @ ( s @ ( tyop_2Elist_2Elist @ X1 ) @ X3 ) @ ( s @ X2 @ X4 ) @ ( s @ ( tyop_2Emin_2Efun @ X1 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ X1 ) @ X2 ) ) @ X5 ) ) )
      = ( s @ X2 @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( c_2Elist_2ENULL_2E1 @ ( s @ ( tyop_2Elist_2Elist @ X1 ) @ X3 ) ) ) @ ( s @ X2 @ X4 ) @ ( s @ X2 @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ X1 ) @ X2 ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ X1 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ X1 ) @ X2 ) ) @ X5 ) @ ( s @ X1 @ ( c_2Elist_2EHD_2E1 @ ( s @ ( tyop_2Elist_2Elist @ X1 ) @ X3 ) ) ) ) ) @ ( s @ ( tyop_2Elist_2Elist @ X1 ) @ ( c_2Elist_2ETL_2E1 @ ( s @ ( tyop_2Elist_2Elist @ X1 ) @ X3 ) ) ) ) ) ) ) ) )).

thf(h0,negated_conjecture,(
    ~ ! [X1: d,X2: d,X3: u,X4: u,X5: u] :
        ( ( s @ X2 @ ( c_2Elist_2Elist__CASE_2E3 @ ( s @ ( tyop_2Elist_2Elist @ X1 ) @ X3 ) @ ( s @ X2 @ X4 ) @ ( s @ ( tyop_2Emin_2Efun @ X1 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ X1 ) @ X2 ) ) @ X5 ) ) )
        = ( s @ X2 @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( c_2Elist_2ENULL_2E1 @ ( s @ ( tyop_2Elist_2Elist @ X1 ) @ X3 ) ) ) @ ( s @ X2 @ X4 ) @ ( s @ X2 @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ X1 ) @ X2 ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ X1 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ X1 ) @ X2 ) ) @ X5 ) @ ( s @ X1 @ ( c_2Elist_2EHD_2E1 @ ( s @ ( tyop_2Elist_2Elist @ X1 ) @ X3 ) ) ) ) ) @ ( s @ ( tyop_2Elist_2Elist @ X1 ) @ ( c_2Elist_2ETL_2E1 @ ( s @ ( tyop_2Elist_2Elist @ X1 ) @ X3 ) ) ) ) ) ) ) ) ),
    inference(assume_negation,[status(cth)],[thm_2Elist_2Elazy__list__case__compute])).

thf(h1,assumption,(
    ~ ! [X1: d,X2: u,X3: u,X4: u] :
        ( ( s @ X1 @ ( c_2Elist_2Elist__CASE_2E3 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X2 ) @ ( s @ X1 @ X3 ) @ ( s @ ( tyop_2Emin_2Efun @ eigen__0 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X1 ) ) @ X4 ) ) )
        = ( s @ X1 @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( c_2Elist_2ENULL_2E1 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X2 ) ) ) @ ( s @ X1 @ X3 ) @ ( s @ X1 @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X1 ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ eigen__0 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X1 ) ) @ X4 ) @ ( s @ eigen__0 @ ( c_2Elist_2EHD_2E1 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X2 ) ) ) ) ) @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ ( c_2Elist_2ETL_2E1 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X2 ) ) ) ) ) ) ) ) ),
    introduced(assumption,[])).

thf(h2,assumption,(
    ~ ! [X1: u,X2: u,X3: u] :
        ( ( s @ eigen__1 @ ( c_2Elist_2Elist__CASE_2E3 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X1 ) @ ( s @ eigen__1 @ X2 ) @ ( s @ ( tyop_2Emin_2Efun @ eigen__0 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__1 ) ) @ X3 ) ) )
        = ( s @ eigen__1 @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( c_2Elist_2ENULL_2E1 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X1 ) ) ) @ ( s @ eigen__1 @ X2 ) @ ( s @ eigen__1 @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__1 ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ eigen__0 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__1 ) ) @ X3 ) @ ( s @ eigen__0 @ ( c_2Elist_2EHD_2E1 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X1 ) ) ) ) ) @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ ( c_2Elist_2ETL_2E1 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ X1 ) ) ) ) ) ) ) ) ),
    introduced(assumption,[])).

thf(h3,assumption,(
    ~ ! [X1: u,X2: u] :
        ( ( s @ eigen__1 @ ( c_2Elist_2Elist__CASE_2E3 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__2 ) @ ( s @ eigen__1 @ X1 ) @ ( s @ ( tyop_2Emin_2Efun @ eigen__0 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__1 ) ) @ X2 ) ) )
        = ( s @ eigen__1 @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( c_2Elist_2ENULL_2E1 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__2 ) ) ) @ ( s @ eigen__1 @ X1 ) @ ( s @ eigen__1 @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__1 ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ eigen__0 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__1 ) ) @ X2 ) @ ( s @ eigen__0 @ ( c_2Elist_2EHD_2E1 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__2 ) ) ) ) ) @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ ( c_2Elist_2ETL_2E1 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__2 ) ) ) ) ) ) ) ) ),
    introduced(assumption,[])).

thf(h4,assumption,(
    ~ ! [X1: u] :
        ( ( s @ eigen__1 @ ( c_2Elist_2Elist__CASE_2E3 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__2 ) @ ( s @ eigen__1 @ eigen__3 ) @ ( s @ ( tyop_2Emin_2Efun @ eigen__0 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__1 ) ) @ X1 ) ) )
        = ( s @ eigen__1 @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( c_2Elist_2ENULL_2E1 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__2 ) ) ) @ ( s @ eigen__1 @ eigen__3 ) @ ( s @ eigen__1 @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__1 ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ eigen__0 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__1 ) ) @ X1 ) @ ( s @ eigen__0 @ ( c_2Elist_2EHD_2E1 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__2 ) ) ) ) ) @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ ( c_2Elist_2ETL_2E1 @ ( s @ ( tyop_2Elist_2Elist @ eigen__0 ) @ eigen__2 ) ) ) ) ) ) ) ) ),
    introduced(assumption,[])).

thf(h5,assumption,(
    ~ sP6 ),
    introduced(assumption,[])).

thf(thm_2Elist_2Elist__case__compute,axiom,(
    sP1 )).

thf(1,plain,
    ( ~ sP4
    | sP6 ),
    inference(all_rule,[status(thm)],[])).

thf(2,plain,
    ( ~ sP3
    | sP4 ),
    inference(all_rule,[status(thm)],[])).

thf(3,plain,
    ( ~ sP2
    | sP3 ),
    inference(all_rule,[status(thm)],[])).

thf(4,plain,
    ( ~ sP5
    | sP2 ),
    inference(all_rule,[status(thm)],[])).

thf(5,plain,
    ( ~ sP1
    | sP5 ),
    inference(all_rule,[status(thm)],[])).

thf(6,plain,(
    $false ),
    inference(prop_unsat,[status(thm),assumptions([h5,h4,h3,h2,h1,h0])],[h5,thm_2Elist_2Elist__case__compute,1,2,3,4,5])).

thf(7,plain,(
    $false ),
    inference(tab_negall,[status(thm),assumptions([h4,h3,h2,h1,h0]),tab_negall(discharge,[h5]),tab_negall(eigenvar,eigen__4)],[h4,6,h5])).

thf(8,plain,(
    $false ),
    inference(tab_negall,[status(thm),assumptions([h3,h2,h1,h0]),tab_negall(discharge,[h4]),tab_negall(eigenvar,eigen__3)],[h3,7,h4])).

thf(9,plain,(
    $false ),
    inference(tab_negall,[status(thm),assumptions([h2,h1,h0]),tab_negall(discharge,[h3]),tab_negall(eigenvar,eigen__2)],[h2,8,h3])).

thf(10,plain,(
    $false ),
    inference(tab_negall,[status(thm),assumptions([h1,h0]),tab_negall(discharge,[h2]),tab_negall(eigenvar,eigen__1)],[h1,9,h2])).

thf(11,plain,(
    $false ),
    inference(tab_negall,[status(thm),assumptions([h0]),tab_negall(discharge,[h1]),tab_negall(eigenvar,eigen__0)],[h0,10,h1])).

thf(0,theorem,(
    ! [X1: d,X2: d,X3: u,X4: u,X5: u] :
      ( ( s @ X2 @ ( c_2Elist_2Elist__CASE_2E3 @ ( s @ ( tyop_2Elist_2Elist @ X1 ) @ X3 ) @ ( s @ X2 @ X4 ) @ ( s @ ( tyop_2Emin_2Efun @ X1 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ X1 ) @ X2 ) ) @ X5 ) ) )
      = ( s @ X2 @ ( c_2Ebool_2ECOND_2E3 @ ( s @ tyop_2Emin_2Ebool @ ( c_2Elist_2ENULL_2E1 @ ( s @ ( tyop_2Elist_2Elist @ X1 ) @ X3 ) ) ) @ ( s @ X2 @ X4 ) @ ( s @ X2 @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ X1 ) @ X2 ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ X1 @ ( tyop_2Emin_2Efun @ ( tyop_2Elist_2Elist @ X1 ) @ X2 ) ) @ X5 ) @ ( s @ X1 @ ( c_2Elist_2EHD_2E1 @ ( s @ ( tyop_2Elist_2Elist @ X1 ) @ X3 ) ) ) ) ) @ ( s @ ( tyop_2Elist_2Elist @ X1 ) @ ( c_2Elist_2ETL_2E1 @ ( s @ ( tyop_2Elist_2Elist @ X1 ) @ X3 ) ) ) ) ) ) ) ) ),
    inference(contra,[status(thm),contra(discharge,[h0])],[11,h0])).
%------------------------------------------------------------------------------
