%------------------------------------------------------------------------------
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(p_type,type,(
    p: tyop_2Emin_2Ebool > $o )).

thf(c_2Epred__set_2EEMPTY_2E0_type,type,(
    c_2Epred__set_2EEMPTY_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2ERES__EXISTS_2E2_type,type,(
    c_2Ebool_2ERES__EXISTS_2E2: 
      !>[TA: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) > ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) > tyop_2Emin_2Ebool ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Emin_2Efun @ skt1 @ tyop_2Emin_2Ebool ) )).

thf(sk2_type,type,(
    sk2: ( tyop_2Emin_2Efun @ skt1 @ tyop_2Emin_2Ebool ) )).

thf(1,conjecture,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool,B: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2ERES__EXISTS_2E2 @ TA @ B @ A ) )
     => ( B
       != ( c_2Epred__set_2EEMPTY_2E0 @ TA ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eres__quan_2ERES__EXISTS__NOT__EMPTY)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool,B: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
        ( ( p @ ( c_2Ebool_2ERES__EXISTS_2E2 @ TA @ B @ A ) )
       => ( B
         != ( c_2Epred__set_2EEMPTY_2E0 @ TA ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(31,plain,(
    ~ ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool,B: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
        ( ( p @ ( c_2Ebool_2ERES__EXISTS_2E2 @ TA @ B @ A ) )
       => ( B
         != ( c_2Epred__set_2EEMPTY_2E0 @ TA ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(33,plain,(
    p @ ( c_2Ebool_2ERES__EXISTS_2E2 @ skt1 @ sk2 @ sk1 ) ),
    inference(cnf,[status(esa)],[31])).

thf(32,plain,
    ( sk2
    = ( c_2Epred__set_2EEMPTY_2E0 @ skt1 ) ),
    inference(cnf,[status(esa)],[31])).

thf(34,plain,
    ( sk2
    = ( c_2Epred__set_2EEMPTY_2E0 @ skt1 ) ),
    inference(lifteq,[status(thm)],[32])).

thf(198,plain,(
    p @ ( c_2Ebool_2ERES__EXISTS_2E2 @ skt1 @ ( c_2Epred__set_2EEMPTY_2E0 @ skt1 ) @ sk1 ) ),
    inference(rewrite,[status(thm)],[33,34])).

thf(10,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ~ ( p @ ( c_2Ebool_2ERES__EXISTS_2E2 @ TA @ ( c_2Epred__set_2EEMPTY_2E0 @ TA ) @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eres__quan_2ERES__EXISTS__EMPTY)).

thf(56,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ~ ( p @ ( c_2Ebool_2ERES__EXISTS_2E2 @ TA @ ( c_2Epred__set_2EEMPTY_2E0 @ TA ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(57,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ~ ( p @ ( c_2Ebool_2ERES__EXISTS_2E2 @ TA @ ( c_2Epred__set_2EEMPTY_2E0 @ TA ) @ A ) ) ),
    inference(cnf,[status(esa)],[56])).

thf(204,plain,(
    $false ),
    inference(rewrite,[status(thm)],[198,57])).

thf(205,plain,(
    $false ),
    inference(simp,[status(thm)],[204])).
%------------------------------------------------------------------------------
