%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:37:44 EDT 2019

% Result     : Theorem 15.43s
% Output     : CNFRefutation 15.43s
% Verified   : 
% Statistics : -

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Could not form TPTP format derivation
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.03/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.12  % CPULimit   : 300
% 0.03/0.12  % DateTime   : Tue Jul 30 18:27:46 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 3.23/1.32  % [INFO] 	 Running in sequential loop mode. 
% 3.93/1.50  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.15/1.56  % [INFO] 	 iprover registered as external prover. 
% 4.15/1.56  % [INFO] 	 e registered as external prover. 
% 4.15/1.57  % [INFO] 	 cvc4 registered as external prover. 
% 4.15/1.57  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.46/1.65  % [INFO] 	 Found a conjecture and 15 axioms. Running axiom selection ... 
% 4.60/1.69  % [INFO] 	 Axiom selection finished. Selected 5 axioms (removed 10 axioms). 
% 4.60/1.73  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 15.43/4.75  % [INFO] 	 Killing All external provers ... 
% 15.43/4.75  % Time passed: 4490ms
% 15.43/4.75  % Effective reasoning time: 3424ms
% 15.43/4.75  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 15.43/4.75  % Axioms used in derivation (5): thm_2Eoption_2EOPTION__MCOMP__ID, thm_2Epair_2ECURRY__UNCURRY__THM, thm_2EerrorStateMonad_2EMCOMP__DEF, thm_2Epair_2EUNCURRY__CURRY__THM, thm_2EerrorStateMonad_2EUNIT__CURRY
% 15.43/4.75  % No. of inferences in proof: 30
% 15.43/4.75  % No. of processed clauses: 8
% 15.43/4.75  % No. of generated clauses: 28
% 15.43/4.75  % No. of forward subsumed clauses: 0
% 15.43/4.75  % No. of backward subsumed clauses: 0
% 15.43/4.75  % No. of ground rewrite rules in store: 0
% 15.43/4.75  % No. of non-ground rewrite rules in store: 1
% 15.43/4.75  % No. of positive (non-rewrite) units in store: 4
% 15.43/4.75  % No. of negative (non-rewrite) units in store: 0
% 15.43/4.75  % No. of choice functions detected: 0
% 15.43/4.75  % No. of choice instantiations: 0
% 15.43/4.75  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 4490 ms resp. 3424 ms w/o parsing
% 15.43/4.78  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 15.43/4.78  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 15.43/4.78  thf(c_2Epair_2ECURRY_type, type, c_2Epair_2ECURRY: !>[TA: $tType,TB: $tType,TC: $tType]: (((tyop_2Epair_2Eprod @ TA @ TB) > TC) > (TA > (TB > TC)))).
% 15.43/4.78  thf(c_2EerrorStateMonad_2EMCOMP_type, type, c_2EerrorStateMonad_2EMCOMP: !>[TA: $tType,TB: $tType,TC: $tType,TD: $tType,TE: $tType]: ((TD > (TE > (tyop_2Eoption_2Eoption @ TC))) > ((TA > (TB > (tyop_2Eoption_2Eoption @ (tyop_2Epair_2Eprod @ TD @ TE)))) > (TA > (TB > (tyop_2Eoption_2Eoption @ TC)))))).
% 15.43/4.78  thf(c_2Eoption_2EOPTION__MCOMP_type, type, c_2Eoption_2EOPTION__MCOMP: !>[TA: $tType,TB: $tType,TC: $tType]: ((TB > (tyop_2Eoption_2Eoption @ TA)) > ((TC > (tyop_2Eoption_2Eoption @ TB)) > (TC > (tyop_2Eoption_2Eoption @ TA))))).
% 15.43/4.78  thf(c_2Eoption_2ESOME_type, type, c_2Eoption_2ESOME: !>[TA: $tType]: (TA > (tyop_2Eoption_2Eoption @ TA))).
% 15.43/4.78  thf(c_2Epair_2EUNCURRY_type, type, c_2Epair_2EUNCURRY: !>[TA: $tType,TB: $tType,TC: $tType]: ((TA > (TB > TC)) > ((tyop_2Epair_2Eprod @ TA @ TB) > TC))).
% 15.43/4.78  thf(c_2EerrorStateMonad_2EUNIT_type, type, c_2EerrorStateMonad_2EUNIT: !>[TA: $tType,TB: $tType]: (TB > (TA > (tyop_2Eoption_2Eoption @ (tyop_2Epair_2Eprod @ TB @ TA))))).
% 15.43/4.78  thf(skt1_type, type, skt1: $tType).
% 15.43/4.78  thf(skt2_type, type, skt2: $tType).
% 15.43/4.78  thf(skt3_type, type, skt3: $tType).
% 15.43/4.78  thf(skt4_type, type, skt4: $tType).
% 15.43/4.78  thf(skt5_type, type, skt5: $tType).
% 15.43/4.78  thf(skt6_type, type, skt6: $tType).
% 15.43/4.78  thf(skt7_type, type, skt7: $tType).
% 15.43/4.78  thf(sk1_type, type, sk1: (skt1 > (skt2 > (tyop_2Eoption_2Eoption @ skt3)))).
% 15.43/4.78  thf(sk2_type, type, sk2: (skt4 > (skt5 > (tyop_2Eoption_2Eoption @ (tyop_2Epair_2Eprod @ skt6 @ skt7))))).
% 15.43/4.78  thf(6,axiom,((! [TA: $tType,TB: $tType]: ((c_2EerrorStateMonad_2EUNIT @ TB @ TA) = (c_2Epair_2ECURRY @ TA @ TB @ (tyop_2Eoption_2Eoption @ (tyop_2Epair_2Eprod @ TA @ TB)) @ (c_2Eoption_2ESOME @ (tyop_2Epair_2Eprod @ TA @ TB)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2EerrorStateMonad_2EUNIT__CURRY)).
% 15.43/4.78  thf(24,plain,((! [TA: $tType,TB: $tType]: ((c_2EerrorStateMonad_2EUNIT @ TB @ TA) = (c_2Epair_2ECURRY @ TA @ TB @ (tyop_2Eoption_2Eoption @ (tyop_2Epair_2Eprod @ TA @ TB)) @ (c_2Eoption_2ESOME @ (tyop_2Epair_2Eprod @ TA @ TB)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 15.43/4.78  thf(25,plain,(! [TA:$tType,TB:$tType] : (((c_2EerrorStateMonad_2EUNIT @ TA @ TB) = (c_2Epair_2ECURRY @ TB @ TA @ (tyop_2Eoption_2Eoption @ (tyop_2Epair_2Eprod @ TB @ TA)) @ (c_2Eoption_2ESOME @ (tyop_2Epair_2Eprod @ TB @ TA)))))),inference(cnf,[status(esa)],[24])).
% 15.43/4.78  thf(26,plain,(! [TA:$tType,TB:$tType] : (((c_2EerrorStateMonad_2EUNIT @ TA @ TB) = (c_2Epair_2ECURRY @ TB @ TA @ (tyop_2Eoption_2Eoption @ (tyop_2Epair_2Eprod @ TB @ TA)) @ (c_2Eoption_2ESOME @ (tyop_2Epair_2Eprod @ TB @ TA)))))),inference(lifteq,[status(thm)],[25])).
% 15.43/4.78  thf(1,conjecture,((! [TA: $tType,TB: $tType,TC: $tType,TD: $tType,TE: $tType,TF: $tType,TG: $tType]: (! [A:(TA > (TB > (tyop_2Eoption_2Eoption @ TC))),B:(TD > (TE > (tyop_2Eoption_2Eoption @ (tyop_2Epair_2Eprod @ TF @ TG))))]: (((c_2EerrorStateMonad_2EMCOMP @ TA @ TB @ TC @ TA @ TB @ A @ (c_2EerrorStateMonad_2EUNIT @ TB @ TA)) = A) & ((c_2EerrorStateMonad_2EMCOMP @ TD @ TE @ (tyop_2Epair_2Eprod @ TF @ TG) @ TF @ TG @ (c_2EerrorStateMonad_2EUNIT @ TG @ TF) @ B) = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2EerrorStateMonad_2EMCOMP__ID)).
% 15.43/4.78  thf(2,negated_conjecture,((~ (! [TA: $tType,TB: $tType,TC: $tType,TD: $tType,TE: $tType,TF: $tType,TG: $tType]: (! [A:(TA > (TB > (tyop_2Eoption_2Eoption @ TC))),B:(TD > (TE > (tyop_2Eoption_2Eoption @ (tyop_2Epair_2Eprod @ TF @ TG))))]: (((c_2EerrorStateMonad_2EMCOMP @ TA @ TB @ TC @ TA @ TB @ A @ (c_2EerrorStateMonad_2EUNIT @ TB @ TA)) = A) & ((c_2EerrorStateMonad_2EMCOMP @ TD @ TE @ (tyop_2Epair_2Eprod @ TF @ TG) @ TF @ TG @ (c_2EerrorStateMonad_2EUNIT @ TG @ TF) @ B) = B)))))),inference(neg_conjecture,[status(cth)],[1])).
% 15.43/4.78  thf(8,plain,((~ (! [TA: $tType,TB: $tType,TC: $tType,TD: $tType,TE: $tType,TF: $tType,TG: $tType]: (! [A:(TA > (TB > (tyop_2Eoption_2Eoption @ TC))),B:(TD > (TE > (tyop_2Eoption_2Eoption @ (tyop_2Epair_2Eprod @ TF @ TG))))]: (((c_2EerrorStateMonad_2EMCOMP @ TA @ TB @ TC @ TA @ TB @ A @ (c_2EerrorStateMonad_2EUNIT @ TB @ TA)) = (A)) & ((c_2EerrorStateMonad_2EMCOMP @ TD @ TE @ (tyop_2Epair_2Eprod @ TF @ TG) @ TF @ TG @ (c_2EerrorStateMonad_2EUNIT @ TG @ TF) @ B) = (B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 15.43/4.78  thf(9,plain,((~ ((c_2EerrorStateMonad_2EMCOMP @ skt1 @ skt2 @ skt3 @ skt1 @ skt2 @ sk1 @ (c_2EerrorStateMonad_2EUNIT @ skt2 @ skt1)) = (sk1))) | (~ ((c_2EerrorStateMonad_2EMCOMP @ skt4 @ skt5 @ (tyop_2Epair_2Eprod @ skt6 @ skt7) @ skt6 @ skt7 @ (c_2EerrorStateMonad_2EUNIT @ skt7 @ skt6) @ sk2) = (sk2)))),inference(cnf,[status(esa)],[8])).
% 15.43/4.78  thf(10,plain,(((c_2EerrorStateMonad_2EMCOMP @ skt1 @ skt2 @ skt3 @ skt1 @ skt2 @ sk1 @ (c_2EerrorStateMonad_2EUNIT @ skt2 @ skt1)) != (sk1)) | ((c_2EerrorStateMonad_2EMCOMP @ skt4 @ skt5 @ (tyop_2Epair_2Eprod @ skt6 @ skt7) @ skt6 @ skt7 @ (c_2EerrorStateMonad_2EUNIT @ skt7 @ skt6) @ sk2) != (sk2))),inference(lifteq,[status(thm)],[9])).
% 15.43/4.78  thf(68,plain,(((c_2EerrorStateMonad_2EMCOMP @ skt1 @ skt2 @ skt3 @ skt1 @ skt2 @ sk1 @ (c_2Epair_2ECURRY @ skt1 @ skt2 @ (tyop_2Eoption_2Eoption @ (tyop_2Epair_2Eprod @ skt1 @ skt2)) @ (c_2Eoption_2ESOME @ (tyop_2Epair_2Eprod @ skt1 @ skt2)))) != (sk1)) | ((c_2EerrorStateMonad_2EMCOMP @ skt4 @ skt5 @ (tyop_2Epair_2Eprod @ skt6 @ skt7) @ skt6 @ skt7 @ (c_2EerrorStateMonad_2EUNIT @ skt7 @ skt6) @ sk2) != (sk2)) | ((c_2EerrorStateMonad_2EUNIT @ skt2 @ skt1) != (c_2EerrorStateMonad_2EUNIT @ skt2 @ skt1))),inference(paramod_ordered,[status(thm)],[26,10])).
% 15.43/4.78  thf(69,plain,(((c_2EerrorStateMonad_2EMCOMP @ skt1 @ skt2 @ skt3 @ skt1 @ skt2 @ sk1 @ (c_2Epair_2ECURRY @ skt1 @ skt2 @ (tyop_2Eoption_2Eoption @ (tyop_2Epair_2Eprod @ skt1 @ skt2)) @ (c_2Eoption_2ESOME @ (tyop_2Epair_2Eprod @ skt1 @ skt2)))) != (sk1)) | ((c_2EerrorStateMonad_2EMCOMP @ skt4 @ skt5 @ (tyop_2Epair_2Eprod @ skt6 @ skt7) @ skt6 @ skt7 @ (c_2EerrorStateMonad_2EUNIT @ skt7 @ skt6) @ sk2) != (sk2))),inference(pattern_uni,[status(thm)],[68:[]])).
% 15.43/4.78  thf(4,axiom,((! [TA: $tType,TB: $tType,TC: $tType,TD: $tType]: (! [A:(TC > (tyop_2Eoption_2Eoption @ TD)),B:(TA > (tyop_2Eoption_2Eoption @ TB))]: (((c_2Eoption_2EOPTION__MCOMP @ TD @ TC @ TC @ A @ (c_2Eoption_2ESOME @ TC)) = A) & ((c_2Eoption_2EOPTION__MCOMP @ TB @ TB @ TA @ (c_2Eoption_2ESOME @ TB) @ B) = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eoption_2EOPTION__MCOMP__ID)).
% 15.43/4.78  thf(14,plain,((! [TA: $tType,TB: $tType,TC: $tType,TD: $tType]: (! [A:(TC > (tyop_2Eoption_2Eoption @ TD)),B:(TA > (tyop_2Eoption_2Eoption @ TB))]: (((c_2Eoption_2EOPTION__MCOMP @ TD @ TC @ TC @ A @ (c_2Eoption_2ESOME @ TC)) = (A)) & ((c_2Eoption_2EOPTION__MCOMP @ TB @ TB @ TA @ (c_2Eoption_2ESOME @ TB) @ B) = (B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 15.43/4.78  thf(16,plain,(! [TC:$tType,TD:$tType,A:(T@ > (tyop_2Eoption_2Eoption @ T?))] : (((c_2Eoption_2EOPTION__MCOMP @ T? @ T@ @ T@ @ A @ (c_2Eoption_2ESOME @ T@)) = (A)))),inference(cnf,[status(esa)],[14])).
% 15.43/4.78  thf(19,plain,(! [TC:$tType,TD:$tType,A:(T@ > (tyop_2Eoption_2Eoption @ T?))] : (((c_2Eoption_2EOPTION__MCOMP @ T? @ T@ @ T@ @ A @ (c_2Eoption_2ESOME @ T@)) = (A)))),inference(lifteq,[status(thm)],[16])).
% 15.43/4.78  thf(20,plain,(! [TA:$tType,TB:$tType,A:(TB > (tyop_2Eoption_2Eoption @ TA))] : (((c_2Eoption_2EOPTION__MCOMP @ TA @ TB @ TB @ A @ (c_2Eoption_2ESOME @ TB)) = (A)))),inference(simp,[status(thm)],[19])).
% 15.43/4.78  thf(5,axiom,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC))]: ((c_2Epair_2ECURRY @ TA @ TB @ TC @ (c_2Epair_2EUNCURRY @ TA @ TB @ TC @ A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2ECURRY__UNCURRY__THM)).
% 15.43/4.78  thf(21,plain,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:(TA > (TB > TC))]: ((c_2Epair_2ECURRY @ TA @ TB @ TC @ (c_2Epair_2EUNCURRY @ TA @ TB @ TC @ A)) = (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 15.43/4.78  thf(3,axiom,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:((tyop_2Epair_2Eprod @ TA @ TB) > TC)]: ((c_2Epair_2EUNCURRY @ TA @ TB @ TC @ (c_2Epair_2ECURRY @ TA @ TB @ TC @ A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epair_2EUNCURRY__CURRY__THM)).
% 15.43/4.78  thf(11,plain,((! [TA: $tType,TB: $tType,TC: $tType]: (! [A:((tyop_2Epair_2Eprod @ TA @ TB) > TC)]: ((c_2Epair_2EUNCURRY @ TA @ TB @ TC @ (c_2Epair_2ECURRY @ TA @ TB @ TC @ A)) = (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 15.43/4.78  thf(12,plain,(! [TA:$tType,TB:$tType,TC:$tType,A:((tyop_2Epair_2Eprod @ TC @ TB) > TA)] : (((c_2Epair_2EUNCURRY @ TC @ TB @ TA @ (c_2Epair_2ECURRY @ TC @ TB @ TA @ A)) = (A)))),inference(cnf,[status(esa)],[11])).
% 15.43/4.78  thf(13,plain,(! [TA:$tType,TB:$tType,TC:$tType,A:((tyop_2Epair_2Eprod @ TC @ TB) > TA)] : (((c_2Epair_2EUNCURRY @ TC @ TB @ TA @ (c_2Epair_2ECURRY @ TC @ TB @ TA @ A)) = (A)))),inference(lifteq,[status(thm)],[12])).
% 15.43/4.78  thf(7,axiom,((! [TA: $tType,TB: $tType,TC: $tType,TD: $tType,TE: $tType]: (! [A:(TD > (TE > (tyop_2Eoption_2Eoption @ TC))),B:(TA > (TB > (tyop_2Eoption_2Eoption @ (tyop_2Epair_2Eprod @ TD @ TE))))]: ((c_2EerrorStateMonad_2EMCOMP @ TA @ TB @ TC @ TD @ TE @ A @ B) = (c_2Epair_2ECURRY @ TA @ TB @ (tyop_2Eoption_2Eoption @ TC) @ (c_2Eoption_2EOPTION__MCOMP @ TC @ (tyop_2Epair_2Eprod @ TD @ TE) @ (tyop_2Epair_2Eprod @ TA @ TB) @ (c_2Epair_2EUNCURRY @ TD @ TE @ (tyop_2Eoption_2Eoption @ TC) @ A) @ (c_2Epair_2EUNCURRY @ TA @ TB @ (tyop_2Eoption_2Eoption @ (tyop_2Epair_2Eprod @ TD @ TE)) @ B))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2EerrorStateMonad_2EMCOMP__DEF)).
% 15.43/4.78  thf(27,plain,((! [TA: $tType,TB: $tType,TC: $tType,TD: $tType,TE: $tType]: (! [A:(TD > (TE > (tyop_2Eoption_2Eoption @ TC))),B:(TA > (TB > (tyop_2Eoption_2Eoption @ (tyop_2Epair_2Eprod @ TD @ TE))))]: ((c_2EerrorStateMonad_2EMCOMP @ TA @ TB @ TC @ TD @ TE @ A @ B) = (c_2Epair_2ECURRY @ TA @ TB @ (tyop_2Eoption_2Eoption @ TC) @ (c_2Eoption_2EOPTION__MCOMP @ TC @ (tyop_2Epair_2Eprod @ TD @ TE) @ (tyop_2Epair_2Eprod @ TA @ TB) @ (c_2Epair_2EUNCURRY @ TD @ TE @ (tyop_2Eoption_2Eoption @ TC) @ A) @ (c_2Epair_2EUNCURRY @ TA @ TB @ (tyop_2Eoption_2Eoption @ (tyop_2Epair_2Eprod @ TD @ TE)) @ B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 15.43/4.78  thf(15,plain,(! [TA:$tType,TB:$tType,A:(TB > (tyop_2Eoption_2Eoption @ TA))] : (((c_2Eoption_2EOPTION__MCOMP @ TA @ TA @ TB @ (c_2Eoption_2ESOME @ TA) @ A) = (A)))),inference(cnf,[status(esa)],[14])).
% 15.43/4.78  thf(17,plain,(! [TA:$tType,TB:$tType,A:(TB > (tyop_2Eoption_2Eoption @ TA))] : (((c_2Eoption_2EOPTION__MCOMP @ TA @ TA @ TB @ (c_2Eoption_2ESOME @ TA) @ A) = (A)))),inference(lifteq,[status(thm)],[15])).
% 15.43/4.78  thf(18,plain,(! [TA:$tType,TB:$tType,A:(TB > (tyop_2Eoption_2Eoption @ TA))] : (((c_2Eoption_2EOPTION__MCOMP @ TA @ TA @ TB @ (c_2Eoption_2ESOME @ TA) @ A) = (A)))),inference(simp,[status(thm)],[17])).
% 15.43/4.78  thf(22,plain,(! [TA:$tType,TB:$tType,TC:$tType,A:(TC > (TB > TA))] : (((c_2Epair_2ECURRY @ TC @ TB @ TA @ (c_2Epair_2EUNCURRY @ TC @ TB @ TA @ A)) = (A)))),inference(cnf,[status(esa)],[21])).
% 15.43/4.78  thf(23,plain,(! [TA:$tType,TB:$tType,TC:$tType,A:(TC > (TB > TA))] : (((c_2Epair_2ECURRY @ TC @ TB @ TA @ (c_2Epair_2EUNCURRY @ TC @ TB @ TA @ A)) = (A)))),inference(lifteq,[status(thm)],[22])).
% 15.43/4.78  thf(130,plain,($false),inference(e,[status(thm)],[69,10,24,14,20,21,13,27,18,11,26,23,8])).
% 15.43/4.78  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 15.43/4.78  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
