%------------------------------------------------------------------------------
thf(del_type,type,(
    del: $tType )).

thf(bool_type,type,(
    bool: del )).

thf(arr_type,type,(
    arr: del > del > del )).

thf(mem_type,type,(
    mem: $i > del > $o )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(k_type,type,(
    k: del > $i > $i )).

thf(i_type,type,(
    i: del > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(tp__o_type,type,(
    tp__o: $tType )).

thf(inj__o_type,type,(
    inj__o: tp__o > $i )).

thf(surj__o_type,type,(
    surj__o: $i > tp__o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: del > $i )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: del > $i )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $i )).

thf(fo__c_2Ebool_2E_2F_5C_type,type,(
    fo__c_2Ebool_2E_2F_5C: tp__o > tp__o > tp__o )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $i )).

thf(fo__c_2Ebool_2ET_type,type,(
    fo__c_2Ebool_2ET: tp__o )).

thf(c_2Ecombin_2Eo_type,type,(
    c_2Ecombin_2Eo: del > del > del > $i )).

thf(ty_2Eoption_2Eoption_type,type,(
    ty_2Eoption_2Eoption: del > del )).

thf(ty_2Epair_2Eprod_type,type,(
    ty_2Epair_2Eprod: del > del > del )).

thf(ty_2Elist_2Elist_type,type,(
    ty_2Elist_2Elist: del > del )).

thf(c_2Elist_2ECONS_type,type,(
    c_2Elist_2ECONS: del > $i )).

thf(c_2Elist_2EFOLDR_type,type,(
    c_2Elist_2EFOLDR: del > del > $i )).

thf(c_2Elist_2EMAP_type,type,(
    c_2Elist_2EMAP: del > del > $i )).

thf(c_2Elist_2ENIL_type,type,(
    c_2Elist_2ENIL: del > $i )).

thf(c_2EerrorStateMonad_2EBIND_type,type,(
    c_2EerrorStateMonad_2EBIND: del > del > del > $i )).

thf(c_2EerrorStateMonad_2EUNIT_type,type,(
    c_2EerrorStateMonad_2EUNIT: del > del > $i )).

thf(c_2EerrorStateMonad_2EmapM_type,type,(
    c_2EerrorStateMonad_2EmapM: del > del > del > $i )).

thf(c_2EerrorStateMonad_2Esequence_type,type,(
    c_2EerrorStateMonad_2Esequence: del > del > $i )).

thf(f574_type,type,(
    f574: del > del > $i > $i )).

thf(f573_type,type,(
    f573: del > del > del > $i > $i )).

thf(f572_type,type,(
    f572: del > del > del > del > $i > $i )).

thf(f571_type,type,(
    f571: del > del > del > del > $i )).

thf(sk1_type,type,(
    sk1: del )).

thf(sk2_type,type,(
    sk2: del )).

thf(sk3_type,type,(
    sk3: del )).

thf(sk4_type,type,(
    sk4: $i )).

thf(37,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ibeta)).

thf(138,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(1,conjecture,(
    ! [A: del,B: del,C: del,D: $i] :
      ( ( mem @ D @ ( arr @ C @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ B @ B ) ) ) ) )
     => ( ( ap @ ( ap @ ( c_2EerrorStateMonad_2EmapM @ C @ C @ C ) @ D ) @ ( c_2Elist_2ENIL @ C ) )
        = ( ap @ ( c_2EerrorStateMonad_2EUNIT @ A @ A ) @ ( c_2Elist_2ENIL @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2EerrorStateMonad_2EmapM__nil)).

thf(2,negated_conjecture,(
    ~ ! [A: del,B: del,C: del,D: $i] :
        ( ( mem @ D @ ( arr @ C @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ B @ B ) ) ) ) )
       => ( ( ap @ ( ap @ ( c_2EerrorStateMonad_2EmapM @ C @ C @ C ) @ D ) @ ( c_2Elist_2ENIL @ C ) )
          = ( ap @ ( c_2EerrorStateMonad_2EUNIT @ A @ A ) @ ( c_2Elist_2ENIL @ B ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(45,plain,(
    ~ ! [A: del,B: del,C: del,D: $i] :
        ( ( mem @ D @ ( arr @ C @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ B @ B ) ) ) ) )
       => ( ( ap @ ( ap @ ( c_2EerrorStateMonad_2EmapM @ C @ C @ C ) @ D ) @ ( c_2Elist_2ENIL @ C ) )
          = ( ap @ ( c_2EerrorStateMonad_2EUNIT @ A @ A ) @ ( c_2Elist_2ENIL @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(47,plain,(
    mem @ sk4 @ ( arr @ sk3 @ ( arr @ sk1 @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ sk2 @ sk2 ) ) ) ) ),
    inference(cnf,[status(esa)],[45])).

thf(43,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ A )
            <=> ( p @ B ) )
           => ( A = B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',boolext)).

thf(158,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( ( p @ A )
               => ( p @ B ) )
              & ( ( p @ B )
               => ( p @ A ) ) )
           => ( A = B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).

thf(159,plain,(
    ! [B: $i,A: $i] :
      ( ~ ( mem @ A @ bool )
      | ~ ( mem @ B @ bool )
      | ~ ( p @ B )
      | ~ ( p @ A )
      | ( A = B ) ) ),
    inference(cnf,[status(esa)],[158])).

thf(163,plain,(
    ! [B: $i,A: $i] :
      ( ( A = B )
      | ~ ( mem @ A @ bool )
      | ~ ( mem @ B @ bool )
      | ~ ( p @ B )
      | ~ ( p @ A ) ) ),
    inference(lifteq,[status(thm)],[159])).

thf(312,plain,(
    ! [B: $i,A: $i] :
      ( ( A = B )
      | ~ ( mem @ A @ bool )
      | ~ ( p @ B )
      | ~ ( p @ A )
      | ( ( mem @ sk4 @ ( arr @ sk3 @ ( arr @ sk1 @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ sk2 @ sk2 ) ) ) ) )
       != ( mem @ B @ bool ) ) ) ),
    inference(paramod_ordered,[status(thm)],[47,163])).

thf(316,plain,(
    ! [B: $i,A: $i] :
      ( ( A = B )
      | ~ ( mem @ A @ bool )
      | ~ ( p @ B )
      | ~ ( p @ A )
      | ( sk4 != B )
      | ( ( arr @ sk3 @ ( arr @ sk1 @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ sk2 @ sk2 ) ) ) )
       != bool ) ) ),
    inference(simp,[status(thm)],[312])).

thf(333,plain,(
    ! [A: $i] :
      ( ( A = sk4 )
      | ~ ( mem @ A @ bool )
      | ~ ( p @ sk4 )
      | ~ ( p @ A )
      | ( ( arr @ sk3 @ ( arr @ sk1 @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ sk2 @ sk2 ) ) ) )
       != bool ) ) ),
    inference(simp,[status(thm)],[316])).

thf(6,axiom,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2ET)).

thf(54,plain,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(55,plain,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    inference(lifteq,[status(thm)],[54])).

thf(34,axiom,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2E_2F_5C)).

thf(129,plain,(
    ! [A: tp__o,B: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(130,plain,(
    ! [B: tp__o,A: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(cnf,[status(esa)],[129])).

thf(131,plain,(
    ! [B: tp__o,A: tp__o] :
      ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
      = ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) ) ),
    inference(lifteq,[status(thm)],[130])).

thf(26,axiom,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_mem_o)).

thf(109,plain,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(110,plain,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    inference(cnf,[status(esa)],[109])).

thf(809,plain,(
    ! [C: tp__o,B: tp__o,A: tp__o] :
      ( ( mem @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) @ bool )
      | ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) )
       != ( inj__o @ C ) ) ) ),
    inference(paramod_ordered,[status(thm)],[131,110])).

thf(810,plain,(
    ! [B: tp__o,A: tp__o] :
      ( mem @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) @ bool ) ),
    inference(pattern_uni,[status(thm)],[809:[bind(A,$thf(D)),bind(B,$thf(E)),bind(C,$thf(fo__c_2Ebool_2E_2F_5C @ D @ E))]])).

thf(887,plain,(
    ! [B: tp__o,A: tp__o] :
      ( mem @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ ( inj__o @ B ) ) @ bool ) ),
    inference(simp,[status(thm)],[810])).

thf(940,plain,(
    ! [B: tp__o,A: tp__o] :
      ( ( mem @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ c_2Ebool_2ET ) @ bool )
      | ( ( inj__o @ fo__c_2Ebool_2ET )
       != ( inj__o @ B ) ) ) ),
    inference(paramod_ordered,[status(thm)],[55,887])).

thf(941,plain,(
    ! [A: tp__o] :
      ( mem @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ c_2Ebool_2ET ) @ bool ) ),
    inference(pattern_uni,[status(thm)],[940:[bind(A,$thf(A)),bind(B,$thf(fo__c_2Ebool_2ET))]])).

thf(29,axiom,(
    ! [A: del,B: del,C: del] :
      ( mem @ ( c_2EerrorStateMonad_2EmapM @ A @ A @ A ) @ ( arr @ ( arr @ A @ ( arr @ B @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ C @ C ) ) ) ) @ ( arr @ ( ty_2Elist_2Elist @ A ) @ ( arr @ B @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ C ) @ ( ty_2Elist_2Elist @ C ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2EerrorStateMonad_2EmapM)).

thf(115,plain,(
    ! [A: del,B: del,C: del] :
      ( mem @ ( c_2EerrorStateMonad_2EmapM @ A @ A @ A ) @ ( arr @ ( arr @ A @ ( arr @ B @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ C @ C ) ) ) ) @ ( arr @ ( ty_2Elist_2Elist @ A ) @ ( arr @ B @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ C ) @ ( ty_2Elist_2Elist @ C ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(7,axiom,(
    ! [A: del,B: del,C: del,D: del,E: $i] :
      ( ( mem @ E @ ( arr @ D @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ C @ C ) ) ) )
     => ! [F: $i] :
          ( ( mem @ F @ ( arr @ D @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ C ) @ ( ty_2Elist_2Elist @ C ) ) ) ) )
         => ( ( ap @ ( f572 @ D @ C @ C @ D @ E ) @ F )
            = ( ap @ ( ap @ ( c_2EerrorStateMonad_2EBIND @ D @ D @ D ) @ E ) @ ( f573 @ C @ D @ C @ F ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',lameq_f572)).

thf(56,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ B @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ A @ A ) ) ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ B @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ A ) @ ( ty_2Elist_2Elist @ A ) ) ) ) )
         => ( ( ap @ ( f572 @ B @ A @ A @ B @ C ) @ D )
            = ( ap @ ( ap @ ( c_2EerrorStateMonad_2EBIND @ B @ B @ B ) @ C ) @ ( f573 @ A @ B @ A @ D ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(39,axiom,(
    ! [A: del,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',kbeta)).

thf(142,plain,(
    ! [A: del,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).

thf(3,axiom,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_surj_o)).

thf(49,plain,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(50,plain,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    inference(cnf,[status(esa)],[49])).

thf(51,plain,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    inference(lifteq,[status(thm)],[50])).

thf(173,plain,(
    ! [A: tp__o] :
      ( ( ( surj__o @ c_2Ebool_2ET )
        = A )
      | ( ( inj__o @ fo__c_2Ebool_2ET )
       != ( inj__o @ A ) ) ) ),
    inference(paramod_ordered,[status(thm)],[55,51])).

thf(174,plain,
    ( ( surj__o @ c_2Ebool_2ET )
    = fo__c_2Ebool_2ET ),
    inference(pattern_uni,[status(thm)],[173:[bind(A,$thf(fo__c_2Ebool_2ET))]])).

thf(4,axiom,(
    $true ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ETRUTH)).

thf(52,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(32,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Elist_2EFOLDR @ A @ A ) @ ( arr @ ( arr @ A @ ( arr @ B @ B ) ) @ ( arr @ B @ ( arr @ ( ty_2Elist_2Elist @ A ) @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Elist_2EFOLDR)).

thf(125,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Elist_2EFOLDR @ A @ A ) @ ( arr @ ( arr @ A @ ( arr @ B @ B ) ) @ ( arr @ B @ ( arr @ ( ty_2Elist_2Elist @ A ) @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(42,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(156,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).

thf(157,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(cnf,[status(esa)],[156])).

thf(938,plain,(
    ! [B: tp__o,A: tp__o] :
      ( ( mem @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ c_2Ebool_2ET ) @ ( inj__o @ B ) ) @ bool )
      | ( ( inj__o @ fo__c_2Ebool_2ET )
       != ( inj__o @ A ) ) ) ),
    inference(paramod_ordered,[status(thm)],[55,887])).

thf(939,plain,(
    ! [A: tp__o] :
      ( mem @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ c_2Ebool_2ET ) @ ( inj__o @ A ) ) @ bool ) ),
    inference(pattern_uni,[status(thm)],[938:[bind(A,$thf(fo__c_2Ebool_2ET))]])).

thf(1013,plain,(
    ! [A: tp__o] :
      ( mem @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ c_2Ebool_2ET ) @ ( inj__o @ A ) ) @ bool ) ),
    inference(simp,[status(thm)],[939])).

thf(1039,plain,(
    ! [A: tp__o] :
      ( ( mem @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ c_2Ebool_2ET ) @ c_2Ebool_2ET ) @ bool )
      | ( ( inj__o @ fo__c_2Ebool_2ET )
       != ( inj__o @ A ) ) ) ),
    inference(paramod_ordered,[status(thm)],[55,941])).

thf(1040,plain,(
    mem @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ c_2Ebool_2ET ) @ c_2Ebool_2ET ) @ bool ),
    inference(pattern_uni,[status(thm)],[1039:[bind(A,$thf(fo__c_2Ebool_2ET))]])).

thf(18,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( B = B )
      <=> $true ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EREFL__CLAUSE)).

thf(84,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(5,axiom,(
    p @ c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_true_p)).

thf(53,plain,(
    p @ c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(38,axiom,(
    mem @ c_2Ebool_2ET @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2ET)).

thf(141,plain,(
    mem @ c_2Ebool_2ET @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(46,plain,(
    ( ap @ ( ap @ ( c_2EerrorStateMonad_2EmapM @ sk3 @ sk3 @ sk3 ) @ sk4 ) @ ( c_2Elist_2ENIL @ sk3 ) )
 != ( ap @ ( c_2EerrorStateMonad_2EUNIT @ sk1 @ sk1 ) @ ( c_2Elist_2ENIL @ sk2 ) ) ),
    inference(cnf,[status(esa)],[45])).

thf(48,plain,(
    ( ap @ ( ap @ ( c_2EerrorStateMonad_2EmapM @ sk3 @ sk3 @ sk3 ) @ sk4 ) @ ( c_2Elist_2ENIL @ sk3 ) )
 != ( ap @ ( c_2EerrorStateMonad_2EUNIT @ sk1 @ sk1 ) @ ( c_2Elist_2ENIL @ sk2 ) ) ),
    inference(lifteq,[status(thm)],[46])).

thf(171,plain,
    ( ( ( ap @ ( c_2EerrorStateMonad_2EmapM @ sk3 @ sk3 @ sk3 ) @ sk4 )
     != ( c_2EerrorStateMonad_2EUNIT @ sk1 @ sk1 ) )
    | ( ( c_2Elist_2ENIL @ sk3 )
     != ( c_2Elist_2ENIL @ sk2 ) ) ),
    inference(simp,[status(thm)],[48])).

thf(291,plain,(
    ! [B: $i,A: $i] :
      ( ~ ( mem @ A @ bool )
      | ~ ( mem @ B @ bool )
      | ~ ( p @ B )
      | ~ ( p @ A )
      | ( ( ap @ ( c_2EerrorStateMonad_2EmapM @ sk3 @ sk3 @ sk3 ) @ sk4 )
       != ( c_2EerrorStateMonad_2EUNIT @ sk1 @ sk1 ) )
      | ( B
       != ( c_2Elist_2ENIL @ sk2 ) )
      | ( A
       != ( c_2Elist_2ENIL @ sk3 ) ) ) ),
    inference(paramod_ordered,[status(thm)],[163,171])).

thf(292,plain,(
    ! [A: $i] :
      ( ~ ( mem @ ( c_2Elist_2ENIL @ sk3 ) @ bool )
      | ~ ( mem @ A @ bool )
      | ~ ( p @ A )
      | ~ ( p @ ( c_2Elist_2ENIL @ sk3 ) )
      | ( ( ap @ ( c_2EerrorStateMonad_2EmapM @ sk3 @ sk3 @ sk3 ) @ sk4 )
       != ( c_2EerrorStateMonad_2EUNIT @ sk1 @ sk1 ) )
      | ( A
       != ( c_2Elist_2ENIL @ sk2 ) ) ) ),
    inference(pattern_uni,[status(thm)],[291:[bind(A,$thf(c_2Elist_2ENIL @ sk3)),bind(B,$thf(B))]])).

thf(339,plain,
    ( ~ ( mem @ ( c_2Elist_2ENIL @ sk3 ) @ bool )
    | ~ ( mem @ ( c_2Elist_2ENIL @ sk2 ) @ bool )
    | ~ ( p @ ( c_2Elist_2ENIL @ sk2 ) )
    | ~ ( p @ ( c_2Elist_2ENIL @ sk3 ) )
    | ( ( ap @ ( c_2EerrorStateMonad_2EmapM @ sk3 @ sk3 @ sk3 ) @ sk4 )
     != ( c_2EerrorStateMonad_2EUNIT @ sk1 @ sk1 ) ) ),
    inference(simp,[status(thm)],[292])).

thf(406,plain,
    ( ~ ( mem @ ( c_2Elist_2ENIL @ sk2 ) @ bool )
    | ~ ( p @ ( c_2Elist_2ENIL @ sk2 ) )
    | ~ ( p @ ( c_2Elist_2ENIL @ sk3 ) )
    | ( ( ap @ ( c_2EerrorStateMonad_2EmapM @ sk3 @ sk3 @ sk3 ) @ sk4 )
     != ( c_2EerrorStateMonad_2EUNIT @ sk1 @ sk1 ) )
    | ( ( mem @ ( c_2Elist_2ENIL @ sk3 ) @ bool )
     != ( mem @ c_2Ebool_2ET @ bool ) ) ),
    inference(paramod_ordered,[status(thm)],[141,339])).

thf(456,plain,
    ( ~ ( mem @ ( c_2Elist_2ENIL @ sk2 ) @ bool )
    | ~ ( p @ ( c_2Elist_2ENIL @ sk2 ) )
    | ~ ( p @ ( c_2Elist_2ENIL @ sk3 ) )
    | ( ( ap @ ( c_2EerrorStateMonad_2EmapM @ sk3 @ sk3 @ sk3 ) @ sk4 )
     != ( c_2EerrorStateMonad_2EUNIT @ sk1 @ sk1 ) )
    | ( ( c_2Elist_2ENIL @ sk3 )
     != c_2Ebool_2ET )
    | ( bool != bool ) ),
    inference(simp,[status(thm)],[406])).

thf(469,plain,
    ( ~ ( mem @ ( c_2Elist_2ENIL @ sk2 ) @ bool )
    | ~ ( p @ ( c_2Elist_2ENIL @ sk2 ) )
    | ~ ( p @ ( c_2Elist_2ENIL @ sk3 ) )
    | ( ( ap @ ( c_2EerrorStateMonad_2EmapM @ sk3 @ sk3 @ sk3 ) @ sk4 )
     != ( c_2EerrorStateMonad_2EUNIT @ sk1 @ sk1 ) )
    | ( ( c_2Elist_2ENIL @ sk3 )
     != c_2Ebool_2ET ) ),
    inference(simp,[status(thm)],[456])).

thf(1212,plain,
    ( ~ ( mem @ ( c_2Elist_2ENIL @ sk2 ) @ bool )
    | ~ ( p @ ( c_2Elist_2ENIL @ sk2 ) )
    | ( ( ap @ ( c_2EerrorStateMonad_2EmapM @ sk3 @ sk3 @ sk3 ) @ sk4 )
     != ( c_2EerrorStateMonad_2EUNIT @ sk1 @ sk1 ) )
    | ( ( c_2Elist_2ENIL @ sk3 )
     != c_2Ebool_2ET )
    | ( ( p @ ( c_2Elist_2ENIL @ sk3 ) )
     != ( p @ c_2Ebool_2ET ) ) ),
    inference(paramod_ordered,[status(thm)],[53,469])).

thf(1270,plain,
    ( ~ ( mem @ ( c_2Elist_2ENIL @ sk2 ) @ bool )
    | ~ ( p @ ( c_2Elist_2ENIL @ sk2 ) )
    | ( ( ap @ ( c_2EerrorStateMonad_2EmapM @ sk3 @ sk3 @ sk3 ) @ sk4 )
     != ( c_2EerrorStateMonad_2EUNIT @ sk1 @ sk1 ) )
    | ( ( c_2Elist_2ENIL @ sk3 )
     != c_2Ebool_2ET )
    | ( ( c_2Elist_2ENIL @ sk3 )
     != c_2Ebool_2ET ) ),
    inference(simp,[status(thm)],[1212])).

thf(1283,plain,
    ( ~ ( mem @ ( c_2Elist_2ENIL @ sk2 ) @ bool )
    | ~ ( p @ ( c_2Elist_2ENIL @ sk2 ) )
    | ( ( ap @ ( c_2EerrorStateMonad_2EmapM @ sk3 @ sk3 @ sk3 ) @ sk4 )
     != ( c_2EerrorStateMonad_2EUNIT @ sk1 @ sk1 ) )
    | ( ( c_2Elist_2ENIL @ sk3 )
     != c_2Ebool_2ET ) ),
    inference(simp,[status(thm)],[1270])).

thf(820,plain,(
    ! [B: tp__o,A: tp__o] :
      ( ( ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ c_2Ebool_2ET )
        = ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ B ) ) )
      | ( ( inj__o @ fo__c_2Ebool_2ET )
       != ( inj__o @ B ) ) ) ),
    inference(paramod_ordered,[status(thm)],[55,131])).

thf(821,plain,(
    ! [A: tp__o] :
      ( ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( inj__o @ A ) ) @ c_2Ebool_2ET )
      = ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ fo__c_2Ebool_2ET ) ) ) ),
    inference(pattern_uni,[status(thm)],[820:[bind(A,$thf(A)),bind(B,$thf(fo__c_2Ebool_2ET))]])).

thf(9,axiom,(
    ! [A: del,B: del,C: del] :
      ( mem @ ( c_2Ecombin_2Eo @ A @ A @ A ) @ ( arr @ ( arr @ C @ B ) @ ( arr @ ( arr @ A @ C ) @ ( arr @ A @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ecombin_2Eo)).

thf(61,plain,(
    ! [A: del,B: del,C: del] :
      ( mem @ ( c_2Ecombin_2Eo @ A @ A @ A ) @ ( arr @ ( arr @ C @ B ) @ ( arr @ ( arr @ A @ C ) @ ( arr @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(35,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( surj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_iso_mem_o)).

thf(132,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( surj__o @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(8,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2EerrorStateMonad_2Esequence @ A @ A ) @ ( arr @ ( ty_2Elist_2Elist @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ B @ B ) ) ) ) @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ B ) @ ( ty_2Elist_2Elist @ B ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2EerrorStateMonad_2Esequence)).

thf(59,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2EerrorStateMonad_2Esequence @ A @ A ) @ ( arr @ ( ty_2Elist_2Elist @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ B @ B ) ) ) ) @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ B ) @ ( ty_2Elist_2Elist @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(60,plain,(
    ! [B: del,A: del] :
      ( mem @ ( c_2EerrorStateMonad_2Esequence @ A @ A ) @ ( arr @ ( ty_2Elist_2Elist @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ B @ B ) ) ) ) @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ B ) @ ( ty_2Elist_2Elist @ B ) ) ) ) ) ) ),
    inference(cnf,[status(esa)],[59])).

thf(30,axiom,(
    ! [A: del,B: del,C: del,D: del] :
      ( mem @ ( f571 @ C @ D @ C @ D ) @ ( arr @ ( arr @ D @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ C @ C ) ) ) @ ( arr @ ( arr @ D @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ C ) @ ( ty_2Elist_2Elist @ C ) ) ) ) @ ( arr @ D @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ C ) @ ( ty_2Elist_2Elist @ C ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',lamtp_f571)).

thf(117,plain,(
    ! [A: del,B: del] :
      ( mem @ ( f571 @ A @ B @ A @ B ) @ ( arr @ ( arr @ B @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ A @ A ) ) ) @ ( arr @ ( arr @ B @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ A ) @ ( ty_2Elist_2Elist @ A ) ) ) ) @ ( arr @ B @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ A ) @ ( ty_2Elist_2Elist @ A ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(19,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2EerrorStateMonad_2EUNIT @ A @ A ) @ ( arr @ B @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ B @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2EerrorStateMonad_2EUNIT)).

thf(85,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2EerrorStateMonad_2EUNIT @ A @ A ) @ ( arr @ B @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ B @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(24,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',funcext)).

thf(102,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(13,axiom,(
    ! [A: del,B: del,C: del] :
      ( mem @ ( c_2EerrorStateMonad_2EBIND @ A @ A @ A ) @ ( arr @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ B @ B ) ) ) @ ( arr @ ( arr @ B @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ C @ C ) ) ) ) @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ C @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2EerrorStateMonad_2EBIND)).

thf(70,plain,(
    ! [A: del,B: del,C: del] :
      ( mem @ ( c_2EerrorStateMonad_2EBIND @ A @ A @ A ) @ ( arr @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ B @ B ) ) ) @ ( arr @ ( arr @ B @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ C @ C ) ) ) ) @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ C @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(1618,plain,(
    ! [A: tp__o] :
      ( ( ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ c_2Ebool_2ET ) @ c_2Ebool_2ET )
        = ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ A @ fo__c_2Ebool_2ET ) ) )
      | ( ( inj__o @ fo__c_2Ebool_2ET )
       != ( inj__o @ A ) ) ) ),
    inference(paramod_ordered,[status(thm)],[55,821])).

thf(1619,plain,
    ( ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ c_2Ebool_2ET ) @ c_2Ebool_2ET )
    = ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ fo__c_2Ebool_2ET @ fo__c_2Ebool_2ET ) ) ),
    inference(pattern_uni,[status(thm)],[1618:[bind(A,$thf(fo__c_2Ebool_2ET))]])).

thf(1823,plain,(
    ! [A: tp__o] :
      ( ( ( surj__o @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ c_2Ebool_2ET ) @ c_2Ebool_2ET ) )
        = A )
      | ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ fo__c_2Ebool_2ET @ fo__c_2Ebool_2ET ) )
       != ( inj__o @ A ) ) ) ),
    inference(paramod_ordered,[status(thm)],[1619,51])).

thf(1824,plain,
    ( ( fo__c_2Ebool_2E_2F_5C @ fo__c_2Ebool_2ET @ fo__c_2Ebool_2ET )
    = ( surj__o @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ c_2Ebool_2ET ) @ c_2Ebool_2ET ) ) ),
    inference(pattern_uni,[status(thm)],[1823:[bind(A,$thf(fo__c_2Ebool_2E_2F_5C @ fo__c_2Ebool_2ET @ fo__c_2Ebool_2ET))]])).

thf(22,axiom,(
    ! [A: del,B: del,C: del,D: $i] :
      ( ( mem @ D @ ( arr @ B @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ C ) @ ( ty_2Elist_2Elist @ C ) ) ) ) )
     => ! [E: $i] :
          ( ( mem @ E @ C )
         => ( ( ap @ ( f573 @ C @ B @ C @ D ) @ E )
            = ( ap @ ( ap @ ( c_2EerrorStateMonad_2EBIND @ B @ B @ B ) @ D ) @ ( f574 @ B @ C @ E ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',lameq_f573)).

thf(97,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ B ) @ ( ty_2Elist_2Elist @ B ) ) ) ) )
     => ! [D: $i] :
          ( ( mem @ D @ B )
         => ( ( ap @ ( f573 @ B @ A @ B @ C ) @ D )
            = ( ap @ ( ap @ ( c_2EerrorStateMonad_2EBIND @ A @ A @ A ) @ C ) @ ( f574 @ A @ B @ D ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(33,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(127,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(128,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(cnf,[status(esa)],[127])).

thf(41,axiom,(
    ! [A: del,B: del] :
      ( ! [C: $i] :
          ( ( mem @ C @ ( arr @ A @ B ) )
         => ( ( ap @ ( ap @ ( c_2Elist_2EMAP @ A @ A ) @ C ) @ ( c_2Elist_2ENIL @ A ) )
            = ( c_2Elist_2ENIL @ B ) ) )
      & ! [C: $i] :
          ( ( mem @ C @ ( arr @ A @ B ) )
         => ! [D: $i] :
              ( ( mem @ D @ A )
             => ! [E: $i] :
                  ( ( mem @ E @ ( ty_2Elist_2Elist @ A ) )
                 => ( ( ap @ ( ap @ ( c_2Elist_2EMAP @ A @ A ) @ C ) @ ( ap @ ( ap @ ( c_2Elist_2ECONS @ A ) @ D ) @ E ) )
                    = ( ap @ ( ap @ ( c_2Elist_2ECONS @ B ) @ ( ap @ C @ D ) ) @ ( ap @ ( ap @ ( c_2Elist_2EMAP @ A @ A ) @ C ) @ E ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_thm_2Elist_2EMAP)).

thf(149,plain,(
    ! [A: del,B: del] :
      ( ! [C: $i] :
          ( ( mem @ C @ ( arr @ A @ B ) )
         => ( ( ap @ ( ap @ ( c_2Elist_2EMAP @ A @ A ) @ C ) @ ( c_2Elist_2ENIL @ A ) )
            = ( c_2Elist_2ENIL @ B ) ) )
      & ! [C: $i] :
          ( ( mem @ C @ ( arr @ A @ B ) )
         => ! [D: $i] :
              ( ( mem @ D @ A )
             => ! [E: $i] :
                  ( ( mem @ E @ ( ty_2Elist_2Elist @ A ) )
                 => ( ( ap @ ( ap @ ( c_2Elist_2EMAP @ A @ A ) @ C ) @ ( ap @ ( ap @ ( c_2Elist_2ECONS @ A ) @ D ) @ E ) )
                    = ( ap @ ( ap @ ( c_2Elist_2ECONS @ B ) @ ( ap @ C @ D ) ) @ ( ap @ ( ap @ ( c_2Elist_2EMAP @ A @ A ) @ C ) @ E ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).

thf(172,plain,
    ( ( ( ap @ ( c_2EerrorStateMonad_2EmapM @ sk3 @ sk3 @ sk3 ) @ sk4 )
     != ( c_2EerrorStateMonad_2EUNIT @ sk1 @ sk1 ) )
    | ( sk3 != sk2 ) ),
    inference(simp,[status(thm)],[171])).

thf(28,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ B )
     => ( mem @ ( f574 @ A @ B @ C ) @ ( arr @ ( ty_2Elist_2Elist @ B ) @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ B ) @ ( ty_2Elist_2Elist @ B ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',lamtp_f574)).

thf(113,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ B )
     => ( mem @ ( f574 @ A @ B @ C ) @ ( arr @ ( ty_2Elist_2Elist @ B ) @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ B ) @ ( ty_2Elist_2Elist @ B ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(17,axiom,(
    ! [A: del,B: del] :
      ( ( c_2EerrorStateMonad_2Esequence @ A @ A )
      = ( ap @ ( ap @ ( c_2Elist_2EFOLDR @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ B @ B ) ) ) @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ B @ B ) ) ) ) @ ( f571 @ B @ A @ B @ A ) ) @ ( ap @ ( c_2EerrorStateMonad_2EUNIT @ A @ A ) @ ( c_2Elist_2ENIL @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_thm_2EerrorStateMonad_2Esequence__def)).

thf(81,plain,(
    ! [A: del,B: del] :
      ( ( c_2EerrorStateMonad_2Esequence @ A @ A )
      = ( ap @ ( ap @ ( c_2Elist_2EFOLDR @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ B @ B ) ) ) @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ B @ B ) ) ) ) @ ( f571 @ B @ A @ B @ A ) ) @ ( ap @ ( c_2EerrorStateMonad_2EUNIT @ A @ A ) @ ( c_2Elist_2ENIL @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(15,axiom,(
    ! [A: del,B: del,C: del,D: del,E: $i] :
      ( ( mem @ E @ ( arr @ D @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ C @ C ) ) ) )
     => ( ( ap @ ( f571 @ C @ D @ C @ D ) @ E )
        = ( f572 @ D @ C @ C @ D @ E ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',lameq_f571)).

thf(76,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ B @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ A @ A ) ) ) )
     => ( ( ap @ ( f571 @ A @ B @ A @ B ) @ C )
        = ( f572 @ B @ A @ A @ B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(11,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Elist_2ECONS @ A ) @ ( arr @ A @ ( arr @ ( ty_2Elist_2Elist @ A ) @ ( ty_2Elist_2Elist @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Elist_2ECONS)).

thf(66,plain,(
    ! [A: del] :
      ( mem @ ( c_2Elist_2ECONS @ A ) @ ( arr @ A @ ( arr @ ( ty_2Elist_2Elist @ A ) @ ( ty_2Elist_2Elist @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(36,axiom,(
    ! [A: del,B: del,C: del,D: $i] :
      ( ( mem @ D @ ( arr @ A @ ( arr @ B @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ C @ C ) ) ) ) )
     => ( ( ap @ ( c_2EerrorStateMonad_2EmapM @ A @ A @ A ) @ D )
        = ( ap @ ( ap @ ( c_2Ecombin_2Eo @ ( ty_2Elist_2Elist @ A ) @ ( ty_2Elist_2Elist @ A ) @ ( ty_2Elist_2Elist @ A ) ) @ ( c_2EerrorStateMonad_2Esequence @ B @ B ) ) @ ( ap @ ( c_2Elist_2EMAP @ A @ A ) @ D ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_thm_2EerrorStateMonad_2EmapM__def)).

thf(135,plain,(
    ! [A: del,B: del,C: del,D: $i] :
      ( ( mem @ D @ ( arr @ A @ ( arr @ B @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ C @ C ) ) ) ) )
     => ( ( ap @ ( c_2EerrorStateMonad_2EmapM @ A @ A @ A ) @ D )
        = ( ap @ ( ap @ ( c_2Ecombin_2Eo @ ( ty_2Elist_2Elist @ A ) @ ( ty_2Elist_2Elist @ A ) @ ( ty_2Elist_2Elist @ A ) ) @ ( c_2EerrorStateMonad_2Esequence @ B @ B ) ) @ ( ap @ ( c_2Elist_2EMAP @ A @ A ) @ D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(44,axiom,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_2F_5C)).

thf(167,plain,(
    mem @ c_2Ebool_2E_2F_5C @ ( arr @ bool @ ( arr @ bool @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).

thf(27,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Elist_2ENIL @ A ) @ ( ty_2Elist_2Elist @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Elist_2ENIL)).

thf(111,plain,(
    ! [A: del] :
      ( mem @ ( c_2Elist_2ENIL @ A ) @ ( ty_2Elist_2Elist @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(112,plain,(
    ! [A: del] :
      ( mem @ ( c_2Elist_2ENIL @ A ) @ ( ty_2Elist_2Elist @ A ) ) ),
    inference(cnf,[status(esa)],[111])).

thf(40,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
      <=> ! [C: $i] :
            ( ( mem @ C @ A )
           => ( p @ ( ap @ B @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_all_p)).

thf(145,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
         => ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) )
        & ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) )
         => ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).

thf(10,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ B )
     => ! [D: $i] :
          ( ( mem @ D @ ( ty_2Elist_2Elist @ B ) )
         => ( ( ap @ ( f574 @ A @ B @ C ) @ D )
            = ( ap @ ( c_2EerrorStateMonad_2EUNIT @ A @ A ) @ ( ap @ ( ap @ ( c_2Elist_2ECONS @ B ) @ C ) @ D ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',lameq_f574)).

thf(63,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ B )
     => ! [D: $i] :
          ( ( mem @ D @ ( ty_2Elist_2Elist @ B ) )
         => ( ( ap @ ( f574 @ A @ B @ C ) @ D )
            = ( ap @ ( c_2EerrorStateMonad_2EUNIT @ A @ A ) @ ( ap @ ( ap @ ( c_2Elist_2ECONS @ B ) @ C ) @ D ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(1779,plain,(
    ! [A: tp__o] :
      ( ( mem @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ c_2Ebool_2ET ) @ c_2Ebool_2ET ) ) @ c_2Ebool_2ET ) @ bool )
      | ( ( inj__o @ ( fo__c_2Ebool_2E_2F_5C @ fo__c_2Ebool_2ET @ fo__c_2Ebool_2ET ) )
       != ( inj__o @ A ) ) ) ),
    inference(paramod_ordered,[status(thm)],[1619,941])).

thf(1780,plain,(
    mem @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ c_2Ebool_2ET ) @ c_2Ebool_2ET ) ) @ c_2Ebool_2ET ) @ bool ),
    inference(pattern_uni,[status(thm)],[1779:[bind(A,$thf(fo__c_2Ebool_2E_2F_5C @ fo__c_2Ebool_2ET @ fo__c_2Ebool_2ET))]])).

thf(67,plain,(
    ! [A: del] :
      ( mem @ ( c_2Elist_2ECONS @ A ) @ ( arr @ A @ ( arr @ ( ty_2Elist_2Elist @ A ) @ ( ty_2Elist_2Elist @ A ) ) ) ) ),
    inference(cnf,[status(esa)],[66])).

thf(511,plain,(
    ! [A: $i] :
      ( ( A = sk4 )
      | ~ ( mem @ A @ bool )
      | ~ ( p @ sk4 )
      | ( ( arr @ sk3 @ ( arr @ sk1 @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ sk2 @ sk2 ) ) ) )
       != bool )
      | ( ( p @ c_2Ebool_2ET )
       != ( p @ A ) ) ) ),
    inference(paramod_ordered,[status(thm)],[53,333])).

thf(512,plain,
    ( ( sk4 = c_2Ebool_2ET )
    | ~ ( mem @ c_2Ebool_2ET @ bool )
    | ~ ( p @ sk4 )
    | ( ( arr @ sk3 @ ( arr @ sk1 @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ sk2 @ sk2 ) ) ) )
     != bool ) ),
    inference(pattern_uni,[status(thm)],[511:[bind(A,$thf(c_2Ebool_2ET))]])).

thf(599,plain,
    ( ( sk4 = c_2Ebool_2ET )
    | ~ $true
    | ~ ( p @ sk4 )
    | ( ( arr @ sk3 @ ( arr @ sk1 @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ sk2 @ sk2 ) ) ) )
     != bool ) ),
    inference(rewrite,[status(thm)],[512,141])).

thf(600,plain,
    ( ( sk4 = c_2Ebool_2ET )
    | ~ ( p @ sk4 )
    | ( ( arr @ sk3 @ ( arr @ sk1 @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ sk2 @ sk2 ) ) ) )
     != bool ) ),
    inference(simp,[status(thm)],[599])).

thf(14,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
          <=> ( ( p @ A )
              & ( p @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_and_p)).

thf(72,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) )
             => ( ( p @ A )
                & ( p @ B ) ) )
            & ( ( ( p @ A )
                & ( p @ B ) )
             => ( p @ ( ap @ ( ap @ c_2Ebool_2E_2F_5C @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(20,axiom,(
    ! [A: del,B: del,C: del,D: $i] :
      ( ( mem @ D @ ( arr @ A @ B ) )
     => ! [E: $i] :
          ( ( mem @ E @ ( arr @ C @ A ) )
         => ! [F: $i] :
              ( ( mem @ F @ C )
             => ( ( ap @ ( ap @ ( ap @ ( c_2Ecombin_2Eo @ C @ C @ C ) @ D ) @ E ) @ F )
                = ( ap @ D @ ( ap @ E @ F ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ecombin_2Eo__THM)).

thf(87,plain,(
    ! [A: del,B: del,C: del,D: $i] :
      ( ( mem @ D @ ( arr @ A @ B ) )
     => ! [E: $i] :
          ( ( mem @ E @ ( arr @ C @ A ) )
         => ! [F: $i] :
              ( ( mem @ F @ C )
             => ( ( ap @ ( ap @ ( ap @ ( c_2Ecombin_2Eo @ C @ C @ C ) @ D ) @ E ) @ F )
                = ( ap @ D @ ( ap @ E @ F ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(31,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
          <=> ( B = C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_eq_p)).

thf(119,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
             => ( B = C ) )
            & ( ( B = C )
             => ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(57,plain,(
    ! [D: $i,C: $i,B: del,A: del] :
      ( ~ ( mem @ C @ ( arr @ B @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ A @ A ) ) ) )
      | ~ ( mem @ D @ ( arr @ B @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ A ) @ ( ty_2Elist_2Elist @ A ) ) ) ) )
      | ( ( ap @ ( f572 @ B @ A @ A @ B @ C ) @ D )
        = ( ap @ ( ap @ ( c_2EerrorStateMonad_2EBIND @ B @ B @ B ) @ C ) @ ( f573 @ A @ B @ A @ D ) ) ) ) ),
    inference(cnf,[status(esa)],[56])).

thf(58,plain,(
    ! [D: $i,C: $i,B: del,A: del] :
      ( ( ( ap @ ( f572 @ B @ A @ A @ B @ C ) @ D )
        = ( ap @ ( ap @ ( c_2EerrorStateMonad_2EBIND @ B @ B @ B ) @ C ) @ ( f573 @ A @ B @ A @ D ) ) )
      | ~ ( mem @ C @ ( arr @ B @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ A @ A ) ) ) )
      | ~ ( mem @ D @ ( arr @ B @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ A ) @ ( ty_2Elist_2Elist @ A ) ) ) ) ) ) ),
    inference(lifteq,[status(thm)],[57])).

thf(1312,plain,
    ( ~ ( p @ ( c_2Elist_2ENIL @ sk2 ) )
    | ( ( ap @ ( c_2EerrorStateMonad_2EmapM @ sk3 @ sk3 @ sk3 ) @ sk4 )
     != ( c_2EerrorStateMonad_2EUNIT @ sk1 @ sk1 ) )
    | ( ( c_2Elist_2ENIL @ sk3 )
     != c_2Ebool_2ET )
    | ( ( mem @ ( c_2Elist_2ENIL @ sk2 ) @ bool )
     != ( mem @ c_2Ebool_2ET @ bool ) ) ),
    inference(paramod_ordered,[status(thm)],[141,1283])).

thf(1356,plain,
    ( ~ ( p @ ( c_2Elist_2ENIL @ sk2 ) )
    | ( ( ap @ ( c_2EerrorStateMonad_2EmapM @ sk3 @ sk3 @ sk3 ) @ sk4 )
     != ( c_2EerrorStateMonad_2EUNIT @ sk1 @ sk1 ) )
    | ( ( c_2Elist_2ENIL @ sk3 )
     != c_2Ebool_2ET )
    | ( ( c_2Elist_2ENIL @ sk2 )
     != c_2Ebool_2ET )
    | ( bool != bool ) ),
    inference(simp,[status(thm)],[1312])).

thf(1375,plain,
    ( ~ ( p @ ( c_2Elist_2ENIL @ sk2 ) )
    | ( ( ap @ ( c_2EerrorStateMonad_2EmapM @ sk3 @ sk3 @ sk3 ) @ sk4 )
     != ( c_2EerrorStateMonad_2EUNIT @ sk1 @ sk1 ) )
    | ( ( c_2Elist_2ENIL @ sk3 )
     != c_2Ebool_2ET )
    | ( ( c_2Elist_2ENIL @ sk2 )
     != c_2Ebool_2ET ) ),
    inference(simp,[status(thm)],[1356])).

thf(2114,plain,
    ( ( ( ap @ ( c_2EerrorStateMonad_2EmapM @ sk3 @ sk3 @ sk3 ) @ sk4 )
     != ( c_2EerrorStateMonad_2EUNIT @ sk1 @ sk1 ) )
    | ( ( c_2Elist_2ENIL @ sk3 )
     != c_2Ebool_2ET )
    | ( ( c_2Elist_2ENIL @ sk2 )
     != c_2Ebool_2ET )
    | ( ( p @ ( c_2Elist_2ENIL @ sk2 ) )
     != ( p @ c_2Ebool_2ET ) ) ),
    inference(paramod_ordered,[status(thm)],[53,1375])).

thf(2147,plain,
    ( ( ( ap @ ( c_2EerrorStateMonad_2EmapM @ sk3 @ sk3 @ sk3 ) @ sk4 )
     != ( c_2EerrorStateMonad_2EUNIT @ sk1 @ sk1 ) )
    | ( ( c_2Elist_2ENIL @ sk3 )
     != c_2Ebool_2ET )
    | ( ( c_2Elist_2ENIL @ sk2 )
     != c_2Ebool_2ET )
    | ( ( c_2Elist_2ENIL @ sk2 )
     != c_2Ebool_2ET ) ),
    inference(simp,[status(thm)],[2114])).

thf(2155,plain,
    ( ( ( ap @ ( c_2EerrorStateMonad_2EmapM @ sk3 @ sk3 @ sk3 ) @ sk4 )
     != ( c_2EerrorStateMonad_2EUNIT @ sk1 @ sk1 ) )
    | ( ( c_2Elist_2ENIL @ sk3 )
     != c_2Ebool_2ET )
    | ( ( c_2Elist_2ENIL @ sk2 )
     != c_2Ebool_2ET ) ),
    inference(simp,[status(thm)],[2147])).

thf(25,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Elist_2EMAP @ A @ A ) @ ( arr @ ( arr @ A @ B ) @ ( arr @ ( ty_2Elist_2Elist @ A ) @ ( ty_2Elist_2Elist @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Elist_2EMAP)).

thf(107,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Elist_2EMAP @ A @ A ) @ ( arr @ ( arr @ A @ B ) @ ( arr @ ( ty_2Elist_2Elist @ A ) @ ( ty_2Elist_2Elist @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(16,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ap_tp)).

thf(79,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(12,axiom,(
    ! [A: del,B: del,C: del,D: $i] :
      ( ( mem @ D @ ( arr @ B @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ C ) @ ( ty_2Elist_2Elist @ C ) ) ) ) )
     => ( mem @ ( f573 @ C @ B @ C @ D ) @ ( arr @ C @ ( arr @ B @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ C ) @ ( ty_2Elist_2Elist @ C ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',lamtp_f573)).

thf(68,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ B ) @ ( ty_2Elist_2Elist @ B ) ) ) ) )
     => ( mem @ ( f573 @ B @ A @ B @ C ) @ ( arr @ B @ ( arr @ A @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ B ) @ ( ty_2Elist_2Elist @ B ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(502,plain,(
    ! [B: tp__o,A: $i] :
      ( ~ ( mem @ A @ bool )
      | ~ ( p @ sk4 )
      | ~ ( p @ A )
      | ( ( arr @ sk3 @ ( arr @ sk1 @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ sk2 @ sk2 ) ) ) )
       != bool )
      | ( mem @ sk4 @ bool )
      | ( A
       != ( inj__o @ B ) ) ) ),
    inference(paramod_ordered,[status(thm)],[333,110])).

thf(503,plain,(
    ! [A: tp__o] :
      ( ~ ( mem @ ( inj__o @ A ) @ bool )
      | ~ ( p @ sk4 )
      | ~ ( p @ ( inj__o @ A ) )
      | ( ( arr @ sk3 @ ( arr @ sk1 @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ sk2 @ sk2 ) ) ) )
       != bool )
      | ( mem @ sk4 @ bool ) ) ),
    inference(pattern_uni,[status(thm)],[502:[bind(A,$thf(inj__o @ C)),bind(B,$thf(C))]])).

thf(605,plain,(
    ! [A: tp__o] :
      ( ~ ( mem @ ( inj__o @ A ) @ bool )
      | ~ ( p @ sk4 )
      | ~ ( p @ ( inj__o @ A ) )
      | ( ( arr @ sk3 @ ( arr @ sk1 @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ sk2 @ sk2 ) ) ) )
       != bool )
      | ( mem @ sk4 @ bool ) ) ),
    inference(simp,[status(thm)],[503])).

thf(606,plain,(
    ! [A: tp__o] :
      ( ~ $true
      | ~ ( p @ sk4 )
      | ~ ( p @ ( inj__o @ A ) )
      | ( ( arr @ sk3 @ ( arr @ sk1 @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ sk2 @ sk2 ) ) ) )
       != bool )
      | ( mem @ sk4 @ bool ) ) ),
    inference(rewrite,[status(thm)],[605,110])).

thf(607,plain,(
    ! [A: tp__o] :
      ( ~ ( p @ sk4 )
      | ~ ( p @ ( inj__o @ A ) )
      | ( ( arr @ sk3 @ ( arr @ sk1 @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ sk2 @ sk2 ) ) ) )
       != bool )
      | ( mem @ sk4 @ bool ) ) ),
    inference(simp,[status(thm)],[606])).

thf(21,axiom,(
    ! [A: del,B: del] :
      ( ! [C: $i] :
          ( ( mem @ C @ ( arr @ A @ ( arr @ B @ B ) ) )
         => ! [D: $i] :
              ( ( mem @ D @ B )
             => ( ( ap @ ( ap @ ( ap @ ( c_2Elist_2EFOLDR @ A @ A ) @ C ) @ D ) @ ( c_2Elist_2ENIL @ A ) )
                = D ) ) )
      & ! [C: $i] :
          ( ( mem @ C @ ( arr @ A @ ( arr @ B @ B ) ) )
         => ! [D: $i] :
              ( ( mem @ D @ B )
             => ! [E: $i] :
                  ( ( mem @ E @ A )
                 => ! [F: $i] :
                      ( ( mem @ F @ ( ty_2Elist_2Elist @ A ) )
                     => ( ( ap @ ( ap @ ( ap @ ( c_2Elist_2EFOLDR @ A @ A ) @ C ) @ D ) @ ( ap @ ( ap @ ( c_2Elist_2ECONS @ A ) @ E ) @ F ) )
                        = ( ap @ ( ap @ C @ E ) @ ( ap @ ( ap @ ( ap @ ( c_2Elist_2EFOLDR @ A @ A ) @ C ) @ D ) @ F ) ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_thm_2Elist_2EFOLDR)).

thf(90,plain,(
    ! [A: del,B: del] :
      ( ! [C: $i] :
          ( ( mem @ C @ ( arr @ A @ ( arr @ B @ B ) ) )
         => ! [D: $i] :
              ( ( mem @ D @ B )
             => ( ( ap @ ( ap @ ( ap @ ( c_2Elist_2EFOLDR @ A @ A ) @ C ) @ D ) @ ( c_2Elist_2ENIL @ A ) )
                = D ) ) )
      & ! [C: $i] :
          ( ( mem @ C @ ( arr @ A @ ( arr @ B @ B ) ) )
         => ! [D: $i] :
              ( ( mem @ D @ B )
             => ! [E: $i] :
                  ( ( mem @ E @ A )
                 => ! [F: $i] :
                      ( ( mem @ F @ ( ty_2Elist_2Elist @ A ) )
                     => ( ( ap @ ( ap @ ( ap @ ( c_2Elist_2EFOLDR @ A @ A ) @ C ) @ D ) @ ( ap @ ( ap @ ( c_2Elist_2ECONS @ A ) @ E ) @ F ) )
                        = ( ap @ ( ap @ C @ E ) @ ( ap @ ( ap @ ( ap @ ( c_2Elist_2EFOLDR @ A @ A ) @ C ) @ D ) @ F ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(23,axiom,(
    ! [A: del,B: del,C: del,D: del,E: $i] :
      ( ( mem @ E @ ( arr @ D @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ C @ C ) ) ) )
     => ( mem @ ( f572 @ D @ C @ C @ D @ E ) @ ( arr @ ( arr @ D @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ C ) @ ( ty_2Elist_2Elist @ C ) ) ) ) @ ( arr @ D @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ C ) @ ( ty_2Elist_2Elist @ C ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',lamtp_f572)).

thf(100,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ B @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ A @ A ) ) ) )
     => ( mem @ ( f572 @ B @ A @ A @ B @ C ) @ ( arr @ ( arr @ B @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ A ) @ ( ty_2Elist_2Elist @ A ) ) ) ) @ ( arr @ B @ ( ty_2Eoption_2Eoption @ ( ty_2Epair_2Eprod @ ( ty_2Elist_2Elist @ A ) @ ( ty_2Elist_2Elist @ A ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(11733,plain,(
    $false ),
    inference(cvc4,[status(thm)],[138,333,941,115,56,142,174,52,110,125,157,1013,1040,84,1283,821,61,132,60,117,85,102,70,1824,97,156,53,141,109,339,129,128,45,149,59,54,49,172,113,81,76,66,135,167,112,145,48,63,887,1780,67,127,600,72,87,158,55,171,119,58,2155,51,107,79,131,47,163,68,607,90,111,100])).
%------------------------------------------------------------------------------
