%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:38:12 EDT 2019

% Result     : Theorem 6.77s
% Output     : CNFRefutation 7.04s
% Verified   : 
% Statistics : Number of formulae       :   56 (  71 expanded)
%              Number of leaves         :   30 (  36 expanded)
%              Depth                    :    5
%              Number of atoms          :  229 ( 375 expanded)
%              Number of equality atoms :   46 (  92 expanded)
%              Maximal formula depth    :    8 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebag_2EBAG__INSERT_type,type,(
    c_2Ebag_2EBAG__INSERT: 
      !>[TA: $tType] :
        ( TA > ( TA > tyop_2Enum_2Enum ) > TA > tyop_2Enum_2Enum ) )).

thf(c_2Ebag_2EEL__BAG_type,type,(
    c_2Ebag_2EEL__BAG: 
      !>[TA: $tType] :
        ( TA > TA > tyop_2Enum_2Enum ) )).

thf(c_2Ebag_2EEMPTY__BAG_type,type,(
    c_2Ebag_2EEMPTY__BAG: 
      !>[TA: $tType] :
        ( TA > tyop_2Enum_2Enum ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Ebag_2ESING__BAG_type,type,(
    c_2Ebag_2ESING__BAG: 
      !>[TA: $tType] :
        ( ( TA > tyop_2Enum_2Enum ) > $o ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: skt1 )).

thf(12,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(52,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(55,plain,
    ( ( c_2Ebool_2E_7E @ $false )
    = ( ~ $false ) ),
    inference(instance,[status(thm)],[52])).

thf(56,plain,(
    c_2Ebool_2E_7E @ $false ),
    inference(simp,[status(thm)],[55])).

thf(9,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(37,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(57,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(6,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Ebag_2EEL__BAG @ TA @ A )
      = ( c_2Ebag_2EBAG__INSERT @ TA @ A @ ( c_2Ebag_2EEMPTY__BAG @ TA ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebag_2EEL__BAG)).

thf(29,plain,(
    ! [TA: $tType,A: TA] :
      ( ( c_2Ebag_2EEL__BAG @ TA @ A )
      = ( c_2Ebag_2EBAG__INSERT @ TA @ A @ ( c_2Ebag_2EEMPTY__BAG @ TA ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(5,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(28,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(7,axiom,(
    ! [TA: $tType,A: TA] :
      ( c_2Ebag_2ESING__BAG @ TA @ ( c_2Ebag_2EBAG__INSERT @ TA @ A @ ( c_2Ebag_2EEMPTY__BAG @ TA ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebag_2ESING__BAG__THM)).

thf(32,plain,(
    ! [TA: $tType,A: TA] :
      ( c_2Ebag_2ESING__BAG @ TA @ ( c_2Ebag_2EBAG__INSERT @ TA @ A @ ( c_2Ebag_2EEMPTY__BAG @ TA ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(8,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(34,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(11,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(43,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(44,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $true )
    = ( $true
     => $true ) ),
    inference(instance,[status(thm)],[43])).

thf(45,plain,(
    c_2Emin_2E_3D_3D_3E @ $true @ $true ),
    inference(simp,[status(thm)],[44])).

thf(3,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(17,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(18,plain,
    ( ( ( c_2Ebool_2ET = $true )
      = $true )
    & ( ( $true = c_2Ebool_2ET )
      = $true )
    & ( ( c_2Ebool_2EF = $true )
      = ( ~ $true ) )
    & ( ( $true = c_2Ebool_2EF )
      = ( ~ $true ) ) ),
    inference(instance,[status(thm)],[17])).

thf(19,plain,
    ( c_2Ebool_2ET
    & ~ c_2Ebool_2EF
    & ~ c_2Ebool_2EF ),
    inference(simp,[status(thm)],[18])).

thf(22,plain,(
    ~ c_2Ebool_2EF ),
    inference(cnf,[status(esa)],[19])).

thf(53,plain,
    ( ( c_2Ebool_2E_7E @ $true )
    = ( ~ $true ) ),
    inference(instance,[status(thm)],[52])).

thf(54,plain,(
    ~ ( c_2Ebool_2E_7E @ $true ) ),
    inference(simp,[status(thm)],[53])).

thf(14,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(66,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(1,conjecture,(
    ! [TA: $tType,A: TA] :
      ( c_2Ebag_2ESING__BAG @ TA @ ( c_2Ebag_2EEL__BAG @ TA @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebag_2ESING__EL__BAG)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: TA] :
        ( c_2Ebag_2ESING__BAG @ TA @ ( c_2Ebag_2EEL__BAG @ TA @ A ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(15,plain,(
    ~ ! [TA: $tType,A: TA] :
        ( c_2Ebag_2ESING__BAG @ TA @ ( c_2Ebag_2EEL__BAG @ TA @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(16,plain,(
    ~ ( c_2Ebag_2ESING__BAG @ skt1 @ ( c_2Ebag_2EEL__BAG @ skt1 @ sk1 ) ) ),
    inference(cnf,[status(esa)],[15])).

thf(10,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(40,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(4,axiom,(
    ! [TA: $tType,A: $o] :
      ( ( ! [B: TA] : A )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).

thf(26,plain,(
    ! [TA: $tType] : $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(23,plain,(
    c_2Ebool_2ET ),
    inference(cnf,[status(esa)],[19])).

thf(83,plain,(
    $false ),
    inference(iprover,[status(thm)],[56,37,52,57,29,28,32,34,45,17,22,54,66,16,43,40,26,23,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.00/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.11/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.13  % CPULimit   : 300
% 0.11/0.13  % DateTime   : Tue Jul 30 20:09:44 EDT 2019
% 0.11/0.13  % CPUTime    : 
% 2.84/1.22  % [INFO] 	 Running in sequential loop mode. 
% 3.45/1.45  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.99/1.52  % [INFO] 	 iprover registered as external prover. 
% 3.99/1.52  % [INFO] 	 e registered as external prover. 
% 3.99/1.52  % [INFO] 	 cvc4 registered as external prover. 
% 4.11/1.52  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.11/1.57  % [INFO] 	 Found a conjecture and 12 axioms. Running axiom selection ... 
% 4.11/1.61  % [INFO] 	 Axiom selection finished. Selected 12 axioms (removed 0 axioms). 
% 4.50/1.65  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.77/2.38  % [INFO] 	 Killing All external provers ... 
% 6.77/2.38  % Time passed: 2120ms
% 6.77/2.38  % Effective reasoning time: 1150ms
% 6.77/2.38  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.77/2.38  % Axioms used in derivation (12): logicdef_2E_3D, thm_2Ebool_2EEQ__CLAUSES, thm_2Ebag_2ESING__BAG__THM, logicdef_2E_5C_2F, quantdef_2E_21, thm_2Ebool_2ETRUTH, logicdef_2E_3D_3D_3E, thm_2Ebag_2EEL__BAG, thm_2Ebool_2EFORALL__SIMP, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 6.77/2.38  % No. of inferences in proof: 39
% 6.77/2.38  % No. of processed clauses: 7
% 6.77/2.38  % No. of generated clauses: 2
% 6.77/2.38  % No. of forward subsumed clauses: 3
% 6.77/2.38  % No. of backward subsumed clauses: 0
% 6.77/2.38  % No. of ground rewrite rules in store: 6
% 6.77/2.38  % No. of non-ground rewrite rules in store: 0
% 6.77/2.38  % No. of positive (non-rewrite) units in store: 1
% 6.77/2.38  % No. of negative (non-rewrite) units in store: 0
% 6.77/2.39  % No. of choice functions detected: 0
% 6.77/2.39  % No. of choice instantiations: 0
% 6.77/2.39  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2120 ms resp. 1150 ms w/o parsing
% 7.04/2.41  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.04/2.41  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 7.04/2.41  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 7.04/2.41  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 7.04/2.41  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 7.04/2.41  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 7.04/2.41  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 7.04/2.41  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 7.04/2.41  thf(c_2Ebag_2EBAG__INSERT_type, type, c_2Ebag_2EBAG__INSERT: !>[TA: $tType]: (TA > ((TA > tyop_2Enum_2Enum) > (TA > tyop_2Enum_2Enum)))).
% 7.04/2.41  thf(c_2Ebag_2EEL__BAG_type, type, c_2Ebag_2EEL__BAG: !>[TA: $tType]: (TA > (TA > tyop_2Enum_2Enum))).
% 7.04/2.41  thf(c_2Ebag_2EEMPTY__BAG_type, type, c_2Ebag_2EEMPTY__BAG: !>[TA: $tType]: (TA > tyop_2Enum_2Enum)).
% 7.04/2.41  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 7.04/2.41  thf(c_2Ebag_2ESING__BAG_type, type, c_2Ebag_2ESING__BAG: !>[TA: $tType]: ((TA > tyop_2Enum_2Enum) > $o)).
% 7.04/2.41  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 7.04/2.41  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 7.04/2.41  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 7.04/2.41  thf(skt1_type, type, skt1: $tType).
% 7.04/2.41  thf(sk1_type, type, sk1: skt1).
% 7.04/2.41  thf(12,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 7.04/2.41  thf(52,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 7.04/2.41  thf(55,plain,(((c_2Ebool_2E_7E @ $false) = (~ ($false)))),inference(instance,[status(thm)],[52])).
% 7.04/2.41  thf(56,plain,((c_2Ebool_2E_7E @ $false)),inference(simp,[status(thm)],[55])).
% 7.04/2.41  thf(9,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).
% 7.04/2.41  thf(37,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 7.04/2.41  thf(13,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 7.04/2.41  thf(57,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 7.04/2.41  thf(6,axiom,((! [TA: $tType]: (! [A:TA]: ((c_2Ebag_2EEL__BAG @ TA @ A) = (c_2Ebag_2EBAG__INSERT @ TA @ A @ (c_2Ebag_2EEMPTY__BAG @ TA)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebag_2EEL__BAG)).
% 7.04/2.41  thf(29,plain,((! [TA: $tType]: (! [A:TA]: ((c_2Ebag_2EEL__BAG @ TA @ A) = (c_2Ebag_2EBAG__INSERT @ TA @ A @ (c_2Ebag_2EEMPTY__BAG @ TA)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 7.04/2.41  thf(5,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 7.04/2.41  thf(28,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 7.04/2.41  thf(7,axiom,((! [TA: $tType]: (! [A:TA]: (c_2Ebag_2ESING__BAG @ TA @ (c_2Ebag_2EBAG__INSERT @ TA @ A @ (c_2Ebag_2EEMPTY__BAG @ TA)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebag_2ESING__BAG__THM)).
% 7.04/2.41  thf(32,plain,((! [TA: $tType]: (! [A:TA]: (c_2Ebag_2ESING__BAG @ TA @ (c_2Ebag_2EBAG__INSERT @ TA @ A @ (c_2Ebag_2EEMPTY__BAG @ TA)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 7.04/2.41  thf(8,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 7.04/2.41  thf(34,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 7.04/2.41  thf(11,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 7.04/2.41  thf(43,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 7.04/2.41  thf(44,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $true) = (($true) => ($true)))),inference(instance,[status(thm)],[43])).
% 7.04/2.41  thf(45,plain,((c_2Emin_2E_3D_3D_3E @ $true @ $true)),inference(simp,[status(thm)],[44])).
% 7.04/2.41  thf(3,axiom,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).
% 7.04/2.41  thf(17,plain,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 7.04/2.41  thf(18,plain,((((c_2Ebool_2ET = $true) = $true) & (($true = c_2Ebool_2ET) = $true) & ((c_2Ebool_2EF = $true) = (~ ($true))) & (($true = c_2Ebool_2EF) = (~ ($true))))),inference(instance,[status(thm)],[17])).
% 7.04/2.41  thf(19,plain,(((c_2Ebool_2ET) & ~ (c_2Ebool_2EF) & ~ (c_2Ebool_2EF))),inference(simp,[status(thm)],[18])).
% 7.04/2.41  thf(22,plain,(~ (c_2Ebool_2EF)),inference(cnf,[status(esa)],[19])).
% 7.04/2.41  thf(53,plain,(((c_2Ebool_2E_7E @ $true) = (~ ($true)))),inference(instance,[status(thm)],[52])).
% 7.04/2.41  thf(54,plain,((~ (c_2Ebool_2E_7E @ $true))),inference(simp,[status(thm)],[53])).
% 7.04/2.41  thf(14,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 7.04/2.41  thf(66,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 7.04/2.41  thf(1,conjecture,((! [TA: $tType]: (! [A:TA]: (c_2Ebag_2ESING__BAG @ TA @ (c_2Ebag_2EEL__BAG @ TA @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebag_2ESING__EL__BAG)).
% 7.04/2.41  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:TA]: (c_2Ebag_2ESING__BAG @ TA @ (c_2Ebag_2EEL__BAG @ TA @ A)))))),inference(neg_conjecture,[status(cth)],[1])).
% 7.04/2.41  thf(15,plain,((~ (! [TA: $tType]: (! [A:TA]: (c_2Ebag_2ESING__BAG @ TA @ (c_2Ebag_2EEL__BAG @ TA @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 7.04/2.41  thf(16,plain,((~ (c_2Ebag_2ESING__BAG @ skt1 @ (c_2Ebag_2EEL__BAG @ skt1 @ sk1)))),inference(cnf,[status(esa)],[15])).
% 7.04/2.41  thf(10,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 7.04/2.41  thf(40,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 7.04/2.41  thf(4,axiom,((! [TA: $tType]: (! [A:$o]: ((! [B:TA]: (A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).
% 7.04/2.41  thf(26,plain,((! [TA: $tType]: ($true))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 7.04/2.41  thf(23,plain,(c_2Ebool_2ET),inference(cnf,[status(esa)],[19])).
% 7.04/2.41  thf(83,plain,($false),inference(iprover,[status(thm)],[56,37,52,57,29,28,32,34,45,17,22,54,66,16,43,40,26,23,15])).
% 7.04/2.41  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 7.04/2.41  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
