%------------------------------------------------------------------------------
thf(del_type,type,(
    del: $tType )).

thf(bool_type,type,(
    bool: del )).

thf(arr_type,type,(
    arr: del > del > del )).

thf(mem_type,type,(
    mem: $i > del > $o )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(lam_type,type,(
    lam: del > ( $i > $i ) > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(inj__o_type,type,(
    inj__o: $o > $i )).

thf(ty_2Elist_2Elist_type,type,(
    ty_2Elist_2Elist: del > del )).

thf(c_2Elist_2EAPPEND_type,type,(
    c_2Elist_2EAPPEND: del > $i )).

thf(ty_2Epair_2Eprod_type,type,(
    ty_2Epair_2Eprod: del > del > del )).

thf(tp__c_ty_2Elist_2Elist_o_type,type,(
    tp__c_ty_2Elist_2Elist_o: $tType )).

thf(inj__c_ty_2Elist_2Elist_o_type,type,(
    inj__c_ty_2Elist_2Elist_o: tp__c_ty_2Elist_2Elist_o > $i )).

thf(surj__c_ty_2Elist_2Elist_o_type,type,(
    surj__c_ty_2Elist_2Elist_o: $i > tp__c_ty_2Elist_2Elist_o )).

thf(c_2EEncode_2Eencode__prod_type,type,(
    c_2EEncode_2Eencode__prod: del > del > $i )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $i )).

thf(fo__c_2Ebool_2ET_type,type,(
    fo__c_2Ebool_2ET: $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: del > $i )).

thf(c_2Epair_2EFST_type,type,(
    c_2Epair_2EFST: del > del > $i )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: del > del > $i )).

thf(c_2Epair_2ESND_type,type,(
    c_2Epair_2ESND: del > del > $i )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: del > $i )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: del > $i )).

thf(10,axiom,(
    ! [A: tp__c_ty_2Elist_2Elist_o] :
      ( ( surj__c_ty_2Elist_2Elist_o @ ( inj__c_ty_2Elist_2Elist_o @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Elist_2Elist_o)).

thf(56,plain,(
    ! [A: tp__c_ty_2Elist_2Elist_o] :
      ( ( surj__c_ty_2Elist_2Elist_o @ ( inj__c_ty_2Elist_2Elist_o @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(5,axiom,(
    p @ c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_true_p)).

thf(42,plain,(
    p @ c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(29,axiom,(
    mem @ c_2Ebool_2ET @ bool ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2ET)).

thf(110,plain,(
    mem @ c_2Ebool_2ET @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(20,axiom,(
    ! [A: tp__c_ty_2Elist_2Elist_o] :
      ( mem @ ( inj__c_ty_2Elist_2Elist_o @ A ) @ ( ty_2Elist_2Elist @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Elist_2Elist_o)).

thf(84,plain,(
    ! [A: tp__c_ty_2Elist_2Elist_o] :
      ( mem @ ( inj__c_ty_2Elist_2Elist_o @ A ) @ ( ty_2Elist_2Elist @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(12,axiom,(
    ! [A: $o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_mem_o)).

thf(61,plain,(
    ! [A: $o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(22,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2EFST @ A @ B ) @ ( arr @ ( ty_2Epair_2Eprod @ A @ B ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Epair_2EFST)).

thf(89,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2EFST @ A @ B ) @ ( arr @ ( ty_2Epair_2Eprod @ A @ B ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(17,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',funcext)).

thf(74,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(27,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Elist_2Elist @ bool ) )
     => ( A
        = ( inj__c_ty_2Elist_2Elist_o @ ( surj__c_ty_2Elist_2Elist_o @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Elist_2Elist_o)).

thf(102,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Elist_2Elist @ bool ) )
     => ( A
        = ( inj__c_ty_2Elist_2Elist_o @ ( surj__c_ty_2Elist_2Elist_o @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(1,conjecture,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ ( ty_2Elist_2Elist @ bool ) ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ B @ ( ty_2Elist_2Elist @ bool ) ) )
         => ! [E: $i] :
              ( ( mem @ E @ ( ty_2Epair_2Eprod @ A @ B ) )
             => ( ( surj__c_ty_2Elist_2Elist_o @ ( ap @ ( ap @ ( ap @ ( c_2EEncode_2Eencode__prod @ A @ B ) @ C ) @ D ) @ E ) )
                = ( surj__c_ty_2Elist_2Elist_o @ ( ap @ ( ap @ ( c_2Elist_2EAPPEND @ bool ) @ ( ap @ C @ ( ap @ ( c_2Epair_2EFST @ A @ B ) @ E ) ) ) @ ( ap @ D @ ( ap @ ( c_2Epair_2ESND @ A @ B ) @ E ) ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2EEncode_2Eencode__prod__alt)).

thf(2,negated_conjecture,(
    ~ ! [A: del,B: del,C: $i] :
        ( ( mem @ C @ ( arr @ A @ ( ty_2Elist_2Elist @ bool ) ) )
       => ! [D: $i] :
            ( ( mem @ D @ ( arr @ B @ ( ty_2Elist_2Elist @ bool ) ) )
           => ! [E: $i] :
                ( ( mem @ E @ ( ty_2Epair_2Eprod @ A @ B ) )
               => ( ( surj__c_ty_2Elist_2Elist_o @ ( ap @ ( ap @ ( ap @ ( c_2EEncode_2Eencode__prod @ A @ B ) @ C ) @ D ) @ E ) )
                  = ( surj__c_ty_2Elist_2Elist_o @ ( ap @ ( ap @ ( c_2Elist_2EAPPEND @ bool ) @ ( ap @ C @ ( ap @ ( c_2Epair_2EFST @ A @ B ) @ E ) ) ) @ ( ap @ D @ ( ap @ ( c_2Epair_2ESND @ A @ B ) @ E ) ) ) ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(33,plain,(
    ~ ! [A: del,B: del,C: $i] :
        ( ( mem @ C @ ( arr @ A @ ( ty_2Elist_2Elist @ bool ) ) )
       => ! [D: $i] :
            ( ( mem @ D @ ( arr @ B @ ( ty_2Elist_2Elist @ bool ) ) )
           => ! [E: $i] :
                ( ( mem @ E @ ( ty_2Epair_2Eprod @ A @ B ) )
               => ( ( surj__c_ty_2Elist_2Elist_o @ ( ap @ ( ap @ ( ap @ ( c_2EEncode_2Eencode__prod @ A @ B ) @ C ) @ D ) @ E ) )
                  = ( surj__c_ty_2Elist_2Elist_o @ ( ap @ ( ap @ ( c_2Elist_2EAPPEND @ bool ) @ ( ap @ C @ ( ap @ ( c_2Epair_2EFST @ A @ B ) @ E ) ) ) @ ( ap @ D @ ( ap @ ( c_2Epair_2ESND @ A @ B ) @ E ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(9,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
        = ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_all_p)).

thf(53,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
        = ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(25,axiom,(
    ! [A: del,B: $i > $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( lam @ A @ B ) @ C )
        = ( B @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',beta)).

thf(96,plain,(
    ! [A: del,B: $i > $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( lam @ A @ B ) @ C )
        = ( B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(28,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( ty_2Epair_2Eprod @ A @ B ) )
     => ? [D: $i] :
          ( ( mem @ D @ A )
          & ? [E: $i] :
              ( ( mem @ E @ B )
              & ( C
                = ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ B ) @ D ) @ E ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Epair_2EABS__PAIR__THM)).

thf(105,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( ty_2Epair_2Eprod @ A @ B ) )
     => ? [D: $i] :
          ( ( mem @ D @ A )
          & ? [E: $i] :
              ( ( mem @ E @ B )
              & ( C
                = ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ B ) @ D ) @ E ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(13,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(64,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(11,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(59,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(16,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ ( ty_2Elist_2Elist @ bool ) ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ B @ ( ty_2Elist_2Elist @ bool ) ) )
         => ! [E: $i] :
              ( ( mem @ E @ A )
             => ! [F: $i] :
                  ( ( mem @ F @ B )
                 => ( ( surj__c_ty_2Elist_2Elist_o @ ( ap @ ( ap @ ( ap @ ( c_2EEncode_2Eencode__prod @ A @ B ) @ C ) @ D ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ B ) @ E ) @ F ) ) )
                    = ( surj__c_ty_2Elist_2Elist_o @ ( ap @ ( ap @ ( c_2Elist_2EAPPEND @ bool ) @ ( ap @ C @ E ) ) @ ( ap @ D @ F ) ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_thm_2EEncode_2Eencode__prod__def)).

thf(71,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ ( ty_2Elist_2Elist @ bool ) ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ B @ ( ty_2Elist_2Elist @ bool ) ) )
         => ! [E: $i] :
              ( ( mem @ E @ A )
             => ! [F: $i] :
                  ( ( mem @ F @ B )
                 => ( ( surj__c_ty_2Elist_2Elist_o @ ( ap @ ( ap @ ( ap @ ( c_2EEncode_2Eencode__prod @ A @ B ) @ C ) @ D ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ B ) @ E ) @ F ) ) )
                    = ( surj__c_ty_2Elist_2Elist_o @ ( ap @ ( ap @ ( c_2Elist_2EAPPEND @ bool ) @ ( ap @ C @ E ) ) @ ( ap @ D @ F ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(21,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ B ) )
        = ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_ex_p)).

thf(86,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_3F @ A ) @ B ) )
        = ( ? [C: $i] :
              ( ( mem @ C @ A )
              & ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(19,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ A )
     => ! [D: $i] :
          ( ( mem @ D @ B )
         => ( ( ap @ ( c_2Epair_2EFST @ A @ B ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ B ) @ C ) @ D ) )
            = C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Epair_2EFST)).

thf(81,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ A )
     => ! [D: $i] :
          ( ( mem @ D @ B )
         => ( ( ap @ ( c_2Epair_2EFST @ A @ B ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ B ) @ C ) @ D ) )
            = C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(3,axiom,(
    $true ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2ETRUTH)).

thf(39,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(23,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( p @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_iso_mem_o)).

thf(91,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( p @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(14,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2E_2C @ A @ B ) @ ( arr @ A @ ( arr @ B @ ( ty_2Epair_2Eprod @ A @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Epair_2E_2C)).

thf(66,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2E_2C @ A @ B ) @ ( arr @ A @ ( arr @ B @ ( ty_2Epair_2Eprod @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(31,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_3F @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Ebool_2E_3F)).

thf(112,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_3F @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(7,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ap_tp)).

thf(48,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(8,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
            = ( B = C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ax_eq_p)).

thf(50,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
            = ( B = C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(6,axiom,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_inj_surj_o)).

thf(43,plain,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(26,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ A )
     => ! [D: $i] :
          ( ( mem @ D @ B )
         => ( ( ap @ ( c_2Epair_2ESND @ A @ B ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ B ) @ C ) @ D ) )
            = D ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Epair_2ESND)).

thf(99,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ A )
     => ! [D: $i] :
          ( ( mem @ D @ B )
         => ( ( ap @ ( c_2Epair_2ESND @ A @ B ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ B ) @ C ) @ D ) )
            = D ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(4,axiom,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2ET)).

thf(40,plain,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(32,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2EEncode_2Eencode__prod @ A @ B ) @ ( arr @ ( arr @ A @ ( ty_2Elist_2Elist @ bool ) ) @ ( arr @ ( arr @ B @ ( ty_2Elist_2Elist @ bool ) ) @ ( arr @ ( ty_2Epair_2Eprod @ A @ B ) @ ( ty_2Elist_2Elist @ bool ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2EEncode_2Eencode__prod)).

thf(114,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2EEncode_2Eencode__prod @ A @ B ) @ ( arr @ ( arr @ A @ ( ty_2Elist_2Elist @ bool ) ) @ ( arr @ ( arr @ B @ ( ty_2Elist_2Elist @ bool ) ) @ ( arr @ ( ty_2Epair_2Eprod @ A @ B ) @ ( ty_2Elist_2Elist @ bool ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(18,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2ESND @ A @ B ) @ ( arr @ ( ty_2Epair_2Eprod @ A @ B ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Epair_2ESND)).

thf(79,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2ESND @ A @ B ) @ ( arr @ ( ty_2Epair_2Eprod @ A @ B ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(24,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Elist_2EAPPEND @ A ) @ ( arr @ ( ty_2Elist_2Elist @ A ) @ ( arr @ ( ty_2Elist_2Elist @ A ) @ ( ty_2Elist_2Elist @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',mem_c_2Elist_2EAPPEND)).

thf(94,plain,(
    ! [A: del] :
      ( mem @ ( c_2Elist_2EAPPEND @ A ) @ ( arr @ ( ty_2Elist_2Elist @ A ) @ ( arr @ ( ty_2Elist_2Elist @ A ) @ ( ty_2Elist_2Elist @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(15,axiom,(
    ! [A: del,B: del,C: $i > $i] :
      ( ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( C @ D ) @ B ) )
     => ( mem @ ( lam @ A @ C ) @ ( arr @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',lam_tp)).

thf(68,plain,(
    ! [A: del,B: del,C: $i > $i] :
      ( ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( C @ D ) @ B ) )
     => ( mem @ ( lam @ A @ C ) @ ( arr @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(30,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( B = B )
        = $true ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',conj_thm_2Ebool_2EREFL__CLAUSE)).

thf(111,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(116,plain,(
    $false ),
    inference(cvc4,[status(thm)],[56,42,110,84,61,89,74,102,33,53,96,105,64,59,71,86,81,39,91,66,112,48,50,43,99,40,114,79,94,68,111])).
%------------------------------------------------------------------------------
