%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:39:24 EDT 2019

% Result     : Theorem 25.24s
% Output     : CNFRefutation 25.24s
% Verified   : 
% Statistics : -

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Could not form TPTP format derivation
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.03/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.13  % CPULimit   : 300
% 0.03/0.13  % DateTime   : Wed Jul 31 00:33:18 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 3.00/1.30  % [INFO] 	 Running in sequential loop mode. 
% 3.93/1.48  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.11/1.55  % [INFO] 	 iprover registered as external prover. 
% 4.11/1.55  % [INFO] 	 e registered as external prover. 
% 4.11/1.55  % [INFO] 	 cvc4 registered as external prover. 
% 4.11/1.55  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.18/1.60  % [INFO] 	 Found a conjecture and 21 axioms. Running axiom selection ... 
% 4.36/1.65  % [INFO] 	 Axiom selection finished. Selected 7 axioms (removed 14 axioms). 
% 4.48/1.68  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 25.24/5.70  % [INFO] 	 Killing All external provers ... 
% 25.24/5.70  % Time passed: 5436ms
% 25.24/5.70  % Effective reasoning time: 4397ms
% 25.24/5.70  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 25.24/5.70  % Axioms used in derivation (7): thm_2Etopology_2Ehull, thm_2Epred__set_2EGSPECIFICATION, thm_2Epred__set_2EIN__BIGINTER, thm_2Ebool_2ETRUTH, thm_2Epair_2ECLOSED__PAIR__EQ, thm_2Epred__set_2ESUBSET__DEF, logicdef_2E_2F_5C
% 25.24/5.70  % No. of inferences in proof: 98
% 25.24/5.70  % No. of processed clauses: 40
% 25.24/5.70  % No. of generated clauses: 427
% 25.24/5.70  % No. of forward subsumed clauses: 9
% 25.24/5.70  % No. of backward subsumed clauses: 0
% 25.24/5.70  % No. of ground rewrite rules in store: 20
% 25.24/5.70  % No. of non-ground rewrite rules in store: 2
% 25.24/5.70  % No. of positive (non-rewrite) units in store: 3
% 25.24/5.70  % No. of negative (non-rewrite) units in store: 5
% 25.24/5.70  % No. of choice functions detected: 0
% 25.24/5.70  % No. of choice instantiations: 0
% 25.24/5.70  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 5436 ms resp. 4397 ms w/o parsing
% 25.24/5.76  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 25.24/5.76  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 25.24/5.76  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 25.24/5.76  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 25.24/5.76  thf(c_2Epred__set_2EBIGINTER_type, type, c_2Epred__set_2EBIGINTER: !>[TA: $tType]: (((TA > $o) > $o) > (TA > $o))).
% 25.24/5.76  thf(c_2Epred__set_2EGSPEC_type, type, c_2Epred__set_2EGSPEC: !>[TA: $tType,TB: $tType]: ((TB > (tyop_2Epair_2Eprod @ TA @ $o)) > (TA > $o))).
% 25.24/5.76  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 25.24/5.76  thf(c_2Epred__set_2ESUBSET_type, type, c_2Epred__set_2ESUBSET: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > $o))).
% 25.24/5.76  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 25.24/5.76  thf(c_2Etopology_2Ehull_type, type, c_2Etopology_2Ehull: !>[TA: $tType]: (((TA > $o) > $o) > ((TA > $o) > (TA > $o)))).
% 25.24/5.76  thf(skt1_type, type, skt1: $tType).
% 25.24/5.76  thf(sk1_type, type, sk1: ((skt1 > $o) > $o)).
% 25.24/5.76  thf(sk2_type, type, sk2: (skt1 > $o)).
% 25.24/5.76  thf(sk3_type, type, sk3: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > TA))).
% 25.24/5.76  thf(sk4_type, type, sk4: skt1).
% 25.24/5.76  thf(sk5_type, type, sk5: skt1).
% 25.24/5.76  thf(sk13_type, type, sk13: ((skt1 > $o) > skt1)).
% 25.24/5.76  thf(sk16_type, type, sk16: (skt1 > $o)).
% 25.24/5.76  thf(sk17_type, type, sk17: skt1).
% 25.24/5.76  thf(sk18_type, type, sk18: skt1).
% 25.24/5.76  thf(sk20_type, type, sk20: (skt1 > $o)).
% 25.24/5.76  thf(sk22_type, type, sk22: skt1).
% 25.24/5.76  thf(8,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Epred__set_2ESUBSET @ TA @ A @ B) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ A) => (c_2Ebool_2EIN @ TA @ C @ B))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ESUBSET__DEF)).
% 25.24/5.76  thf(31,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o)]: ((c_2Epred__set_2ESUBSET @ TA @ (A) @ (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) => (c_2Ebool_2EIN @ TA @ C @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 25.24/5.76  thf(32,plain,(! [TA:$tType,B:(TA > $o),A:(TA > $o)] : (((c_2Epred__set_2ESUBSET @ TA @ (A) @ (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) => (c_2Ebool_2EIN @ TA @ C @ (B))))))),inference(cnf,[status(esa)],[31])).
% 25.24/5.76  thf(33,plain,(! [TA:$tType,B:(TA > $o),A:(TA > $o)] : (((c_2Epred__set_2ESUBSET @ TA @ (A) @ (B)) = (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) => (c_2Ebool_2EIN @ TA @ C @ (B))))))),inference(lifteq,[status(thm)],[32])).
% 25.24/5.76  thf(1,conjecture,((! [TA: $tType]: (! [A:((TA > $o) > $o),B:(TA > $o)]: (c_2Epred__set_2ESUBSET @ TA @ B @ (c_2Etopology_2Ehull @ TA @ A @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Etopology_2EHULL__SUBSET)).
% 25.24/5.76  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:((TA > $o) > $o),B:(TA > $o)]: (c_2Epred__set_2ESUBSET @ TA @ B @ (c_2Etopology_2Ehull @ TA @ A @ B)))))),inference(neg_conjecture,[status(cth)],[1])).
% 25.24/5.76  thf(10,plain,((~ (! [TA: $tType]: (! [A:((TA > $o) > $o),B:(TA > $o)]: (c_2Epred__set_2ESUBSET @ TA @ (B) @ (c_2Etopology_2Ehull @ TA @ (A) @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 25.24/5.76  thf(11,plain,((~ (c_2Epred__set_2ESUBSET @ skt1 @ (sk2) @ (c_2Etopology_2Ehull @ skt1 @ (sk1) @ sk2)))),inference(cnf,[status(esa)],[10])).
% 25.24/5.76  thf(48,plain,(! [TA:$tType,B:(TA > $o),A:(TA > $o)] : ((~ (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) => (c_2Ebool_2EIN @ TA @ C @ (B))))) | ((c_2Epred__set_2ESUBSET @ TA @ (A) @ (B)) != (c_2Epred__set_2ESUBSET @ skt1 @ (sk2) @ (c_2Etopology_2Ehull @ skt1 @ (sk1) @ sk2))))),inference(paramod_ordered,[status(thm)],[33,11])).
% 25.24/5.76  thf(49,plain,((~ (! [A:skt1]: ((c_2Ebool_2EIN @ skt1 @ A @ (sk2)) => (c_2Ebool_2EIN @ skt1 @ A @ (c_2Etopology_2Ehull @ skt1 @ (sk1) @ sk2)))))),inference(pattern_uni,[status(thm)],[48:[bind(A, $thf(sk2)),bind(B, $thf(c_2Etopology_2Ehull @ skt1 @ (sk1) @ sk2))]])).
% 25.24/5.76  thf(54,plain,((c_2Ebool_2EIN @ skt1 @ sk4 @ (sk2))),inference(cnf,[status(esa)],[49])).
% 25.24/5.76  thf(53,plain,((~ (c_2Ebool_2EIN @ skt1 @ sk4 @ (c_2Etopology_2Ehull @ skt1 @ (sk1) @ sk2)))),inference(cnf,[status(esa)],[49])).
% 25.24/5.76  thf(55,plain,(((c_2Ebool_2EIN @ skt1 @ sk4 @ (c_2Etopology_2Ehull @ skt1 @ (sk1) @ sk2)) != (c_2Ebool_2EIN @ skt1 @ sk4 @ (sk2)))),inference(paramod_ordered,[status(thm)],[54,53])).
% 25.24/5.76  thf(56,plain,((sk4 != sk4) | ((c_2Etopology_2Ehull @ skt1 @ (sk1) @ sk2) != (sk2))),inference(simp,[status(thm)],[55])).
% 25.24/5.76  thf(57,plain,(((c_2Etopology_2Ehull @ skt1 @ (sk1) @ sk2) != (sk2))),inference(simp,[status(thm)],[56])).
% 25.24/5.76  thf(69,plain,(((c_2Etopology_2Ehull @ skt1 @ (sk1) @ (sk2) @ sk5) != (sk2 @ sk5))),inference(func_ext,[status(esa)],[57])).
% 25.24/5.76  thf(46,plain,(! [TA:$tType,B:(TA > $o),A:(TA > $o)] : ((~ (c_2Epred__set_2ESUBSET @ TA @ (A) @ (B))) | (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) => (c_2Ebool_2EIN @ TA @ C @ (B)))))),inference(bool_ext,[status(thm)],[33])).
% 25.24/5.76  thf(50,plain,(! [TA:$tType,C:TA,B:(TA > $o),A:(TA > $o)] : ((~ (c_2Ebool_2EIN @ TA @ C @ (A))) | (c_2Ebool_2EIN @ TA @ C @ (B)) | (~ (c_2Epred__set_2ESUBSET @ TA @ (A) @ (B))))),inference(cnf,[status(esa)],[46])).
% 25.24/5.76  thf(104,plain,(! [TA:$tType,C:TA,B:(TA > $o),A:(TA > $o)] : ((c_2Ebool_2EIN @ TA @ C @ (B)) | (~ (c_2Epred__set_2ESUBSET @ TA @ (A) @ (B))) | ((c_2Ebool_2EIN @ skt1 @ sk4 @ (sk2)) != (c_2Ebool_2EIN @ TA @ C @ (A))))),inference(paramod_ordered,[status(thm)],[54,50])).
% 25.24/5.76  thf(105,plain,(! [A:(skt1 > $o)] : ((c_2Ebool_2EIN @ skt1 @ sk4 @ (A)) | (~ (c_2Epred__set_2ESUBSET @ skt1 @ (sk2) @ (A))))),inference(pattern_uni,[status(thm)],[104:[bind(A, $thf(sk2)),bind(B, $thf(B)),bind(C, $thf(sk4))]])).
% 25.24/5.76  thf(128,plain,(! [A:(skt1 > $o)] : ((c_2Ebool_2EIN @ skt1 @ sk4 @ (A)) | (~ (c_2Epred__set_2ESUBSET @ skt1 @ (sk2) @ (A))))),inference(simp,[status(thm)],[105])).
% 25.24/5.76  thf(6,axiom,((! [TA: $tType]: (! [A:TA,B:((TA > $o) > $o)]: ((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EBIGINTER @ TA @ B)) = (! [C:(TA > $o)]: ((c_2Ebool_2EIN @ (TA > $o) @ C @ B) => (c_2Ebool_2EIN @ TA @ A @ C))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__BIGINTER)).
% 25.24/5.76  thf(19,plain,((! [TA: $tType]: (! [A:TA,B:((TA > $o) > $o)]: ((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EBIGINTER @ TA @ (B))) = (! [C:(TA > $o)]: ((c_2Ebool_2EIN @ (TA > $o) @ (C) @ (B)) => (c_2Ebool_2EIN @ TA @ A @ (C)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 25.24/5.76  thf(20,plain,(! [TA:$tType,B:((TA > $o) > $o),A:TA] : (((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EBIGINTER @ TA @ (B))) = (! [C:(TA > $o)]: ((c_2Ebool_2EIN @ (TA > $o) @ (C) @ (B)) => (c_2Ebool_2EIN @ TA @ A @ (C))))))),inference(cnf,[status(esa)],[19])).
% 25.24/5.76  thf(21,plain,(! [TA:$tType,B:((TA > $o) > $o),A:TA] : (((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EBIGINTER @ TA @ (B))) = (! [C:(TA > $o)]: ((c_2Ebool_2EIN @ (TA > $o) @ (C) @ (B)) => (c_2Ebool_2EIN @ TA @ A @ (C))))))),inference(lifteq,[status(thm)],[20])).
% 25.24/5.76  thf(9,axiom,((! [TA: $tType]: (! [A:((TA > $o) > $o),B:(TA > $o)]: ((c_2Etopology_2Ehull @ TA @ A @ B) = (c_2Epred__set_2EBIGINTER @ TA @ (c_2Epred__set_2EGSPEC @ (TA > $o) @ (TA > $o) @ (^ [C:(TA > $o)]: (c_2Epair_2E_2C @ (TA > $o) @ $o @ C @ (c_2Ebool_2E_2F_5C @ (A @ C) @ (c_2Epred__set_2ESUBSET @ TA @ B @ C)))))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Etopology_2Ehull)).
% 25.24/5.76  thf(34,plain,((! [TA: $tType]: (! [A:((TA > $o) > $o),B:(TA > $o)]: ((c_2Etopology_2Ehull @ TA @ (A) @ B) = (c_2Epred__set_2EBIGINTER @ TA @ (c_2Epred__set_2EGSPEC @ (TA > $o) @ (TA > $o) @ (^ [C:(TA > $o)]: (c_2Epair_2E_2C @ (TA > $o) @ $o @ C @ (c_2Ebool_2E_2F_5C @ (A @ C) @ (c_2Epred__set_2ESUBSET @ TA @ B @ C)))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 25.24/5.76  thf(35,plain,(! [TA:$tType,B:(TA > $o),A:((TA > $o) > $o)] : (((c_2Etopology_2Ehull @ TA @ (A) @ B) = (c_2Epred__set_2EBIGINTER @ TA @ (c_2Epred__set_2EGSPEC @ (TA > $o) @ (TA > $o) @ (^ [C:(TA > $o)]: (c_2Epair_2E_2C @ (TA > $o) @ $o @ C @ (c_2Ebool_2E_2F_5C @ (A @ C) @ (c_2Epred__set_2ESUBSET @ TA @ B @ C))))))))),inference(cnf,[status(esa)],[34])).
% 25.24/5.76  thf(36,plain,(! [TA:$tType,B:(TA > $o),A:((TA > $o) > $o)] : (((c_2Etopology_2Ehull @ TA @ (A) @ B) = (c_2Epred__set_2EBIGINTER @ TA @ (c_2Epred__set_2EGSPEC @ (TA > $o) @ (TA > $o) @ (^ [C:(TA > $o)]: (c_2Epair_2E_2C @ (TA > $o) @ $o @ C @ (c_2Ebool_2E_2F_5C @ (A @ C) @ (c_2Epred__set_2ESUBSET @ TA @ B @ C))))))))),inference(lifteq,[status(thm)],[35])).
% 25.24/5.76  thf(194,plain,(! [B:(skt1 > $o),A:((skt1 > $o) > $o)] : ((~ (c_2Ebool_2EIN @ skt1 @ sk4 @ (c_2Epred__set_2EBIGINTER @ skt1 @ (c_2Epred__set_2EGSPEC @ (skt1 > $o) @ (skt1 > $o) @ (^ [C:(skt1 > $o)]: (c_2Epair_2E_2C @ (skt1 > $o) @ $o @ C @ (c_2Ebool_2E_2F_5C @ (A @ C) @ (c_2Epred__set_2ESUBSET @ skt1 @ B @ C)))))))) | ((c_2Etopology_2Ehull @ skt1 @ (A) @ B) != (c_2Etopology_2Ehull @ skt1 @ (sk1) @ sk2)))),inference(paramod_ordered,[status(thm)],[36,53])).
% 25.24/5.76  thf(195,plain,((~ (c_2Ebool_2EIN @ skt1 @ sk4 @ (c_2Epred__set_2EBIGINTER @ skt1 @ (c_2Epred__set_2EGSPEC @ (skt1 > $o) @ (skt1 > $o) @ (^ [A:(skt1 > $o)]: (c_2Epair_2E_2C @ (skt1 > $o) @ $o @ A @ (c_2Ebool_2E_2F_5C @ (sk1 @ A) @ (c_2Epred__set_2ESUBSET @ skt1 @ sk2 @ A))))))))),inference(pattern_uni,[status(thm)],[194:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 25.24/5.76  thf(202,plain,(! [TA:$tType,B:((TA > $o) > $o),A:TA] : ((~ (! [C:(TA > $o)]: ((c_2Ebool_2EIN @ (TA > $o) @ (C) @ (B)) => (c_2Ebool_2EIN @ TA @ A @ (C))))) | ((c_2Ebool_2EIN @ TA @ A @ (c_2Epred__set_2EBIGINTER @ TA @ (B))) != (c_2Ebool_2EIN @ skt1 @ sk4 @ (c_2Epred__set_2EBIGINTER @ skt1 @ (c_2Epred__set_2EGSPEC @ (skt1 > $o) @ (skt1 > $o) @ (^ [C:(skt1 > $o)]: (c_2Epair_2E_2C @ (skt1 > $o) @ $o @ C @ (c_2Ebool_2E_2F_5C @ (sk1 @ C) @ (c_2Epred__set_2ESUBSET @ skt1 @ sk2 @ C)))))))))),inference(paramod_ordered,[status(thm)],[21,195])).
% 25.24/5.76  thf(203,plain,((~ (! [A:(skt1 > $o)]: ((c_2Ebool_2EIN @ (skt1 > $o) @ (A) @ (c_2Epred__set_2EGSPEC @ (skt1 > $o) @ (skt1 > $o) @ (^ [B:(skt1 > $o)]: (c_2Epair_2E_2C @ (skt1 > $o) @ $o @ B @ (c_2Ebool_2E_2F_5C @ (sk1 @ B) @ (c_2Epred__set_2ESUBSET @ skt1 @ sk2 @ B)))))) => (c_2Ebool_2EIN @ skt1 @ sk4 @ (A)))))),inference(pattern_uni,[status(thm)],[202:[bind(A, $thf(sk4)),bind(B, $thf(c_2Epred__set_2EGSPEC @ (skt1 > $o) @ (skt1 > $o) @ (^ [C:(skt1 > $o)]: (c_2Epair_2E_2C @ (skt1 > $o) @ $o @ C @ (c_2Ebool_2E_2F_5C @ (sk1 @ C) @ (c_2Epred__set_2ESUBSET @ skt1 @ sk2 @ C))))))]])).
% 25.24/5.76  thf(215,plain,((~ (c_2Ebool_2EIN @ skt1 @ sk4 @ (sk16)))),inference(cnf,[status(esa)],[203])).
% 25.24/5.76  thf(220,plain,(! [A:(skt1 > $o)] : ((~ (c_2Epred__set_2ESUBSET @ skt1 @ (sk2) @ (A))) | ((c_2Ebool_2EIN @ skt1 @ sk4 @ (A)) != (c_2Ebool_2EIN @ skt1 @ sk4 @ (sk16))))),inference(paramod_ordered,[status(thm)],[128,215])).
% 25.24/5.76  thf(221,plain,((~ (c_2Epred__set_2ESUBSET @ skt1 @ (sk2) @ (sk16)))),inference(pattern_uni,[status(thm)],[220:[bind(A, $thf(sk16))]])).
% 25.24/5.76  thf(231,plain,(! [TA:$tType,B:(TA > $o),A:(TA > $o)] : ((~ (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) => (c_2Ebool_2EIN @ TA @ C @ (B))))) | ((c_2Epred__set_2ESUBSET @ TA @ (A) @ (B)) != (c_2Epred__set_2ESUBSET @ skt1 @ (sk2) @ (sk16))))),inference(paramod_ordered,[status(thm)],[33,221])).
% 25.24/5.76  thf(232,plain,((~ (! [A:skt1]: ((c_2Ebool_2EIN @ skt1 @ A @ (sk2)) => (c_2Ebool_2EIN @ skt1 @ A @ (sk16)))))),inference(pattern_uni,[status(thm)],[231:[bind(A, $thf(sk2)),bind(B, $thf(sk16))]])).
% 25.24/5.76  thf(234,plain,((c_2Ebool_2EIN @ skt1 @ sk18 @ (sk2))),inference(cnf,[status(esa)],[232])).
% 25.24/5.76  thf(7,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 25.24/5.76  thf(22,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 25.24/5.76  thf(23,plain,(((c_2Ebool_2E_2F_5C @ $true @ $true) = (($true) & ($true)))),inference(instance,[status(thm)],[22])).
% 25.24/5.76  thf(24,plain,((c_2Ebool_2E_2F_5C @ $true @ $true)),inference(simp,[status(thm)],[23])).
% 25.24/5.76  thf(47,plain,(! [TA:$tType,B:(TA > $o),A:(TA > $o)] : ((c_2Epred__set_2ESUBSET @ TA @ (A) @ (B)) | (~ (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) => (c_2Ebool_2EIN @ TA @ C @ (B))))))),inference(bool_ext,[status(thm)],[33])).
% 25.24/5.76  thf(52,plain,(! [TA:$tType,B:(TA > $o),A:(TA > $o)] : ((c_2Ebool_2EIN @ TA @ (sk3 @ TA @ (B) @ (A)) @ (A)) | (c_2Epred__set_2ESUBSET @ TA @ (A) @ (B)))),inference(cnf,[status(esa)],[47])).
% 25.24/5.76  thf(388,plain,(! [TA:$tType,B:(TA > $o),A:(TA > $o)] : ((c_2Ebool_2EIN @ TA @ (sk3 @ TA @ (B) @ (A)) @ (A)) | ((c_2Epred__set_2ESUBSET @ TA @ (A) @ (B)) != (c_2Epred__set_2ESUBSET @ skt1 @ (sk2) @ (c_2Etopology_2Ehull @ skt1 @ (sk1) @ sk2))))),inference(paramod_ordered,[status(thm)],[52,11])).
% 25.24/5.76  thf(389,plain,((c_2Ebool_2EIN @ skt1 @ (sk3 @ skt1 @ (c_2Etopology_2Ehull @ skt1 @ (sk1) @ sk2) @ (sk2)) @ (sk2))),inference(pattern_uni,[status(thm)],[388:[bind(A, $thf(sk2)),bind(B, $thf(c_2Etopology_2Ehull @ skt1 @ (sk1) @ sk2))]])).
% 25.24/5.76  thf(216,plain,((c_2Ebool_2EIN @ (skt1 > $o) @ (sk16) @ (c_2Epred__set_2EGSPEC @ (skt1 > $o) @ (skt1 > $o) @ (^ [A:(skt1 > $o)]: (c_2Epair_2E_2C @ (skt1 > $o) @ $o @ A @ (c_2Ebool_2E_2F_5C @ (sk1 @ A) @ (c_2Epred__set_2ESUBSET @ skt1 @ sk2 @ A))))))),inference(cnf,[status(esa)],[203])).
% 25.24/5.76  thf(233,plain,((~ (c_2Ebool_2EIN @ skt1 @ sk18 @ (sk16)))),inference(cnf,[status(esa)],[232])).
% 25.24/5.76  thf(27,plain,(((c_2Ebool_2E_2F_5C @ $false @ $true) = (($false) & ($true)))),inference(instance,[status(thm)],[22])).
% 25.24/5.76  thf(28,plain,((~ (c_2Ebool_2E_2F_5C @ $false @ $true))),inference(simp,[status(thm)],[27])).
% 25.24/5.76  thf(70,plain,((~ (c_2Etopology_2Ehull @ skt1 @ (sk1) @ (sk2) @ sk5)) | (~ (sk2 @ sk5))),inference(bool_ext,[status(thm)],[69])).
% 25.24/5.76  thf(222,plain,(((c_2Ebool_2EIN @ skt1 @ sk4 @ (sk16)) != (c_2Ebool_2EIN @ skt1 @ sk4 @ (sk2)))),inference(paramod_ordered,[status(thm)],[54,215])).
% 25.24/5.76  thf(228,plain,((sk4 != sk4) | ((sk16) != (sk2))),inference(simp,[status(thm)],[222])).
% 25.24/5.76  thf(229,plain,(((sk16) != (sk2))),inference(simp,[status(thm)],[228])).
% 25.24/5.76  thf(196,plain,(! [B:(skt1 > $o),A:((skt1 > $o) > $o)] : ((~ (c_2Epred__set_2ESUBSET @ skt1 @ (sk2) @ (c_2Epred__set_2EBIGINTER @ skt1 @ (c_2Epred__set_2EGSPEC @ (skt1 > $o) @ (skt1 > $o) @ (^ [C:(skt1 > $o)]: (c_2Epair_2E_2C @ (skt1 > $o) @ $o @ C @ (c_2Ebool_2E_2F_5C @ (A @ C) @ (c_2Epred__set_2ESUBSET @ skt1 @ B @ C)))))))) | ((c_2Etopology_2Ehull @ skt1 @ (A) @ B) != (c_2Etopology_2Ehull @ skt1 @ (sk1) @ sk2)))),inference(paramod_ordered,[status(thm)],[36,11])).
% 25.24/5.76  thf(197,plain,((~ (c_2Epred__set_2ESUBSET @ skt1 @ (sk2) @ (c_2Epred__set_2EBIGINTER @ skt1 @ (c_2Epred__set_2EGSPEC @ (skt1 > $o) @ (skt1 > $o) @ (^ [A:(skt1 > $o)]: (c_2Epair_2E_2C @ (skt1 > $o) @ $o @ A @ (c_2Ebool_2E_2F_5C @ (sk1 @ A) @ (c_2Epred__set_2ESUBSET @ skt1 @ sk2 @ A))))))))),inference(pattern_uni,[status(thm)],[196:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 25.24/5.76  thf(4,axiom,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB,C:TA,D:TB]: (((c_2Epair_2E_2C @ TA @ TB @ A @ B) = (c_2Epair_2E_2C @ TA @ TB @ C @ D)) = ((A = C) & (B = D)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epair_2ECLOSED__PAIR__EQ)).
% 25.24/5.76  thf(13,plain,((! [TA: $tType,TB: $tType]: (! [A:TA,B:TB,C:TA,D:TB]: (((c_2Epair_2E_2C @ TA @ TB @ A @ B) = (c_2Epair_2E_2C @ TA @ TB @ C @ D)) = ((A = C) & (B = D)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 25.24/5.76  thf(230,plain,(((sk16 @ sk17) != (sk2 @ sk17))),inference(func_ext,[status(esa)],[229])).
% 25.24/5.76  thf(264,plain,((sk16 @ sk17) | (sk2 @ sk17)),inference(bool_ext,[status(thm)],[230])).
% 25.24/5.76  thf(190,plain,(! [B:(skt1 > $o),A:((skt1 > $o) > $o)] : (((c_2Epred__set_2EBIGINTER @ skt1 @ (c_2Epred__set_2EGSPEC @ (skt1 > $o) @ (skt1 > $o) @ (^ [C:(skt1 > $o)]: (c_2Epair_2E_2C @ (skt1 > $o) @ $o @ C @ (c_2Ebool_2E_2F_5C @ (A @ C) @ (c_2Epred__set_2ESUBSET @ skt1 @ B @ C)))))) != (sk2)) | ((c_2Etopology_2Ehull @ skt1 @ (A) @ B) != (c_2Etopology_2Ehull @ skt1 @ (sk1) @ sk2)))),inference(paramod_ordered,[status(thm)],[36,57])).
% 25.24/5.76  thf(191,plain,(((c_2Epred__set_2EBIGINTER @ skt1 @ (c_2Epred__set_2EGSPEC @ (skt1 > $o) @ (skt1 > $o) @ (^ [A:(skt1 > $o)]: (c_2Epair_2E_2C @ (skt1 > $o) @ $o @ A @ (c_2Ebool_2E_2F_5C @ (sk1 @ A) @ (c_2Epred__set_2ESUBSET @ skt1 @ sk2 @ A)))))) != (sk2))),inference(pattern_uni,[status(thm)],[190:[bind(A, $thf(sk1)),bind(B, $thf(sk2))]])).
% 25.24/5.76  thf(71,plain,((c_2Etopology_2Ehull @ skt1 @ (sk1) @ (sk2) @ sk5) | (sk2 @ sk5)),inference(bool_ext,[status(thm)],[69])).
% 25.24/5.76  thf(3,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 25.24/5.76  thf(12,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 25.24/5.76  thf(51,plain,(! [TA:$tType,B:(TA > $o),A:(TA > $o)] : ((~ (c_2Ebool_2EIN @ TA @ (sk3 @ TA @ (B) @ (A)) @ (B))) | (c_2Epred__set_2ESUBSET @ TA @ (A) @ (B)))),inference(cnf,[status(esa)],[47])).
% 25.24/5.76  thf(266,plain,(! [TA:$tType,B:(TA > $o),A:(TA > $o)] : ((~ (c_2Ebool_2EIN @ TA @ (sk3 @ TA @ (B) @ (A)) @ (B))) | ((c_2Epred__set_2ESUBSET @ TA @ (A) @ (B)) != (c_2Epred__set_2ESUBSET @ skt1 @ (sk2) @ (sk16))))),inference(paramod_ordered,[status(thm)],[51,221])).
% 25.24/5.76  thf(267,plain,((~ (c_2Ebool_2EIN @ skt1 @ (sk3 @ skt1 @ (sk16) @ (sk2)) @ (sk16)))),inference(pattern_uni,[status(thm)],[266:[bind(A, $thf(sk2)),bind(B, $thf(sk16))]])).
% 25.24/5.76  thf(263,plain,((~ (sk16 @ sk17)) | (~ (sk2 @ sk17))),inference(bool_ext,[status(thm)],[230])).
% 25.24/5.76  thf(5,axiom,((! [TA: $tType,TB: $tType]: (! [A:(TB > (tyop_2Epair_2Eprod @ TA @ $o)),B:TA]: ((c_2Ebool_2EIN @ TA @ B @ (c_2Epred__set_2EGSPEC @ TA @ TB @ A)) = (? [C:TB]: ((c_2Epair_2E_2C @ TA @ $o @ B @ c_2Ebool_2ET) = (A @ C))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EGSPECIFICATION)).
% 25.24/5.76  thf(16,plain,((! [TA: $tType,TB: $tType]: (! [A:(TB > (tyop_2Epair_2Eprod @ TA @ $o)),B:TA]: ((c_2Ebool_2EIN @ TA @ B @ (c_2Epred__set_2EGSPEC @ TA @ TB @ A)) = (? [C:TB]: ((c_2Epair_2E_2C @ TA @ $o @ B @ c_2Ebool_2ET) = (A @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 25.24/5.76  thf(17,plain,(! [TA:$tType,TB:$tType,B:TB,A:(TA > (tyop_2Epair_2Eprod @ TB @ $o))] : (((c_2Ebool_2EIN @ TB @ B @ (c_2Epred__set_2EGSPEC @ TB @ TA @ A)) = (? [C:TA]: ((c_2Epair_2E_2C @ TB @ $o @ B @ c_2Ebool_2ET) = (A @ C)))))),inference(cnf,[status(esa)],[16])).
% 25.24/5.76  thf(18,plain,(! [TA:$tType,TB:$tType,B:TB,A:(TA > (tyop_2Epair_2Eprod @ TB @ $o))] : (((c_2Ebool_2EIN @ TB @ B @ (c_2Epred__set_2EGSPEC @ TB @ TA @ A)) = (? [C:TA]: ((c_2Epair_2E_2C @ TB @ $o @ B @ c_2Ebool_2ET) = (A @ C)))))),inference(lifteq,[status(thm)],[17])).
% 25.24/5.76  thf(72,plain,(! [TA:$tType,TB:$tType,B:TB,A:(TA > (tyop_2Epair_2Eprod @ TB @ $o))] : (((c_2Ebool_2EIN @ TB @ B @ (c_2Epred__set_2EGSPEC @ TB @ TA @ A)) = (? [C:TA]: ((c_2Epair_2E_2C @ TB @ $o @ B @ $true) = (A @ C)))))),inference(rewrite,[status(thm)],[18,12])).
% 25.24/5.76  thf(324,plain,(! [TA:$tType,TB:$tType,B:TB,A:(TA > (tyop_2Epair_2Eprod @ TB @ $o))] : ((? [C:TA]: ((c_2Epair_2E_2C @ TB @ $o @ B @ $true) = (A @ C))) | ((c_2Ebool_2EIN @ TB @ B @ (c_2Epred__set_2EGSPEC @ TB @ TA @ A)) != (c_2Ebool_2EIN @ (skt1 > $o) @ (sk16) @ (c_2Epred__set_2EGSPEC @ (skt1 > $o) @ (skt1 > $o) @ (^ [C:(skt1 > $o)]: (c_2Epair_2E_2C @ (skt1 > $o) @ $o @ C @ (c_2Ebool_2E_2F_5C @ (sk1 @ C) @ (c_2Epred__set_2ESUBSET @ skt1 @ sk2 @ C))))))))),inference(paramod_ordered,[status(thm)],[72,216])).
% 25.24/5.76  thf(325,plain,((? [A:(skt1 > $o)]: ((c_2Epair_2E_2C @ (skt1 > $o) @ $o @ (sk16) @ $true) = (c_2Epair_2E_2C @ (skt1 > $o) @ $o @ (A) @ (c_2Ebool_2E_2F_5C @ (sk1 @ (A)) @ (c_2Epred__set_2ESUBSET @ skt1 @ (sk2) @ (A))))))),inference(pattern_uni,[status(thm)],[324:[bind(A, $thf(^ [C:(skt1 > $o)]: (c_2Epair_2E_2C @ (skt1 > $o) @ $o @ C @ (c_2Ebool_2E_2F_5C @ (sk1 @ C) @ (c_2Epred__set_2ESUBSET @ skt1 @ sk2 @ C))))),bind(B, $thf(sk16))]])).
% 25.24/5.76  thf(329,plain,(((c_2Epair_2E_2C @ (skt1 > $o) @ $o @ (sk16) @ $true) = (c_2Epair_2E_2C @ (skt1 > $o) @ $o @ (sk20) @ (c_2Ebool_2E_2F_5C @ (sk1 @ (sk20)) @ (c_2Epred__set_2ESUBSET @ skt1 @ (sk2) @ (sk20)))))),inference(cnf,[status(esa)],[325])).
% 25.24/5.76  thf(331,plain,(((c_2Epair_2E_2C @ (skt1 > $o) @ $o @ (sk20) @ (c_2Ebool_2E_2F_5C @ (sk1 @ (sk20)) @ (c_2Epred__set_2ESUBSET @ skt1 @ (sk2) @ (sk20)))) = (c_2Epair_2E_2C @ (skt1 > $o) @ $o @ (sk16) @ $true))),inference(lifteq,[status(thm)],[329])).
% 25.24/5.76  thf(367,plain,(! [TA:$tType,B:(TA > $o),A:(TA > $o)] : ((c_2Ebool_2EIN @ TA @ (sk3 @ TA @ (B) @ (A)) @ (A)) | ((c_2Epred__set_2ESUBSET @ TA @ (A) @ (B)) != (c_2Epred__set_2ESUBSET @ skt1 @ (sk2) @ (sk16))))),inference(paramod_ordered,[status(thm)],[52,221])).
% 25.24/5.76  thf(368,plain,((c_2Ebool_2EIN @ skt1 @ (sk3 @ skt1 @ (sk16) @ (sk2)) @ (sk2))),inference(pattern_uni,[status(thm)],[367:[bind(A, $thf(sk2)),bind(B, $thf(sk16))]])).
% 25.24/5.76  thf(25,plain,(((c_2Ebool_2E_2F_5C @ $true @ $false) = (($true) & ($false)))),inference(instance,[status(thm)],[22])).
% 25.24/5.76  thf(26,plain,((~ (c_2Ebool_2E_2F_5C @ $true @ $false))),inference(simp,[status(thm)],[25])).
% 25.24/5.76  thf(149,plain,(! [TA:$tType,C:(skt1 > $o),B:(TA > $o),A:(TA > $o)] : ((c_2Ebool_2EIN @ skt1 @ sk4 @ (C)) | (~ (! [D:TA]: ((c_2Ebool_2EIN @ TA @ D @ (A)) => (c_2Ebool_2EIN @ TA @ D @ (B))))) | ((c_2Epred__set_2ESUBSET @ TA @ (A) @ (B)) != (c_2Epred__set_2ESUBSET @ skt1 @ (sk2) @ (C))))),inference(paramod_ordered,[status(thm)],[33,128])).
% 25.24/5.76  thf(150,plain,(! [A:(skt1 > $o)] : ((c_2Ebool_2EIN @ skt1 @ sk4 @ (A)) | (~ (! [B:skt1]: ((c_2Ebool_2EIN @ skt1 @ B @ (sk2)) => (c_2Ebool_2EIN @ skt1 @ B @ (A))))))),inference(pattern_uni,[status(thm)],[149:[bind(A, $thf(sk2)),bind(B, $thf(B)),bind(C, $thf(B))]])).
% 25.24/5.76  thf(162,plain,(! [A:(skt1 > $o)] : ((c_2Ebool_2EIN @ skt1 @ (sk13 @ (A)) @ (sk2)) | (c_2Ebool_2EIN @ skt1 @ sk4 @ (A)))),inference(cnf,[status(esa)],[150])).
% 25.24/5.76  thf(171,plain,(! [A:(skt1 > $o)] : ((c_2Ebool_2EIN @ skt1 @ (sk13 @ (A)) @ (sk2)) | (c_2Ebool_2EIN @ skt1 @ sk4 @ (A)))),inference(simp,[status(thm)],[162])).
% 25.24/5.76  thf(29,plain,(((c_2Ebool_2E_2F_5C @ $false @ $false) = (($false) & ($false)))),inference(instance,[status(thm)],[22])).
% 25.24/5.76  thf(30,plain,((~ (c_2Ebool_2E_2F_5C @ $false @ $false))),inference(simp,[status(thm)],[29])).
% 25.24/5.76  thf(334,plain,(! [TA:$tType,B:(TA > $o),A:(TA > $o)] : ((~ (! [C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (A)) => (c_2Ebool_2EIN @ TA @ C @ (B))))) | ((c_2Epred__set_2ESUBSET @ TA @ (A) @ (B)) != (c_2Epred__set_2ESUBSET @ skt1 @ (sk2) @ (c_2Epred__set_2EBIGINTER @ skt1 @ (c_2Epred__set_2EGSPEC @ (skt1 > $o) @ (skt1 > $o) @ (^ [C:(skt1 > $o)]: (c_2Epair_2E_2C @ (skt1 > $o) @ $o @ C @ (c_2Ebool_2E_2F_5C @ (sk1 @ C) @ (c_2Epred__set_2ESUBSET @ skt1 @ sk2 @ C)))))))))),inference(paramod_ordered,[status(thm)],[33,197])).
% 25.24/5.76  thf(335,plain,((~ (! [A:skt1]: ((c_2Ebool_2EIN @ skt1 @ A @ (sk2)) => (c_2Ebool_2EIN @ skt1 @ A @ (c_2Epred__set_2EBIGINTER @ skt1 @ (c_2Epred__set_2EGSPEC @ (skt1 > $o) @ (skt1 > $o) @ (^ [B:(skt1 > $o)]: (c_2Epair_2E_2C @ (skt1 > $o) @ $o @ B @ (c_2Ebool_2E_2F_5C @ (sk1 @ B) @ (c_2Epred__set_2ESUBSET @ skt1 @ sk2 @ B))))))))))),inference(pattern_uni,[status(thm)],[334:[bind(A, $thf(sk2)),bind(B, $thf(c_2Epred__set_2EBIGINTER @ skt1 @ (c_2Epred__set_2EGSPEC @ (skt1 > $o) @ (skt1 > $o) @ (^ [C:(skt1 > $o)]: (c_2Epair_2E_2C @ (skt1 > $o) @ $o @ C @ (c_2Ebool_2E_2F_5C @ (sk1 @ C) @ (c_2Epred__set_2ESUBSET @ skt1 @ sk2 @ C)))))))]])).
% 25.24/5.76  thf(341,plain,((c_2Ebool_2EIN @ skt1 @ sk22 @ (sk2))),inference(cnf,[status(esa)],[335])).
% 25.24/5.76  thf(394,plain,(! [TA:$tType,TB:$tType,D:(TA > $o),C:(TA > $o),B:(TB > $o),A:(TB > $o)] : ((c_2Epred__set_2ESUBSET @ TB @ (A) @ (B)) | (c_2Epred__set_2ESUBSET @ TA @ (C) @ (D)) | ((c_2Ebool_2EIN @ TB @ (sk3 @ TB @ (B) @ (A)) @ (A)) != (c_2Ebool_2EIN @ TA @ (sk3 @ TA @ (D) @ (C)) @ (D))))),inference(paramod_ordered,[status(thm)],[52,51])).
% 25.24/5.76  thf(395,plain,(! [TB:$tType,A:(T@ > $o)] : ((c_2Epred__set_2ESUBSET @ T@ @ (A) @ (A)) | (c_2Epred__set_2ESUBSET @ T@ @ (A) @ (A)))),inference(pattern_uni,[status(thm)],[394:[bind(A, $thf(A)),bind(B, $thf(A)),bind(C, $thf(A)),bind(D, $thf(A))]])).
% 25.24/5.76  thf(415,plain,(! [TA:$tType,A:(TA > $o)] : ((c_2Epred__set_2ESUBSET @ TA @ (A) @ (A)))),inference(simp,[status(thm)],[395])).
% 25.24/5.76  thf(14,plain,(! [TA:$tType,TB:$tType,D:TA,C:TB,B:TA,A:TB] : ((((c_2Epair_2E_2C @ TB @ TA @ A @ B) = (c_2Epair_2E_2C @ TB @ TA @ C @ D)) = ((A = C) & (B = D))))),inference(cnf,[status(esa)],[13])).
% 25.24/5.76  thf(15,plain,(! [TA:$tType,TB:$tType,D:TA,C:TB,B:TA,A:TB] : ((((A = C) & (B = D)) = ((c_2Epair_2E_2C @ TB @ TA @ A @ B) = (c_2Epair_2E_2C @ TB @ TA @ C @ D))))),inference(lifteq,[status(thm)],[14])).
% 25.24/5.76  thf(1373,plain,($false),inference(e,[status(thm)],[69,234,10,24,389,52,57,216,221,233,28,70,21,33,229,197,53,13,128,34,264,191,22,71,12,54,230,267,263,50,331,16,31,11,72,368,26,171,30,51,19,341,195,415,15,215])).
% 25.24/5.76  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 25.24/5.76  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
