%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:39:57 EDT 2019

% Result     : Theorem 8.18s
% Output     : CNFRefutation 8.24s
% Verified   : 
% Statistics : Number of formulae       :   27 (  41 expanded)
%              Number of leaves         :   15 (  19 expanded)
%              Depth                    :    6
%              Number of atoms          :  355 (1053 expanded)
%              Number of equality atoms :   10 (  24 expanded)
%              Maximal formula depth    :   17 (   8 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2EUNIV_type,type,(
    c_2Epred__set_2EUNIV: 
      !>[TA: $tType] :
        ( TA > $o ) )).

thf(c_2Ecardinal_2Ecardleq_type,type,(
    c_2Ecardinal_2Ecardleq: 
      !>[TA: $tType,TB: $tType] :
        ( ( TA > $o ) > ( TB > $o ) > $o ) )).

thf(c_2Eordinal_2Eordlt_type,type,(
    c_2Eordinal_2Eordlt: 
      !>[TA: $tType] :
        ( ( tyop_2Eordinal_2Eordinal @ TA ) > ( tyop_2Eordinal_2Eordinal @ TA ) > $o ) )).

thf(c_2Eordinal_2Esup_type,type,(
    c_2Eordinal_2Esup: 
      !>[TA: $tType] :
        ( ( ( tyop_2Eordinal_2Eordinal @ TA ) > $o ) > ( tyop_2Eordinal_2Eordinal @ TA ) ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Eordinal_2Eordinal @ skt1 ) > $o )).

thf(sk2_type,type,(
    sk2: ( tyop_2Eordinal_2Eordinal @ skt1 ) > $o )).

thf(1,conjecture,(
    ! [TA: $tType,A: ( tyop_2Eordinal_2Eordinal @ TA ) > $o,B: ( tyop_2Eordinal_2Eordinal @ TA ) > $o] :
      ( ( ( c_2Ecardinal_2Ecardleq @ ( tyop_2Eordinal_2Eordinal @ TA ) @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) @ B @ ( c_2Epred__set_2EUNIV @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) ) )
        & ( c_2Ecardinal_2Ecardleq @ ( tyop_2Eordinal_2Eordinal @ TA ) @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) @ A @ ( c_2Epred__set_2EUNIV @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) ) )
        & ! [C: tyop_2Eordinal_2Eordinal @ TA] :
            ( ( c_2Ebool_2EIN @ ( tyop_2Eordinal_2Eordinal @ TA ) @ C @ B )
           => ? [D: tyop_2Eordinal_2Eordinal @ TA] :
                ( ( c_2Ebool_2EIN @ ( tyop_2Eordinal_2Eordinal @ TA ) @ D @ A )
                & ~ ( c_2Eordinal_2Eordlt @ TA @ D @ C ) ) )
        & ! [C: tyop_2Eordinal_2Eordinal @ TA] :
            ( ( c_2Ebool_2EIN @ ( tyop_2Eordinal_2Eordinal @ TA ) @ C @ A )
           => ? [D: tyop_2Eordinal_2Eordinal @ TA] :
                ( ( c_2Ebool_2EIN @ ( tyop_2Eordinal_2Eordinal @ TA ) @ D @ B )
                & ~ ( c_2Eordinal_2Eordlt @ TA @ D @ C ) ) ) )
     => ( ( c_2Eordinal_2Esup @ TA @ B )
        = ( c_2Eordinal_2Esup @ TA @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Esup__eq__sup)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: ( tyop_2Eordinal_2Eordinal @ TA ) > $o,B: ( tyop_2Eordinal_2Eordinal @ TA ) > $o] :
        ( ( ( c_2Ecardinal_2Ecardleq @ ( tyop_2Eordinal_2Eordinal @ TA ) @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) @ B @ ( c_2Epred__set_2EUNIV @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) ) )
          & ( c_2Ecardinal_2Ecardleq @ ( tyop_2Eordinal_2Eordinal @ TA ) @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) @ A @ ( c_2Epred__set_2EUNIV @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) ) )
          & ! [C: tyop_2Eordinal_2Eordinal @ TA] :
              ( ( c_2Ebool_2EIN @ ( tyop_2Eordinal_2Eordinal @ TA ) @ C @ B )
             => ? [D: tyop_2Eordinal_2Eordinal @ TA] :
                  ( ( c_2Ebool_2EIN @ ( tyop_2Eordinal_2Eordinal @ TA ) @ D @ A )
                  & ~ ( c_2Eordinal_2Eordlt @ TA @ D @ C ) ) )
          & ! [C: tyop_2Eordinal_2Eordinal @ TA] :
              ( ( c_2Ebool_2EIN @ ( tyop_2Eordinal_2Eordinal @ TA ) @ C @ A )
             => ? [D: tyop_2Eordinal_2Eordinal @ TA] :
                  ( ( c_2Ebool_2EIN @ ( tyop_2Eordinal_2Eordinal @ TA ) @ D @ B )
                  & ~ ( c_2Eordinal_2Eordlt @ TA @ D @ C ) ) ) )
       => ( ( c_2Eordinal_2Esup @ TA @ B )
          = ( c_2Eordinal_2Esup @ TA @ A ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(7,plain,(
    ~ ! [TA: $tType,A: ( tyop_2Eordinal_2Eordinal @ TA ) > $o,B: ( tyop_2Eordinal_2Eordinal @ TA ) > $o] :
        ( ( ( c_2Ecardinal_2Ecardleq @ ( tyop_2Eordinal_2Eordinal @ TA ) @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) @ B @ ( c_2Epred__set_2EUNIV @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) ) )
          & ( c_2Ecardinal_2Ecardleq @ ( tyop_2Eordinal_2Eordinal @ TA ) @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) @ A @ ( c_2Epred__set_2EUNIV @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) ) )
          & ! [C: tyop_2Eordinal_2Eordinal @ TA] :
              ( ( c_2Ebool_2EIN @ ( tyop_2Eordinal_2Eordinal @ TA ) @ C @ B )
             => ? [D: tyop_2Eordinal_2Eordinal @ TA] :
                  ( ( c_2Ebool_2EIN @ ( tyop_2Eordinal_2Eordinal @ TA ) @ D @ A )
                  & ~ ( c_2Eordinal_2Eordlt @ TA @ D @ C ) ) )
          & ! [C: tyop_2Eordinal_2Eordinal @ TA] :
              ( ( c_2Ebool_2EIN @ ( tyop_2Eordinal_2Eordinal @ TA ) @ C @ A )
             => ? [D: tyop_2Eordinal_2Eordinal @ TA] :
                  ( ( c_2Ebool_2EIN @ ( tyop_2Eordinal_2Eordinal @ TA ) @ D @ B )
                  & ~ ( c_2Eordinal_2Eordlt @ TA @ D @ C ) ) ) )
       => ( ( c_2Eordinal_2Esup @ TA @ B )
          = ( c_2Eordinal_2Esup @ TA @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(10,plain,(
    c_2Ecardinal_2Ecardleq @ ( tyop_2Eordinal_2Eordinal @ skt1 ) @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ skt1 ) @ sk1 @ ( c_2Epred__set_2EUNIV @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ skt1 ) ) ),
    inference(cnf,[status(esa)],[7])).

thf(6,axiom,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( ~ ( c_2Eordinal_2Eordlt @ TA @ A @ B )
        & ~ ( c_2Eordinal_2Eordlt @ TA @ B @ A ) )
     => ( B = A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Eordle__ANTISYM)).

thf(25,plain,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( ~ ( c_2Eordinal_2Eordlt @ TA @ A @ B )
        & ~ ( c_2Eordinal_2Eordlt @ TA @ B @ A ) )
     => ( B = A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(14,plain,(
    c_2Ecardinal_2Ecardleq @ ( tyop_2Eordinal_2Eordinal @ skt1 ) @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ skt1 ) @ sk2 @ ( c_2Epred__set_2EUNIV @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ skt1 ) ) ),
    inference(cnf,[status(esa)],[7])).

thf(4,axiom,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: ( tyop_2Eordinal_2Eordinal @ TA ) > $o] :
      ( ( ( c_2Ecardinal_2Ecardleq @ ( tyop_2Eordinal_2Eordinal @ TA ) @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) @ B @ ( c_2Epred__set_2EUNIV @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) ) )
        & ( c_2Ebool_2EIN @ ( tyop_2Eordinal_2Eordinal @ TA ) @ A @ B ) )
     => ~ ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2Esup @ TA @ B ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Esuple__thm)).

thf(20,plain,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: ( tyop_2Eordinal_2Eordinal @ TA ) > $o] :
      ( ( ( c_2Ecardinal_2Ecardleq @ ( tyop_2Eordinal_2Eordinal @ TA ) @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) @ B @ ( c_2Epred__set_2EUNIV @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) ) )
        & ( c_2Ebool_2EIN @ ( tyop_2Eordinal_2Eordinal @ TA ) @ A @ B ) )
     => ~ ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2Esup @ TA @ B ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(9,plain,(
    ( c_2Eordinal_2Esup @ skt1 @ sk2 )
 != ( c_2Eordinal_2Esup @ skt1 @ sk1 ) ),
    inference(cnf,[status(esa)],[7])).

thf(15,plain,(
    ( c_2Eordinal_2Esup @ skt1 @ sk2 )
 != ( c_2Eordinal_2Esup @ skt1 @ sk1 ) ),
    inference(lifteq,[status(thm)],[9])).

thf(28,plain,(
    sk2 != sk1 ),
    inference(simp,[status(thm)],[15])).

thf(5,axiom,(
    ! [TA: $tType,A: ( tyop_2Eordinal_2Eordinal @ TA ) > $o] :
      ( ( c_2Ecardinal_2Ecardleq @ ( tyop_2Eordinal_2Eordinal @ TA ) @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) @ A @ ( c_2Epred__set_2EUNIV @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) ) )
     => ! [B: tyop_2Eordinal_2Eordinal @ TA] :
          ( ( c_2Eordinal_2Eordlt @ TA @ B @ ( c_2Eordinal_2Esup @ TA @ A ) )
          = ( ? [C: tyop_2Eordinal_2Eordinal @ TA] :
                ( ( c_2Ebool_2EIN @ ( tyop_2Eordinal_2Eordinal @ TA ) @ C @ A )
                & ( c_2Eordinal_2Eordlt @ TA @ B @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Esup__thm)).

thf(22,plain,(
    ! [TA: $tType,A: ( tyop_2Eordinal_2Eordinal @ TA ) > $o] :
      ( ( c_2Ecardinal_2Ecardleq @ ( tyop_2Eordinal_2Eordinal @ TA ) @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) @ A @ ( c_2Epred__set_2EUNIV @ ( tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA ) ) )
     => ! [B: tyop_2Eordinal_2Eordinal @ TA] :
          ( ( c_2Eordinal_2Eordlt @ TA @ B @ ( c_2Eordinal_2Esup @ TA @ A ) )
          = ( ? [C: tyop_2Eordinal_2Eordinal @ TA] :
                ( ( c_2Ebool_2EIN @ ( tyop_2Eordinal_2Eordinal @ TA ) @ C @ A )
                & ( c_2Eordinal_2Eordlt @ TA @ B @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(3,axiom,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA,C: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( ~ ( c_2Eordinal_2Eordlt @ TA @ B @ A )
        & ~ ( c_2Eordinal_2Eordlt @ TA @ C @ B ) )
     => ~ ( c_2Eordinal_2Eordlt @ TA @ C @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Eordle__TRANS)).

thf(18,plain,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA,C: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( ~ ( c_2Eordinal_2Eordlt @ TA @ B @ A )
        & ~ ( c_2Eordinal_2Eordlt @ TA @ C @ B ) )
     => ~ ( c_2Eordinal_2Eordlt @ TA @ C @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(48,plain,(
    $false ),
    inference(iprover,[status(thm)],[10,25,14,20,28,22,7,18,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.10/0.10  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.10/0.11  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.10/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.10/0.12  % CPULimit   : 300
% 0.10/0.12  % DateTime   : Wed Jul 31 01:51:09 EDT 2019
% 0.10/0.12  % CPUTime    : 
% 4.22/1.51  % [INFO] 	 Running in sequential loop mode. 
% 4.58/1.67  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.75/1.73  % [INFO] 	 iprover registered as external prover. 
% 4.75/1.73  % [INFO] 	 e registered as external prover. 
% 4.75/1.73  % [INFO] 	 cvc4 registered as external prover. 
% 4.75/1.74  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.98/1.80  % [INFO] 	 Found a conjecture and 33 axioms. Running axiom selection ... 
% 5.11/1.85  % [INFO] 	 Axiom selection finished. Selected 4 axioms (removed 29 axioms). 
% 5.11/1.87  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.61/2.67  % [INFO] 	 Killing All external provers ... 
% 7.61/2.68  % Time passed: 2487ms
% 7.61/2.68  % Effective reasoning time: 1164ms
% 7.61/2.68  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.61/2.68  % Axioms used in derivation (4): thm_2Eordinal_2Eordle__ANTISYM, thm_2Eordinal_2Esuple__thm, thm_2Eordinal_2Esup__thm, thm_2Eordinal_2Eordle__TRANS
% 7.61/2.68  % No. of inferences in proof: 17
% 7.61/2.68  % No. of processed clauses: 9
% 7.61/2.68  % No. of generated clauses: 8
% 7.61/2.68  % No. of forward subsumed clauses: 0
% 7.61/2.68  % No. of backward subsumed clauses: 0
% 7.61/2.68  % No. of ground rewrite rules in store: 2
% 7.61/2.68  % No. of non-ground rewrite rules in store: 0
% 7.61/2.68  % No. of positive (non-rewrite) units in store: 0
% 7.61/2.68  % No. of negative (non-rewrite) units in store: 3
% 8.18/2.68  % No. of choice functions detected: 0
% 8.18/2.68  % No. of choice instantiations: 0
% 8.18/2.68  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2487 ms resp. 1164 ms w/o parsing
% 8.24/2.71  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 8.24/2.71  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 8.24/2.71  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 8.24/2.71  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 8.24/2.71  thf(c_2Epred__set_2EUNIV_type, type, c_2Epred__set_2EUNIV: !>[TA: $tType]: (TA > $o)).
% 8.24/2.71  thf(c_2Ecardinal_2Ecardleq_type, type, c_2Ecardinal_2Ecardleq: !>[TA: $tType,TB: $tType]: ((TA > $o) > ((TB > $o) > $o))).
% 8.24/2.71  thf(c_2Eordinal_2Eordlt_type, type, c_2Eordinal_2Eordlt: !>[TA: $tType]: ((tyop_2Eordinal_2Eordinal @ TA) > ((tyop_2Eordinal_2Eordinal @ TA) > $o))).
% 8.24/2.71  thf(c_2Eordinal_2Esup_type, type, c_2Eordinal_2Esup: !>[TA: $tType]: (((tyop_2Eordinal_2Eordinal @ TA) > $o) > (tyop_2Eordinal_2Eordinal @ TA))).
% 8.24/2.71  thf(skt1_type, type, skt1: $tType).
% 8.24/2.71  thf(sk1_type, type, sk1: ((tyop_2Eordinal_2Eordinal @ skt1) > $o)).
% 8.24/2.71  thf(sk2_type, type, sk2: ((tyop_2Eordinal_2Eordinal @ skt1) > $o)).
% 8.24/2.71  thf(1,conjecture,((! [TA: $tType]: (! [A:((tyop_2Eordinal_2Eordinal @ TA) > $o),B:((tyop_2Eordinal_2Eordinal @ TA) > $o)]: (((c_2Ecardinal_2Ecardleq @ (tyop_2Eordinal_2Eordinal @ TA) @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA) @ B @ (c_2Epred__set_2EUNIV @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA))) & (c_2Ecardinal_2Ecardleq @ (tyop_2Eordinal_2Eordinal @ TA) @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA) @ A @ (c_2Epred__set_2EUNIV @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA))) & ! [C:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Ebool_2EIN @ (tyop_2Eordinal_2Eordinal @ TA) @ C @ B) => (? [D:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Ebool_2EIN @ (tyop_2Eordinal_2Eordinal @ TA) @ D @ A) & ~ (c_2Eordinal_2Eordlt @ TA @ D @ C)))) & ! [C:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Ebool_2EIN @ (tyop_2Eordinal_2Eordinal @ TA) @ C @ A) => (? [D:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Ebool_2EIN @ (tyop_2Eordinal_2Eordinal @ TA) @ D @ B) & ~ (c_2Eordinal_2Eordlt @ TA @ D @ C))))) => ((c_2Eordinal_2Esup @ TA @ B) = (c_2Eordinal_2Esup @ TA @ A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Esup__eq__sup)).
% 8.24/2.71  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:((tyop_2Eordinal_2Eordinal @ TA) > $o),B:((tyop_2Eordinal_2Eordinal @ TA) > $o)]: (((c_2Ecardinal_2Ecardleq @ (tyop_2Eordinal_2Eordinal @ TA) @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA) @ B @ (c_2Epred__set_2EUNIV @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA))) & (c_2Ecardinal_2Ecardleq @ (tyop_2Eordinal_2Eordinal @ TA) @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA) @ A @ (c_2Epred__set_2EUNIV @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA))) & ! [C:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Ebool_2EIN @ (tyop_2Eordinal_2Eordinal @ TA) @ C @ B) => (? [D:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Ebool_2EIN @ (tyop_2Eordinal_2Eordinal @ TA) @ D @ A) & ~ (c_2Eordinal_2Eordlt @ TA @ D @ C)))) & ! [C:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Ebool_2EIN @ (tyop_2Eordinal_2Eordinal @ TA) @ C @ A) => (? [D:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Ebool_2EIN @ (tyop_2Eordinal_2Eordinal @ TA) @ D @ B) & ~ (c_2Eordinal_2Eordlt @ TA @ D @ C))))) => ((c_2Eordinal_2Esup @ TA @ B) = (c_2Eordinal_2Esup @ TA @ A))))))),inference(neg_conjecture,[status(cth)],[1])).
% 8.24/2.71  thf(7,plain,((~ (! [TA: $tType]: (! [A:((tyop_2Eordinal_2Eordinal @ TA) > $o),B:((tyop_2Eordinal_2Eordinal @ TA) > $o)]: (((c_2Ecardinal_2Ecardleq @ (tyop_2Eordinal_2Eordinal @ TA) @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA) @ (B) @ (c_2Epred__set_2EUNIV @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA))) & (c_2Ecardinal_2Ecardleq @ (tyop_2Eordinal_2Eordinal @ TA) @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA) @ (A) @ (c_2Epred__set_2EUNIV @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA))) & ! [C:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Ebool_2EIN @ (tyop_2Eordinal_2Eordinal @ TA) @ C @ (B)) => (? [D:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Ebool_2EIN @ (tyop_2Eordinal_2Eordinal @ TA) @ D @ (A)) & ~ (c_2Eordinal_2Eordlt @ TA @ D @ C)))) & ! [C:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Ebool_2EIN @ (tyop_2Eordinal_2Eordinal @ TA) @ C @ (A)) => (? [D:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Ebool_2EIN @ (tyop_2Eordinal_2Eordinal @ TA) @ D @ (B)) & ~ (c_2Eordinal_2Eordlt @ TA @ D @ C))))) => ((c_2Eordinal_2Esup @ TA @ (B)) = (c_2Eordinal_2Esup @ TA @ (A)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 8.24/2.71  thf(10,plain,((c_2Ecardinal_2Ecardleq @ (tyop_2Eordinal_2Eordinal @ skt1) @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ skt1) @ (sk1) @ (c_2Epred__set_2EUNIV @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ skt1)))),inference(cnf,[status(esa)],[7])).
% 8.24/2.71  thf(6,axiom,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA)]: ((~ (c_2Eordinal_2Eordlt @ TA @ A @ B) & ~ (c_2Eordinal_2Eordlt @ TA @ B @ A)) => (B = A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Eordle__ANTISYM)).
% 8.24/2.71  thf(25,plain,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA)]: ((~ (c_2Eordinal_2Eordlt @ TA @ A @ B) & ~ (c_2Eordinal_2Eordlt @ TA @ B @ A)) => (B = A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 8.24/2.71  thf(14,plain,((c_2Ecardinal_2Ecardleq @ (tyop_2Eordinal_2Eordinal @ skt1) @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ skt1) @ (sk2) @ (c_2Epred__set_2EUNIV @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ skt1)))),inference(cnf,[status(esa)],[7])).
% 8.24/2.71  thf(4,axiom,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:((tyop_2Eordinal_2Eordinal @ TA) > $o)]: (((c_2Ecardinal_2Ecardleq @ (tyop_2Eordinal_2Eordinal @ TA) @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA) @ B @ (c_2Epred__set_2EUNIV @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA))) & (c_2Ebool_2EIN @ (tyop_2Eordinal_2Eordinal @ TA) @ A @ B)) => (~ (c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2Esup @ TA @ B) @ A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Esuple__thm)).
% 8.24/2.71  thf(20,plain,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:((tyop_2Eordinal_2Eordinal @ TA) > $o)]: (((c_2Ecardinal_2Ecardleq @ (tyop_2Eordinal_2Eordinal @ TA) @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA) @ (B) @ (c_2Epred__set_2EUNIV @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA))) & (c_2Ebool_2EIN @ (tyop_2Eordinal_2Eordinal @ TA) @ A @ (B))) => (~ (c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2Esup @ TA @ (B)) @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 8.24/2.71  thf(9,plain,((~ ((c_2Eordinal_2Esup @ skt1 @ (sk2)) = (c_2Eordinal_2Esup @ skt1 @ (sk1))))),inference(cnf,[status(esa)],[7])).
% 8.24/2.71  thf(15,plain,(((c_2Eordinal_2Esup @ skt1 @ (sk2)) != (c_2Eordinal_2Esup @ skt1 @ (sk1)))),inference(lifteq,[status(thm)],[9])).
% 8.24/2.71  thf(28,plain,(((sk2) != (sk1))),inference(simp,[status(thm)],[15])).
% 8.24/2.71  thf(5,axiom,((! [TA: $tType]: (! [A:((tyop_2Eordinal_2Eordinal @ TA) > $o)]: ((c_2Ecardinal_2Ecardleq @ (tyop_2Eordinal_2Eordinal @ TA) @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA) @ A @ (c_2Epred__set_2EUNIV @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA))) => (! [B:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Eordinal_2Eordlt @ TA @ B @ (c_2Eordinal_2Esup @ TA @ A)) = (? [C:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Ebool_2EIN @ (tyop_2Eordinal_2Eordinal @ TA) @ C @ A) & (c_2Eordinal_2Eordlt @ TA @ B @ C))))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Esup__thm)).
% 8.24/2.71  thf(22,plain,((! [TA: $tType]: (! [A:((tyop_2Eordinal_2Eordinal @ TA) > $o)]: ((c_2Ecardinal_2Ecardleq @ (tyop_2Eordinal_2Eordinal @ TA) @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA) @ (A) @ (c_2Epred__set_2EUNIV @ (tyop_2Esum_2Esum @ tyop_2Enum_2Enum @ TA))) => (! [B:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Eordinal_2Eordlt @ TA @ B @ (c_2Eordinal_2Esup @ TA @ (A))) = (? [C:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Ebool_2EIN @ (tyop_2Eordinal_2Eordinal @ TA) @ C @ (A)) & (c_2Eordinal_2Eordlt @ TA @ B @ C))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 8.24/2.71  thf(3,axiom,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA),C:(tyop_2Eordinal_2Eordinal @ TA)]: ((~ (c_2Eordinal_2Eordlt @ TA @ B @ A) & ~ (c_2Eordinal_2Eordlt @ TA @ C @ B)) => (~ (c_2Eordinal_2Eordlt @ TA @ C @ A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Eordle__TRANS)).
% 8.24/2.71  thf(18,plain,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA),C:(tyop_2Eordinal_2Eordinal @ TA)]: ((~ (c_2Eordinal_2Eordlt @ TA @ B @ A) & ~ (c_2Eordinal_2Eordlt @ TA @ C @ B)) => (~ (c_2Eordinal_2Eordlt @ TA @ C @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 8.24/2.71  thf(48,plain,($false),inference(iprover,[status(thm)],[10,25,14,20,28,22,7,18,15])).
% 8.24/2.71  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 8.24/2.71  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
