%------------------------------------------------------------------------------
thf(u_type,type,(
    u: $tType )).

thf(d_type,type,(
    d: $tType )).

thf(du_type,type,(
    du: $tType )).

thf(mono_2Etyop_2Enum_2Enum_type,type,(
    mono_2Etyop_2Enum_2Enum: $tType )).

thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: d )).

thf(tyop_2Emin_2Efun_type,type,(
    tyop_2Emin_2Efun: d > d > d )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: d )).

thf(tyop_2Eordinal_2Eordinal_type,type,(
    tyop_2Eordinal_2Eordinal: d > d )).

thf(s_type,type,(
    s: d > u > du )).

thf(app_2E2_type,type,(
    app_2E2: du > du > u )).

thf(combin_i_2E0_type,type,(
    combin_i_2E0: u )).

thf(combin_k_2E0_type,type,(
    combin_k_2E0: u )).

thf(combin_s_2E0_type,type,(
    combin_s_2E0: u )).

thf(c_2Ebool_2E_21_2E0_type,type,(
    c_2Ebool_2E_21_2E0: u )).

thf(c_2Ebool_2E_21_2E1_type,type,(
    c_2Ebool_2E_21_2E1: du > u )).

thf(c_2Emin_2E_3D_2E0_type,type,(
    c_2Emin_2E_3D_2E0: u )).

thf(c_2Emin_2E_3D_2E2_type,type,(
    c_2Emin_2E_3D_2E2: du > du > u )).

thf(c_2Ebool_2E_3F_2E0_type,type,(
    c_2Ebool_2E_3F_2E0: u )).

thf(c_2Ebool_2E_3F_2E1_type,type,(
    c_2Ebool_2E_3F_2E1: du > u )).

thf(c_2Eordinal_2EfromNat_2E0_type,type,(
    c_2Eordinal_2EfromNat_2E0: u )).

thf(c_2Eordinal_2EfromNat_2E1_type,type,(
    c_2Eordinal_2EfromNat_2E1: du > u )).

thf(c_2Eordinal_2EordMULT_2E0_type,type,(
    c_2Eordinal_2EordMULT_2E0: u )).

thf(c_2Eordinal_2EordMULT_2E2_type,type,(
    c_2Eordinal_2EordMULT_2E2: du > du > u )).

thf(c_2Eordinal_2Eordlt_2E0_type,type,(
    c_2Eordinal_2Eordlt_2E0: u )).

thf(c_2Eordinal_2Eordlt_2E2_type,type,(
    c_2Eordinal_2Eordlt_2E2: du > du > u )).

thf(mono_2Ec_2Enum_2E0_type,type,(
    mono_2Ec_2Enum_2E0: mono_2Etyop_2Enum_2Enum )).

thf(mono_2Ec_2Earithmetic_2EBIT1_type,type,(
    mono_2Ec_2Earithmetic_2EBIT1: mono_2Etyop_2Enum_2Enum > mono_2Etyop_2Enum_2Enum )).

thf(mono_2Ec_2Earithmetic_2ENUMERAL_type,type,(
    mono_2Ec_2Earithmetic_2ENUMERAL: mono_2Etyop_2Enum_2Enum > mono_2Etyop_2Enum_2Enum )).

thf(mono_2Ec_2Earithmetic_2EZERO_type,type,(
    mono_2Ec_2Earithmetic_2EZERO: mono_2Etyop_2Enum_2Enum )).

thf(i_mono_2Etyop_2Emin_2Ebool_type,type,(
    i_mono_2Etyop_2Emin_2Ebool: $o > u )).

thf(i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_type,type,(
    i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29: ( $o > $o ) > u )).

thf(i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29_type,type,(
    i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29: ( $o > $o > $o ) > u )).

thf(i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Enum_2Enum_29_type,type,(
    i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Enum_2Enum_29: ( mono_2Etyop_2Enum_2Enum > mono_2Etyop_2Enum_2Enum ) > u )).

thf(i_mono_2Etyop_2Enum_2Enum_type,type,(
    i_mono_2Etyop_2Enum_2Enum: mono_2Etyop_2Enum_2Enum > u )).

thf(j_mono_2Etyop_2Emin_2Ebool_type,type,(
    j_mono_2Etyop_2Emin_2Ebool: du > $o )).

thf(j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_type,type,(
    j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29: du > $o > $o )).

thf(j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29_type,type,(
    j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29: du > $o > $o > $o )).

thf(j_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Enum_2Enum_29_type,type,(
    j_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Enum_2Enum_29: du > mono_2Etyop_2Enum_2Enum > mono_2Etyop_2Enum_2Enum )).

thf(j_mono_2Etyop_2Enum_2Enum_type,type,(
    j_mono_2Etyop_2Enum_2Enum: du > mono_2Etyop_2Enum_2Enum )).

thf(sk1_type,type,(
    sk1: d )).

thf(sk2_type,type,(
    sk2: u )).

thf(sk3_type,type,(
    sk3: u )).

thf(28,axiom,(
    ! [A: d,B: u] :
      ( ( s @ A @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ A ) @ combin_i_2E0 ) @ ( s @ A @ B ) ) )
      = ( s @ A @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',reserved_2Eho_2Ei__thm)).

thf(138,plain,(
    ! [A: d,B: u] :
      ( ( s @ A @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ A ) @ combin_i_2E0 ) @ ( s @ A @ B ) ) )
      = ( s @ A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(17,axiom,(
    ! [A: d,B: d,C: d,D: u,E: u,F: u] :
      ( ( s @ C @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ C ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ B ) @ ( tyop_2Emin_2Efun @ A @ C ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ B ) @ ( tyop_2Emin_2Efun @ A @ C ) ) ) @ combin_s_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ D ) ) ) @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ E ) ) ) @ ( s @ A @ F ) ) )
      = ( s @ C @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ B @ C ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ D ) @ ( s @ A @ F ) ) ) @ ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ E ) @ ( s @ A @ F ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',reserved_2Eho_2Es__thm)).

thf(101,plain,(
    ! [A: d,B: d,C: d,D: u,E: u,F: u] :
      ( ( s @ C @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ C ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ B ) @ ( tyop_2Emin_2Efun @ A @ C ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ B ) @ ( tyop_2Emin_2Efun @ A @ C ) ) ) @ combin_s_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ D ) ) ) @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ E ) ) ) @ ( s @ A @ F ) ) )
      = ( s @ C @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ B @ C ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ C ) ) @ D ) @ ( s @ A @ F ) ) ) @ ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ E ) @ ( s @ A @ F ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(13,axiom,(
    ! [A: $o > $o,B: $o] :
      ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( A @ B ) ) )
      = ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ A ) ) @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',monoeq_2Emono_2Eapp_2E2_2Emono_2Etyop_2Emin_2Ebool_20mono_2Etyop_2Emin_2Ebool)).

thf(75,plain,(
    ! [A: $o > $o,B: $o] :
      ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( A @ B ) ) )
      = ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ A ) ) @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(77,plain,
    ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $false ) )
    = ( s @ tyop_2Emin_2Ebool
      @ ( app_2E2
        @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
          @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
            @ ^ [A: $o] : A ) )
        @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $false ) ) ) ) ),
    inference(instance,[status(thm)],[75])).

thf(88,plain,
    ( ( s @ tyop_2Emin_2Ebool
      @ ( app_2E2
        @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
          @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
            @ ^ [A: $o] : A ) )
        @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $false ) ) ) )
    = ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $false ) ) ),
    inference(lifteq,[status(thm)],[77])).

thf(21,axiom,(
    ! [A: mono_2Etyop_2Enum_2Enum] :
      ( ( j_mono_2Etyop_2Enum_2Enum @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ A ) ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ji_2Emono_2Etyop_2Enum_2Enum)).

thf(113,plain,(
    ! [A: mono_2Etyop_2Enum_2Enum] :
      ( ( j_mono_2Etyop_2Enum_2Enum @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ A ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(114,plain,(
    ! [A: mono_2Etyop_2Enum_2Enum] :
      ( ( j_mono_2Etyop_2Enum_2Enum @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ A ) ) )
      = A ) ),
    inference(cnf,[status(esa)],[113])).

thf(115,plain,(
    ! [A: mono_2Etyop_2Enum_2Enum] :
      ( ( j_mono_2Etyop_2Enum_2Enum @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ A ) ) )
      = A ) ),
    inference(lifteq,[status(thm)],[114])).

thf(4,axiom,(
    ! [A: $o > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ A ) ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ji_2Emono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29)).

thf(40,plain,(
    ! [A: $o > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ A ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(43,plain,
    ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
      @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
        @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
          @ ^ [A: $o] : A ) ) )
    = ( ^ [A: $o] : A ) ),
    inference(instance,[status(thm)],[40])).

thf(47,plain,
    ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
      @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
        @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
          @ ^ [A: $o] : A ) ) )
    = ( ^ [A: $o] : A ) ),
    inference(lifteq,[status(thm)],[43])).

thf(44,plain,
    ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ (~) ) ) )
    = (~) ),
    inference(instance,[status(thm)],[40])).

thf(48,plain,
    ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ (~) ) ) )
    = (~) ),
    inference(lifteq,[status(thm)],[44])).

thf(273,plain,(
    ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ (~) ) ) )
 != ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
    @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
      @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
        @ ^ [A: $o] : A ) ) ) ),
    inference(paramod_ordered,[status(thm)],[47,48])).

thf(279,plain,
    ( ( ( ^ [A: $o] :
            ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ (~) ) ) )
     != ( ^ [A: $o] :
            ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
            @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
              @ ^ [B: $o] : B ) ) ) )
    | ( ( ^ [A: $o] : A )
     != ( ^ [A: $o] : A ) ) ),
    inference(simp,[status(thm)],[273])).

thf(284,plain,(
    ( ^ [A: $o] :
        ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ (~) ) ) )
 != ( ^ [A: $o] :
        ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
        @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
          @ ^ [B: $o] : B ) ) ) ),
    inference(simp,[status(thm)],[279])).

thf(300,plain,
    ( ( ( ^ [A: $o] :
            ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) )
     != ( ^ [A: $o] :
            ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) )
    | ( ( ^ [A: $o] :
            ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ (~) ) )
     != ( ^ [A: $o] :
            ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
            @ ^ [B: $o] : B ) ) ) ),
    inference(simp,[status(thm)],[284])).

thf(306,plain,(
    ( ^ [A: $o] :
        ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ (~) ) )
 != ( ^ [A: $o] :
        ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
        @ ^ [B: $o] : B ) ) ),
    inference(simp,[status(thm)],[300])).

thf(308,plain,(
    ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ (~) )
 != ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
    @ ^ [A: $o] : A ) ),
    inference(func_ext,[status(esa)],[306])).

thf(33,axiom,(
    ! [A: d,B: d,C: u,D: u] :
      ( ( s @ A @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ B @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ A ) ) @ combin_k_2E0 ) @ ( s @ A @ C ) ) ) @ ( s @ B @ D ) ) )
      = ( s @ A @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',reserved_2Eho_2Ek__thm)).

thf(153,plain,(
    ! [A: d,B: d,C: u,D: u] :
      ( ( s @ A @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ B @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ B @ A ) ) @ combin_k_2E0 ) @ ( s @ A @ C ) ) ) @ ( s @ B @ D ) ) )
      = ( s @ A @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(301,plain,(
    ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ (~) ) )
 != ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
    @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
      @ ^ [A: $o] : A ) ) ),
    inference(func_ext,[status(esa)],[284])).

thf(3,axiom,(
    ! [A: $o > $o > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ji_2Emono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29)).

thf(37,plain,(
    ! [A: $o > $o > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(6,axiom,(
    ! [A: d,B: u,C: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ C ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Eordinal_2Eordinal @ A ) @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( tyop_2Emin_2Efun @ ( tyop_2Eordinal_2Eordinal @ A ) @ tyop_2Emin_2Ebool ) ) @ c_2Eordinal_2Eordlt_2E0 ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Emono_2Ec_2Eordinal_2Eordlt_2E2_2Emono_2EA_27a)).

thf(52,plain,(
    ! [A: d,B: u,C: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ C ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Eordinal_2Eordinal @ A ) @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( tyop_2Emin_2Efun @ ( tyop_2Eordinal_2Eordinal @ A ) @ tyop_2Emin_2Ebool ) ) @ c_2Eordinal_2Eordlt_2E0 ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(20,axiom,(
    ! [A: d,B: u] :
      ( ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EordMULT_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ ( mono_2Ec_2Earithmetic_2ENUMERAL @ ( mono_2Ec_2Earithmetic_2EBIT1 @ mono_2Ec_2Earithmetic_2EZERO ) ) ) ) ) ) ) )
      = ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2EordMULT__1R)).

thf(110,plain,(
    ! [A: d,B: u] :
      ( ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EordMULT_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ ( mono_2Ec_2Earithmetic_2ENUMERAL @ ( mono_2Ec_2Earithmetic_2EBIT1 @ mono_2Ec_2Earithmetic_2EZERO ) ) ) ) ) ) ) )
      = ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(25,axiom,(
    ! [A: d,B: u] :
      ( ( ( ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B )
         != ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) ) )
        = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) ) ) ) )
      & ( ( ~ ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ ( mono_2Ec_2Earithmetic_2ENUMERAL @ ( mono_2Ec_2Earithmetic_2EBIT1 @ mono_2Ec_2Earithmetic_2EZERO ) ) ) ) ) ) ) ) ) )
        = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2EIFF__ZERO__lt)).

thf(125,plain,(
    ! [A: d,B: u] :
      ( ( ( ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B )
         != ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) ) )
        = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) ) ) ) )
      & ( ( ~ ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ ( mono_2Ec_2Earithmetic_2ENUMERAL @ ( mono_2Ec_2Earithmetic_2EBIT1 @ mono_2Ec_2Earithmetic_2EZERO ) ) ) ) ) ) ) ) ) )
        = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(12,axiom,(
    ! [A: $o] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ A ) ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ji_2Emono_2Etyop_2Emin_2Ebool)).

thf(70,plain,(
    ! [A: $o] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ A ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(71,plain,
    ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $true ) ) )
    = $true ),
    inference(instance,[status(thm)],[70])).

thf(72,plain,(
    j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $true ) ) ),
    inference(simp,[status(thm)],[71])).

thf(73,plain,
    ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $false ) ) )
    = $false ),
    inference(instance,[status(thm)],[70])).

thf(74,plain,(
    ~ ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $false ) ) ) ),
    inference(simp,[status(thm)],[73])).

thf(156,plain,(
    ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $false ) ) )
 != ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $true ) ) ) ),
    inference(paramod_ordered,[status(thm)],[72,74])).

thf(157,plain,(
    ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $false ) )
 != ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $true ) ) ),
    inference(simp,[status(thm)],[156])).

thf(42,plain,
    ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
      @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
        @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
          @ ^ [A: $o] : $false ) ) )
    = ( ^ [A: $o] : $false ) ),
    inference(instance,[status(thm)],[40])).

thf(46,plain,
    ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
      @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
        @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
          @ ^ [A: $o] : $false ) ) )
    = ( ^ [A: $o] : $false ) ),
    inference(lifteq,[status(thm)],[42])).

thf(41,plain,
    ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
      @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
        @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
          @ ^ [A: $o] : $true ) ) )
    = ( ^ [A: $o] : $true ) ),
    inference(instance,[status(thm)],[40])).

thf(45,plain,
    ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
      @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
        @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
          @ ^ [A: $o] : $true ) ) )
    = ( ^ [A: $o] : $true ) ),
    inference(lifteq,[status(thm)],[41])).

thf(170,plain,(
    ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
    @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
      @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
        @ ^ [A: $o] : $false ) ) )
 != ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
    @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
      @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
        @ ^ [A: $o] : $true ) ) ) ),
    inference(paramod_ordered,[status(thm)],[46,45])).

thf(174,plain,
    ( ( ( ^ [A: $o] :
            ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
            @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
              @ ^ [B: $o] : $false ) ) )
     != ( ^ [A: $o] :
            ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
            @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
              @ ^ [B: $o] : $true ) ) ) )
    | ( ( ^ [A: $o] : A )
     != ( ^ [A: $o] : A ) ) ),
    inference(simp,[status(thm)],[170])).

thf(178,plain,(
    ( ^ [A: $o] :
        ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
        @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
          @ ^ [B: $o] : $false ) ) )
 != ( ^ [A: $o] :
        ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
        @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
          @ ^ [B: $o] : $true ) ) ) ),
    inference(simp,[status(thm)],[174])).

thf(561,plain,
    ( ( ( ^ [A: $o] :
            ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) )
     != ( ^ [A: $o] :
            ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) )
    | ( ( ^ [A: $o] :
            ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
            @ ^ [B: $o] : $false ) )
     != ( ^ [A: $o] :
            ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
            @ ^ [B: $o] : $true ) ) ) ),
    inference(simp,[status(thm)],[178])).

thf(572,plain,(
    ( ^ [A: $o] :
        ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
        @ ^ [B: $o] : $false ) )
 != ( ^ [A: $o] :
        ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
        @ ^ [B: $o] : $true ) ) ),
    inference(simp,[status(thm)],[561])).

thf(574,plain,(
    ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
    @ ^ [A: $o] : $false )
 != ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
    @ ^ [A: $o] : $true ) ),
    inference(func_ext,[status(esa)],[572])).

thf(31,axiom,(
    ! [A: u] :
      ( ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ ( j_mono_2Etyop_2Enum_2Enum @ ( s @ tyop_2Enum_2Enum @ A ) ) ) )
      = ( s @ tyop_2Enum_2Enum @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ij_2Emono_2Etyop_2Enum_2Enum)).

thf(147,plain,(
    ! [A: u] :
      ( ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ ( j_mono_2Etyop_2Enum_2Enum @ ( s @ tyop_2Enum_2Enum @ A ) ) ) )
      = ( s @ tyop_2Enum_2Enum @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(9,axiom,(
    ! [A: u] :
      ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ A ) ) ) )
      = ( s @ tyop_2Emin_2Ebool @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ij_2Emono_2Etyop_2Emin_2Ebool)).

thf(61,plain,(
    ! [A: u] :
      ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ A ) ) ) )
      = ( s @ tyop_2Emin_2Ebool @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(26,axiom,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Enum_2Enum_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Enum_2Enum_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ij_2Emono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Enum_2Enum_29)).

thf(132,plain,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Enum_2Enum_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Enum_2Enum_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(81,plain,
    ( ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $true ) )
    = ( s @ tyop_2Emin_2Ebool
      @ ( app_2E2
        @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
          @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
            @ ^ [A: $o] : A ) )
        @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $true ) ) ) ) ),
    inference(instance,[status(thm)],[75])).

thf(89,plain,
    ( ( s @ tyop_2Emin_2Ebool
      @ ( app_2E2
        @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
          @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
            @ ^ [A: $o] : A ) )
        @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $true ) ) ) )
    = ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $true ) ) ),
    inference(lifteq,[status(thm)],[81])).

thf(22,axiom,(
    ! [A: mono_2Etyop_2Enum_2Enum > mono_2Etyop_2Enum_2Enum] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Enum_2Enum_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Enum_2Enum_29 @ A ) ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ji_2Emono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Enum_2Enum_29)).

thf(116,plain,(
    ! [A: mono_2Etyop_2Enum_2Enum > mono_2Etyop_2Enum_2Enum] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Enum_2Enum_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Enum_2Enum_29 @ A ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(159,plain,(
    ! [A: $o] :
      ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
      @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
        @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
          @ ^ [B: $o] : $true ) )
      @ A ) ),
    inference(func_ext,[status(esa)],[45])).

thf(169,plain,(
    ! [A: $o] :
      ~ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
        @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
          @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
            @ ^ [B: $o] : $false ) )
        @ A ) ),
    inference(func_ext,[status(esa)],[46])).

thf(294,plain,(
    ! [B: $o,A: $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
        @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
          @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
            @ ^ [C: $o] : $true ) )
        @ A )
     != ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
        @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
          @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
            @ ^ [C: $o] : $false ) )
        @ B ) ) ),
    inference(paramod_ordered,[status(thm)],[159,169])).

thf(296,plain,(
    ! [B: $o,A: $o] :
      ( ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
          @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
            @ ^ [C: $o] : $false ) )
       != ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
          @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
            @ ^ [C: $o] : $true ) ) )
      | ( A != B ) ) ),
    inference(simp,[status(thm)],[294])).

thf(297,plain,(
    ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
    @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
      @ ^ [A: $o] : $false ) )
 != ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
    @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
      @ ^ [A: $o] : $true ) ) ),
    inference(simp,[status(thm)],[296])).

thf(15,axiom,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ij_2Emono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29)).

thf(97,plain,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(29,axiom,(
    ! [A: mono_2Etyop_2Enum_2Enum > mono_2Etyop_2Enum_2Enum,B: mono_2Etyop_2Enum_2Enum] :
      ( ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ ( A @ B ) ) )
      = ( s @ tyop_2Enum_2Enum @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Enum_2Enum_29 @ A ) ) @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',monoeq_2Emono_2Eapp_2E2_2Emono_2Etyop_2Enum_2Enum_20mono_2Etyop_2Enum_2Enum)).

thf(141,plain,(
    ! [A: mono_2Etyop_2Enum_2Enum > mono_2Etyop_2Enum_2Enum,B: mono_2Etyop_2Enum_2Enum] :
      ( ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ ( A @ B ) ) )
      = ( s @ tyop_2Enum_2Enum @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Enum_2Enum_29 @ A ) ) @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(1,conjecture,(
    ! [A: d,B: u,C: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EordMULT_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ C ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) ) ) )
      = ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) ) ) )
        & ( ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ C )
          = ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Ecx__lt__x)).

thf(2,negated_conjecture,(
    ~ ! [A: d,B: u,C: u] :
        ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EordMULT_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ C ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) ) ) )
        = ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) ) ) )
          & ( ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ C )
            = ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(34,plain,(
    ~ ! [A: d,B: u,C: u] :
        ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EordMULT_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ C ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) ) ) )
        = ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) ) ) )
          & ( ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ C )
            = ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(10,axiom,(
    ! [A: d,B: u,C: u,D: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EordMULT_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ D ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EordMULT_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ C ) ) ) ) ) )
      = ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ D ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ C ) ) ) )
        & ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2EordMULT__lt__MONO__R__EQN)).

thf(64,plain,(
    ! [A: d,B: u,C: u,D: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EordMULT_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ D ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EordMULT_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ C ) ) ) ) ) )
      = ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ D ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ C ) ) ) )
        & ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(117,plain,(
    ! [A: mono_2Etyop_2Enum_2Enum > mono_2Etyop_2Enum_2Enum] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Enum_2Enum_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Enum_2Enum_29 @ A ) ) )
      = A ) ),
    inference(cnf,[status(esa)],[116])).

thf(118,plain,(
    ! [A: mono_2Etyop_2Enum_2Enum > mono_2Etyop_2Enum_2Enum] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Enum_2Enum_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Enum_2Enum_2Ctyop_2Enum_2Enum_29 @ A ) ) )
      = A ) ),
    inference(lifteq,[status(thm)],[117])).

thf(53,plain,(
    ! [C: u,B: u,A: d] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ C ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Eordinal_2Eordinal @ A ) @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( tyop_2Emin_2Efun @ ( tyop_2Eordinal_2Eordinal @ A ) @ tyop_2Emin_2Ebool ) ) @ c_2Eordinal_2Eordlt_2E0 ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ C ) ) ) ) ) ),
    inference(cnf,[status(esa)],[52])).

thf(54,plain,(
    ! [C: u,B: u,A: d] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ C ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Eordinal_2Eordinal @ A ) @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( tyop_2Emin_2Efun @ ( tyop_2Eordinal_2Eordinal @ A ) @ tyop_2Emin_2Ebool ) ) @ c_2Eordinal_2Eordlt_2E0 ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ C ) ) ) ) ) ),
    inference(lifteq,[status(thm)],[53])).

thf(30,axiom,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_3F_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Emono_2Ec_2Ebool_2E_3F_2E1_2Emono_2EA_27a)).

thf(144,plain,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_3F_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(5,axiom,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( ! [C: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',reserved_2Equant_2E_21)).

thf(49,plain,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( ! [C: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(38,plain,(
    ! [A: $o > $o > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) )
      = A ) ),
    inference(cnf,[status(esa)],[37])).

thf(39,plain,(
    ! [A: $o > $o > $o] :
      ( ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) )
      = A ) ),
    inference(lifteq,[status(thm)],[38])).

thf(329,plain,
    ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $false ) ) )
    | ( ( s @ tyop_2Emin_2Ebool
        @ ( app_2E2
          @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
            @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
              @ ^ [A: $o] : A ) )
          @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $false ) ) ) )
     != ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $true ) ) ) ),
    inference(paramod_ordered,[status(thm)],[88,72])).

thf(353,plain,
    ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $false ) ) )
    | ( tyop_2Emin_2Ebool != tyop_2Emin_2Ebool )
    | ( ( app_2E2
        @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
          @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
            @ ^ [A: $o] : A ) )
        @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $false ) ) )
     != ( i_mono_2Etyop_2Emin_2Ebool @ $true ) ) ),
    inference(simp,[status(thm)],[329])).

thf(385,plain,
    ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $false ) ) )
    | ( ( app_2E2
        @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
          @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
            @ ^ [A: $o] : A ) )
        @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $false ) ) )
     != ( i_mono_2Etyop_2Emin_2Ebool @ $true ) ) ),
    inference(simp,[status(thm)],[353])).

thf(386,plain,
    ( $false
    | ( ( app_2E2
        @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
          @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
            @ ^ [A: $o] : A ) )
        @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $false ) ) )
     != ( i_mono_2Etyop_2Emin_2Ebool @ $true ) ) ),
    inference(rewrite,[status(thm)],[385,74])).

thf(387,plain,(
    ( app_2E2
    @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
      @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
        @ ^ [A: $o] : A ) )
    @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $false ) ) )
 != ( i_mono_2Etyop_2Emin_2Ebool @ $true ) ),
    inference(simp,[status(thm)],[386])).

thf(27,axiom,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_21_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Emono_2Ec_2Ebool_2E_21_2E1_2Emono_2EA_27a)).

thf(135,plain,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_21_2E0 ) @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(166,plain,
    ( ( tyop_2Emin_2Ebool != tyop_2Emin_2Ebool )
    | ( ( i_mono_2Etyop_2Emin_2Ebool @ $false )
     != ( i_mono_2Etyop_2Emin_2Ebool @ $true ) ) ),
    inference(simp,[status(thm)],[157])).

thf(167,plain,(
    ( i_mono_2Etyop_2Emin_2Ebool @ $false )
 != ( i_mono_2Etyop_2Emin_2Ebool @ $true ) ),
    inference(simp,[status(thm)],[166])).

thf(600,plain,
    ( ~ ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $true ) ) )
    | ( ( s @ tyop_2Emin_2Ebool
        @ ( app_2E2
          @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
            @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
              @ ^ [A: $o] : A ) )
          @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $true ) ) ) )
     != ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $false ) ) ) ),
    inference(paramod_ordered,[status(thm)],[89,74])).

thf(678,plain,
    ( ~ ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $true ) ) )
    | ( tyop_2Emin_2Ebool != tyop_2Emin_2Ebool )
    | ( ( app_2E2
        @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
          @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
            @ ^ [A: $o] : A ) )
        @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $true ) ) )
     != ( i_mono_2Etyop_2Emin_2Ebool @ $false ) ) ),
    inference(simp,[status(thm)],[600])).

thf(703,plain,
    ( ~ ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $true ) ) )
    | ( ( app_2E2
        @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
          @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
            @ ^ [A: $o] : A ) )
        @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $true ) ) )
     != ( i_mono_2Etyop_2Emin_2Ebool @ $false ) ) ),
    inference(simp,[status(thm)],[678])).

thf(704,plain,
    ( ~ $true
    | ( ( app_2E2
        @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
          @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
            @ ^ [A: $o] : A ) )
        @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $true ) ) )
     != ( i_mono_2Etyop_2Emin_2Ebool @ $false ) ) ),
    inference(rewrite,[status(thm)],[703,72])).

thf(705,plain,(
    ( app_2E2
    @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool )
      @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29
        @ ^ [A: $o] : A ) )
    @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $true ) ) )
 != ( i_mono_2Etyop_2Emin_2Ebool @ $false ) ),
    inference(simp,[status(thm)],[704])).

thf(32,axiom,(
    ! [A: d,B: mono_2Etyop_2Enum_2Enum] :
      ( ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) ) )
      = ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Eordinal_2Eordinal @ A ) ) @ c_2Eordinal_2EfromNat_2E0 ) @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Emono_2Ec_2Eordinal_2EfromNat_2E1_2Emono_2EA_27a)).

thf(150,plain,(
    ! [A: d,B: mono_2Etyop_2Enum_2Enum] :
      ( ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) ) )
      = ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Eordinal_2Eordinal @ A ) ) @ c_2Eordinal_2EfromNat_2E0 ) @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(11,axiom,(
    ! [A: $o > $o > $o,B: $o] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( A @ B ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',monoeq_2Emono_2Eapp_2E2_2Emono_2Etyop_2Emin_2Ebool_20mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29)).

thf(67,plain,(
    ! [A: $o > $o > $o,B: $o] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( A @ B ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29_29 @ A ) ) @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(18,axiom,(
    ! [A: d,B: d,C: u,D: u] :
      ( ! [E: u] :
          ( ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ C ) @ ( s @ A @ E ) ) )
          = ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ D ) @ ( s @ A @ E ) ) ) )
     => ( ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ C )
        = ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ D ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',reserved_2Eho_2Eeq__ext)).

thf(104,plain,(
    ! [A: d,B: d,C: u,D: u] :
      ( ! [E: u] :
          ( ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ C ) @ ( s @ A @ E ) ) )
          = ( s @ B @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ D ) @ ( s @ A @ E ) ) ) )
     => ( ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ C )
        = ( s @ ( tyop_2Emin_2Efun @ A @ B ) @ D ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(7,axiom,(
    ! [A: d,B: u,C: u] :
      ( ( ( s @ A @ B )
        = ( s @ A @ C ) )
      = ( ( s @ A @ C )
        = ( s @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__SYM__EQ)).

thf(55,plain,(
    ! [A: d,B: u,C: u] :
      ( ( ( s @ A @ B )
        = ( s @ A @ C ) )
      = ( ( s @ A @ C )
        = ( s @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(23,axiom,(
    ! [A: d,B: u,C: u] :
      ( ( ( s @ A @ B )
        = ( s @ A @ C ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) ) @ c_2Emin_2E_3D_2E0 ) @ ( s @ A @ B ) ) ) @ ( s @ A @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Emono_2Ec_2Emin_2E_3D_2E2_2Emono_2EA_27a)).

thf(119,plain,(
    ! [A: d,B: u,C: u] :
      ( ( ( s @ A @ B )
        = ( s @ A @ C ) )
      = ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) ) @ c_2Emin_2E_3D_2E0 ) @ ( s @ A @ B ) ) ) @ ( s @ A @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(8,axiom,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',ij_2Emono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29)).

thf(58,plain,(
    ! [A: u] :
      ( ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( i_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( j_mono_2Etyop_2Emin_2Efun_28tyop_2Emin_2Ebool_2Ctyop_2Emin_2Ebool_29 @ ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ A ) ) ) )
      = ( s @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(50,plain,(
    ! [B: u,A: d] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( ! [C: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ C ) ) ) ) ) ) ),
    inference(cnf,[status(esa)],[49])).

thf(51,plain,(
    ! [B: u,A: d] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( ! [C: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ C ) ) ) ) ) ) ),
    inference(lifteq,[status(thm)],[50])).

thf(19,axiom,(
    ! [A: d,B: u,C: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Emin_2E_3D_2E2 @ ( s @ A @ B ) @ ( s @ A @ C ) ) ) )
      = ( ( s @ A @ B )
        = ( s @ A @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',reserved_2Elogic_2E_3D)).

thf(107,plain,(
    ! [A: d,B: u,C: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Emin_2E_3D_2E2 @ ( s @ A @ B ) @ ( s @ A @ C ) ) ) )
      = ( ( s @ A @ B )
        = ( s @ A @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(35,plain,(
    ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ ( c_2Eordinal_2EordMULT_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk2 ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk3 ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk2 ) ) ) )
 != ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk2 ) ) ) )
    & ( ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk3 )
      = ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) ) ) ) ),
    inference(cnf,[status(esa)],[34])).

thf(36,plain,(
    ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ ( c_2Eordinal_2EordMULT_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk2 ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk3 ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk2 ) ) ) )
 != ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk2 ) ) ) )
    & ( ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk3 )
      = ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) ) ) ) ),
    inference(lifteq,[status(thm)],[35])).

thf(183,plain,
    ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ ( c_2Eordinal_2EordMULT_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk2 ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk3 ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk2 ) ) ) )
    | ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk2 ) ) ) )
      & ( ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk3 )
        = ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) ) ) ) ),
    inference(bool_ext,[status(thm)],[36])).

thf(189,plain,
    ( ( ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk3 )
      = ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) ) )
    | ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ ( c_2Eordinal_2EordMULT_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk2 ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk3 ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk2 ) ) ) ) ),
    inference(cnf,[status(esa)],[183])).

thf(192,plain,
    ( ( ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) )
      = ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk3 ) )
    | ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ ( c_2Eordinal_2EordMULT_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk2 ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk3 ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk2 ) ) ) ) ),
    inference(lifteq,[status(thm)],[189])).

thf(198,plain,
    ( ( ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) )
      = ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk3 ) )
    | ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ ( c_2Eordinal_2EordMULT_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk2 ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk3 ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk2 ) ) ) )
     != ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $false ) ) ) ) ),
    inference(paramod_ordered,[status(thm)],[192,74])).

thf(239,plain,
    ( ( ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ ( c_2Eordinal_2EfromNat_2E1 @ ( s @ tyop_2Enum_2Enum @ ( i_mono_2Etyop_2Enum_2Enum @ mono_2Ec_2Enum_2E0 ) ) ) )
      = ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk3 ) )
    | ( ( s @ tyop_2Emin_2Ebool @ ( c_2Eordinal_2Eordlt_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ ( c_2Eordinal_2EordMULT_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk2 ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk3 ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ sk1 ) @ sk2 ) ) )
     != ( s @ tyop_2Emin_2Ebool @ ( i_mono_2Etyop_2Emin_2Ebool @ $false ) ) ) ),
    inference(simp,[status(thm)],[198])).

thf(14,axiom,(
    ! [A: d,B: u,C: u] :
      ( ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EordMULT_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ C ) ) )
      = ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( tyop_2Eordinal_2Eordinal @ A ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( tyop_2Emin_2Efun @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( tyop_2Eordinal_2Eordinal @ A ) ) ) @ c_2Eordinal_2EordMULT_2E0 ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Emono_2Ec_2Eordinal_2EordMULT_2E2_2Emono_2EA_27a)).

thf(94,plain,(
    ! [A: d,B: u,C: u] :
      ( ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( c_2Eordinal_2EordMULT_2E2 @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ C ) ) )
      = ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( tyop_2Eordinal_2Eordinal @ A ) ) @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( tyop_2Emin_2Efun @ ( tyop_2Eordinal_2Eordinal @ A ) @ ( tyop_2Eordinal_2Eordinal @ A ) ) ) @ c_2Eordinal_2EordMULT_2E0 ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ B ) ) ) @ ( s @ ( tyop_2Eordinal_2Eordinal @ A ) @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(24,axiom,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( ? [C: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',reserved_2Equant_2E_3F)).

thf(122,plain,(
    ! [A: d,B: u] :
      ( ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E1 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) ) ) )
      = ( ? [C: u] :
            ( j_mono_2Etyop_2Emin_2Ebool @ ( s @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( s @ ( tyop_2Emin_2Efun @ A @ tyop_2Emin_2Ebool ) @ B ) @ ( s @ A @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(16,axiom,(
    ! [A: d,B: u] :
      ( ( s @ A @ B )
      = ( s @ A @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__REFL)).

thf(100,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(1607,plain,(
    $false ),
    inference(e,[status(thm)],[138,101,88,115,308,153,301,37,52,110,125,157,284,574,147,61,132,89,116,74,297,70,97,169,141,34,64,118,54,572,144,49,159,113,39,387,306,135,167,48,705,150,67,72,104,40,55,75,119,58,51,107,239,94,47,178,122,100])).
%------------------------------------------------------------------------------
