%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:40:03 EDT 2019

% Result     : Theorem 7.85s
% Output     : CNFRefutation 8.16s
% Verified   : 
% Statistics : Number of formulae       :   35 (  51 expanded)
%              Number of leaves         :   16 (  21 expanded)
%              Depth                    :    8
%              Number of atoms          :  351 ( 655 expanded)
%              Number of equality atoms :   32 (  66 expanded)
%              Maximal formula depth    :   11 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2EBIT1_type,type,(
    c_2Earithmetic_2EBIT1: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2ENUMERAL_type,type,(
    c_2Earithmetic_2ENUMERAL: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2EZERO_type,type,(
    c_2Earithmetic_2EZERO: tyop_2Enum_2Enum )).

thf(c_2Eordinal_2EfromNat_type,type,(
    c_2Eordinal_2EfromNat: 
      !>[TA: $tType] :
        ( tyop_2Enum_2Enum > ( tyop_2Eordinal_2Eordinal @ TA ) ) )).

thf(c_2Eordinal_2EordMULT_type,type,(
    c_2Eordinal_2EordMULT: 
      !>[TA: $tType] :
        ( ( tyop_2Eordinal_2Eordinal @ TA ) > ( tyop_2Eordinal_2Eordinal @ TA ) > ( tyop_2Eordinal_2Eordinal @ TA ) ) )).

thf(c_2Eordinal_2Eordlt_type,type,(
    c_2Eordinal_2Eordlt: 
      !>[TA: $tType] :
        ( ( tyop_2Eordinal_2Eordinal @ TA ) > ( tyop_2Eordinal_2Eordinal @ TA ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Eordinal_2Eordinal @ skt1 ) )).

thf(sk2_type,type,(
    sk2: ( tyop_2Eordinal_2Eordinal @ skt1 ) )).

thf(1,conjecture,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EordMULT @ TA @ A @ B ) @ A )
      = ( ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) @ A )
        & ( B
          = ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Ecx__lt__x)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA] :
        ( ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EordMULT @ TA @ A @ B ) @ A )
        = ( ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) @ A )
          & ( B
            = ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(6,plain,(
    ~ ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA] :
        ( ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EordMULT @ TA @ A @ B ) @ A )
        = ( ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) @ A )
          & ( B
            = ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( c_2Eordinal_2EordMULT @ TA @ A @ ( c_2Eordinal_2EfromNat @ TA @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2EordMULT__1R)).

thf(9,plain,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( c_2Eordinal_2EordMULT @ TA @ A @ ( c_2Eordinal_2EfromNat @ TA @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(7,plain,(
    ( c_2Eordinal_2Eordlt @ skt1 @ ( c_2Eordinal_2EordMULT @ skt1 @ sk1 @ sk2 ) @ sk1 )
 != ( ( c_2Eordinal_2Eordlt @ skt1 @ ( c_2Eordinal_2EfromNat @ skt1 @ c_2Enum_2E0 ) @ sk1 )
    & ( sk2
      = ( c_2Eordinal_2EfromNat @ skt1 @ c_2Enum_2E0 ) ) ) ),
    inference(cnf,[status(esa)],[6])).

thf(8,plain,(
    ( ( c_2Eordinal_2Eordlt @ skt1 @ ( c_2Eordinal_2EfromNat @ skt1 @ c_2Enum_2E0 ) @ sk1 )
    & ( sk2
      = ( c_2Eordinal_2EfromNat @ skt1 @ c_2Enum_2E0 ) ) )
 != ( c_2Eordinal_2Eordlt @ skt1 @ ( c_2Eordinal_2EordMULT @ skt1 @ sk1 @ sk2 ) @ sk1 ) ),
    inference(lifteq,[status(thm)],[7])).

thf(27,plain,
    ( ~ ( ( c_2Eordinal_2Eordlt @ skt1 @ ( c_2Eordinal_2EfromNat @ skt1 @ c_2Enum_2E0 ) @ sk1 )
        & ( sk2
          = ( c_2Eordinal_2EfromNat @ skt1 @ c_2Enum_2E0 ) ) )
    | ~ ( c_2Eordinal_2Eordlt @ skt1 @ ( c_2Eordinal_2EordMULT @ skt1 @ sk1 @ sk2 ) @ sk1 ) ),
    inference(bool_ext,[status(thm)],[8])).

thf(29,plain,
    ( ~ ( c_2Eordinal_2Eordlt @ skt1 @ ( c_2Eordinal_2EordMULT @ skt1 @ sk1 @ sk2 ) @ sk1 )
    | ~ ( c_2Eordinal_2Eordlt @ skt1 @ ( c_2Eordinal_2EfromNat @ skt1 @ c_2Enum_2E0 ) @ sk1 )
    | ( sk2
     != ( c_2Eordinal_2EfromNat @ skt1 @ c_2Enum_2E0 ) ) ),
    inference(cnf,[status(esa)],[27])).

thf(32,plain,
    ( ( sk2
     != ( c_2Eordinal_2EfromNat @ skt1 @ c_2Enum_2E0 ) )
    | ~ ( c_2Eordinal_2Eordlt @ skt1 @ ( c_2Eordinal_2EordMULT @ skt1 @ sk1 @ sk2 ) @ sk1 )
    | ~ ( c_2Eordinal_2Eordlt @ skt1 @ ( c_2Eordinal_2EfromNat @ skt1 @ c_2Enum_2E0 ) @ sk1 ) ),
    inference(lifteq,[status(thm)],[29])).

thf(4,axiom,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA,C: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EordMULT @ TA @ A @ C ) @ ( c_2Eordinal_2EordMULT @ TA @ A @ B ) )
      = ( ( c_2Eordinal_2Eordlt @ TA @ C @ B )
        & ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2EordMULT__lt__MONO__R__EQN)).

thf(12,plain,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA,B: tyop_2Eordinal_2Eordinal @ TA,C: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EordMULT @ TA @ A @ C ) @ ( c_2Eordinal_2EordMULT @ TA @ A @ B ) )
      = ( ( c_2Eordinal_2Eordlt @ TA @ C @ B )
        & ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(10,plain,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( c_2Eordinal_2EordMULT @ TA @ A @ ( c_2Eordinal_2EfromNat @ TA @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) )
      = A ) ),
    inference(cnf,[status(esa)],[9])).

thf(11,plain,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( c_2Eordinal_2EordMULT @ TA @ A @ ( c_2Eordinal_2EfromNat @ TA @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) )
      = A ) ),
    inference(lifteq,[status(thm)],[10])).

thf(5,axiom,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( ( A
         != ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) )
        = ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) @ A ) )
      & ( ( ~ ( c_2Eordinal_2Eordlt @ TA @ A @ ( c_2Eordinal_2EfromNat @ TA @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) )
        = ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2EIFF__ZERO__lt)).

thf(15,plain,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( ( A
         != ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) )
        = ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) @ A ) )
      & ( ( ~ ( c_2Eordinal_2Eordlt @ TA @ A @ ( c_2Eordinal_2EfromNat @ TA @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) )
        = ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(17,plain,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( A
       != ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) )
      = ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) @ A ) ) ),
    inference(cnf,[status(esa)],[15])).

thf(19,plain,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( A
       != ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) )
      = ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) @ A ) ) ),
    inference(lifteq,[status(thm)],[17])).

thf(21,plain,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( A
       != ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) )
      | ~ ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) @ A ) ) ),
    inference(bool_ext,[status(thm)],[19])).

thf(23,plain,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA] :
      ( ~ ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) @ A )
      | ( A
       != ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) ) ) ),
    inference(cnf,[status(esa)],[21])).

thf(25,plain,(
    ! [TA: $tType,A: tyop_2Eordinal_2Eordinal @ TA] :
      ( ( A
       != ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) )
      | ~ ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) @ A ) ) ),
    inference(lifteq,[status(thm)],[23])).

thf(26,plain,(
    ! [TA: $tType] :
      ~ ( c_2Eordinal_2Eordlt @ TA @ ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) @ ( c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0 ) ) ),
    inference(simp,[status(thm)],[25])).

thf(44,plain,(
    $false ),
    inference(e,[status(thm)],[6,9,32,12,11,26,8,19,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.06/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.13  % CPULimit   : 300
% 0.06/0.13  % DateTime   : Wed Jul 31 02:17:30 EDT 2019
% 0.06/0.13  % CPUTime    : 
% 3.80/1.59  % [INFO] 	 Running in sequential loop mode. 
% 4.45/1.77  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.06/1.83  % [INFO] 	 iprover registered as external prover. 
% 5.06/1.83  % [INFO] 	 e registered as external prover. 
% 5.06/1.83  % [INFO] 	 cvc4 registered as external prover. 
% 5.11/1.84  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.11/1.89  % [INFO] 	 Found a conjecture and 36 axioms. Running axiom selection ... 
% 5.45/1.94  % [INFO] 	 Axiom selection finished. Selected 3 axioms (removed 33 axioms). 
% 5.45/1.96  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.85/2.66  % [INFO] 	 Killing All external provers ... 
% 7.85/2.66  % Time passed: 2395ms
% 7.85/2.66  % Effective reasoning time: 1072ms
% 7.85/2.66  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.85/2.67  % Axioms used in derivation (3): thm_2Eordinal_2EordMULT__1R, thm_2Eordinal_2EordMULT__lt__MONO__R__EQN, thm_2Eordinal_2EIFF__ZERO__lt
% 7.85/2.67  % No. of inferences in proof: 23
% 7.85/2.67  % No. of processed clauses: 6
% 7.85/2.67  % No. of generated clauses: 10
% 7.85/2.67  % No. of forward subsumed clauses: 0
% 7.85/2.67  % No. of backward subsumed clauses: 0
% 7.85/2.67  % No. of ground rewrite rules in store: 1
% 7.85/2.67  % No. of non-ground rewrite rules in store: 2
% 7.85/2.67  % No. of positive (non-rewrite) units in store: 0
% 7.85/2.67  % No. of negative (non-rewrite) units in store: 1
% 7.85/2.67  % No. of choice functions detected: 0
% 7.85/2.67  % No. of choice instantiations: 0
% 7.85/2.67  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2395 ms resp. 1072 ms w/o parsing
% 8.16/2.69  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 8.16/2.69  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 8.16/2.69  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 8.16/2.69  thf(c_2Enum_2E0_type, type, c_2Enum_2E0: tyop_2Enum_2Enum).
% 8.16/2.69  thf(c_2Earithmetic_2EBIT1_type, type, c_2Earithmetic_2EBIT1: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 8.16/2.69  thf(c_2Earithmetic_2ENUMERAL_type, type, c_2Earithmetic_2ENUMERAL: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 8.16/2.69  thf(c_2Earithmetic_2EZERO_type, type, c_2Earithmetic_2EZERO: tyop_2Enum_2Enum).
% 8.16/2.69  thf(c_2Eordinal_2EfromNat_type, type, c_2Eordinal_2EfromNat: !>[TA: $tType]: (tyop_2Enum_2Enum > (tyop_2Eordinal_2Eordinal @ TA))).
% 8.16/2.69  thf(c_2Eordinal_2EordMULT_type, type, c_2Eordinal_2EordMULT: !>[TA: $tType]: ((tyop_2Eordinal_2Eordinal @ TA) > ((tyop_2Eordinal_2Eordinal @ TA) > (tyop_2Eordinal_2Eordinal @ TA)))).
% 8.16/2.69  thf(c_2Eordinal_2Eordlt_type, type, c_2Eordinal_2Eordlt: !>[TA: $tType]: ((tyop_2Eordinal_2Eordinal @ TA) > ((tyop_2Eordinal_2Eordinal @ TA) > $o))).
% 8.16/2.69  thf(skt1_type, type, skt1: $tType).
% 8.16/2.69  thf(sk1_type, type, sk1: (tyop_2Eordinal_2Eordinal @ skt1)).
% 8.16/2.69  thf(sk2_type, type, sk2: (tyop_2Eordinal_2Eordinal @ skt1)).
% 8.16/2.69  thf(1,conjecture,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EordMULT @ TA @ A @ B) @ A) = ((c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0) @ A) & (B = (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2Ecx__lt__x)).
% 8.16/2.69  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EordMULT @ TA @ A @ B) @ A) = ((c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0) @ A) & (B = (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0)))))))),inference(neg_conjecture,[status(cth)],[1])).
% 8.16/2.69  thf(6,plain,((~ (! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EordMULT @ TA @ A @ B) @ A) = ((c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0) @ A) & (B = (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 8.16/2.69  thf(3,axiom,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Eordinal_2EordMULT @ TA @ A @ (c_2Eordinal_2EfromNat @ TA @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO)))) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2EordMULT__1R)).
% 8.16/2.69  thf(9,plain,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Eordinal_2EordMULT @ TA @ A @ (c_2Eordinal_2EfromNat @ TA @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO)))) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 8.16/2.69  thf(7,plain,((~ ((c_2Eordinal_2Eordlt @ skt1 @ (c_2Eordinal_2EordMULT @ skt1 @ sk1 @ sk2) @ sk1) = ((c_2Eordinal_2Eordlt @ skt1 @ (c_2Eordinal_2EfromNat @ skt1 @ c_2Enum_2E0) @ sk1) & (sk2 = (c_2Eordinal_2EfromNat @ skt1 @ c_2Enum_2E0)))))),inference(cnf,[status(esa)],[6])).
% 8.16/2.69  thf(8,plain,((((c_2Eordinal_2Eordlt @ skt1 @ (c_2Eordinal_2EfromNat @ skt1 @ c_2Enum_2E0) @ sk1) & (sk2 = (c_2Eordinal_2EfromNat @ skt1 @ c_2Enum_2E0))) != (c_2Eordinal_2Eordlt @ skt1 @ (c_2Eordinal_2EordMULT @ skt1 @ sk1 @ sk2) @ sk1))),inference(lifteq,[status(thm)],[7])).
% 8.16/2.69  thf(27,plain,((~ ((c_2Eordinal_2Eordlt @ skt1 @ (c_2Eordinal_2EfromNat @ skt1 @ c_2Enum_2E0) @ sk1) & (sk2 = (c_2Eordinal_2EfromNat @ skt1 @ c_2Enum_2E0)))) | (~ (c_2Eordinal_2Eordlt @ skt1 @ (c_2Eordinal_2EordMULT @ skt1 @ sk1 @ sk2) @ sk1))),inference(bool_ext,[status(thm)],[8])).
% 8.16/2.69  thf(29,plain,((~ (c_2Eordinal_2Eordlt @ skt1 @ (c_2Eordinal_2EordMULT @ skt1 @ sk1 @ sk2) @ sk1)) | (~ (c_2Eordinal_2Eordlt @ skt1 @ (c_2Eordinal_2EfromNat @ skt1 @ c_2Enum_2E0) @ sk1)) | (~ (sk2 = (c_2Eordinal_2EfromNat @ skt1 @ c_2Enum_2E0)))),inference(cnf,[status(esa)],[27])).
% 8.16/2.69  thf(32,plain,((sk2 != (c_2Eordinal_2EfromNat @ skt1 @ c_2Enum_2E0)) | (~ (c_2Eordinal_2Eordlt @ skt1 @ (c_2Eordinal_2EordMULT @ skt1 @ sk1 @ sk2) @ sk1)) | (~ (c_2Eordinal_2Eordlt @ skt1 @ (c_2Eordinal_2EfromNat @ skt1 @ c_2Enum_2E0) @ sk1))),inference(lifteq,[status(thm)],[29])).
% 8.16/2.69  thf(4,axiom,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA),C:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EordMULT @ TA @ A @ C) @ (c_2Eordinal_2EordMULT @ TA @ A @ B)) = ((c_2Eordinal_2Eordlt @ TA @ C @ B) & (c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0) @ A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2EordMULT__lt__MONO__R__EQN)).
% 8.16/2.69  thf(12,plain,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA),B:(tyop_2Eordinal_2Eordinal @ TA),C:(tyop_2Eordinal_2Eordinal @ TA)]: ((c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EordMULT @ TA @ A @ C) @ (c_2Eordinal_2EordMULT @ TA @ A @ B)) = ((c_2Eordinal_2Eordlt @ TA @ C @ B) & (c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0) @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 8.16/2.69  thf(10,plain,(! [TA:$tType,A:(tyop_2Eordinal_2Eordinal @ TA)] : (((c_2Eordinal_2EordMULT @ TA @ A @ (c_2Eordinal_2EfromNat @ TA @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO)))) = A))),inference(cnf,[status(esa)],[9])).
% 8.16/2.69  thf(11,plain,(! [TA:$tType,A:(tyop_2Eordinal_2Eordinal @ TA)] : (((c_2Eordinal_2EordMULT @ TA @ A @ (c_2Eordinal_2EfromNat @ TA @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO)))) = A))),inference(lifteq,[status(thm)],[10])).
% 8.16/2.69  thf(5,axiom,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA)]: (((~ (A = (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0))) = (c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0) @ A)) & ((~ (c_2Eordinal_2Eordlt @ TA @ A @ (c_2Eordinal_2EfromNat @ TA @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO))))) = (c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0) @ A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eordinal_2EIFF__ZERO__lt)).
% 8.16/2.69  thf(15,plain,((! [TA: $tType]: (! [A:(tyop_2Eordinal_2Eordinal @ TA)]: (((~ (A = (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0))) = (c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0) @ A)) & ((~ (c_2Eordinal_2Eordlt @ TA @ A @ (c_2Eordinal_2EfromNat @ TA @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO))))) = (c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0) @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 8.16/2.69  thf(17,plain,(! [TA:$tType,A:(tyop_2Eordinal_2Eordinal @ TA)] : (((~ (A = (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0))) = (c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0) @ A)))),inference(cnf,[status(esa)],[15])).
% 8.16/2.69  thf(19,plain,(! [TA:$tType,A:(tyop_2Eordinal_2Eordinal @ TA)] : (((~ (A = (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0))) = (c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0) @ A)))),inference(lifteq,[status(thm)],[17])).
% 8.16/2.69  thf(21,plain,(! [TA:$tType,A:(tyop_2Eordinal_2Eordinal @ TA)] : ((~ (A = (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0))) | (~ (c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0) @ A)))),inference(bool_ext,[status(thm)],[19])).
% 8.16/2.69  thf(23,plain,(! [TA:$tType,A:(tyop_2Eordinal_2Eordinal @ TA)] : ((~ (c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0) @ A)) | (~ (A = (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0))))),inference(cnf,[status(esa)],[21])).
% 8.16/2.69  thf(25,plain,(! [TA:$tType,A:(tyop_2Eordinal_2Eordinal @ TA)] : ((A != (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0)) | (~ (c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0) @ A)))),inference(lifteq,[status(thm)],[23])).
% 8.16/2.69  thf(26,plain,(! [TA:$tType] : ((~ (c_2Eordinal_2Eordlt @ TA @ (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0) @ (c_2Eordinal_2EfromNat @ TA @ c_2Enum_2E0))))),inference(simp,[status(thm)],[25])).
% 8.16/2.69  thf(44,plain,($false),inference(e,[status(thm)],[6,9,32,12,11,26,8,19,15])).
% 8.16/2.69  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 8.16/2.69  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
