%------------------------------------------------------------------------------
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2EternaryComparisons_2Eordering_type,type,(
    tyop_2EternaryComparisons_2Eordering: $tType )).

thf(c_2EternaryComparisons_2EEQUAL_2E0_type,type,(
    c_2EternaryComparisons_2EEQUAL_2E0: tyop_2EternaryComparisons_2Eordering )).

thf(c_2EternaryComparisons_2EGREATER_2E0_type,type,(
    c_2EternaryComparisons_2EGREATER_2E0: tyop_2EternaryComparisons_2Eordering )).

thf(c_2EternaryComparisons_2ELESS_2E0_type,type,(
    c_2EternaryComparisons_2ELESS_2E0: tyop_2EternaryComparisons_2Eordering )).

thf(c_2Etoto_2Eapto_2E3_type,type,(
    c_2Etoto_2Eapto_2E3: 
      !>[TA: $tType] :
        ( ( tyop_2Etoto_2Etoto @ TA ) > TA > TA > tyop_2EternaryComparisons_2Eordering ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Etoto_2Etoto @ skt1 ) )).

thf(sk2_type,type,(
    sk2: skt1 )).

thf(1,conjecture,(
    ! [TA: $tType,A: tyop_2Etoto_2Etoto @ TA,B: TA] :
      ( ( c_2Etoto_2Eapto_2E3 @ TA @ A @ B @ B )
      = c_2EternaryComparisons_2EEQUAL_2E0 ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Etoto_2Etoto__refl)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: tyop_2Etoto_2Etoto @ TA,B: TA] :
        ( ( c_2Etoto_2Eapto_2E3 @ TA @ A @ B @ B )
        = c_2EternaryComparisons_2EEQUAL_2E0 ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(20,plain,(
    ~ ! [TA: $tType,A: tyop_2Etoto_2Etoto @ TA,B: TA] :
        ( ( c_2Etoto_2Eapto_2E3 @ TA @ A @ B @ B )
        = c_2EternaryComparisons_2EEQUAL_2E0 ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(21,plain,(
    ( c_2Etoto_2Eapto_2E3 @ skt1 @ sk1 @ sk2 @ sk2 )
 != c_2EternaryComparisons_2EEQUAL_2E0 ),
    inference(cnf,[status(esa)],[20])).

thf(22,plain,(
    ( c_2Etoto_2Eapto_2E3 @ skt1 @ sk1 @ sk2 @ sk2 )
 != c_2EternaryComparisons_2EEQUAL_2E0 ),
    inference(lifteq,[status(thm)],[21])).

thf(19,axiom,(
    ! [TA: $tType,A: tyop_2Etoto_2Etoto @ TA] :
      ( ! [B: TA,C: TA] :
          ( ( ( c_2Etoto_2Eapto_2E3 @ TA @ A @ B @ C )
            = c_2EternaryComparisons_2EEQUAL_2E0 )
        <=> ( B = C ) )
      & ! [B: TA,C: TA] :
          ( ( ( c_2Etoto_2Eapto_2E3 @ TA @ A @ B @ C )
            = c_2EternaryComparisons_2EGREATER_2E0 )
        <=> ( ( c_2Etoto_2Eapto_2E3 @ TA @ A @ C @ B )
            = c_2EternaryComparisons_2ELESS_2E0 ) )
      & ! [B: TA,C: TA,D: TA] :
          ( ( ( ( c_2Etoto_2Eapto_2E3 @ TA @ A @ B @ C )
              = c_2EternaryComparisons_2ELESS_2E0 )
            & ( ( c_2Etoto_2Eapto_2E3 @ TA @ A @ C @ D )
              = c_2EternaryComparisons_2ELESS_2E0 ) )
         => ( ( c_2Etoto_2Eapto_2E3 @ TA @ A @ B @ D )
            = c_2EternaryComparisons_2ELESS_2E0 ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Etoto_2Etoto__thm)).

thf(91,plain,(
    ! [TA: $tType,A: tyop_2Etoto_2Etoto @ TA] :
      ( ! [B: TA,C: TA] :
          ( ( ( ( c_2Etoto_2Eapto_2E3 @ TA @ A @ B @ C )
              = c_2EternaryComparisons_2EEQUAL_2E0 )
           => ( B = C ) )
          & ( ( B = C )
           => ( ( c_2Etoto_2Eapto_2E3 @ TA @ A @ B @ C )
              = c_2EternaryComparisons_2EEQUAL_2E0 ) ) )
      & ! [B: TA,C: TA] :
          ( ( ( ( c_2Etoto_2Eapto_2E3 @ TA @ A @ B @ C )
              = c_2EternaryComparisons_2EGREATER_2E0 )
           => ( ( c_2Etoto_2Eapto_2E3 @ TA @ A @ C @ B )
              = c_2EternaryComparisons_2ELESS_2E0 ) )
          & ( ( ( c_2Etoto_2Eapto_2E3 @ TA @ A @ C @ B )
              = c_2EternaryComparisons_2ELESS_2E0 )
           => ( ( c_2Etoto_2Eapto_2E3 @ TA @ A @ B @ C )
              = c_2EternaryComparisons_2EGREATER_2E0 ) ) )
      & ! [B: TA,C: TA,D: TA] :
          ( ( ( ( c_2Etoto_2Eapto_2E3 @ TA @ A @ B @ C )
              = c_2EternaryComparisons_2ELESS_2E0 )
            & ( ( c_2Etoto_2Eapto_2E3 @ TA @ A @ C @ D )
              = c_2EternaryComparisons_2ELESS_2E0 ) )
         => ( ( c_2Etoto_2Eapto_2E3 @ TA @ A @ B @ D )
            = c_2EternaryComparisons_2ELESS_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(95,plain,(
    ! [TA: $tType,C: TA,B: TA,A: tyop_2Etoto_2Etoto @ TA] :
      ( ( B != C )
      | ( ( c_2Etoto_2Eapto_2E3 @ TA @ A @ B @ C )
        = c_2EternaryComparisons_2EEQUAL_2E0 ) ) ),
    inference(cnf,[status(esa)],[91])).

thf(102,plain,(
    ! [TA: $tType,C: TA,B: TA,A: tyop_2Etoto_2Etoto @ TA] :
      ( ( B != C )
      | ( ( c_2Etoto_2Eapto_2E3 @ TA @ A @ B @ C )
        = c_2EternaryComparisons_2EEQUAL_2E0 ) ) ),
    inference(lifteq,[status(thm)],[95])).

thf(103,plain,(
    ! [TA: $tType,B: TA,A: tyop_2Etoto_2Etoto @ TA] :
      ( ( c_2Etoto_2Eapto_2E3 @ TA @ A @ B @ B )
      = c_2EternaryComparisons_2EEQUAL_2E0 ) ),
    inference(simp,[status(thm)],[102])).

thf(157,plain,(
    c_2EternaryComparisons_2EEQUAL_2E0 != c_2EternaryComparisons_2EEQUAL_2E0 ),
    inference(rewrite,[status(thm)],[22,103])).

thf(158,plain,(
    $false ),
    inference(simp,[status(thm)],[157])).
%------------------------------------------------------------------------------
