%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:41:02 EDT 2019

% Result     : Theorem 7.75s
% Output     : CNFRefutation 8.06s
% Verified   : 
% Statistics : Number of formulae       :   79 (  98 expanded)
%              Number of leaves         :   46 (  55 expanded)
%              Depth                    :    5
%              Number of atoms          :  695 ( 987 expanded)
%              Number of equality atoms :   64 (  92 expanded)
%              Maximal formula depth    :   15 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Equote_2Eindex_type,type,(
    tyop_2Equote_2Eindex: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Elist_2ECONS_type,type,(
    c_2Elist_2ECONS: 
      !>[TA: $tType] :
        ( TA > ( tyop_2Elist_2Elist @ TA ) > ( tyop_2Elist_2Elist @ TA ) ) )).

thf(c_2Ecanonical_2ECons__monom_type,type,(
    c_2Ecanonical_2ECons__monom: 
      !>[TA: $tType] :
        ( TA > ( tyop_2Elist_2Elist @ tyop_2Equote_2Eindex ) > ( tyop_2Ecanonical_2Ecanonical__sum @ TA ) > ( tyop_2Ecanonical_2Ecanonical__sum @ TA ) ) )).

thf(c_2Ecanonical_2ECons__varlist_type,type,(
    c_2Ecanonical_2ECons__varlist: 
      !>[TA: $tType] :
        ( ( tyop_2Elist_2Elist @ tyop_2Equote_2Eindex ) > ( tyop_2Ecanonical_2Ecanonical__sum @ TA ) > ( tyop_2Ecanonical_2Ecanonical__sum @ TA ) ) )).

thf(c_2Elist_2ENIL_type,type,(
    c_2Elist_2ENIL: 
      !>[TA: $tType] :
        ( tyop_2Elist_2Elist @ TA ) )).

thf(c_2Ecanonical_2ENil__monom_type,type,(
    c_2Ecanonical_2ENil__monom: 
      !>[TA: $tType] :
        ( tyop_2Ecanonical_2Ecanonical__sum @ TA ) )).

thf(c_2Ecanonical_2ESPconst_type,type,(
    c_2Ecanonical_2ESPconst: 
      !>[TA: $tType] :
        ( TA > ( tyop_2Ecanonical_2Espolynom @ TA ) ) )).

thf(c_2Ecanonical_2ESPmult_type,type,(
    c_2Ecanonical_2ESPmult: 
      !>[TA: $tType] :
        ( ( tyop_2Ecanonical_2Espolynom @ TA ) > ( tyop_2Ecanonical_2Espolynom @ TA ) > ( tyop_2Ecanonical_2Espolynom @ TA ) ) )).

thf(c_2Ecanonical_2ESPplus_type,type,(
    c_2Ecanonical_2ESPplus: 
      !>[TA: $tType] :
        ( ( tyop_2Ecanonical_2Espolynom @ TA ) > ( tyop_2Ecanonical_2Espolynom @ TA ) > ( tyop_2Ecanonical_2Espolynom @ TA ) ) )).

thf(c_2Ecanonical_2ESPvar_type,type,(
    c_2Ecanonical_2ESPvar: 
      !>[TA: $tType] :
        ( tyop_2Equote_2Eindex > ( tyop_2Ecanonical_2Espolynom @ TA ) ) )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ecanonical_2Ecanonical__sum__merge_type,type,(
    c_2Ecanonical_2Ecanonical__sum__merge: 
      !>[TA: $tType] :
        ( ( tyop_2Esemi__ring_2Esemi__ring @ TA ) > ( tyop_2Ecanonical_2Ecanonical__sum @ TA ) > ( tyop_2Ecanonical_2Ecanonical__sum @ TA ) > ( tyop_2Ecanonical_2Ecanonical__sum @ TA ) ) )).

thf(c_2Ecanonical_2Ecanonical__sum__prod_type,type,(
    c_2Ecanonical_2Ecanonical__sum__prod: 
      !>[TA: $tType] :
        ( ( tyop_2Esemi__ring_2Esemi__ring @ TA ) > ( tyop_2Ecanonical_2Ecanonical__sum @ TA ) > ( tyop_2Ecanonical_2Ecanonical__sum @ TA ) > ( tyop_2Ecanonical_2Ecanonical__sum @ TA ) ) )).

thf(c_2EringNorm_2Er__canonical__sum__merge_type,type,(
    c_2EringNorm_2Er__canonical__sum__merge: 
      !>[TA: $tType] :
        ( ( tyop_2Ering_2Ering @ TA ) > ( tyop_2Ecanonical_2Ecanonical__sum @ TA ) > ( tyop_2Ecanonical_2Ecanonical__sum @ TA ) > ( tyop_2Ecanonical_2Ecanonical__sum @ TA ) ) )).

thf(c_2EringNorm_2Er__canonical__sum__prod_type,type,(
    c_2EringNorm_2Er__canonical__sum__prod: 
      !>[TA: $tType] :
        ( ( tyop_2Ering_2Ering @ TA ) > ( tyop_2Ecanonical_2Ecanonical__sum @ TA ) > ( tyop_2Ecanonical_2Ecanonical__sum @ TA ) > ( tyop_2Ecanonical_2Ecanonical__sum @ TA ) ) )).

thf(c_2EringNorm_2Er__spolynom__normalize_type,type,(
    c_2EringNorm_2Er__spolynom__normalize: 
      !>[TA: $tType] :
        ( ( tyop_2Ering_2Ering @ TA ) > ( tyop_2Ecanonical_2Espolynom @ TA ) > ( tyop_2Ecanonical_2Ecanonical__sum @ TA ) ) )).

thf(c_2Ering_2Esemi__ring__of_type,type,(
    c_2Ering_2Esemi__ring__of: 
      !>[TA: $tType] :
        ( ( tyop_2Ering_2Ering @ TA ) > ( tyop_2Esemi__ring_2Esemi__ring @ TA ) ) )).

thf(c_2Ecanonical_2Espolynom__normalize_type,type,(
    c_2Ecanonical_2Espolynom__normalize: 
      !>[TA: $tType] :
        ( ( tyop_2Esemi__ring_2Esemi__ring @ TA ) > ( tyop_2Ecanonical_2Espolynom @ TA ) > ( tyop_2Ecanonical_2Ecanonical__sum @ TA ) ) )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Ering_2Ering @ skt1 ) )).

thf(sk2_type,type,(
    sk2: tyop_2Equote_2Eindex )).

thf(sk3_type,type,(
    sk3: skt1 )).

thf(sk4_type,type,(
    sk4: ( tyop_2Ecanonical_2Espolynom @ skt1 ) )).

thf(sk5_type,type,(
    sk5: ( tyop_2Ecanonical_2Espolynom @ skt1 ) )).

thf(sk6_type,type,(
    sk6: ( tyop_2Ecanonical_2Espolynom @ skt1 ) )).

thf(sk7_type,type,(
    sk7: ( tyop_2Ecanonical_2Espolynom @ skt1 ) )).

thf(8,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(42,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(5,axiom,(
    ! [TA: $tType,A: tyop_2Ering_2Ering @ TA] :
      ( ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A )
      = ( c_2Ecanonical_2Espolynom__normalize @ TA @ ( c_2Ering_2Esemi__ring__of @ TA @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2EringNorm_2Er__spolynom__normalize__def)).

thf(24,plain,(
    ! [TA: $tType,A: tyop_2Ering_2Ering @ TA] :
      ( ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A )
      = ( c_2Ecanonical_2Espolynom__normalize @ TA @ ( c_2Ering_2Esemi__ring__of @ TA @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(11,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(51,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(56,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $false @ $true )
    = ( $false
     => $true ) ),
    inference(instance,[status(thm)],[51])).

thf(57,plain,(
    c_2Emin_2E_3D_3D_3E @ $false @ $true ),
    inference(simp,[status(thm)],[56])).

thf(14,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(74,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(77,plain,
    ( ( c_2Ebool_2E_2F_5C @ $true @ $false )
    = ( $true
      & $false ) ),
    inference(instance,[status(thm)],[74])).

thf(78,plain,(
    ~ ( c_2Ebool_2E_2F_5C @ $true @ $false ) ),
    inference(simp,[status(thm)],[77])).

thf(12,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(60,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(4,axiom,(
    ! [TA: $tType,A: tyop_2Ering_2Ering @ TA] :
      ( ( c_2EringNorm_2Er__canonical__sum__prod @ TA @ A )
      = ( c_2Ecanonical_2Ecanonical__sum__prod @ TA @ ( c_2Ering_2Esemi__ring__of @ TA @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2EringNorm_2Er__canonical__sum__prod__def)).

thf(21,plain,(
    ! [TA: $tType,A: tyop_2Ering_2Ering @ TA] :
      ( ( c_2EringNorm_2Er__canonical__sum__prod @ TA @ A )
      = ( c_2Ecanonical_2Ecanonical__sum__prod @ TA @ ( c_2Ering_2Esemi__ring__of @ TA @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(65,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(52,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $true )
    = ( $true
     => $true ) ),
    inference(instance,[status(thm)],[51])).

thf(53,plain,(
    c_2Emin_2E_3D_3D_3E @ $true @ $true ),
    inference(simp,[status(thm)],[52])).

thf(72,plain,
    ( ( c_2Ebool_2E_5C_2F @ $false @ $false )
    = ( $false
      | $false ) ),
    inference(instance,[status(thm)],[65])).

thf(73,plain,(
    ~ ( c_2Ebool_2E_5C_2F @ $false @ $false ) ),
    inference(simp,[status(thm)],[72])).

thf(9,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(45,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(63,plain,
    ( ( c_2Ebool_2E_7E @ $false )
    = ( ~ $false ) ),
    inference(instance,[status(thm)],[60])).

thf(64,plain,(
    c_2Ebool_2E_7E @ $false ),
    inference(simp,[status(thm)],[63])).

thf(1,conjecture,(
    ! [TA: $tType,A: tyop_2Ering_2Ering @ TA] :
      ( ! [B: tyop_2Equote_2Eindex] :
          ( ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ ( c_2Ecanonical_2ESPvar @ TA @ B ) )
          = ( c_2Ecanonical_2ECons__varlist @ TA @ ( c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ B @ ( c_2Elist_2ENIL @ tyop_2Equote_2Eindex ) ) @ ( c_2Ecanonical_2ENil__monom @ TA ) ) )
      & ! [B: TA] :
          ( ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ ( c_2Ecanonical_2ESPconst @ TA @ B ) )
          = ( c_2Ecanonical_2ECons__monom @ TA @ B @ ( c_2Elist_2ENIL @ tyop_2Equote_2Eindex ) @ ( c_2Ecanonical_2ENil__monom @ TA ) ) )
      & ! [B: tyop_2Ecanonical_2Espolynom @ TA,C: tyop_2Ecanonical_2Espolynom @ TA] :
          ( ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ ( c_2Ecanonical_2ESPplus @ TA @ B @ C ) )
          = ( c_2EringNorm_2Er__canonical__sum__merge @ TA @ A @ ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ B ) @ ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ C ) ) )
      & ! [B: tyop_2Ecanonical_2Espolynom @ TA,C: tyop_2Ecanonical_2Espolynom @ TA] :
          ( ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ ( c_2Ecanonical_2ESPmult @ TA @ B @ C ) )
          = ( c_2EringNorm_2Er__canonical__sum__prod @ TA @ A @ ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ B ) @ ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2EringNorm_2Espolynom__normalize__def)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: tyop_2Ering_2Ering @ TA] :
        ( ! [B: tyop_2Equote_2Eindex] :
            ( ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ ( c_2Ecanonical_2ESPvar @ TA @ B ) )
            = ( c_2Ecanonical_2ECons__varlist @ TA @ ( c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ B @ ( c_2Elist_2ENIL @ tyop_2Equote_2Eindex ) ) @ ( c_2Ecanonical_2ENil__monom @ TA ) ) )
        & ! [B: TA] :
            ( ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ ( c_2Ecanonical_2ESPconst @ TA @ B ) )
            = ( c_2Ecanonical_2ECons__monom @ TA @ B @ ( c_2Elist_2ENIL @ tyop_2Equote_2Eindex ) @ ( c_2Ecanonical_2ENil__monom @ TA ) ) )
        & ! [B: tyop_2Ecanonical_2Espolynom @ TA,C: tyop_2Ecanonical_2Espolynom @ TA] :
            ( ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ ( c_2Ecanonical_2ESPplus @ TA @ B @ C ) )
            = ( c_2EringNorm_2Er__canonical__sum__merge @ TA @ A @ ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ B ) @ ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ C ) ) )
        & ! [B: tyop_2Ecanonical_2Espolynom @ TA,C: tyop_2Ecanonical_2Espolynom @ TA] :
            ( ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ ( c_2Ecanonical_2ESPmult @ TA @ B @ C ) )
            = ( c_2EringNorm_2Er__canonical__sum__prod @ TA @ A @ ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ B ) @ ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ C ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(15,plain,(
    ~ ! [TA: $tType,A: tyop_2Ering_2Ering @ TA] :
        ( ! [B: tyop_2Equote_2Eindex] :
            ( ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ ( c_2Ecanonical_2ESPvar @ TA @ B ) )
            = ( c_2Ecanonical_2ECons__varlist @ TA @ ( c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ B @ ( c_2Elist_2ENIL @ tyop_2Equote_2Eindex ) ) @ ( c_2Ecanonical_2ENil__monom @ TA ) ) )
        & ! [B: TA] :
            ( ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ ( c_2Ecanonical_2ESPconst @ TA @ B ) )
            = ( c_2Ecanonical_2ECons__monom @ TA @ B @ ( c_2Elist_2ENIL @ tyop_2Equote_2Eindex ) @ ( c_2Ecanonical_2ENil__monom @ TA ) ) )
        & ! [B: tyop_2Ecanonical_2Espolynom @ TA,C: tyop_2Ecanonical_2Espolynom @ TA] :
            ( ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ ( c_2Ecanonical_2ESPplus @ TA @ B @ C ) )
            = ( c_2EringNorm_2Er__canonical__sum__merge @ TA @ A @ ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ B ) @ ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ C ) ) )
        & ! [B: tyop_2Ecanonical_2Espolynom @ TA,C: tyop_2Ecanonical_2Espolynom @ TA] :
            ( ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ ( c_2Ecanonical_2ESPmult @ TA @ B @ C ) )
            = ( c_2EringNorm_2Er__canonical__sum__prod @ TA @ A @ ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ B ) @ ( c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(16,plain,
    ( ( ( c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ ( c_2Ecanonical_2ESPvar @ skt1 @ sk2 ) )
     != ( c_2Ecanonical_2ECons__varlist @ skt1 @ ( c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ sk2 @ ( c_2Elist_2ENIL @ tyop_2Equote_2Eindex ) ) @ ( c_2Ecanonical_2ENil__monom @ skt1 ) ) )
    | ( ( c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ ( c_2Ecanonical_2ESPconst @ skt1 @ sk3 ) )
     != ( c_2Ecanonical_2ECons__monom @ skt1 @ sk3 @ ( c_2Elist_2ENIL @ tyop_2Equote_2Eindex ) @ ( c_2Ecanonical_2ENil__monom @ skt1 ) ) )
    | ( ( c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ ( c_2Ecanonical_2ESPplus @ skt1 @ sk4 @ sk5 ) )
     != ( c_2EringNorm_2Er__canonical__sum__merge @ skt1 @ sk1 @ ( c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ sk4 ) @ ( c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ sk5 ) ) )
    | ( ( c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ ( c_2Ecanonical_2ESPmult @ skt1 @ sk6 @ sk7 ) )
     != ( c_2EringNorm_2Er__canonical__sum__prod @ skt1 @ sk1 @ ( c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ sk6 ) @ ( c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ sk7 ) ) ) ),
    inference(cnf,[status(esa)],[15])).

thf(17,plain,
    ( ( ( c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ ( c_2Ecanonical_2ESPvar @ skt1 @ sk2 ) )
     != ( c_2Ecanonical_2ECons__varlist @ skt1 @ ( c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ sk2 @ ( c_2Elist_2ENIL @ tyop_2Equote_2Eindex ) ) @ ( c_2Ecanonical_2ENil__monom @ skt1 ) ) )
    | ( ( c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ ( c_2Ecanonical_2ESPconst @ skt1 @ sk3 ) )
     != ( c_2Ecanonical_2ECons__monom @ skt1 @ sk3 @ ( c_2Elist_2ENIL @ tyop_2Equote_2Eindex ) @ ( c_2Ecanonical_2ENil__monom @ skt1 ) ) )
    | ( ( c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ ( c_2Ecanonical_2ESPplus @ skt1 @ sk4 @ sk5 ) )
     != ( c_2EringNorm_2Er__canonical__sum__merge @ skt1 @ sk1 @ ( c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ sk4 ) @ ( c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ sk5 ) ) )
    | ( ( c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ ( c_2Ecanonical_2ESPmult @ skt1 @ sk6 @ sk7 ) )
     != ( c_2EringNorm_2Er__canonical__sum__prod @ skt1 @ sk1 @ ( c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ sk6 ) @ ( c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ sk7 ) ) ) ),
    inference(lifteq,[status(thm)],[16])).

thf(58,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $false @ $false )
    = ( $false
     => $false ) ),
    inference(instance,[status(thm)],[51])).

thf(59,plain,(
    c_2Emin_2E_3D_3D_3E @ $false @ $false ),
    inference(simp,[status(thm)],[58])).

thf(6,axiom,(
    ! [TA: $tType] :
      ( ! [A: tyop_2Esemi__ring_2Esemi__ring @ TA,B: tyop_2Equote_2Eindex] :
          ( ( c_2Ecanonical_2Espolynom__normalize @ TA @ A @ ( c_2Ecanonical_2ESPvar @ TA @ B ) )
          = ( c_2Ecanonical_2ECons__varlist @ TA @ ( c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ B @ ( c_2Elist_2ENIL @ tyop_2Equote_2Eindex ) ) @ ( c_2Ecanonical_2ENil__monom @ TA ) ) )
      & ! [A: tyop_2Esemi__ring_2Esemi__ring @ TA,B: TA] :
          ( ( c_2Ecanonical_2Espolynom__normalize @ TA @ A @ ( c_2Ecanonical_2ESPconst @ TA @ B ) )
          = ( c_2Ecanonical_2ECons__monom @ TA @ B @ ( c_2Elist_2ENIL @ tyop_2Equote_2Eindex ) @ ( c_2Ecanonical_2ENil__monom @ TA ) ) )
      & ! [A: tyop_2Esemi__ring_2Esemi__ring @ TA,B: tyop_2Ecanonical_2Espolynom @ TA,C: tyop_2Ecanonical_2Espolynom @ TA] :
          ( ( c_2Ecanonical_2Espolynom__normalize @ TA @ A @ ( c_2Ecanonical_2ESPplus @ TA @ B @ C ) )
          = ( c_2Ecanonical_2Ecanonical__sum__merge @ TA @ A @ ( c_2Ecanonical_2Espolynom__normalize @ TA @ A @ B ) @ ( c_2Ecanonical_2Espolynom__normalize @ TA @ A @ C ) ) )
      & ! [A: tyop_2Esemi__ring_2Esemi__ring @ TA,B: tyop_2Ecanonical_2Espolynom @ TA,C: tyop_2Ecanonical_2Espolynom @ TA] :
          ( ( c_2Ecanonical_2Espolynom__normalize @ TA @ A @ ( c_2Ecanonical_2ESPmult @ TA @ B @ C ) )
          = ( c_2Ecanonical_2Ecanonical__sum__prod @ TA @ A @ ( c_2Ecanonical_2Espolynom__normalize @ TA @ A @ B ) @ ( c_2Ecanonical_2Espolynom__normalize @ TA @ A @ C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecanonical_2Espolynom__normalize__def)).

thf(27,plain,(
    ! [TA: $tType] :
      ( ! [A: tyop_2Esemi__ring_2Esemi__ring @ TA,B: tyop_2Equote_2Eindex] :
          ( ( c_2Ecanonical_2Espolynom__normalize @ TA @ A @ ( c_2Ecanonical_2ESPvar @ TA @ B ) )
          = ( c_2Ecanonical_2ECons__varlist @ TA @ ( c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ B @ ( c_2Elist_2ENIL @ tyop_2Equote_2Eindex ) ) @ ( c_2Ecanonical_2ENil__monom @ TA ) ) )
      & ! [A: tyop_2Esemi__ring_2Esemi__ring @ TA,B: TA] :
          ( ( c_2Ecanonical_2Espolynom__normalize @ TA @ A @ ( c_2Ecanonical_2ESPconst @ TA @ B ) )
          = ( c_2Ecanonical_2ECons__monom @ TA @ B @ ( c_2Elist_2ENIL @ tyop_2Equote_2Eindex ) @ ( c_2Ecanonical_2ENil__monom @ TA ) ) )
      & ! [A: tyop_2Esemi__ring_2Esemi__ring @ TA,B: tyop_2Ecanonical_2Espolynom @ TA,C: tyop_2Ecanonical_2Espolynom @ TA] :
          ( ( c_2Ecanonical_2Espolynom__normalize @ TA @ A @ ( c_2Ecanonical_2ESPplus @ TA @ B @ C ) )
          = ( c_2Ecanonical_2Ecanonical__sum__merge @ TA @ A @ ( c_2Ecanonical_2Espolynom__normalize @ TA @ A @ B ) @ ( c_2Ecanonical_2Espolynom__normalize @ TA @ A @ C ) ) )
      & ! [A: tyop_2Esemi__ring_2Esemi__ring @ TA,B: tyop_2Ecanonical_2Espolynom @ TA,C: tyop_2Ecanonical_2Espolynom @ TA] :
          ( ( c_2Ecanonical_2Espolynom__normalize @ TA @ A @ ( c_2Ecanonical_2ESPmult @ TA @ B @ C ) )
          = ( c_2Ecanonical_2Ecanonical__sum__prod @ TA @ A @ ( c_2Ecanonical_2Espolynom__normalize @ TA @ A @ B ) @ ( c_2Ecanonical_2Espolynom__normalize @ TA @ A @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(7,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( A = B )
      = ( B = A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__SYM__EQ)).

thf(39,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( A = B )
      = ( B = A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(10,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(48,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(3,axiom,(
    ! [TA: $tType,A: tyop_2Ering_2Ering @ TA] :
      ( ( c_2EringNorm_2Er__canonical__sum__merge @ TA @ A )
      = ( c_2Ecanonical_2Ecanonical__sum__merge @ TA @ ( c_2Ering_2Esemi__ring__of @ TA @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2EringNorm_2Er__canonical__sum__merge__def)).

thf(18,plain,(
    ! [TA: $tType,A: tyop_2Ering_2Ering @ TA] :
      ( ( c_2EringNorm_2Er__canonical__sum__merge @ TA @ A )
      = ( c_2Ecanonical_2Ecanonical__sum__merge @ TA @ ( c_2Ering_2Esemi__ring__of @ TA @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(54,plain,
    ( ( c_2Emin_2E_3D_3D_3E @ $true @ $false )
    = ( $true
     => $false ) ),
    inference(instance,[status(thm)],[51])).

thf(55,plain,(
    ~ ( c_2Emin_2E_3D_3D_3E @ $true @ $false ) ),
    inference(simp,[status(thm)],[54])).

thf(61,plain,
    ( ( c_2Ebool_2E_7E @ $true )
    = ( ~ $true ) ),
    inference(instance,[status(thm)],[60])).

thf(62,plain,(
    ~ ( c_2Ebool_2E_7E @ $true ) ),
    inference(simp,[status(thm)],[61])).

thf(96,plain,(
    $false ),
    inference(iprover,[status(thm)],[42,24,57,78,74,60,21,65,53,73,45,64,17,59,27,39,48,18,55,51,15,62])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.02/0.08  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.02/0.08  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.02/0.08  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.02/0.09  % CPULimit   : 300
% 0.02/0.09  % DateTime   : Wed Jul 31 05:22:24 EDT 2019
% 0.02/0.09  % CPUTime    : 
% 2.60/1.16  % [INFO] 	 Running in sequential loop mode. 
% 3.62/1.38  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.92/1.45  % [INFO] 	 iprover registered as external prover. 
% 3.92/1.45  % [INFO] 	 e registered as external prover. 
% 3.92/1.45  % [INFO] 	 cvc4 registered as external prover. 
% 3.92/1.46  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.53/1.53  % [INFO] 	 Found a conjecture and 12 axioms. Running axiom selection ... 
% 4.53/1.58  % [INFO] 	 Axiom selection finished. Selected 12 axioms (removed 0 axioms). 
% 4.53/1.61  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 7.75/2.55  % [INFO] 	 Killing All external provers ... 
% 7.75/2.56  % Time passed: 2381ms
% 7.75/2.56  % Effective reasoning time: 1384ms
% 7.75/2.56  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 7.75/2.56  % Axioms used in derivation (12): logicdef_2E_3D, thm_2EringNorm_2Er__canonical__sum__merge__def, thm_2Ecanonical_2Espolynom__normalize__def, logicdef_2E_5C_2F, thm_2EringNorm_2Er__spolynom__normalize__def, quantdef_2E_21, logicdef_2E_3D_3D_3E, thm_2EringNorm_2Er__canonical__sum__prod__def, thm_2Ebool_2EEQ__SYM__EQ, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 7.75/2.56  % No. of inferences in proof: 46
% 7.75/2.56  % No. of processed clauses: 10
% 7.75/2.56  % No. of generated clauses: 2
% 7.75/2.56  % No. of forward subsumed clauses: 0
% 7.75/2.56  % No. of backward subsumed clauses: 0
% 7.75/2.56  % No. of ground rewrite rules in store: 8
% 7.75/2.56  % No. of non-ground rewrite rules in store: 0
% 7.75/2.56  % No. of positive (non-rewrite) units in store: 1
% 7.75/2.56  % No. of negative (non-rewrite) units in store: 0
% 7.75/2.56  % No. of choice functions detected: 0
% 7.75/2.56  % No. of choice instantiations: 0
% 7.75/2.56  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2381 ms resp. 1384 ms w/o parsing
% 8.06/2.61  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 8.06/2.61  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 8.06/2.61  thf(tyop_2Equote_2Eindex_type, type, tyop_2Equote_2Eindex: $tType).
% 8.06/2.61  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 8.06/2.61  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 8.06/2.61  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 8.06/2.61  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 8.06/2.61  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 8.06/2.61  thf(c_2Elist_2ECONS_type, type, c_2Elist_2ECONS: !>[TA: $tType]: (TA > ((tyop_2Elist_2Elist @ TA) > (tyop_2Elist_2Elist @ TA)))).
% 8.06/2.61  thf(c_2Ecanonical_2ECons__monom_type, type, c_2Ecanonical_2ECons__monom: !>[TA: $tType]: (TA > ((tyop_2Elist_2Elist @ tyop_2Equote_2Eindex) > ((tyop_2Ecanonical_2Ecanonical__sum @ TA) > (tyop_2Ecanonical_2Ecanonical__sum @ TA))))).
% 8.06/2.61  thf(c_2Ecanonical_2ECons__varlist_type, type, c_2Ecanonical_2ECons__varlist: !>[TA: $tType]: ((tyop_2Elist_2Elist @ tyop_2Equote_2Eindex) > ((tyop_2Ecanonical_2Ecanonical__sum @ TA) > (tyop_2Ecanonical_2Ecanonical__sum @ TA)))).
% 8.06/2.61  thf(c_2Elist_2ENIL_type, type, c_2Elist_2ENIL: !>[TA: $tType]: (tyop_2Elist_2Elist @ TA)).
% 8.06/2.61  thf(c_2Ecanonical_2ENil__monom_type, type, c_2Ecanonical_2ENil__monom: !>[TA: $tType]: (tyop_2Ecanonical_2Ecanonical__sum @ TA)).
% 8.06/2.61  thf(c_2Ecanonical_2ESPconst_type, type, c_2Ecanonical_2ESPconst: !>[TA: $tType]: (TA > (tyop_2Ecanonical_2Espolynom @ TA))).
% 8.06/2.61  thf(c_2Ecanonical_2ESPmult_type, type, c_2Ecanonical_2ESPmult: !>[TA: $tType]: ((tyop_2Ecanonical_2Espolynom @ TA) > ((tyop_2Ecanonical_2Espolynom @ TA) > (tyop_2Ecanonical_2Espolynom @ TA)))).
% 8.06/2.61  thf(c_2Ecanonical_2ESPplus_type, type, c_2Ecanonical_2ESPplus: !>[TA: $tType]: ((tyop_2Ecanonical_2Espolynom @ TA) > ((tyop_2Ecanonical_2Espolynom @ TA) > (tyop_2Ecanonical_2Espolynom @ TA)))).
% 8.06/2.61  thf(c_2Ecanonical_2ESPvar_type, type, c_2Ecanonical_2ESPvar: !>[TA: $tType]: (tyop_2Equote_2Eindex > (tyop_2Ecanonical_2Espolynom @ TA))).
% 8.06/2.61  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 8.06/2.61  thf(c_2Ecanonical_2Ecanonical__sum__merge_type, type, c_2Ecanonical_2Ecanonical__sum__merge: !>[TA: $tType]: ((tyop_2Esemi__ring_2Esemi__ring @ TA) > ((tyop_2Ecanonical_2Ecanonical__sum @ TA) > ((tyop_2Ecanonical_2Ecanonical__sum @ TA) > (tyop_2Ecanonical_2Ecanonical__sum @ TA))))).
% 8.06/2.61  thf(c_2Ecanonical_2Ecanonical__sum__prod_type, type, c_2Ecanonical_2Ecanonical__sum__prod: !>[TA: $tType]: ((tyop_2Esemi__ring_2Esemi__ring @ TA) > ((tyop_2Ecanonical_2Ecanonical__sum @ TA) > ((tyop_2Ecanonical_2Ecanonical__sum @ TA) > (tyop_2Ecanonical_2Ecanonical__sum @ TA))))).
% 8.06/2.61  thf(c_2EringNorm_2Er__canonical__sum__merge_type, type, c_2EringNorm_2Er__canonical__sum__merge: !>[TA: $tType]: ((tyop_2Ering_2Ering @ TA) > ((tyop_2Ecanonical_2Ecanonical__sum @ TA) > ((tyop_2Ecanonical_2Ecanonical__sum @ TA) > (tyop_2Ecanonical_2Ecanonical__sum @ TA))))).
% 8.06/2.61  thf(c_2EringNorm_2Er__canonical__sum__prod_type, type, c_2EringNorm_2Er__canonical__sum__prod: !>[TA: $tType]: ((tyop_2Ering_2Ering @ TA) > ((tyop_2Ecanonical_2Ecanonical__sum @ TA) > ((tyop_2Ecanonical_2Ecanonical__sum @ TA) > (tyop_2Ecanonical_2Ecanonical__sum @ TA))))).
% 8.06/2.61  thf(c_2EringNorm_2Er__spolynom__normalize_type, type, c_2EringNorm_2Er__spolynom__normalize: !>[TA: $tType]: ((tyop_2Ering_2Ering @ TA) > ((tyop_2Ecanonical_2Espolynom @ TA) > (tyop_2Ecanonical_2Ecanonical__sum @ TA)))).
% 8.06/2.61  thf(c_2Ering_2Esemi__ring__of_type, type, c_2Ering_2Esemi__ring__of: !>[TA: $tType]: ((tyop_2Ering_2Ering @ TA) > (tyop_2Esemi__ring_2Esemi__ring @ TA))).
% 8.06/2.61  thf(c_2Ecanonical_2Espolynom__normalize_type, type, c_2Ecanonical_2Espolynom__normalize: !>[TA: $tType]: ((tyop_2Esemi__ring_2Esemi__ring @ TA) > ((tyop_2Ecanonical_2Espolynom @ TA) > (tyop_2Ecanonical_2Ecanonical__sum @ TA)))).
% 8.06/2.61  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 8.06/2.61  thf(skt1_type, type, skt1: $tType).
% 8.06/2.61  thf(sk1_type, type, sk1: (tyop_2Ering_2Ering @ skt1)).
% 8.06/2.61  thf(sk2_type, type, sk2: tyop_2Equote_2Eindex).
% 8.06/2.61  thf(sk3_type, type, sk3: skt1).
% 8.06/2.61  thf(sk4_type, type, sk4: (tyop_2Ecanonical_2Espolynom @ skt1)).
% 8.06/2.61  thf(sk5_type, type, sk5: (tyop_2Ecanonical_2Espolynom @ skt1)).
% 8.06/2.61  thf(sk6_type, type, sk6: (tyop_2Ecanonical_2Espolynom @ skt1)).
% 8.06/2.61  thf(sk7_type, type, sk7: (tyop_2Ecanonical_2Espolynom @ skt1)).
% 8.06/2.61  thf(8,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 8.06/2.61  thf(42,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 8.06/2.61  thf(5,axiom,((! [TA: $tType]: (! [A:(tyop_2Ering_2Ering @ TA)]: ((c_2EringNorm_2Er__spolynom__normalize @ TA @ A) = (c_2Ecanonical_2Espolynom__normalize @ TA @ (c_2Ering_2Esemi__ring__of @ TA @ A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2EringNorm_2Er__spolynom__normalize__def)).
% 8.06/2.61  thf(24,plain,((! [TA: $tType]: (! [A:(tyop_2Ering_2Ering @ TA)]: ((c_2EringNorm_2Er__spolynom__normalize @ TA @ A) = (c_2Ecanonical_2Espolynom__normalize @ TA @ (c_2Ering_2Esemi__ring__of @ TA @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 8.06/2.61  thf(11,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 8.06/2.61  thf(51,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 8.06/2.61  thf(56,plain,(((c_2Emin_2E_3D_3D_3E @ $false @ $true) = (($false) => ($true)))),inference(instance,[status(thm)],[51])).
% 8.06/2.61  thf(57,plain,((c_2Emin_2E_3D_3D_3E @ $false @ $true)),inference(simp,[status(thm)],[56])).
% 8.06/2.61  thf(14,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 8.06/2.61  thf(74,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 8.06/2.61  thf(77,plain,(((c_2Ebool_2E_2F_5C @ $true @ $false) = (($true) & ($false)))),inference(instance,[status(thm)],[74])).
% 8.06/2.61  thf(78,plain,((~ (c_2Ebool_2E_2F_5C @ $true @ $false))),inference(simp,[status(thm)],[77])).
% 8.06/2.61  thf(12,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 8.06/2.61  thf(60,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 8.06/2.61  thf(4,axiom,((! [TA: $tType]: (! [A:(tyop_2Ering_2Ering @ TA)]: ((c_2EringNorm_2Er__canonical__sum__prod @ TA @ A) = (c_2Ecanonical_2Ecanonical__sum__prod @ TA @ (c_2Ering_2Esemi__ring__of @ TA @ A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2EringNorm_2Er__canonical__sum__prod__def)).
% 8.06/2.61  thf(21,plain,((! [TA: $tType]: (! [A:(tyop_2Ering_2Ering @ TA)]: ((c_2EringNorm_2Er__canonical__sum__prod @ TA @ A) = (c_2Ecanonical_2Ecanonical__sum__prod @ TA @ (c_2Ering_2Esemi__ring__of @ TA @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 8.06/2.61  thf(13,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 8.06/2.61  thf(65,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 8.06/2.61  thf(52,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $true) = (($true) => ($true)))),inference(instance,[status(thm)],[51])).
% 8.06/2.61  thf(53,plain,((c_2Emin_2E_3D_3D_3E @ $true @ $true)),inference(simp,[status(thm)],[52])).
% 8.06/2.61  thf(72,plain,(((c_2Ebool_2E_5C_2F @ $false @ $false) = (($false) | ($false)))),inference(instance,[status(thm)],[65])).
% 8.06/2.61  thf(73,plain,((~ (c_2Ebool_2E_5C_2F @ $false @ $false))),inference(simp,[status(thm)],[72])).
% 8.06/2.61  thf(9,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).
% 8.06/2.61  thf(45,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 8.06/2.61  thf(63,plain,(((c_2Ebool_2E_7E @ $false) = (~ ($false)))),inference(instance,[status(thm)],[60])).
% 8.06/2.61  thf(64,plain,((c_2Ebool_2E_7E @ $false)),inference(simp,[status(thm)],[63])).
% 8.06/2.61  thf(1,conjecture,((! [TA: $tType]: (! [A:(tyop_2Ering_2Ering @ TA)]: (! [B:tyop_2Equote_2Eindex]: ((c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ (c_2Ecanonical_2ESPvar @ TA @ B)) = (c_2Ecanonical_2ECons__varlist @ TA @ (c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ B @ (c_2Elist_2ENIL @ tyop_2Equote_2Eindex)) @ (c_2Ecanonical_2ENil__monom @ TA))) & ! [B:TA]: ((c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ (c_2Ecanonical_2ESPconst @ TA @ B)) = (c_2Ecanonical_2ECons__monom @ TA @ B @ (c_2Elist_2ENIL @ tyop_2Equote_2Eindex) @ (c_2Ecanonical_2ENil__monom @ TA))) & ! [B:(tyop_2Ecanonical_2Espolynom @ TA),C:(tyop_2Ecanonical_2Espolynom @ TA)]: ((c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ (c_2Ecanonical_2ESPplus @ TA @ B @ C)) = (c_2EringNorm_2Er__canonical__sum__merge @ TA @ A @ (c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ B) @ (c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ C))) & ! [B:(tyop_2Ecanonical_2Espolynom @ TA),C:(tyop_2Ecanonical_2Espolynom @ TA)]: ((c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ (c_2Ecanonical_2ESPmult @ TA @ B @ C)) = (c_2EringNorm_2Er__canonical__sum__prod @ TA @ A @ (c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ B) @ (c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ C))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2EringNorm_2Espolynom__normalize__def)).
% 8.06/2.61  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(tyop_2Ering_2Ering @ TA)]: (! [B:tyop_2Equote_2Eindex]: ((c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ (c_2Ecanonical_2ESPvar @ TA @ B)) = (c_2Ecanonical_2ECons__varlist @ TA @ (c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ B @ (c_2Elist_2ENIL @ tyop_2Equote_2Eindex)) @ (c_2Ecanonical_2ENil__monom @ TA))) & ! [B:TA]: ((c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ (c_2Ecanonical_2ESPconst @ TA @ B)) = (c_2Ecanonical_2ECons__monom @ TA @ B @ (c_2Elist_2ENIL @ tyop_2Equote_2Eindex) @ (c_2Ecanonical_2ENil__monom @ TA))) & ! [B:(tyop_2Ecanonical_2Espolynom @ TA),C:(tyop_2Ecanonical_2Espolynom @ TA)]: ((c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ (c_2Ecanonical_2ESPplus @ TA @ B @ C)) = (c_2EringNorm_2Er__canonical__sum__merge @ TA @ A @ (c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ B) @ (c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ C))) & ! [B:(tyop_2Ecanonical_2Espolynom @ TA),C:(tyop_2Ecanonical_2Espolynom @ TA)]: ((c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ (c_2Ecanonical_2ESPmult @ TA @ B @ C)) = (c_2EringNorm_2Er__canonical__sum__prod @ TA @ A @ (c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ B) @ (c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ C)))))))),inference(neg_conjecture,[status(cth)],[1])).
% 8.06/2.61  thf(15,plain,((~ (! [TA: $tType]: (! [A:(tyop_2Ering_2Ering @ TA)]: (! [B:tyop_2Equote_2Eindex]: ((c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ (c_2Ecanonical_2ESPvar @ TA @ B)) = (c_2Ecanonical_2ECons__varlist @ TA @ (c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ B @ (c_2Elist_2ENIL @ tyop_2Equote_2Eindex)) @ (c_2Ecanonical_2ENil__monom @ TA))) & ! [B:TA]: ((c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ (c_2Ecanonical_2ESPconst @ TA @ B)) = (c_2Ecanonical_2ECons__monom @ TA @ B @ (c_2Elist_2ENIL @ tyop_2Equote_2Eindex) @ (c_2Ecanonical_2ENil__monom @ TA))) & ! [B:(tyop_2Ecanonical_2Espolynom @ TA),C:(tyop_2Ecanonical_2Espolynom @ TA)]: ((c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ (c_2Ecanonical_2ESPplus @ TA @ B @ C)) = (c_2EringNorm_2Er__canonical__sum__merge @ TA @ A @ (c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ B) @ (c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ C))) & ! [B:(tyop_2Ecanonical_2Espolynom @ TA),C:(tyop_2Ecanonical_2Espolynom @ TA)]: ((c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ (c_2Ecanonical_2ESPmult @ TA @ B @ C)) = (c_2EringNorm_2Er__canonical__sum__prod @ TA @ A @ (c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ B) @ (c_2EringNorm_2Er__spolynom__normalize @ TA @ A @ C)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 8.06/2.61  thf(16,plain,((~ ((c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ (c_2Ecanonical_2ESPvar @ skt1 @ sk2)) = (c_2Ecanonical_2ECons__varlist @ skt1 @ (c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ sk2 @ (c_2Elist_2ENIL @ tyop_2Equote_2Eindex)) @ (c_2Ecanonical_2ENil__monom @ skt1)))) | (~ ((c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ (c_2Ecanonical_2ESPconst @ skt1 @ sk3)) = (c_2Ecanonical_2ECons__monom @ skt1 @ sk3 @ (c_2Elist_2ENIL @ tyop_2Equote_2Eindex) @ (c_2Ecanonical_2ENil__monom @ skt1)))) | (~ ((c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ (c_2Ecanonical_2ESPplus @ skt1 @ sk4 @ sk5)) = (c_2EringNorm_2Er__canonical__sum__merge @ skt1 @ sk1 @ (c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ sk4) @ (c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ sk5)))) | (~ ((c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ (c_2Ecanonical_2ESPmult @ skt1 @ sk6 @ sk7)) = (c_2EringNorm_2Er__canonical__sum__prod @ skt1 @ sk1 @ (c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ sk6) @ (c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ sk7))))),inference(cnf,[status(esa)],[15])).
% 8.06/2.61  thf(17,plain,(((c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ (c_2Ecanonical_2ESPvar @ skt1 @ sk2)) != (c_2Ecanonical_2ECons__varlist @ skt1 @ (c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ sk2 @ (c_2Elist_2ENIL @ tyop_2Equote_2Eindex)) @ (c_2Ecanonical_2ENil__monom @ skt1))) | ((c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ (c_2Ecanonical_2ESPconst @ skt1 @ sk3)) != (c_2Ecanonical_2ECons__monom @ skt1 @ sk3 @ (c_2Elist_2ENIL @ tyop_2Equote_2Eindex) @ (c_2Ecanonical_2ENil__monom @ skt1))) | ((c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ (c_2Ecanonical_2ESPplus @ skt1 @ sk4 @ sk5)) != (c_2EringNorm_2Er__canonical__sum__merge @ skt1 @ sk1 @ (c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ sk4) @ (c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ sk5))) | ((c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ (c_2Ecanonical_2ESPmult @ skt1 @ sk6 @ sk7)) != (c_2EringNorm_2Er__canonical__sum__prod @ skt1 @ sk1 @ (c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ sk6) @ (c_2EringNorm_2Er__spolynom__normalize @ skt1 @ sk1 @ sk7)))),inference(lifteq,[status(thm)],[16])).
% 8.06/2.61  thf(58,plain,(((c_2Emin_2E_3D_3D_3E @ $false @ $false) = (($false) => ($false)))),inference(instance,[status(thm)],[51])).
% 8.06/2.61  thf(59,plain,((c_2Emin_2E_3D_3D_3E @ $false @ $false)),inference(simp,[status(thm)],[58])).
% 8.06/2.61  thf(6,axiom,((! [TA: $tType]: (! [A:(tyop_2Esemi__ring_2Esemi__ring @ TA),B:tyop_2Equote_2Eindex]: ((c_2Ecanonical_2Espolynom__normalize @ TA @ A @ (c_2Ecanonical_2ESPvar @ TA @ B)) = (c_2Ecanonical_2ECons__varlist @ TA @ (c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ B @ (c_2Elist_2ENIL @ tyop_2Equote_2Eindex)) @ (c_2Ecanonical_2ENil__monom @ TA))) & ! [A:(tyop_2Esemi__ring_2Esemi__ring @ TA),B:TA]: ((c_2Ecanonical_2Espolynom__normalize @ TA @ A @ (c_2Ecanonical_2ESPconst @ TA @ B)) = (c_2Ecanonical_2ECons__monom @ TA @ B @ (c_2Elist_2ENIL @ tyop_2Equote_2Eindex) @ (c_2Ecanonical_2ENil__monom @ TA))) & ! [A:(tyop_2Esemi__ring_2Esemi__ring @ TA),B:(tyop_2Ecanonical_2Espolynom @ TA),C:(tyop_2Ecanonical_2Espolynom @ TA)]: ((c_2Ecanonical_2Espolynom__normalize @ TA @ A @ (c_2Ecanonical_2ESPplus @ TA @ B @ C)) = (c_2Ecanonical_2Ecanonical__sum__merge @ TA @ A @ (c_2Ecanonical_2Espolynom__normalize @ TA @ A @ B) @ (c_2Ecanonical_2Espolynom__normalize @ TA @ A @ C))) & ! [A:(tyop_2Esemi__ring_2Esemi__ring @ TA),B:(tyop_2Ecanonical_2Espolynom @ TA),C:(tyop_2Ecanonical_2Espolynom @ TA)]: ((c_2Ecanonical_2Espolynom__normalize @ TA @ A @ (c_2Ecanonical_2ESPmult @ TA @ B @ C)) = (c_2Ecanonical_2Ecanonical__sum__prod @ TA @ A @ (c_2Ecanonical_2Espolynom__normalize @ TA @ A @ B) @ (c_2Ecanonical_2Espolynom__normalize @ TA @ A @ C)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ecanonical_2Espolynom__normalize__def)).
% 8.06/2.61  thf(27,plain,((! [TA: $tType]: (! [A:(tyop_2Esemi__ring_2Esemi__ring @ TA),B:tyop_2Equote_2Eindex]: ((c_2Ecanonical_2Espolynom__normalize @ TA @ A @ (c_2Ecanonical_2ESPvar @ TA @ B)) = (c_2Ecanonical_2ECons__varlist @ TA @ (c_2Elist_2ECONS @ tyop_2Equote_2Eindex @ B @ (c_2Elist_2ENIL @ tyop_2Equote_2Eindex)) @ (c_2Ecanonical_2ENil__monom @ TA))) & ! [A:(tyop_2Esemi__ring_2Esemi__ring @ TA),B:TA]: ((c_2Ecanonical_2Espolynom__normalize @ TA @ A @ (c_2Ecanonical_2ESPconst @ TA @ B)) = (c_2Ecanonical_2ECons__monom @ TA @ B @ (c_2Elist_2ENIL @ tyop_2Equote_2Eindex) @ (c_2Ecanonical_2ENil__monom @ TA))) & ! [A:(tyop_2Esemi__ring_2Esemi__ring @ TA),B:(tyop_2Ecanonical_2Espolynom @ TA),C:(tyop_2Ecanonical_2Espolynom @ TA)]: ((c_2Ecanonical_2Espolynom__normalize @ TA @ A @ (c_2Ecanonical_2ESPplus @ TA @ B @ C)) = (c_2Ecanonical_2Ecanonical__sum__merge @ TA @ A @ (c_2Ecanonical_2Espolynom__normalize @ TA @ A @ B) @ (c_2Ecanonical_2Espolynom__normalize @ TA @ A @ C))) & ! [A:(tyop_2Esemi__ring_2Esemi__ring @ TA),B:(tyop_2Ecanonical_2Espolynom @ TA),C:(tyop_2Ecanonical_2Espolynom @ TA)]: ((c_2Ecanonical_2Espolynom__normalize @ TA @ A @ (c_2Ecanonical_2ESPmult @ TA @ B @ C)) = (c_2Ecanonical_2Ecanonical__sum__prod @ TA @ A @ (c_2Ecanonical_2Espolynom__normalize @ TA @ A @ B) @ (c_2Ecanonical_2Espolynom__normalize @ TA @ A @ C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 8.06/2.61  thf(7,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((A = B) = (B = A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__SYM__EQ)).
% 8.06/2.61  thf(39,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((A = B) = (B = A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 8.06/2.61  thf(10,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 8.06/2.61  thf(48,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 8.06/2.61  thf(3,axiom,((! [TA: $tType]: (! [A:(tyop_2Ering_2Ering @ TA)]: ((c_2EringNorm_2Er__canonical__sum__merge @ TA @ A) = (c_2Ecanonical_2Ecanonical__sum__merge @ TA @ (c_2Ering_2Esemi__ring__of @ TA @ A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2EringNorm_2Er__canonical__sum__merge__def)).
% 8.06/2.61  thf(18,plain,((! [TA: $tType]: (! [A:(tyop_2Ering_2Ering @ TA)]: ((c_2EringNorm_2Er__canonical__sum__merge @ TA @ A) = (c_2Ecanonical_2Ecanonical__sum__merge @ TA @ (c_2Ering_2Esemi__ring__of @ TA @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 8.06/2.61  thf(54,plain,(((c_2Emin_2E_3D_3D_3E @ $true @ $false) = (($true) => ($false)))),inference(instance,[status(thm)],[51])).
% 8.06/2.61  thf(55,plain,((~ (c_2Emin_2E_3D_3D_3E @ $true @ $false))),inference(simp,[status(thm)],[54])).
% 8.06/2.61  thf(61,plain,(((c_2Ebool_2E_7E @ $true) = (~ ($true)))),inference(instance,[status(thm)],[60])).
% 8.06/2.61  thf(62,plain,((~ (c_2Ebool_2E_7E @ $true))),inference(simp,[status(thm)],[61])).
% 8.06/2.61  thf(96,plain,($false),inference(iprover,[status(thm)],[42,24,57,78,74,60,21,65,53,73,45,64,17,59,27,39,48,18,55,51,15,62])).
% 8.06/2.61  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 8.06/2.61  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
