%------------------------------------------------------------------------------
thf(u_type,type,(
    u: $tType )).

thf(d_type,type,(
    d: $tType )).

thf(du_type,type,(
    du: $tType )).

thf(mono_2Etyop_2Enum_2Enum_type,type,(
    mono_2Etyop_2Enum_2Enum: $tType )).

thf(mono_2Etyop_2Erealax_2Ereal_type,type,(
    mono_2Etyop_2Erealax_2Ereal: $tType )).

thf(mono_2Ec_2Ereal_2E_2F_type,type,(
    mono_2Ec_2Ereal_2E_2F: mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Erealax_2Ereal )).

thf(mono_2Ec_2Erealax_2Einv_type,type,(
    mono_2Ec_2Erealax_2Einv: mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Erealax_2Ereal )).

thf(mono_2Ec_2Ereal_2Epow_type,type,(
    mono_2Ec_2Ereal_2Epow: mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Enum_2Enum > mono_2Etyop_2Erealax_2Ereal )).

thf(mono_2Ec_2Erealax_2Ereal__mul_type,type,(
    mono_2Ec_2Erealax_2Ereal__mul: mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Erealax_2Ereal > mono_2Etyop_2Erealax_2Ereal )).

thf(1,conjecture,(
    ! [A: mono_2Etyop_2Erealax_2Ereal,B: mono_2Etyop_2Erealax_2Ereal,C: mono_2Etyop_2Enum_2Enum] :
      ( ( mono_2Ec_2Ereal_2Epow @ ( mono_2Ec_2Ereal_2E_2F @ A @ B ) @ C )
      = ( mono_2Ec_2Ereal_2E_2F @ ( mono_2Ec_2Ereal_2Epow @ A @ C ) @ ( mono_2Ec_2Ereal_2Epow @ B @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__POW__DIV)).

thf(2,negated_conjecture,(
    ~ ! [A: mono_2Etyop_2Erealax_2Ereal,B: mono_2Etyop_2Erealax_2Ereal,C: mono_2Etyop_2Enum_2Enum] :
        ( ( mono_2Ec_2Ereal_2Epow @ ( mono_2Ec_2Ereal_2E_2F @ A @ B ) @ C )
        = ( mono_2Ec_2Ereal_2E_2F @ ( mono_2Ec_2Ereal_2Epow @ A @ C ) @ ( mono_2Ec_2Ereal_2Epow @ B @ C ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(6,plain,(
    ~ ! [A: mono_2Etyop_2Erealax_2Ereal,B: mono_2Etyop_2Erealax_2Ereal,C: mono_2Etyop_2Enum_2Enum] :
        ( ( mono_2Ec_2Ereal_2Epow @ ( mono_2Ec_2Ereal_2E_2F @ A @ B ) @ C )
        = ( mono_2Ec_2Ereal_2E_2F @ ( mono_2Ec_2Ereal_2Epow @ A @ C ) @ ( mono_2Ec_2Ereal_2Epow @ B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [A: mono_2Etyop_2Erealax_2Ereal,B: mono_2Etyop_2Erealax_2Ereal] :
      ( ( mono_2Ec_2Ereal_2E_2F @ A @ B )
      = ( mono_2Ec_2Erealax_2Ereal__mul @ A @ ( mono_2Ec_2Erealax_2Einv @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2Ereal__div)).

thf(9,plain,(
    ! [A: mono_2Etyop_2Erealax_2Ereal,B: mono_2Etyop_2Erealax_2Ereal] :
      ( ( mono_2Ec_2Ereal_2E_2F @ A @ B )
      = ( mono_2Ec_2Erealax_2Ereal__mul @ A @ ( mono_2Ec_2Erealax_2Einv @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [A: mono_2Etyop_2Enum_2Enum,B: mono_2Etyop_2Erealax_2Ereal,C: mono_2Etyop_2Erealax_2Ereal] :
      ( ( mono_2Ec_2Ereal_2Epow @ ( mono_2Ec_2Erealax_2Ereal__mul @ B @ C ) @ A )
      = ( mono_2Ec_2Erealax_2Ereal__mul @ ( mono_2Ec_2Ereal_2Epow @ B @ A ) @ ( mono_2Ec_2Ereal_2Epow @ C @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EPOW__MUL)).

thf(12,plain,(
    ! [A: mono_2Etyop_2Enum_2Enum,B: mono_2Etyop_2Erealax_2Ereal,C: mono_2Etyop_2Erealax_2Ereal] :
      ( ( mono_2Ec_2Ereal_2Epow @ ( mono_2Ec_2Erealax_2Ereal__mul @ B @ C ) @ A )
      = ( mono_2Ec_2Erealax_2Ereal__mul @ ( mono_2Ec_2Ereal_2Epow @ B @ A ) @ ( mono_2Ec_2Ereal_2Epow @ C @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(5,axiom,(
    ! [A: mono_2Etyop_2Erealax_2Ereal,B: mono_2Etyop_2Enum_2Enum] :
      ( ( mono_2Ec_2Ereal_2Epow @ ( mono_2Ec_2Erealax_2Einv @ A ) @ B )
      = ( mono_2Ec_2Erealax_2Einv @ ( mono_2Ec_2Ereal_2Epow @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__POW__INV)).

thf(15,plain,(
    ! [A: mono_2Etyop_2Erealax_2Ereal,B: mono_2Etyop_2Enum_2Enum] :
      ( ( mono_2Ec_2Ereal_2Epow @ ( mono_2Ec_2Erealax_2Einv @ A ) @ B )
      = ( mono_2Ec_2Erealax_2Einv @ ( mono_2Ec_2Ereal_2Epow @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(18,plain,(
    $false ),
    inference(iprover,[status(thm)],[6,9,12,15])).
%------------------------------------------------------------------------------
