%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:41:52 EDT 2019

% Result     : Theorem 6.26s
% Output     : CNFRefutation 6.26s
% Verified   : 
% Statistics : Number of formulae       :   29 (  29 expanded)
%              Number of leaves         :   20 (  20 expanded)
%              Depth                    :    3
%              Number of atoms          :  215 ( 215 expanded)
%              Number of equality atoms :   15 (  15 expanded)
%              Maximal formula depth    :   10 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Efrac_2Efrac_type,type,(
    tyop_2Efrac_2Efrac: $tType )).

thf(tyop_2Einteger_2Eint_type,type,(
    tyop_2Einteger_2Eint: $tType )).

thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: tyop_2Enum_2Enum )).

thf(c_2Efrac_2Efrac__dnm_type,type,(
    c_2Efrac_2Efrac__dnm: tyop_2Efrac_2Efrac > tyop_2Einteger_2Eint )).

thf(c_2Efrac_2Efrac__nmr_type,type,(
    c_2Efrac_2Efrac__nmr: tyop_2Efrac_2Efrac > tyop_2Einteger_2Eint )).

thf(c_2Einteger_2Eint__gt_type,type,(
    c_2Einteger_2Eint__gt: tyop_2Einteger_2Eint > tyop_2Einteger_2Eint > $o )).

thf(c_2Einteger_2Eint__le_type,type,(
    c_2Einteger_2Eint__le: tyop_2Einteger_2Eint > tyop_2Einteger_2Eint > $o )).

thf(c_2Einteger_2Eint__lt_type,type,(
    c_2Einteger_2Eint__lt: tyop_2Einteger_2Eint > tyop_2Einteger_2Eint > $o )).

thf(c_2Einteger_2Eint__mul_type,type,(
    c_2Einteger_2Eint__mul: tyop_2Einteger_2Eint > tyop_2Einteger_2Eint > tyop_2Einteger_2Eint )).

thf(c_2Einteger_2Eint__of__num_type,type,(
    c_2Einteger_2Eint__of__num: tyop_2Enum_2Enum > tyop_2Einteger_2Eint )).

thf(c_2Erat_2Erat__equiv_type,type,(
    c_2Erat_2Erat__equiv: tyop_2Efrac_2Efrac > tyop_2Efrac_2Efrac > $o )).

thf(7,axiom,(
    ! [A: tyop_2Efrac_2Efrac,B: tyop_2Efrac_2Efrac] :
      ( ( c_2Erat_2Erat__equiv @ A @ B )
      = ( ( c_2Einteger_2Eint__mul @ ( c_2Efrac_2Efrac__nmr @ A ) @ ( c_2Efrac_2Efrac__dnm @ B ) )
        = ( c_2Einteger_2Eint__mul @ ( c_2Efrac_2Efrac__nmr @ B ) @ ( c_2Efrac_2Efrac__dnm @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erat_2Erat__equiv__def)).

thf(28,plain,(
    ! [A: tyop_2Efrac_2Efrac,B: tyop_2Efrac_2Efrac] :
      ( ( c_2Erat_2Erat__equiv @ A @ B )
      = ( ( c_2Einteger_2Eint__mul @ ( c_2Efrac_2Efrac__nmr @ A ) @ ( c_2Efrac_2Efrac__dnm @ B ) )
        = ( c_2Einteger_2Eint__mul @ ( c_2Efrac_2Efrac__nmr @ B ) @ ( c_2Efrac_2Efrac__dnm @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(6,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ ( c_2Einteger_2Eint__mul @ A @ B ) )
        = ( ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ A )
            & ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ B ) )
          | ( ( c_2Einteger_2Eint__lt @ A @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
            & ( c_2Einteger_2Eint__lt @ B @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) ) ) ) )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__mul @ A @ B ) @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
        = ( ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ A )
            & ( c_2Einteger_2Eint__lt @ B @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) ) )
          | ( ( c_2Einteger_2Eint__lt @ A @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
            & ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2EINT__MUL__SIGN__CASES)).

thf(21,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ ( c_2Einteger_2Eint__mul @ A @ B ) )
        = ( ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ A )
            & ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ B ) )
          | ( ( c_2Einteger_2Eint__lt @ A @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
            & ( c_2Einteger_2Eint__lt @ B @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) ) ) ) )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__mul @ A @ B ) @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
        = ( ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ A )
            & ( c_2Einteger_2Eint__lt @ B @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) ) )
          | ( ( c_2Einteger_2Eint__lt @ A @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
            & ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(1,conjecture,(
    ! [A: tyop_2Efrac_2Efrac,B: tyop_2Efrac_2Efrac] :
      ( ( c_2Erat_2Erat__equiv @ A @ B )
     => ( ( c_2Einteger_2Eint__lt @ ( c_2Efrac_2Efrac__nmr @ A ) @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
        = ( c_2Einteger_2Eint__lt @ ( c_2Efrac_2Efrac__nmr @ B ) @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erat_2ERAT__EQUIV__NMR__LTZ__IFF)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Efrac_2Efrac,B: tyop_2Efrac_2Efrac] :
        ( ( c_2Erat_2Erat__equiv @ A @ B )
       => ( ( c_2Einteger_2Eint__lt @ ( c_2Efrac_2Efrac__nmr @ A ) @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
          = ( c_2Einteger_2Eint__lt @ ( c_2Efrac_2Efrac__nmr @ B ) @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(9,plain,(
    ~ ! [A: tyop_2Efrac_2Efrac,B: tyop_2Efrac_2Efrac] :
        ( ( c_2Erat_2Erat__equiv @ A @ B )
       => ( ( c_2Einteger_2Eint__lt @ ( c_2Efrac_2Efrac__nmr @ A ) @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
          = ( c_2Einteger_2Eint__lt @ ( c_2Efrac_2Efrac__nmr @ B ) @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__lt @ A @ B )
     => ( c_2Einteger_2Eint__le @ A @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2EINT__LT__IMP__LE)).

thf(13,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__lt @ A @ B )
     => ( c_2Einteger_2Eint__le @ A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(5,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( ~ ( c_2Einteger_2Eint__lt @ A @ B ) )
      = ( c_2Einteger_2Eint__le @ B @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2EINT__NOT__LT)).

thf(18,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( ~ ( c_2Einteger_2Eint__lt @ A @ B ) )
      = ( c_2Einteger_2Eint__le @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(8,axiom,(
    ! [A: tyop_2Efrac_2Efrac] :
      ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ ( c_2Efrac_2Efrac__dnm @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Efrac_2EFRAC__DNMPOS)).

thf(31,plain,(
    ! [A: tyop_2Efrac_2Efrac] :
      ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ ( c_2Efrac_2Efrac__dnm @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(4,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__gt @ A @ B )
      = ( c_2Einteger_2Eint__lt @ B @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2Eint__gt)).

thf(15,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__gt @ A @ B )
      = ( c_2Einteger_2Eint__lt @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(33,plain,(
    $false ),
    inference(e,[status(thm)],[28,21,9,13,18,31,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.07/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.07/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.07/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.07/0.13  % CPULimit   : 300
% 0.07/0.13  % DateTime   : Wed Jul 31 06:52:12 EDT 2019
% 0.07/0.13  % CPUTime    : 
% 3.39/1.39  % [INFO] 	 Running in sequential loop mode. 
% 4.26/1.57  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.26/1.63  % [INFO] 	 iprover registered as external prover. 
% 4.26/1.63  % [INFO] 	 e registered as external prover. 
% 4.26/1.63  % [INFO] 	 cvc4 registered as external prover. 
% 4.26/1.64  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.59/1.69  % [INFO] 	 Found a conjecture and 19 axioms. Running axiom selection ... 
% 4.59/1.73  % [INFO] 	 Axiom selection finished. Selected 6 axioms (removed 13 axioms). 
% 4.74/1.76  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.26/2.25  % [INFO] 	 Killing All external provers ... 
% 6.26/2.26  % Time passed: 1981ms
% 6.26/2.26  % Effective reasoning time: 859ms
% 6.26/2.26  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.26/2.26  % Axioms used in derivation (6): thm_2Efrac_2EFRAC__DNMPOS, thm_2Einteger_2Eint__gt, thm_2Erat_2Erat__equiv__def, thm_2Einteger_2EINT__NOT__LT, thm_2Einteger_2EINT__LT__IMP__LE, thm_2Einteger_2EINT__MUL__SIGN__CASES
% 6.26/2.26  % No. of inferences in proof: 16
% 6.26/2.26  % No. of processed clauses: 1
% 6.26/2.26  % No. of generated clauses: 0
% 6.26/2.26  % No. of forward subsumed clauses: 0
% 6.26/2.26  % No. of backward subsumed clauses: 0
% 6.26/2.26  % No. of ground rewrite rules in store: 1
% 6.26/2.26  % No. of non-ground rewrite rules in store: 0
% 6.26/2.26  % No. of positive (non-rewrite) units in store: 0
% 6.26/2.26  % No. of negative (non-rewrite) units in store: 0
% 6.26/2.26  % No. of choice functions detected: 0
% 6.26/2.26  % No. of choice instantiations: 0
% 6.26/2.26  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 1981 ms resp. 859 ms w/o parsing
% 6.26/2.29  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.26/2.29  thf(tyop_2Efrac_2Efrac_type, type, tyop_2Efrac_2Efrac: $tType).
% 6.26/2.29  thf(tyop_2Einteger_2Eint_type, type, tyop_2Einteger_2Eint: $tType).
% 6.26/2.29  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.26/2.29  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 6.26/2.29  thf(c_2Enum_2E0_type, type, c_2Enum_2E0: tyop_2Enum_2Enum).
% 6.26/2.29  thf(c_2Efrac_2Efrac__dnm_type, type, c_2Efrac_2Efrac__dnm: (tyop_2Efrac_2Efrac > tyop_2Einteger_2Eint)).
% 6.26/2.29  thf(c_2Efrac_2Efrac__nmr_type, type, c_2Efrac_2Efrac__nmr: (tyop_2Efrac_2Efrac > tyop_2Einteger_2Eint)).
% 6.26/2.29  thf(c_2Einteger_2Eint__gt_type, type, c_2Einteger_2Eint__gt: (tyop_2Einteger_2Eint > (tyop_2Einteger_2Eint > $o))).
% 6.26/2.29  thf(c_2Einteger_2Eint__le_type, type, c_2Einteger_2Eint__le: (tyop_2Einteger_2Eint > (tyop_2Einteger_2Eint > $o))).
% 6.26/2.29  thf(c_2Einteger_2Eint__lt_type, type, c_2Einteger_2Eint__lt: (tyop_2Einteger_2Eint > (tyop_2Einteger_2Eint > $o))).
% 6.26/2.29  thf(c_2Einteger_2Eint__mul_type, type, c_2Einteger_2Eint__mul: (tyop_2Einteger_2Eint > (tyop_2Einteger_2Eint > tyop_2Einteger_2Eint))).
% 6.26/2.29  thf(c_2Einteger_2Eint__of__num_type, type, c_2Einteger_2Eint__of__num: (tyop_2Enum_2Enum > tyop_2Einteger_2Eint)).
% 6.26/2.29  thf(c_2Erat_2Erat__equiv_type, type, c_2Erat_2Erat__equiv: (tyop_2Efrac_2Efrac > (tyop_2Efrac_2Efrac > $o))).
% 6.26/2.29  thf(7,axiom,((! [A:tyop_2Efrac_2Efrac,B:tyop_2Efrac_2Efrac]: ((c_2Erat_2Erat__equiv @ A @ B) = ((c_2Einteger_2Eint__mul @ (c_2Efrac_2Efrac__nmr @ A) @ (c_2Efrac_2Efrac__dnm @ B)) = (c_2Einteger_2Eint__mul @ (c_2Efrac_2Efrac__nmr @ B) @ (c_2Efrac_2Efrac__dnm @ A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erat_2Erat__equiv__def)).
% 6.26/2.29  thf(28,plain,((! [A:tyop_2Efrac_2Efrac,B:tyop_2Efrac_2Efrac]: ((c_2Erat_2Erat__equiv @ A @ B) = ((c_2Einteger_2Eint__mul @ (c_2Efrac_2Efrac__nmr @ A) @ (c_2Efrac_2Efrac__dnm @ B)) = (c_2Einteger_2Eint__mul @ (c_2Efrac_2Efrac__nmr @ B) @ (c_2Efrac_2Efrac__dnm @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 6.26/2.29  thf(6,axiom,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: (((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ (c_2Einteger_2Eint__mul @ A @ B)) = (((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ A) & (c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ B)) | ((c_2Einteger_2Eint__lt @ A @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) & (c_2Einteger_2Eint__lt @ B @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0))))) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__mul @ A @ B) @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) = (((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ A) & (c_2Einteger_2Eint__lt @ B @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0))) | ((c_2Einteger_2Eint__lt @ A @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) & (c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ B))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2EINT__MUL__SIGN__CASES)).
% 6.26/2.29  thf(21,plain,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: (((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ (c_2Einteger_2Eint__mul @ A @ B)) = (((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ A) & (c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ B)) | ((c_2Einteger_2Eint__lt @ A @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) & (c_2Einteger_2Eint__lt @ B @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0))))) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__mul @ A @ B) @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) = (((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ A) & (c_2Einteger_2Eint__lt @ B @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0))) | ((c_2Einteger_2Eint__lt @ A @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) & (c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 6.26/2.29  thf(1,conjecture,((! [A:tyop_2Efrac_2Efrac,B:tyop_2Efrac_2Efrac]: ((c_2Erat_2Erat__equiv @ A @ B) => ((c_2Einteger_2Eint__lt @ (c_2Efrac_2Efrac__nmr @ A) @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) = (c_2Einteger_2Eint__lt @ (c_2Efrac_2Efrac__nmr @ B) @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Erat_2ERAT__EQUIV__NMR__LTZ__IFF)).
% 6.26/2.29  thf(2,negated_conjecture,((~ (! [A:tyop_2Efrac_2Efrac,B:tyop_2Efrac_2Efrac]: ((c_2Erat_2Erat__equiv @ A @ B) => ((c_2Einteger_2Eint__lt @ (c_2Efrac_2Efrac__nmr @ A) @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) = (c_2Einteger_2Eint__lt @ (c_2Efrac_2Efrac__nmr @ B) @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0))))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.26/2.29  thf(9,plain,((~ (! [A:tyop_2Efrac_2Efrac,B:tyop_2Efrac_2Efrac]: ((c_2Erat_2Erat__equiv @ A @ B) => ((c_2Einteger_2Eint__lt @ (c_2Efrac_2Efrac__nmr @ A) @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) = (c_2Einteger_2Eint__lt @ (c_2Efrac_2Efrac__nmr @ B) @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.26/2.29  thf(3,axiom,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__lt @ A @ B) => (c_2Einteger_2Eint__le @ A @ B)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2EINT__LT__IMP__LE)).
% 6.26/2.29  thf(13,plain,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__lt @ A @ B) => (c_2Einteger_2Eint__le @ A @ B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.26/2.29  thf(5,axiom,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((~ (c_2Einteger_2Eint__lt @ A @ B)) = (c_2Einteger_2Eint__le @ B @ A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2EINT__NOT__LT)).
% 6.26/2.29  thf(18,plain,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((~ (c_2Einteger_2Eint__lt @ A @ B)) = (c_2Einteger_2Eint__le @ B @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.26/2.29  thf(8,axiom,((! [A:tyop_2Efrac_2Efrac]: (c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ (c_2Efrac_2Efrac__dnm @ A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Efrac_2EFRAC__DNMPOS)).
% 6.26/2.29  thf(31,plain,((! [A:tyop_2Efrac_2Efrac]: (c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ (c_2Efrac_2Efrac__dnm @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 6.26/2.29  thf(4,axiom,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__gt @ A @ B) = (c_2Einteger_2Eint__lt @ B @ A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Einteger_2Eint__gt)).
% 6.26/2.29  thf(15,plain,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__gt @ A @ B) = (c_2Einteger_2Eint__lt @ B @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.26/2.29  thf(33,plain,($false),inference(e,[status(thm)],[28,21,9,13,18,31,15])).
% 6.26/2.29  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.26/2.29  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
