%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:42:23 EDT 2019

% Result     : Theorem 5.72s
% Output     : CNFRefutation 5.85s
% Verified   : 
% Statistics : Number of formulae       :   37 (  37 expanded)
%              Number of leaves         :   26 (  26 expanded)
%              Depth                    :    3
%              Number of atoms          :  183 ( 183 expanded)
%              Number of equality atoms :   19 (  19 expanded)
%              Maximal formula depth    :   11 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Ereal_2E_2F_type,type,(
    c_2Ereal_2E_2F: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2EBIT1_type,type,(
    c_2Earithmetic_2EBIT1: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2EBIT2_type,type,(
    c_2Earithmetic_2EBIT2: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2ENUMERAL_type,type,(
    c_2Earithmetic_2ENUMERAL: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2EZERO_type,type,(
    c_2Earithmetic_2EZERO: tyop_2Enum_2Enum )).

thf(c_2Etransc_2Ecos_type,type,(
    c_2Etransc_2Ecos: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Etransc_2Epi_type,type,(
    c_2Etransc_2Epi: tyop_2Erealax_2Ereal )).

thf(c_2Erealax_2Ereal__add_type,type,(
    c_2Erealax_2Ereal__add: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Erealax_2Ereal__mul_type,type,(
    c_2Erealax_2Ereal__mul: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Erealax_2Ereal__neg_type,type,(
    c_2Erealax_2Ereal__neg: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Ereal_2Ereal__of__num_type,type,(
    c_2Ereal_2Ereal__of__num: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal )).

thf(c_2Ereal_2Ereal__sub_type,type,(
    c_2Ereal_2Ereal__sub: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Etransc_2Esin_type,type,(
    c_2Etransc_2Esin: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(3,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ A )
      = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__LZERO)).

thf(14,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ A )
      = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(5,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Ereal_2Ereal__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) @ A )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__LID)).

thf(20,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Ereal_2Ereal__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) @ A )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(8,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Etransc_2Esin @ ( c_2Erealax_2Ereal__add @ A @ B ) )
      = ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__mul @ ( c_2Etransc_2Esin @ A ) @ ( c_2Etransc_2Ecos @ B ) ) @ ( c_2Erealax_2Ereal__mul @ ( c_2Etransc_2Ecos @ A ) @ ( c_2Etransc_2Esin @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Etransc_2ESIN__ADD)).

thf(28,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Etransc_2Esin @ ( c_2Erealax_2Ereal__add @ A @ B ) )
      = ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__mul @ ( c_2Etransc_2Esin @ A ) @ ( c_2Etransc_2Ecos @ B ) ) @ ( c_2Erealax_2Ereal__mul @ ( c_2Etransc_2Ecos @ A ) @ ( c_2Etransc_2Esin @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(10,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__RID)).

thf(33,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(4,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Etransc_2Ecos @ ( c_2Erealax_2Ereal__neg @ A ) )
      = ( c_2Etransc_2Ecos @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Etransc_2ECOS__NEG)).

thf(17,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Etransc_2Ecos @ ( c_2Erealax_2Ereal__neg @ A ) )
      = ( c_2Etransc_2Ecos @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(9,axiom,
    ( ( c_2Etransc_2Esin @ ( c_2Ereal_2E_2F @ c_2Etransc_2Epi @ ( c_2Ereal_2Ereal__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) ) ) )
    = ( c_2Ereal_2Ereal__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Etransc_2ESIN__PI2)).

thf(31,plain,
    ( ( c_2Etransc_2Esin @ ( c_2Ereal_2E_2F @ c_2Etransc_2Epi @ ( c_2Ereal_2Ereal__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) ) ) )
    = ( c_2Ereal_2Ereal__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Etransc_2Ecos @ A )
      = ( c_2Etransc_2Esin @ ( c_2Ereal_2Ereal__sub @ ( c_2Ereal_2E_2F @ c_2Etransc_2Epi @ ( c_2Ereal_2Ereal__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) ) ) @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Etransc_2ECOS__SIN)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal] :
        ( ( c_2Etransc_2Ecos @ A )
        = ( c_2Etransc_2Esin @ ( c_2Ereal_2Ereal__sub @ ( c_2Ereal_2E_2F @ c_2Etransc_2Epi @ ( c_2Ereal_2Ereal__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) ) ) @ A ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(11,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal] :
        ( ( c_2Etransc_2Ecos @ A )
        = ( c_2Etransc_2Esin @ ( c_2Ereal_2Ereal__sub @ ( c_2Ereal_2E_2F @ c_2Etransc_2Epi @ ( c_2Ereal_2Ereal__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) ) ) @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(7,axiom,
    ( ( c_2Etransc_2Ecos @ ( c_2Ereal_2E_2F @ c_2Etransc_2Epi @ ( c_2Ereal_2Ereal__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) ) ) )
    = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Etransc_2ECOS__PI2)).

thf(26,plain,
    ( ( c_2Etransc_2Ecos @ ( c_2Ereal_2E_2F @ c_2Etransc_2Epi @ ( c_2Ereal_2Ereal__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO ) ) ) ) )
    = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(6,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__sub @ A @ B )
      = ( c_2Erealax_2Ereal__add @ A @ ( c_2Erealax_2Ereal__neg @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2Ereal__sub)).

thf(23,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__sub @ A @ B )
      = ( c_2Erealax_2Ereal__add @ A @ ( c_2Erealax_2Ereal__neg @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(36,plain,(
    $false ),
    inference(e,[status(thm)],[14,20,28,33,17,31,11,26,23])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.06/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.13  % CPULimit   : 300
% 0.06/0.13  % DateTime   : Wed Jul 31 07:52:12 EDT 2019
% 0.06/0.13  % CPUTime    : 
% 2.75/1.27  % [INFO] 	 Running in sequential loop mode. 
% 3.48/1.46  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.60/1.52  % [INFO] 	 iprover registered as external prover. 
% 3.60/1.52  % [INFO] 	 e registered as external prover. 
% 3.60/1.52  % [INFO] 	 cvc4 registered as external prover. 
% 3.88/1.53  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.05/1.58  % [INFO] 	 Found a conjecture and 17 axioms. Running axiom selection ... 
% 4.05/1.62  % [INFO] 	 Axiom selection finished. Selected 8 axioms (removed 9 axioms). 
% 4.05/1.64  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 5.72/2.08  % [INFO] 	 Killing All external provers ... 
% 5.72/2.08  % Time passed: 1811ms
% 5.72/2.08  % Effective reasoning time: 806ms
% 5.72/2.08  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 5.72/2.09  % Axioms used in derivation (8): thm_2Etransc_2ECOS__NEG, thm_2Etransc_2ESIN__ADD, thm_2Ereal_2EREAL__ADD__RID, thm_2Etransc_2ESIN__PI2, thm_2Ereal_2Ereal__sub, thm_2Ereal_2EREAL__MUL__LZERO, thm_2Ereal_2EREAL__MUL__LID, thm_2Etransc_2ECOS__PI2
% 5.72/2.09  % No. of inferences in proof: 20
% 5.72/2.09  % No. of processed clauses: 1
% 5.72/2.09  % No. of generated clauses: 0
% 5.72/2.09  % No. of forward subsumed clauses: 0
% 5.72/2.09  % No. of backward subsumed clauses: 0
% 5.72/2.09  % No. of ground rewrite rules in store: 0
% 5.72/2.09  % No. of non-ground rewrite rules in store: 1
% 5.72/2.09  % No. of positive (non-rewrite) units in store: 0
% 5.72/2.09  % No. of negative (non-rewrite) units in store: 0
% 5.72/2.09  % No. of choice functions detected: 0
% 5.72/2.09  % No. of choice instantiations: 0
% 5.72/2.09  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 1811 ms resp. 806 ms w/o parsing
% 5.85/2.11  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.85/2.11  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 5.85/2.11  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 5.85/2.11  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 5.85/2.11  thf(c_2Ereal_2E_2F_type, type, c_2Ereal_2E_2F: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 5.85/2.11  thf(c_2Enum_2E0_type, type, c_2Enum_2E0: tyop_2Enum_2Enum).
% 5.85/2.11  thf(c_2Earithmetic_2EBIT1_type, type, c_2Earithmetic_2EBIT1: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 5.85/2.11  thf(c_2Earithmetic_2EBIT2_type, type, c_2Earithmetic_2EBIT2: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 5.85/2.11  thf(c_2Earithmetic_2ENUMERAL_type, type, c_2Earithmetic_2ENUMERAL: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 5.85/2.11  thf(c_2Earithmetic_2EZERO_type, type, c_2Earithmetic_2EZERO: tyop_2Enum_2Enum).
% 5.85/2.11  thf(c_2Etransc_2Ecos_type, type, c_2Etransc_2Ecos: (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)).
% 5.85/2.11  thf(c_2Etransc_2Epi_type, type, c_2Etransc_2Epi: tyop_2Erealax_2Ereal).
% 5.85/2.11  thf(c_2Erealax_2Ereal__add_type, type, c_2Erealax_2Ereal__add: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 5.85/2.11  thf(c_2Erealax_2Ereal__mul_type, type, c_2Erealax_2Ereal__mul: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 5.85/2.11  thf(c_2Erealax_2Ereal__neg_type, type, c_2Erealax_2Ereal__neg: (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)).
% 5.85/2.11  thf(c_2Ereal_2Ereal__of__num_type, type, c_2Ereal_2Ereal__of__num: (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal)).
% 5.85/2.11  thf(c_2Ereal_2Ereal__sub_type, type, c_2Ereal_2Ereal__sub: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 5.85/2.11  thf(c_2Etransc_2Esin_type, type, c_2Etransc_2Esin: (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)).
% 5.85/2.11  thf(3,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ A) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__LZERO)).
% 5.85/2.11  thf(14,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ A) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 5.85/2.11  thf(5,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Ereal_2Ereal__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO))) @ A) = A))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__LID)).
% 5.85/2.11  thf(20,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Ereal_2Ereal__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO))) @ A) = A))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 5.85/2.11  thf(8,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Etransc_2Esin @ (c_2Erealax_2Ereal__add @ A @ B)) = (c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__mul @ (c_2Etransc_2Esin @ A) @ (c_2Etransc_2Ecos @ B)) @ (c_2Erealax_2Ereal__mul @ (c_2Etransc_2Ecos @ A) @ (c_2Etransc_2Esin @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Etransc_2ESIN__ADD)).
% 5.85/2.11  thf(28,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Etransc_2Esin @ (c_2Erealax_2Ereal__add @ A @ B)) = (c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__mul @ (c_2Etransc_2Esin @ A) @ (c_2Etransc_2Ecos @ B)) @ (c_2Erealax_2Ereal__mul @ (c_2Etransc_2Ecos @ A) @ (c_2Etransc_2Esin @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 5.85/2.11  thf(10,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = A))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__RID)).
% 5.85/2.11  thf(33,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = A))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 5.85/2.11  thf(4,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Etransc_2Ecos @ (c_2Erealax_2Ereal__neg @ A)) = (c_2Etransc_2Ecos @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Etransc_2ECOS__NEG)).
% 5.85/2.11  thf(17,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Etransc_2Ecos @ (c_2Erealax_2Ereal__neg @ A)) = (c_2Etransc_2Ecos @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 5.85/2.11  thf(9,axiom,(((c_2Etransc_2Esin @ (c_2Ereal_2E_2F @ c_2Etransc_2Epi @ (c_2Ereal_2Ereal__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO))))) = (c_2Ereal_2Ereal__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Etransc_2ESIN__PI2)).
% 5.85/2.11  thf(31,plain,(((c_2Etransc_2Esin @ (c_2Ereal_2E_2F @ c_2Etransc_2Epi @ (c_2Ereal_2Ereal__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO))))) = (c_2Ereal_2Ereal__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 5.85/2.11  thf(1,conjecture,((! [A:tyop_2Erealax_2Ereal]: ((c_2Etransc_2Ecos @ A) = (c_2Etransc_2Esin @ (c_2Ereal_2Ereal__sub @ (c_2Ereal_2E_2F @ c_2Etransc_2Epi @ (c_2Ereal_2Ereal__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)))) @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Etransc_2ECOS__SIN)).
% 5.85/2.11  thf(2,negated_conjecture,((~ (! [A:tyop_2Erealax_2Ereal]: ((c_2Etransc_2Ecos @ A) = (c_2Etransc_2Esin @ (c_2Ereal_2Ereal__sub @ (c_2Ereal_2E_2F @ c_2Etransc_2Epi @ (c_2Ereal_2Ereal__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)))) @ A)))))),inference(neg_conjecture,[status(cth)],[1])).
% 5.85/2.11  thf(11,plain,((~ (! [A:tyop_2Erealax_2Ereal]: ((c_2Etransc_2Ecos @ A) = (c_2Etransc_2Esin @ (c_2Ereal_2Ereal__sub @ (c_2Ereal_2E_2F @ c_2Etransc_2Epi @ (c_2Ereal_2Ereal__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO)))) @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 5.85/2.11  thf(7,axiom,(((c_2Etransc_2Ecos @ (c_2Ereal_2E_2F @ c_2Etransc_2Epi @ (c_2Ereal_2Ereal__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO))))) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Etransc_2ECOS__PI2)).
% 5.85/2.11  thf(26,plain,(((c_2Etransc_2Ecos @ (c_2Ereal_2E_2F @ c_2Etransc_2Epi @ (c_2Ereal_2Ereal__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ c_2Earithmetic_2EZERO))))) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 5.85/2.11  thf(6,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__sub @ A @ B) = (c_2Erealax_2Ereal__add @ A @ (c_2Erealax_2Ereal__neg @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2Ereal__sub)).
% 5.85/2.11  thf(23,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__sub @ A @ B) = (c_2Erealax_2Ereal__add @ A @ (c_2Erealax_2Ereal__neg @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 5.85/2.11  thf(36,plain,($false),inference(e,[status(thm)],[14,20,28,33,17,31,11,26,23])).
% 5.85/2.11  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 5.85/2.11  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
