%------------------------------------------------------------------------------
thf(tyop_2Einteger_2Eint_type,type,(
    tyop_2Einteger_2Eint: $tType )).

thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(app_2E2_type,type,(
    app_2E2: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ TB ) > TA > TB ) )).

thf(p_type,type,(
    p: tyop_2Emin_2Ebool > $o )).

thf(combin_i_2E0_type,type,(
    combin_i_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ TA @ TA ) )).

thf(combin_k_2E0_type,type,(
    combin_k_2E0: 
      !>[TA: $tType,TB: $tType] :
        ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) ) )).

thf(combin_s_2E0_type,type,(
    combin_s_2E0: 
      !>[TA: $tType,TB: $tType,TC: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) ) )).

thf(c_2Ebool_2E_21_2E0_type,type,(
    c_2Ebool_2E_21_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_21_2E1_type,type,(
    c_2Ebool_2E_21_2E1: 
      !>[TA: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) > tyop_2Emin_2Ebool ) )).

thf(c_2Earithmetic_2E_2B_2E0_type,type,(
    c_2Earithmetic_2E_2B_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) ) )).

thf(c_2Earithmetic_2E_2B_2E2_type,type,(
    c_2Earithmetic_2E_2B_2E2: tyop_2Enum_2Enum > tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2E_2D_2E0_type,type,(
    c_2Earithmetic_2E_2D_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) ) )).

thf(c_2Earithmetic_2E_2D_2E2_type,type,(
    c_2Earithmetic_2E_2D_2E2: tyop_2Enum_2Enum > tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Ebool_2E_2F_5C_2E0_type,type,(
    c_2Ebool_2E_2F_5C_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Enum_2E0_2E0_type,type,(
    c_2Enum_2E0_2E0: tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2E_3C_3D_2E0_type,type,(
    c_2Earithmetic_2E_3C_3D_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Earithmetic_2E_3C_3D_2E2_type,type,(
    c_2Earithmetic_2E_3C_3D_2E2: tyop_2Enum_2Enum > tyop_2Enum_2Enum > tyop_2Emin_2Ebool )).

thf(c_2Emin_2E_3D_2E0_type,type,(
    c_2Emin_2E_3D_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Emin_2E_3D_3D_3E_2E0_type,type,(
    c_2Emin_2E_3D_3D_3E_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Ebool_2E_3F_2E0_type,type,(
    c_2Ebool_2E_3F_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_3F_2E1_type,type,(
    c_2Ebool_2E_3F_2E1: 
      !>[TA: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) > tyop_2Emin_2Ebool ) )).

thf(c_2Earithmetic_2EBIT1_2E0_type,type,(
    c_2Earithmetic_2EBIT1_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) )).

thf(c_2Earithmetic_2EBIT1_2E1_type,type,(
    c_2Earithmetic_2EBIT1_2E1: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2EBIT2_2E0_type,type,(
    c_2Earithmetic_2EBIT2_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) )).

thf(c_2Earithmetic_2EBIT2_2E1_type,type,(
    c_2Earithmetic_2EBIT2_2E1: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Ebool_2ECOND_2E0_type,type,(
    c_2Ebool_2ECOND_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TA @ TA ) ) ) )).

thf(c_2Ebool_2ECOND_2E3_type,type,(
    c_2Ebool_2ECOND_2E3: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Ebool > TA > TA > TA ) )).

thf(c_2Ebool_2EF_2E0_type,type,(
    c_2Ebool_2EF_2E0: tyop_2Emin_2Ebool )).

thf(c_2Earithmetic_2ENUMERAL_2E0_type,type,(
    c_2Earithmetic_2ENUMERAL_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) )).

thf(c_2Earithmetic_2ENUMERAL_2E1_type,type,(
    c_2Earithmetic_2ENUMERAL_2E1: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Ebool_2ET_2E0_type,type,(
    c_2Ebool_2ET_2E0: tyop_2Emin_2Ebool )).

thf(c_2Earithmetic_2EZERO_2E0_type,type,(
    c_2Earithmetic_2EZERO_2E0: tyop_2Enum_2Enum )).

thf(c_2Ebool_2E_5C_2F_2E0_type,type,(
    c_2Ebool_2E_5C_2F_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Enumeral_2EiZ_2E0_type,type,(
    c_2Enumeral_2EiZ_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) )).

thf(c_2Enumeral_2EiZ_2E1_type,type,(
    c_2Enumeral_2EiZ_2E1: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Einteger_2Eint__add_2E0_type,type,(
    c_2Einteger_2Eint__add_2E0: ( tyop_2Emin_2Efun @ tyop_2Einteger_2Eint @ ( tyop_2Emin_2Efun @ tyop_2Einteger_2Eint @ tyop_2Einteger_2Eint ) ) )).

thf(c_2Einteger_2Eint__add_2E2_type,type,(
    c_2Einteger_2Eint__add_2E2: tyop_2Einteger_2Eint > tyop_2Einteger_2Eint > tyop_2Einteger_2Eint )).

thf(c_2Einteger_2Eint__le_2E0_type,type,(
    c_2Einteger_2Eint__le_2E0: ( tyop_2Emin_2Efun @ tyop_2Einteger_2Eint @ ( tyop_2Emin_2Efun @ tyop_2Einteger_2Eint @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Einteger_2Eint__le_2E2_type,type,(
    c_2Einteger_2Eint__le_2E2: tyop_2Einteger_2Eint > tyop_2Einteger_2Eint > tyop_2Emin_2Ebool )).

thf(c_2Einteger_2Eint__lt_2E0_type,type,(
    c_2Einteger_2Eint__lt_2E0: ( tyop_2Emin_2Efun @ tyop_2Einteger_2Eint @ ( tyop_2Emin_2Efun @ tyop_2Einteger_2Eint @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Einteger_2Eint__lt_2E2_type,type,(
    c_2Einteger_2Eint__lt_2E2: tyop_2Einteger_2Eint > tyop_2Einteger_2Eint > tyop_2Emin_2Ebool )).

thf(c_2Einteger_2Eint__mul_2E0_type,type,(
    c_2Einteger_2Eint__mul_2E0: ( tyop_2Emin_2Efun @ tyop_2Einteger_2Eint @ ( tyop_2Emin_2Efun @ tyop_2Einteger_2Eint @ tyop_2Einteger_2Eint ) ) )).

thf(c_2Einteger_2Eint__mul_2E2_type,type,(
    c_2Einteger_2Eint__mul_2E2: tyop_2Einteger_2Eint > tyop_2Einteger_2Eint > tyop_2Einteger_2Eint )).

thf(c_2Einteger_2Eint__neg_2E0_type,type,(
    c_2Einteger_2Eint__neg_2E0: ( tyop_2Emin_2Efun @ tyop_2Einteger_2Eint @ tyop_2Einteger_2Eint ) )).

thf(c_2Einteger_2Eint__neg_2E1_type,type,(
    c_2Einteger_2Eint__neg_2E1: tyop_2Einteger_2Eint > tyop_2Einteger_2Eint )).

thf(c_2Einteger_2Eint__of__num_2E0_type,type,(
    c_2Einteger_2Eint__of__num_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Einteger_2Eint ) )).

thf(c_2Einteger_2Eint__of__num_2E1_type,type,(
    c_2Einteger_2Eint__of__num_2E1: tyop_2Enum_2Enum > tyop_2Einteger_2Eint )).

thf(c_2Ebool_2E_7E_2E0_type,type,(
    c_2Ebool_2E_7E_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) )).

thf(75,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__add_2E2 @ A @ B ) )
      = ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ A ) @ ( c_2Einteger_2Eint__neg_2E1 @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__NEG__ADD)).

thf(629,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__add_2E2 @ A @ B ) )
      = ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ A ) @ ( c_2Einteger_2Eint__neg_2E1 @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[75])).

thf(60,axiom,
    ( ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
    = ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__NEG__0)).

thf(518,plain,
    ( ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
    = ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[60])).

thf(28,axiom,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2E_2B_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ ( app_2E2 @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ c_2Earithmetic_2E_2B_2E0 @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Earithmetic_2E_2B_2E2)).

thf(352,plain,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2E_2B_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ ( app_2E2 @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ c_2Earithmetic_2E_2B_2E0 @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(68,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2ENUMERAL_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2ENUMERAL_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Earithmetic_2ENUMERAL_2E1)).

thf(582,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2ENUMERAL_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2ENUMERAL_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[68])).

thf(19,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_3F_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E0 @ TA ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ebool_2E_3F_2E1_2Emono_2EA_27a)).

thf(276,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_3F_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E0 @ TA ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(36,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( app_2E2 @ TA @ TA @ ( combin_i_2E0 @ TA ) @ A )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Ei__thm)).

thf(379,plain,(
    ! [TA: $tType,A: TA] :
      ( ( app_2E2 @ TA @ TA @ ( combin_i_2E0 @ TA ) @ A )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(73,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( A = B )
    <=> ( ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 )
        = ( c_2Einteger_2Eint__add_2E2 @ B @ ( c_2Einteger_2Eint__neg_2E1 @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eint__arith_2Eeq__move__all__right)).

thf(597,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( ( A = B )
       => ( ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 )
          = ( c_2Einteger_2Eint__add_2E2 @ B @ ( c_2Einteger_2Eint__neg_2E1 @ A ) ) ) )
      & ( ( ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 )
          = ( c_2Einteger_2Eint__add_2E2 @ B @ ( c_2Einteger_2Eint__neg_2E1 @ A ) ) )
       => ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[73])).

thf(38,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Einteger_2Eint,C: tyop_2Einteger_2Eint] :
      ( ( c_2Ebool_2ECOND_2E3 @ tyop_2Einteger_2Eint @ A @ B @ C )
      = ( app_2E2 @ tyop_2Einteger_2Eint @ tyop_2Einteger_2Eint @ ( app_2E2 @ tyop_2Einteger_2Eint @ ( tyop_2Emin_2Efun @ tyop_2Einteger_2Eint @ tyop_2Einteger_2Eint ) @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Einteger_2Eint @ ( tyop_2Emin_2Efun @ tyop_2Einteger_2Eint @ tyop_2Einteger_2Eint ) ) @ ( c_2Ebool_2ECOND_2E0 @ tyop_2Einteger_2Eint ) @ A ) @ B ) @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq3_2Ec_2Ebool_2ECOND_2E3_2Emono_2Etyop_2Einteger_2Eint)).

thf(385,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Einteger_2Eint,C: tyop_2Einteger_2Eint] :
      ( ( c_2Ebool_2ECOND_2E3 @ tyop_2Einteger_2Eint @ A @ B @ C )
      = ( app_2E2 @ tyop_2Einteger_2Eint @ tyop_2Einteger_2Eint @ ( app_2E2 @ tyop_2Einteger_2Eint @ ( tyop_2Emin_2Efun @ tyop_2Einteger_2Eint @ tyop_2Einteger_2Eint ) @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Einteger_2Eint @ ( tyop_2Emin_2Efun @ tyop_2Einteger_2Eint @ tyop_2Einteger_2Eint ) ) @ ( c_2Ebool_2ECOND_2E0 @ tyop_2Einteger_2Eint ) @ A ) @ B ) @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(54,axiom,(
    ! [A: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__add_2E2 @ A @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__ADD__RID)).

thf(500,plain,(
    ! [A: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__add_2E2 @ A @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[54])).

thf(41,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( A = c_2Ebool_2ET_2E0 )
      | ( A = c_2Ebool_2EF_2E0 ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Ebool__cases__ax)).

thf(417,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( A = c_2Ebool_2ET_2E0 )
      | ( A = c_2Ebool_2EF_2E0 ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).

thf(64,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__add_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Einteger_2Eint @ tyop_2Einteger_2Eint @ ( app_2E2 @ tyop_2Einteger_2Eint @ ( tyop_2Emin_2Efun @ tyop_2Einteger_2Eint @ tyop_2Einteger_2Eint ) @ c_2Einteger_2Eint__add_2E0 @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Einteger_2Eint__add_2E2)).

thf(565,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__add_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Einteger_2Eint @ tyop_2Einteger_2Eint @ ( app_2E2 @ tyop_2Einteger_2Eint @ ( tyop_2Emin_2Efun @ tyop_2Einteger_2Eint @ tyop_2Einteger_2Eint ) @ c_2Einteger_2Eint__add_2E0 @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[64])).

thf(62,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__mul_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Einteger_2Eint @ tyop_2Einteger_2Eint @ ( app_2E2 @ tyop_2Einteger_2Eint @ ( tyop_2Emin_2Efun @ tyop_2Einteger_2Eint @ tyop_2Einteger_2Eint ) @ c_2Einteger_2Eint__mul_2E0 @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Einteger_2Eint__mul_2E2)).

thf(559,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__mul_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Einteger_2Eint @ tyop_2Einteger_2Eint @ ( app_2E2 @ tyop_2Einteger_2Eint @ ( tyop_2Emin_2Efun @ tyop_2Einteger_2Eint @ tyop_2Einteger_2Eint ) @ c_2Einteger_2Eint__mul_2E0 @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[62])).

thf(51,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
    <=> ( p @ c_2Ebool_2ET_2E0 ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(492,plain,(
    ! [TA: $tType] :
      ( p @ c_2Ebool_2ET_2E0 ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[51])).

thf(9,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ~ ( ( p @ A )
            & ( p @ B ) )
      <=> ( ~ ( p @ A )
          | ~ ( p @ B ) ) )
      & ( ~ ( ( p @ A )
            | ( p @ B ) )
      <=> ( ~ ( p @ A )
          & ~ ( p @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EDE__MORGAN__THM)).

thf(164,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ~ ( ( p @ A )
            & ( p @ B ) )
       => ( ~ ( p @ A )
          | ~ ( p @ B ) ) )
      & ( ( ~ ( p @ A )
          | ~ ( p @ B ) )
       => ~ ( ( p @ A )
            & ( p @ B ) ) )
      & ( ~ ( ( p @ A )
            | ( p @ B ) )
       => ( ~ ( p @ A )
          & ~ ( p @ B ) ) )
      & ( ( ~ ( p @ A )
          & ~ ( p @ B ) )
       => ~ ( ( p @ A )
            | ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(71,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__mul_2E2 @ A @ B ) )
      = ( c_2Einteger_2Eint__mul_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__NEG__LMUL)).

thf(591,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__mul_2E2 @ A @ B ) )
      = ( c_2Einteger_2Eint__mul_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[71])).

thf(5,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( p @ C )
      <=> ( ( p @ B )
          & ( p @ A ) ) )
    <=> ( ( ( p @ C )
          | ~ ( p @ B )
          | ~ ( p @ A ) )
        & ( ( p @ B )
          | ~ ( p @ C ) )
        & ( ( p @ A )
          | ~ ( p @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2Edc__conj)).

thf(121,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( ( ( p @ C )
           => ( ( p @ B )
              & ( p @ A ) ) )
          & ( ( ( p @ B )
              & ( p @ A ) )
           => ( p @ C ) ) )
       => ( ( ( p @ C )
            | ~ ( p @ B )
            | ~ ( p @ A ) )
          & ( ( p @ B )
            | ~ ( p @ C ) )
          & ( ( p @ A )
            | ~ ( p @ C ) ) ) )
      & ( ( ( ( p @ C )
            | ~ ( p @ B )
            | ~ ( p @ A ) )
          & ( ( p @ B )
            | ~ ( p @ C ) )
          & ( ( p @ A )
            | ~ ( p @ C ) ) )
       => ( ( ( p @ C )
           => ( ( p @ B )
              & ( p @ A ) ) )
          & ( ( ( p @ B )
              & ( p @ A ) )
           => ( p @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(14,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ B )
      <=> ~ ( p @ A ) )
    <=> ( ( ( p @ B )
          | ( p @ A ) )
        & ( ~ ( p @ A )
          | ~ ( p @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2Edc__neg)).

thf(243,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( ( p @ B )
           => ~ ( p @ A ) )
          & ( ~ ( p @ A )
           => ( p @ B ) ) )
       => ( ( ( p @ B )
            | ( p @ A ) )
          & ( ~ ( p @ A )
            | ~ ( p @ B ) ) ) )
      & ( ( ( ( p @ B )
            | ( p @ A ) )
          & ( ~ ( p @ A )
            | ~ ( p @ B ) ) )
       => ( ( ( p @ B )
           => ~ ( p @ A ) )
          & ( ~ ( p @ A )
           => ( p @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(4,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ~ ? [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) )
    <=> ! [B: TA] :
          ~ ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ENOT__EXISTS__THM)).

thf(117,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( ~ ? [B: TA] :
              ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) )
       => ! [B: TA] :
            ~ ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) )
      & ( ! [B: TA] :
            ~ ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) )
       => ~ ? [B: TA] :
              ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(58,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint,C: tyop_2Einteger_2Eint] :
      ( ( ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 )
        = ( c_2Einteger_2Eint__add_2E2 @ C @ B ) )
     => ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ C ) @ A ) )
        = ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ B ) @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eint__arith_2Eeq__context__rwt2)).

thf(512,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint,C: tyop_2Einteger_2Eint] :
      ( ( ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 )
        = ( c_2Einteger_2Eint__add_2E2 @ C @ B ) )
     => ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ C ) @ A ) )
        = ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ B ) @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[58])).

thf(34,axiom,
    ( ! [A: tyop_2Emin_2Ebool] :
        ( ~ ~ ( p @ A )
      <=> ( p @ A ) )
    & ( ~ ( p @ c_2Ebool_2ET_2E0 )
    <=> ( p @ c_2Ebool_2EF_2E0 ) )
    & ( ~ ( p @ c_2Ebool_2EF_2E0 )
    <=> ( p @ c_2Ebool_2ET_2E0 ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ENOT__CLAUSES)).

thf(366,plain,
    ( ( ~ ( p @ c_2Ebool_2ET_2E0 )
     => ( p @ c_2Ebool_2EF_2E0 ) )
    & ( ( p @ c_2Ebool_2EF_2E0 )
     => ~ ( p @ c_2Ebool_2ET_2E0 ) )
    & ( ~ ( p @ c_2Ebool_2EF_2E0 )
     => ( p @ c_2Ebool_2ET_2E0 ) )
    & ( ( p @ c_2Ebool_2ET_2E0 )
     => ~ ( p @ c_2Ebool_2EF_2E0 ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(49,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ c_2Ebool_2ET_2E0 )
          | ( p @ A ) )
      <=> ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( ( p @ A )
          | ( p @ c_2Ebool_2ET_2E0 ) )
      <=> ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( ( p @ c_2Ebool_2EF_2E0 )
          | ( p @ A ) )
      <=> ( p @ A ) )
      & ( ( ( p @ A )
          | ( p @ c_2Ebool_2EF_2E0 ) )
      <=> ( p @ A ) )
      & ( ( ( p @ A )
          | ( p @ A ) )
      <=> ( p @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EOR__CLAUSES)).

thf(467,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ c_2Ebool_2ET_2E0 )
          | ( p @ A ) )
       => ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( p @ c_2Ebool_2ET_2E0 )
       => ( ( p @ c_2Ebool_2ET_2E0 )
          | ( p @ A ) ) )
      & ( ( ( p @ A )
          | ( p @ c_2Ebool_2ET_2E0 ) )
       => ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( p @ c_2Ebool_2ET_2E0 )
       => ( ( p @ A )
          | ( p @ c_2Ebool_2ET_2E0 ) ) )
      & ( ( ( p @ c_2Ebool_2EF_2E0 )
          | ( p @ A ) )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( ( p @ c_2Ebool_2EF_2E0 )
          | ( p @ A ) ) )
      & ( ( ( p @ A )
          | ( p @ c_2Ebool_2EF_2E0 ) )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( ( p @ A )
          | ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[49])).

thf(12,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( p @ C )
      <=> ( B = A ) )
    <=> ( ( ( p @ C )
          | ( p @ B )
          | ( p @ A ) )
        & ( ( p @ C )
          | ~ ( p @ A )
          | ~ ( p @ B ) )
        & ( ( p @ B )
          | ~ ( p @ A )
          | ~ ( p @ C ) )
        & ( ( p @ A )
          | ~ ( p @ B )
          | ~ ( p @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2Edc__eq)).

thf(197,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( ( ( p @ C )
           => ( B = A ) )
          & ( ( B = A )
           => ( p @ C ) ) )
       => ( ( ( p @ C )
            | ( p @ B )
            | ( p @ A ) )
          & ( ( p @ C )
            | ~ ( p @ A )
            | ~ ( p @ B ) )
          & ( ( p @ B )
            | ~ ( p @ A )
            | ~ ( p @ C ) )
          & ( ( p @ A )
            | ~ ( p @ B )
            | ~ ( p @ C ) ) ) )
      & ( ( ( ( p @ C )
            | ( p @ B )
            | ( p @ A ) )
          & ( ( p @ C )
            | ~ ( p @ A )
            | ~ ( p @ B ) )
          & ( ( p @ B )
            | ~ ( p @ A )
            | ~ ( p @ C ) )
          & ( ( p @ A )
            | ~ ( p @ B )
            | ~ ( p @ C ) ) )
       => ( ( ( p @ C )
           => ( B = A ) )
          & ( ( B = A )
           => ( p @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(48,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ~ ( p @ A )
       => ( p @ c_2Ebool_2EF_2E0 ) )
     => ( ( ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ( p @ c_2Ebool_2EF_2E0 ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV2)).

thf(461,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ~ ( p @ A )
       => ( p @ c_2Ebool_2EF_2E0 ) )
     => ( ( ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ( p @ c_2Ebool_2EF_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[48])).

thf(46,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( p @ A )
     => ( ~ ( p @ A )
       => ( p @ c_2Ebool_2EF_2E0 ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV__IMP)).

thf(456,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( p @ A )
     => ( ~ ( p @ A )
       => ( p @ c_2Ebool_2EF_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[46])).

thf(11,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
      <=> ( p @ B ) )
     => ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Eboolext)).

thf(188,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
         => ( p @ B ) )
        & ( ( p @ B )
         => ( p @ A ) ) )
     => ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(39,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
        | ( p @ B ) )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_5C_2F_2E0 @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Ebool_2E_5C_2F_2E2)).

thf(388,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
          | ( p @ B ) )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_5C_2F_2E0 @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_5C_2F_2E0 @ A ) @ B ) )
       => ( ( p @ A )
          | ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).

thf(30,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( app_2E2 @ TB @ TA @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) @ ( combin_k_2E0 @ TA @ TB ) @ A ) @ B )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Ek__thm)).

thf(356,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( app_2E2 @ TB @ TA @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) @ ( combin_k_2E0 @ TA @ TB ) @ A ) @ B )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(42,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ c_2Ebool_2ET_2E0 )
          & ( p @ A ) )
      <=> ( p @ A ) )
      & ( ( ( p @ A )
          & ( p @ c_2Ebool_2ET_2E0 ) )
      <=> ( p @ A ) )
      & ( ( ( p @ c_2Ebool_2EF_2E0 )
          & ( p @ A ) )
      <=> ( p @ c_2Ebool_2EF_2E0 ) )
      & ( ( ( p @ A )
          & ( p @ c_2Ebool_2EF_2E0 ) )
      <=> ( p @ c_2Ebool_2EF_2E0 ) )
      & ( ( ( p @ A )
          & ( p @ A ) )
      <=> ( p @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EAND__CLAUSES)).

thf(420,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ c_2Ebool_2ET_2E0 )
          & ( p @ A ) )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( ( p @ c_2Ebool_2ET_2E0 )
          & ( p @ A ) ) )
      & ( ( ( p @ A )
          & ( p @ c_2Ebool_2ET_2E0 ) )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( ( p @ A )
          & ( p @ c_2Ebool_2ET_2E0 ) ) )
      & ( ( ( p @ c_2Ebool_2EF_2E0 )
          & ( p @ A ) )
       => ( p @ c_2Ebool_2EF_2E0 ) )
      & ( ( p @ c_2Ebool_2EF_2E0 )
       => ( ( p @ c_2Ebool_2EF_2E0 )
          & ( p @ A ) ) )
      & ( ( ( p @ A )
          & ( p @ c_2Ebool_2EF_2E0 ) )
       => ( p @ c_2Ebool_2EF_2E0 ) )
      & ( ( p @ c_2Ebool_2EF_2E0 )
       => ( ( p @ A )
          & ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).

thf(1,conjecture,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint,C: tyop_2Einteger_2Eint,D: tyop_2Einteger_2Eint,E: tyop_2Einteger_2Eint,F: tyop_2Einteger_2Eint] :
      ( ( ( c_2Einteger_2Eint__add_2E2 @ F @ ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__mul_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) ) @ C ) @ ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__mul_2E2 @ E @ B ) @ ( c_2Einteger_2Eint__mul_2E2 @ D @ A ) ) ) )
        = ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
    <=> ( ( c_2Einteger_2Eint__add_2E2 @ C @ ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__mul_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ E ) @ B ) @ ( c_2Einteger_2Eint__mul_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ D ) @ A ) ) )
        = F ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EHolSmt_2Er078)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint,C: tyop_2Einteger_2Eint,D: tyop_2Einteger_2Eint,E: tyop_2Einteger_2Eint,F: tyop_2Einteger_2Eint] :
        ( ( ( c_2Einteger_2Eint__add_2E2 @ F @ ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__mul_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) ) @ C ) @ ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__mul_2E2 @ E @ B ) @ ( c_2Einteger_2Eint__mul_2E2 @ D @ A ) ) ) )
          = ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
      <=> ( ( c_2Einteger_2Eint__add_2E2 @ C @ ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__mul_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ E ) @ B ) @ ( c_2Einteger_2Eint__mul_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ D ) @ A ) ) )
          = F ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(77,plain,(
    ~ ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint,C: tyop_2Einteger_2Eint,D: tyop_2Einteger_2Eint,E: tyop_2Einteger_2Eint,F: tyop_2Einteger_2Eint] :
        ( ( ( ( c_2Einteger_2Eint__add_2E2 @ F @ ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__mul_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) ) @ C ) @ ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__mul_2E2 @ E @ B ) @ ( c_2Einteger_2Eint__mul_2E2 @ D @ A ) ) ) )
            = ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
         => ( ( c_2Einteger_2Eint__add_2E2 @ C @ ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__mul_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ E ) @ B ) @ ( c_2Einteger_2Eint__mul_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ D ) @ A ) ) )
            = F ) )
        & ( ( ( c_2Einteger_2Eint__add_2E2 @ C @ ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__mul_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ E ) @ B ) @ ( c_2Einteger_2Eint__mul_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ D ) @ A ) ) )
            = F )
         => ( ( c_2Einteger_2Eint__add_2E2 @ F @ ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__mul_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) ) @ C ) @ ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__mul_2E2 @ E @ B ) @ ( c_2Einteger_2Eint__mul_2E2 @ D @ A ) ) ) )
            = ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(50,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_21_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E0 @ TA ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ebool_2E_21_2E1_2Emono_2EA_27a)).

thf(489,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_21_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E0 @ TA ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[50])).

thf(59,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__mul_2E2 @ B @ A )
      = ( c_2Einteger_2Eint__mul_2E2 @ A @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__MUL__COMM)).

thf(515,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__mul_2E2 @ B @ A )
      = ( c_2Einteger_2Eint__mul_2E2 @ A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[59])).

thf(55,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint,C: tyop_2Einteger_2Eint] :
      ( ( ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 )
        = ( c_2Einteger_2Eint__add_2E2 @ C @ B ) )
     => ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ ( c_2Einteger_2Eint__add_2E2 @ C @ A ) )
        = ( c_2Einteger_2Eint__le_2E2 @ B @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eint__arith_2Eeq__context__rwt1)).

thf(503,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint,C: tyop_2Einteger_2Eint] :
      ( ( ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 )
        = ( c_2Einteger_2Eint__add_2E2 @ C @ B ) )
     => ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ ( c_2Einteger_2Eint__add_2E2 @ C @ A ) )
        = ( c_2Einteger_2Eint__le_2E2 @ B @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[55])).

thf(74,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Enum_2Enum,C: tyop_2Enum_2Enum] :
      ( ( ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ A )
        = A )
      & ( ( c_2Einteger_2Eint__add_2E2 @ A @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
        = A )
      & ( ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
        = ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
      & ( ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__neg_2E1 @ A ) )
        = A )
      & ( ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ B ) ) @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ C ) ) )
        = ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Enumeral_2EiZ_2E1 @ ( c_2Earithmetic_2E_2B_2E2 @ B @ C ) ) ) ) )
      & ( ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ B ) ) @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ C ) ) ) )
        = ( c_2Ebool_2ECOND_2E3 @ tyop_2Einteger_2Eint @ ( c_2Earithmetic_2E_3C_3D_2E2 @ C @ B ) @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2E_2D_2E2 @ B @ C ) ) ) @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2E_2D_2E2 @ C @ B ) ) ) ) ) )
      & ( ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ B ) ) ) @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ C ) ) )
        = ( c_2Ebool_2ECOND_2E3 @ tyop_2Einteger_2Eint @ ( c_2Earithmetic_2E_3C_3D_2E2 @ B @ C ) @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2E_2D_2E2 @ C @ B ) ) ) @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2E_2D_2E2 @ B @ C ) ) ) ) ) )
      & ( ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ B ) ) ) @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ C ) ) ) )
        = ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Enumeral_2EiZ_2E1 @ ( c_2Earithmetic_2E_2B_2E2 @ B @ C ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__ADD__REDUCE)).

thf(605,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Enum_2Enum,C: tyop_2Enum_2Enum] :
      ( ( ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ A )
        = A )
      & ( ( c_2Einteger_2Eint__add_2E2 @ A @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
        = A )
      & ( ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
        = ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
      & ( ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__neg_2E1 @ A ) )
        = A )
      & ( ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ B ) ) @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ C ) ) )
        = ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Enumeral_2EiZ_2E1 @ ( c_2Earithmetic_2E_2B_2E2 @ B @ C ) ) ) ) )
      & ( ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ B ) ) @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ C ) ) ) )
        = ( c_2Ebool_2ECOND_2E3 @ tyop_2Einteger_2Eint @ ( c_2Earithmetic_2E_3C_3D_2E2 @ C @ B ) @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2E_2D_2E2 @ B @ C ) ) ) @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2E_2D_2E2 @ C @ B ) ) ) ) ) )
      & ( ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ B ) ) ) @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ C ) ) )
        = ( c_2Ebool_2ECOND_2E3 @ tyop_2Einteger_2Eint @ ( c_2Earithmetic_2E_3C_3D_2E2 @ B @ C ) @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2E_2D_2E2 @ C @ B ) ) ) @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2E_2D_2E2 @ B @ C ) ) ) ) ) )
      & ( ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ B ) ) ) @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ C ) ) ) )
        = ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Enumeral_2EiZ_2E1 @ ( c_2Earithmetic_2E_2B_2E2 @ B @ C ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[74])).

thf(16,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ~ ( p @ A )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ c_2Ebool_2E_7E_2E0 @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ebool_2E_7E_2E1)).

thf(266,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ~ ( p @ A )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ c_2Ebool_2E_7E_2E0 @ A ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ c_2Ebool_2E_7E_2E0 @ A ) )
       => ~ ( p @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(32,axiom,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2E_3C_3D_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) @ c_2Earithmetic_2E_3C_3D_2E0 @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Earithmetic_2E_3C_3D_2E2)).

thf(360,plain,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2E_3C_3D_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Emin_2Ebool ) @ c_2Earithmetic_2E_3C_3D_2E0 @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(20,axiom,(
    ~ ( p @ c_2Ebool_2EF_2E0 ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Enotfalse)).

thf(279,plain,(
    ~ ( p @ c_2Ebool_2EF_2E0 ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(10,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
        & ( p @ B ) )
    <=> ( ( p @ B )
        & ( p @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ECONJ__COMM)).

thf(180,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
          & ( p @ B ) )
       => ( ( p @ B )
          & ( p @ A ) ) )
      & ( ( ( p @ B )
          & ( p @ A ) )
       => ( ( p @ A )
          & ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(63,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Einteger_2Eint__of__num_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Einteger_2Eint @ c_2Einteger_2Eint__of__num_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Einteger_2Eint__of__num_2E1)).

thf(562,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Einteger_2Eint__of__num_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Einteger_2Eint @ c_2Einteger_2Eint__of__num_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[63])).

thf(67,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__add_2E2 @ B @ A )
      = ( c_2Einteger_2Eint__add_2E2 @ A @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__ADD__COMM)).

thf(579,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__add_2E2 @ B @ A )
      = ( c_2Einteger_2Eint__add_2E2 @ A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[67])).

thf(21,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
       => ( p @ B ) )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Emin_2E_3D_3D_3E_2E0 @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Emin_2E_3D_3D_3E_2E2)).

thf(281,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
         => ( p @ B ) )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Emin_2E_3D_3D_3E_2E0 @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Emin_2E_3D_3D_3E_2E0 @ A ) @ B ) )
       => ( ( p @ A )
         => ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(44,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ~ ( p @ ( c_2Einteger_2Eint__le_2E2 @ A @ B ) )
    <=> ( p @ ( c_2Einteger_2Eint__lt_2E2 @ B @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__NOT__LE)).

thf(445,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( ~ ( p @ ( c_2Einteger_2Eint__le_2E2 @ A @ B ) )
       => ( p @ ( c_2Einteger_2Eint__lt_2E2 @ B @ A ) ) )
      & ( ( p @ ( c_2Einteger_2Eint__lt_2E2 @ B @ A ) )
       => ~ ( p @ ( c_2Einteger_2Eint__le_2E2 @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).

thf(37,axiom,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2E_2D_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ ( app_2E2 @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ c_2Earithmetic_2E_2D_2E0 @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Earithmetic_2E_2D_2E2)).

thf(382,plain,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2E_2D_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ ( app_2E2 @ tyop_2Enum_2Enum @ ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum ) @ c_2Earithmetic_2E_2D_2E0 @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(57,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__lt_2E2 @ A @ B )
      = ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__add_2E2 @ A @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eint__arith_2Eless__to__leq__samer)).

thf(509,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__lt_2E2 @ A @ B )
      = ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__add_2E2 @ A @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[57])).

thf(17,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Ebool] :
      ( ? [B: TA] :
          ( p @ A )
    <=> ( p @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEXISTS__SIMP)).

thf(271,plain,(
    ! [TA: $tType] : $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(52,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Enumeral_2EiZ_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Enumeral_2EiZ_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Enumeral_2EiZ_2E1)).

thf(494,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Enumeral_2EiZ_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Enumeral_2EiZ_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[52])).

thf(72,axiom,(
    ! [A: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__mul_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) @ A )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__MUL__LID)).

thf(594,plain,(
    ! [A: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__mul_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ c_2Earithmetic_2EZERO_2E0 ) ) ) @ A )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[72])).

thf(61,axiom,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
        = c_2Ebool_2ET_2E0 )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ A ) ) )
        = c_2Ebool_2ET_2E0 )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ A ) ) ) ) )
        = c_2Ebool_2EF_2E0 )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT2_2E1 @ A ) ) ) ) )
        = c_2Ebool_2EF_2E0 )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ A ) ) ) @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
        = c_2Ebool_2EF_2E0 )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT2_2E1 @ A ) ) ) @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
        = c_2Ebool_2EF_2E0 )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ A ) ) ) ) @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
        = c_2Ebool_2ET_2E0 )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT2_2E1 @ A ) ) ) ) @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
        = c_2Ebool_2ET_2E0 )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ A ) ) @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ B ) ) )
        = ( c_2Earithmetic_2E_3C_3D_2E2 @ A @ B ) )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ A ) ) @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ B ) ) ) ) )
        = c_2Ebool_2EF_2E0 )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ A ) ) @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT2_2E1 @ B ) ) ) ) )
        = c_2Ebool_2EF_2E0 )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ A ) ) ) @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ B ) ) )
        = c_2Ebool_2ET_2E0 )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ A ) ) ) @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ B ) ) ) )
        = ( c_2Earithmetic_2E_3C_3D_2E2 @ B @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__LE__REDUCE)).

thf(520,plain,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
        = c_2Ebool_2ET_2E0 )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ A ) ) )
        = c_2Ebool_2ET_2E0 )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ A ) ) ) ) )
        = c_2Ebool_2EF_2E0 )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT2_2E1 @ A ) ) ) ) )
        = c_2Ebool_2EF_2E0 )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ A ) ) ) @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
        = c_2Ebool_2EF_2E0 )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT2_2E1 @ A ) ) ) @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
        = c_2Ebool_2EF_2E0 )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ A ) ) ) ) @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
        = c_2Ebool_2ET_2E0 )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT2_2E1 @ A ) ) ) ) @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
        = c_2Ebool_2ET_2E0 )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ A ) ) @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ B ) ) )
        = ( c_2Earithmetic_2E_3C_3D_2E2 @ A @ B ) )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ A ) ) @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT1_2E1 @ B ) ) ) ) )
        = c_2Ebool_2EF_2E0 )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ A ) ) @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ ( c_2Earithmetic_2EBIT2_2E1 @ B ) ) ) ) )
        = c_2Ebool_2EF_2E0 )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ A ) ) ) @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ B ) ) )
        = c_2Ebool_2ET_2E0 )
      & ( ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ A ) ) ) @ ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__of__num_2E1 @ ( c_2Earithmetic_2ENUMERAL_2E1 @ B ) ) ) )
        = ( c_2Earithmetic_2E_3C_3D_2E2 @ B @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[61])).

thf(40,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ c_2Ebool_2ET_2E0 )
         => ( p @ A ) )
      <=> ( p @ A ) )
      & ( ( ( p @ A )
         => ( p @ c_2Ebool_2ET_2E0 ) )
      <=> ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( ( p @ c_2Ebool_2EF_2E0 )
         => ( p @ A ) )
      <=> ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( ( p @ A )
         => ( p @ A ) )
      <=> ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) )
      <=> ~ ( p @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__CLAUSES)).

thf(394,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ c_2Ebool_2ET_2E0 )
         => ( p @ A ) )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( ( p @ c_2Ebool_2ET_2E0 )
         => ( p @ A ) ) )
      & ( ( ( p @ A )
         => ( p @ c_2Ebool_2ET_2E0 ) )
       => ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( p @ c_2Ebool_2ET_2E0 )
       => ( ( p @ A )
         => ( p @ c_2Ebool_2ET_2E0 ) ) )
      & ( ( ( p @ c_2Ebool_2EF_2E0 )
         => ( p @ A ) )
       => ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( p @ c_2Ebool_2ET_2E0 )
       => ( ( p @ c_2Ebool_2EF_2E0 )
         => ( p @ A ) ) )
      & ( p @ c_2Ebool_2ET_2E0 )
      & ( ( ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ~ ( p @ A ) )
      & ( ~ ( p @ A )
       => ( ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).

thf(29,axiom,(
    p @ c_2Ebool_2ET_2E0 ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(355,plain,(
    p @ c_2Ebool_2ET_2E0 ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(47,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( p @ c_2Ebool_2EF_2E0 )
     => ( p @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFALSITY)).

thf(458,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( p @ c_2Ebool_2EF_2E0 )
     => ( p @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[47])).

thf(15,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_3F_2E1 @ TA @ A ) )
    <=> ? [B: TA] :
          ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(263,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_3F_2E1 @ TA @ A ) )
       => ? [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) )
      & ( ? [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) )
       => ( p @ ( c_2Ebool_2E_3F_2E1 @ TA @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(25,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
        & ( p @ B ) )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_2F_5C_2E0 @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Ebool_2E_2F_5C_2E2)).

thf(331,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
          & ( p @ B ) )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_2F_5C_2E0 @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_2F_5C_2E0 @ A ) @ B ) )
       => ( ( p @ A )
          & ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(69,axiom,(
    ! [A: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__neg_2E1 @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__NEGNEG)).

thf(585,plain,(
    ! [A: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__neg_2E1 @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[69])).

thf(26,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__lt_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Einteger_2Eint @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Einteger_2Eint @ ( tyop_2Emin_2Efun @ tyop_2Einteger_2Eint @ tyop_2Emin_2Ebool ) @ c_2Einteger_2Eint__lt_2E0 @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Einteger_2Eint__lt_2E2)).

thf(338,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__lt_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Einteger_2Eint @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Einteger_2Eint @ ( tyop_2Emin_2Efun @ tyop_2Einteger_2Eint @ tyop_2Emin_2Ebool ) @ c_2Einteger_2Eint__lt_2E0 @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(66,axiom,(
    ! [A: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__neg_2E1 @ A )
      = ( app_2E2 @ tyop_2Einteger_2Eint @ tyop_2Einteger_2Eint @ c_2Einteger_2Eint__neg_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Einteger_2Eint__neg_2E1)).

thf(576,plain,(
    ! [A: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__neg_2E1 @ A )
      = ( app_2E2 @ tyop_2Einteger_2Eint @ tyop_2Einteger_2Eint @ c_2Einteger_2Eint__neg_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[66])).

thf(31,axiom,(
    p @ c_2Ebool_2ET_2E0 ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Etruth)).

thf(359,plain,(
    p @ c_2Ebool_2ET_2E0 ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(7,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
       => ( p @ B ) )
     => ( ( ( p @ B )
         => ( p @ A ) )
       => ( A = B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__ANTISYM__AX)).

thf(154,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
       => ( p @ B ) )
     => ( ( ( p @ B )
         => ( p @ A ) )
       => ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(53,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__le_2E2 @ A @ B )
      = ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ ( c_2Einteger_2Eint__add_2E2 @ B @ ( c_2Einteger_2Eint__neg_2E1 @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eint__arith_2Ele__move__all__right)).

thf(497,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__le_2E2 @ A @ B )
      = ( c_2Einteger_2Eint__le_2E2 @ ( c_2Einteger_2Eint__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ ( c_2Einteger_2Eint__add_2E2 @ B @ ( c_2Einteger_2Eint__neg_2E1 @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[53])).

thf(45,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( A = B )
    <=> ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( c_2Emin_2E_3D_2E0 @ TA ) @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Emin_2E_3D_2E2_2Emono_2EA_27a)).

thf(450,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( A = B )
       => ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( c_2Emin_2E_3D_2E0 @ TA ) @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( c_2Emin_2E_3D_2E0 @ TA ) @ A ) @ B ) )
       => ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[45])).

thf(33,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__le_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Einteger_2Eint @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Einteger_2Eint @ ( tyop_2Emin_2Efun @ tyop_2Einteger_2Eint @ tyop_2Emin_2Ebool ) @ c_2Einteger_2Eint__le_2E0 @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Einteger_2Eint__le_2E2)).

thf(363,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__le_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Einteger_2Eint @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Einteger_2Eint @ ( tyop_2Emin_2Efun @ tyop_2Einteger_2Eint @ tyop_2Emin_2Ebool ) @ c_2Einteger_2Eint__le_2E0 @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(3,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( p @ C )
      <=> ( ( p @ B )
          | ( p @ A ) ) )
    <=> ( ( ( p @ C )
          | ~ ( p @ B ) )
        & ( ( p @ C )
          | ~ ( p @ A ) )
        & ( ( p @ B )
          | ( p @ A )
          | ~ ( p @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2Edc__disj)).

thf(87,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( ( ( p @ C )
           => ( ( p @ B )
              | ( p @ A ) ) )
          & ( ( ( p @ B )
              | ( p @ A ) )
           => ( p @ C ) ) )
       => ( ( ( p @ C )
            | ~ ( p @ B ) )
          & ( ( p @ C )
            | ~ ( p @ A ) )
          & ( ( p @ B )
            | ( p @ A )
            | ~ ( p @ C ) ) ) )
      & ( ( ( ( p @ C )
            | ~ ( p @ B ) )
          & ( ( p @ C )
            | ~ ( p @ A ) )
          & ( ( p @ B )
            | ( p @ A )
            | ~ ( p @ C ) ) )
       => ( ( ( p @ C )
           => ( ( p @ B )
              | ( p @ A ) ) )
          & ( ( ( p @ B )
              | ( p @ A ) )
           => ( p @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(70,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint,C: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__add_2E2 @ C @ ( c_2Einteger_2Eint__add_2E2 @ B @ A ) )
      = ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__add_2E2 @ C @ B ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__ADD__ASSOC)).

thf(588,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint,C: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__add_2E2 @ C @ ( c_2Einteger_2Eint__add_2E2 @ B @ A ) )
      = ( c_2Einteger_2Eint__add_2E2 @ ( c_2Einteger_2Eint__add_2E2 @ C @ B ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[70])).

thf(76,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__mul_2E2 @ A @ B ) )
      = ( c_2Einteger_2Eint__mul_2E2 @ A @ ( c_2Einteger_2Eint__neg_2E1 @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__NEG__RMUL)).

thf(632,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__neg_2E1 @ ( c_2Einteger_2Eint__mul_2E2 @ A @ B ) )
      = ( c_2Einteger_2Eint__mul_2E2 @ A @ ( c_2Einteger_2Eint__neg_2E1 @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[76])).

thf(65,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( ( c_2Einteger_2Eint__neg_2E1 @ A )
        = ( c_2Einteger_2Eint__neg_2E1 @ B ) )
    <=> ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__EQ__NEG)).

thf(568,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( ( ( c_2Einteger_2Eint__neg_2E1 @ A )
          = ( c_2Einteger_2Eint__neg_2E1 @ B ) )
       => ( A = B ) )
      & ( ( A = B )
       => ( ( c_2Einteger_2Eint__neg_2E1 @ A )
          = ( c_2Einteger_2Eint__neg_2E1 @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[65])).

thf(23,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ~ ( ( p @ B )
            | ( p @ A ) )
       => ( p @ c_2Ebool_2EF_2E0 ) )
    <=> ( ( ( p @ B )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ( ~ ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL2)).

thf(290,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ~ ( ( p @ B )
              | ( p @ A ) )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ( ( ( p @ B )
           => ( p @ c_2Ebool_2EF_2E0 ) )
         => ( ~ ( p @ A )
           => ( p @ c_2Ebool_2EF_2E0 ) ) ) )
      & ( ( ( ( p @ B )
           => ( p @ c_2Ebool_2EF_2E0 ) )
         => ( ~ ( p @ A )
           => ( p @ c_2Ebool_2EF_2E0 ) ) )
       => ( ~ ( ( p @ B )
              | ( p @ A ) )
         => ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(22,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Emin_2Efun @ TA @ TB,B: tyop_2Emin_2Efun @ TA @ TB] :
      ( ! [C: TA] :
          ( ( app_2E2 @ TA @ TB @ A @ C )
          = ( app_2E2 @ TA @ TB @ B @ C ) )
     => ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Eeq__ext)).

thf(287,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Emin_2Efun @ TA @ TB,B: tyop_2Emin_2Efun @ TA @ TB] :
      ( ! [C: TA] :
          ( ( app_2E2 @ TA @ TB @ A @ C )
          = ( app_2E2 @ TA @ TB @ B @ C ) )
     => ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(6,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_21_2E1 @ TA @ A ) )
    <=> ! [B: TA] :
          ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(151,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_21_2E1 @ TA @ A ) )
       => ! [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) )
      & ( ! [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) )
       => ( p @ ( c_2Ebool_2E_21_2E1 @ TA @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(18,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2EBIT2_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2EBIT2_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Earithmetic_2EBIT2_2E1)).

thf(273,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2EBIT2_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2EBIT2_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(24,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( c_2Ebool_2ET_2E0 = A )
      <=> ( p @ A ) )
      & ( ( A = c_2Ebool_2ET_2E0 )
      <=> ( p @ A ) )
      & ( ( c_2Ebool_2EF_2E0 = A )
      <=> ~ ( p @ A ) )
      & ( ( A = c_2Ebool_2EF_2E0 )
      <=> ~ ( p @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(305,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( c_2Ebool_2ET_2E0 = A )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( c_2Ebool_2ET_2E0 = A ) )
      & ( ( A = c_2Ebool_2ET_2E0 )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( A = c_2Ebool_2ET_2E0 ) )
      & ( ( c_2Ebool_2EF_2E0 = A )
       => ~ ( p @ A ) )
      & ( ~ ( p @ A )
       => ( c_2Ebool_2EF_2E0 = A ) )
      & ( ( A = c_2Ebool_2EF_2E0 )
       => ~ ( p @ A ) )
      & ( ~ ( p @ A )
       => ( A = c_2Ebool_2EF_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(13,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( p @ A )
      | ~ ( p @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEXCLUDED__MIDDLE)).

thf(242,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(27,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ~ ( ~ ( p @ B )
            | ( p @ A ) )
       => ( p @ c_2Ebool_2EF_2E0 ) )
    <=> ( ( p @ B )
       => ( ~ ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL3)).

thf(341,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ~ ( ~ ( p @ B )
              | ( p @ A ) )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ( ( p @ B )
         => ( ~ ( p @ A )
           => ( p @ c_2Ebool_2EF_2E0 ) ) ) )
      & ( ( ( p @ B )
         => ( ~ ( p @ A )
           => ( p @ c_2Ebool_2EF_2E0 ) ) )
       => ( ~ ( ~ ( p @ B )
              | ( p @ A ) )
         => ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(56,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2EBIT1_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2EBIT1_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Earithmetic_2EBIT1_2E1)).

thf(506,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Earithmetic_2EBIT1_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Enum_2Enum @ c_2Earithmetic_2EBIT1_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[56])).

thf(8,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ~ ~ ( p @ A )
    <=> ( p @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2ENOT__NOT)).

thf(163,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(43,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ),B: tyop_2Emin_2Efun @ TA @ TB,C: TA] :
      ( ( app_2E2 @ TA @ TC @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) @ ( combin_s_2E0 @ TA @ TB @ TC ) @ A ) @ B ) @ C )
      = ( app_2E2 @ TB @ TC @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) @ A @ C ) @ ( app_2E2 @ TA @ TB @ B @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Es__thm)).

thf(442,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ),B: tyop_2Emin_2Efun @ TA @ TB,C: TA] :
      ( ( app_2E2 @ TA @ TC @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) @ ( combin_s_2E0 @ TA @ TB @ TC ) @ A ) @ B ) @ C )
      = ( app_2E2 @ TB @ TC @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) @ A @ C ) @ ( app_2E2 @ TA @ TB @ B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).

thf(35,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( ( p @ ( c_2Einteger_2Eint__le_2E2 @ A @ B ) )
        & ( p @ ( c_2Einteger_2Eint__le_2E2 @ B @ A ) ) )
    <=> ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__LE__ANTISYM)).

thf(369,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( ( ( p @ ( c_2Einteger_2Eint__le_2E2 @ A @ B ) )
          & ( p @ ( c_2Einteger_2Eint__le_2E2 @ B @ A ) ) )
       => ( A = B ) )
      & ( ( A = B )
       => ( ( p @ ( c_2Einteger_2Eint__le_2E2 @ A @ B ) )
          & ( p @ ( c_2Einteger_2Eint__le_2E2 @ B @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(5004,plain,(
    $false ),
    inference(cvc4,[status(thm)],[629,518,352,582,276,379,597,385,500,417,565,559,492,164,591,121,243,117,512,366,467,197,461,456,188,388,356,420,77,489,515,503,605,266,360,279,180,562,579,281,445,382,509,271,494,594,520,394,355,458,263,331,585,338,576,359,154,497,450,363,87,588,632,568,290,287,151,273,305,242,341,506,163,442,369])).
%------------------------------------------------------------------------------
