%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:42:48 EDT 2019

% Result     : Theorem 8.22s
% Output     : CNFRefutation 8.22s
% Verified   : 
% Statistics : Number of formulae       :   82 (  82 expanded)
%              Number of leaves         :   51 (  51 expanded)
%              Depth                    :    3
%              Number of atoms          :  969 ( 969 expanded)
%              Number of equality atoms :  125 ( 125 expanded)
%              Maximal formula depth    :   20 (   6 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Einteger_2Eint_type,type,(
    tyop_2Einteger_2Eint: $tType )).

thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(c_2Earithmetic_2E_2B_type,type,(
    c_2Earithmetic_2E_2B: tyop_2Enum_2Enum > tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2E_2D_type,type,(
    c_2Earithmetic_2E_2D: tyop_2Enum_2Enum > tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: tyop_2Enum_2Enum )).

thf(c_2Eprim__rec_2E_3C_type,type,(
    c_2Eprim__rec_2E_3C: tyop_2Enum_2Enum > tyop_2Enum_2Enum > $o )).

thf(c_2Earithmetic_2E_3C_3D_type,type,(
    c_2Earithmetic_2E_3C_3D: tyop_2Enum_2Enum > tyop_2Enum_2Enum > $o )).

thf(c_2Earithmetic_2EBIT1_type,type,(
    c_2Earithmetic_2EBIT1: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2EBIT2_type,type,(
    c_2Earithmetic_2EBIT2: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Ebool_2ECOND_type,type,(
    c_2Ebool_2ECOND: 
      !>[TA: $tType] :
        ( $o > TA > TA > TA ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Earithmetic_2ENUMERAL_type,type,(
    c_2Earithmetic_2ENUMERAL: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Earithmetic_2EZERO_type,type,(
    c_2Earithmetic_2EZERO: tyop_2Enum_2Enum )).

thf(c_2Enumeral_2EiZ_type,type,(
    c_2Enumeral_2EiZ: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Einteger_2Eint__add_type,type,(
    c_2Einteger_2Eint__add: tyop_2Einteger_2Eint > tyop_2Einteger_2Eint > tyop_2Einteger_2Eint )).

thf(c_2Einteger_2Eint__le_type,type,(
    c_2Einteger_2Eint__le: tyop_2Einteger_2Eint > tyop_2Einteger_2Eint > $o )).

thf(c_2Einteger_2Eint__lt_type,type,(
    c_2Einteger_2Eint__lt: tyop_2Einteger_2Eint > tyop_2Einteger_2Eint > $o )).

thf(c_2Einteger_2Eint__mul_type,type,(
    c_2Einteger_2Eint__mul: tyop_2Einteger_2Eint > tyop_2Einteger_2Eint > tyop_2Einteger_2Eint )).

thf(c_2Einteger_2Eint__neg_type,type,(
    c_2Einteger_2Eint__neg: tyop_2Einteger_2Eint > tyop_2Einteger_2Eint )).

thf(c_2Einteger_2Eint__of__num_type,type,(
    c_2Einteger_2Eint__of__num: tyop_2Enum_2Enum > tyop_2Einteger_2Eint )).

thf(6,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          & A )
        = A )
      & ( ( A
          & c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF
          & A )
        = c_2Ebool_2EF )
      & ( ( A
          & c_2Ebool_2EF )
        = c_2Ebool_2EF )
      & ( ( A
          & A )
        = A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EAND__CLAUSES)).

thf(42,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          & A )
        = A )
      & ( ( A
          & c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF
          & A )
        = c_2Ebool_2EF )
      & ( ( A
          & c_2Ebool_2EF )
        = c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(5,axiom,(
    ! [A: $o] :
      ( A
     => ( ~ A
       => c_2Ebool_2EF ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV__IMP)).

thf(37,plain,(
    ! [A: $o] :
      ( A
     => ( ~ A
       => c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(8,axiom,(
    ! [A: $o] :
      ( ( ~ A
       => c_2Ebool_2EF )
     => ( ( A
         => c_2Ebool_2EF )
       => c_2Ebool_2EF ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV2)).

thf(52,plain,(
    ! [A: $o] :
      ( ( ~ A
       => c_2Ebool_2EF )
     => ( ( A
         => c_2Ebool_2EF )
       => c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(17,axiom,(
    ! [A: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__add @ A @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__ADD__RID)).

thf(110,plain,(
    ! [A: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__add @ A @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(22,axiom,(
    ! [A: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__mul @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) @ A )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__MUL__LID)).

thf(125,plain,(
    ! [A: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__mul @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) @ A )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(9,axiom,(
    ! [A: $o] :
      ( c_2Ebool_2EF
     => A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFALSITY)).

thf(57,plain,(
    ! [A: $o] :
      ( c_2Ebool_2EF
     => A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(28,axiom,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ A ) ) ) )
        = c_2Ebool_2ET )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ A ) ) ) )
        = c_2Ebool_2ET )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
        = c_2Ebool_2EF )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ A ) ) ) )
        = c_2Ebool_2EF )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ A ) ) @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
        = c_2Ebool_2EF )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ A ) ) ) ) @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
        = c_2Ebool_2ET )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ A ) ) ) ) @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
        = c_2Ebool_2ET )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ A ) ) @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ B ) ) )
        = ( c_2Eprim__rec_2E_3C @ A @ B ) )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ A ) ) ) ) @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ B ) ) )
        = c_2Ebool_2ET )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ A ) ) ) ) @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ B ) ) )
        = c_2Ebool_2ET )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ A ) ) @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ B ) ) ) )
        = c_2Ebool_2EF )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ A ) ) ) @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ B ) ) ) )
        = ( c_2Eprim__rec_2E_3C @ B @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__LT__REDUCE)).

thf(164,plain,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ A ) ) ) )
        = c_2Ebool_2ET )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ A ) ) ) )
        = c_2Ebool_2ET )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
        = c_2Ebool_2EF )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ A ) ) ) )
        = c_2Ebool_2EF )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ A ) ) @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
        = c_2Ebool_2EF )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ A ) ) ) ) @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
        = c_2Ebool_2ET )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ A ) ) ) ) @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
        = c_2Ebool_2ET )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ A ) ) @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ B ) ) )
        = ( c_2Eprim__rec_2E_3C @ A @ B ) )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ A ) ) ) ) @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ B ) ) )
        = c_2Ebool_2ET )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ A ) ) ) ) @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ B ) ) )
        = c_2Ebool_2ET )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ A ) ) @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ B ) ) ) )
        = c_2Ebool_2EF )
      & ( ( c_2Einteger_2Eint__lt @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ A ) ) ) @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ B ) ) ) )
        = ( c_2Eprim__rec_2E_3C @ B @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(19,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__add @ B @ A )
      = ( c_2Einteger_2Eint__add @ A @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__ADD__COMM)).

thf(116,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__add @ B @ A )
      = ( c_2Einteger_2Eint__add @ A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(26,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint,C: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__le @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ ( c_2Einteger_2Eint__add @ C @ B ) )
     => ( ( c_2Einteger_2Eint__lt @ A @ ( c_2Einteger_2Eint__neg @ B ) )
       => ( ( c_2Einteger_2Eint__le @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ ( c_2Einteger_2Eint__add @ ( c_2Einteger_2Eint__neg @ C ) @ A ) )
          = c_2Ebool_2EF ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eint__arith_2Ele__context__rwt2)).

thf(137,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint,C: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__le @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ ( c_2Einteger_2Eint__add @ C @ B ) )
     => ( ( c_2Einteger_2Eint__lt @ A @ ( c_2Einteger_2Eint__neg @ B ) )
       => ( ( c_2Einteger_2Eint__le @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ ( c_2Einteger_2Eint__add @ ( c_2Einteger_2Eint__neg @ C ) @ A ) )
          = c_2Ebool_2EF ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(25,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__mul @ A @ B ) )
      = ( c_2Einteger_2Eint__mul @ ( c_2Einteger_2Eint__neg @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__NEG__LMUL)).

thf(134,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__mul @ A @ B ) )
      = ( c_2Einteger_2Eint__mul @ ( c_2Einteger_2Eint__neg @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(23,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint,C: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__add @ C @ ( c_2Einteger_2Eint__add @ B @ A ) )
      = ( c_2Einteger_2Eint__add @ ( c_2Einteger_2Eint__add @ C @ B ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__ADD__ASSOC)).

thf(128,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint,C: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__add @ C @ ( c_2Einteger_2Eint__add @ B @ A ) )
      = ( c_2Einteger_2Eint__add @ ( c_2Einteger_2Eint__add @ C @ B ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(3,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
      = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(34,plain,(
    ! [TA: $tType] : c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( ~ ( B
            | A )
       => c_2Ebool_2EF )
      = ( ( B
         => c_2Ebool_2EF )
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL2)).

thf(86,plain,(
    ! [A: $o,B: $o] :
      ( ( ~ ( B
            | A )
       => c_2Ebool_2EF )
      = ( ( B
         => c_2Ebool_2EF )
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(18,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__mul @ A @ B ) )
      = ( c_2Einteger_2Eint__mul @ A @ ( c_2Einteger_2Eint__neg @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__NEG__RMUL)).

thf(113,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__mul @ A @ B ) )
      = ( c_2Einteger_2Eint__mul @ A @ ( c_2Einteger_2Eint__neg @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(12,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
         => A )
        = A )
      & ( ( A
         => c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
         => A )
        = c_2Ebool_2ET )
      & ( ( A
         => A )
        = c_2Ebool_2ET )
      & ( ( A
         => c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__CLAUSES)).

thf(76,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
         => A )
        = A )
      & ( ( A
         => c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
         => A )
        = c_2Ebool_2ET )
      & c_2Ebool_2ET
      & ( ( A
         => c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(27,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Enum_2Enum,C: tyop_2Enum_2Enum] :
      ( ( ( c_2Einteger_2Eint__add @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ A )
        = A )
      & ( ( c_2Einteger_2Eint__add @ A @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
        = A )
      & ( ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
        = ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
      & ( ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__neg @ A ) )
        = A )
      & ( ( c_2Einteger_2Eint__add @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ B ) ) @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ C ) ) )
        = ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Enumeral_2EiZ @ ( c_2Earithmetic_2E_2B @ B @ C ) ) ) ) )
      & ( ( c_2Einteger_2Eint__add @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ B ) ) @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ C ) ) ) )
        = ( c_2Ebool_2ECOND @ tyop_2Einteger_2Eint @ ( c_2Earithmetic_2E_3C_3D @ C @ B ) @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2E_2D @ B @ C ) ) ) @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2E_2D @ C @ B ) ) ) ) ) )
      & ( ( c_2Einteger_2Eint__add @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ B ) ) ) @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ C ) ) )
        = ( c_2Ebool_2ECOND @ tyop_2Einteger_2Eint @ ( c_2Earithmetic_2E_3C_3D @ B @ C ) @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2E_2D @ C @ B ) ) ) @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2E_2D @ B @ C ) ) ) ) ) )
      & ( ( c_2Einteger_2Eint__add @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ B ) ) ) @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ C ) ) ) )
        = ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Enumeral_2EiZ @ ( c_2Earithmetic_2E_2B @ B @ C ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__ADD__REDUCE)).

thf(140,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Enum_2Enum,C: tyop_2Enum_2Enum] :
      ( ( ( c_2Einteger_2Eint__add @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ A )
        = A )
      & ( ( c_2Einteger_2Eint__add @ A @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
        = A )
      & ( ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
        = ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
      & ( ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__neg @ A ) )
        = A )
      & ( ( c_2Einteger_2Eint__add @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ B ) ) @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ C ) ) )
        = ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Enumeral_2EiZ @ ( c_2Earithmetic_2E_2B @ B @ C ) ) ) ) )
      & ( ( c_2Einteger_2Eint__add @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ B ) ) @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ C ) ) ) )
        = ( c_2Ebool_2ECOND @ tyop_2Einteger_2Eint @ ( c_2Earithmetic_2E_3C_3D @ C @ B ) @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2E_2D @ B @ C ) ) ) @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2E_2D @ C @ B ) ) ) ) ) )
      & ( ( c_2Einteger_2Eint__add @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ B ) ) ) @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ C ) ) )
        = ( c_2Ebool_2ECOND @ tyop_2Einteger_2Eint @ ( c_2Earithmetic_2E_3C_3D @ B @ C ) @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2E_2D @ C @ B ) ) ) @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2E_2D @ B @ C ) ) ) ) ) )
      & ( ( c_2Einteger_2Eint__add @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ B ) ) ) @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ C ) ) ) )
        = ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Enumeral_2EiZ @ ( c_2Earithmetic_2E_2B @ B @ C ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(14,axiom,(
    ! [A: $o,B: $o] :
      ( ( ~ ( ~ B
            | A )
       => c_2Ebool_2EF )
      = ( B
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL3)).

thf(95,plain,(
    ! [A: $o,B: $o] :
      ( ( ~ ( ~ B
            | A )
       => c_2Ebool_2EF )
      = ( B
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(11,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(67,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(1,conjecture,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__lt @ B @ A )
      = ( ~ ( c_2Einteger_2Eint__le @ ( c_2Einteger_2Eint__add @ A @ ( c_2Einteger_2Eint__mul @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) @ B ) ) @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EHolSmt_2Er117)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
        ( ( c_2Einteger_2Eint__lt @ B @ A )
        = ( ~ ( c_2Einteger_2Eint__le @ ( c_2Einteger_2Eint__add @ A @ ( c_2Einteger_2Eint__mul @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) @ B ) ) @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(31,plain,(
    ~ ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
        ( ( c_2Einteger_2Eint__lt @ B @ A )
        = ( ~ ( c_2Einteger_2Eint__le @ ( c_2Einteger_2Eint__add @ A @ ( c_2Einteger_2Eint__mul @ ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) @ B ) ) @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(30,axiom,
    ( ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
    = ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__NEG__0)).

thf(203,plain,
    ( ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) )
    = ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(15,axiom,(
    ! [A: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__neg @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__NEGNEG)).

thf(104,plain,(
    ! [A: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__neg @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(20,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__lt @ A @ B )
      = ( c_2Einteger_2Eint__le @ ( c_2Einteger_2Eint__add @ A @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eint__arith_2Eless__to__leq__samer)).

thf(119,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__lt @ A @ B )
      = ( c_2Einteger_2Eint__le @ ( c_2Einteger_2Eint__add @ A @ ( c_2Einteger_2Eint__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(4,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(36,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(16,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( ~ ( c_2Einteger_2Eint__le @ A @ B ) )
      = ( c_2Einteger_2Eint__lt @ B @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__NOT__LE)).

thf(107,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( ~ ( c_2Einteger_2Eint__le @ A @ B ) )
      = ( c_2Einteger_2Eint__lt @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(24,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__le @ A @ B )
      = ( ~ ( c_2Einteger_2Eint__lt @ B @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2Eint__le)).

thf(131,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__le @ A @ B )
      = ( ~ ( c_2Einteger_2Eint__lt @ B @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(7,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          | A )
        = c_2Ebool_2ET )
      & ( ( A
          | c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
          | A )
        = A )
      & ( ( A
          | c_2Ebool_2EF )
        = A )
      & ( ( A
          | A )
        = A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EOR__CLAUSES)).

thf(47,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          | A )
        = c_2Ebool_2ET )
      & ( ( A
          | c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
          | A )
        = A )
      & ( ( A
          | c_2Ebool_2EF )
        = A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(29,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__add @ A @ B ) )
      = ( c_2Einteger_2Eint__add @ ( c_2Einteger_2Eint__neg @ A ) @ ( c_2Einteger_2Eint__neg @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__NEG__ADD)).

thf(200,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__neg @ ( c_2Einteger_2Eint__add @ A @ B ) )
      = ( c_2Einteger_2Eint__add @ ( c_2Einteger_2Eint__neg @ A ) @ ( c_2Einteger_2Eint__neg @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(10,axiom,
    ( ! [A: $o] : ( ( ~ ~ A ) = A )
    & ( ( ~ c_2Ebool_2ET ) = c_2Ebool_2EF )
    & ( ( ~ c_2Ebool_2EF ) = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ENOT__CLAUSES)).

thf(62,plain,
    ( ( ( ~ c_2Ebool_2ET ) = c_2Ebool_2EF )
    & ( ( ~ c_2Ebool_2EF ) = c_2Ebool_2ET ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(21,axiom,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__le @ A @ B )
      = ( c_2Einteger_2Eint__le @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ ( c_2Einteger_2Eint__add @ B @ ( c_2Einteger_2Eint__neg @ A ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eint__arith_2Ele__move__all__right)).

thf(122,plain,(
    ! [A: tyop_2Einteger_2Eint,B: tyop_2Einteger_2Eint] :
      ( ( c_2Einteger_2Eint__le @ A @ B )
      = ( c_2Einteger_2Eint__le @ ( c_2Einteger_2Eint__of__num @ c_2Enum_2E0 ) @ ( c_2Einteger_2Eint__add @ B @ ( c_2Einteger_2Eint__neg @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(205,plain,(
    $false ),
    inference(e,[status(thm)],[42,37,52,110,125,57,164,116,137,134,128,34,86,113,76,140,95,67,31,203,104,119,36,107,131,47,200,62,122])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.06/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.06/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.06/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.06/0.13  % CPULimit   : 300
% 0.06/0.13  % DateTime   : Wed Jul 31 08:37:28 EDT 2019
% 0.06/0.13  % CPUTime    : 
% 4.14/1.56  % [INFO] 	 Running in sequential loop mode. 
% 4.74/1.74  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.95/1.80  % [INFO] 	 iprover registered as external prover. 
% 4.95/1.80  % [INFO] 	 e registered as external prover. 
% 4.95/1.81  % [INFO] 	 cvc4 registered as external prover. 
% 4.95/1.81  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.14/1.87  % [INFO] 	 Found a conjecture and 45 axioms. Running axiom selection ... 
% 5.14/1.92  % [INFO] 	 Axiom selection finished. Selected 28 axioms (removed 17 axioms). 
% 5.47/1.99  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 8.22/2.76  % [INFO] 	 Killing All external provers ... 
% 8.22/2.76  % Time passed: 2490ms
% 8.22/2.76  % Effective reasoning time: 1192ms
% 8.22/2.76  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 8.22/2.76  % Axioms used in derivation (28): thm_2Einteger_2EINT__NEG__RMUL, thm_2Ebool_2ENOT__CLAUSES, thm_2Einteger_2EINT__ADD__ASSOC, thm_2Esat_2EAND__INV__IMP, thm_2Esat_2EOR__DUAL3, thm_2Einteger_2EINT__ADD__REDUCE, thm_2Ebool_2EREFL__CLAUSE, thm_2Ebool_2EEQ__CLAUSES, thm_2Eint__arith_2Ele__move__all__right, thm_2Einteger_2EINT__NOT__LE, thm_2Ebool_2EFALSITY, thm_2Eint__arith_2Eless__to__leq__samer, thm_2Einteger_2EINT__NEGNEG, thm_2Einteger_2EINT__NEG__0, thm_2Einteger_2EINT__ADD__COMM, thm_2Ebool_2EIMP__CLAUSES, thm_2Ebool_2ETRUTH, thm_2Einteger_2EINT__ADD__RID, thm_2Esat_2EAND__INV2, thm_2Einteger_2Eint__le, thm_2Ebool_2EOR__CLAUSES, thm_2Einteger_2EINT__NEG__LMUL, thm_2Einteger_2EINT__NEG__ADD, thm_2Einteger_2EINT__MUL__LID, thm_2Ebool_2EAND__CLAUSES, thm_2Eint__arith_2Ele__context__rwt2, thm_2Einteger_2EINT__LT__REDUCE, thm_2Esat_2EOR__DUAL2
% 8.22/2.76  % No. of inferences in proof: 60
% 8.22/2.76  % No. of processed clauses: 1
% 8.22/2.76  % No. of generated clauses: 0
% 8.22/2.76  % No. of forward subsumed clauses: 0
% 8.22/2.76  % No. of backward subsumed clauses: 0
% 8.22/2.76  % No. of ground rewrite rules in store: 1
% 8.22/2.76  % No. of non-ground rewrite rules in store: 0
% 8.22/2.76  % No. of positive (non-rewrite) units in store: 0
% 8.22/2.76  % No. of negative (non-rewrite) units in store: 0
% 8.22/2.76  % No. of choice functions detected: 0
% 8.22/2.76  % No. of choice instantiations: 0
% 8.22/2.76  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2490 ms resp. 1192 ms w/o parsing
% 8.22/2.80  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 8.22/2.80  thf(tyop_2Einteger_2Eint_type, type, tyop_2Einteger_2Eint: $tType).
% 8.22/2.80  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 8.22/2.80  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 8.22/2.80  thf(c_2Earithmetic_2E_2B_type, type, c_2Earithmetic_2E_2B: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > tyop_2Enum_2Enum))).
% 8.22/2.80  thf(c_2Earithmetic_2E_2D_type, type, c_2Earithmetic_2E_2D: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > tyop_2Enum_2Enum))).
% 8.22/2.80  thf(c_2Enum_2E0_type, type, c_2Enum_2E0: tyop_2Enum_2Enum).
% 8.22/2.80  thf(c_2Eprim__rec_2E_3C_type, type, c_2Eprim__rec_2E_3C: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > $o))).
% 8.22/2.80  thf(c_2Earithmetic_2E_3C_3D_type, type, c_2Earithmetic_2E_3C_3D: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > $o))).
% 8.22/2.80  thf(c_2Earithmetic_2EBIT1_type, type, c_2Earithmetic_2EBIT1: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 8.22/2.80  thf(c_2Earithmetic_2EBIT2_type, type, c_2Earithmetic_2EBIT2: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 8.22/2.80  thf(c_2Ebool_2ECOND_type, type, c_2Ebool_2ECOND: !>[TA: $tType]: ($o > (TA > (TA > TA)))).
% 8.22/2.80  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 8.22/2.80  thf(c_2Earithmetic_2ENUMERAL_type, type, c_2Earithmetic_2ENUMERAL: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 8.22/2.80  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 8.22/2.80  thf(c_2Earithmetic_2EZERO_type, type, c_2Earithmetic_2EZERO: tyop_2Enum_2Enum).
% 8.22/2.80  thf(c_2Enumeral_2EiZ_type, type, c_2Enumeral_2EiZ: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 8.22/2.80  thf(c_2Einteger_2Eint__add_type, type, c_2Einteger_2Eint__add: (tyop_2Einteger_2Eint > (tyop_2Einteger_2Eint > tyop_2Einteger_2Eint))).
% 8.22/2.80  thf(c_2Einteger_2Eint__le_type, type, c_2Einteger_2Eint__le: (tyop_2Einteger_2Eint > (tyop_2Einteger_2Eint > $o))).
% 8.22/2.80  thf(c_2Einteger_2Eint__lt_type, type, c_2Einteger_2Eint__lt: (tyop_2Einteger_2Eint > (tyop_2Einteger_2Eint > $o))).
% 8.22/2.80  thf(c_2Einteger_2Eint__mul_type, type, c_2Einteger_2Eint__mul: (tyop_2Einteger_2Eint > (tyop_2Einteger_2Eint > tyop_2Einteger_2Eint))).
% 8.22/2.80  thf(c_2Einteger_2Eint__neg_type, type, c_2Einteger_2Eint__neg: (tyop_2Einteger_2Eint > tyop_2Einteger_2Eint)).
% 8.22/2.80  thf(c_2Einteger_2Eint__of__num_type, type, c_2Einteger_2Eint__of__num: (tyop_2Enum_2Enum > tyop_2Einteger_2Eint)).
% 8.22/2.80  thf(6,axiom,((! [A:$o]: ((((c_2Ebool_2ET) & (A)) = A) & (((A) & (c_2Ebool_2ET)) = A) & (((c_2Ebool_2EF) & (A)) = c_2Ebool_2EF) & (((A) & (c_2Ebool_2EF)) = c_2Ebool_2EF) & (((A) & (A)) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EAND__CLAUSES)).
% 8.22/2.80  thf(42,plain,((! [A:$o]: ((((c_2Ebool_2ET) & (A)) = A) & (((A) & (c_2Ebool_2ET)) = A) & (((c_2Ebool_2EF) & (A)) = c_2Ebool_2EF) & (((A) & (c_2Ebool_2EF)) = c_2Ebool_2EF)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 8.22/2.80  thf(5,axiom,((! [A:$o]: ((A) => ((~ (A)) => (c_2Ebool_2EF))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV__IMP)).
% 8.22/2.80  thf(37,plain,((! [A:$o]: ((A) => ((~ (A)) => (c_2Ebool_2EF))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 8.22/2.80  thf(8,axiom,((! [A:$o]: (((~ (A)) => (c_2Ebool_2EF)) => (((A) => (c_2Ebool_2EF)) => (c_2Ebool_2EF))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV2)).
% 8.22/2.80  thf(52,plain,((! [A:$o]: (((~ (A)) => (c_2Ebool_2EF)) => (((A) => (c_2Ebool_2EF)) => (c_2Ebool_2EF))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 8.22/2.80  thf(17,axiom,((! [A:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__add @ A @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) = A))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__ADD__RID)).
% 8.22/2.80  thf(110,plain,((! [A:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__add @ A @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) = A))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).
% 8.22/2.80  thf(22,axiom,((! [A:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__mul @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO))) @ A) = A))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__MUL__LID)).
% 8.22/2.80  thf(125,plain,((! [A:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__mul @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO))) @ A) = A))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).
% 8.22/2.80  thf(9,axiom,((! [A:$o]: ((c_2Ebool_2EF) => (A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFALSITY)).
% 8.22/2.80  thf(57,plain,((! [A:$o]: ((c_2Ebool_2EF) => (A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 8.22/2.80  thf(28,axiom,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: (((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ A)))) = c_2Ebool_2ET) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ A)))) = c_2Ebool_2ET) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) = c_2Ebool_2EF) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ A)))) = c_2Ebool_2EF) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ A)) @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) = c_2Ebool_2EF) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ A)))) @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) = c_2Ebool_2ET) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ A)))) @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) = c_2Ebool_2ET) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ A)) @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ B))) = (c_2Eprim__rec_2E_3C @ A @ B)) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ A)))) @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ B))) = c_2Ebool_2ET) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ A)))) @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ B))) = c_2Ebool_2ET) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ A)) @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ B)))) = c_2Ebool_2EF) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ A))) @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ B)))) = (c_2Eprim__rec_2E_3C @ B @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__LT__REDUCE)).
% 8.22/2.80  thf(164,plain,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: (((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ A)))) = c_2Ebool_2ET) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ A)))) = c_2Ebool_2ET) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) = c_2Ebool_2EF) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ A)))) = c_2Ebool_2EF) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ A)) @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) = c_2Ebool_2EF) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ A)))) @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) = c_2Ebool_2ET) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ A)))) @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) = c_2Ebool_2ET) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ A)) @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ B))) = (c_2Eprim__rec_2E_3C @ A @ B)) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ A)))) @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ B))) = c_2Ebool_2ET) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ A)))) @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ B))) = c_2Ebool_2ET) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ A)) @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ B)))) = c_2Ebool_2EF) & ((c_2Einteger_2Eint__lt @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ A))) @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ B)))) = (c_2Eprim__rec_2E_3C @ B @ A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).
% 8.22/2.80  thf(19,axiom,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__add @ B @ A) = (c_2Einteger_2Eint__add @ A @ B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__ADD__COMM)).
% 8.22/2.80  thf(116,plain,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__add @ B @ A) = (c_2Einteger_2Eint__add @ A @ B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).
% 8.22/2.80  thf(26,axiom,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint,C:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__le @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ (c_2Einteger_2Eint__add @ C @ B)) => ((c_2Einteger_2Eint__lt @ A @ (c_2Einteger_2Eint__neg @ B)) => ((c_2Einteger_2Eint__le @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ (c_2Einteger_2Eint__add @ (c_2Einteger_2Eint__neg @ C) @ A)) = c_2Ebool_2EF))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eint__arith_2Ele__context__rwt2)).
% 8.22/2.80  thf(137,plain,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint,C:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__le @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ (c_2Einteger_2Eint__add @ C @ B)) => ((c_2Einteger_2Eint__lt @ A @ (c_2Einteger_2Eint__neg @ B)) => ((c_2Einteger_2Eint__le @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ (c_2Einteger_2Eint__add @ (c_2Einteger_2Eint__neg @ C) @ A)) = c_2Ebool_2EF))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).
% 8.22/2.80  thf(25,axiom,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__mul @ A @ B)) = (c_2Einteger_2Eint__mul @ (c_2Einteger_2Eint__neg @ A) @ B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__NEG__LMUL)).
% 8.22/2.80  thf(134,plain,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__mul @ A @ B)) = (c_2Einteger_2Eint__mul @ (c_2Einteger_2Eint__neg @ A) @ B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).
% 8.22/2.80  thf(23,axiom,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint,C:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__add @ C @ (c_2Einteger_2Eint__add @ B @ A)) = (c_2Einteger_2Eint__add @ (c_2Einteger_2Eint__add @ C @ B) @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__ADD__ASSOC)).
% 8.22/2.80  thf(128,plain,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint,C:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__add @ C @ (c_2Einteger_2Eint__add @ B @ A)) = (c_2Einteger_2Eint__add @ (c_2Einteger_2Eint__add @ C @ B) @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).
% 8.22/2.80  thf(3,axiom,((! [TA: $tType]: (! [A:TA]: ((A = A) = c_2Ebool_2ET)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).
% 8.22/2.80  thf(34,plain,((! [TA: $tType]: (c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 8.22/2.80  thf(13,axiom,((! [A:$o,B:$o]: (((~ ((B) | (A))) => (c_2Ebool_2EF)) = (((B) => (c_2Ebool_2EF)) => ((~ (A)) => (c_2Ebool_2EF)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL2)).
% 8.22/2.80  thf(86,plain,((! [A:$o,B:$o]: (((~ ((B) | (A))) => (c_2Ebool_2EF)) = (((B) => (c_2Ebool_2EF)) => ((~ (A)) => (c_2Ebool_2EF)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 8.22/2.80  thf(18,axiom,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__mul @ A @ B)) = (c_2Einteger_2Eint__mul @ A @ (c_2Einteger_2Eint__neg @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__NEG__RMUL)).
% 8.22/2.80  thf(113,plain,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__mul @ A @ B)) = (c_2Einteger_2Eint__mul @ A @ (c_2Einteger_2Eint__neg @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).
% 8.22/2.80  thf(12,axiom,((! [A:$o]: ((((c_2Ebool_2ET) => (A)) = A) & (((A) => (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) => (A)) = c_2Ebool_2ET) & (((A) => (A)) = c_2Ebool_2ET) & (((A) => (c_2Ebool_2EF)) = (~ (A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__CLAUSES)).
% 8.22/2.80  thf(76,plain,((! [A:$o]: ((((c_2Ebool_2ET) => (A)) = A) & (((A) => (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) => (A)) = c_2Ebool_2ET) & (c_2Ebool_2ET) & (((A) => (c_2Ebool_2EF)) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 8.22/2.80  thf(27,axiom,((! [A:tyop_2Einteger_2Eint,B:tyop_2Enum_2Enum,C:tyop_2Enum_2Enum]: (((c_2Einteger_2Eint__add @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ A) = A) & ((c_2Einteger_2Eint__add @ A @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) = A) & ((c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) = (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) & ((c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__neg @ A)) = A) & ((c_2Einteger_2Eint__add @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ B)) @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ C))) = (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Enumeral_2EiZ @ (c_2Earithmetic_2E_2B @ B @ C))))) & ((c_2Einteger_2Eint__add @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ B)) @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ C)))) = (c_2Ebool_2ECOND @ tyop_2Einteger_2Eint @ (c_2Earithmetic_2E_3C_3D @ C @ B) @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2E_2D @ B @ C))) @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2E_2D @ C @ B)))))) & ((c_2Einteger_2Eint__add @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ B))) @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ C))) = (c_2Ebool_2ECOND @ tyop_2Einteger_2Eint @ (c_2Earithmetic_2E_3C_3D @ B @ C) @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2E_2D @ C @ B))) @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2E_2D @ B @ C)))))) & ((c_2Einteger_2Eint__add @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ B))) @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ C)))) = (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Enumeral_2EiZ @ (c_2Earithmetic_2E_2B @ B @ C))))))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__ADD__REDUCE)).
% 8.22/2.80  thf(140,plain,((! [A:tyop_2Einteger_2Eint,B:tyop_2Enum_2Enum,C:tyop_2Enum_2Enum]: (((c_2Einteger_2Eint__add @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ A) = A) & ((c_2Einteger_2Eint__add @ A @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) = A) & ((c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) = (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) & ((c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__neg @ A)) = A) & ((c_2Einteger_2Eint__add @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ B)) @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ C))) = (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Enumeral_2EiZ @ (c_2Earithmetic_2E_2B @ B @ C))))) & ((c_2Einteger_2Eint__add @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ B)) @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ C)))) = (c_2Ebool_2ECOND @ tyop_2Einteger_2Eint @ (c_2Earithmetic_2E_3C_3D @ C @ B) @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2E_2D @ B @ C))) @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2E_2D @ C @ B)))))) & ((c_2Einteger_2Eint__add @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ B))) @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ C))) = (c_2Ebool_2ECOND @ tyop_2Einteger_2Eint @ (c_2Earithmetic_2E_3C_3D @ B @ C) @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2E_2D @ C @ B))) @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2E_2D @ B @ C)))))) & ((c_2Einteger_2Eint__add @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ B))) @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ C)))) = (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Enumeral_2EiZ @ (c_2Earithmetic_2E_2B @ B @ C))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).
% 8.22/2.80  thf(14,axiom,((! [A:$o,B:$o]: (((~ (~ (B) | (A))) => (c_2Ebool_2EF)) = ((B) => ((~ (A)) => (c_2Ebool_2EF)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL3)).
% 8.22/2.80  thf(95,plain,((! [A:$o,B:$o]: (((~ (~ (B) | (A))) => (c_2Ebool_2EF)) = ((B) => ((~ (A)) => (c_2Ebool_2EF)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 8.22/2.80  thf(11,axiom,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).
% 8.22/2.80  thf(67,plain,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 8.22/2.80  thf(1,conjecture,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__lt @ B @ A) = (~ (c_2Einteger_2Eint__le @ (c_2Einteger_2Eint__add @ A @ (c_2Einteger_2Eint__mul @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO)))) @ B)) @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2EHolSmt_2Er117)).
% 8.22/2.80  thf(2,negated_conjecture,((~ (! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__lt @ B @ A) = (~ (c_2Einteger_2Eint__le @ (c_2Einteger_2Eint__add @ A @ (c_2Einteger_2Eint__mul @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO)))) @ B)) @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0))))))),inference(neg_conjecture,[status(cth)],[1])).
% 8.22/2.80  thf(31,plain,((~ (! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__lt @ B @ A) = (~ (c_2Einteger_2Eint__le @ (c_2Einteger_2Eint__add @ A @ (c_2Einteger_2Eint__mul @ (c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO)))) @ B)) @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 8.22/2.80  thf(30,axiom,(((c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) = (c_2Einteger_2Eint__of__num @ c_2Enum_2E0))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__NEG__0)).
% 8.22/2.80  thf(203,plain,(((c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0)) = (c_2Einteger_2Eint__of__num @ c_2Enum_2E0))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).
% 8.22/2.80  thf(15,axiom,((! [A:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__neg @ A)) = A))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__NEGNEG)).
% 8.22/2.80  thf(104,plain,((! [A:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__neg @ A)) = A))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).
% 8.22/2.80  thf(20,axiom,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__lt @ A @ B) = (c_2Einteger_2Eint__le @ (c_2Einteger_2Eint__add @ A @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO)))) @ B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eint__arith_2Eless__to__leq__samer)).
% 8.22/2.80  thf(119,plain,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__lt @ A @ B) = (c_2Einteger_2Eint__le @ (c_2Einteger_2Eint__add @ A @ (c_2Einteger_2Eint__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO)))) @ B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).
% 8.22/2.80  thf(4,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 8.22/2.80  thf(36,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 8.22/2.80  thf(16,axiom,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((~ (c_2Einteger_2Eint__le @ A @ B)) = (c_2Einteger_2Eint__lt @ B @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__NOT__LE)).
% 8.22/2.80  thf(107,plain,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((~ (c_2Einteger_2Eint__le @ A @ B)) = (c_2Einteger_2Eint__lt @ B @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).
% 8.22/2.80  thf(24,axiom,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__le @ A @ B) = (~ (c_2Einteger_2Eint__lt @ B @ A))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2Eint__le)).
% 8.22/2.80  thf(131,plain,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__le @ A @ B) = (~ (c_2Einteger_2Eint__lt @ B @ A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).
% 8.22/2.80  thf(7,axiom,((! [A:$o]: ((((c_2Ebool_2ET) | (A)) = c_2Ebool_2ET) & (((A) | (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) | (A)) = A) & (((A) | (c_2Ebool_2EF)) = A) & (((A) | (A)) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EOR__CLAUSES)).
% 8.22/2.80  thf(47,plain,((! [A:$o]: ((((c_2Ebool_2ET) | (A)) = c_2Ebool_2ET) & (((A) | (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) | (A)) = A) & (((A) | (c_2Ebool_2EF)) = A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 8.22/2.80  thf(29,axiom,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__add @ A @ B)) = (c_2Einteger_2Eint__add @ (c_2Einteger_2Eint__neg @ A) @ (c_2Einteger_2Eint__neg @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Einteger_2EINT__NEG__ADD)).
% 8.22/2.80  thf(200,plain,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__neg @ (c_2Einteger_2Eint__add @ A @ B)) = (c_2Einteger_2Eint__add @ (c_2Einteger_2Eint__neg @ A) @ (c_2Einteger_2Eint__neg @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).
% 8.22/2.80  thf(10,axiom,((! [A:$o]: ((~ (~ (A))) = A) & ((~ (c_2Ebool_2ET)) = c_2Ebool_2EF) & ((~ (c_2Ebool_2EF)) = c_2Ebool_2ET))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ENOT__CLAUSES)).
% 8.22/2.80  thf(62,plain,((((~ (c_2Ebool_2ET)) = c_2Ebool_2EF) & ((~ (c_2Ebool_2EF)) = c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 8.22/2.80  thf(21,axiom,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__le @ A @ B) = (c_2Einteger_2Eint__le @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ (c_2Einteger_2Eint__add @ B @ (c_2Einteger_2Eint__neg @ A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eint__arith_2Ele__move__all__right)).
% 8.22/2.80  thf(122,plain,((! [A:tyop_2Einteger_2Eint,B:tyop_2Einteger_2Eint]: ((c_2Einteger_2Eint__le @ A @ B) = (c_2Einteger_2Eint__le @ (c_2Einteger_2Eint__of__num @ c_2Enum_2E0) @ (c_2Einteger_2Eint__add @ B @ (c_2Einteger_2Eint__neg @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).
% 8.22/2.80  thf(205,plain,($false),inference(e,[status(thm)],[42,37,52,110,125,57,164,116,137,134,128,34,86,113,76,140,95,67,31,203,104,119,36,107,131,47,200,62,122])).
% 8.22/2.80  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 8.22/2.81  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
