%------------------------------------------------------------------------------
thf(del_type,type,(
    del: $tType )).

thf(bool_type,type,(
    bool: del )).

thf(arr_type,type,(
    arr: del > del > del )).

thf(mem_type,type,(
    mem: $i > del > $o )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(lam_type,type,(
    lam: del > ( $i > $i ) > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(inj__o_type,type,(
    inj__o: $o > $i )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $i )).

thf(fo__c_2Ebool_2ET_type,type,(
    fo__c_2Ebool_2ET: $o )).

thf(ty_2Epair_2Eprod_type,type,(
    ty_2Epair_2Eprod: del > del > del )).

thf(ty_2Erealax_2Ereal_type,type,(
    ty_2Erealax_2Ereal: del )).

thf(tp__ty_2Erealax_2Ereal_type,type,(
    tp__ty_2Erealax_2Ereal: $tType )).

thf(inj__ty_2Erealax_2Ereal_type,type,(
    inj__ty_2Erealax_2Ereal: tp__ty_2Erealax_2Ereal > $i )).

thf(surj__ty_2Erealax_2Ereal_type,type,(
    surj__ty_2Erealax_2Ereal: $i > tp__ty_2Erealax_2Ereal )).

thf(tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal_type,type,(
    tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal: $tType )).

thf(inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal_type,type,(
    inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal > $i )).

thf(surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal_type,type,(
    surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal: $i > tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal )).

thf(c_2Ecomplex_2Ecomplex__of__real_type,type,(
    c_2Ecomplex_2Ecomplex__of__real: $i )).

thf(ty_2Enum_2Enum_type,type,(
    ty_2Enum_2Enum: del )).

thf(tp__ty_2Enum_2Enum_type,type,(
    tp__ty_2Enum_2Enum: $tType )).

thf(inj__ty_2Enum_2Enum_type,type,(
    inj__ty_2Enum_2Enum: tp__ty_2Enum_2Enum > $i )).

thf(surj__ty_2Enum_2Enum_type,type,(
    surj__ty_2Enum_2Enum: $i > tp__ty_2Enum_2Enum )).

thf(c_2Ecomplex_2Ecomplex__of__num_type,type,(
    c_2Ecomplex_2Ecomplex__of__num: $i )).

thf(c_2Ecomplex_2EIM_type,type,(
    c_2Ecomplex_2EIM: $i )).

thf(fo__c_2Ecomplex_2EIM_type,type,(
    fo__c_2Ecomplex_2EIM: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal > tp__ty_2Erealax_2Ereal )).

thf(c_2Ecomplex_2ERE_type,type,(
    c_2Ecomplex_2ERE: $i )).

thf(fo__c_2Ecomplex_2ERE_type,type,(
    fo__c_2Ecomplex_2ERE: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal > tp__ty_2Erealax_2Ereal )).

thf(c_2Ecomplex_2Emodu_type,type,(
    c_2Ecomplex_2Emodu: $i )).

thf(fo__c_2Ecomplex_2Emodu_type,type,(
    fo__c_2Ecomplex_2Emodu: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal > tp__ty_2Erealax_2Ereal )).

thf(c_2Epair_2EFST_type,type,(
    c_2Epair_2EFST: del > del > $i )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: del > del > $i )).

thf(c_2Epair_2ESND_type,type,(
    c_2Epair_2ESND: del > del > $i )).

thf(c_2Erealax_2Ereal__add_type,type,(
    c_2Erealax_2Ereal__add: $i )).

thf(fo__c_2Erealax_2Ereal__add_type,type,(
    fo__c_2Erealax_2Ereal__add: tp__ty_2Erealax_2Ereal > tp__ty_2Erealax_2Ereal > tp__ty_2Erealax_2Ereal )).

thf(c_2Erealax_2Ereal__mul_type,type,(
    c_2Erealax_2Ereal__mul: $i )).

thf(fo__c_2Erealax_2Ereal__mul_type,type,(
    fo__c_2Erealax_2Ereal__mul: tp__ty_2Erealax_2Ereal > tp__ty_2Erealax_2Ereal > tp__ty_2Erealax_2Ereal )).

thf(c_2Earithmetic_2EZERO_type,type,(
    c_2Earithmetic_2EZERO: $i )).

thf(fo__c_2Earithmetic_2EZERO_type,type,(
    fo__c_2Earithmetic_2EZERO: tp__ty_2Enum_2Enum )).

thf(c_2Earithmetic_2EBIT2_type,type,(
    c_2Earithmetic_2EBIT2: $i )).

thf(fo__c_2Earithmetic_2EBIT2_type,type,(
    fo__c_2Earithmetic_2EBIT2: tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum )).

thf(c_2Earithmetic_2ENUMERAL_type,type,(
    c_2Earithmetic_2ENUMERAL: $i )).

thf(fo__c_2Earithmetic_2ENUMERAL_type,type,(
    fo__c_2Earithmetic_2ENUMERAL: tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum )).

thf(c_2Ereal_2Epow_type,type,(
    c_2Ereal_2Epow: $i )).

thf(fo__c_2Ereal_2Epow_type,type,(
    fo__c_2Ereal_2Epow: tp__ty_2Erealax_2Ereal > tp__ty_2Enum_2Enum > tp__ty_2Erealax_2Ereal )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: del > $i )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: $i )).

thf(fo__c_2Enum_2E0_type,type,(
    fo__c_2Enum_2E0: tp__ty_2Enum_2Enum )).

thf(c_2Ereal_2Ereal__of__num_type,type,(
    c_2Ereal_2Ereal__of__num: $i )).

thf(fo__c_2Ereal_2Ereal__of__num_type,type,(
    fo__c_2Ereal_2Ereal__of__num: tp__ty_2Enum_2Enum > tp__ty_2Erealax_2Ereal )).

thf(c_2Etransc_2Esqrt_type,type,(
    c_2Etransc_2Esqrt: $i )).

thf(fo__c_2Etransc_2Esqrt_type,type,(
    fo__c_2Etransc_2Esqrt: tp__ty_2Erealax_2Ereal > tp__ty_2Erealax_2Ereal )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: del > $i )).

thf(20,axiom,(
    mem @ c_2Earithmetic_2EZERO @ ty_2Enum_2Enum ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Earithmetic_2EZERO)).

thf(101,plain,(
    mem @ c_2Earithmetic_2EZERO @ ty_2Enum_2Enum ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(13,axiom,(
    mem @ c_2Earithmetic_2EBIT2 @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Earithmetic_2EBIT2)).

thf(88,plain,(
    mem @ c_2Earithmetic_2EBIT2 @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(67,axiom,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( ap @ ( ap @ c_2Ereal_2Epow @ ( inj__ty_2Erealax_2Ereal @ A ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ) ) )
      = ( surj__ty_2Erealax_2Ereal @ ( ap @ ( ap @ c_2Erealax_2Ereal__mul @ ( inj__ty_2Erealax_2Ereal @ A ) ) @ ( inj__ty_2Erealax_2Ereal @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ereal_2EPOW__2)).

thf(217,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( ap @ ( ap @ c_2Ereal_2Epow @ ( inj__ty_2Erealax_2Ereal @ A ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ) ) )
      = ( surj__ty_2Erealax_2Ereal @ ( ap @ ( ap @ c_2Erealax_2Ereal__mul @ ( inj__ty_2Erealax_2Ereal @ A ) ) @ ( inj__ty_2Erealax_2Ereal @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[67])).

thf(61,axiom,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Ecomplex_2Emodu @ A ) )
      = ( ap @ c_2Ecomplex_2Emodu @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ecomplex_2Emodu)).

thf(202,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Ecomplex_2Emodu @ A ) )
      = ( ap @ c_2Ecomplex_2Emodu @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[61])).

thf(40,axiom,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Ecomplex_2ERE @ A ) )
      = ( ap @ c_2Ecomplex_2ERE @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ecomplex_2ERE)).

thf(142,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Ecomplex_2ERE @ A ) )
      = ( ap @ c_2Ecomplex_2ERE @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).

thf(26,axiom,(
    mem @ c_2Ebool_2ET @ bool ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2ET)).

thf(110,plain,(
    mem @ c_2Ebool_2ET @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(59,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ A )
     => ! [D: $i] :
          ( ( mem @ D @ B )
         => ( ( ap @ ( c_2Epair_2ESND @ A @ B ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ B ) @ C ) @ D ) )
            = D ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Epair_2ESND)).

thf(196,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ A )
     => ! [D: $i] :
          ( ( mem @ D @ B )
         => ( ( ap @ ( c_2Epair_2ESND @ A @ B ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ B ) @ C ) @ D ) )
            = D ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[59])).

thf(56,axiom,(
    mem @ c_2Ereal_2Ereal__of__num @ ( arr @ ty_2Enum_2Enum @ ty_2Erealax_2Ereal ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ereal_2Ereal__of__num)).

thf(189,plain,(
    mem @ c_2Ereal_2Ereal__of__num @ ( arr @ ty_2Enum_2Enum @ ty_2Erealax_2Ereal ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[56])).

thf(17,axiom,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_o)).

thf(93,plain,(
    ! [A: $o] :
      ( ( p @ ( inj__o @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(44,axiom,(
    ! [A: tp__ty_2Erealax_2Ereal,B: tp__ty_2Erealax_2Ereal] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Erealax_2Ereal__add @ A @ B ) )
      = ( ap @ ( ap @ c_2Erealax_2Ereal__add @ ( inj__ty_2Erealax_2Ereal @ A ) ) @ ( inj__ty_2Erealax_2Ereal @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Erealax_2Ereal__add)).

thf(152,plain,(
    ! [A: tp__ty_2Erealax_2Ereal,B: tp__ty_2Erealax_2Ereal] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Erealax_2Ereal__add @ A @ B ) )
      = ( ap @ ( ap @ c_2Erealax_2Ereal__add @ ( inj__ty_2Erealax_2Ereal @ A ) ) @ ( inj__ty_2Erealax_2Ereal @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).

thf(23,axiom,(
    mem @ c_2Ecomplex_2ERE @ ( arr @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ty_2Erealax_2Ereal ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ecomplex_2ERE)).

thf(106,plain,(
    mem @ c_2Ecomplex_2ERE @ ( arr @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ty_2Erealax_2Ereal ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(32,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ap_tp)).

thf(121,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(14,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2ESND @ A @ B ) @ ( arr @ ( ty_2Epair_2Eprod @ A @ B ) @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Epair_2ESND)).

thf(89,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2ESND @ A @ B ) @ ( arr @ ( ty_2Epair_2Eprod @ A @ B ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(6,axiom,(
    mem @ c_2Erealax_2Ereal__add @ ( arr @ ty_2Erealax_2Ereal @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Erealax_2Ereal__add)).

thf(74,plain,(
    mem @ c_2Erealax_2Ereal__add @ ( arr @ ty_2Erealax_2Ereal @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(4,axiom,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2ET)).

thf(71,plain,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(72,plain,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    inference(lifteq,[status(thm)],[71])).

thf(96,plain,
    ( ( p @ ( inj__o @ $false ) )
    = $false ),
    inference(instance,[status(thm)],[93])).

thf(97,plain,(
    ~ ( p @ ( inj__o @ $false ) ) ),
    inference(simp,[status(thm)],[96])).

thf(225,plain,
    ( ~ ( p @ c_2Ebool_2ET )
    | ( ( inj__o @ fo__c_2Ebool_2ET )
     != ( inj__o @ $false ) ) ),
    inference(paramod_ordered,[status(thm)],[72,97])).

thf(228,plain,
    ( ~ ( p @ c_2Ebool_2ET )
    | fo__c_2Ebool_2ET ),
    inference(simp,[status(thm)],[225])).

thf(15,axiom,(
    p @ c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_true_p)).

thf(91,plain,(
    p @ c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(229,plain,
    ( ~ $true
    | fo__c_2Ebool_2ET ),
    inference(rewrite,[status(thm)],[228,91])).

thf(230,plain,(
    fo__c_2Ebool_2ET ),
    inference(simp,[status(thm)],[229])).

thf(233,plain,
    ( ( inj__o @ $true )
    = c_2Ebool_2ET ),
    inference(rewrite,[status(thm)],[72,230])).

thf(30,axiom,(
    mem @ c_2Ereal_2Epow @ ( arr @ ty_2Erealax_2Ereal @ ( arr @ ty_2Enum_2Enum @ ty_2Erealax_2Ereal ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ereal_2Epow)).

thf(117,plain,(
    mem @ c_2Ereal_2Epow @ ( arr @ ty_2Erealax_2Ereal @ ( arr @ ty_2Enum_2Enum @ ty_2Erealax_2Ereal ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(12,axiom,(
    ! [A: del,B: del,C: $i > $i] :
      ( ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( C @ D ) @ B ) )
     => ( mem @ ( lam @ A @ C ) @ ( arr @ A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',lam_tp)).

thf(85,plain,(
    ! [A: del,B: del,C: $i > $i] :
      ( ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( C @ D ) @ B ) )
     => ( mem @ ( lam @ A @ C ) @ ( arr @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(21,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( p @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_o)).

thf(102,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( p @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(3,axiom,(
    $true ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2ETRUTH)).

thf(70,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(38,axiom,
    ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Etransc_2Esqrt @ ( ap @ c_2Ereal_2Ereal__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
    = ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ereal_2Ereal__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Etransc_2ESQRT__0)).

thf(137,plain,
    ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Etransc_2Esqrt @ ( ap @ c_2Ereal_2Ereal__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
    = ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ereal_2Ereal__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(16,axiom,(
    mem @ c_2Ecomplex_2Ecomplex__of__real @ ( arr @ ty_2Erealax_2Ereal @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ecomplex_2Ecomplex__of__real)).

thf(92,plain,(
    mem @ c_2Ecomplex_2Ecomplex__of__real @ ( arr @ ty_2Erealax_2Ereal @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(1,conjecture,
    ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Emodu @ ( ap @ c_2Ecomplex_2Ecomplex__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
    = ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ereal_2Ereal__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ecomplex_2EMODU__0)).

thf(2,negated_conjecture,(
    ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Emodu @ ( ap @ c_2Ecomplex_2Ecomplex__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
 != ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ereal_2Ereal__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(68,plain,(
    ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Emodu @ ( ap @ c_2Ecomplex_2Ecomplex__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
 != ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ereal_2Ereal__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(69,plain,(
    ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ereal_2Ereal__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) )
 != ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Emodu @ ( ap @ c_2Ecomplex_2Ecomplex__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) ),
    inference(lifteq,[status(thm)],[68])).

thf(234,plain,(
    ( ap @ c_2Ereal_2Ereal__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) )
 != ( ap @ c_2Ecomplex_2Emodu @ ( ap @ c_2Ecomplex_2Ecomplex__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ),
    inference(simp,[status(thm)],[69])).

thf(235,plain,
    ( ( c_2Ereal_2Ereal__of__num != c_2Ecomplex_2Emodu )
    | ( ( ap @ c_2Ecomplex_2Ecomplex__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) )
     != ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ),
    inference(simp,[status(thm)],[234])).

thf(63,axiom,
    ( ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 )
    = c_2Enum_2E0 ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Enum_2E0)).

thf(208,plain,
    ( ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 )
    = c_2Enum_2E0 ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[63])).

thf(209,plain,
    ( ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 )
    = c_2Enum_2E0 ),
    inference(lifteq,[status(thm)],[208])).

thf(252,plain,
    ( ( c_2Ereal_2Ereal__of__num != c_2Ecomplex_2Emodu )
    | ( ( ap @ c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0 )
     != c_2Enum_2E0 ) ),
    inference(rewrite,[status(thm)],[235,209])).

thf(34,axiom,
    ( ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO )
    = c_2Earithmetic_2EZERO ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Earithmetic_2EZERO)).

thf(126,plain,
    ( ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO )
    = c_2Earithmetic_2EZERO ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(127,plain,
    ( ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO )
    = c_2Earithmetic_2EZERO ),
    inference(lifteq,[status(thm)],[126])).

thf(237,plain,
    ( ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ereal_2Ereal__of__num @ c_2Earithmetic_2EZERO ) )
     != ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Emodu @ ( ap @ c_2Ecomplex_2Ecomplex__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) )
    | ( ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 )
     != ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ),
    inference(paramod_ordered,[status(thm)],[127,69])).

thf(239,plain,
    ( ( ( ap @ c_2Ereal_2Ereal__of__num @ c_2Earithmetic_2EZERO )
     != ( ap @ c_2Ecomplex_2Emodu @ ( ap @ c_2Ecomplex_2Ecomplex__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
    | ( ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 )
     != ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ),
    inference(simp,[status(thm)],[237])).

thf(245,plain,
    ( ( ( ap @ c_2Ereal_2Ereal__of__num @ c_2Earithmetic_2EZERO )
     != ( ap @ c_2Ecomplex_2Emodu @ ( ap @ c_2Ecomplex_2Ecomplex__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
    | ( ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 )
     != c_2Earithmetic_2EZERO ) ),
    inference(rewrite,[status(thm)],[239,127])).

thf(285,plain,
    ( ( ( ap @ c_2Ereal_2Ereal__of__num @ c_2Earithmetic_2EZERO )
     != ( ap @ c_2Ecomplex_2Emodu @ ( ap @ c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0 ) ) )
    | ( c_2Enum_2E0 != c_2Earithmetic_2EZERO ) ),
    inference(rewrite,[status(thm)],[245,209])).

thf(49,axiom,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( ap @ ( ap @ c_2Erealax_2Ereal__mul @ ( inj__ty_2Erealax_2Ereal @ A ) ) @ ( ap @ c_2Ereal_2Ereal__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
      = ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ereal_2Ereal__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ereal_2EREAL__MUL__RZERO)).

thf(169,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( ap @ ( ap @ c_2Erealax_2Ereal__mul @ ( inj__ty_2Erealax_2Ereal @ A ) ) @ ( ap @ c_2Ereal_2Ereal__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
      = ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ereal_2Ereal__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[49])).

thf(8,axiom,(
    ! [A: $o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_o)).

thf(77,plain,(
    ! [A: $o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(58,axiom,(
    ! [A: del,B: $i > $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( lam @ A @ B ) @ C )
        = ( B @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',beta)).

thf(193,plain,(
    ! [A: del,B: $i > $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( lam @ A @ B ) @ C )
        = ( B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[58])).

thf(37,axiom,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2EIM @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
      = ( surj__ty_2Erealax_2Ereal @ ( ap @ ( c_2Epair_2ESND @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_thm_2Ecomplex_2EIM)).

thf(134,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2EIM @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
      = ( surj__ty_2Erealax_2Ereal @ ( ap @ ( c_2Epair_2ESND @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(5,axiom,(
    mem @ c_2Enum_2E0 @ ty_2Enum_2Enum ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Enum_2E0)).

thf(73,plain,(
    mem @ c_2Enum_2E0 @ ty_2Enum_2Enum ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(35,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
            = ( B = C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_eq_p)).

thf(128,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
            = ( B = C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(22,axiom,(
    mem @ c_2Ecomplex_2EIM @ ( arr @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ty_2Erealax_2Ereal ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ecomplex_2EIM)).

thf(105,plain,(
    mem @ c_2Ecomplex_2EIM @ ( arr @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ty_2Erealax_2Ereal ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(62,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Earithmetic_2EBIT2 @ A ) )
      = ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Earithmetic_2EBIT2)).

thf(205,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Earithmetic_2EBIT2 @ A ) )
      = ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[62])).

thf(48,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( surj__ty_2Enum_2Enum @ ( inj__ty_2Enum_2Enum @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_ty_2Enum_2Enum)).

thf(166,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( surj__ty_2Enum_2Enum @ ( inj__ty_2Enum_2Enum @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[48])).

thf(42,axiom,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Ecomplex_2EIM @ A ) )
      = ( ap @ c_2Ecomplex_2EIM @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ecomplex_2EIM)).

thf(148,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Ecomplex_2EIM @ A ) )
      = ( ap @ c_2Ecomplex_2EIM @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).

thf(47,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',funcext)).

thf(161,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[47])).

thf(31,axiom,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal)).

thf(118,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(53,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( mem @ ( inj__ty_2Enum_2Enum @ A ) @ ty_2Enum_2Enum ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_ty_2Enum_2Enum)).

thf(181,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( mem @ ( inj__ty_2Enum_2Enum @ A ) @ ty_2Enum_2Enum ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[53])).

thf(50,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ A )
     => ! [D: $i] :
          ( ( mem @ D @ B )
         => ( ( ap @ ( c_2Epair_2EFST @ A @ B ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ B ) @ C ) @ D ) )
            = C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Epair_2EFST)).

thf(172,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ A )
     => ! [D: $i] :
          ( ( mem @ D @ B )
         => ( ( ap @ ( c_2Epair_2EFST @ A @ B ) @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ A @ B ) @ C ) @ D ) )
            = C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[50])).

thf(28,axiom,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( mem @ ( inj__ty_2Erealax_2Ereal @ A ) @ ty_2Erealax_2Ereal ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_ty_2Erealax_2Ereal)).

thf(112,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( mem @ ( inj__ty_2Erealax_2Ereal @ A ) @ ty_2Erealax_2Ereal ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(113,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( mem @ ( inj__ty_2Erealax_2Ereal @ A ) @ ty_2Erealax_2Ereal ) ),
    inference(cnf,[status(esa)],[112])).

thf(238,plain,
    ( ( ( ap @ c_2Ereal_2Ereal__of__num @ c_2Earithmetic_2EZERO )
     != ( ap @ c_2Ecomplex_2Emodu @ ( ap @ c_2Ecomplex_2Ecomplex__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
    | ( ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 )
     != ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ),
    inference(paramod_ordered,[status(thm)],[127,234])).

thf(242,plain,
    ( ( c_2Ereal_2Ereal__of__num != c_2Ecomplex_2Emodu )
    | ( ( ap @ c_2Ecomplex_2Ecomplex__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) )
     != c_2Earithmetic_2EZERO )
    | ( ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 )
     != ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ),
    inference(simp,[status(thm)],[238])).

thf(246,plain,
    ( ( c_2Ereal_2Ereal__of__num != c_2Ecomplex_2Emodu )
    | ( ( ap @ c_2Ecomplex_2Ecomplex__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) )
     != c_2Earithmetic_2EZERO )
    | ( ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 )
     != c_2Earithmetic_2EZERO ) ),
    inference(rewrite,[status(thm)],[242,127])).

thf(274,plain,
    ( ( c_2Ereal_2Ereal__of__num != c_2Ecomplex_2Emodu )
    | ( ( ap @ c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0 )
     != c_2Earithmetic_2EZERO )
    | ( c_2Enum_2E0 != c_2Earithmetic_2EZERO ) ),
    inference(rewrite,[status(thm)],[246,209])).

thf(10,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(81,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(7,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(75,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(76,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(cnf,[status(esa)],[75])).

thf(18,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2EFST @ A @ B ) @ ( arr @ ( ty_2Epair_2Eprod @ A @ B ) @ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Epair_2EFST)).

thf(98,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2EFST @ A @ B ) @ ( arr @ ( ty_2Epair_2Eprod @ A @ B ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(65,axiom,(
    mem @ c_2Ecomplex_2Emodu @ ( arr @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ty_2Erealax_2Ereal ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ecomplex_2Emodu)).

thf(213,plain,(
    mem @ c_2Ecomplex_2Emodu @ ( arr @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ty_2Erealax_2Ereal ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[65])).

thf(251,plain,(
    ( ap @ c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 )
 != ( ap @ c_2Ecomplex_2Emodu @ ( ap @ c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0 ) ) ),
    inference(rewrite,[status(thm)],[234,209])).

thf(45,axiom,(
    ! [A: tp__ty_2Erealax_2Ereal,B: tp__ty_2Erealax_2Ereal] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Erealax_2Ereal__mul @ A @ B ) )
      = ( ap @ ( ap @ c_2Erealax_2Ereal__mul @ ( inj__ty_2Erealax_2Ereal @ A ) ) @ ( inj__ty_2Erealax_2Ereal @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Erealax_2Ereal__mul)).

thf(155,plain,(
    ! [A: tp__ty_2Erealax_2Ereal,B: tp__ty_2Erealax_2Ereal] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Erealax_2Ereal__mul @ A @ B ) )
      = ( ap @ ( ap @ c_2Erealax_2Ereal__mul @ ( inj__ty_2Erealax_2Ereal @ A ) ) @ ( inj__ty_2Erealax_2Ereal @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[45])).

thf(25,axiom,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( mem @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal)).

thf(108,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( mem @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(223,plain,(
    ( p @ ( inj__o @ $false ) )
 != ( p @ c_2Ebool_2ET ) ),
    inference(paramod_ordered,[status(thm)],[91,97])).

thf(226,plain,(
    ( inj__o @ $false )
 != c_2Ebool_2ET ),
    inference(simp,[status(thm)],[223])).

thf(9,axiom,(
    mem @ c_2Erealax_2Ereal__mul @ ( arr @ ty_2Erealax_2Ereal @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Erealax_2Ereal__mul)).

thf(80,plain,(
    mem @ c_2Erealax_2Ereal__mul @ ( arr @ ty_2Erealax_2Ereal @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(33,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Enum_2Enum )
     => ( A
        = ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_ty_2Enum_2Enum)).

thf(123,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Enum_2Enum )
     => ( A
        = ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(41,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Earithmetic_2ENUMERAL @ A ) )
      = ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Earithmetic_2ENUMERAL)).

thf(145,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Enum_2Enum @ ( fo__c_2Earithmetic_2ENUMERAL @ A ) )
      = ( ap @ c_2Earithmetic_2ENUMERAL @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).

thf(241,plain,
    ( ( ( ap @ c_2Ereal_2Ereal__of__num @ c_2Earithmetic_2EZERO )
     != ( ap @ c_2Ecomplex_2Emodu @ ( ap @ c_2Ecomplex_2Ecomplex__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
    | ( fo__c_2Enum_2E0 != fo__c_2Earithmetic_2EZERO ) ),
    inference(simp,[status(thm)],[237])).

thf(282,plain,
    ( ( ( ap @ c_2Ereal_2Ereal__of__num @ c_2Earithmetic_2EZERO )
     != ( ap @ c_2Ecomplex_2Emodu @ ( ap @ c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0 ) ) )
    | ( fo__c_2Enum_2E0 != fo__c_2Earithmetic_2EZERO ) ),
    inference(rewrite,[status(thm)],[241,209])).

thf(60,axiom,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( ap @ ( ap @ c_2Erealax_2Ereal__add @ ( inj__ty_2Erealax_2Ereal @ A ) ) @ ( ap @ c_2Ereal_2Ereal__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ereal_2EREAL__ADD__RID)).

thf(199,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( ap @ ( ap @ c_2Erealax_2Ereal__add @ ( inj__ty_2Erealax_2Ereal @ A ) ) @ ( ap @ c_2Ereal_2Ereal__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[60])).

thf(182,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( mem @ ( inj__ty_2Enum_2Enum @ A ) @ ty_2Enum_2Enum ) ),
    inference(cnf,[status(esa)],[181])).

thf(51,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Erealax_2Ereal )
     => ( A
        = ( inj__ty_2Erealax_2Ereal @ ( surj__ty_2Erealax_2Ereal @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_ty_2Erealax_2Ereal)).

thf(175,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Erealax_2Ereal )
     => ( A
        = ( inj__ty_2Erealax_2Ereal @ ( surj__ty_2Erealax_2Ereal @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[51])).

thf(250,plain,(
    ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
 != ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Emodu @ ( ap @ c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0 ) ) ) ),
    inference(rewrite,[status(thm)],[69,209])).

thf(46,axiom,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( inj__ty_2Erealax_2Ereal @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_ty_2Erealax_2Ereal)).

thf(158,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( inj__ty_2Erealax_2Ereal @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[46])).

thf(55,axiom,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Emodu @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
      = ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Etransc_2Esqrt @ ( ap @ ( ap @ c_2Erealax_2Ereal__add @ ( ap @ ( ap @ c_2Ereal_2Epow @ ( ap @ c_2Ecomplex_2ERE @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ) ) ) @ ( ap @ ( ap @ c_2Ereal_2Epow @ ( ap @ c_2Ecomplex_2EIM @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_thm_2Ecomplex_2Emodu)).

thf(186,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Emodu @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
      = ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Etransc_2Esqrt @ ( ap @ ( ap @ c_2Erealax_2Ereal__add @ ( ap @ ( ap @ c_2Ereal_2Epow @ ( ap @ c_2Ecomplex_2ERE @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ) ) ) @ ( ap @ ( ap @ c_2Ereal_2Epow @ ( ap @ c_2Ecomplex_2EIM @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) @ ( ap @ c_2Earithmetic_2ENUMERAL @ ( ap @ c_2Earithmetic_2EBIT2 @ ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[55])).

thf(29,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) )
     => ( A
        = ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal)).

thf(114,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) )
     => ( A
        = ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(39,axiom,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Etransc_2Esqrt @ A ) )
      = ( ap @ c_2Etransc_2Esqrt @ ( inj__ty_2Erealax_2Ereal @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Etransc_2Esqrt)).

thf(139,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Etransc_2Esqrt @ A ) )
      = ( ap @ c_2Etransc_2Esqrt @ ( inj__ty_2Erealax_2Ereal @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).

thf(244,plain,
    ( ( c_2Ereal_2Ereal__of__num != c_2Ecomplex_2Emodu )
    | ( ( ap @ c_2Ecomplex_2Ecomplex__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) )
     != c_2Earithmetic_2EZERO )
    | ( fo__c_2Enum_2E0 != fo__c_2Earithmetic_2EZERO ) ),
    inference(simp,[status(thm)],[238])).

thf(272,plain,
    ( ( c_2Ereal_2Ereal__of__num != c_2Ecomplex_2Emodu )
    | ( ( ap @ c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0 )
     != c_2Earithmetic_2EZERO )
    | ( fo__c_2Enum_2E0 != fo__c_2Earithmetic_2EZERO ) ),
    inference(rewrite,[status(thm)],[244,209])).

thf(82,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(cnf,[status(esa)],[81])).

thf(66,axiom,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__of__real @ ( inj__ty_2Erealax_2Ereal @ A ) ) )
      = ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( inj__ty_2Erealax_2Ereal @ A ) ) @ ( ap @ c_2Ereal_2Ereal__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_thm_2Ecomplex_2Ecomplex__of__real)).

thf(214,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__of__real @ ( inj__ty_2Erealax_2Ereal @ A ) ) )
      = ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ ( ap @ ( c_2Epair_2E_2C @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( inj__ty_2Erealax_2Ereal @ A ) ) @ ( ap @ c_2Ereal_2Ereal__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[66])).

thf(240,plain,
    ( ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ereal_2Ereal__of__num @ c_2Earithmetic_2EZERO ) )
     != ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Emodu @ ( ap @ c_2Ecomplex_2Ecomplex__of__num @ ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) ) ) ) )
    | ( fo__c_2Enum_2E0 != fo__c_2Earithmetic_2EZERO ) ),
    inference(simp,[status(thm)],[237])).

thf(287,plain,
    ( ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ereal_2Ereal__of__num @ c_2Earithmetic_2EZERO ) )
     != ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Emodu @ ( ap @ c_2Ecomplex_2Ecomplex__of__num @ c_2Enum_2E0 ) ) ) )
    | ( fo__c_2Enum_2E0 != fo__c_2Earithmetic_2EZERO ) ),
    inference(rewrite,[status(thm)],[240,209])).

thf(43,axiom,(
    mem @ c_2Ecomplex_2Ecomplex__of__num @ ( arr @ ty_2Enum_2Enum @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ecomplex_2Ecomplex__of__num)).

thf(151,plain,(
    mem @ c_2Ecomplex_2Ecomplex__of__num @ ( arr @ ty_2Enum_2Enum @ ( ty_2Epair_2Eprod @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).

thf(57,axiom,(
    ! [A: tp__ty_2Erealax_2Ereal,B: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Ereal_2Epow @ A @ B ) )
      = ( ap @ ( ap @ c_2Ereal_2Epow @ ( inj__ty_2Erealax_2Ereal @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ereal_2Epow)).

thf(190,plain,(
    ! [A: tp__ty_2Erealax_2Ereal,B: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Ereal_2Epow @ A @ B ) )
      = ( ap @ ( ap @ c_2Ereal_2Epow @ ( inj__ty_2Erealax_2Ereal @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[57])).

thf(54,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__of__num @ ( inj__ty_2Enum_2Enum @ A ) ) )
      = ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__of__real @ ( ap @ c_2Ereal_2Ereal__of__num @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_thm_2Ecomplex_2Ecomplex__of__num)).

thf(183,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__of__num @ ( inj__ty_2Enum_2Enum @ A ) ) )
      = ( surj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2Ecomplex__of__real @ ( ap @ c_2Ereal_2Ereal__of__num @ ( inj__ty_2Enum_2Enum @ A ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[54])).

thf(248,plain,
    ( ( c_2Ereal_2Ereal__of__num != c_2Ecomplex_2Emodu )
    | ( ( ap @ c_2Ecomplex_2Ecomplex__of__num @ c_2Earithmetic_2EZERO )
     != ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) )
    | ( ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 )
     != ( inj__ty_2Enum_2Enum @ fo__c_2Earithmetic_2EZERO ) ) ),
    inference(paramod_ordered,[status(thm)],[127,235])).

thf(249,plain,
    ( ( c_2Ereal_2Ereal__of__num != c_2Ecomplex_2Emodu )
    | ( ( ap @ c_2Ecomplex_2Ecomplex__of__num @ c_2Earithmetic_2EZERO )
     != ( inj__ty_2Enum_2Enum @ fo__c_2Enum_2E0 ) )
    | ( fo__c_2Enum_2E0 != fo__c_2Earithmetic_2EZERO ) ),
    inference(simp,[status(thm)],[248])).

thf(273,plain,
    ( ( c_2Ereal_2Ereal__of__num != c_2Ecomplex_2Emodu )
    | ( ( ap @ c_2Ecomplex_2Ecomplex__of__num @ c_2Earithmetic_2EZERO )
     != c_2Enum_2E0 )
    | ( fo__c_2Enum_2E0 != fo__c_2Earithmetic_2EZERO ) ),
    inference(rewrite,[status(thm)],[249,209])).

thf(64,axiom,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2ERE @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
      = ( surj__ty_2Erealax_2Ereal @ ( ap @ ( c_2Epair_2EFST @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_thm_2Ecomplex_2ERE)).

thf(210,plain,(
    ! [A: tp__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( ap @ c_2Ecomplex_2ERE @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) )
      = ( surj__ty_2Erealax_2Ereal @ ( ap @ ( c_2Epair_2EFST @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) @ ( inj__c_ty_2Epair_2Eprod_ty_2Erealax_2Ereal_ty_2Erealax_2Ereal @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[64])).

thf(24,axiom,(
    mem @ c_2Etransc_2Esqrt @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Etransc_2Esqrt)).

thf(107,plain,(
    mem @ c_2Etransc_2Esqrt @ ( arr @ ty_2Erealax_2Ereal @ ty_2Erealax_2Ereal ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(79,plain,(
    mem @ ( inj__o @ $false ) @ bool ),
    inference(instance,[status(thm)],[77])).

thf(36,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
        = ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_all_p)).

thf(131,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
        = ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(52,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Ereal_2Ereal__of__num @ A ) )
      = ( ap @ c_2Ereal_2Ereal__of__num @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ereal_2Ereal__of__num)).

thf(178,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( inj__ty_2Erealax_2Ereal @ ( fo__c_2Ereal_2Ereal__of__num @ A ) )
      = ( ap @ c_2Ereal_2Ereal__of__num @ ( inj__ty_2Enum_2Enum @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[52])).

thf(27,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( B = B )
        = $true ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2EREFL__CLAUSE)).

thf(111,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(11,axiom,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2E_2C @ A @ B ) @ ( arr @ A @ ( arr @ B @ ( ty_2Epair_2Eprod @ A @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Epair_2E_2C)).

thf(83,plain,(
    ! [A: del,B: del] :
      ( mem @ ( c_2Epair_2E_2C @ A @ B ) @ ( arr @ A @ ( arr @ B @ ( ty_2Epair_2Eprod @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(19,axiom,(
    mem @ c_2Earithmetic_2ENUMERAL @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Earithmetic_2ENUMERAL)).

thf(100,plain,(
    mem @ c_2Earithmetic_2ENUMERAL @ ( arr @ ty_2Enum_2Enum @ ty_2Enum_2Enum ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(2238,plain,(
    $false ),
    inference(e,[status(thm)],[101,88,217,202,142,110,196,189,93,152,106,121,89,74,233,117,85,102,70,137,92,252,97,285,169,77,193,134,73,128,105,205,166,148,161,118,71,181,172,113,274,81,230,76,98,208,213,91,251,155,108,226,80,209,112,123,145,282,199,182,127,175,250,158,186,114,139,75,272,82,214,287,151,190,183,273,210,107,126,79,131,68,178,111,83,100])).
%------------------------------------------------------------------------------
