%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:43:56 EDT 2019

% Result     : Theorem 6.34s
% Output     : CNFRefutation 6.34s
% Verified   : 
% Statistics : Number of formulae       :   45 (  45 expanded)
%              Number of leaves         :   30 (  30 expanded)
%              Depth                    :    3
%              Number of atoms          :  219 ( 219 expanded)
%              Number of equality atoms :   33 (  33 expanded)
%              Maximal formula depth    :   12 (   5 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Eiterate_2E_2E_2E_type,type,(
    c_2Eiterate_2E_2E_2E: tyop_2Enum_2Enum > tyop_2Enum_2Enum > tyop_2Enum_2Enum > $o )).

thf(c_2Ebool_2E_2F_5C_type,type,(
    c_2Ebool_2E_2F_5C: $o > $o > $o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: 
      !>[TA: $tType] :
        ( TA > TA > $o ) )).

thf(c_2Emin_2E_3D_3D_3E_type,type,(
    c_2Emin_2E_3D_3D_3E: $o > $o > $o )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Epred__set_2EFINITE_type,type,(
    c_2Epred__set_2EFINITE: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Eiterate_2ESum_type,type,(
    c_2Eiterate_2ESum: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal ) )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Ebool_2E_5C_2F_type,type,(
    c_2Ebool_2E_5C_2F: $o > $o > $o )).

thf(c_2Ereal_2Eabs_type,type,(
    c_2Ereal_2Eabs: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Ereal_2Ereal__lte_type,type,(
    c_2Ereal_2Ereal__lte: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ebool_2E_7E_type,type,(
    c_2Ebool_2E_7E: $o > $o )).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(56,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_5C_2F @ A @ B )
      = ( A
        | B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(11,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(42,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Emin_2E_3D_3D_3E @ A @ B )
      = ( A
       => B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(5,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(21,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(8,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(33,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(14,axiom,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(65,plain,(
    ! [A: $o,B: $o] :
      ( ( c_2Ebool_2E_2F_5C @ A @ B )
      = ( A
        & B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(7,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(32,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(3,axiom,(
    ! [TA: $tType,A: TA > tyop_2Erealax_2Ereal,B: TA > $o] :
      ( ( c_2Epred__set_2EFINITE @ TA @ B )
     => ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Eabs @ ( c_2Eiterate_2ESum @ TA @ B @ A ) )
        @ ( c_2Eiterate_2ESum @ TA @ B
          @ ^ [C: TA] :
              ( c_2Ereal_2Eabs @ ( A @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eiterate_2ESUM__ABS)).

thf(17,plain,(
    ! [TA: $tType,A: TA > tyop_2Erealax_2Ereal,B: TA > $o] :
      ( ( c_2Epred__set_2EFINITE @ TA @ B )
     => ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Eabs @ ( c_2Eiterate_2ESum @ TA @ B @ A ) )
        @ ( c_2Eiterate_2ESum @ TA @ B
          @ ^ [C: TA] :
              ( c_2Ereal_2Eabs @ ( A @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(10,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(39,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( c_2Emin_2E_3D @ TA @ A @ B )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(9,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(36,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_21 @ TA @ A )
      = ( ! [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(6,axiom,(
    ! [TA: $tType,A: $o] :
      ( ( ! [B: TA] : A )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).

thf(30,plain,(
    ! [TA: $tType] : $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(12,axiom,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(51,plain,(
    ! [A: $o] :
      ( ( c_2Ebool_2E_7E @ A )
      = ( ~ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(4,axiom,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( c_2Epred__set_2EFINITE @ tyop_2Enum_2Enum @ ( c_2Eiterate_2E_2E_2E @ A @ B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eiterate_2EFINITE__NUMSEG)).

thf(19,plain,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( c_2Epred__set_2EFINITE @ tyop_2Enum_2Enum @ ( c_2Eiterate_2E_2E_2E @ A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(1,conjecture,(
    ! [A: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal,B: tyop_2Enum_2Enum,C: tyop_2Enum_2Enum] :
      ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Eabs @ ( c_2Eiterate_2ESum @ tyop_2Enum_2Enum @ ( c_2Eiterate_2E_2E_2E @ B @ C ) @ A ) )
      @ ( c_2Eiterate_2ESum @ tyop_2Enum_2Enum @ ( c_2Eiterate_2E_2E_2E @ B @ C )
        @ ^ [D: tyop_2Enum_2Enum] :
            ( c_2Ereal_2Eabs @ ( A @ D ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eiterate_2ESUM__ABS__NUMSEG)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal,B: tyop_2Enum_2Enum,C: tyop_2Enum_2Enum] :
        ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Eabs @ ( c_2Eiterate_2ESum @ tyop_2Enum_2Enum @ ( c_2Eiterate_2E_2E_2E @ B @ C ) @ A ) )
        @ ( c_2Eiterate_2ESum @ tyop_2Enum_2Enum @ ( c_2Eiterate_2E_2E_2E @ B @ C )
          @ ^ [D: tyop_2Enum_2Enum] :
              ( c_2Ereal_2Eabs @ ( A @ D ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(15,plain,(
    ~ ! [A: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal,B: tyop_2Enum_2Enum,C: tyop_2Enum_2Enum] :
        ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Eabs @ ( c_2Eiterate_2ESum @ tyop_2Enum_2Enum @ ( c_2Eiterate_2E_2E_2E @ B @ C ) @ A ) )
        @ ( c_2Eiterate_2ESum @ tyop_2Enum_2Enum @ ( c_2Eiterate_2E_2E_2E @ B @ C )
          @ ^ [D: tyop_2Enum_2Enum] :
              ( c_2Ereal_2Eabs @ ( A @ D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(74,plain,(
    $false ),
    inference(cvc4,[status(thm)],[56,42,21,33,65,32,17,39,36,30,51,19,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.07/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.07/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.07/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.07/0.13  % CPULimit   : 300
% 0.07/0.13  % DateTime   : Wed Jul 31 10:47:38 EDT 2019
% 0.07/0.13  % CPUTime    : 
% 2.78/1.23  % [INFO] 	 Running in sequential loop mode. 
% 3.54/1.43  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 3.81/1.50  % [INFO] 	 iprover registered as external prover. 
% 3.81/1.50  % [INFO] 	 e registered as external prover. 
% 3.81/1.50  % [INFO] 	 cvc4 registered as external prover. 
% 3.81/1.50  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.25/1.56  % [INFO] 	 Found a conjecture and 12 axioms. Running axiom selection ... 
% 4.25/1.60  % [INFO] 	 Axiom selection finished. Selected 12 axioms (removed 0 axioms). 
% 4.25/1.63  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.34/2.24  % [INFO] 	 Killing All external provers ... 
% 6.34/2.24  % Time passed: 1963ms
% 6.34/2.24  % Effective reasoning time: 1008ms
% 6.34/2.24  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.34/2.24  % Axioms used in derivation (12): logicdef_2E_3D, thm_2Eiterate_2ESUM__ABS, thm_2Ebool_2EEQ__CLAUSES, logicdef_2E_5C_2F, quantdef_2E_21, thm_2Ebool_2ETRUTH, logicdef_2E_3D_3D_3E, thm_2Ebool_2EFORALL__SIMP, thm_2Eiterate_2EFINITE__NUMSEG, logicdef_2E_2F_5C, logicdef_2E_7E, quantdef_2E_3F
% 6.34/2.24  % No. of inferences in proof: 28
% 6.34/2.24  % No. of processed clauses: 1
% 6.34/2.24  % No. of generated clauses: 0
% 6.34/2.24  % No. of forward subsumed clauses: 0
% 6.34/2.24  % No. of backward subsumed clauses: 0
% 6.34/2.24  % No. of ground rewrite rules in store: 1
% 6.34/2.24  % No. of non-ground rewrite rules in store: 0
% 6.34/2.24  % No. of positive (non-rewrite) units in store: 0
% 6.34/2.24  % No. of negative (non-rewrite) units in store: 0
% 6.34/2.24  % No. of choice functions detected: 0
% 6.34/2.24  % No. of choice instantiations: 0
% 6.34/2.24  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 1963 ms resp. 1008 ms w/o parsing
% 6.34/2.28  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.34/2.28  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.34/2.28  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 6.34/2.28  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 6.34/2.28  thf(c_2Ebool_2E_21_type, type, c_2Ebool_2E_21: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.34/2.28  thf(c_2Eiterate_2E_2E_2E_type, type, c_2Eiterate_2E_2E_2E: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > $o)))).
% 6.34/2.28  thf(c_2Ebool_2E_2F_5C_type, type, c_2Ebool_2E_2F_5C: ($o > ($o > $o))).
% 6.34/2.28  thf(c_2Emin_2E_3D_type, type, c_2Emin_2E_3D: !>[TA: $tType]: (TA > (TA > $o))).
% 6.34/2.28  thf(c_2Emin_2E_3D_3D_3E_type, type, c_2Emin_2E_3D_3D_3E: ($o > ($o > $o))).
% 6.34/2.28  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.34/2.28  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 6.34/2.28  thf(c_2Epred__set_2EFINITE_type, type, c_2Epred__set_2EFINITE: !>[TA: $tType]: ((TA > $o) > $o)).
% 6.34/2.28  thf(c_2Eiterate_2ESum_type, type, c_2Eiterate_2ESum: !>[TA: $tType]: ((TA > $o) > ((TA > tyop_2Erealax_2Ereal) > tyop_2Erealax_2Ereal))).
% 6.34/2.28  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 6.34/2.28  thf(c_2Ebool_2E_5C_2F_type, type, c_2Ebool_2E_5C_2F: ($o > ($o > $o))).
% 6.34/2.28  thf(c_2Ereal_2Eabs_type, type, c_2Ereal_2Eabs: (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)).
% 6.34/2.28  thf(c_2Ereal_2Ereal__lte_type, type, c_2Ereal_2Ereal__lte: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 6.34/2.28  thf(c_2Ebool_2E_7E_type, type, c_2Ebool_2E_7E: ($o > $o)).
% 6.34/2.28  thf(13,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).
% 6.34/2.28  thf(56,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_5C_2F @ A @ B) = ((A) | (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 6.34/2.28  thf(11,axiom,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).
% 6.34/2.28  thf(42,plain,((! [A:$o,B:$o]: ((c_2Emin_2E_3D_3D_3E @ A @ B) = ((A) => (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 6.34/2.28  thf(5,axiom,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).
% 6.34/2.28  thf(21,plain,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.34/2.28  thf(8,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 6.34/2.28  thf(33,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 6.34/2.28  thf(14,axiom,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).
% 6.34/2.28  thf(65,plain,((! [A:$o,B:$o]: ((c_2Ebool_2E_2F_5C @ A @ B) = ((A) & (B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 6.34/2.28  thf(7,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 6.34/2.28  thf(32,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 6.34/2.28  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > tyop_2Erealax_2Ereal),B:(TA > $o)]: ((c_2Epred__set_2EFINITE @ TA @ B) => (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Eabs @ (c_2Eiterate_2ESum @ TA @ B @ A)) @ (c_2Eiterate_2ESum @ TA @ B @ (^ [C:TA]: (c_2Ereal_2Eabs @ (A @ C))))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eiterate_2ESUM__ABS)).
% 6.34/2.28  thf(17,plain,((! [TA: $tType]: (! [A:(TA > tyop_2Erealax_2Ereal),B:(TA > $o)]: ((c_2Epred__set_2EFINITE @ TA @ (B)) => (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Eabs @ (c_2Eiterate_2ESum @ TA @ (B) @ (A))) @ (c_2Eiterate_2ESum @ TA @ (B) @ (^ [C:TA]: (c_2Ereal_2Eabs @ (A @ C))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.34/2.28  thf(10,axiom,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_3D)).
% 6.34/2.28  thf(39,plain,((! [TA: $tType]: (! [A:TA,B:TA]: ((c_2Emin_2E_3D @ TA @ A @ B) = (A = B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 6.34/2.28  thf(9,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ A) = (! [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_21)).
% 6.34/2.28  thf(36,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_21 @ TA @ (A)) = (! [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 6.34/2.28  thf(6,axiom,((! [TA: $tType]: (! [A:$o]: ((! [B:TA]: (A)) = A)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).
% 6.34/2.28  thf(30,plain,((! [TA: $tType]: ($true))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 6.34/2.28  thf(12,axiom,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',logicdef_2E_7E)).
% 6.34/2.28  thf(51,plain,((! [A:$o]: ((c_2Ebool_2E_7E @ A) = (~ (A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 6.34/2.28  thf(4,axiom,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: (c_2Epred__set_2EFINITE @ tyop_2Enum_2Enum @ (c_2Eiterate_2E_2E_2E @ A @ B)))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eiterate_2EFINITE__NUMSEG)).
% 6.34/2.28  thf(19,plain,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: (c_2Epred__set_2EFINITE @ tyop_2Enum_2Enum @ (c_2Eiterate_2E_2E_2E @ A @ B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.34/2.28  thf(1,conjecture,((! [A:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal),B:tyop_2Enum_2Enum,C:tyop_2Enum_2Enum]: (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Eabs @ (c_2Eiterate_2ESum @ tyop_2Enum_2Enum @ (c_2Eiterate_2E_2E_2E @ B @ C) @ A)) @ (c_2Eiterate_2ESum @ tyop_2Enum_2Enum @ (c_2Eiterate_2E_2E_2E @ B @ C) @ (^ [D:tyop_2Enum_2Enum]: (c_2Ereal_2Eabs @ (A @ D))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Eiterate_2ESUM__ABS__NUMSEG)).
% 6.34/2.28  thf(2,negated_conjecture,((~ (! [A:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal),B:tyop_2Enum_2Enum,C:tyop_2Enum_2Enum]: (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Eabs @ (c_2Eiterate_2ESum @ tyop_2Enum_2Enum @ (c_2Eiterate_2E_2E_2E @ B @ C) @ A)) @ (c_2Eiterate_2ESum @ tyop_2Enum_2Enum @ (c_2Eiterate_2E_2E_2E @ B @ C) @ (^ [D:tyop_2Enum_2Enum]: (c_2Ereal_2Eabs @ (A @ D)))))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.34/2.28  thf(15,plain,((~ (! [A:(tyop_2Enum_2Enum > tyop_2Erealax_2Ereal),B:tyop_2Enum_2Enum,C:tyop_2Enum_2Enum]: (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Eabs @ (c_2Eiterate_2ESum @ tyop_2Enum_2Enum @ (c_2Eiterate_2E_2E_2E @ B @ C) @ (A))) @ (c_2Eiterate_2ESum @ tyop_2Enum_2Enum @ (c_2Eiterate_2E_2E_2E @ B @ C) @ (^ [D:tyop_2Enum_2Enum]: (c_2Ereal_2Eabs @ (A @ D)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.34/2.28  thf(74,plain,($false),inference(cvc4,[status(thm)],[56,42,21,33,65,32,17,39,36,30,51,19,15])).
% 6.34/2.28  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.34/2.28  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
