%------------------------------------------------------------------------------
thf(del_type,type,(
    del: $tType )).

thf(bool_type,type,(
    bool: del )).

thf(arr_type,type,(
    arr: del > del > del )).

thf(mem_type,type,(
    mem: $i > del > $o )).

thf(ap_type,type,(
    ap: $i > $i > $i )).

thf(k_type,type,(
    k: del > $i > $i )).

thf(i_type,type,(
    i: del > $i )).

thf(p_type,type,(
    p: $i > $o )).

thf(tp__o_type,type,(
    tp__o: $tType )).

thf(inj__o_type,type,(
    inj__o: tp__o > $i )).

thf(surj__o_type,type,(
    surj__o: $i > tp__o )).

thf(c_2Emin_2E_3D_type,type,(
    c_2Emin_2E_3D: del > $i )).

thf(c_2Ebool_2E_21_type,type,(
    c_2Ebool_2E_21: del > $i )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $i )).

thf(fo__c_2Ebool_2ET_type,type,(
    fo__c_2Ebool_2ET: tp__o )).

thf(ty_2Enum_2Enum_type,type,(
    ty_2Enum_2Enum: del )).

thf(tp__ty_2Enum_2Enum_type,type,(
    tp__ty_2Enum_2Enum: $tType )).

thf(inj__ty_2Enum_2Enum_type,type,(
    inj__ty_2Enum_2Enum: tp__ty_2Enum_2Enum > $i )).

thf(surj__ty_2Enum_2Enum_type,type,(
    surj__ty_2Enum_2Enum: $i > tp__ty_2Enum_2Enum )).

thf(c_2Epred__set_2EEMPTY_type,type,(
    c_2Epred__set_2EEMPTY: del > $i )).

thf(c_2Epred__set_2EINSERT_type,type,(
    c_2Epred__set_2EINSERT: del > $i )).

thf(ty_2Erealax_2Ereal_type,type,(
    ty_2Erealax_2Ereal: del )).

thf(tp__ty_2Erealax_2Ereal_type,type,(
    tp__ty_2Erealax_2Ereal: $tType )).

thf(inj__ty_2Erealax_2Ereal_type,type,(
    inj__ty_2Erealax_2Ereal: tp__ty_2Erealax_2Ereal > $i )).

thf(surj__ty_2Erealax_2Ereal_type,type,(
    surj__ty_2Erealax_2Ereal: $i > tp__ty_2Erealax_2Ereal )).

thf(c_2Eiterate_2E_2E_2E_type,type,(
    c_2Eiterate_2E_2E_2E: $i )).

thf(fo__c_2Eiterate_2E_2E_2E_type,type,(
    fo__c_2Eiterate_2E_2E_2E: tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum > tp__ty_2Enum_2Enum > tp__o )).

thf(c_2Eiterate_2ESum_type,type,(
    c_2Eiterate_2ESum: del > $i )).

thf(26,axiom,(
    mem @ c_2Ebool_2ET @ bool ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2ET)).

thf(101,plain,(
    mem @ c_2Ebool_2ET @ bool ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(12,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( B = B )
      <=> $true ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2EREFL__CLAUSE)).

thf(56,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(5,axiom,(
    p @ c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_true_p)).

thf(42,plain,(
    p @ c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(30,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
      <=> ! [C: $i] :
            ( ( mem @ C @ A )
           => ( p @ ( ap @ B @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_all_p)).

thf(110,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ bool ) )
     => ( ( ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) )
         => ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) ) )
        & ( ! [C: $i] :
              ( ( mem @ C @ A )
             => ( p @ ( ap @ B @ C ) ) )
         => ( p @ ( ap @ ( c_2Ebool_2E_21 @ A ) @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(13,axiom,(
    ! [A: del,B: tp__o] :
      ( ! [C: $i] :
          ( ( mem @ C @ A )
         => ( p @ ( inj__o @ B ) ) )
    <=> ( p @ ( inj__o @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2EFORALL__SIMP)).

thf(57,plain,(
    ! [A: del,B: tp__o] :
      ( ( ! [C: $i] :
            ( ( mem @ C @ A )
           => ( p @ ( inj__o @ B ) ) )
       => ( p @ ( inj__o @ B ) ) )
      & ( ( p @ ( inj__o @ B ) )
       => ! [C: $i] :
            ( ( mem @ C @ A )
           => ( p @ ( inj__o @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(19,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
          <=> ( B = C ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ax_eq_p)).

thf(78,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) )
             => ( B = C ) )
            & ( ( B = C )
             => ( p @ ( ap @ ( ap @ ( c_2Emin_2E_3D @ A ) @ B ) @ C ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(20,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Enum_2Enum )
     => ( A
        = ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_ty_2Enum_2Enum)).

thf(84,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Enum_2Enum )
     => ( A
        = ( inj__ty_2Enum_2Enum @ ( surj__ty_2Enum_2Enum @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(22,axiom,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( inj__ty_2Erealax_2Ereal @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_ty_2Erealax_2Ereal)).

thf(89,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( ( surj__ty_2Erealax_2Ereal @ ( inj__ty_2Erealax_2Ereal @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(32,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Epred__set_2EINSERT @ A ) @ ( arr @ A @ ( arr @ ( arr @ A @ bool ) @ ( arr @ A @ bool ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Epred__set_2EINSERT)).

thf(116,plain,(
    ! [A: del] :
      ( mem @ ( c_2Epred__set_2EINSERT @ A ) @ ( arr @ A @ ( arr @ ( arr @ A @ bool ) @ ( arr @ A @ bool ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(17,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Epred__set_2EEMPTY @ A ) @ ( arr @ A @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Epred__set_2EEMPTY)).

thf(74,plain,(
    ! [A: del] :
      ( mem @ ( c_2Epred__set_2EEMPTY @ A ) @ ( arr @ A @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(27,axiom,(
    ! [A: del,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',kbeta)).

thf(102,plain,(
    ! [A: del,B: $i,C: $i] :
      ( ( mem @ C @ A )
     => ( ( ap @ ( k @ A @ B ) @ C )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(3,axiom,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_o)).

thf(38,plain,(
    ! [A: tp__o] :
      ( ( surj__o @ ( inj__o @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(23,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( ap @ ( ap @ c_2Eiterate_2E_2E_2E @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ A ) )
      = ( ap @ ( ap @ ( c_2Epred__set_2EINSERT @ ty_2Enum_2Enum ) @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( c_2Epred__set_2EEMPTY @ ty_2Enum_2Enum ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Eiterate_2ENUMSEG__SING)).

thf(92,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( ap @ ( ap @ c_2Eiterate_2E_2E_2E @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ A ) )
      = ( ap @ ( ap @ ( c_2Epred__set_2EINSERT @ ty_2Enum_2Enum ) @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( c_2Epred__set_2EEMPTY @ ty_2Enum_2Enum ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(10,axiom,(
    mem @ c_2Eiterate_2E_2E_2E @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ bool ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Eiterate_2E_2E_2E)).

thf(53,plain,(
    mem @ c_2Eiterate_2E_2E_2E @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ ( arr @ ty_2Enum_2Enum @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(4,axiom,(
    $true ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Ebool_2ETRUTH)).

thf(41,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(28,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Eiterate_2ESum @ A ) @ ( arr @ ( arr @ A @ bool ) @ ( arr @ ( arr @ A @ ty_2Erealax_2Ereal ) @ ty_2Erealax_2Ereal ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Eiterate_2ESum)).

thf(105,plain,(
    ! [A: del] :
      ( mem @ ( c_2Eiterate_2ESum @ A ) @ ( arr @ ( arr @ A @ bool ) @ ( arr @ ( arr @ A @ ty_2Erealax_2Ereal ) @ ty_2Erealax_2Ereal ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(1,conjecture,(
    ! [A: $i] :
      ( ( mem @ A @ ( arr @ ty_2Enum_2Enum @ ty_2Erealax_2Ereal ) )
     => ! [B: tp__ty_2Enum_2Enum] :
          ( ( surj__ty_2Erealax_2Ereal @ ( ap @ ( ap @ ( c_2Eiterate_2ESum @ ty_2Enum_2Enum ) @ ( ap @ ( ap @ c_2Eiterate_2E_2E_2E @ ( inj__ty_2Enum_2Enum @ B ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) @ A ) )
          = ( surj__ty_2Erealax_2Ereal @ ( ap @ A @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Eiterate_2ESUM__SING__NUMSEG)).

thf(2,negated_conjecture,(
    ~ ! [A: $i] :
        ( ( mem @ A @ ( arr @ ty_2Enum_2Enum @ ty_2Erealax_2Ereal ) )
       => ! [B: tp__ty_2Enum_2Enum] :
            ( ( surj__ty_2Erealax_2Ereal @ ( ap @ ( ap @ ( c_2Eiterate_2ESum @ ty_2Enum_2Enum ) @ ( ap @ ( ap @ c_2Eiterate_2E_2E_2E @ ( inj__ty_2Enum_2Enum @ B ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) @ A ) )
            = ( surj__ty_2Erealax_2Ereal @ ( ap @ A @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(34,plain,(
    ~ ! [A: $i] :
        ( ( mem @ A @ ( arr @ ty_2Enum_2Enum @ ty_2Erealax_2Ereal ) )
       => ! [B: tp__ty_2Enum_2Enum] :
            ( ( surj__ty_2Erealax_2Ereal @ ( ap @ ( ap @ ( c_2Eiterate_2ESum @ ty_2Enum_2Enum ) @ ( ap @ ( ap @ c_2Eiterate_2E_2E_2E @ ( inj__ty_2Enum_2Enum @ B ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) ) @ A ) )
            = ( surj__ty_2Erealax_2Ereal @ ( ap @ A @ ( inj__ty_2Enum_2Enum @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(7,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( mem @ ( inj__ty_2Enum_2Enum @ A ) @ ty_2Enum_2Enum ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_ty_2Enum_2Enum)).

thf(45,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( mem @ ( inj__ty_2Enum_2Enum @ A ) @ ty_2Enum_2Enum ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(14,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ ty_2Erealax_2Ereal ) )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( surj__ty_2Erealax_2Ereal @ ( ap @ ( ap @ ( c_2Eiterate_2ESum @ A ) @ ( ap @ ( ap @ ( c_2Epred__set_2EINSERT @ A ) @ C ) @ ( c_2Epred__set_2EEMPTY @ A ) ) ) @ B ) )
            = ( surj__ty_2Erealax_2Ereal @ ( ap @ B @ C ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',conj_thm_2Eiterate_2ESUM__SING)).

thf(64,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ ( arr @ A @ ty_2Erealax_2Ereal ) )
     => ! [C: $i] :
          ( ( mem @ C @ A )
         => ( ( surj__ty_2Erealax_2Ereal @ ( ap @ ( ap @ ( c_2Eiterate_2ESum @ A ) @ ( ap @ ( ap @ ( c_2Epred__set_2EINSERT @ A ) @ C ) @ ( c_2Epred__set_2EEMPTY @ A ) ) ) @ B ) )
            = ( surj__ty_2Erealax_2Ereal @ ( ap @ B @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(33,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( p @ A )
            <=> ( p @ B ) )
           => ( A = B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',boolext)).

thf(118,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ! [B: $i] :
          ( ( mem @ B @ bool )
         => ( ( ( ( p @ A )
               => ( p @ B ) )
              & ( ( p @ B )
               => ( p @ A ) ) )
           => ( A = B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(11,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ap_tp)).

thf(54,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ A )
         => ( mem @ ( ap @ C @ D ) @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(18,axiom,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( mem @ ( inj__ty_2Erealax_2Ereal @ A ) @ ty_2Erealax_2Ereal ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_ty_2Erealax_2Ereal)).

thf(76,plain,(
    ! [A: tp__ty_2Erealax_2Ereal] :
      ( mem @ ( inj__ty_2Erealax_2Ereal @ A ) @ ty_2Erealax_2Ereal ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(25,axiom,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',ibeta)).

thf(98,plain,(
    ! [A: del,B: $i] :
      ( ( mem @ B @ A )
     => ( ( ap @ ( i @ A ) @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(24,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( surj__o @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_o)).

thf(95,plain,(
    ! [A: $i] :
      ( ( mem @ A @ bool )
     => ( A
        = ( inj__o @ ( surj__o @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(9,axiom,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Erealax_2Ereal )
     => ( A
        = ( inj__ty_2Erealax_2Ereal @ ( surj__ty_2Erealax_2Ereal @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_iso_mem_ty_2Erealax_2Ereal)).

thf(50,plain,(
    ! [A: $i] :
      ( ( mem @ A @ ty_2Erealax_2Ereal )
     => ( A
        = ( inj__ty_2Erealax_2Ereal @ ( surj__ty_2Erealax_2Ereal @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(15,axiom,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',funcext)).

thf(67,plain,(
    ! [A: del,B: del,C: $i] :
      ( ( mem @ C @ ( arr @ A @ B ) )
     => ! [D: $i] :
          ( ( mem @ D @ ( arr @ A @ B ) )
         => ( ! [E: $i] :
                ( ( mem @ E @ A )
               => ( ( ap @ C @ E )
                  = ( ap @ D @ E ) ) )
           => ( C = D ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(16,axiom,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_mem_o)).

thf(72,plain,(
    ! [A: tp__o] :
      ( mem @ ( inj__o @ A ) @ bool ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(6,axiom,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Ebool_2ET)).

thf(43,plain,
    ( ( inj__o @ fo__c_2Ebool_2ET )
    = c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(21,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Emin_2E_3D)).

thf(87,plain,(
    ! [A: del] :
      ( mem @ ( c_2Emin_2E_3D @ A ) @ ( arr @ A @ ( arr @ A @ bool ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(31,axiom,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',mem_c_2Ebool_2E_21)).

thf(114,plain,(
    ! [A: del] :
      ( mem @ ( c_2Ebool_2E_21 @ A ) @ ( arr @ ( arr @ A @ bool ) @ bool ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(29,axiom,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum,C: tp__ty_2Enum_2Enum] :
      ( ( inj__o @ ( fo__c_2Eiterate_2E_2E_2E @ A @ B @ C ) )
      = ( ap @ ( ap @ ( ap @ c_2Eiterate_2E_2E_2E @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) @ ( inj__ty_2Enum_2Enum @ C ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_eq_fo_c_2Eiterate_2E_2E_2E)).

thf(107,plain,(
    ! [A: tp__ty_2Enum_2Enum,B: tp__ty_2Enum_2Enum,C: tp__ty_2Enum_2Enum] :
      ( ( inj__o @ ( fo__c_2Eiterate_2E_2E_2E @ A @ B @ C ) )
      = ( ap @ ( ap @ ( ap @ c_2Eiterate_2E_2E_2E @ ( inj__ty_2Enum_2Enum @ A ) ) @ ( inj__ty_2Enum_2Enum @ B ) ) @ ( inj__ty_2Enum_2Enum @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(8,axiom,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( surj__ty_2Enum_2Enum @ ( inj__ty_2Enum_2Enum @ A ) )
      = A ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',stp_inj_surj_ty_2Enum_2Enum)).

thf(47,plain,(
    ! [A: tp__ty_2Enum_2Enum] :
      ( ( surj__ty_2Enum_2Enum @ ( inj__ty_2Enum_2Enum @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(127,plain,(
    $false ),
    inference(cvc4,[status(thm)],[101,56,42,110,57,78,84,89,116,74,102,38,92,53,41,105,34,45,64,118,54,76,98,95,50,67,72,43,87,114,107,47])).
%------------------------------------------------------------------------------
