%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:44:00 EDT 2019

% Result     : Theorem 6.68s
% Output     : CNFRefutation 6.68s
% Verified   : 
% Statistics : Number of formulae       :   14 (  14 expanded)
%              Number of leaves         :    8 (   8 expanded)
%              Depth                    :    3
%              Number of atoms          :  121 ( 121 expanded)
%              Number of equality atoms :   14 (  14 expanded)
%              Maximal formula depth    :   12 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Eextreal_2Eextreal_type,type,(
    tyop_2Eextreal_2Eextreal: $tType )).

thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(c_2Eextreal_2Eextreal__le_type,type,(
    c_2Eextreal_2Eextreal__le: tyop_2Eextreal_2Eextreal > tyop_2Eextreal_2Eextreal > $o )).

thf(c_2Eextreal_2Eextreal__sup_type,type,(
    c_2Eextreal_2Eextreal__sup: ( tyop_2Eextreal_2Eextreal > $o ) > tyop_2Eextreal_2Eextreal )).

thf(1,conjecture,(
    ! [A: tyop_2Eextreal_2Eextreal > $o,B: tyop_2Eextreal_2Eextreal] :
      ( ( ( c_2Eextreal_2Eextreal__sup @ A )
        = B )
      = ( ! [C: tyop_2Eextreal_2Eextreal] :
            ( ( A @ C )
           => ( c_2Eextreal_2Eextreal__le @ C @ B ) )
        & ! [C: tyop_2Eextreal_2Eextreal] :
            ( ! [D: tyop_2Eextreal_2Eextreal] :
                ( ( A @ D )
               => ( c_2Eextreal_2Eextreal__le @ D @ C ) )
           => ( c_2Eextreal_2Eextreal__le @ B @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextreal_2Esup__eq)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Eextreal_2Eextreal > $o,B: tyop_2Eextreal_2Eextreal] :
        ( ( ( c_2Eextreal_2Eextreal__sup @ A )
          = B )
        = ( ! [C: tyop_2Eextreal_2Eextreal] :
              ( ( A @ C )
             => ( c_2Eextreal_2Eextreal__le @ C @ B ) )
          & ! [C: tyop_2Eextreal_2Eextreal] :
              ( ! [D: tyop_2Eextreal_2Eextreal] :
                  ( ( A @ D )
                 => ( c_2Eextreal_2Eextreal__le @ D @ C ) )
             => ( c_2Eextreal_2Eextreal__le @ B @ C ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(6,plain,(
    ~ ! [A: tyop_2Eextreal_2Eextreal > $o,B: tyop_2Eextreal_2Eextreal] :
        ( ( ( c_2Eextreal_2Eextreal__sup @ A )
          = B )
        = ( ! [C: tyop_2Eextreal_2Eextreal] :
              ( ( A @ C )
             => ( c_2Eextreal_2Eextreal__le @ C @ B ) )
          & ! [C: tyop_2Eextreal_2Eextreal] :
              ( ! [D: tyop_2Eextreal_2Eextreal] :
                  ( ( A @ D )
                 => ( c_2Eextreal_2Eextreal__le @ D @ C ) )
             => ( c_2Eextreal_2Eextreal__le @ B @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [A: tyop_2Eextreal_2Eextreal,B: tyop_2Eextreal_2Eextreal] :
      ( ( ( c_2Eextreal_2Eextreal__le @ A @ B )
        & ( c_2Eextreal_2Eextreal__le @ B @ A ) )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextreal_2Ele__antisym)).

thf(9,plain,(
    ! [A: tyop_2Eextreal_2Eextreal,B: tyop_2Eextreal_2Eextreal] :
      ( ( ( c_2Eextreal_2Eextreal__le @ A @ B )
        & ( c_2Eextreal_2Eextreal__le @ B @ A ) )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [A: tyop_2Eextreal_2Eextreal > $o,B: tyop_2Eextreal_2Eextreal] :
      ( ( c_2Eextreal_2Eextreal__le @ ( c_2Eextreal_2Eextreal__sup @ A ) @ B )
      = ( ! [C: tyop_2Eextreal_2Eextreal] :
            ( ( A @ C )
           => ( c_2Eextreal_2Eextreal__le @ C @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextreal_2Esup__le)).

thf(12,plain,(
    ! [A: tyop_2Eextreal_2Eextreal > $o,B: tyop_2Eextreal_2Eextreal] :
      ( ( c_2Eextreal_2Eextreal__le @ ( c_2Eextreal_2Eextreal__sup @ A ) @ B )
      = ( ! [C: tyop_2Eextreal_2Eextreal] :
            ( ( A @ C )
           => ( c_2Eextreal_2Eextreal__le @ C @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(5,axiom,(
    ! [A: tyop_2Eextreal_2Eextreal > $o,B: tyop_2Eextreal_2Eextreal] :
      ( ( c_2Eextreal_2Eextreal__le @ B @ ( c_2Eextreal_2Eextreal__sup @ A ) )
      = ( ! [C: tyop_2Eextreal_2Eextreal] :
            ( ! [D: tyop_2Eextreal_2Eextreal] :
                ( ( A @ D )
               => ( c_2Eextreal_2Eextreal__le @ D @ C ) )
           => ( c_2Eextreal_2Eextreal__le @ B @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextreal_2Ele__sup)).

thf(22,plain,(
    ! [A: tyop_2Eextreal_2Eextreal > $o,B: tyop_2Eextreal_2Eextreal] :
      ( ( c_2Eextreal_2Eextreal__le @ B @ ( c_2Eextreal_2Eextreal__sup @ A ) )
      = ( ! [C: tyop_2Eextreal_2Eextreal] :
            ( ! [D: tyop_2Eextreal_2Eextreal] :
                ( ( A @ D )
               => ( c_2Eextreal_2Eextreal__le @ D @ C ) )
           => ( c_2Eextreal_2Eextreal__le @ B @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(33,plain,(
    $false ),
    inference(iprover,[status(thm)],[6,9,12,22])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.00/0.08  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.00/0.09  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.09/0.09  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.09/0.09  % CPULimit   : 300
% 0.09/0.09  % DateTime   : Wed Jul 31 10:42:54 EDT 2019
% 0.09/0.09  % CPUTime    : 
% 3.45/1.32  % [INFO] 	 Running in sequential loop mode. 
% 4.17/1.49  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.52/1.56  % [INFO] 	 iprover registered as external prover. 
% 4.52/1.56  % [INFO] 	 e registered as external prover. 
% 4.52/1.56  % [INFO] 	 cvc4 registered as external prover. 
% 4.52/1.56  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.74/1.61  % [INFO] 	 Found a conjecture and 39 axioms. Running axiom selection ... 
% 4.74/1.66  % [INFO] 	 Axiom selection finished. Selected 3 axioms (removed 36 axioms). 
% 5.08/1.67  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.68/2.18  % [INFO] 	 Killing All external provers ... 
% 6.68/2.18  % Time passed: 2002ms
% 6.68/2.18  % Effective reasoning time: 854ms
% 6.68/2.18  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.68/2.18  % Axioms used in derivation (3): thm_2Eextreal_2Ele__antisym, thm_2Eextreal_2Esup__le, thm_2Eextreal_2Ele__sup
% 6.68/2.18  % No. of inferences in proof: 10
% 6.68/2.18  % No. of processed clauses: 1
% 6.68/2.18  % No. of generated clauses: 0
% 6.68/2.18  % No. of forward subsumed clauses: 0
% 6.68/2.18  % No. of backward subsumed clauses: 0
% 6.68/2.18  % No. of ground rewrite rules in store: 0
% 6.68/2.18  % No. of non-ground rewrite rules in store: 1
% 6.68/2.18  % No. of positive (non-rewrite) units in store: 0
% 6.68/2.18  % No. of negative (non-rewrite) units in store: 0
% 6.68/2.18  % No. of choice functions detected: 0
% 6.68/2.18  % No. of choice instantiations: 0
% 6.68/2.18  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 2002 ms resp. 854 ms w/o parsing
% 6.68/2.20  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.68/2.20  thf(tyop_2Eextreal_2Eextreal_type, type, tyop_2Eextreal_2Eextreal: $tType).
% 6.68/2.20  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.68/2.20  thf(c_2Eextreal_2Eextreal__le_type, type, c_2Eextreal_2Eextreal__le: (tyop_2Eextreal_2Eextreal > (tyop_2Eextreal_2Eextreal > $o))).
% 6.68/2.20  thf(c_2Eextreal_2Eextreal__sup_type, type, c_2Eextreal_2Eextreal__sup: ((tyop_2Eextreal_2Eextreal > $o) > tyop_2Eextreal_2Eextreal)).
% 6.68/2.20  thf(1,conjecture,((! [A:(tyop_2Eextreal_2Eextreal > $o),B:tyop_2Eextreal_2Eextreal]: (((c_2Eextreal_2Eextreal__sup @ A) = B) = (! [C:tyop_2Eextreal_2Eextreal]: ((A @ C) => (c_2Eextreal_2Eextreal__le @ C @ B)) & ! [C:tyop_2Eextreal_2Eextreal]: ((! [D:tyop_2Eextreal_2Eextreal]: ((A @ D) => (c_2Eextreal_2Eextreal__le @ D @ C))) => (c_2Eextreal_2Eextreal__le @ B @ C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextreal_2Esup__eq)).
% 6.68/2.20  thf(2,negated_conjecture,((~ (! [A:(tyop_2Eextreal_2Eextreal > $o),B:tyop_2Eextreal_2Eextreal]: (((c_2Eextreal_2Eextreal__sup @ A) = B) = (! [C:tyop_2Eextreal_2Eextreal]: ((A @ C) => (c_2Eextreal_2Eextreal__le @ C @ B)) & ! [C:tyop_2Eextreal_2Eextreal]: ((! [D:tyop_2Eextreal_2Eextreal]: ((A @ D) => (c_2Eextreal_2Eextreal__le @ D @ C))) => (c_2Eextreal_2Eextreal__le @ B @ C))))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.68/2.20  thf(6,plain,((~ (! [A:(tyop_2Eextreal_2Eextreal > $o),B:tyop_2Eextreal_2Eextreal]: (((c_2Eextreal_2Eextreal__sup @ (A)) = B) = (! [C:tyop_2Eextreal_2Eextreal]: ((A @ C) => (c_2Eextreal_2Eextreal__le @ C @ B)) & ! [C:tyop_2Eextreal_2Eextreal]: ((! [D:tyop_2Eextreal_2Eextreal]: ((A @ D) => (c_2Eextreal_2Eextreal__le @ D @ C))) => (c_2Eextreal_2Eextreal__le @ B @ C))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.68/2.20  thf(3,axiom,((! [A:tyop_2Eextreal_2Eextreal,B:tyop_2Eextreal_2Eextreal]: (((c_2Eextreal_2Eextreal__le @ A @ B) & (c_2Eextreal_2Eextreal__le @ B @ A)) = (A = B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextreal_2Ele__antisym)).
% 6.68/2.20  thf(9,plain,((! [A:tyop_2Eextreal_2Eextreal,B:tyop_2Eextreal_2Eextreal]: (((c_2Eextreal_2Eextreal__le @ A @ B) & (c_2Eextreal_2Eextreal__le @ B @ A)) = (A = B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.68/2.20  thf(4,axiom,((! [A:(tyop_2Eextreal_2Eextreal > $o),B:tyop_2Eextreal_2Eextreal]: ((c_2Eextreal_2Eextreal__le @ (c_2Eextreal_2Eextreal__sup @ A) @ B) = (! [C:tyop_2Eextreal_2Eextreal]: ((A @ C) => (c_2Eextreal_2Eextreal__le @ C @ B)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextreal_2Esup__le)).
% 6.68/2.20  thf(12,plain,((! [A:(tyop_2Eextreal_2Eextreal > $o),B:tyop_2Eextreal_2Eextreal]: ((c_2Eextreal_2Eextreal__le @ (c_2Eextreal_2Eextreal__sup @ (A)) @ B) = (! [C:tyop_2Eextreal_2Eextreal]: ((A @ C) => (c_2Eextreal_2Eextreal__le @ C @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.68/2.20  thf(5,axiom,((! [A:(tyop_2Eextreal_2Eextreal > $o),B:tyop_2Eextreal_2Eextreal]: ((c_2Eextreal_2Eextreal__le @ B @ (c_2Eextreal_2Eextreal__sup @ A)) = (! [C:tyop_2Eextreal_2Eextreal]: ((! [D:tyop_2Eextreal_2Eextreal]: ((A @ D) => (c_2Eextreal_2Eextreal__le @ D @ C))) => (c_2Eextreal_2Eextreal__le @ B @ C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextreal_2Ele__sup)).
% 6.68/2.20  thf(22,plain,((! [A:(tyop_2Eextreal_2Eextreal > $o),B:tyop_2Eextreal_2Eextreal]: ((c_2Eextreal_2Eextreal__le @ B @ (c_2Eextreal_2Eextreal__sup @ (A))) = (! [C:tyop_2Eextreal_2Eextreal]: ((! [D:tyop_2Eextreal_2Eextreal]: ((A @ D) => (c_2Eextreal_2Eextreal__le @ D @ C))) => (c_2Eextreal_2Eextreal__le @ B @ C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 6.68/2.20  thf(33,plain,($false),inference(iprover,[status(thm)],[6,9,12,22])).
% 6.68/2.20  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 6.68/2.20  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
