%------------------------------------------------------------------------------
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(app_2E2_type,type,(
    app_2E2: 
      !>[TA: $tType,TB: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ TB ) > TA > TB ) )).

thf(p_type,type,(
    p: tyop_2Emin_2Ebool > $o )).

thf(combin_i_2E0_type,type,(
    combin_i_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ TA @ TA ) )).

thf(combin_k_2E0_type,type,(
    combin_k_2E0: 
      !>[TA: $tType,TB: $tType] :
        ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) ) )).

thf(combin_s_2E0_type,type,(
    combin_s_2E0: 
      !>[TA: $tType,TB: $tType,TC: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) ) )).

thf(f13090_0_2E0_type,type,(
    f13090_0_2E0: ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) ) )).

thf(f13090_0_2E2_type,type,(
    f13090_0_2E2: ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) > tyop_2Erealax_2Ereal > tyop_2Emin_2Ebool )).

thf(c_2Ebool_2E_21_2E0_type,type,(
    c_2Ebool_2E_21_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_21_2E1_type,type,(
    c_2Ebool_2E_21_2E1: 
      !>[TA: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) > tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_2F_5C_2E0_type,type,(
    c_2Ebool_2E_2F_5C_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Ebool_2E_2F_5C_2E2_type,type,(
    c_2Ebool_2E_2F_5C_2E2: tyop_2Emin_2Ebool > tyop_2Emin_2Ebool > tyop_2Emin_2Ebool )).

thf(c_2Enum_2E0_2E0_type,type,(
    c_2Enum_2E0_2E0: tyop_2Enum_2Enum )).

thf(c_2Emin_2E_3D_2E0_type,type,(
    c_2Emin_2E_3D_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Emin_2E_3D_2E2_type,type,(
    c_2Emin_2E_3D_2E2: 
      !>[TA: $tType] :
        ( TA > TA > tyop_2Emin_2Ebool ) )).

thf(c_2Emin_2E_3D_3D_3E_2E0_type,type,(
    c_2Emin_2E_3D_3D_3E_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Emin_2E_3D_3D_3E_2E2_type,type,(
    c_2Emin_2E_3D_3D_3E_2E2: tyop_2Emin_2Ebool > tyop_2Emin_2Ebool > tyop_2Emin_2Ebool )).

thf(c_2Ebool_2E_3F_2E0_type,type,(
    c_2Ebool_2E_3F_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_3F_2E1_type,type,(
    c_2Ebool_2E_3F_2E1: 
      !>[TA: $tType] :
        ( ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) > tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2ECOND_2E0_type,type,(
    c_2Ebool_2ECOND_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TA @ TA ) ) ) )).

thf(c_2Ebool_2ECOND_2E3_type,type,(
    c_2Ebool_2ECOND_2E3: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Ebool > TA > TA > TA ) )).

thf(c_2Epred__set_2EEMPTY_2E0_type,type,(
    c_2Epred__set_2EEMPTY_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2EF_2E0_type,type,(
    c_2Ebool_2EF_2E0: tyop_2Emin_2Ebool )).

thf(c_2Ebool_2EIN_2E0_type,type,(
    c_2Ebool_2EIN_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Ebool_2EIN_2E2_type,type,(
    c_2Ebool_2EIN_2E2: 
      !>[TA: $tType] :
        ( TA > ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) > tyop_2Emin_2Ebool ) )).

thf(c_2Epred__set_2EINSERT_2E0_type,type,(
    c_2Epred__set_2EINSERT_2E0: 
      !>[TA: $tType] :
        ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) ) ) )).

thf(c_2Epred__set_2EINSERT_2E2_type,type,(
    c_2Epred__set_2EINSERT_2E2: 
      !>[TA: $tType] :
        ( TA > ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) > ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Ebool_2ET_2E0_type,type,(
    c_2Ebool_2ET_2E0: tyop_2Emin_2Ebool )).

thf(c_2Ebool_2E_5C_2F_2E0_type,type,(
    c_2Ebool_2E_5C_2F_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Ebool_2E_5C_2F_2E2_type,type,(
    c_2Ebool_2E_5C_2F_2E2: tyop_2Emin_2Ebool > tyop_2Emin_2Ebool > tyop_2Emin_2Ebool )).

thf(c_2Ereal__topology_2Eindependent_2E0_type,type,(
    c_2Ereal__topology_2Eindependent_2E0: ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) )).

thf(c_2Ereal__topology_2Eindependent_2E1_type,type,(
    c_2Ereal__topology_2Eindependent_2E1: ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) > tyop_2Emin_2Ebool )).

thf(c_2Ereal_2Ereal__of__num_2E0_type,type,(
    c_2Ereal_2Ereal__of__num_2E0: ( tyop_2Emin_2Efun @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ereal_2Ereal__of__num_2E1_type,type,(
    c_2Ereal_2Ereal__of__num_2E1: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal )).

thf(c_2Ereal__topology_2Espan_2E0_type,type,(
    c_2Ereal__topology_2Espan_2E0: ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) ) )).

thf(c_2Ereal__topology_2Espan_2E1_type,type,(
    c_2Ereal__topology_2Espan_2E1: ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) > ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_7E_2E0_type,type,(
    c_2Ebool_2E_7E_2E0: ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) )).

thf(c_2Ebool_2E_7E_2E1_type,type,(
    c_2Ebool_2E_7E_2E1: tyop_2Emin_2Ebool > tyop_2Emin_2Ebool )).

thf(4,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_3F_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E0 @ TA ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ebool_2E_3F_2E1_2Emono_2EA_27a)).

thf(69,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_3F_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_3F_2E0 @ TA ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(14,axiom,(
    ~ ( p @ c_2Ebool_2EF_2E0 ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Enotfalse)).

thf(101,plain,(
    ~ ( p @ c_2Ebool_2EF_2E0 ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(44,axiom,(
    ! [A: tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool] :
      ( ( c_2Ereal__topology_2Espan_2E1 @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ c_2Ereal__topology_2Espan_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ereal__topology_2Espan_2E1)).

thf(347,plain,(
    ! [A: tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool] :
      ( ( c_2Ereal__topology_2Espan_2E1 @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ c_2Ereal__topology_2Espan_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).

thf(36,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_3F_2E1 @ TA @ A ) )
    <=> ? [B: TA] :
          ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(308,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_3F_2E1 @ TA @ A ) )
       => ? [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) )
      & ( ? [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) )
       => ( p @ ( c_2Ebool_2E_3F_2E1 @ TA @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(19,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
        & ( p @ B ) )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_2F_5C_2E0 @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Ebool_2E_2F_5C_2E2)).

thf(153,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
          & ( p @ B ) )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_2F_5C_2E0 @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_2F_5C_2E0 @ A ) @ B ) )
       => ( ( p @ A )
          & ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(46,axiom,(
    ! [TA: $tType,A: TA] :
      ~ ( p @ ( c_2Ebool_2EIN_2E2 @ TA @ A @ ( c_2Epred__set_2EEMPTY_2E0 @ TA ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2ENOT__IN__EMPTY)).

thf(372,plain,(
    ! [TA: $tType,A: TA] :
      ~ ( p @ ( c_2Ebool_2EIN_2E2 @ TA @ A @ ( c_2Epred__set_2EEMPTY_2E0 @ TA ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[46])).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( p @ ( c_2Ereal__topology_2Eindependent_2E1 @ ( c_2Epred__set_2EINSERT_2E2 @ tyop_2Erealax_2Ereal @ A @ ( c_2Epred__set_2EEMPTY_2E0 @ tyop_2Erealax_2Ereal ) ) ) )
    <=> ( A
       != ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EINDEPENDENT__SING)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal] :
        ( ( p @ ( c_2Ereal__topology_2Eindependent_2E1 @ ( c_2Epred__set_2EINSERT_2E2 @ tyop_2Erealax_2Ereal @ A @ ( c_2Epred__set_2EEMPTY_2E0 @ tyop_2Erealax_2Ereal ) ) ) )
      <=> ( A
         != ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(57,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal] :
        ( ( ( p @ ( c_2Ereal__topology_2Eindependent_2E1 @ ( c_2Epred__set_2EINSERT_2E2 @ tyop_2Erealax_2Ereal @ A @ ( c_2Epred__set_2EEMPTY_2E0 @ tyop_2Erealax_2Ereal ) ) ) )
         => ( A
           != ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) ) )
        & ( ( A
           != ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) )
         => ( p @ ( c_2Ereal__topology_2Eindependent_2E1 @ ( c_2Epred__set_2EINSERT_2E2 @ tyop_2Erealax_2Ereal @ A @ ( c_2Epred__set_2EEMPTY_2E0 @ tyop_2Erealax_2Ereal ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(38,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Emin_2E_3D_3D_3E_2E2 @ A @ B ) )
    <=> ( ( p @ A )
       => ( p @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D_3D_3E)).

thf(316,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Emin_2E_3D_3D_3E_2E2 @ A @ B ) )
       => ( ( p @ A )
         => ( p @ B ) ) )
      & ( ( ( p @ A )
         => ( p @ B ) )
       => ( p @ ( c_2Emin_2E_3D_3D_3E_2E2 @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(16,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
       => ( p @ B ) )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Emin_2E_3D_3D_3E_2E0 @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Emin_2E_3D_3D_3E_2E2)).

thf(106,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
         => ( p @ B ) )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Emin_2E_3D_3D_3E_2E0 @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Emin_2E_3D_3D_3E_2E0 @ A ) @ B ) )
       => ( ( p @ A )
         => ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(34,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ c_2Ebool_2ET_2E0 )
          & ( p @ A ) )
      <=> ( p @ A ) )
      & ( ( ( p @ A )
          & ( p @ c_2Ebool_2ET_2E0 ) )
      <=> ( p @ A ) )
      & ( ( ( p @ c_2Ebool_2EF_2E0 )
          & ( p @ A ) )
      <=> ( p @ c_2Ebool_2EF_2E0 ) )
      & ( ( ( p @ A )
          & ( p @ c_2Ebool_2EF_2E0 ) )
      <=> ( p @ c_2Ebool_2EF_2E0 ) )
      & ( ( ( p @ A )
          & ( p @ A ) )
      <=> ( p @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EAND__CLAUSES)).

thf(280,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ c_2Ebool_2ET_2E0 )
          & ( p @ A ) )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( ( p @ c_2Ebool_2ET_2E0 )
          & ( p @ A ) ) )
      & ( ( ( p @ A )
          & ( p @ c_2Ebool_2ET_2E0 ) )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( ( p @ A )
          & ( p @ c_2Ebool_2ET_2E0 ) ) )
      & ( ( ( p @ c_2Ebool_2EF_2E0 )
          & ( p @ A ) )
       => ( p @ c_2Ebool_2EF_2E0 ) )
      & ( ( p @ c_2Ebool_2EF_2E0 )
       => ( ( p @ c_2Ebool_2EF_2E0 )
          & ( p @ A ) ) )
      & ( ( ( p @ A )
          & ( p @ c_2Ebool_2EF_2E0 ) )
       => ( p @ c_2Ebool_2EF_2E0 ) )
      & ( ( p @ c_2Ebool_2EF_2E0 )
       => ( ( p @ A )
          & ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(53,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Ebool] :
      ( ! [B: TA] :
          ( p @ A )
    <=> ( p @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFORALL__SIMP)).

thf(396,plain,(
    ! [TA: $tType] : $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[53])).

thf(10,axiom,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ),B: tyop_2Emin_2Efun @ TA @ TB,C: TA] :
      ( ( app_2E2 @ TA @ TC @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) @ ( combin_s_2E0 @ TA @ TB @ TC ) @ A ) @ B ) @ C )
      = ( app_2E2 @ TB @ TC @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) @ A @ C ) @ ( app_2E2 @ TA @ TB @ B @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Es__thm)).

thf(89,plain,(
    ! [TA: $tType,TB: $tType,TC: $tType,A: tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ),B: tyop_2Emin_2Efun @ TA @ TB,C: TA] :
      ( ( app_2E2 @ TA @ TC @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) @ ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) ) @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ TB ) @ ( tyop_2Emin_2Efun @ TA @ TC ) ) @ ( combin_s_2E0 @ TA @ TB @ TC ) @ A ) @ B ) @ C )
      = ( app_2E2 @ TB @ TC @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TC ) @ A @ C ) @ ( app_2E2 @ TA @ TB @ B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(48,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool] :
      ( ( c_2Epred__set_2EINSERT_2E2 @ tyop_2Erealax_2Ereal @ A @ B )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) ) @ ( c_2Epred__set_2EINSERT_2E0 @ tyop_2Erealax_2Ereal ) @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Epred__set_2EINSERT_2E2_2Emono_2Etyop_2Erealax_2Ereal)).

thf(380,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool] :
      ( ( c_2Epred__set_2EINSERT_2E2 @ tyop_2Erealax_2Ereal @ A @ B )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) ) @ ( c_2Epred__set_2EINSERT_2E0 @ tyop_2Erealax_2Ereal ) @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[48])).

thf(35,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( p @ ( c_2Emin_2E_3D_2E2 @ TA @ A @ B ) )
    <=> ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_3D)).

thf(302,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( p @ ( c_2Emin_2E_3D_2E2 @ TA @ A @ B ) )
       => ( A = B ) )
      & ( ( A = B )
       => ( p @ ( c_2Emin_2E_3D_2E2 @ TA @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(33,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ B )
      <=> ~ ( p @ A ) )
    <=> ( ( ( p @ B )
          | ( p @ A ) )
        & ( ~ ( p @ A )
          | ~ ( p @ B ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2Edc__neg)).

thf(260,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( ( p @ B )
           => ~ ( p @ A ) )
          & ( ~ ( p @ A )
           => ( p @ B ) ) )
       => ( ( ( p @ B )
            | ( p @ A ) )
          & ( ~ ( p @ A )
            | ~ ( p @ B ) ) ) )
      & ( ( ( ( p @ B )
            | ( p @ A ) )
          & ( ~ ( p @ A )
            | ~ ( p @ B ) ) )
       => ( ( ( p @ B )
           => ~ ( p @ A ) )
          & ( ~ ( p @ A )
           => ( p @ B ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(20,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ereal_2Ereal__of__num_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal @ c_2Ereal_2Ereal__of__num_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ereal_2Ereal__of__num_2E1)).

thf(160,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( ( c_2Ereal_2Ereal__of__num_2E1 @ A )
      = ( app_2E2 @ tyop_2Enum_2Enum @ tyop_2Erealax_2Ereal @ c_2Ereal_2Ereal__of__num_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(28,axiom,
    ( ( c_2Ereal__topology_2Espan_2E1 @ ( c_2Epred__set_2EEMPTY_2E0 @ tyop_2Erealax_2Ereal ) )
    = ( c_2Epred__set_2EINSERT_2E2 @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ ( c_2Epred__set_2EEMPTY_2E0 @ tyop_2Erealax_2Ereal ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2ESPAN__EMPTY)).

thf(192,plain,
    ( ( c_2Ereal__topology_2Espan_2E1 @ ( c_2Epred__set_2EEMPTY_2E0 @ tyop_2Erealax_2Ereal ) )
    = ( c_2Epred__set_2EINSERT_2E2 @ tyop_2Erealax_2Ereal @ ( c_2Ereal_2Ereal__of__num_2E1 @ c_2Enum_2E0_2E0 ) @ ( c_2Epred__set_2EEMPTY_2E0 @ tyop_2Erealax_2Ereal ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(11,axiom,(
    ! [TA: $tType,A: TA,B: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2EIN_2E2 @ TA @ A @ B )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ ( c_2Ebool_2EIN_2E0 @ TA ) @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Ebool_2EIN_2E2_2Emono_2EA_27a)).

thf(92,plain,(
    ! [TA: $tType,A: TA,B: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2EIN_2E2 @ TA @ A @ B )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ ( c_2Ebool_2EIN_2E0 @ TA ) @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(40,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( p @ A )
     => ( ~ ( p @ A )
       => ( p @ c_2Ebool_2EF_2E0 ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV__IMP)).

thf(329,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( p @ A )
     => ( ~ ( p @ A )
       => ( p @ c_2Ebool_2EF_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).

thf(55,axiom,(
    ! [A: tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool] :
      ( ( c_2Ereal__topology_2Eindependent_2E1 @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ c_2Ereal__topology_2Eindependent_2E0 @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ereal__topology_2Eindependent_2E1)).

thf(403,plain,(
    ! [A: tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool] :
      ( ( c_2Ereal__topology_2Eindependent_2E1 @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ c_2Ereal__topology_2Eindependent_2E0 @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[55])).

thf(51,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_5C_2F_2E2 @ A @ B ) )
    <=> ( ( p @ A )
        | ( p @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_5C_2F)).

thf(388,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_5C_2F_2E2 @ A @ B ) )
       => ( ( p @ A )
          | ( p @ B ) ) )
      & ( ( ( p @ A )
          | ( p @ B ) )
       => ( p @ ( c_2Ebool_2E_5C_2F_2E2 @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[51])).

thf(37,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ~ ( p @ A )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ c_2Ebool_2E_7E_2E0 @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ebool_2E_7E_2E1)).

thf(311,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ~ ( p @ A )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ c_2Ebool_2E_7E_2E0 @ A ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ c_2Ebool_2E_7E_2E0 @ A ) )
       => ~ ( p @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(54,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_7E_2E1 @ A ) )
    <=> ~ ( p @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_7E)).

thf(398,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_7E_2E1 @ A ) )
       => ~ ( p @ A ) )
      & ( ~ ( p @ A )
       => ( p @ ( c_2Ebool_2E_7E_2E1 @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[54])).

thf(22,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ~ ( ~ ( p @ B )
            | ( p @ A ) )
       => ( p @ c_2Ebool_2EF_2E0 ) )
    <=> ( ( p @ B )
       => ( ~ ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL3)).

thf(166,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ~ ( ~ ( p @ B )
              | ( p @ A ) )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ( ( p @ B )
         => ( ~ ( p @ A )
           => ( p @ c_2Ebool_2EF_2E0 ) ) ) )
      & ( ( ( p @ B )
         => ( ~ ( p @ A )
           => ( p @ c_2Ebool_2EF_2E0 ) ) )
       => ( ~ ( ~ ( p @ B )
              | ( p @ A ) )
         => ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(27,axiom,(
    p @ c_2Ebool_2ET_2E0 ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Etruth)).

thf(191,plain,(
    p @ c_2Ebool_2ET_2E0 ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(25,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
       => ( p @ B ) )
     => ( ( ( p @ B )
         => ( p @ A ) )
       => ( A = B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__ANTISYM__AX)).

thf(181,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
       => ( p @ B ) )
     => ( ( ( p @ B )
         => ( p @ A ) )
       => ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(45,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ c_2Ebool_2ET_2E0 )
          | ( p @ A ) )
      <=> ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( ( p @ A )
          | ( p @ c_2Ebool_2ET_2E0 ) )
      <=> ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( ( p @ c_2Ebool_2EF_2E0 )
          | ( p @ A ) )
      <=> ( p @ A ) )
      & ( ( ( p @ A )
          | ( p @ c_2Ebool_2EF_2E0 ) )
      <=> ( p @ A ) )
      & ( ( ( p @ A )
          | ( p @ A ) )
      <=> ( p @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EOR__CLAUSES)).

thf(350,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ c_2Ebool_2ET_2E0 )
          | ( p @ A ) )
       => ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( p @ c_2Ebool_2ET_2E0 )
       => ( ( p @ c_2Ebool_2ET_2E0 )
          | ( p @ A ) ) )
      & ( ( ( p @ A )
          | ( p @ c_2Ebool_2ET_2E0 ) )
       => ( p @ c_2Ebool_2ET_2E0 ) )
      & ( ( p @ c_2Ebool_2ET_2E0 )
       => ( ( p @ A )
          | ( p @ c_2Ebool_2ET_2E0 ) ) )
      & ( ( ( p @ c_2Ebool_2EF_2E0 )
          | ( p @ A ) )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( ( p @ c_2Ebool_2EF_2E0 )
          | ( p @ A ) ) )
      & ( ( ( p @ A )
          | ( p @ c_2Ebool_2EF_2E0 ) )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( ( p @ A )
          | ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[45])).

thf(9,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( A = c_2Ebool_2ET_2E0 )
      | ( A = c_2Ebool_2EF_2E0 ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Ebool__cases__ax)).

thf(86,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( A = c_2Ebool_2ET_2E0 )
      | ( A = c_2Ebool_2EF_2E0 ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(56,axiom,(
    ! [TA: $tType,A: TA,B: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Epred__set_2EINSERT_2E2 @ TA @ A @ B )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) ) @ ( c_2Epred__set_2EINSERT_2E0 @ TA ) @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Epred__set_2EINSERT_2E2_2Emono_2EA_27a)).

thf(406,plain,(
    ! [TA: $tType,A: TA,B: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Epred__set_2EINSERT_2E2 @ TA @ A @ B )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) ) @ ( c_2Epred__set_2EINSERT_2E0 @ TA ) @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[56])).

thf(13,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2ECOND_2E3 @ tyop_2Emin_2Ebool @ A @ B @ C )
      = ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( c_2Ebool_2ECOND_2E0 @ tyop_2Emin_2Ebool ) @ A ) @ B ) @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq3_2Ec_2Ebool_2ECOND_2E3_2Emono_2Etyop_2Emin_2Ebool)).

thf(98,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2ECOND_2E3 @ tyop_2Emin_2Ebool @ A @ B @ C )
      = ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) ) @ ( c_2Ebool_2ECOND_2E0 @ tyop_2Emin_2Ebool ) @ A ) @ B ) @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(15,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool] :
      ( ( c_2Ereal__topology_2Eindependent_2E1 @ ( c_2Epred__set_2EINSERT_2E2 @ tyop_2Erealax_2Ereal @ A @ B ) )
      = ( c_2Ebool_2ECOND_2E3 @ tyop_2Emin_2Ebool @ ( c_2Ebool_2EIN_2E2 @ tyop_2Erealax_2Ereal @ A @ B ) @ ( c_2Ereal__topology_2Eindependent_2E1 @ B ) @ ( f13090_0_2E2 @ B @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EINDEPENDENT__INSERT)).

thf(103,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool] :
      ( ( c_2Ereal__topology_2Eindependent_2E1 @ ( c_2Epred__set_2EINSERT_2E2 @ tyop_2Erealax_2Ereal @ A @ B ) )
      = ( c_2Ebool_2ECOND_2E3 @ tyop_2Emin_2Ebool @ ( c_2Ebool_2EIN_2E2 @ tyop_2Erealax_2Ereal @ A @ B ) @ ( c_2Ereal__topology_2Eindependent_2E1 @ B ) @ ( f13090_0_2E2 @ B @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(39,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( A = B )
    <=> ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( c_2Emin_2E_3D_2E0 @ TA ) @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Emin_2E_3D_2E2_2Emono_2EA_27a)).

thf(323,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( A = B )
       => ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( c_2Emin_2E_3D_2E0 @ TA ) @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ ( c_2Emin_2E_3D_2E0 @ TA ) @ A ) @ B ) )
       => ( A = B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).

thf(3,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Ebool,B: TA,C: TA] :
      ( ( c_2Ebool_2ECOND_2E3 @ TA @ A @ B @ C )
      = ( app_2E2 @ TA @ TA @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TA @ TA ) @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TA @ TA ) ) @ ( c_2Ebool_2ECOND_2E0 @ TA ) @ A ) @ B ) @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq3_2Ec_2Ebool_2ECOND_2E3_2Emono_2EA_27a)).

thf(66,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Ebool,B: TA,C: TA] :
      ( ( c_2Ebool_2ECOND_2E3 @ TA @ A @ B @ C )
      = ( app_2E2 @ TA @ TA @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TA @ TA ) @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ TA @ ( tyop_2Emin_2Efun @ TA @ TA ) ) @ ( c_2Ebool_2ECOND_2E0 @ TA ) @ A ) @ B ) @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(7,axiom,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( app_2E2 @ TB @ TA @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) @ ( combin_k_2E0 @ TA @ TB ) @ A ) @ B )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Ek__thm)).

thf(80,plain,(
    ! [TA: $tType,TB: $tType,A: TA,B: TB] :
      ( ( app_2E2 @ TB @ TA @ ( app_2E2 @ TA @ ( tyop_2Emin_2Efun @ TB @ TA ) @ ( combin_k_2E0 @ TA @ TB ) @ A ) @ B )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(47,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_2F_5C_2E2 @ A @ B ) )
    <=> ( ( p @ A )
        & ( p @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',logicdef_2E_2F_5C)).

thf(374,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_2F_5C_2E2 @ A @ B ) )
       => ( ( p @ A )
          & ( p @ B ) ) )
      & ( ( ( p @ A )
          & ( p @ B ) )
       => ( p @ ( c_2Ebool_2E_2F_5C_2E2 @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[47])).

thf(31,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
        | ( p @ B ) )
    <=> ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_5C_2F_2E0 @ A ) @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Ebool_2E_5C_2F_2E2)).

thf(209,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
          | ( p @ B ) )
       => ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_5C_2F_2E0 @ A ) @ B ) ) )
      & ( ( p @ ( app_2E2 @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Emin_2Ebool @ ( tyop_2Emin_2Efun @ tyop_2Emin_2Ebool @ tyop_2Emin_2Ebool ) @ c_2Ebool_2E_5C_2F_2E0 @ A ) @ B ) )
       => ( ( p @ A )
          | ( p @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(17,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ~ ( ( p @ B )
            | ( p @ A ) )
       => ( p @ c_2Ebool_2EF_2E0 ) )
    <=> ( ( ( p @ B )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ( ~ ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL2)).

thf(112,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ~ ( ( p @ B )
              | ( p @ A ) )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ( ( ( p @ B )
           => ( p @ c_2Ebool_2EF_2E0 ) )
         => ( ~ ( p @ A )
           => ( p @ c_2Ebool_2EF_2E0 ) ) ) )
      & ( ( ( ( p @ B )
           => ( p @ c_2Ebool_2EF_2E0 ) )
         => ( ~ ( p @ A )
           => ( p @ c_2Ebool_2EF_2E0 ) ) )
       => ( ~ ( ( p @ B )
              | ( p @ A ) )
         => ( p @ c_2Ebool_2EF_2E0 ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(29,axiom,(
    ! [A: tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool,B: tyop_2Erealax_2Ereal] :
      ( ( p @ ( f13090_0_2E2 @ A @ B ) )
    <=> ( ( p @ ( c_2Ereal__topology_2Eindependent_2E1 @ A ) )
        & ~ ( p @ ( c_2Ebool_2EIN_2E2 @ tyop_2Erealax_2Ereal @ B @ ( c_2Ereal__topology_2Espan_2E1 @ A ) ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',def0_2Ethm_2Ereal__topology_2EINDEPENDENT__INSERT)).

thf(194,plain,(
    ! [A: tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool,B: tyop_2Erealax_2Ereal] :
      ( ( ( p @ ( f13090_0_2E2 @ A @ B ) )
       => ( ( p @ ( c_2Ereal__topology_2Eindependent_2E1 @ A ) )
          & ~ ( p @ ( c_2Ebool_2EIN_2E2 @ tyop_2Erealax_2Ereal @ B @ ( c_2Ereal__topology_2Espan_2E1 @ A ) ) ) ) )
      & ( ( ( p @ ( c_2Ereal__topology_2Eindependent_2E1 @ A ) )
          & ~ ( p @ ( c_2Ebool_2EIN_2E2 @ tyop_2Erealax_2Ereal @ B @ ( c_2Ereal__topology_2Espan_2E1 @ A ) ) ) )
       => ( p @ ( f13090_0_2E2 @ A @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(12,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_21_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E0 @ TA ) @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq1_2Ec_2Ebool_2E_21_2E1_2Emono_2EA_27a)).

thf(95,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2E_21_2E1 @ TA @ A )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( c_2Ebool_2E_21_2E0 @ TA ) @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(23,axiom,(
    p @ c_2Ebool_2ET_2E0 ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(177,plain,(
    p @ c_2Ebool_2ET_2E0 ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(41,axiom,(
    ! [TA: $tType,A: TA,B: TA,C: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2EIN_2E2 @ TA @ A @ ( c_2Epred__set_2EINSERT_2E2 @ TA @ B @ C ) ) )
    <=> ( ( A = B )
        | ( p @ ( c_2Ebool_2EIN_2E2 @ TA @ A @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__INSERT)).

thf(331,plain,(
    ! [TA: $tType,A: TA,B: TA,C: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2EIN_2E2 @ TA @ A @ ( c_2Epred__set_2EINSERT_2E2 @ TA @ B @ C ) ) )
       => ( ( A = B )
          | ( p @ ( c_2Ebool_2EIN_2E2 @ TA @ A @ C ) ) ) )
      & ( ( ( A = B )
          | ( p @ ( c_2Ebool_2EIN_2E2 @ TA @ A @ C ) ) )
       => ( p @ ( c_2Ebool_2EIN_2E2 @ TA @ A @ ( c_2Epred__set_2EINSERT_2E2 @ TA @ B @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).

thf(18,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( c_2Ebool_2ET_2E0 = A )
      <=> ( p @ A ) )
      & ( ( A = c_2Ebool_2ET_2E0 )
      <=> ( p @ A ) )
      & ( ( c_2Ebool_2EF_2E0 = A )
      <=> ~ ( p @ A ) )
      & ( ( A = c_2Ebool_2EF_2E0 )
      <=> ~ ( p @ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(127,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ( c_2Ebool_2ET_2E0 = A )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( c_2Ebool_2ET_2E0 = A ) )
      & ( ( A = c_2Ebool_2ET_2E0 )
       => ( p @ A ) )
      & ( ( p @ A )
       => ( A = c_2Ebool_2ET_2E0 ) )
      & ( ( c_2Ebool_2EF_2E0 = A )
       => ~ ( p @ A ) )
      & ( ~ ( p @ A )
       => ( c_2Ebool_2EF_2E0 = A ) )
      & ( ( A = c_2Ebool_2EF_2E0 )
       => ~ ( p @ A ) )
      & ( ~ ( p @ A )
       => ( A = c_2Ebool_2EF_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(42,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( p @ c_2Ebool_2EF_2E0 )
     => ( p @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EFALSITY)).

thf(338,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( p @ c_2Ebool_2EF_2E0 )
     => ( p @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).

thf(5,axiom,(
    ! [TA: $tType,TB: $tType,A: tyop_2Emin_2Efun @ TA @ TB,B: tyop_2Emin_2Efun @ TA @ TB] :
      ( ! [C: TA] :
          ( ( app_2E2 @ TA @ TB @ A @ C )
          = ( app_2E2 @ TA @ TB @ B @ C ) )
     => ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Eeq__ext)).

thf(72,plain,(
    ! [TA: $tType,TB: $tType,A: tyop_2Emin_2Efun @ TA @ TB,B: tyop_2Emin_2Efun @ TA @ TB] :
      ( ! [C: TA] :
          ( ( app_2E2 @ TA @ TB @ A @ C )
          = ( app_2E2 @ TA @ TB @ B @ C ) )
     => ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(50,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
    <=> ( p @ c_2Ebool_2ET_2E0 ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(386,plain,(
    ! [TA: $tType] :
      ( p @ c_2Ebool_2ET_2E0 ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[50])).

thf(6,axiom,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( c_2Ebool_2ECOND_2E3 @ TA @ c_2Ebool_2ET_2E0 @ A @ B )
        = A )
      & ( ( c_2Ebool_2ECOND_2E3 @ TA @ c_2Ebool_2EF_2E0 @ A @ B )
        = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ECOND__CLAUSES)).

thf(75,plain,(
    ! [TA: $tType,A: TA,B: TA] :
      ( ( ( c_2Ebool_2ECOND_2E3 @ TA @ c_2Ebool_2ET_2E0 @ A @ B )
        = A )
      & ( ( c_2Ebool_2ECOND_2E3 @ TA @ c_2Ebool_2EF_2E0 @ A @ B )
        = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(49,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2EIN_2E2 @ tyop_2Erealax_2Ereal @ A @ B )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ ( c_2Ebool_2EIN_2E0 @ tyop_2Erealax_2Ereal ) @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ec_2Ebool_2EIN_2E2_2Emono_2Etyop_2Erealax_2Ereal)).

thf(383,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool] :
      ( ( c_2Ebool_2EIN_2E2 @ tyop_2Erealax_2Ereal @ A @ B )
      = ( app_2E2 @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool @ ( app_2E2 @ tyop_2Erealax_2Ereal @ ( tyop_2Emin_2Efun @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ tyop_2Emin_2Ebool ) @ ( c_2Ebool_2EIN_2E0 @ tyop_2Erealax_2Ereal ) @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[49])).

thf(26,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ~ ~ ( p @ A )
    <=> ( p @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2ENOT__NOT)).

thf(190,plain,(
    $true ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(43,axiom,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ~ ( p @ A )
       => ( p @ c_2Ebool_2EF_2E0 ) )
     => ( ( ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ( p @ c_2Ebool_2EF_2E0 ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV2)).

thf(341,plain,(
    ! [A: tyop_2Emin_2Ebool] :
      ( ( ~ ( p @ A )
       => ( p @ c_2Ebool_2EF_2E0 ) )
     => ( ( ( p @ A )
         => ( p @ c_2Ebool_2EF_2E0 ) )
       => ( p @ c_2Ebool_2EF_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).

thf(52,axiom,(
    p @ ( c_2Ereal__topology_2Eindependent_2E1 @ ( c_2Epred__set_2EEMPTY_2E0 @ tyop_2Erealax_2Ereal ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EINDEPENDENT__EMPTY)).

thf(395,plain,(
    p @ ( c_2Ereal__topology_2Eindependent_2E1 @ ( c_2Epred__set_2EEMPTY_2E0 @ tyop_2Erealax_2Ereal ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[52])).

thf(21,axiom,(
    ! [A: tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool,B: tyop_2Erealax_2Ereal] :
      ( ( f13090_0_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ f13090_0_2E0 @ A ) @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',arityeq2_2Ef13090_0_2E2)).

thf(163,plain,(
    ! [A: tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool,B: tyop_2Erealax_2Ereal] :
      ( ( f13090_0_2E2 @ A @ B )
      = ( app_2E2 @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool @ ( app_2E2 @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ ( tyop_2Emin_2Efun @ tyop_2Erealax_2Ereal @ tyop_2Emin_2Ebool ) @ f13090_0_2E0 @ A ) @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(30,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( p @ A )
      <=> ( p @ B ) )
     => ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Eboolext)).

thf(200,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool] :
      ( ( ( ( p @ A )
         => ( p @ B ) )
        & ( ( p @ B )
         => ( p @ A ) ) )
     => ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(24,axiom,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( p @ ( c_2Ebool_2E_21_2E1 @ TA @ A ) )
    <=> ! [B: TA] :
          ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',quantdef_2E_21)).

thf(178,plain,(
    ! [TA: $tType,A: tyop_2Emin_2Efun @ TA @ tyop_2Emin_2Ebool] :
      ( ( ( p @ ( c_2Ebool_2E_21_2E1 @ TA @ A ) )
       => ! [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) ) )
      & ( ! [B: TA] :
            ( p @ ( app_2E2 @ TA @ tyop_2Emin_2Ebool @ A @ B ) )
       => ( p @ ( c_2Ebool_2E_21_2E1 @ TA @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(8,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( app_2E2 @ TA @ TA @ ( combin_i_2E0 @ TA ) @ A )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Eextra_2Dho_2Ei__thm)).

thf(83,plain,(
    ! [TA: $tType,A: TA] :
      ( ( app_2E2 @ TA @ TA @ ( combin_i_2E0 @ TA ) @ A )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(32,axiom,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( p @ C )
      <=> ( B = A ) )
    <=> ( ( ( p @ C )
          | ( p @ B )
          | ( p @ A ) )
        & ( ( p @ C )
          | ~ ( p @ A )
          | ~ ( p @ B ) )
        & ( ( p @ B )
          | ~ ( p @ A )
          | ~ ( p @ C ) )
        & ( ( p @ A )
          | ~ ( p @ B )
          | ~ ( p @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2Edc__eq)).

thf(215,plain,(
    ! [A: tyop_2Emin_2Ebool,B: tyop_2Emin_2Ebool,C: tyop_2Emin_2Ebool] :
      ( ( ( ( ( p @ C )
           => ( B = A ) )
          & ( ( B = A )
           => ( p @ C ) ) )
       => ( ( ( p @ C )
            | ( p @ B )
            | ( p @ A ) )
          & ( ( p @ C )
            | ~ ( p @ A )
            | ~ ( p @ B ) )
          & ( ( p @ B )
            | ~ ( p @ A )
            | ~ ( p @ C ) )
          & ( ( p @ A )
            | ~ ( p @ B )
            | ~ ( p @ C ) ) ) )
      & ( ( ( ( p @ C )
            | ( p @ B )
            | ( p @ A ) )
          & ( ( p @ C )
            | ~ ( p @ A )
            | ~ ( p @ B ) )
          & ( ( p @ B )
            | ~ ( p @ A )
            | ~ ( p @ C ) )
          & ( ( p @ A )
            | ~ ( p @ B )
            | ~ ( p @ C ) ) )
       => ( ( ( p @ C )
           => ( B = A ) )
          & ( ( B = A )
           => ( p @ C ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(411,plain,(
    $false ),
    inference(cvc4,[status(thm)],[69,101,347,308,153,372,57,316,106,280,396,89,380,302,260,160,192,92,329,403,388,311,398,166,191,181,350,86,406,98,103,323,66,80,374,209,112,194,95,177,331,127,338,72,386,75,383,190,341,395,163,200,178,83,215])).
%------------------------------------------------------------------------------
