%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:44:47 EDT 2019

% Result     : Theorem 8.65s
% Output     : CNFRefutation 8.65s
% Verified   : 
% Statistics : Number of formulae       :   31 (  44 expanded)
%              Number of leaves         :   16 (  21 expanded)
%              Depth                    :    5
%              Number of atoms          :  191 ( 363 expanded)
%              Number of equality atoms :   17 (  30 expanded)
%              Maximal formula depth    :   14 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Ereal__topology_2E_2D_2D_3E_type,type,(
    c_2Ereal__topology_2E_2D_2D_3E: 
      !>[TA: $tType] :
        ( ( TA > tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal > ( tyop_2Ereal__topology_2Enet @ TA ) > $o ) )).

thf(c_2Ebool_2E_3F_type,type,(
    c_2Ebool_2E_3F: 
      !>[TA: $tType] :
        ( ( TA > $o ) > $o ) )).

thf(c_2Emin_2E_40_type,type,(
    c_2Emin_2E_40: 
      !>[TA: $tType] :
        ( ( TA > $o ) > TA ) )).

thf(c_2Ereal__topology_2Elim__def_type,type,(
    c_2Ereal__topology_2Elim__def: 
      !>[TA: $tType] :
        ( ( tyop_2Ereal__topology_2Enet @ TA ) > ( TA > tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal ) )).

thf(c_2Ereal__topology_2Etrivial__limit_type,type,(
    c_2Ereal__topology_2Etrivial__limit: 
      !>[TA: $tType] :
        ( ( tyop_2Ereal__topology_2Enet @ TA ) > $o ) )).

thf(skt1_type,type,(
    skt1: $tType )).

thf(sk1_type,type,(
    sk1: ( tyop_2Ereal__topology_2Enet @ skt1 ) )).

thf(sk2_type,type,(
    sk2: skt1 > tyop_2Erealax_2Ereal )).

thf(sk3_type,type,(
    sk3: tyop_2Erealax_2Ereal )).

thf(1,conjecture,(
    ! [TA: $tType,A: tyop_2Ereal__topology_2Enet @ TA,B: TA > tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ~ ( c_2Ereal__topology_2Etrivial__limit @ TA @ A )
        & ( c_2Ereal__topology_2E_2D_2D_3E @ TA @ B @ C @ A ) )
     => ( ( c_2Ereal__topology_2Elim__def @ TA @ A @ B )
        = C ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ETENDSTO__LIM)).

thf(2,negated_conjecture,(
    ~ ! [TA: $tType,A: tyop_2Ereal__topology_2Enet @ TA,B: TA > tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
        ( ( ~ ( c_2Ereal__topology_2Etrivial__limit @ TA @ A )
          & ( c_2Ereal__topology_2E_2D_2D_3E @ TA @ B @ C @ A ) )
       => ( ( c_2Ereal__topology_2Elim__def @ TA @ A @ B )
          = C ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(7,plain,(
    ~ ! [TA: $tType,A: tyop_2Ereal__topology_2Enet @ TA,B: TA > tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
        ( ( ~ ( c_2Ereal__topology_2Etrivial__limit @ TA @ A )
          & ( c_2Ereal__topology_2E_2D_2D_3E @ TA @ B @ C @ A ) )
       => ( ( c_2Ereal__topology_2Elim__def @ TA @ A @ B )
          = C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(10,plain,(
    ~ ( c_2Ereal__topology_2Etrivial__limit @ skt1 @ sk1 ) ),
    inference(cnf,[status(esa)],[7])).

thf(6,axiom,(
    ! [TA: $tType,A: tyop_2Ereal__topology_2Enet @ TA,B: TA > tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal] :
      ( ( ~ ( c_2Ereal__topology_2Etrivial__limit @ TA @ A )
        & ( c_2Ereal__topology_2E_2D_2D_3E @ TA @ B @ C @ A )
        & ( c_2Ereal__topology_2E_2D_2D_3E @ TA @ B @ D @ A ) )
     => ( C = D ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ELIM__UNIQUE)).

thf(21,plain,(
    ! [TA: $tType,A: tyop_2Ereal__topology_2Enet @ TA,B: TA > tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal] :
      ( ( ~ ( c_2Ereal__topology_2Etrivial__limit @ TA @ A )
        & ( c_2Ereal__topology_2E_2D_2D_3E @ TA @ B @ C @ A )
        & ( c_2Ereal__topology_2E_2D_2D_3E @ TA @ B @ D @ A ) )
     => ( C = D ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(9,plain,(
    c_2Ereal__topology_2E_2D_2D_3E @ skt1 @ sk2 @ sk3 @ sk1 ),
    inference(cnf,[status(esa)],[7])).

thf(4,axiom,(
    ! [TA: $tType] :
      ( ( c_2Ebool_2E_3F @ TA )
      = ( ^ [A: TA > $o] :
            ( A @ ( c_2Emin_2E_40 @ TA @ A ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEXISTS__DEF)).

thf(15,plain,(
    ! [TA: $tType] :
      ( ( c_2Ebool_2E_3F @ TA )
      = ( ^ [A: TA > $o] :
            ( A @ ( c_2Emin_2E_40 @ TA @ A ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(16,plain,(
    ! [TA: $tType] :
      ( ( c_2Ebool_2E_3F @ TA )
      = ( ^ [A: TA > $o] :
            ( A @ ( c_2Emin_2E_40 @ TA @ A ) ) ) ) ),
    inference(cnf,[status(esa)],[15])).

thf(17,plain,(
    ! [TA: $tType] :
      ( ( c_2Ebool_2E_3F @ TA )
      = ( ^ [A: TA > $o] :
            ( A @ ( c_2Emin_2E_40 @ TA @ A ) ) ) ) ),
    inference(lifteq,[status(thm)],[16])).

thf(3,axiom,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).

thf(12,plain,(
    ! [TA: $tType,A: TA > $o] :
      ( ( c_2Ebool_2E_3F @ TA @ A )
      = ( ? [B: TA] :
            ( A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(5,axiom,(
    ! [TA: $tType,A: tyop_2Ereal__topology_2Enet @ TA,B: TA > tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Elim__def @ TA @ A @ B )
      = ( c_2Emin_2E_40 @ tyop_2Erealax_2Ereal
        @ ^ [C: tyop_2Erealax_2Ereal] :
            ( c_2Ereal__topology_2E_2D_2D_3E @ TA @ B @ C @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2Elim__def)).

thf(18,plain,(
    ! [TA: $tType,A: tyop_2Ereal__topology_2Enet @ TA,B: TA > tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2Elim__def @ TA @ A @ B )
      = ( c_2Emin_2E_40 @ tyop_2Erealax_2Ereal
        @ ^ [C: tyop_2Erealax_2Ereal] :
            ( c_2Ereal__topology_2E_2D_2D_3E @ TA @ B @ C @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(8,plain,(
    ( c_2Ereal__topology_2Elim__def @ skt1 @ sk1 @ sk2 )
 != sk3 ),
    inference(cnf,[status(esa)],[7])).

thf(11,plain,(
    ( c_2Ereal__topology_2Elim__def @ skt1 @ sk1 @ sk2 )
 != sk3 ),
    inference(lifteq,[status(thm)],[8])).

thf(22,plain,(
    ! [TA: $tType,D: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,B: TA > tyop_2Erealax_2Ereal,A: tyop_2Ereal__topology_2Enet @ TA] :
      ( ( c_2Ereal__topology_2Etrivial__limit @ TA @ A )
      | ~ ( c_2Ereal__topology_2E_2D_2D_3E @ TA @ B @ C @ A )
      | ~ ( c_2Ereal__topology_2E_2D_2D_3E @ TA @ B @ D @ A )
      | ( C = D ) ) ),
    inference(cnf,[status(esa)],[21])).

thf(23,plain,(
    ! [TA: $tType,D: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,B: TA > tyop_2Erealax_2Ereal,A: tyop_2Ereal__topology_2Enet @ TA] :
      ( ( C = D )
      | ( c_2Ereal__topology_2Etrivial__limit @ TA @ A )
      | ~ ( c_2Ereal__topology_2E_2D_2D_3E @ TA @ B @ C @ A )
      | ~ ( c_2Ereal__topology_2E_2D_2D_3E @ TA @ B @ D @ A ) ) ),
    inference(lifteq,[status(thm)],[22])).

thf(82,plain,(
    $false ),
    inference(e,[status(thm)],[10,21,9,17,12,7,18,11,23,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.03/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.13  % CPULimit   : 300
% 0.03/0.13  % DateTime   : Wed Jul 31 13:13:36 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 3.85/1.57  % [INFO] 	 Running in sequential loop mode. 
% 4.41/1.75  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.74/1.81  % [INFO] 	 iprover registered as external prover. 
% 4.74/1.81  % [INFO] 	 e registered as external prover. 
% 4.74/1.81  % [INFO] 	 cvc4 registered as external prover. 
% 4.74/1.82  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.80/1.87  % [INFO] 	 Found a conjecture and 32 axioms. Running axiom selection ... 
% 4.80/1.92  % [INFO] 	 Axiom selection finished. Selected 4 axioms (removed 28 axioms). 
% 5.02/1.94  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 8.65/2.92  % [INFO] 	 Killing All external provers ... 
% 8.65/2.92  % Time passed: 2656ms
% 8.65/2.92  % Effective reasoning time: 1345ms
% 8.65/2.92  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 8.65/2.92  % Axioms used in derivation (4): thm_2Ereal__topology_2ELIM__UNIQUE, thm_2Ebool_2EEXISTS__DEF, quantdef_2E_3F, thm_2Ereal__topology_2Elim__def
% 8.65/2.92  % No. of inferences in proof: 20
% 8.65/2.92  % No. of processed clauses: 6
% 8.65/2.92  % No. of generated clauses: 18
% 8.65/2.92  % No. of forward subsumed clauses: 0
% 8.65/2.92  % No. of backward subsumed clauses: 0
% 8.65/2.92  % No. of ground rewrite rules in store: 2
% 8.65/2.92  % No. of non-ground rewrite rules in store: 0
% 8.65/2.92  % No. of positive (non-rewrite) units in store: 1
% 8.65/2.92  % No. of negative (non-rewrite) units in store: 1
% 8.65/2.92  % No. of choice functions detected: 0
% 8.65/2.92  % No. of choice instantiations: 0
% 8.65/2.92  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 2656 ms resp. 1345 ms w/o parsing
% 8.65/2.95  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 8.65/2.95  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 8.65/2.95  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 8.65/2.95  thf(c_2Ereal__topology_2E_2D_2D_3E_type, type, c_2Ereal__topology_2E_2D_2D_3E: !>[TA: $tType]: ((TA > tyop_2Erealax_2Ereal) > (tyop_2Erealax_2Ereal > ((tyop_2Ereal__topology_2Enet @ TA) > $o)))).
% 8.65/2.95  thf(c_2Ebool_2E_3F_type, type, c_2Ebool_2E_3F: !>[TA: $tType]: ((TA > $o) > $o)).
% 8.65/2.95  thf(c_2Emin_2E_40_type, type, c_2Emin_2E_40: !>[TA: $tType]: ((TA > $o) > TA)).
% 8.65/2.95  thf(c_2Ereal__topology_2Elim__def_type, type, c_2Ereal__topology_2Elim__def: !>[TA: $tType]: ((tyop_2Ereal__topology_2Enet @ TA) > ((TA > tyop_2Erealax_2Ereal) > tyop_2Erealax_2Ereal))).
% 8.65/2.95  thf(c_2Ereal__topology_2Etrivial__limit_type, type, c_2Ereal__topology_2Etrivial__limit: !>[TA: $tType]: ((tyop_2Ereal__topology_2Enet @ TA) > $o)).
% 8.65/2.95  thf(skt1_type, type, skt1: $tType).
% 8.65/2.95  thf(sk1_type, type, sk1: (tyop_2Ereal__topology_2Enet @ skt1)).
% 8.65/2.95  thf(sk2_type, type, sk2: (skt1 > tyop_2Erealax_2Ereal)).
% 8.65/2.95  thf(sk3_type, type, sk3: tyop_2Erealax_2Ereal).
% 8.65/2.95  thf(1,conjecture,((! [TA: $tType]: (! [A:(tyop_2Ereal__topology_2Enet @ TA),B:(TA > tyop_2Erealax_2Ereal),C:tyop_2Erealax_2Ereal]: ((~ (c_2Ereal__topology_2Etrivial__limit @ TA @ A) & (c_2Ereal__topology_2E_2D_2D_3E @ TA @ B @ C @ A)) => ((c_2Ereal__topology_2Elim__def @ TA @ A @ B) = C))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ETENDSTO__LIM)).
% 8.65/2.95  thf(2,negated_conjecture,((~ (! [TA: $tType]: (! [A:(tyop_2Ereal__topology_2Enet @ TA),B:(TA > tyop_2Erealax_2Ereal),C:tyop_2Erealax_2Ereal]: ((~ (c_2Ereal__topology_2Etrivial__limit @ TA @ A) & (c_2Ereal__topology_2E_2D_2D_3E @ TA @ B @ C @ A)) => ((c_2Ereal__topology_2Elim__def @ TA @ A @ B) = C)))))),inference(neg_conjecture,[status(cth)],[1])).
% 8.65/2.95  thf(7,plain,((~ (! [TA: $tType]: (! [A:(tyop_2Ereal__topology_2Enet @ TA),B:(TA > tyop_2Erealax_2Ereal),C:tyop_2Erealax_2Ereal]: ((~ (c_2Ereal__topology_2Etrivial__limit @ TA @ A) & (c_2Ereal__topology_2E_2D_2D_3E @ TA @ (B) @ C @ A)) => ((c_2Ereal__topology_2Elim__def @ TA @ A @ (B)) = C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 8.65/2.95  thf(10,plain,((~ (c_2Ereal__topology_2Etrivial__limit @ skt1 @ sk1))),inference(cnf,[status(esa)],[7])).
% 8.65/2.95  thf(6,axiom,((! [TA: $tType]: (! [A:(tyop_2Ereal__topology_2Enet @ TA),B:(TA > tyop_2Erealax_2Ereal),C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal]: ((~ (c_2Ereal__topology_2Etrivial__limit @ TA @ A) & (c_2Ereal__topology_2E_2D_2D_3E @ TA @ B @ C @ A) & (c_2Ereal__topology_2E_2D_2D_3E @ TA @ B @ D @ A)) => (C = D))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ELIM__UNIQUE)).
% 8.65/2.95  thf(21,plain,((! [TA: $tType]: (! [A:(tyop_2Ereal__topology_2Enet @ TA),B:(TA > tyop_2Erealax_2Ereal),C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal]: ((~ (c_2Ereal__topology_2Etrivial__limit @ TA @ A) & (c_2Ereal__topology_2E_2D_2D_3E @ TA @ (B) @ C @ A) & (c_2Ereal__topology_2E_2D_2D_3E @ TA @ (B) @ D @ A)) => (C = D))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 8.65/2.95  thf(9,plain,((c_2Ereal__topology_2E_2D_2D_3E @ skt1 @ (sk2) @ sk3 @ sk1)),inference(cnf,[status(esa)],[7])).
% 8.65/2.95  thf(4,axiom,((! [TA: $tType]: ((c_2Ebool_2E_3F @ TA) = (^ [A:(TA > $o)]: (A @ (c_2Emin_2E_40 @ TA @ A)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ebool_2EEXISTS__DEF)).
% 8.65/2.95  thf(15,plain,((! [TA: $tType]: ((c_2Ebool_2E_3F @ TA) = (^ [A:(TA > $o)]: (A @ (c_2Emin_2E_40 @ TA @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 8.65/2.95  thf(16,plain,(! [TA:$tType] : (((c_2Ebool_2E_3F @ TA) = (^ [A:(TA > $o)]: (A @ (c_2Emin_2E_40 @ TA @ A)))))),inference(cnf,[status(esa)],[15])).
% 8.65/2.95  thf(17,plain,(! [TA:$tType] : (((c_2Ebool_2E_3F @ TA) = (^ [A:(TA > $o)]: (A @ (c_2Emin_2E_40 @ TA @ A)))))),inference(lifteq,[status(thm)],[16])).
% 8.65/2.95  thf(3,axiom,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ A) = (? [B:TA]: (A @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',quantdef_2E_3F)).
% 8.65/2.95  thf(12,plain,((! [TA: $tType]: (! [A:(TA > $o)]: ((c_2Ebool_2E_3F @ TA @ (A)) = (? [B:TA]: (A @ B)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 8.65/2.95  thf(5,axiom,((! [TA: $tType]: (! [A:(tyop_2Ereal__topology_2Enet @ TA),B:(TA > tyop_2Erealax_2Ereal)]: ((c_2Ereal__topology_2Elim__def @ TA @ A @ B) = (c_2Emin_2E_40 @ tyop_2Erealax_2Ereal @ (^ [C:tyop_2Erealax_2Ereal]: (c_2Ereal__topology_2E_2D_2D_3E @ TA @ B @ C @ A))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2Elim__def)).
% 8.65/2.95  thf(18,plain,((! [TA: $tType]: (! [A:(tyop_2Ereal__topology_2Enet @ TA),B:(TA > tyop_2Erealax_2Ereal)]: ((c_2Ereal__topology_2Elim__def @ TA @ A @ (B)) = (c_2Emin_2E_40 @ tyop_2Erealax_2Ereal @ (^ [C:tyop_2Erealax_2Ereal]: (c_2Ereal__topology_2E_2D_2D_3E @ TA @ B @ C @ A))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 8.65/2.95  thf(8,plain,((~ ((c_2Ereal__topology_2Elim__def @ skt1 @ sk1 @ (sk2)) = sk3))),inference(cnf,[status(esa)],[7])).
% 8.65/2.95  thf(11,plain,(((c_2Ereal__topology_2Elim__def @ skt1 @ sk1 @ (sk2)) != sk3)),inference(lifteq,[status(thm)],[8])).
% 8.65/2.95  thf(22,plain,(! [TA:$tType,D:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,B:(TA > tyop_2Erealax_2Ereal),A:(tyop_2Ereal__topology_2Enet @ TA)] : ((c_2Ereal__topology_2Etrivial__limit @ TA @ A) | (~ (c_2Ereal__topology_2E_2D_2D_3E @ TA @ (B) @ C @ A)) | (~ (c_2Ereal__topology_2E_2D_2D_3E @ TA @ (B) @ D @ A)) | (C = D))),inference(cnf,[status(esa)],[21])).
% 8.65/2.95  thf(23,plain,(! [TA:$tType,D:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,B:(TA > tyop_2Erealax_2Ereal),A:(tyop_2Ereal__topology_2Enet @ TA)] : ((C = D) | (c_2Ereal__topology_2Etrivial__limit @ TA @ A) | (~ (c_2Ereal__topology_2E_2D_2D_3E @ TA @ (B) @ C @ A)) | (~ (c_2Ereal__topology_2E_2D_2D_3E @ TA @ (B) @ D @ A)))),inference(lifteq,[status(thm)],[22])).
% 8.65/2.95  thf(82,plain,($false),inference(e,[status(thm)],[10,21,9,17,12,7,18,11,23,15])).
% 8.65/2.95  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 8.65/2.95  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
