%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:44:55 EDT 2019

% Result     : Theorem 6.00s
% Output     : CNFRefutation 6.00s
% Verified   : 
% Statistics : Number of formulae       :   14 (  14 expanded)
%              Number of leaves         :    9 (   9 expanded)
%              Depth                    :    3
%              Number of atoms          :   40 (  40 expanded)
%              Number of equality atoms :    2 (   2 expanded)
%              Maximal formula depth    :    6 (   4 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Ereal__topology_2EClosed_type,type,(
    c_2Ereal__topology_2EClosed: ( tyop_2Erealax_2Ereal > $o ) > $o )).

thf(c_2Ereal__topology_2Ebounded__def_type,type,(
    c_2Ereal__topology_2Ebounded__def: ( tyop_2Erealax_2Ereal > $o ) > $o )).

thf(c_2Ereal__topology_2Ecompact_type,type,(
    c_2Ereal__topology_2Ecompact: ( tyop_2Erealax_2Ereal > $o ) > $o )).

thf(c_2Ereal__topology_2Efrontier_type,type,(
    c_2Ereal__topology_2Efrontier: ( tyop_2Erealax_2Ereal > $o ) > tyop_2Erealax_2Ereal > $o )).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Ecompact @ A )
     => ( c_2Ereal__topology_2Ecompact @ ( c_2Ereal__topology_2Efrontier @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECOMPACT__FRONTIER)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal > $o] :
        ( ( c_2Ereal__topology_2Ecompact @ A )
       => ( c_2Ereal__topology_2Ecompact @ ( c_2Ereal__topology_2Efrontier @ A ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(5,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal > $o] :
        ( ( c_2Ereal__topology_2Ecompact @ A )
       => ( c_2Ereal__topology_2Ecompact @ ( c_2Ereal__topology_2Efrontier @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Ecompact @ A )
      = ( ( c_2Ereal__topology_2Ebounded__def @ A )
        & ( c_2Ereal__topology_2EClosed @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECOMPACT__EQ__BOUNDED__CLOSED)).

thf(8,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Ecompact @ A )
      = ( ( c_2Ereal__topology_2Ebounded__def @ A )
        & ( c_2Ereal__topology_2EClosed @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [A: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Ebounded__def @ A )
     => ( c_2Ereal__topology_2Ecompact @ ( c_2Ereal__topology_2Efrontier @ A ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECOMPACT__FRONTIER__BOUNDED)).

thf(15,plain,(
    ! [A: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2Ebounded__def @ A )
     => ( c_2Ereal__topology_2Ecompact @ ( c_2Ereal__topology_2Efrontier @ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(21,plain,(
    $false ),
    inference(iprover,[status(thm)],[5,8,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.03/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.12  % CPULimit   : 300
% 0.03/0.12  % DateTime   : Wed Jul 31 13:24:31 EDT 2019
% 0.03/0.12  % CPUTime    : 
% 3.46/1.41  % [INFO] 	 Running in sequential loop mode. 
% 4.21/1.59  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 4.48/1.65  % [INFO] 	 iprover registered as external prover. 
% 4.48/1.65  % [INFO] 	 e registered as external prover. 
% 4.48/1.65  % [INFO] 	 cvc4 registered as external prover. 
% 4.48/1.65  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 4.67/1.70  % [INFO] 	 Found a conjecture and 28 axioms. Running axiom selection ... 
% 4.67/1.74  % [INFO] 	 Axiom selection finished. Selected 2 axioms (removed 26 axioms). 
% 4.67/1.75  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 6.00/2.17  % [INFO] 	 Killing All external provers ... 
% 6.00/2.17  % Time passed: 1913ms
% 6.00/2.17  % Effective reasoning time: 761ms
% 6.00/2.18  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 6.00/2.18  % Axioms used in derivation (2): thm_2Ereal__topology_2ECOMPACT__EQ__BOUNDED__CLOSED, thm_2Ereal__topology_2ECOMPACT__FRONTIER__BOUNDED
% 6.00/2.18  % No. of inferences in proof: 8
% 6.00/2.18  % No. of processed clauses: 1
% 6.00/2.18  % No. of generated clauses: 0
% 6.00/2.18  % No. of forward subsumed clauses: 0
% 6.00/2.18  % No. of backward subsumed clauses: 0
% 6.00/2.18  % No. of ground rewrite rules in store: 1
% 6.00/2.18  % No. of non-ground rewrite rules in store: 0
% 6.00/2.18  % No. of positive (non-rewrite) units in store: 0
% 6.00/2.18  % No. of negative (non-rewrite) units in store: 0
% 6.00/2.18  % No. of choice functions detected: 0
% 6.00/2.18  % No. of choice instantiations: 0
% 6.00/2.18  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 1913 ms resp. 761 ms w/o parsing
% 6.00/2.20  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.00/2.20  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 6.00/2.20  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 6.00/2.20  thf(c_2Ereal__topology_2EClosed_type, type, c_2Ereal__topology_2EClosed: ((tyop_2Erealax_2Ereal > $o) > $o)).
% 6.00/2.20  thf(c_2Ereal__topology_2Ebounded__def_type, type, c_2Ereal__topology_2Ebounded__def: ((tyop_2Erealax_2Ereal > $o) > $o)).
% 6.00/2.20  thf(c_2Ereal__topology_2Ecompact_type, type, c_2Ereal__topology_2Ecompact: ((tyop_2Erealax_2Ereal > $o) > $o)).
% 6.00/2.20  thf(c_2Ereal__topology_2Efrontier_type, type, c_2Ereal__topology_2Efrontier: ((tyop_2Erealax_2Ereal > $o) > (tyop_2Erealax_2Ereal > $o))).
% 6.00/2.20  thf(1,conjecture,((! [A:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Ecompact @ A) => (c_2Ereal__topology_2Ecompact @ (c_2Ereal__topology_2Efrontier @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECOMPACT__FRONTIER)).
% 6.00/2.20  thf(2,negated_conjecture,((~ (! [A:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Ecompact @ A) => (c_2Ereal__topology_2Ecompact @ (c_2Ereal__topology_2Efrontier @ A)))))),inference(neg_conjecture,[status(cth)],[1])).
% 6.00/2.20  thf(5,plain,((~ (! [A:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Ecompact @ (A)) => (c_2Ereal__topology_2Ecompact @ (c_2Ereal__topology_2Efrontier @ A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 6.00/2.20  thf(3,axiom,((! [A:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Ecompact @ A) = ((c_2Ereal__topology_2Ebounded__def @ A) & (c_2Ereal__topology_2EClosed @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECOMPACT__EQ__BOUNDED__CLOSED)).
% 6.00/2.20  thf(8,plain,((! [A:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Ecompact @ (A)) = ((c_2Ereal__topology_2Ebounded__def @ (A)) & (c_2Ereal__topology_2EClosed @ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 6.00/2.20  thf(4,axiom,((! [A:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Ebounded__def @ A) => (c_2Ereal__topology_2Ecompact @ (c_2Ereal__topology_2Efrontier @ A))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ECOMPACT__FRONTIER__BOUNDED)).
% 6.00/2.20  thf(15,plain,((! [A:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2Ebounded__def @ (A)) => (c_2Ereal__topology_2Ecompact @ (c_2Ereal__topology_2Efrontier @ A))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 6.00/2.20  thf(21,plain,($false),inference(iprover,[status(thm)],[5,8,15])).
% 6.00/2.20  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 6.00/2.20  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
