%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:45:18 EDT 2019

% Result     : Theorem 73.66s
% Output     : CNFRefutation 73.66s
% Verified   : 
% Statistics : Number of formulae       :   24 (  24 expanded)
%              Number of leaves         :   18 (  18 expanded)
%              Depth                    :    3
%              Number of atoms          :  246 ( 246 expanded)
%              Number of equality atoms :    9 (   9 expanded)
%              Maximal formula depth    :   21 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Epair_2E_2C_type,type,(
    c_2Epair_2E_2C: 
      !>[TA: $tType,TB: $tType] :
        ( TA > TB > ( tyop_2Epair_2Eprod @ TA @ TB ) ) )).

thf(c_2Ereal__topology_2E_2D_2D_3E_type,type,(
    c_2Ereal__topology_2E_2D_2D_3E: 
      !>[TA: $tType] :
        ( ( TA > tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal > ( tyop_2Ereal__topology_2Enet @ TA ) > $o ) )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: tyop_2Enum_2Enum )).

thf(c_2Ereal__topology_2EDist_type,type,(
    c_2Ereal__topology_2EDist: ( tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal ) > tyop_2Erealax_2Ereal )).

thf(c_2Ebool_2EIN_type,type,(
    c_2Ebool_2EIN: 
      !>[TA: $tType] :
        ( TA > ( TA > $o ) > $o ) )).

thf(c_2Epred__set_2EUNION_type,type,(
    c_2Epred__set_2EUNION: 
      !>[TA: $tType] :
        ( ( TA > $o ) > ( TA > $o ) > TA > $o ) )).

thf(c_2Ereal__topology_2Eat_type,type,(
    c_2Ereal__topology_2Eat: tyop_2Erealax_2Ereal > ( tyop_2Ereal__topology_2Enet @ tyop_2Erealax_2Ereal ) )).

thf(c_2Ereal_2Emin_type,type,(
    c_2Ereal_2Emin: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Erealax_2Ereal__lt_type,type,(
    c_2Erealax_2Ereal__lt: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ereal_2Ereal__of__num_type,type,(
    c_2Ereal_2Ereal__of__num: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal )).

thf(c_2Ereal__topology_2Ewithin_type,type,(
    c_2Ereal__topology_2Ewithin: 
      !>[TA: $tType] :
        ( ( tyop_2Ereal__topology_2Enet @ TA ) > ( TA > $o ) > ( tyop_2Ereal__topology_2Enet @ TA ) ) )).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > $o,C: tyop_2Erealax_2Ereal > $o,D: tyop_2Erealax_2Ereal,E: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal__topology_2E_2D_2D_3E @ tyop_2Erealax_2Ereal @ E @ D @ ( c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Eat @ A ) @ ( c_2Epred__set_2EUNION @ tyop_2Erealax_2Ereal @ C @ B ) ) )
      = ( ( c_2Ereal__topology_2E_2D_2D_3E @ tyop_2Erealax_2Ereal @ E @ D @ ( c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Eat @ A ) @ C ) )
        & ( c_2Ereal__topology_2E_2D_2D_3E @ tyop_2Erealax_2Ereal @ E @ D @ ( c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Eat @ A ) @ B ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ELIM__WITHIN__UNION)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > $o,C: tyop_2Erealax_2Ereal > $o,D: tyop_2Erealax_2Ereal,E: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal] :
        ( ( c_2Ereal__topology_2E_2D_2D_3E @ tyop_2Erealax_2Ereal @ E @ D @ ( c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Eat @ A ) @ ( c_2Epred__set_2EUNION @ tyop_2Erealax_2Ereal @ C @ B ) ) )
        = ( ( c_2Ereal__topology_2E_2D_2D_3E @ tyop_2Erealax_2Ereal @ E @ D @ ( c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Eat @ A ) @ C ) )
          & ( c_2Ereal__topology_2E_2D_2D_3E @ tyop_2Erealax_2Ereal @ E @ D @ ( c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Eat @ A ) @ B ) ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(6,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal > $o,C: tyop_2Erealax_2Ereal > $o,D: tyop_2Erealax_2Ereal,E: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal] :
        ( ( c_2Ereal__topology_2E_2D_2D_3E @ tyop_2Erealax_2Ereal @ E @ D @ ( c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Eat @ A ) @ ( c_2Epred__set_2EUNION @ tyop_2Erealax_2Ereal @ C @ B ) ) )
        = ( ( c_2Ereal__topology_2E_2D_2D_3E @ tyop_2Erealax_2Ereal @ E @ D @ ( c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Eat @ A ) @ C ) )
          & ( c_2Ereal__topology_2E_2D_2D_3E @ tyop_2Erealax_2Ereal @ E @ D @ ( c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Eat @ A ) @ B ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(3,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ C @ ( c_2Ereal_2Emin @ A @ B ) )
      = ( ( c_2Erealax_2Ereal__lt @ C @ A )
        & ( c_2Erealax_2Ereal__lt @ C @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2EREAL__LT__MIN)).

thf(9,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ C @ ( c_2Ereal_2Emin @ A @ B ) )
      = ( ( c_2Erealax_2Ereal__lt @ C @ A )
        & ( c_2Erealax_2Ereal__lt @ C @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(4,axiom,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2E_2D_2D_3E @ tyop_2Erealax_2Ereal @ A @ B @ ( c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Eat @ C ) @ D ) )
      = ( ! [E: tyop_2Erealax_2Ereal] :
            ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ E )
           => ? [F: tyop_2Erealax_2Ereal] :
                ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ F )
                & ! [G: tyop_2Erealax_2Ereal] :
                    ( ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ G @ D )
                      & ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ G @ C ) ) )
                      & ( c_2Erealax_2Ereal__lt @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ G @ C ) ) @ F ) )
                   => ( c_2Erealax_2Ereal__lt @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ ( A @ G ) @ B ) ) @ E ) ) ) ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ELIM__WITHIN)).

thf(12,plain,(
    ! [A: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal > $o] :
      ( ( c_2Ereal__topology_2E_2D_2D_3E @ tyop_2Erealax_2Ereal @ A @ B @ ( c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ ( c_2Ereal__topology_2Eat @ C ) @ D ) )
      = ( ! [E: tyop_2Erealax_2Ereal] :
            ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ E )
           => ? [F: tyop_2Erealax_2Ereal] :
                ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ F )
                & ! [G: tyop_2Erealax_2Ereal] :
                    ( ( ( c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ G @ D )
                      & ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ G @ C ) ) )
                      & ( c_2Erealax_2Ereal__lt @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ G @ C ) ) @ F ) )
                   => ( c_2Erealax_2Ereal__lt @ ( c_2Ereal__topology_2EDist @ ( c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ ( A @ G ) @ B ) ) @ E ) ) ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(5,axiom,(
    ! [TA: $tType,A: TA > $o,B: TA > $o,C: TA] :
      ( ( c_2Ebool_2EIN @ TA @ C @ ( c_2Epred__set_2EUNION @ TA @ A @ B ) )
      = ( ( c_2Ebool_2EIN @ TA @ C @ A )
        | ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ),
    file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__UNION)).

thf(15,plain,(
    ! [TA: $tType,A: TA > $o,B: TA > $o,C: TA] :
      ( ( c_2Ebool_2EIN @ TA @ C @ ( c_2Epred__set_2EUNION @ TA @ A @ B ) )
      = ( ( c_2Ebool_2EIN @ TA @ C @ A )
        | ( c_2Ebool_2EIN @ TA @ C @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(356,plain,(
    $false ),
    inference(iprover,[status(thm)],[6,9,12,15])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.11/0.12  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.11/0.13  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox/solver/bin/externals/iprover
% 0.11/0.13  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.11/0.13  % CPULimit   : 300
% 0.11/0.13  % DateTime   : Wed Jul 31 14:50:41 EDT 2019
% 0.11/0.14  % CPUTime    : 
% 4.78/1.77  % [INFO] 	 Running in sequential loop mode. 
% 5.03/1.95  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.18/2.01  % [INFO] 	 iprover registered as external prover. 
% 5.18/2.01  % [INFO] 	 e registered as external prover. 
% 5.26/2.01  % [INFO] 	 cvc4 registered as external prover. 
% 5.26/2.02  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.31/2.08  % [INFO] 	 Found a conjecture and 46 axioms. Running axiom selection ... 
% 5.53/2.12  % [INFO] 	 Axiom selection finished. Selected 3 axioms (removed 43 axioms). 
% 5.53/2.15  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 73.66/18.82  % [INFO] 	 Killing All external provers ... 
% 73.66/18.82  % Time passed: 18542ms
% 73.66/18.82  % Effective reasoning time: 17048ms
% 73.66/18.82  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 73.66/18.82  % Axioms used in derivation (3): thm_2Ereal__topology_2EREAL__LT__MIN, thm_2Ereal__topology_2ELIM__WITHIN, thm_2Epred__set_2EIN__UNION
% 73.66/18.82  % No. of inferences in proof: 10
% 73.66/18.82  % No. of processed clauses: 11
% 73.66/18.82  % No. of generated clauses: 148
% 73.66/18.82  % No. of forward subsumed clauses: 0
% 73.66/18.82  % No. of backward subsumed clauses: 0
% 73.66/18.82  % No. of ground rewrite rules in store: 0
% 73.66/18.82  % No. of non-ground rewrite rules in store: 1
% 73.66/18.82  % No. of positive (non-rewrite) units in store: 4
% 73.66/18.82  % No. of negative (non-rewrite) units in store: 1
% 73.66/18.83  % No. of choice functions detected: 0
% 73.66/18.83  % No. of choice instantiations: 0
% 73.66/18.83  % SZS status Theorem for /export/starexec/sandbox/benchmark/theBenchmark.p : 18542 ms resp. 17048 ms w/o parsing
% 73.66/18.86  % SZS output start CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 73.66/18.86  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 73.66/18.86  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 73.66/18.86  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 73.66/18.86  thf(c_2Epair_2E_2C_type, type, c_2Epair_2E_2C: !>[TA: $tType,TB: $tType]: (TA > (TB > (tyop_2Epair_2Eprod @ TA @ TB)))).
% 73.66/18.86  thf(c_2Ereal__topology_2E_2D_2D_3E_type, type, c_2Ereal__topology_2E_2D_2D_3E: !>[TA: $tType]: ((TA > tyop_2Erealax_2Ereal) > (tyop_2Erealax_2Ereal > ((tyop_2Ereal__topology_2Enet @ TA) > $o)))).
% 73.66/18.86  thf(c_2Enum_2E0_type, type, c_2Enum_2E0: tyop_2Enum_2Enum).
% 73.66/18.86  thf(c_2Ereal__topology_2EDist_type, type, c_2Ereal__topology_2EDist: ((tyop_2Epair_2Eprod @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal) > tyop_2Erealax_2Ereal)).
% 73.66/18.86  thf(c_2Ebool_2EIN_type, type, c_2Ebool_2EIN: !>[TA: $tType]: (TA > ((TA > $o) > $o))).
% 73.66/18.86  thf(c_2Epred__set_2EUNION_type, type, c_2Epred__set_2EUNION: !>[TA: $tType]: ((TA > $o) > ((TA > $o) > (TA > $o)))).
% 73.66/18.86  thf(c_2Ereal__topology_2Eat_type, type, c_2Ereal__topology_2Eat: (tyop_2Erealax_2Ereal > (tyop_2Ereal__topology_2Enet @ tyop_2Erealax_2Ereal))).
% 73.66/18.86  thf(c_2Ereal_2Emin_type, type, c_2Ereal_2Emin: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 73.66/18.86  thf(c_2Erealax_2Ereal__lt_type, type, c_2Erealax_2Ereal__lt: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 73.66/18.86  thf(c_2Ereal_2Ereal__of__num_type, type, c_2Ereal_2Ereal__of__num: (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal)).
% 73.66/18.86  thf(c_2Ereal__topology_2Ewithin_type, type, c_2Ereal__topology_2Ewithin: !>[TA: $tType]: ((tyop_2Ereal__topology_2Enet @ TA) > ((TA > $o) > (tyop_2Ereal__topology_2Enet @ TA)))).
% 73.66/18.86  thf(1,conjecture,((! [A:tyop_2Erealax_2Ereal,B:(tyop_2Erealax_2Ereal > $o),C:(tyop_2Erealax_2Ereal > $o),D:tyop_2Erealax_2Ereal,E:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)]: ((c_2Ereal__topology_2E_2D_2D_3E @ tyop_2Erealax_2Ereal @ E @ D @ (c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Eat @ A) @ (c_2Epred__set_2EUNION @ tyop_2Erealax_2Ereal @ C @ B))) = ((c_2Ereal__topology_2E_2D_2D_3E @ tyop_2Erealax_2Ereal @ E @ D @ (c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Eat @ A) @ C)) & (c_2Ereal__topology_2E_2D_2D_3E @ tyop_2Erealax_2Ereal @ E @ D @ (c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Eat @ A) @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ELIM__WITHIN__UNION)).
% 73.66/18.86  thf(2,negated_conjecture,((~ (! [A:tyop_2Erealax_2Ereal,B:(tyop_2Erealax_2Ereal > $o),C:(tyop_2Erealax_2Ereal > $o),D:tyop_2Erealax_2Ereal,E:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)]: ((c_2Ereal__topology_2E_2D_2D_3E @ tyop_2Erealax_2Ereal @ E @ D @ (c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Eat @ A) @ (c_2Epred__set_2EUNION @ tyop_2Erealax_2Ereal @ C @ B))) = ((c_2Ereal__topology_2E_2D_2D_3E @ tyop_2Erealax_2Ereal @ E @ D @ (c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Eat @ A) @ C)) & (c_2Ereal__topology_2E_2D_2D_3E @ tyop_2Erealax_2Ereal @ E @ D @ (c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Eat @ A) @ B))))))),inference(neg_conjecture,[status(cth)],[1])).
% 73.66/18.86  thf(6,plain,((~ (! [A:tyop_2Erealax_2Ereal,B:(tyop_2Erealax_2Ereal > $o),C:(tyop_2Erealax_2Ereal > $o),D:tyop_2Erealax_2Ereal,E:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)]: ((c_2Ereal__topology_2E_2D_2D_3E @ tyop_2Erealax_2Ereal @ (E) @ D @ (c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Eat @ A) @ (c_2Epred__set_2EUNION @ tyop_2Erealax_2Ereal @ C @ B))) = ((c_2Ereal__topology_2E_2D_2D_3E @ tyop_2Erealax_2Ereal @ (E) @ D @ (c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Eat @ A) @ (C))) & (c_2Ereal__topology_2E_2D_2D_3E @ tyop_2Erealax_2Ereal @ (E) @ D @ (c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Eat @ A) @ (B)))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 73.66/18.86  thf(3,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ C @ (c_2Ereal_2Emin @ A @ B)) = ((c_2Erealax_2Ereal__lt @ C @ A) & (c_2Erealax_2Ereal__lt @ C @ B))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2EREAL__LT__MIN)).
% 73.66/18.86  thf(9,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ C @ (c_2Ereal_2Emin @ A @ B)) = ((c_2Erealax_2Ereal__lt @ C @ A) & (c_2Erealax_2Ereal__lt @ C @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 73.66/18.86  thf(4,axiom,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,D:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2E_2D_2D_3E @ tyop_2Erealax_2Ereal @ A @ B @ (c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Eat @ C) @ D)) = (! [E:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ E) => (? [F:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ F) & ! [G:tyop_2Erealax_2Ereal]: (((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ G @ D) & (c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ G @ C))) & (c_2Erealax_2Ereal__lt @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ G @ C)) @ F)) => (c_2Erealax_2Ereal__lt @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (A @ G) @ B)) @ E))))))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Ereal__topology_2ELIM__WITHIN)).
% 73.66/18.86  thf(12,plain,((! [A:(tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal),B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,D:(tyop_2Erealax_2Ereal > $o)]: ((c_2Ereal__topology_2E_2D_2D_3E @ tyop_2Erealax_2Ereal @ (A) @ B @ (c_2Ereal__topology_2Ewithin @ tyop_2Erealax_2Ereal @ (c_2Ereal__topology_2Eat @ C) @ (D))) = (! [E:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ E) => (? [F:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ F) & ! [G:tyop_2Erealax_2Ereal]: (((c_2Ebool_2EIN @ tyop_2Erealax_2Ereal @ G @ (D)) & (c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ G @ C))) & (c_2Erealax_2Ereal__lt @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ G @ C)) @ F)) => (c_2Erealax_2Ereal__lt @ (c_2Ereal__topology_2EDist @ (c_2Epair_2E_2C @ tyop_2Erealax_2Ereal @ tyop_2Erealax_2Ereal @ (A @ G) @ B)) @ E))))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 73.66/18.86  thf(5,axiom,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o),C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (c_2Epred__set_2EUNION @ TA @ A @ B)) = ((c_2Ebool_2EIN @ TA @ C @ A) | (c_2Ebool_2EIN @ TA @ C @ B)))))),file('/export/starexec/sandbox/benchmark/theBenchmark.p',thm_2Epred__set_2EIN__UNION)).
% 73.66/18.86  thf(15,plain,((! [TA: $tType]: (! [A:(TA > $o),B:(TA > $o),C:TA]: ((c_2Ebool_2EIN @ TA @ C @ (c_2Epred__set_2EUNION @ TA @ A @ B)) = ((c_2Ebool_2EIN @ TA @ C @ (A)) | (c_2Ebool_2EIN @ TA @ C @ (B))))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 73.66/18.86  thf(356,plain,($false),inference(iprover,[status(thm)],[6,9,12,15])).
% 73.66/18.86  % SZS output end CNFRefutation for /export/starexec/sandbox/benchmark/theBenchmark.p
% 73.66/18.86  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
