%------------------------------------------------------------------------------
% File       : Leo-III---1.3
% Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% Transform  : none
% Format     : tptp
% Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover

% Computer   : STarExec Miami node
% Model      : x86_64-x86_64
% CPU        : E5-2609 v2 2.50GHz
% Memory     : 8027.875MB
% OS         : Linux 3.10.0-957.10.1.el7.x86_64
% CPULimit   : 300s
% DateTime   : Wed Jul 31 17:45:25 EDT 2019

% Result     : Theorem 62.32s
% Output     : CNFRefutation 62.32s
% Verified   : 
% Statistics : Number of formulae       :  126 ( 126 expanded)
%              Number of leaves         :   78 (  78 expanded)
%              Depth                    :    3
%              Number of atoms          : 1364 (1364 expanded)
%              Number of equality atoms :  200 ( 200 expanded)
%              Maximal formula depth    :   39 (   7 average)

% Comments   : 
%------------------------------------------------------------------------------
%----WARNING: Leo-III---1.3 format not known, defaulting to TPTP
thf(tyop_2Emin_2Ebool_type,type,(
    tyop_2Emin_2Ebool: $tType )).

thf(tyop_2Enum_2Enum_type,type,(
    tyop_2Enum_2Enum: $tType )).

thf(tyop_2Erealax_2Ereal_type,type,(
    tyop_2Erealax_2Ereal: $tType )).

thf(c_2Earithmetic_2E_2A_type,type,(
    c_2Earithmetic_2E_2A: tyop_2Enum_2Enum > tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2E_2B_type,type,(
    c_2Earithmetic_2E_2B: tyop_2Enum_2Enum > tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2E_2D_type,type,(
    c_2Earithmetic_2E_2D: tyop_2Enum_2Enum > tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Ereal_2E_2F_type,type,(
    c_2Ereal_2E_2F: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Enum_2E0_type,type,(
    c_2Enum_2E0: tyop_2Enum_2Enum )).

thf(c_2Eprim__rec_2E_3C_type,type,(
    c_2Eprim__rec_2E_3C: tyop_2Enum_2Enum > tyop_2Enum_2Enum > $o )).

thf(c_2Earithmetic_2E_3C_3D_type,type,(
    c_2Earithmetic_2E_3C_3D: tyop_2Enum_2Enum > tyop_2Enum_2Enum > $o )).

thf(c_2Earithmetic_2E_3E_type,type,(
    c_2Earithmetic_2E_3E: tyop_2Enum_2Enum > tyop_2Enum_2Enum > $o )).

thf(c_2Earithmetic_2E_3E_3D_type,type,(
    c_2Earithmetic_2E_3E_3D: tyop_2Enum_2Enum > tyop_2Enum_2Enum > $o )).

thf(c_2Earithmetic_2EBIT1_type,type,(
    c_2Earithmetic_2EBIT1: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2EBIT2_type,type,(
    c_2Earithmetic_2EBIT2: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2EEVEN_type,type,(
    c_2Earithmetic_2EEVEN: tyop_2Enum_2Enum > $o )).

thf(c_2Earithmetic_2EEXP_type,type,(
    c_2Earithmetic_2EEXP: tyop_2Enum_2Enum > tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Ebool_2EF_type,type,(
    c_2Ebool_2EF: $o )).

thf(c_2Earithmetic_2ENUMERAL_type,type,(
    c_2Earithmetic_2ENUMERAL: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Earithmetic_2EODD_type,type,(
    c_2Earithmetic_2EODD: tyop_2Enum_2Enum > $o )).

thf(c_2Eprim__rec_2EPRE_type,type,(
    c_2Eprim__rec_2EPRE: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Enum_2ESUC_type,type,(
    c_2Enum_2ESUC: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Ebool_2ET_type,type,(
    c_2Ebool_2ET: $o )).

thf(c_2Earithmetic_2EZERO_type,type,(
    c_2Earithmetic_2EZERO: tyop_2Enum_2Enum )).

thf(c_2Enumeral_2EiZ_type,type,(
    c_2Enumeral_2EiZ: tyop_2Enum_2Enum > tyop_2Enum_2Enum )).

thf(c_2Erealax_2Einv_type,type,(
    c_2Erealax_2Einv: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Erealax_2Ereal__add_type,type,(
    c_2Erealax_2Ereal__add: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Erealax_2Ereal__lt_type,type,(
    c_2Erealax_2Ereal__lt: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(c_2Ereal_2Ereal__lte_type,type,(
    c_2Ereal_2Ereal__lte: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > $o )).

thf(c_2Erealax_2Ereal__mul_type,type,(
    c_2Erealax_2Ereal__mul: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Erealax_2Ereal__neg_type,type,(
    c_2Erealax_2Ereal__neg: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(c_2Ereal_2Ereal__of__num_type,type,(
    c_2Ereal_2Ereal__of__num: tyop_2Enum_2Enum > tyop_2Erealax_2Ereal )).

thf(c_2Ereal_2Ereal__sub_type,type,(
    c_2Ereal_2Ereal__sub: tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal )).

thf(8,axiom,(
    ! [A: $o] :
      ( ( ~ A
       => c_2Ebool_2EF )
     => ( ( A
         => c_2Ebool_2EF )
       => c_2Ebool_2EF ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV2)).

thf(69,plain,(
    ! [A: $o] :
      ( ( ~ A
       => c_2Ebool_2EF )
     => ( ( A
         => c_2Ebool_2EF )
       => c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).

thf(22,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__neg @ A ) @ ( c_2Erealax_2Ereal__neg @ B ) )
      = ( c_2Ereal_2Ereal__lte @ B @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__NEG2)).

thf(138,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__neg @ A ) @ ( c_2Erealax_2Ereal__neg @ B ) )
      = ( c_2Ereal_2Ereal__lte @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).

thf(11,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
         => A )
        = A )
      & ( ( A
         => c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
         => A )
        = c_2Ebool_2ET )
      & ( ( A
         => A )
        = c_2Ebool_2ET )
      & ( ( A
         => c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__CLAUSES)).

thf(88,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
         => A )
        = A )
      & ( ( A
         => c_2Ebool_2ET )
        = c_2Ebool_2ET )
      & ( ( c_2Ebool_2EF
         => A )
        = c_2Ebool_2ET )
      & c_2Ebool_2ET
      & ( ( A
         => c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).

thf(33,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Ereal__lte @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ C ) )
     => ( c_2Ereal_2Ereal__lte @ A @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__TRANS)).

thf(170,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Ereal__lte @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ C ) )
     => ( c_2Ereal_2Ereal__lte @ A @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).

thf(46,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ B )
      = ( c_2Erealax_2Ereal__add @ B @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__SYM)).

thf(308,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ B )
      = ( c_2Erealax_2Ereal__add @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[46])).

thf(5,axiom,(
    ! [A: $o] :
      ( A
     => ( ~ A
       => c_2Ebool_2EF ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV__IMP)).

thf(56,plain,(
    ! [A: $o] :
      ( A
     => ( ~ A
       => c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).

thf(27,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ ( c_2Erealax_2Ereal__add @ B @ C ) )
      = ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__add @ A @ B ) @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__ASSOC)).

thf(153,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ ( c_2Erealax_2Ereal__add @ B @ C ) )
      = ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__add @ A @ B ) @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).

thf(17,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ C )
     => ( ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2E_2F @ A @ C ) @ B )
        = ( c_2Ereal_2Ereal__lte @ A @ ( c_2Erealax_2Ereal__mul @ B @ C ) ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__LDIV__EQ)).

thf(125,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ C )
     => ( ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2E_2F @ A @ C ) @ B )
        = ( c_2Ereal_2Ereal__lte @ A @ ( c_2Erealax_2Ereal__mul @ B @ C ) ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).

thf(31,axiom,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( ( c_2Earithmetic_2E_2B @ A @ B )
        = c_2Enum_2E0 )
      = ( ( A = c_2Enum_2E0 )
        & ( B = c_2Enum_2E0 ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Earithmetic_2EADD__EQ__0)).

thf(164,plain,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( ( c_2Earithmetic_2E_2B @ A @ B )
        = c_2Enum_2E0 )
      = ( ( A = c_2Enum_2E0 )
        & ( B = c_2Enum_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).

thf(25,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ B @ A )
      = ( ~ ( c_2Ereal_2Ereal__lte @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2Ereal__lt)).

thf(147,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ B @ A )
      = ( ~ ( c_2Ereal_2Ereal__lte @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).

thf(6,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          & A )
        = A )
      & ( ( A
          & c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF
          & A )
        = c_2Ebool_2EF )
      & ( ( A
          & c_2Ebool_2EF )
        = c_2Ebool_2EF )
      & ( ( A
          & A )
        = A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EAND__CLAUSES)).

thf(61,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET
          & A )
        = A )
      & ( ( A
          & c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF
          & A )
        = c_2Ebool_2EF )
      & ( ( A
          & c_2Ebool_2EF )
        = c_2Ebool_2EF ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).

thf(20,axiom,(
    ! [A: tyop_2Enum_2Enum] :
      ( c_2Earithmetic_2E_3C_3D @ c_2Enum_2E0 @ A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Earithmetic_2EZERO__LESS__EQ)).

thf(133,plain,(
    ! [A: tyop_2Enum_2Enum] :
      ( c_2Earithmetic_2E_3C_3D @ c_2Enum_2E0 @ A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).

thf(14,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Ereal__lte @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ A ) )
      = ( A = B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__ANTISYM)).

thf(116,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Ereal__lte @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ A ) )
      = ( A = B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).

thf(9,axiom,
    ( ! [A: $o] : ( ( ~ ~ A ) = A )
    & ( ( ~ c_2Ebool_2ET ) = c_2Ebool_2EF )
    & ( ( ~ c_2Ebool_2EF ) = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ENOT__CLAUSES)).

thf(74,plain,
    ( ( ( ~ c_2Ebool_2ET ) = c_2Ebool_2EF )
    & ( ( ~ c_2Ebool_2EF ) = c_2Ebool_2ET ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).

thf(44,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Erealax_2Ereal__neg @ A ) @ B )
      = ( c_2Erealax_2Ereal__neg @ ( c_2Erealax_2Ereal__mul @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__LNEG)).

thf(302,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Erealax_2Ereal__neg @ A ) @ B )
      = ( c_2Erealax_2Ereal__neg @ ( c_2Erealax_2Ereal__mul @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).

thf(40,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__RID)).

thf(192,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).

thf(28,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__lt @ A @ B )
        & ( c_2Erealax_2Ereal__lt @ B @ C ) )
     => ( c_2Erealax_2Ereal__lt @ A @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LT__TRANS)).

thf(156,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__lt @ A @ B )
        & ( c_2Erealax_2Ereal__lt @ B @ C ) )
     => ( c_2Erealax_2Ereal__lt @ A @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).

thf(3,axiom,(
    ! [TA: $tType,A: TA] :
      ( ( A = A )
      = c_2Ebool_2ET ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).

thf(53,plain,(
    ! [TA: $tType] : c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).

thf(23,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__neg @ A ) @ B )
      = ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ ( c_2Erealax_2Ereal__add @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__LNEG)).

thf(141,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__neg @ A ) @ B )
      = ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ ( c_2Erealax_2Ereal__add @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).

thf(18,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Ereal__lte @ A @ B )
        & ( c_2Erealax_2Ereal__lt @ B @ C ) )
     => ( c_2Erealax_2Ereal__lt @ A @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LET__TRANS)).

thf(128,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Ereal_2Ereal__lte @ A @ B )
        & ( c_2Erealax_2Ereal__lt @ B @ C ) )
     => ( c_2Erealax_2Ereal__lt @ A @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).

thf(47,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ ( c_2Erealax_2Ereal__neg @ A ) )
      = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__RINV)).

thf(311,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ A @ ( c_2Erealax_2Ereal__neg @ A ) )
      = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[47])).

thf(30,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ A )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__LID)).

thf(161,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ A )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).

thf(24,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Erealax_2Ereal__add @ A @ B ) @ C )
      = ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__mul @ A @ C ) @ ( c_2Erealax_2Ereal__mul @ B @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__RDISTRIB)).

thf(144,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Erealax_2Ereal__add @ A @ B ) @ C )
      = ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__mul @ A @ C ) @ ( c_2Erealax_2Ereal__mul @ B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).

thf(37,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__lt @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ C ) )
     => ( c_2Erealax_2Ereal__lt @ A @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LTE__TRANS)).

thf(181,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( ( c_2Erealax_2Ereal__lt @ A @ B )
        & ( c_2Ereal_2Ereal__lte @ B @ C ) )
     => ( c_2Erealax_2Ereal__lt @ A @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).

thf(34,axiom,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Erealax_2Ereal__add @ ( c_2Ereal_2Ereal__of__num @ A ) @ ( c_2Ereal_2Ereal__of__num @ B ) )
      = ( c_2Ereal_2Ereal__of__num @ ( c_2Earithmetic_2E_2B @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD)).

thf(172,plain,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Erealax_2Ereal__add @ ( c_2Ereal_2Ereal__of__num @ A ) @ ( c_2Ereal_2Ereal__of__num @ B ) )
      = ( c_2Ereal_2Ereal__of__num @ ( c_2Earithmetic_2E_2B @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).

thf(12,axiom,(
    ! [A: $o,B: $o] :
      ( ( ~ ( B
            | A )
       => c_2Ebool_2EF )
      = ( ( B
         => c_2Ebool_2EF )
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL2)).

thf(98,plain,(
    ! [A: $o,B: $o] :
      ( ( ~ ( B
            | A )
       => c_2Ebool_2EF )
      = ( ( B
         => c_2Ebool_2EF )
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).

thf(7,axiom,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( ~ ( c_2Earithmetic_2E_3C_3D @ A @ B ) )
      = ( c_2Eprim__rec_2E_3C @ B @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Earithmetic_2ENOT__LESS__EQUAL)).

thf(66,plain,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( ~ ( c_2Earithmetic_2E_3C_3D @ A @ B ) )
      = ( c_2Eprim__rec_2E_3C @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).

thf(42,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ B @ C )
     => ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__add @ A @ B ) @ ( c_2Erealax_2Ereal__add @ A @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__LADD__IMP)).

thf(198,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ B @ C )
     => ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__add @ A @ B ) @ ( c_2Erealax_2Ereal__add @ A @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).

thf(19,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ A )
      = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__LZERO)).

thf(130,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ A )
      = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).

thf(21,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__neg @ ( c_2Erealax_2Ereal__add @ A @ B ) )
      = ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__neg @ A ) @ ( c_2Erealax_2Ereal__neg @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__NEG__ADD)).

thf(135,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__neg @ ( c_2Erealax_2Ereal__add @ A @ B ) )
      = ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__neg @ A ) @ ( c_2Erealax_2Ereal__neg @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).

thf(32,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2E_2F @ A @ B )
      = ( c_2Erealax_2Ereal__mul @ A @ ( c_2Erealax_2Einv @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2Ereal__div)).

thf(167,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2E_2F @ A @ B )
      = ( c_2Erealax_2Ereal__mul @ A @ ( c_2Erealax_2Einv @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).

thf(1,conjecture,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ A )
     => ( ( c_2Ereal_2Ereal__lte @ D @ ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__mul @ A @ C ) @ B ) )
        = ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__mul @ ( c_2Erealax_2Einv @ A ) @ D ) @ ( c_2Erealax_2Ereal__neg @ ( c_2Ereal_2E_2F @ B @ A ) ) ) @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EREAL__LE__AFFINITY)).

thf(2,negated_conjecture,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal] :
        ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ A )
       => ( ( c_2Ereal_2Ereal__lte @ D @ ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__mul @ A @ C ) @ B ) )
          = ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__mul @ ( c_2Erealax_2Einv @ A ) @ D ) @ ( c_2Erealax_2Ereal__neg @ ( c_2Ereal_2E_2F @ B @ A ) ) ) @ C ) ) ) ),
    inference(neg_conjecture,[status(cth)],[1])).

thf(48,plain,(
    ~ ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal,D: tyop_2Erealax_2Ereal] :
        ( ( c_2Erealax_2Ereal__lt @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) @ A )
       => ( ( c_2Ereal_2Ereal__lte @ D @ ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__mul @ A @ C ) @ B ) )
          = ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__mul @ ( c_2Erealax_2Einv @ A ) @ D ) @ ( c_2Erealax_2Ereal__neg @ ( c_2Ereal_2E_2F @ B @ A ) ) ) @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).

thf(26,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Ereal_2Ereal__sub @ A @ B ) @ C )
      = ( c_2Ereal_2Ereal__sub @ ( c_2Erealax_2Ereal__mul @ A @ C ) @ ( c_2Erealax_2Ereal__mul @ B @ C ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__SUB__RDISTRIB)).

thf(150,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Ereal_2Ereal__sub @ A @ B ) @ C )
      = ( c_2Ereal_2Ereal__sub @ ( c_2Erealax_2Ereal__mul @ A @ C ) @ ( c_2Erealax_2Ereal__mul @ B @ C ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).

thf(35,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__sub @ A @ B )
      = ( c_2Erealax_2Ereal__add @ A @ ( c_2Erealax_2Ereal__neg @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2Ereal__sub)).

thf(175,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__sub @ A @ B )
      = ( c_2Erealax_2Ereal__add @ A @ ( c_2Erealax_2Ereal__neg @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).

thf(29,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Ereal_2Ereal__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) @ A )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__LID)).

thf(158,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ ( c_2Ereal_2Ereal__of__num @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) ) @ A )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).

thf(39,axiom,
    ( ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_3C_3D @ A @ c_2Enum_2E0 )
        = ( A = c_2Enum_2E0 ) )
    & ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_3C_3D @ A @ ( c_2Enum_2ESUC @ B ) )
        = ( ( A
            = ( c_2Enum_2ESUC @ B ) )
          | ( c_2Earithmetic_2E_3C_3D @ A @ B ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Earithmetic_2ELE)).

thf(186,plain,
    ( ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_3C_3D @ A @ c_2Enum_2E0 )
        = ( A = c_2Enum_2E0 ) )
    & ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_3C_3D @ A @ ( c_2Enum_2ESUC @ B ) )
        = ( ( A
            = ( c_2Enum_2ESUC @ B ) )
          | ( c_2Earithmetic_2E_3C_3D @ A @ B ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).

thf(4,axiom,(
    c_2Ebool_2ET ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).

thf(55,plain,(
    c_2Ebool_2ET ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).

thf(15,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ ( c_2Erealax_2Ereal__add @ A @ B ) @ ( c_2Erealax_2Ereal__add @ A @ C ) )
      = ( c_2Erealax_2Ereal__lt @ B @ C ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LT__LADD)).

thf(119,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal,C: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__lt @ ( c_2Erealax_2Ereal__add @ A @ B ) @ ( c_2Erealax_2Ereal__add @ A @ C ) )
      = ( c_2Erealax_2Ereal__lt @ B @ C ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).

thf(38,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ A @ B )
      = ( c_2Erealax_2Ereal__mul @ B @ A ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__SYM)).

thf(183,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__mul @ A @ B )
      = ( c_2Erealax_2Ereal__mul @ B @ A ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).

thf(45,axiom,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Ereal__of__num @ A ) @ ( c_2Ereal_2Ereal__of__num @ B ) )
      = ( c_2Earithmetic_2E_3C_3D @ A @ B ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__OF__NUM__LE)).

thf(305,plain,(
    ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
      ( ( c_2Ereal_2Ereal__lte @ ( c_2Ereal_2Ereal__of__num @ A ) @ ( c_2Ereal_2Ereal__of__num @ B ) )
      = ( c_2Earithmetic_2E_3C_3D @ A @ B ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[45])).

thf(13,axiom,(
    ! [A: $o,B: $o] :
      ( ( ~ ( ~ B
            | A )
       => c_2Ebool_2EF )
      = ( B
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL3)).

thf(107,plain,(
    ! [A: $o,B: $o] :
      ( ( ~ ( ~ B
            | A )
       => c_2Ebool_2EF )
      = ( B
       => ( ~ A
         => c_2Ebool_2EF ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).

thf(10,axiom,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).

thf(79,plain,(
    ! [A: $o] :
      ( ( ( c_2Ebool_2ET = A )
        = A )
      & ( ( A = c_2Ebool_2ET )
        = A )
      & ( ( c_2Ebool_2EF = A )
        = ( ~ A ) )
      & ( ( A = c_2Ebool_2EF )
        = ( ~ A ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).

thf(41,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__neg @ A ) @ A )
      = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__LINV)).

thf(195,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__add @ ( c_2Erealax_2Ereal__neg @ A ) @ A )
      = ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).

thf(43,axiom,
    ( ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_2B @ c_2Enum_2E0 @ A )
        = A )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_2B @ A @ c_2Enum_2E0 )
        = A )
    & ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_2B @ ( c_2Earithmetic_2ENUMERAL @ A ) @ ( c_2Earithmetic_2ENUMERAL @ B ) )
        = ( c_2Earithmetic_2ENUMERAL @ ( c_2Enumeral_2EiZ @ ( c_2Earithmetic_2E_2B @ A @ B ) ) ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_2A @ c_2Enum_2E0 @ A )
        = c_2Enum_2E0 )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_2A @ A @ c_2Enum_2E0 )
        = c_2Enum_2E0 )
    & ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_2A @ ( c_2Earithmetic_2ENUMERAL @ A ) @ ( c_2Earithmetic_2ENUMERAL @ B ) )
        = ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2E_2A @ A @ B ) ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_2D @ c_2Enum_2E0 @ A )
        = c_2Enum_2E0 )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_2D @ A @ c_2Enum_2E0 )
        = A )
    & ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_2D @ ( c_2Earithmetic_2ENUMERAL @ A ) @ ( c_2Earithmetic_2ENUMERAL @ B ) )
        = ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2E_2D @ A @ B ) ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2EEXP @ c_2Enum_2E0 @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ A ) ) )
        = c_2Enum_2E0 )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2EEXP @ c_2Enum_2E0 @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ A ) ) )
        = c_2Enum_2E0 )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2EEXP @ A @ c_2Enum_2E0 )
        = ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) )
    & ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ A ) @ ( c_2Earithmetic_2ENUMERAL @ B ) )
        = ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EEXP @ A @ B ) ) )
    & ( ( c_2Enum_2ESUC @ c_2Enum_2E0 )
      = ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Enum_2ESUC @ ( c_2Earithmetic_2ENUMERAL @ A ) )
        = ( c_2Earithmetic_2ENUMERAL @ ( c_2Enum_2ESUC @ A ) ) )
    & ( ( c_2Eprim__rec_2EPRE @ c_2Enum_2E0 )
      = c_2Enum_2E0 )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Eprim__rec_2EPRE @ ( c_2Earithmetic_2ENUMERAL @ A ) )
        = ( c_2Earithmetic_2ENUMERAL @ ( c_2Eprim__rec_2EPRE @ A ) ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( ( c_2Earithmetic_2ENUMERAL @ A )
          = c_2Enum_2E0 )
        = ( A = c_2Earithmetic_2EZERO ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Enum_2E0
          = ( c_2Earithmetic_2ENUMERAL @ A ) )
        = ( A = c_2Earithmetic_2EZERO ) )
    & ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( ( c_2Earithmetic_2ENUMERAL @ A )
          = ( c_2Earithmetic_2ENUMERAL @ B ) )
        = ( A = B ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Eprim__rec_2E_3C @ A @ c_2Enum_2E0 )
        = c_2Ebool_2EF )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Eprim__rec_2E_3C @ c_2Enum_2E0 @ ( c_2Earithmetic_2ENUMERAL @ A ) )
        = ( c_2Eprim__rec_2E_3C @ c_2Earithmetic_2EZERO @ A ) )
    & ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( c_2Eprim__rec_2E_3C @ ( c_2Earithmetic_2ENUMERAL @ A ) @ ( c_2Earithmetic_2ENUMERAL @ B ) )
        = ( c_2Eprim__rec_2E_3C @ A @ B ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_3E @ c_2Enum_2E0 @ A )
        = c_2Ebool_2EF )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_3E @ ( c_2Earithmetic_2ENUMERAL @ A ) @ c_2Enum_2E0 )
        = ( c_2Eprim__rec_2E_3C @ c_2Earithmetic_2EZERO @ A ) )
    & ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_3E @ ( c_2Earithmetic_2ENUMERAL @ A ) @ ( c_2Earithmetic_2ENUMERAL @ B ) )
        = ( c_2Eprim__rec_2E_3C @ B @ A ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_3C_3D @ c_2Enum_2E0 @ A )
        = c_2Ebool_2ET )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_3C_3D @ ( c_2Earithmetic_2ENUMERAL @ A ) @ c_2Enum_2E0 )
        = ( c_2Earithmetic_2E_3C_3D @ A @ c_2Earithmetic_2EZERO ) )
    & ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_3C_3D @ ( c_2Earithmetic_2ENUMERAL @ A ) @ ( c_2Earithmetic_2ENUMERAL @ B ) )
        = ( c_2Earithmetic_2E_3C_3D @ A @ B ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_3E_3D @ A @ c_2Enum_2E0 )
        = c_2Ebool_2ET )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_3E_3D @ c_2Enum_2E0 @ A )
        = ( A = c_2Enum_2E0 ) )
    & ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_3E_3D @ ( c_2Earithmetic_2ENUMERAL @ A ) @ ( c_2Earithmetic_2ENUMERAL @ B ) )
        = ( c_2Earithmetic_2E_3C_3D @ B @ A ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2EODD @ ( c_2Earithmetic_2ENUMERAL @ A ) )
        = ( c_2Earithmetic_2EODD @ A ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2EEVEN @ ( c_2Earithmetic_2ENUMERAL @ A ) )
        = ( c_2Earithmetic_2EEVEN @ A ) )
    & ~ ( c_2Earithmetic_2EODD @ c_2Enum_2E0 )
    & ( c_2Earithmetic_2EEVEN @ c_2Enum_2E0 ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Enumeral_2Enumeral__distrib)).

thf(200,plain,
    ( ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_2B @ c_2Enum_2E0 @ A )
        = A )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_2B @ A @ c_2Enum_2E0 )
        = A )
    & ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_2B @ ( c_2Earithmetic_2ENUMERAL @ A ) @ ( c_2Earithmetic_2ENUMERAL @ B ) )
        = ( c_2Earithmetic_2ENUMERAL @ ( c_2Enumeral_2EiZ @ ( c_2Earithmetic_2E_2B @ A @ B ) ) ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_2A @ c_2Enum_2E0 @ A )
        = c_2Enum_2E0 )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_2A @ A @ c_2Enum_2E0 )
        = c_2Enum_2E0 )
    & ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_2A @ ( c_2Earithmetic_2ENUMERAL @ A ) @ ( c_2Earithmetic_2ENUMERAL @ B ) )
        = ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2E_2A @ A @ B ) ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_2D @ c_2Enum_2E0 @ A )
        = c_2Enum_2E0 )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_2D @ A @ c_2Enum_2E0 )
        = A )
    & ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_2D @ ( c_2Earithmetic_2ENUMERAL @ A ) @ ( c_2Earithmetic_2ENUMERAL @ B ) )
        = ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2E_2D @ A @ B ) ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2EEXP @ c_2Enum_2E0 @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ A ) ) )
        = c_2Enum_2E0 )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2EEXP @ c_2Enum_2E0 @ ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT2 @ A ) ) )
        = c_2Enum_2E0 )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2EEXP @ A @ c_2Enum_2E0 )
        = ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) )
    & ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2EEXP @ ( c_2Earithmetic_2ENUMERAL @ A ) @ ( c_2Earithmetic_2ENUMERAL @ B ) )
        = ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EEXP @ A @ B ) ) )
    & ( ( c_2Enum_2ESUC @ c_2Enum_2E0 )
      = ( c_2Earithmetic_2ENUMERAL @ ( c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO ) ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Enum_2ESUC @ ( c_2Earithmetic_2ENUMERAL @ A ) )
        = ( c_2Earithmetic_2ENUMERAL @ ( c_2Enum_2ESUC @ A ) ) )
    & ( ( c_2Eprim__rec_2EPRE @ c_2Enum_2E0 )
      = c_2Enum_2E0 )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Eprim__rec_2EPRE @ ( c_2Earithmetic_2ENUMERAL @ A ) )
        = ( c_2Earithmetic_2ENUMERAL @ ( c_2Eprim__rec_2EPRE @ A ) ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( ( c_2Earithmetic_2ENUMERAL @ A )
          = c_2Enum_2E0 )
        = ( A = c_2Earithmetic_2EZERO ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Enum_2E0
          = ( c_2Earithmetic_2ENUMERAL @ A ) )
        = ( A = c_2Earithmetic_2EZERO ) )
    & ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( ( c_2Earithmetic_2ENUMERAL @ A )
          = ( c_2Earithmetic_2ENUMERAL @ B ) )
        = ( A = B ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Eprim__rec_2E_3C @ A @ c_2Enum_2E0 )
        = c_2Ebool_2EF )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Eprim__rec_2E_3C @ c_2Enum_2E0 @ ( c_2Earithmetic_2ENUMERAL @ A ) )
        = ( c_2Eprim__rec_2E_3C @ c_2Earithmetic_2EZERO @ A ) )
    & ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( c_2Eprim__rec_2E_3C @ ( c_2Earithmetic_2ENUMERAL @ A ) @ ( c_2Earithmetic_2ENUMERAL @ B ) )
        = ( c_2Eprim__rec_2E_3C @ A @ B ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_3E @ c_2Enum_2E0 @ A )
        = c_2Ebool_2EF )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_3E @ ( c_2Earithmetic_2ENUMERAL @ A ) @ c_2Enum_2E0 )
        = ( c_2Eprim__rec_2E_3C @ c_2Earithmetic_2EZERO @ A ) )
    & ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_3E @ ( c_2Earithmetic_2ENUMERAL @ A ) @ ( c_2Earithmetic_2ENUMERAL @ B ) )
        = ( c_2Eprim__rec_2E_3C @ B @ A ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_3C_3D @ c_2Enum_2E0 @ A )
        = c_2Ebool_2ET )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_3C_3D @ ( c_2Earithmetic_2ENUMERAL @ A ) @ c_2Enum_2E0 )
        = ( c_2Earithmetic_2E_3C_3D @ A @ c_2Earithmetic_2EZERO ) )
    & ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_3C_3D @ ( c_2Earithmetic_2ENUMERAL @ A ) @ ( c_2Earithmetic_2ENUMERAL @ B ) )
        = ( c_2Earithmetic_2E_3C_3D @ A @ B ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_3E_3D @ A @ c_2Enum_2E0 )
        = c_2Ebool_2ET )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_3E_3D @ c_2Enum_2E0 @ A )
        = ( A = c_2Enum_2E0 ) )
    & ! [A: tyop_2Enum_2Enum,B: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2E_3E_3D @ ( c_2Earithmetic_2ENUMERAL @ A ) @ ( c_2Earithmetic_2ENUMERAL @ B ) )
        = ( c_2Earithmetic_2E_3C_3D @ B @ A ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2EODD @ ( c_2Earithmetic_2ENUMERAL @ A ) )
        = ( c_2Earithmetic_2EODD @ A ) )
    & ! [A: tyop_2Enum_2Enum] :
        ( ( c_2Earithmetic_2EEVEN @ ( c_2Earithmetic_2ENUMERAL @ A ) )
        = ( c_2Earithmetic_2EEVEN @ A ) )
    & ~ ( c_2Earithmetic_2EODD @ c_2Enum_2E0 )
    & ( c_2Earithmetic_2EEVEN @ c_2Enum_2E0 ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).

thf(36,axiom,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__neg @ ( c_2Erealax_2Ereal__neg @ A ) )
      = A ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__NEG__NEG)).

thf(178,plain,(
    ! [A: tyop_2Erealax_2Ereal] :
      ( ( c_2Erealax_2Ereal__neg @ ( c_2Erealax_2Ereal__neg @ A ) )
      = A ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).

thf(16,axiom,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ A @ ( c_2Erealax_2Ereal__neg @ B ) )
      = ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__add @ A @ B ) @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ) ),
    file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__RNEG)).

thf(122,plain,(
    ! [A: tyop_2Erealax_2Ereal,B: tyop_2Erealax_2Ereal] :
      ( ( c_2Ereal_2Ereal__lte @ A @ ( c_2Erealax_2Ereal__neg @ B ) )
      = ( c_2Ereal_2Ereal__lte @ ( c_2Erealax_2Ereal__add @ A @ B ) @ ( c_2Ereal_2Ereal__of__num @ c_2Enum_2E0 ) ) ) ),
    inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).

thf(7225,plain,(
    $false ),
    inference(e,[status(thm)],[69,138,88,170,308,56,153,125,164,147,61,133,116,74,302,192,156,53,141,128,311,161,144,181,172,98,66,198,130,135,167,48,150,175,158,186,55,119,183,305,107,79,195,200,178,122])).
%------------------------------------------------------------------------------
%----ORIGINAL SYSTEM OUTPUT
% 0.03/0.11  % Problem    : theBenchmark.p : TPTP v0.0.0. Released v0.0.0.
% 0.03/0.12  % Command    : java -Xss128m -Xmx4g -Xms1g -jar /export/starexec/sandbox2/solver/bin/leo3.jar %s -t %d -p --atp cvc4=/export/starexec/sandbox2/solver/bin/externals/cvc4 --atp e=/export/starexec/sandbox2/solver/bin/externals/eprover --atp iprover=/export/starexec/sandbox2/solver/bin/externals/iprover
% 0.03/0.12  /home/starexec/bin/GetComputerInfo: Command not found.
% 0.03/0.12  % CPULimit   : 300
% 0.03/0.12  % DateTime   : Wed Jul 31 15:14:57 EDT 2019
% 0.03/0.13  % CPUTime    : 
% 4.49/1.67  % [INFO] 	 Running in sequential loop mode. 
% 5.28/1.88  % [CONFIG] 	 Using configuration: timeout(300) with strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)> 
% 5.49/1.95  % [INFO] 	 iprover registered as external prover. 
% 5.49/1.96  % [INFO] 	 e registered as external prover. 
% 5.49/1.96  % [INFO] 	 cvc4 registered as external prover. 
% 5.49/1.96  % [INFO] 	 Parsing finished. Scanning for conjecture ... 
% 5.71/2.03  % [INFO] 	 Found a conjecture and 62 axioms. Running axiom selection ... 
% 5.96/2.09  % [INFO] 	 Axiom selection finished. Selected 45 axioms (removed 17 axioms). 
% 6.13/2.19  % [INFO] 	 Type checking passed. Searching for refutation ... 
% 62.32/15.93  % [INFO] 	 Killing All external provers ... 
% 62.32/15.93  % Time passed: 15674ms
% 62.32/15.93  % Effective reasoning time: 14251ms
% 62.32/15.93  % Solved by strategy<name(default),share(1.0),primSubst(3),sos(false),unifierCount(4),uniDepth(8),boolExt(true),choice(true),renaming(true),funcspec(false), domConstr(0),specialInstances(59),restrictUniAttempts(true),termOrdering(CPO)>
% 62.32/15.93  % Axioms used in derivation (45): thm_2Ereal_2EREAL__ADD__LID, thm_2Ebool_2ENOT__CLAUSES, thm_2Ereal_2EREAL__SUB__RDISTRIB, thm_2Ereal_2EREAL__LT__TRANS, thm_2Ereal_2EREAL__ADD__RINV, thm_2Esat_2EAND__INV__IMP, thm_2Esat_2EOR__DUAL3, thm_2Ebool_2EREFL__CLAUSE, thm_2Ebool_2EEQ__CLAUSES, thm_2Ereal_2EREAL__NEG__NEG, thm_2Ereal_2EREAL__ADD, thm_2Ereal_2Ereal__lt, thm_2Ereal_2EREAL__ADD__RDISTRIB, thm_2Ereal_2EREAL__LE__ANTISYM, thm_2Earithmetic_2ELE, thm_2Ereal_2EREAL__ADD__LINV, thm_2Ereal_2EREAL__LE__RNEG, thm_2Ereal_2EREAL__LE__LNEG, thm_2Ereal_2Ereal__div, thm_2Ereal_2EREAL__LE__LDIV__EQ, thm_2Ereal_2EREAL__MUL__LNEG, thm_2Earithmetic_2ENOT__LESS__EQUAL, thm_2Enumeral_2Enumeral__distrib, thm_2Ereal_2EREAL__LE__NEG2, thm_2Ereal_2EREAL__ADD__RID, thm_2Ereal_2EREAL__MUL__SYM, thm_2Ebool_2EIMP__CLAUSES, thm_2Ereal_2EREAL__LTE__TRANS, thm_2Ebool_2ETRUTH, thm_2Esat_2EAND__INV2, thm_2Ereal_2EREAL__OF__NUM__LE, thm_2Earithmetic_2EZERO__LESS__EQ, thm_2Ereal_2EREAL__LET__TRANS, thm_2Ereal_2Ereal__sub, thm_2Ereal_2EREAL__MUL__LZERO, thm_2Ereal_2EREAL__LE__LADD__IMP, thm_2Earithmetic_2EADD__EQ__0, thm_2Ereal_2EREAL__ADD__SYM, thm_2Ereal_2EREAL__NEG__ADD, thm_2Ereal_2EREAL__ADD__ASSOC, thm_2Ereal_2EREAL__MUL__LID, thm_2Ebool_2EAND__CLAUSES, thm_2Esat_2EOR__DUAL2, thm_2Ereal_2EREAL__LT__LADD, thm_2Ereal_2EREAL__LE__TRANS
% 62.32/15.93  % No. of inferences in proof: 94
% 62.32/15.93  % No. of processed clauses: 137
% 62.32/15.93  % No. of generated clauses: 2361
% 62.32/15.93  % No. of forward subsumed clauses: 58
% 62.32/15.93  % No. of backward subsumed clauses: 8
% 62.32/15.93  % No. of ground rewrite rules in store: 53
% 62.32/15.93  % No. of non-ground rewrite rules in store: 38
% 62.32/15.93  % No. of positive (non-rewrite) units in store: 5
% 62.32/15.93  % No. of negative (non-rewrite) units in store: 8
% 62.32/15.93  % No. of choice functions detected: 0
% 62.32/15.93  % No. of choice instantiations: 0
% 62.32/15.93  % SZS status Theorem for /export/starexec/sandbox2/benchmark/theBenchmark.p : 15674 ms resp. 14251 ms w/o parsing
% 62.32/15.97  % SZS output start CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 62.32/15.97  thf(tyop_2Emin_2Ebool_type, type, tyop_2Emin_2Ebool: $tType).
% 62.32/15.97  thf(tyop_2Enum_2Enum_type, type, tyop_2Enum_2Enum: $tType).
% 62.32/15.97  thf(tyop_2Erealax_2Ereal_type, type, tyop_2Erealax_2Ereal: $tType).
% 62.32/15.97  thf(c_2Earithmetic_2E_2A_type, type, c_2Earithmetic_2E_2A: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > tyop_2Enum_2Enum))).
% 62.32/15.97  thf(c_2Earithmetic_2E_2B_type, type, c_2Earithmetic_2E_2B: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > tyop_2Enum_2Enum))).
% 62.32/15.97  thf(c_2Earithmetic_2E_2D_type, type, c_2Earithmetic_2E_2D: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > tyop_2Enum_2Enum))).
% 62.32/15.97  thf(c_2Ereal_2E_2F_type, type, c_2Ereal_2E_2F: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 62.32/15.97  thf(c_2Enum_2E0_type, type, c_2Enum_2E0: tyop_2Enum_2Enum).
% 62.32/15.97  thf(c_2Eprim__rec_2E_3C_type, type, c_2Eprim__rec_2E_3C: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > $o))).
% 62.32/15.97  thf(c_2Earithmetic_2E_3C_3D_type, type, c_2Earithmetic_2E_3C_3D: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > $o))).
% 62.32/15.97  thf(c_2Earithmetic_2E_3E_type, type, c_2Earithmetic_2E_3E: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > $o))).
% 62.32/15.97  thf(c_2Earithmetic_2E_3E_3D_type, type, c_2Earithmetic_2E_3E_3D: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > $o))).
% 62.32/15.97  thf(c_2Earithmetic_2EBIT1_type, type, c_2Earithmetic_2EBIT1: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 62.32/15.97  thf(c_2Earithmetic_2EBIT2_type, type, c_2Earithmetic_2EBIT2: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 62.32/15.97  thf(c_2Earithmetic_2EEVEN_type, type, c_2Earithmetic_2EEVEN: (tyop_2Enum_2Enum > $o)).
% 62.32/15.97  thf(c_2Earithmetic_2EEXP_type, type, c_2Earithmetic_2EEXP: (tyop_2Enum_2Enum > (tyop_2Enum_2Enum > tyop_2Enum_2Enum))).
% 62.32/15.97  thf(c_2Ebool_2EF_type, type, c_2Ebool_2EF: $o).
% 62.32/15.97  thf(c_2Earithmetic_2ENUMERAL_type, type, c_2Earithmetic_2ENUMERAL: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 62.32/15.97  thf(c_2Earithmetic_2EODD_type, type, c_2Earithmetic_2EODD: (tyop_2Enum_2Enum > $o)).
% 62.32/15.97  thf(c_2Eprim__rec_2EPRE_type, type, c_2Eprim__rec_2EPRE: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 62.32/15.97  thf(c_2Enum_2ESUC_type, type, c_2Enum_2ESUC: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 62.32/15.97  thf(c_2Ebool_2ET_type, type, c_2Ebool_2ET: $o).
% 62.32/15.97  thf(c_2Earithmetic_2EZERO_type, type, c_2Earithmetic_2EZERO: tyop_2Enum_2Enum).
% 62.32/15.97  thf(c_2Enumeral_2EiZ_type, type, c_2Enumeral_2EiZ: (tyop_2Enum_2Enum > tyop_2Enum_2Enum)).
% 62.32/15.97  thf(c_2Erealax_2Einv_type, type, c_2Erealax_2Einv: (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)).
% 62.32/15.97  thf(c_2Erealax_2Ereal__add_type, type, c_2Erealax_2Ereal__add: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 62.32/15.97  thf(c_2Erealax_2Ereal__lt_type, type, c_2Erealax_2Ereal__lt: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 62.32/15.97  thf(c_2Ereal_2Ereal__lte_type, type, c_2Ereal_2Ereal__lte: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > $o))).
% 62.32/15.97  thf(c_2Erealax_2Ereal__mul_type, type, c_2Erealax_2Ereal__mul: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 62.32/15.97  thf(c_2Erealax_2Ereal__neg_type, type, c_2Erealax_2Ereal__neg: (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal)).
% 62.32/15.97  thf(c_2Ereal_2Ereal__of__num_type, type, c_2Ereal_2Ereal__of__num: (tyop_2Enum_2Enum > tyop_2Erealax_2Ereal)).
% 62.32/15.97  thf(c_2Ereal_2Ereal__sub_type, type, c_2Ereal_2Ereal__sub: (tyop_2Erealax_2Ereal > (tyop_2Erealax_2Ereal > tyop_2Erealax_2Ereal))).
% 62.32/15.97  thf(8,axiom,((! [A:$o]: (((~ (A)) => (c_2Ebool_2EF)) => (((A) => (c_2Ebool_2EF)) => (c_2Ebool_2EF))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV2)).
% 62.32/15.97  thf(69,plain,((! [A:$o]: (((~ (A)) => (c_2Ebool_2EF)) => (((A) => (c_2Ebool_2EF)) => (c_2Ebool_2EF))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[8])).
% 62.32/15.97  thf(22,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__neg @ A) @ (c_2Erealax_2Ereal__neg @ B)) = (c_2Ereal_2Ereal__lte @ B @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__NEG2)).
% 62.32/15.97  thf(138,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__neg @ A) @ (c_2Erealax_2Ereal__neg @ B)) = (c_2Ereal_2Ereal__lte @ B @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[22])).
% 62.32/15.97  thf(11,axiom,((! [A:$o]: ((((c_2Ebool_2ET) => (A)) = A) & (((A) => (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) => (A)) = c_2Ebool_2ET) & (((A) => (A)) = c_2Ebool_2ET) & (((A) => (c_2Ebool_2EF)) = (~ (A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EIMP__CLAUSES)).
% 62.32/15.97  thf(88,plain,((! [A:$o]: ((((c_2Ebool_2ET) => (A)) = A) & (((A) => (c_2Ebool_2ET)) = c_2Ebool_2ET) & (((c_2Ebool_2EF) => (A)) = c_2Ebool_2ET) & (c_2Ebool_2ET) & (((A) => (c_2Ebool_2EF)) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[11])).
% 62.32/15.97  thf(33,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Ereal_2Ereal__lte @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ C)) => (c_2Ereal_2Ereal__lte @ A @ C)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__TRANS)).
% 62.32/15.97  thf(170,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Ereal_2Ereal__lte @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ C)) => (c_2Ereal_2Ereal__lte @ A @ C)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[33])).
% 62.32/15.97  thf(46,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ B) = (c_2Erealax_2Ereal__add @ B @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__SYM)).
% 62.32/15.97  thf(308,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ B) = (c_2Erealax_2Ereal__add @ B @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[46])).
% 62.32/15.97  thf(5,axiom,((! [A:$o]: ((A) => ((~ (A)) => (c_2Ebool_2EF))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EAND__INV__IMP)).
% 62.32/15.97  thf(56,plain,((! [A:$o]: ((A) => ((~ (A)) => (c_2Ebool_2EF))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[5])).
% 62.32/15.97  thf(27,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ (c_2Erealax_2Ereal__add @ B @ C)) = (c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__add @ A @ B) @ C)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__ASSOC)).
% 62.32/15.97  thf(153,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ (c_2Erealax_2Ereal__add @ B @ C)) = (c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__add @ A @ B) @ C)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[27])).
% 62.32/15.97  thf(17,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ C) => ((c_2Ereal_2Ereal__lte @ (c_2Ereal_2E_2F @ A @ C) @ B) = (c_2Ereal_2Ereal__lte @ A @ (c_2Erealax_2Ereal__mul @ B @ C)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__LDIV__EQ)).
% 62.32/15.97  thf(125,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ C) => ((c_2Ereal_2Ereal__lte @ (c_2Ereal_2E_2F @ A @ C) @ B) = (c_2Ereal_2Ereal__lte @ A @ (c_2Erealax_2Ereal__mul @ B @ C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[17])).
% 62.32/15.97  thf(31,axiom,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: (((c_2Earithmetic_2E_2B @ A @ B) = c_2Enum_2E0) = ((A = c_2Enum_2E0) & (B = c_2Enum_2E0))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Earithmetic_2EADD__EQ__0)).
% 62.32/15.97  thf(164,plain,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: (((c_2Earithmetic_2E_2B @ A @ B) = c_2Enum_2E0) = ((A = c_2Enum_2E0) & (B = c_2Enum_2E0))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[31])).
% 62.32/15.97  thf(25,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ B @ A) = (~ (c_2Ereal_2Ereal__lte @ A @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2Ereal__lt)).
% 62.32/15.97  thf(147,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ B @ A) = (~ (c_2Ereal_2Ereal__lte @ A @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[25])).
% 62.32/15.97  thf(6,axiom,((! [A:$o]: ((((c_2Ebool_2ET) & (A)) = A) & (((A) & (c_2Ebool_2ET)) = A) & (((c_2Ebool_2EF) & (A)) = c_2Ebool_2EF) & (((A) & (c_2Ebool_2EF)) = c_2Ebool_2EF) & (((A) & (A)) = A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EAND__CLAUSES)).
% 62.32/15.97  thf(61,plain,((! [A:$o]: ((((c_2Ebool_2ET) & (A)) = A) & (((A) & (c_2Ebool_2ET)) = A) & (((c_2Ebool_2EF) & (A)) = c_2Ebool_2EF) & (((A) & (c_2Ebool_2EF)) = c_2Ebool_2EF)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[6])).
% 62.32/15.97  thf(20,axiom,((! [A:tyop_2Enum_2Enum]: (c_2Earithmetic_2E_3C_3D @ c_2Enum_2E0 @ A))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Earithmetic_2EZERO__LESS__EQ)).
% 62.32/15.97  thf(133,plain,((! [A:tyop_2Enum_2Enum]: (c_2Earithmetic_2E_3C_3D @ c_2Enum_2E0 @ A))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[20])).
% 62.32/15.97  thf(14,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Ereal_2Ereal__lte @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ A)) = (A = B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__ANTISYM)).
% 62.32/15.97  thf(116,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: (((c_2Ereal_2Ereal__lte @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ A)) = (A = B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[14])).
% 62.32/15.97  thf(9,axiom,((! [A:$o]: ((~ (~ (A))) = A) & ((~ (c_2Ebool_2ET)) = c_2Ebool_2EF) & ((~ (c_2Ebool_2EF)) = c_2Ebool_2ET))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ENOT__CLAUSES)).
% 62.32/15.97  thf(74,plain,((((~ (c_2Ebool_2ET)) = c_2Ebool_2EF) & ((~ (c_2Ebool_2EF)) = c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[9])).
% 62.32/15.97  thf(44,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Erealax_2Ereal__neg @ A) @ B) = (c_2Erealax_2Ereal__neg @ (c_2Erealax_2Ereal__mul @ A @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__LNEG)).
% 62.32/15.97  thf(302,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Erealax_2Ereal__neg @ A) @ B) = (c_2Erealax_2Ereal__neg @ (c_2Erealax_2Ereal__mul @ A @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[44])).
% 62.32/15.97  thf(40,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = A))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__RID)).
% 62.32/15.97  thf(192,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)) = A))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[40])).
% 62.32/15.97  thf(28,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__lt @ A @ B) & (c_2Erealax_2Ereal__lt @ B @ C)) => (c_2Erealax_2Ereal__lt @ A @ C)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LT__TRANS)).
% 62.32/15.97  thf(156,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__lt @ A @ B) & (c_2Erealax_2Ereal__lt @ B @ C)) => (c_2Erealax_2Ereal__lt @ A @ C)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[28])).
% 62.32/15.97  thf(3,axiom,((! [TA: $tType]: (! [A:TA]: ((A = A) = c_2Ebool_2ET)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EREFL__CLAUSE)).
% 62.32/15.97  thf(53,plain,((! [TA: $tType]: (c_2Ebool_2ET))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[3])).
% 62.32/15.97  thf(23,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__neg @ A) @ B) = (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ (c_2Erealax_2Ereal__add @ A @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__LNEG)).
% 62.32/15.97  thf(141,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__neg @ A) @ B) = (c_2Ereal_2Ereal__lte @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ (c_2Erealax_2Ereal__add @ A @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[23])).
% 62.32/15.97  thf(18,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Ereal_2Ereal__lte @ A @ B) & (c_2Erealax_2Ereal__lt @ B @ C)) => (c_2Erealax_2Ereal__lt @ A @ C)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LET__TRANS)).
% 62.32/15.97  thf(128,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Ereal_2Ereal__lte @ A @ B) & (c_2Erealax_2Ereal__lt @ B @ C)) => (c_2Erealax_2Ereal__lt @ A @ C)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[18])).
% 62.32/15.97  thf(47,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ (c_2Erealax_2Ereal__neg @ A)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__RINV)).
% 62.32/15.97  thf(311,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ A @ (c_2Erealax_2Ereal__neg @ A)) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[47])).
% 62.32/15.97  thf(30,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ A) = A))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__LID)).
% 62.32/15.97  thf(161,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ A) = A))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[30])).
% 62.32/15.97  thf(24,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Erealax_2Ereal__add @ A @ B) @ C) = (c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__mul @ A @ C) @ (c_2Erealax_2Ereal__mul @ B @ C))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__RDISTRIB)).
% 62.32/15.97  thf(144,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Erealax_2Ereal__add @ A @ B) @ C) = (c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__mul @ A @ C) @ (c_2Erealax_2Ereal__mul @ B @ C))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[24])).
% 62.32/15.97  thf(37,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__lt @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ C)) => (c_2Erealax_2Ereal__lt @ A @ C)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LTE__TRANS)).
% 62.32/15.97  thf(181,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: (((c_2Erealax_2Ereal__lt @ A @ B) & (c_2Ereal_2Ereal__lte @ B @ C)) => (c_2Erealax_2Ereal__lt @ A @ C)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[37])).
% 62.32/15.97  thf(34,axiom,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Erealax_2Ereal__add @ (c_2Ereal_2Ereal__of__num @ A) @ (c_2Ereal_2Ereal__of__num @ B)) = (c_2Ereal_2Ereal__of__num @ (c_2Earithmetic_2E_2B @ A @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD)).
% 62.32/15.97  thf(172,plain,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Erealax_2Ereal__add @ (c_2Ereal_2Ereal__of__num @ A) @ (c_2Ereal_2Ereal__of__num @ B)) = (c_2Ereal_2Ereal__of__num @ (c_2Earithmetic_2E_2B @ A @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[34])).
% 62.32/15.97  thf(12,axiom,((! [A:$o,B:$o]: (((~ ((B) | (A))) => (c_2Ebool_2EF)) = (((B) => (c_2Ebool_2EF)) => ((~ (A)) => (c_2Ebool_2EF)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL2)).
% 62.32/15.97  thf(98,plain,((! [A:$o,B:$o]: (((~ ((B) | (A))) => (c_2Ebool_2EF)) = (((B) => (c_2Ebool_2EF)) => ((~ (A)) => (c_2Ebool_2EF)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[12])).
% 62.32/15.97  thf(7,axiom,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((~ (c_2Earithmetic_2E_3C_3D @ A @ B)) = (c_2Eprim__rec_2E_3C @ B @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Earithmetic_2ENOT__LESS__EQUAL)).
% 62.32/15.97  thf(66,plain,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((~ (c_2Earithmetic_2E_3C_3D @ A @ B)) = (c_2Eprim__rec_2E_3C @ B @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[7])).
% 62.32/15.97  thf(42,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ B @ C) => (c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__add @ A @ B) @ (c_2Erealax_2Ereal__add @ A @ C))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__LADD__IMP)).
% 62.32/15.97  thf(198,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ B @ C) => (c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__add @ A @ B) @ (c_2Erealax_2Ereal__add @ A @ C))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[42])).
% 62.32/15.97  thf(19,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ A) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__LZERO)).
% 62.32/15.97  thf(130,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ A) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[19])).
% 62.32/15.97  thf(21,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__neg @ (c_2Erealax_2Ereal__add @ A @ B)) = (c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__neg @ A) @ (c_2Erealax_2Ereal__neg @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__NEG__ADD)).
% 62.32/15.97  thf(135,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__neg @ (c_2Erealax_2Ereal__add @ A @ B)) = (c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__neg @ A) @ (c_2Erealax_2Ereal__neg @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[21])).
% 62.32/15.97  thf(32,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2E_2F @ A @ B) = (c_2Erealax_2Ereal__mul @ A @ (c_2Erealax_2Einv @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2Ereal__div)).
% 62.32/15.97  thf(167,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2E_2F @ A @ B) = (c_2Erealax_2Ereal__mul @ A @ (c_2Erealax_2Einv @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[32])).
% 62.32/15.97  thf(1,conjecture,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ A) => ((c_2Ereal_2Ereal__lte @ D @ (c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__mul @ A @ C) @ B)) = (c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__mul @ (c_2Erealax_2Einv @ A) @ D) @ (c_2Erealax_2Ereal__neg @ (c_2Ereal_2E_2F @ B @ A))) @ C))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal__topology_2EREAL__LE__AFFINITY)).
% 62.32/15.97  thf(2,negated_conjecture,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ A) => ((c_2Ereal_2Ereal__lte @ D @ (c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__mul @ A @ C) @ B)) = (c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__mul @ (c_2Erealax_2Einv @ A) @ D) @ (c_2Erealax_2Ereal__neg @ (c_2Ereal_2E_2F @ B @ A))) @ C)))))),inference(neg_conjecture,[status(cth)],[1])).
% 62.32/15.97  thf(48,plain,((~ (! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal,D:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0) @ A) => ((c_2Ereal_2Ereal__lte @ D @ (c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__mul @ A @ C) @ B)) = (c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__mul @ (c_2Erealax_2Einv @ A) @ D) @ (c_2Erealax_2Ereal__neg @ (c_2Ereal_2E_2F @ B @ A))) @ C)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[2])).
% 62.32/15.97  thf(26,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Ereal_2Ereal__sub @ A @ B) @ C) = (c_2Ereal_2Ereal__sub @ (c_2Erealax_2Ereal__mul @ A @ C) @ (c_2Erealax_2Ereal__mul @ B @ C))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__SUB__RDISTRIB)).
% 62.32/15.97  thf(150,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Ereal_2Ereal__sub @ A @ B) @ C) = (c_2Ereal_2Ereal__sub @ (c_2Erealax_2Ereal__mul @ A @ C) @ (c_2Erealax_2Ereal__mul @ B @ C))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[26])).
% 62.32/15.97  thf(35,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__sub @ A @ B) = (c_2Erealax_2Ereal__add @ A @ (c_2Erealax_2Ereal__neg @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2Ereal__sub)).
% 62.32/15.97  thf(175,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__sub @ A @ B) = (c_2Erealax_2Ereal__add @ A @ (c_2Erealax_2Ereal__neg @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[35])).
% 62.32/15.97  thf(29,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Ereal_2Ereal__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO))) @ A) = A))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__LID)).
% 62.32/15.97  thf(158,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ (c_2Ereal_2Ereal__of__num @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO))) @ A) = A))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[29])).
% 62.32/15.97  thf(39,axiom,((! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_3C_3D @ A @ c_2Enum_2E0) = (A = c_2Enum_2E0)) & ! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_3C_3D @ A @ (c_2Enum_2ESUC @ B)) = ((A = (c_2Enum_2ESUC @ B)) | (c_2Earithmetic_2E_3C_3D @ A @ B))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Earithmetic_2ELE)).
% 62.32/15.97  thf(186,plain,((! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_3C_3D @ A @ c_2Enum_2E0) = (A = c_2Enum_2E0)) & ! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_3C_3D @ A @ (c_2Enum_2ESUC @ B)) = ((A = (c_2Enum_2ESUC @ B)) | (c_2Earithmetic_2E_3C_3D @ A @ B))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[39])).
% 62.32/15.97  thf(4,axiom,(c_2Ebool_2ET),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2ETRUTH)).
% 62.32/15.97  thf(55,plain,(c_2Ebool_2ET),inference(defexp_and_simp_and_etaexpand,[status(thm)],[4])).
% 62.32/15.97  thf(15,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Erealax_2Ereal__add @ A @ B) @ (c_2Erealax_2Ereal__add @ A @ C)) = (c_2Erealax_2Ereal__lt @ B @ C)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LT__LADD)).
% 62.32/15.97  thf(119,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal,C:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__lt @ (c_2Erealax_2Ereal__add @ A @ B) @ (c_2Erealax_2Ereal__add @ A @ C)) = (c_2Erealax_2Ereal__lt @ B @ C)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[15])).
% 62.32/15.97  thf(38,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ A @ B) = (c_2Erealax_2Ereal__mul @ B @ A)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__MUL__SYM)).
% 62.32/15.97  thf(183,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__mul @ A @ B) = (c_2Erealax_2Ereal__mul @ B @ A)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[38])).
% 62.32/15.97  thf(45,axiom,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Ereal_2Ereal__lte @ (c_2Ereal_2Ereal__of__num @ A) @ (c_2Ereal_2Ereal__of__num @ B)) = (c_2Earithmetic_2E_3C_3D @ A @ B)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__OF__NUM__LE)).
% 62.32/15.97  thf(305,plain,((! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Ereal_2Ereal__lte @ (c_2Ereal_2Ereal__of__num @ A) @ (c_2Ereal_2Ereal__of__num @ B)) = (c_2Earithmetic_2E_3C_3D @ A @ B)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[45])).
% 62.32/15.97  thf(13,axiom,((! [A:$o,B:$o]: (((~ (~ (B) | (A))) => (c_2Ebool_2EF)) = ((B) => ((~ (A)) => (c_2Ebool_2EF)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Esat_2EOR__DUAL3)).
% 62.32/15.97  thf(107,plain,((! [A:$o,B:$o]: (((~ (~ (B) | (A))) => (c_2Ebool_2EF)) = ((B) => ((~ (A)) => (c_2Ebool_2EF)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[13])).
% 62.32/15.97  thf(10,axiom,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ebool_2EEQ__CLAUSES)).
% 62.32/15.97  thf(79,plain,((! [A:$o]: (((c_2Ebool_2ET = A) = A) & ((A = c_2Ebool_2ET) = A) & ((c_2Ebool_2EF = A) = (~ (A))) & ((A = c_2Ebool_2EF) = (~ (A)))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[10])).
% 62.32/15.97  thf(41,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__neg @ A) @ A) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__ADD__LINV)).
% 62.32/15.97  thf(195,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__add @ (c_2Erealax_2Ereal__neg @ A) @ A) = (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0)))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[41])).
% 62.32/15.97  thf(43,axiom,((! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_2B @ c_2Enum_2E0 @ A) = A) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_2B @ A @ c_2Enum_2E0) = A) & ! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_2B @ (c_2Earithmetic_2ENUMERAL @ A) @ (c_2Earithmetic_2ENUMERAL @ B)) = (c_2Earithmetic_2ENUMERAL @ (c_2Enumeral_2EiZ @ (c_2Earithmetic_2E_2B @ A @ B)))) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_2A @ c_2Enum_2E0 @ A) = c_2Enum_2E0) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_2A @ A @ c_2Enum_2E0) = c_2Enum_2E0) & ! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_2A @ (c_2Earithmetic_2ENUMERAL @ A) @ (c_2Earithmetic_2ENUMERAL @ B)) = (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2E_2A @ A @ B))) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_2D @ c_2Enum_2E0 @ A) = c_2Enum_2E0) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_2D @ A @ c_2Enum_2E0) = A) & ! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_2D @ (c_2Earithmetic_2ENUMERAL @ A) @ (c_2Earithmetic_2ENUMERAL @ B)) = (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2E_2D @ A @ B))) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2EEXP @ c_2Enum_2E0 @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ A))) = c_2Enum_2E0) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2EEXP @ c_2Enum_2E0 @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ A))) = c_2Enum_2E0) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2EEXP @ A @ c_2Enum_2E0) = (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO))) & ! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ A) @ (c_2Earithmetic_2ENUMERAL @ B)) = (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EEXP @ A @ B))) & ((c_2Enum_2ESUC @ c_2Enum_2E0) = (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO))) & ! [A:tyop_2Enum_2Enum]: ((c_2Enum_2ESUC @ (c_2Earithmetic_2ENUMERAL @ A)) = (c_2Earithmetic_2ENUMERAL @ (c_2Enum_2ESUC @ A))) & ((c_2Eprim__rec_2EPRE @ c_2Enum_2E0) = c_2Enum_2E0) & ! [A:tyop_2Enum_2Enum]: ((c_2Eprim__rec_2EPRE @ (c_2Earithmetic_2ENUMERAL @ A)) = (c_2Earithmetic_2ENUMERAL @ (c_2Eprim__rec_2EPRE @ A))) & ! [A:tyop_2Enum_2Enum]: (((c_2Earithmetic_2ENUMERAL @ A) = c_2Enum_2E0) = (A = c_2Earithmetic_2EZERO)) & ! [A:tyop_2Enum_2Enum]: ((c_2Enum_2E0 = (c_2Earithmetic_2ENUMERAL @ A)) = (A = c_2Earithmetic_2EZERO)) & ! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: (((c_2Earithmetic_2ENUMERAL @ A) = (c_2Earithmetic_2ENUMERAL @ B)) = (A = B)) & ! [A:tyop_2Enum_2Enum]: ((c_2Eprim__rec_2E_3C @ A @ c_2Enum_2E0) = c_2Ebool_2EF) & ! [A:tyop_2Enum_2Enum]: ((c_2Eprim__rec_2E_3C @ c_2Enum_2E0 @ (c_2Earithmetic_2ENUMERAL @ A)) = (c_2Eprim__rec_2E_3C @ c_2Earithmetic_2EZERO @ A)) & ! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Eprim__rec_2E_3C @ (c_2Earithmetic_2ENUMERAL @ A) @ (c_2Earithmetic_2ENUMERAL @ B)) = (c_2Eprim__rec_2E_3C @ A @ B)) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_3E @ c_2Enum_2E0 @ A) = c_2Ebool_2EF) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_3E @ (c_2Earithmetic_2ENUMERAL @ A) @ c_2Enum_2E0) = (c_2Eprim__rec_2E_3C @ c_2Earithmetic_2EZERO @ A)) & ! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_3E @ (c_2Earithmetic_2ENUMERAL @ A) @ (c_2Earithmetic_2ENUMERAL @ B)) = (c_2Eprim__rec_2E_3C @ B @ A)) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_3C_3D @ c_2Enum_2E0 @ A) = c_2Ebool_2ET) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_3C_3D @ (c_2Earithmetic_2ENUMERAL @ A) @ c_2Enum_2E0) = (c_2Earithmetic_2E_3C_3D @ A @ c_2Earithmetic_2EZERO)) & ! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_3C_3D @ (c_2Earithmetic_2ENUMERAL @ A) @ (c_2Earithmetic_2ENUMERAL @ B)) = (c_2Earithmetic_2E_3C_3D @ A @ B)) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_3E_3D @ A @ c_2Enum_2E0) = c_2Ebool_2ET) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_3E_3D @ c_2Enum_2E0 @ A) = (A = c_2Enum_2E0)) & ! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_3E_3D @ (c_2Earithmetic_2ENUMERAL @ A) @ (c_2Earithmetic_2ENUMERAL @ B)) = (c_2Earithmetic_2E_3C_3D @ B @ A)) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2EODD @ (c_2Earithmetic_2ENUMERAL @ A)) = (c_2Earithmetic_2EODD @ A)) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2EEVEN @ (c_2Earithmetic_2ENUMERAL @ A)) = (c_2Earithmetic_2EEVEN @ A)) & ~ (c_2Earithmetic_2EODD @ c_2Enum_2E0) & (c_2Earithmetic_2EEVEN @ c_2Enum_2E0))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Enumeral_2Enumeral__distrib)).
% 62.32/15.97  thf(200,plain,((! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_2B @ c_2Enum_2E0 @ A) = A) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_2B @ A @ c_2Enum_2E0) = A) & ! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_2B @ (c_2Earithmetic_2ENUMERAL @ A) @ (c_2Earithmetic_2ENUMERAL @ B)) = (c_2Earithmetic_2ENUMERAL @ (c_2Enumeral_2EiZ @ (c_2Earithmetic_2E_2B @ A @ B)))) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_2A @ c_2Enum_2E0 @ A) = c_2Enum_2E0) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_2A @ A @ c_2Enum_2E0) = c_2Enum_2E0) & ! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_2A @ (c_2Earithmetic_2ENUMERAL @ A) @ (c_2Earithmetic_2ENUMERAL @ B)) = (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2E_2A @ A @ B))) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_2D @ c_2Enum_2E0 @ A) = c_2Enum_2E0) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_2D @ A @ c_2Enum_2E0) = A) & ! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_2D @ (c_2Earithmetic_2ENUMERAL @ A) @ (c_2Earithmetic_2ENUMERAL @ B)) = (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2E_2D @ A @ B))) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2EEXP @ c_2Enum_2E0 @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ A))) = c_2Enum_2E0) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2EEXP @ c_2Enum_2E0 @ (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT2 @ A))) = c_2Enum_2E0) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2EEXP @ A @ c_2Enum_2E0) = (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO))) & ! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Earithmetic_2EEXP @ (c_2Earithmetic_2ENUMERAL @ A) @ (c_2Earithmetic_2ENUMERAL @ B)) = (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EEXP @ A @ B))) & ((c_2Enum_2ESUC @ c_2Enum_2E0) = (c_2Earithmetic_2ENUMERAL @ (c_2Earithmetic_2EBIT1 @ c_2Earithmetic_2EZERO))) & ! [A:tyop_2Enum_2Enum]: ((c_2Enum_2ESUC @ (c_2Earithmetic_2ENUMERAL @ A)) = (c_2Earithmetic_2ENUMERAL @ (c_2Enum_2ESUC @ A))) & ((c_2Eprim__rec_2EPRE @ c_2Enum_2E0) = c_2Enum_2E0) & ! [A:tyop_2Enum_2Enum]: ((c_2Eprim__rec_2EPRE @ (c_2Earithmetic_2ENUMERAL @ A)) = (c_2Earithmetic_2ENUMERAL @ (c_2Eprim__rec_2EPRE @ A))) & ! [A:tyop_2Enum_2Enum]: (((c_2Earithmetic_2ENUMERAL @ A) = c_2Enum_2E0) = (A = c_2Earithmetic_2EZERO)) & ! [A:tyop_2Enum_2Enum]: ((c_2Enum_2E0 = (c_2Earithmetic_2ENUMERAL @ A)) = (A = c_2Earithmetic_2EZERO)) & ! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: (((c_2Earithmetic_2ENUMERAL @ A) = (c_2Earithmetic_2ENUMERAL @ B)) = (A = B)) & ! [A:tyop_2Enum_2Enum]: ((c_2Eprim__rec_2E_3C @ A @ c_2Enum_2E0) = c_2Ebool_2EF) & ! [A:tyop_2Enum_2Enum]: ((c_2Eprim__rec_2E_3C @ c_2Enum_2E0 @ (c_2Earithmetic_2ENUMERAL @ A)) = (c_2Eprim__rec_2E_3C @ c_2Earithmetic_2EZERO @ A)) & ! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Eprim__rec_2E_3C @ (c_2Earithmetic_2ENUMERAL @ A) @ (c_2Earithmetic_2ENUMERAL @ B)) = (c_2Eprim__rec_2E_3C @ A @ B)) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_3E @ c_2Enum_2E0 @ A) = c_2Ebool_2EF) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_3E @ (c_2Earithmetic_2ENUMERAL @ A) @ c_2Enum_2E0) = (c_2Eprim__rec_2E_3C @ c_2Earithmetic_2EZERO @ A)) & ! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_3E @ (c_2Earithmetic_2ENUMERAL @ A) @ (c_2Earithmetic_2ENUMERAL @ B)) = (c_2Eprim__rec_2E_3C @ B @ A)) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_3C_3D @ c_2Enum_2E0 @ A) = c_2Ebool_2ET) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_3C_3D @ (c_2Earithmetic_2ENUMERAL @ A) @ c_2Enum_2E0) = (c_2Earithmetic_2E_3C_3D @ A @ c_2Earithmetic_2EZERO)) & ! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_3C_3D @ (c_2Earithmetic_2ENUMERAL @ A) @ (c_2Earithmetic_2ENUMERAL @ B)) = (c_2Earithmetic_2E_3C_3D @ A @ B)) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_3E_3D @ A @ c_2Enum_2E0) = c_2Ebool_2ET) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_3E_3D @ c_2Enum_2E0 @ A) = (A = c_2Enum_2E0)) & ! [A:tyop_2Enum_2Enum,B:tyop_2Enum_2Enum]: ((c_2Earithmetic_2E_3E_3D @ (c_2Earithmetic_2ENUMERAL @ A) @ (c_2Earithmetic_2ENUMERAL @ B)) = (c_2Earithmetic_2E_3C_3D @ B @ A)) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2EODD @ (c_2Earithmetic_2ENUMERAL @ A)) = (c_2Earithmetic_2EODD @ A)) & ! [A:tyop_2Enum_2Enum]: ((c_2Earithmetic_2EEVEN @ (c_2Earithmetic_2ENUMERAL @ A)) = (c_2Earithmetic_2EEVEN @ A)) & ~ (c_2Earithmetic_2EODD @ c_2Enum_2E0) & (c_2Earithmetic_2EEVEN @ c_2Enum_2E0))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[43])).
% 62.32/15.97  thf(36,axiom,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__neg @ (c_2Erealax_2Ereal__neg @ A)) = A))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__NEG__NEG)).
% 62.32/15.97  thf(178,plain,((! [A:tyop_2Erealax_2Ereal]: ((c_2Erealax_2Ereal__neg @ (c_2Erealax_2Ereal__neg @ A)) = A))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[36])).
% 62.32/15.97  thf(16,axiom,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ A @ (c_2Erealax_2Ereal__neg @ B)) = (c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__add @ A @ B) @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0))))),file('/export/starexec/sandbox2/benchmark/theBenchmark.p',thm_2Ereal_2EREAL__LE__RNEG)).
% 62.32/15.97  thf(122,plain,((! [A:tyop_2Erealax_2Ereal,B:tyop_2Erealax_2Ereal]: ((c_2Ereal_2Ereal__lte @ A @ (c_2Erealax_2Ereal__neg @ B)) = (c_2Ereal_2Ereal__lte @ (c_2Erealax_2Ereal__add @ A @ B) @ (c_2Ereal_2Ereal__of__num @ c_2Enum_2E0))))),inference(defexp_and_simp_and_etaexpand,[status(thm)],[16])).
% 62.32/15.97  thf(7225,plain,($false),inference(e,[status(thm)],[69,138,88,170,308,56,153,125,164,147,61,133,116,74,302,192,156,53,141,128,311,161,144,181,172,98,66,198,130,135,167,48,150,175,158,186,55,119,183,305,107,79,195,200,178,122])).
% 62.32/15.97  % SZS output end CNFRefutation for /export/starexec/sandbox2/benchmark/theBenchmark.p
% 62.32/15.97  % [INFO] 	 Killing All external provers ... 
%------------------------------------------------------------------------------
